def aaa_accounting_commands_default_start_stop_update(self, server_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param server_type: kwarg.
		:type server_type: (unicode)
		
		.. note::
			* enum - [u'tacacs+', u'none']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.aaa_config.aaa.accounting.commands.defaultacc.start_stop', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server_type=server_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def aaa_accounting_exec_default_start_stop_update(self, server_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param server_type: kwarg.
		:type server_type: (unicode)
		
		.. note::
			* enum - [u'tacacs+', u'none']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.aaa_config.aaa.accounting.exec_.defaultacc.start_stop', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server_type=server_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def aaa_authentication_login_update(self, first=None, second=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param first: Primary source of authentication
		:type first: (unicode)
		
		.. note::
			* enum - [u'default', u'tacacs+', u'radius', u'local', u'ldap']

		:param second: Secondary source of authentication
		:type second: (unicode)
		
		.. note::
			* enum - [u'local', u'local-auth-fallback']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.aaa_config.aaa.authentication.login', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.aaa_config.aaa.authentication.login', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.aaa_config.aaa.authentication.login', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.aaa_config.aaa.authentication.login', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, first=first, second=second)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def acl_policy_update(self, allow_conflicting_rules=None, allow_duplicate_rules=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param allow_conflicting_rules: Allow conflicting rules in a ACL table 
		:type allow_conflicting_rules: (YANGBool)

		:param allow_duplicate_rules: Allow duplicate rules in a ACL table
		:type allow_duplicate_rules: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_policy.global_acl_policy_conf_cmds', 'pybind.slxos.v16r_1_00b.brocade_acl_policy', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, allow_conflicting_rules=allow_conflicting_rules, allow_duplicate_rules=allow_duplicate_rules)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def acl_policy_allow_conflicting_rules_update(self, allow_conflicting_rules=None, allow_duplicate_rules=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param allow_conflicting_rules: Allow conflicting rules in a ACL table 
		:type allow_conflicting_rules: (YANGBool)

		:param allow_duplicate_rules: Allow duplicate rules in a ACL table
		:type allow_duplicate_rules: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_policy.global_acl_policy_conf_cmds', 'pybind.slxos.v16r_1_00b.brocade_acl_policy', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, allow_conflicting_rules=allow_conflicting_rules, allow_duplicate_rules=allow_duplicate_rules)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_update(self, vxlan_acl=None, extended_data=None, permit_deny=None, dst_vtep_ip=None, src_vtep_ip=None, vni=None, vni_mask=None, native_tag=None, dst_ip=None, dst_ip_mask=None, src_ip=None, src_ip_mask=None, dst_port=None, src_port=None, count=None, byte_count=None, transit_name=None, sflow=None, redir_interface=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vxlan_acl: kwarg tuple.
		:type vxlan_acl: (overlay_acl_tr_name).

		:param overlay_acl_tr_name: tuple arg.
		:type overlay_acl_tr_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param extended_data: kwarg tuple.
		:type extended_data: (acl_name, seq_num).

		:param acl_name: tuple arg.
		:type acl_name: (unicode)

		:param seq_num: tuple arg.
		:type seq_num: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param permit_deny: kwarg.
		:type permit_deny: (unicode)

		:param dst_vtep_ip: kwarg.
		:type dst_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_vtep_ip: kwarg.
		:type src_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param vni: kwarg.
		:type vni: (unicode)

		:param vni_mask: kwarg.
		:type vni_mask: (unicode)

		:param native_tag: kwarg.
		:type native_tag: (unicode)

		:param dst_ip: kwarg.
		:type dst_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dst_ip_mask: kwarg.
		:type dst_ip_mask: (int)
		
		.. note::
			* range - ['0..65535']

		:param src_ip: kwarg.
		:type src_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_ip_mask: kwarg.
		:type src_ip_mask: (int)
		
		.. note::
			* range - ['0..65535']

		:param dst_port: kwarg.
		:type dst_port: (int)
		
		.. note::
			* range - ['0..65535']

		:param src_port: kwarg.
		:type src_port: (int)
		
		.. note::
			* range - ['0..65535']

		:param count: kwarg.
		:type count: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param byte_count: kwarg.
		:type byte_count: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param transit_name: kwarg.
		:type transit_name: (unicode)

		:param sflow: kwarg.
		:type sflow: (YANGBool)

		:param redir_interface: kwarg.
		:type redir_interface: (unicode)

		:param mirror_interface: kwarg.
		:type mirror_interface: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vxlan_acl=vxlan_acl, extended_data=extended_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, transit_name=transit_name, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_update(self, adj_neighbor=None, adj_state_change_time=None, adj_type=None, adj_state=None, circuit_intf_name=None, snpa=None, adj_holding_time=None, adj_priority=None, adj_mtprot=None, adj_prot=None, remaining_time=None, adj_3way_state=None, host_name=None, adj_lan_name=None, adj_lan_id=None, adj_p2p_circ_id=None, adj_num_adds=None, adj_use=None, ip_circuit_id=None, adj_address=None, ip6_circuit_id=None, adj_ip6_address=None, bfd_holdover_interval=None, adj_bfd_holdover_time=None, bfd_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param adj_neighbor: kwarg tuple.
		:type adj_neighbor: (neighbor_id).

		:param neighbor_id: tuple arg.
		:type neighbor_id: (unicode)

	**This Instance Arg(s)**:
		:param adj_state_change_time: kwarg.
		:type adj_state_change_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adj_type: kwarg.
		:type adj_type: (unicode)
		
		.. note::
			* enum - [u'is-adj-ptpt', u'is-adj-l1', u'is-adj-l2', u'is-adj-es', u'is-adj-unknown', u'is-adj-stct']

		:param adj_state: kwarg.
		:type adj_state: (unicode)

		:param circuit_intf_name: kwarg.
		:type circuit_intf_name: (unicode)

		:param snpa: kwarg.
		:type snpa: (unicode)

		:param adj_holding_time: kwarg.
		:type adj_holding_time: (int)
		
		.. note::
			* range - ['0..255']

		:param adj_priority: kwarg.
		:type adj_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param adj_mtprot: kwarg.
		:type adj_mtprot: (unicode)
		
		.. note::
			* enum - [u'adj-mtprot-unknow', u'adj-prot-ip', u'adj-prot-ip6', u'adj-prot-ipx', u'adj-prot-osi']

		:param adj_prot: kwarg.
		:type adj_prot: (unicode)
		
		.. note::
			* enum - [u'adj-mtprot-unknow', u'adj-prot-ip', u'adj-prot-ip6', u'adj-prot-ipx', u'adj-prot-osi']

		:param remaining_time: kwarg.
		:type remaining_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adj_3way_state: kwarg.
		:type adj_3way_state: (unicode)
		
		.. note::
			* enum - [u'adj-3way-state-init', u'adj-3way-state-accept', u'adj-3way-state-down', u'adj-3way-state-invalid', u'adj-3way-state-up']

		:param host_name: kwarg.
		:type host_name: (unicode)

		:param adj_lan_name: kwarg.
		:type adj_lan_name: (unicode)

		:param adj_lan_id: kwarg.
		:type adj_lan_id: (int)
		
		.. note::
			* range - ['0..255']

		:param adj_p2p_circ_id: kwarg.
		:type adj_p2p_circ_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adj_num_adds: kwarg.
		:type adj_num_adds: (int)
		
		.. note::
			* range - ['0..255']

		:param adj_use: kwarg.
		:type adj_use: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1-2', u'level-1']

		:param ip_circuit_id: kwarg.
		:type ip_circuit_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adj_address: kwarg.
		:type adj_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ip6_circuit_id: kwarg.
		:type ip6_circuit_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adj_ip6_address: kwarg.
		:type adj_ip6_address: (unicode)

		:param bfd_holdover_interval: kwarg.
		:type bfd_holdover_interval: (int)
		
		.. note::
			* range - ['0..255']

		:param adj_bfd_holdover_time: kwarg.
		:type adj_bfd_holdover_time: (int)
		
		.. note::
			* range - ['0..255']

		:param bfd_state: kwarg.
		:type bfd_state: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, adj_neighbor=adj_neighbor, adj_state_change_time=adj_state_change_time, adj_type=adj_type, adj_state=adj_state, circuit_intf_name=circuit_intf_name, snpa=snpa, adj_holding_time=adj_holding_time, adj_priority=adj_priority, adj_mtprot=adj_mtprot, adj_prot=adj_prot, remaining_time=remaining_time, adj_3way_state=adj_3way_state, host_name=host_name, adj_lan_name=adj_lan_name, adj_lan_id=adj_lan_id, adj_p2p_circ_id=adj_p2p_circ_id, adj_num_adds=adj_num_adds, adj_use=adj_use, ip_circuit_id=ip_circuit_id, adj_address=adj_address, ip6_circuit_id=ip6_circuit_id, adj_ip6_address=adj_ip6_address, bfd_holdover_interval=bfd_holdover_interval, adj_bfd_holdover_time=adj_bfd_holdover_time, bfd_state=bfd_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def alias_config_alias_update(self, alias=None, expansion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param alias: kwarg tuple.
		:type alias: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param expansion: kwarg.
		:type expansion: (unicode)
		
		.. note::
			* length - [u'1..1023']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.alias_config.alias', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.alias_config.alias', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.alias_config.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alias=alias, expansion=expansion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def alias_config_user_alias_update(self, user=None, alias=None, expansion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param user: kwarg tuple.
		:type user: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..40']

	**This Instance Keyword Arg Tuple**:
		:param alias: kwarg tuple.
		:type alias: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param expansion: kwarg.
		:type expansion: (unicode)
		
		.. note::
			* length - [u'1..1023']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.alias_config.user', u'user'), ('pybind.nos.v7_1_0.alias_config.user', u'user'), ('pybind.nos.v6_0_2b.alias_config.user', u'user'), ('pybind.nos.v7_0_1a.alias_config.user', u'user')]
    bindings_list = [('pybind.nos.v6_0_2b.alias_config.user.alias', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.alias_config.user.alias', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.alias_config.user.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.user.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user, alias=alias, expansion=expansion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def arp_update(self, arp_entry=None, mac_address_value=None, interfacename=None, GigabitEthernet=None, TenGigabitEthernet=None, FortyGigabitEthernet=None, HundredGigabitEthernet=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param arp_entry: kwarg tuple.
		:type arp_entry: (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve).

		:param arp_ip_address: A.B.C.D;; IP address of the ARP entry
		:type arp_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param mac_address_value: tuple arg.
		:type mac_address_value: (unicode)

		:param interfacename: tuple arg.
		:type interfacename: (unicode)
		
		.. note::
			* enum - [u'interface']

		:param GigabitEthernet: tuple arg.
		:type GigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param TenGigabitEthernet: tuple arg.
		:type TenGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param FortyGigabitEthernet: tuple arg.
		:type FortyGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param HundredGigabitEthernet: tuple arg.
		:type HundredGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param Ve: tuple arg.
		:type Ve: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mac_address_value: kwarg.
		:type mac_address_value: (unicode)

		:param interfacename: kwarg.
		:type interfacename: (unicode)
		
		.. note::
			* enum - [u'interface']

		:param GigabitEthernet: kwarg.
		:type GigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param TenGigabitEthernet: kwarg.
		:type TenGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param FortyGigabitEthernet: kwarg.
		:type FortyGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param HundredGigabitEthernet: kwarg.
		:type HundredGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param Ve: kwarg.
		:type Ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2b.brocade_arp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1a.brocade_arp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_arp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, GigabitEthernet=GigabitEthernet, TenGigabitEthernet=TenGigabitEthernet, FortyGigabitEthernet=FortyGigabitEthernet, HundredGigabitEthernet=HundredGigabitEthernet, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def arp_access_list_permit_ip_update(self, access_list=None, permit_list=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param access_list: kwarg tuple.
		:type access_list: (acl_name).

		:param acl_name: <WORD:1-62>;;Name of ARP access-list
		:type acl_name: (unicode)
		
		.. note::
			* length - [u'1..62']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})

	**This Instance Keyword Arg Tuple**:
		:param permit_list: kwarg tuple.
		:type permit_list: (ip_type, host_ip, mac_type, host_mac, log).

		:param ip_type: tuple arg.
		:type ip_type: (unicode)
		
		.. note::
			* enum - [u'host']

		:param host_ip: IPv4Address;;Source IPv4 Address A.B.C.D
		:type host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param mac_type: MAC address
		:type mac_type: (unicode)
		
		.. note::
			* enum - [u'host']

		:param host_mac: MACADDRESS;;Mac address in HHHH.HHHH.HHHH format.
		:type host_mac: (unicode)

		:param log: Log packet
		:type log: (YANGBool)

	**This Instance Arg(s)**:
		:param log: Log packet
		:type log: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.arp.access_list', u'access_list'), ('pybind.nos.v6_0_2b.arp.access_list', u'access_list'), ('pybind.nos.v7_0_1a.arp.access_list', u'access_list'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list', u'access_list')]
    bindings_list = [('pybind.nos.v6_0_2b.arp.access_list.permit.permit_list', 'pybind.nos.v6_0_2b.brocade_dai', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.arp.access_list.permit.permit_list', 'pybind.nos.v7_0_1a.brocade_dai', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.arp.access_list.permit.permit_list', 'pybind.nos.v7_1_0.brocade_dai', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list.permit.permit_list', 'pybind.slxos.v16r_1_00b.brocade_dai', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'permit_list', 'keyval': 'ip_type, host_ip, mac_type, host_mac', 'extra_keyval': 'ip_type, host_ip, mac_type, host_mac, log'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_list=access_list, permit_list=permit_list, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def banner_update(self, login=None, motd=None, incoming=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param login: Banner text displayed after user logs into the switch
		:type login: (unicode)
		
		.. note::
			* length - [u'0..2048']

		:param motd: Banner text displayed before user logs into
 the switch
		:type motd: (unicode)
		
		.. note::
			* length - [u'0..2048']

		:param incoming: Set incoming terminal line banner
		:type incoming: (unicode)
		
		.. note::
			* length - [u'0..2048']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.banner', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.banner', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.banner', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.banner', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, login=login, motd=motd, incoming=incoming)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def banner_incoming_update(self, login=None, motd=None, incoming=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param login: Banner text displayed after user logs into the switch
		:type login: (unicode)
		
		.. note::
			* length - [u'0..2048']

		:param motd: Banner text displayed before user logs into
 the switch
		:type motd: (unicode)
		
		.. note::
			* length - [u'0..2048']

		:param incoming: Set incoming terminal line banner
		:type incoming: (unicode)
		
		.. note::
			* length - [u'0..2048']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.banner', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.banner', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.banner', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.banner', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, login=login, motd=motd, incoming=incoming)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bd_mac_br_state_update(self, total_mac_count=None, static_mac_count=None, dyn_mac_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param total_mac_count: kwarg.
		:type total_mac_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_mac_count: kwarg.
		:type static_mac_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dyn_mac_count: kwarg.
		:type dyn_mac_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_mac_br_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_mac_count=total_mac_count, static_mac_count=static_mac_count, dyn_mac_count=dyn_mac_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bd_mac_br_state_dyn_mac_count_update(self, total_mac_count=None, static_mac_count=None, dyn_mac_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param total_mac_count: kwarg.
		:type total_mac_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_mac_count: kwarg.
		:type static_mac_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dyn_mac_count: kwarg.
		:type dyn_mac_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_mac_br_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_mac_count=total_mac_count, static_mac_count=static_mac_count, dyn_mac_count=dyn_mac_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_counter_update(self, bd_vc_peer_state=None, no_of_peer_configured=None, no_of_peer_operational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bd_vc_peer_state: kwarg tuple.
		:type bd_vc_peer_state: (vc_id).

		:param vc_id: tuple arg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param no_of_peer_configured: kwarg.
		:type no_of_peer_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_of_peer_operational: kwarg.
		:type no_of_peer_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_counter', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, no_of_peer_configured=no_of_peer_configured, no_of_peer_operational=no_of_peer_operational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_counter_no_of_peer_configured_update(self, bd_vc_peer_state=None, no_of_peer_configured=None, no_of_peer_operational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bd_vc_peer_state: kwarg tuple.
		:type bd_vc_peer_state: (vc_id).

		:param vc_id: tuple arg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param no_of_peer_configured: kwarg.
		:type no_of_peer_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_of_peer_operational: kwarg.
		:type no_of_peer_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_counter', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, no_of_peer_configured=no_of_peer_configured, no_of_peer_operational=no_of_peer_operational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_peer_state=None, vc_peer_uptime=None, vc_peer_load_balance=None, vc_peer_cos_enabled=None, vc_peer_cos_value=None, vc_ldp_tnnl_in_use=None, vc_local_label=None, vc_remote_label=None, vc_local_mtu=None, vc_remote_mtu=None, vc_local_type=None, vc_remote_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bd_vc_peer_state: kwarg tuple.
		:type bd_vc_peer_state: (vc_id).

		:param vc_id: tuple arg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param bd_vc_peer_data: kwarg tuple.
		:type bd_vc_peer_data: (vc_peer_address).

		:param vc_peer_address: tuple arg.
		:type vc_peer_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param vc_peer_state: kwarg.
		:type vc_peer_state: (unicode)

		:param vc_peer_uptime: kwarg.
		:type vc_peer_uptime: (unicode)

		:param vc_peer_load_balance: kwarg.
		:type vc_peer_load_balance: (YANGBool)

		:param vc_peer_cos_enabled: kwarg.
		:type vc_peer_cos_enabled: (YANGBool)

		:param vc_peer_cos_value: kwarg.
		:type vc_peer_cos_value: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_ldp_tnnl_in_use: kwarg.
		:type vc_ldp_tnnl_in_use: (unicode)

		:param vc_local_label: kwarg.
		:type vc_local_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_remote_label: kwarg.
		:type vc_remote_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_local_mtu: kwarg.
		:type vc_local_mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_remote_mtu: kwarg.
		:type vc_remote_mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_local_type: kwarg.
		:type vc_local_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_remote_type: kwarg.
		:type vc_remote_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_state=vc_peer_state, vc_peer_uptime=vc_peer_uptime, vc_peer_load_balance=vc_peer_load_balance, vc_peer_cos_enabled=vc_peer_cos_enabled, vc_peer_cos_value=vc_peer_cos_value, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use, vc_local_label=vc_local_label, vc_remote_label=vc_remote_label, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_local_type=vc_local_type, vc_remote_type=vc_remote_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_proto_tnnl_update(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_proto_tnnl=None, vc_ldp_tunnel_id=None, vc_ldp_name=None, vc_lsp_name=None, vc_peer_lsp_cos_enabled=None, vc_peer_lsp_cos_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bd_vc_peer_state: kwarg tuple.
		:type bd_vc_peer_state: (vc_id).

		:param vc_id: tuple arg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bd_vc_peer_data: kwarg tuple.
		:type bd_vc_peer_data: (vc_peer_address).

		:param vc_peer_address: tuple arg.
		:type vc_peer_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Keyword Arg Tuple**:
		:param vc_proto_tnnl: kwarg tuple.
		:type vc_proto_tnnl: (vc_proto_name).

		:param vc_proto_name: tuple arg.
		:type vc_proto_name: (unicode)

	**This Instance Arg(s)**:
		:param vc_ldp_tunnel_id: kwarg.
		:type vc_ldp_tunnel_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_ldp_name: kwarg.
		:type vc_ldp_name: (unicode)

		:param vc_lsp_name: kwarg.
		:type vc_lsp_name: (unicode)

		:param vc_peer_lsp_cos_enabled: kwarg.
		:type vc_peer_lsp_cos_enabled: (YANGBool)

		:param vc_peer_lsp_cos_value: kwarg.
		:type vc_peer_lsp_cos_value: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id, vc_ldp_name=vc_ldp_name, vc_lsp_name=vc_lsp_name, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bp_rate_limit_heavy_module_update(self, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param add_: slot/module range
		:type add_: (unicode)
		
		.. note::
			* pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param remove_: slot/module range
		:type remove_: (unicode)
		
		.. note::
			* pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bp_rate_limit.heavy.module', 'pybind.slxos.v16r_1_00b.brocade_bprate_limit', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bp_rate_limit_heavy_module_add_update(self, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param add_: slot/module range
		:type add_: (unicode)
		
		.. note::
			* pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param remove_: slot/module range
		:type remove_: (unicode)
		
		.. note::
			* pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bp_rate_limit.heavy.module', 'pybind.slxos.v16r_1_00b.brocade_bprate_limit', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bridge_domain_update(self, bridge_domain=None, vc_id_num=None, statistics=None, pw_profile_name=None, bpdu_drop_enable=None, local_switching=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param bridge_domain: kwarg tuple.
		:type bridge_domain: (bridge_domain_id, bridge_domain_type).

		:param bridge_domain_id: Bridge-domain ID.
		:type bridge_domain_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bridge_domain_type: Set the Bridge Domain Type
		:type bridge_domain_type: (unicode)
		
		.. note::
			* enum - [u'p2mp', u'p2p']

	**This Instance Arg(s)**:
		:param vc_id_num: VC Id under the VPLS Instance
		:type vc_id_num: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics: Configure Statistics
		:type statistics: (YANGBool)

		:param pw_profile_name: Pw-profile name (Max Size - 64)
		:type pw_profile_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param bpdu_drop_enable: Drop BPDU packets
		:type bpdu_drop_enable: (YANGBool)

		:param local_switching: Configure local switching
		:type local_switching: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bridge_domain', 'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain, vc_id_num=vc_id_num, statistics=statistics, pw_profile_name=pw_profile_name, bpdu_drop_enable=bpdu_drop_enable, local_switching=local_switching)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bridge_domain_mac_state_update(self, bridge_domain_mac_state=None, no_of_mac=None, no_of_static_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param bridge_domain_mac_state: kwarg tuple.
		:type bridge_domain_mac_state: (bd_id).

		:param bd_id: tuple arg.
		:type bd_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param no_of_mac: kwarg.
		:type no_of_mac: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_of_static_mac: kwarg.
		:type no_of_static_mac: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_mac_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bridge_domain_mac_state', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_mac_state=bridge_domain_mac_state, no_of_mac=no_of_mac, no_of_static_mac=no_of_static_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bridge_domain_peer_update(self, bridge_domain=None, peer=None, load_balance=None, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bridge_domain: kwarg tuple.
		:type bridge_domain: (bridge_domain_id, bridge_domain_type).

		:param bridge_domain_id: Bridge-domain ID.
		:type bridge_domain_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bridge_domain_type: Set the Bridge Domain Type
		:type bridge_domain_type: (unicode)
		
		.. note::
			* enum - [u'p2mp', u'p2p']

	**This Instance Keyword Arg Tuple**:
		:param peer: kwarg tuple.
		:type peer: (peer_ip, load_balance, cos).

		:param peer_ip: PW Peer Ip for remote peer
		:type peer_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param load_balance: load balance
		:type load_balance: (YANGBool)

		:param cos: cos value
		:type cos: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param load_balance: load balance
		:type load_balance: (YANGBool)

		:param cos: cos value
		:type cos: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.peer', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'peer', 'keyval': 'peer_ip', 'extra_keyval': 'peer_ip, load_balance, cos'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain=bridge_domain, peer=peer, load_balance=load_balance, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_counter_update(self, no_of_bd=None, no_of_vpls_bd=None, no_of_dynamic_mac=None, no_of_static_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param no_of_bd: kwarg.
		:type no_of_bd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_of_vpls_bd: kwarg.
		:type no_of_vpls_bd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_of_dynamic_mac: kwarg.
		:type no_of_dynamic_mac: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_of_static_mac: kwarg.
		:type no_of_static_mac: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, no_of_bd=no_of_bd, no_of_vpls_bd=no_of_vpls_bd, no_of_dynamic_mac=no_of_dynamic_mac, no_of_static_mac=no_of_static_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_counter_no_of_bd_update(self, no_of_bd=None, no_of_vpls_bd=None, no_of_dynamic_mac=None, no_of_static_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param no_of_bd: kwarg.
		:type no_of_bd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_of_vpls_bd: kwarg.
		:type no_of_vpls_bd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_of_dynamic_mac: kwarg.
		:type no_of_dynamic_mac: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_of_static_mac: kwarg.
		:type no_of_static_mac: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_counter', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, no_of_bd=no_of_bd, no_of_vpls_bd=no_of_vpls_bd, no_of_dynamic_mac=no_of_dynamic_mac, no_of_static_mac=no_of_static_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_update(self, bridge_domain_list=None, vc_id=None, active_ac_lif_count=None, config_ac_lif_count=None, active_vfi_lif_count=None, config_vfi_lif_count=None, local_switching=None, block_bpdu=None, bd_type=None, ve_ifindex=None, pw_profile=None, mac_limit=None, statistics=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param bridge_domain_list: kwarg tuple.
		:type bridge_domain_list: (bd_id).

		:param bd_id: tuple arg.
		:type bd_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vc_id: kwarg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param active_ac_lif_count: kwarg.
		:type active_ac_lif_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param config_ac_lif_count: kwarg.
		:type config_ac_lif_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param active_vfi_lif_count: kwarg.
		:type active_vfi_lif_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param config_vfi_lif_count: kwarg.
		:type config_vfi_lif_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param local_switching: kwarg.
		:type local_switching: (YANGBool)

		:param block_bpdu: kwarg.
		:type block_bpdu: (YANGBool)

		:param bd_type: kwarg.
		:type bd_type: (int)
		
		.. note::
			* range - ['0..65535']

		:param ve_ifindex: kwarg.
		:type ve_ifindex: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pw_profile: kwarg.
		:type pw_profile: (unicode)

		:param mac_limit: kwarg.
		:type mac_limit: (int)
		
		.. note::
			* range - ['0..65535']

		:param statistics: kwarg.
		:type statistics: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, vc_id=vc_id, active_ac_lif_count=active_ac_lif_count, config_ac_lif_count=config_ac_lif_count, active_vfi_lif_count=active_vfi_lif_count, config_vfi_lif_count=config_vfi_lif_count, local_switching=local_switching, block_bpdu=block_bpdu, bd_type=bd_type, ve_ifindex=ve_ifindex, pw_profile=pw_profile, mac_limit=mac_limit, statistics=statistics)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_update(self, bridge_domain_list=None, outer_vlan_list=None, no_of_up_tagged_ports=None, no_of_up_untagged_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bridge_domain_list: kwarg tuple.
		:type bridge_domain_list: (bd_id).

		:param bd_id: tuple arg.
		:type bd_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param outer_vlan_list: kwarg tuple.
		:type outer_vlan_list: (outer_vlan).

		:param outer_vlan: tuple arg.
		:type outer_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param no_of_up_tagged_ports: kwarg.
		:type no_of_up_tagged_ports: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_of_up_untagged_ports: kwarg.
		:type no_of_up_untagged_ports: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'outer_vlan_list', 'keyval': 'outer_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, no_of_up_tagged_ports=no_of_up_tagged_ports, no_of_up_untagged_ports=no_of_up_untagged_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_update(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, lif_ifindex=None, outer_vlan=None, inner_vlan=None, flags=None, ivid=None, encap_id=None, ingress_stats_id=None, egress_stats_id=None, op_state=None, service_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bridge_domain_list: kwarg tuple.
		:type bridge_domain_list: (bd_id).

		:param bd_id: tuple arg.
		:type bd_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param outer_vlan_list: kwarg tuple.
		:type outer_vlan_list: (outer_vlan).

		:param outer_vlan: tuple arg.
		:type outer_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param tagged_ports_list: kwarg tuple.
		:type tagged_ports_list: (lif_name).

		:param lif_name: tuple arg.
		:type lif_name: (unicode)

	**This Instance Arg(s)**:
		:param lif_ifindex: kwarg.
		:type lif_ifindex: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param outer_vlan: kwarg.
		:type outer_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param inner_vlan: kwarg.
		:type inner_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param flags: kwarg.
		:type flags: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ivid: kwarg.
		:type ivid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param encap_id: kwarg.
		:type encap_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ingress_stats_id: kwarg.
		:type ingress_stats_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param egress_stats_id: kwarg.
		:type egress_stats_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param op_state: kwarg.
		:type op_state: (YANGBool)

		:param service_instance: kwarg.
		:type service_instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, lif_ifindex=lif_ifindex, outer_vlan=outer_vlan, inner_vlan=inner_vlan, flags=flags, ivid=ivid, encap_id=encap_id, ingress_stats_id=ingress_stats_id, egress_stats_id=egress_stats_id, op_state=op_state, service_instance=service_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_update(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, lif_ifindex=None, outer_vlan=None, flags=None, ivid=None, encap_id=None, ingress_stats_id=None, egress_stats_id=None, op_state=None, service_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bridge_domain_list: kwarg tuple.
		:type bridge_domain_list: (bd_id).

		:param bd_id: tuple arg.
		:type bd_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param outer_vlan_list: kwarg tuple.
		:type outer_vlan_list: (outer_vlan).

		:param outer_vlan: tuple arg.
		:type outer_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param untagged_ports_list: kwarg tuple.
		:type untagged_ports_list: (lif_name).

		:param lif_name: tuple arg.
		:type lif_name: (unicode)

	**This Instance Arg(s)**:
		:param lif_ifindex: kwarg.
		:type lif_ifindex: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param outer_vlan: kwarg.
		:type outer_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param flags: kwarg.
		:type flags: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ivid: kwarg.
		:type ivid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param encap_id: kwarg.
		:type encap_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ingress_stats_id: kwarg.
		:type ingress_stats_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param egress_stats_id: kwarg.
		:type egress_stats_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param op_state: kwarg.
		:type op_state: (YANGBool)

		:param service_instance: kwarg.
		:type service_instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, lif_ifindex=lif_ifindex, outer_vlan=outer_vlan, flags=flags, ivid=ivid, encap_id=encap_id, ingress_stats_id=ingress_stats_id, egress_stats_id=egress_stats_id, op_state=op_state, service_instance=service_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def capabilities_ipv6_update(self, ipv6Raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ipv6Raguard: kwarg.
		:type ipv6Raguard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.ipv6', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6Raguard=ipv6Raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def capabilities_ipv6_ipv6raguard_update(self, ipv6Raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ipv6Raguard: kwarg.
		:type ipv6Raguard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.ipv6', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6Raguard=ipv6Raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def capabilities_l2_update(self, port_profile=None, overlap_vlan=None, rspan=None, mac_move=None, consistency_check=None, learning_mode=None, priority_tag=None, internal_nsm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param port_profile: kwarg.
		:type port_profile: (YANGBool)

		:param overlap_vlan: kwarg.
		:type overlap_vlan: (YANGBool)

		:param rspan: kwarg.
		:type rspan: (YANGBool)

		:param mac_move: kwarg.
		:type mac_move: (YANGBool)

		:param consistency_check: kwarg.
		:type consistency_check: (YANGBool)

		:param learning_mode: kwarg.
		:type learning_mode: (YANGBool)

		:param priority_tag: kwarg.
		:type priority_tag: (YANGBool)

		:param internal_nsm: kwarg.
		:type internal_nsm: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.l2', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, overlap_vlan=overlap_vlan, rspan=rspan, mac_move=mac_move, consistency_check=consistency_check, learning_mode=learning_mode, priority_tag=priority_tag, internal_nsm=internal_nsm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def capabilities_l2_consistency_check_update(self, port_profile=None, overlap_vlan=None, rspan=None, mac_move=None, consistency_check=None, learning_mode=None, priority_tag=None, internal_nsm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param port_profile: kwarg.
		:type port_profile: (YANGBool)

		:param overlap_vlan: kwarg.
		:type overlap_vlan: (YANGBool)

		:param rspan: kwarg.
		:type rspan: (YANGBool)

		:param mac_move: kwarg.
		:type mac_move: (YANGBool)

		:param consistency_check: kwarg.
		:type consistency_check: (YANGBool)

		:param learning_mode: kwarg.
		:type learning_mode: (YANGBool)

		:param priority_tag: kwarg.
		:type priority_tag: (YANGBool)

		:param internal_nsm: kwarg.
		:type internal_nsm: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.l2', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, overlap_vlan=overlap_vlan, rspan=rspan, mac_move=mac_move, consistency_check=consistency_check, learning_mode=learning_mode, priority_tag=priority_tag, internal_nsm=internal_nsm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def capabilities_lag_update(self, PortchannelRedundancy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param PortchannelRedundancy: kwarg.
		:type PortchannelRedundancy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.lag', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, PortchannelRedundancy=PortchannelRedundancy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def capabilities_lag_portchannelredundancy_update(self, PortchannelRedundancy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param PortchannelRedundancy: kwarg.
		:type PortchannelRedundancy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.lag', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, PortchannelRedundancy=PortchannelRedundancy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def capabilities_mqc_update(self, span=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param span: kwarg.
		:type span: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.mqc', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, span=span)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def capabilities_mqc_span_update(self, span=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param span: kwarg.
		:type span: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.mqc', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, span=span)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def capabilities_ssm_update(self, aclTrafficType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param aclTrafficType: kwarg.
		:type aclTrafficType: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.ssm', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aclTrafficType=aclTrafficType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def capabilities_ssm_acltraffictype_update(self, aclTrafficType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param aclTrafficType: kwarg.
		:type aclTrafficType: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.capabilities.ssm', 'pybind.slxos.v16r_1_00b.brocade_system_capabilities', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aclTrafficType=aclTrafficType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cee_map_update(self, cee_map=None, precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param cee_map: kwarg tuple.
		:type cee_map: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param precedence:  Precedence value
		:type precedence: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.cee_map', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cee_map', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, precedence=precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cee_map_priority_group_table_update(self, cee_map=None, priority_group_table=None, weight=None, pfc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cee_map: kwarg tuple.
		:type cee_map: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Keyword Arg Tuple**:
		:param priority_group_table: kwarg tuple.
		:type priority_group_table: (PGID, weight, pfc).

		:param PGID: ;; Configure Priority Group (PGID 0-7,15.0-15.7)
		:type PGID: (unicode)
		
		.. note::
			* pattern - [0-7]|15.[0-7]

		:param weight: Configure DWRR Priority Group (PGID 0-7) weight
		:type weight: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param pfc:  Per-priority Flow Control
		:type pfc: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

	**This Instance Arg(s)**:
		:param weight: Configure DWRR Priority Group (PGID 0-7) weight
		:type weight: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param pfc:  Per-priority Flow Control
		:type pfc: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v6_0_2b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2b.cee_map.priority_group_table', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.priority_group_table', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.priority_group_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_group_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'priority_group_table', 'keyval': 'PGID', 'extra_keyval': 'PGID, weight, pfc'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, priority_group_table=priority_group_table, weight=weight, pfc=pfc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cee_map_priority_table_update(self, cee_map=None, map_cos0_pgid=None, map_cos1_pgid=None, map_cos2_pgid=None, map_cos3_pgid=None, map_cos4_pgid=None, map_cos5_pgid=None, map_cos6_pgid=None, map_cos7_pgid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cee_map: kwarg tuple.
		:type cee_map: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param map_cos0_pgid: kwarg.
		:type map_cos0_pgid: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - [0-7]|15.[0-7]

		:param map_cos1_pgid: kwarg.
		:type map_cos1_pgid: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - [0-7]|15.[0-7]

		:param map_cos2_pgid: kwarg.
		:type map_cos2_pgid: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - [0-7]|15.[0-7]

		:param map_cos3_pgid: kwarg.
		:type map_cos3_pgid: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - [0-7]|15.[0-7]

		:param map_cos4_pgid: kwarg.
		:type map_cos4_pgid: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - [0-7]|15.[0-7]

		:param map_cos5_pgid: kwarg.
		:type map_cos5_pgid: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - [0-7]|15.[0-7]

		:param map_cos6_pgid: kwarg.
		:type map_cos6_pgid: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - [0-7]|15.[0-7]

		:param map_cos7_pgid: kwarg.
		:type map_cos7_pgid: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - [0-7]|15.[0-7]

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v6_0_2b.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2b.cee_map.priority_table', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.priority_table', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.priority_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, map_cos0_pgid=map_cos0_pgid, map_cos1_pgid=map_cos1_pgid, map_cos2_pgid=map_cos2_pgid, map_cos3_pgid=map_cos3_pgid, map_cos4_pgid=map_cos4_pgid, map_cos5_pgid=map_cos5_pgid, map_cos6_pgid=map_cos6_pgid, map_cos7_pgid=map_cos7_pgid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cee_map_remap_fabric_priority_update(self, cee_map=None, fabric_remapped_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cee_map: kwarg tuple.
		:type cee_map: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param fabric_remapped_priority:  fabric-priority remapped CoS value
		:type fabric_remapped_priority: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v6_0_2b.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2b.cee_map.remap.fabric_priority', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.remap.fabric_priority', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.remap.fabric_priority', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.remap.fabric_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, fabric_remapped_priority=fabric_remapped_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cee_map_remap_fabric_priority_priority_update(self, cee_map=None, fabric_remapped_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cee_map: kwarg tuple.
		:type cee_map: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param fabric_remapped_priority:  fabric-priority remapped CoS value
		:type fabric_remapped_priority: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v6_0_2b.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2b.cee_map.remap.fabric_priority', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.remap.fabric_priority', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.remap.fabric_priority', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.remap.fabric_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, fabric_remapped_priority=fabric_remapped_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cee_map_remap_lossless_priority_update(self, cee_map=None, lossless_remapped_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cee_map: kwarg tuple.
		:type cee_map: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param lossless_remapped_priority:  lossless-priority remapped CoS value
		:type lossless_remapped_priority: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2b.cee_map.remap.lossless_priority', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.remap.lossless_priority', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.remap.lossless_priority', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.remap.lossless_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, lossless_remapped_priority=lossless_remapped_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cee_map_remap_lossless_priority_priority_update(self, cee_map=None, lossless_remapped_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cee_map: kwarg tuple.
		:type cee_map: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param lossless_remapped_priority:  lossless-priority remapped CoS value
		:type lossless_remapped_priority: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v7_0_1a.cee_map', 'cee_map'), ('pybind.nos.v7_1_0.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2b.cee_map.remap.lossless_priority', 'pybind.nos.v6_0_2b.brocade_cee_map', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.cee_map.remap.lossless_priority', 'pybind.nos.v7_0_1a.brocade_cee_map', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.cee_map.remap.lossless_priority', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.remap.lossless_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cee_map=cee_map, lossless_remapped_priority=lossless_remapped_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_update(self, domain=None, md_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param domain: kwarg tuple.
		:type domain: (md_name).

		:param md_name: tuple arg.
		:type md_name: (unicode)

	**This Instance Arg(s)**:
		:param md_level: kwarg.
		:type md_level: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, md_level=md_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_update(self, domain=None, ma=None, ma_idx=None, ma_type=None, ccm_interval=None, vlan_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param domain: kwarg tuple.
		:type domain: (md_name).

		:param md_name: tuple arg.
		:type md_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param ma: kwarg tuple.
		:type ma: (ma_name).

		:param ma_name: tuple arg.
		:type ma_name: (unicode)

	**This Instance Arg(s)**:
		:param ma_idx: kwarg.
		:type ma_idx: (int)
		
		.. note::
			* range - ['0..65535']

		:param ma_type: kwarg.
		:type ma_type: (int)
		
		.. note::
			* range - ['0..255']

		:param ccm_interval: kwarg.
		:type ccm_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: kwarg.
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, ma_idx=ma_idx, ma_type=ma_type, ccm_interval=ccm_interval, vlan_id=vlan_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_update(self, domain=None, ma=None, mep=None, mep_direction=None, mep_mac=None, mep_port=None, port_state=None, rmep_fail=None, rmep_ok=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param domain: kwarg tuple.
		:type domain: (md_name).

		:param md_name: tuple arg.
		:type md_name: (unicode)

		:param ma: kwarg tuple.
		:type ma: (ma_name).

		:param ma_name: tuple arg.
		:type ma_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param mep: kwarg tuple.
		:type mep: (mep_id).

		:param mep_id: tuple arg.
		:type mep_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param mep_direction: kwarg.
		:type mep_direction: (unicode)
		
		.. note::
			* enum - [u'mep-status-up', u'mep-status-down']

		:param mep_mac: kwarg.
		:type mep_mac: (unicode)

		:param mep_port: kwarg.
		:type mep_port: (unicode)

		:param port_state: kwarg.
		:type port_state: (int)
		
		.. note::
			* range - ['0..255']

		:param rmep_fail: kwarg.
		:type rmep_fail: (int)
		
		.. note::
			* range - ['0..65535']

		:param rmep_ok: kwarg.
		:type rmep_ok: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction, mep_mac=mep_mac, mep_port=mep_port, port_state=port_state, rmep_fail=rmep_fail, rmep_ok=rmep_ok)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_rmep_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_mac=None, vlan_id=None, rmep_port=None, rmep_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param domain: kwarg tuple.
		:type domain: (md_name).

		:param md_name: tuple arg.
		:type md_name: (unicode)

		:param ma: kwarg tuple.
		:type ma: (ma_name).

		:param ma_name: tuple arg.
		:type ma_name: (unicode)

		:param mep: kwarg tuple.
		:type mep: (mep_id).

		:param mep_id: tuple arg.
		:type mep_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Keyword Arg Tuple**:
		:param rmep: kwarg tuple.
		:type rmep: (rmep_id).

		:param rmep_id: tuple arg.
		:type rmep_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param rmep_mac: kwarg.
		:type rmep_mac: (unicode)

		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rmep_port: kwarg.
		:type rmep_port: (unicode)

		:param rmep_state: kwarg.
		:type rmep_state: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac, vlan_id=vlan_id, rmep_port=rmep_port, rmep_state=rmep_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mip_update(self, domain=None, ma=None, mip=None, level=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param domain: kwarg tuple.
		:type domain: (md_name).

		:param md_name: tuple arg.
		:type md_name: (unicode)

		:param ma: kwarg tuple.
		:type ma: (ma_name).

		:param ma_name: tuple arg.
		:type ma_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param mip: kwarg tuple.
		:type mip: (vlan_id, port).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port: tuple arg.
		:type port: (unicode)

	**This Instance Arg(s)**:
		:param level: kwarg.
		:type level: (int)
		
		.. note::
			* range - ['0..255']

		:param mac: kwarg.
		:type mac: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mip=mip, level=level, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_update(self, domain=None, md_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param domain: kwarg tuple.
		:type domain: (md_name).

		:param md_name: tuple arg.
		:type md_name: (unicode)

	**This Instance Arg(s)**:
		:param md_level: kwarg.
		:type md_level: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, md_level=md_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_update(self, domain=None, ma=None, ma_idx=None, ma_type=None, ccm_interval=None, vlan_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param domain: kwarg tuple.
		:type domain: (md_name).

		:param md_name: tuple arg.
		:type md_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param ma: kwarg tuple.
		:type ma: (ma_name).

		:param ma_name: tuple arg.
		:type ma_name: (unicode)

	**This Instance Arg(s)**:
		:param ma_idx: kwarg.
		:type ma_idx: (int)
		
		.. note::
			* range - ['0..65535']

		:param ma_type: kwarg.
		:type ma_type: (int)
		
		.. note::
			* range - ['0..255']

		:param ccm_interval: kwarg.
		:type ccm_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: kwarg.
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, ma_idx=ma_idx, ma_type=ma_type, ccm_interval=ccm_interval, vlan_id=vlan_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_update(self, domain=None, ma=None, mep=None, mep_direction=None, mep_mac=None, mep_port=None, port_state=None, rmep_fail=None, rmep_ok=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param domain: kwarg tuple.
		:type domain: (md_name).

		:param md_name: tuple arg.
		:type md_name: (unicode)

		:param ma: kwarg tuple.
		:type ma: (ma_name).

		:param ma_name: tuple arg.
		:type ma_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param mep: kwarg tuple.
		:type mep: (mep_id).

		:param mep_id: tuple arg.
		:type mep_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param mep_direction: kwarg.
		:type mep_direction: (unicode)
		
		.. note::
			* enum - [u'mep-status-up', u'mep-status-down']

		:param mep_mac: kwarg.
		:type mep_mac: (unicode)

		:param mep_port: kwarg.
		:type mep_port: (unicode)

		:param port_state: kwarg.
		:type port_state: (int)
		
		.. note::
			* range - ['0..255']

		:param rmep_fail: kwarg.
		:type rmep_fail: (int)
		
		.. note::
			* range - ['0..65535']

		:param rmep_ok: kwarg.
		:type rmep_ok: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction, mep_mac=mep_mac, mep_port=mep_port, port_state=port_state, rmep_fail=rmep_fail, rmep_ok=rmep_ok)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_rmep_update(self, domain=None, ma=None, mep=None, rmep=None, rmep_mac=None, vlan_id=None, rmep_port=None, rmep_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param domain: kwarg tuple.
		:type domain: (md_name).

		:param md_name: tuple arg.
		:type md_name: (unicode)

		:param ma: kwarg tuple.
		:type ma: (ma_name).

		:param ma_name: tuple arg.
		:type ma_name: (unicode)

		:param mep: kwarg tuple.
		:type mep: (mep_id).

		:param mep_id: tuple arg.
		:type mep_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Keyword Arg Tuple**:
		:param rmep: kwarg tuple.
		:type rmep: (rmep_id).

		:param rmep_id: tuple arg.
		:type rmep_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param rmep_mac: kwarg.
		:type rmep_mac: (unicode)

		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rmep_port: kwarg.
		:type rmep_port: (unicode)

		:param rmep_state: kwarg.
		:type rmep_state: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac, vlan_id=vlan_id, rmep_port=rmep_port, rmep_state=rmep_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mip_update(self, domain=None, ma=None, mip=None, level=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param domain: kwarg tuple.
		:type domain: (md_name).

		:param md_name: tuple arg.
		:type md_name: (unicode)

		:param ma: kwarg tuple.
		:type ma: (ma_name).

		:param ma_name: tuple arg.
		:type ma_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param mip: kwarg tuple.
		:type mip: (vlan_id, port).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port: tuple arg.
		:type port: (unicode)

	**This Instance Arg(s)**:
		:param level: kwarg.
		:type level: (int)
		
		.. note::
			* range - ['0..255']

		:param mac: kwarg.
		:type mac: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain=domain, ma=ma, mip=mip, level=level, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def chassis_update(self):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.chassis', 'pybind.nos.v6_0_2b.brocade_chassis', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v6_0_2b.brocade_chassis', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.chassis', 'pybind.nos.v7_0_1a.brocade_chassis', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v7_0_1a.brocade_chassis', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.chassis', 'pybind.nos.v7_1_0.brocade_chassis', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v7_1_0.brocade_chassis', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.chassis', 'pybind.slxos.v16r_1_00b.brocade_chassis', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.hide_virtual_ip_holder.chassis', 'pybind.slxos.v16r_1_00b.brocade_chassis', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def chassis_virtual_ip_update(self, virtual_oper_Vip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param virtual_oper_Vip_address: Show virtual-ip address
		:type virtual_oper_Vip_address: (unicode)
		
		.. note::
			* pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v6_0_2b.brocade_chassis', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v7_0_1a.brocade_chassis', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_virtual_ip_holder.chassis.oper_address', 'pybind.nos.v7_1_0.brocade_chassis', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hide_virtual_ip_holder.chassis', 'pybind.slxos.v16r_1_00b.brocade_chassis', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, virtual_oper_Vip_address=virtual_oper_Vip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def chassis_virtual_ip_v4_update(self, virtual_oper_Vip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param virtual_oper_Vip_address: kwarg.
		:type virtual_oper_Vip_address: (unicode)
		
		.. note::
			* pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hide_virtual_ip_holder.chassis.oper_address', 'pybind.slxos.v16r_1_00b.brocade_chassis', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, virtual_oper_Vip_address=virtual_oper_Vip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def class_map_match_access_group_update(self, class_map=None, access_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param class_map: kwarg tuple.
		:type class_map: (name).

		:param name: Class Map Name (Max Size - 64)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param access_group_name: Access list name (Max 64)
		:type access_group_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.class_map', 'class_map'), ('pybind.nos.v7_0_1a.class_map', 'class_map'), ('pybind.nos.v6_0_2b.class_map', 'class_map'), ('pybind.slxos.v16r_1_00b.class_map', 'class_map')]
    bindings_list = [('pybind.nos.v6_0_2b.class_map.match.access_group', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.class_map.match.access_group', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.class_map.match.access_group', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.class_map.match.access_group', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, class_map=class_map, access_group_name=access_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def clock_update(self, timezone=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param timezone: timezone region/city (regions are Africa,
America, Antarctica, Arctic, Asia, Atlantic,
Australia, Europe, Indian, Pacific)
		:type timezone: (unicode)
		
		.. note::
			* enum - [u'Atlantic/Canary', u'Australia/Melbourne', u'Antarctica/Mawson', u'America/Nipigon', u'America/Miquelon', u'Indian/Reunion', u'Antarctica/Davis', u'Asia/Dhaka', u'America/St_Lucia', u'Asia/Kashgar', u'America/Phoenix', u'Asia/Kuwait', u'Asia/Hong_Kong', u'Arctic/Longyearbyen', u'Europe/Guernsey', u'Antarctica/Rothera', u'Europe/Stockholm', u'Pacific/Fiji', u'Pacific/Apia', u'Pacific/Pago_Pago', u'Asia/Rangoon', u'America/Mexico_City', u'America/Puerto_Rico', u'Indian/Mauritius', u'Europe/Berlin', u'Europe/Zurich', u'America/Belem', u'Europe/Skopje', u'Asia/Krasnoyarsk', u'Atlantic/Bermuda', u'Australia/Currie', u'Asia/Tehran', u'Asia/Baku', u'America/St_Barthelemy', u'America/Santarem', u'America/Danmarkshavn', u'America/Scoresbysund', u'America/Eirunepe', u'America/Caracas', u'Asia/Baghdad', u'Africa/Monrovia', u'America/St_Vincent', u'America/Vancouver', u'Asia/Ho_Chi_Minh', u'Asia/Thimphu', u'Africa/Accra', u'America/Belize', u'America/Port_of_Spain', u'Asia/Tashkent', u'Asia/Tokyo', u'Pacific/Kiritimati', u'Australia/Sydney', u'Europe/Riga', u'Asia/Dili', u'Africa/Mbabane', u'Asia/Oral', u'Asia/Aden', u'Europe/Isle_of_Man', u'Europe/Istanbul', u'Africa/Abidjan', u'Australia/Lindeman', u'Pacific/Galapagos', u'America/Bogota', u'Africa/Asmara', u'America/Chicago', u'Pacific/Kwajalein', u'America/Cuiaba', u'Indian/Christmas', u'Asia/Jayapura', u'Europe/Brussels', u'Europe/Lisbon', u'Asia/Chongqing', u'America/Argentina/Cordoba', u'America/Noronha', u'Europe/Madrid', u'Africa/Algiers', u'Africa/Harare', u'Africa/Ndjamena', u'America/Costa_Rica', u'Europe/Ljubljana', u'Indian/Mayotte', u'Asia/Phnom_Penh', u'America/Managua', u'Asia/Brunei', u'America/Tijuana', u'Pacific/Fakaofo', u'America/Adak', u'America/Antigua', u'America/Indiana/Indianapolis', u'America/Argentina/La_Rioja', u'Pacific/Tahiti', u'America/Pangnirtung', u'Europe/Zagreb', u'America/Asuncion', u'Europe/Vienna', u'Australia/Hobart', u'America/Juneau', u'America/Inuvik', u'America/Montreal', u'Asia/Seoul', u'Indian/Comoro', u'Europe/Paris', u'Europe/Tallinn', u'Indian/Mahe', u'America/Argentina/Jujuy', u'America/Martinique', u'Asia/Singapore', u'Africa/Nairobi', u'America/Maceio', u'Africa/Cairo', u'Europe/Moscow', u'Asia/Ulaanbaatar', u'America/Rainy_River', u'Indian/Maldives', u'Asia/Colombo', u'Australia/Adelaide', u'America/Cambridge_Bay', u'Africa/Luanda', u'Pacific/Chatham', u'America/Indiana/Winamac', u'Asia/Tbilisi', u'Europe/Gibraltar', u'Asia/Karachi', u'Asia/Harbin', u'Australia/Lord_Howe', u'America/Boa_Vista', u'Africa/Tripoli', u'Pacific/Wallis', u'Atlantic/Stanley', u'Asia/Srednekolymsk', u'America/Blanc-Sablon', u'America/Santo_Domingo', u'Antarctica/Syowa', u'America/Jamaica', u'Europe/Kiev', u'Europe/Budapest', u'Pacific/Midway', u'America/Goose_Bay', u'Asia/Amman', u'Asia/Sakhalin', u'Africa/Windhoek', u'Asia/Katmandu', u'America/Guyana', u'America/Sao_Paulo', u'Australia/Perth', u'Africa/Djibouti', u'Asia/Jakarta', u'Asia/Pyongyang', u'Africa/Johannesburg', u'Asia/Irkutsk', u'Africa/Niamey', u'Africa/Casablanca', u'Asia/Bishkek', u'Africa/Nouakchott', u'Europe/Vilnius', u'America/Cayenne', u'Europe/Greenwich', u'Africa/Mogadishu', u'America/Kentucky/Monticello', u'America/Rio_Branco', u'America/Cancun', u'America/Havana', u'Pacific/Guam', u'Asia/Makassar', u'Atlantic/Azores', u'Australia/Eucla', u'Asia/Shanghai', u'America/Rankin_Inlet', u'America/Iqaluit', u'Africa/Maputo', u'Asia/Bahrain', u'Asia/Ashgabat', u'Asia/Riyadh', u'Europe/London', u'Europe/Warsaw', u'America/Anguilla', u'Asia/Damascus', u'America/North_Dakota/Center', u'America/Indiana/Vevay', u'Atlantic/St_Helena', u'America/Barbados', u'Europe/Vatican', u'America/Indiana/Vincennes', u'Asia/Almaty', u'Africa/Lome', u'Africa/Brazzaville', u'America/Nome', u'Europe/Dublin', u'America/Yakutat', u'America/Argentina/Mendoza', u'America/Araguaina', u'Europe/Vaduz', u'Europe/Minsk', u'Asia/Kolkata', u'Africa/Maseru', u'Asia/Kuching', u'Africa/Libreville', u'Africa/Freetown', u'Africa/Bissau', u'Europe/Samara', u'Europe/Amsterdam', u'Europe/Tirane', u'Pacific/Saipan', u'Asia/Magadan', u'Europe/Zaporozhye', u'America/El_Salvador', u'Europe/Podgorica', u'America/Santiago', u'America/Argentina/Buenos_Aires', u'America/Argentina/San_Luis', u'America/Aruba', u'America/Regina', u'Pacific/Truk', u'Pacific/Funafuti', u'America/Merida', u'America/Guatemala', u'Africa/Sao_Tome', u'Pacific/Kosrae', u'Africa/Bujumbura', u'Europe/Chisinau', u'America/Monterrey', u'Asia/Yekaterinburg', u'Antarctica/Casey', u'Pacific/Enderbury', u'America/Thule', u'America/St_Johns', u'America/Moncton', u'Europe/Helsinki', u'Atlantic/Cape_Verde', u'America/Tegucigalpa', u'Indian/Cocos', u'America/Boise', u'America/Guadeloupe', u'America/Nassau', u'Europe/Prague', u'America/Halifax', u'Asia/Hovd', u'America/Manaus', u'America/Godthab', u'America/Chihuahua', u'Asia/Beirut', u'America/Argentina/Rio_Gallegos', u'Pacific/Gambier', u'Europe/Volgograd', u'Africa/Bamako', u'Europe/Uzhgorod', u'Africa/Banjul', u'Asia/Aqtau', u'Africa/Malabo', u'Atlantic/Madeira', u'Pacific/Noumea', u'Africa/Kinshasa', u'Europe/Malta', u'America/Argentina/Ushuaia', u'Asia/Bangkok', u'Pacific/Niue', u'Australia/Brisbane', u'America/Recife', u'Asia/Yerevan', u'America/La_Paz', u'Asia/Urumqi', u'Africa/Lusaka', u'Pacific/Guadalcanal', u'America/Yellowknife', u'Asia/Vientiane', u'Europe/Kaliningrad', u'Africa/Conakry', u'America/Argentina/Tucuman', u'Europe/Oslo', u'America/St_Kitts', u'America/Panama', u'America/Hermosillo', u'Pacific/Palau', u'America/Guayaquil', u'Asia/Kuala_Lumpur', u'America/Menominee', u'Asia/Kamchatka', u'Asia/Vladivostok', u'Asia/Qatar', u'Asia/Dubai', u'Asia/Yakutsk', u'Asia/Omsk', u'Africa/Bangui', u'America/Paramaribo', u'Africa/Lubumbashi', u'Pacific/Marquesas', u'Europe/Bratislava', u'Asia/Anadyr', u'America/New_York', u'Pacific/Norfolk', u'Pacific/Rarotonga', u'America/Dominica', u'Africa/Porto-Novo', u'Asia/Samarkand', u'Asia/Dushanbe', u'America/Toronto', u'America/Bahia', u'Africa/Kampala', u'Africa/Ouagadougou', u'Antarctica/South_Pole', u'Asia/Muscat', u'America/Edmonton', u'Pacific/Wake', u'America/Indiana/Tell_City', u'Australia/Darwin', u'America/Whitehorse', u'America/Swift_Current', u'Europe/Copenhagen', u'America/Montserrat', u'Europe/Simferopol', u'Africa/Blantyre', u'America/Detroit', u'America/Shiprock', u'America/Grenada', u'Atlantic/Faroe', u'America/Indiana/Petersburg', u'Asia/Pontianak', u'Europe/Athens', u'America/Port-au-Prince', u'America/Cayman', u'Africa/Dar_es_Salaam', u'America/Curacao', u'Indian/Kerguelen', u'Africa/Khartoum', u'Asia/Manila', u'Europe/Sarajevo', u'Africa/Douala', u'Europe/Rome', u'America/Argentina/San_Juan', u'America/North_Dakota/New_Salem', u'Pacific/Port_Moresby', u'Europe/Jersey', u'Europe/Andorra', u'Europe/Luxembourg', u'Pacific/Honolulu', u'America/St_Thomas', u'Pacific/Majuro', u'America/Mazatlan', u'Asia/Macau', u'Europe/Belgrade', u'Asia/Choibalsan', u'Europe/Mariehamn', u'Antarctica/McMurdo', u'America/Thunder_Bay', u'America/Los_Angeles', u'Asia/Kabul', u'Indian/Antananarivo', u'Atlantic/Reykjavik', u'Asia/Nicosia', u'Pacific/Ponape', u'Pacific/Tongatapu', u'America/Marigot', u'Pacific/Pitcairn', u'Pacific/Easter', u'Atlantic/South_Georgia', u'Africa/El_Aaiun', u'America/Campo_Grande', u'America/Dawson_Creek', u'Antarctica/Vostok', u'Europe/Bucharest', u'America/Porto_Velho', u'Europe/Monaco', u'America/Indiana/Marengo', u'Africa/Ceuta', u'America/Winnipeg', u'Asia/Aqtobe', u'Africa/Dakar', u'America/Fortaleza', u'Pacific/Tarawa', u'America/Dawson', u'Africa/Addis_Ababa', u'Pacific/Efate', u'Pacific/Johnston', u'Asia/Qyzylorda', u'Europe/San_Marino', u'Asia/Jerusalem', u'Pacific/Auckland', u'America/Tortola', u'America/Denver', u'Indian/Chagos', u'America/Glace_Bay', u'Africa/Gaborone', u'Africa/Tunis', u'America/Montevideo', u'America/Resolute', u'Etc/GMT', u'Asia/Gaza', u'Asia/Taipei', u'Antarctica/DumontDUrville', u'America/Argentina/Catamarca', u'America/Indiana/Knox', u'Asia/Novosibirsk', u'Africa/Kigali', u'America/Grand_Turk', u'Africa/Lagos', u'Europe/Sofia', u'America/Lima', u'America/Anchorage', u'Pacific/Nauru']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.clock_sa.clock', 'pybind.nos.v6_0_2b.brocade_clock', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.clock_sa.clock', 'pybind.nos.v7_0_1a.brocade_clock', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.clock_sa.clock', 'pybind.nos.v7_1_0.brocade_clock', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.clock_sa.clock', 'pybind.slxos.v16r_1_00b.brocade_clock', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timezone=timezone)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def clock_timezone_update(self, timezone=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param timezone: timezone region/city (regions are Africa,
America, Antarctica, Arctic, Asia, Atlantic,
Australia, Europe, Indian, Pacific)
		:type timezone: (unicode)
		
		.. note::
			* enum - [u'Atlantic/Canary', u'Australia/Melbourne', u'Antarctica/Mawson', u'America/Nipigon', u'America/Miquelon', u'Indian/Reunion', u'Antarctica/Davis', u'Asia/Dhaka', u'America/St_Lucia', u'Asia/Kashgar', u'America/Phoenix', u'Asia/Kuwait', u'Asia/Hong_Kong', u'Arctic/Longyearbyen', u'Europe/Guernsey', u'Antarctica/Rothera', u'Europe/Stockholm', u'Pacific/Fiji', u'Pacific/Apia', u'Pacific/Pago_Pago', u'Asia/Rangoon', u'America/Mexico_City', u'America/Puerto_Rico', u'Indian/Mauritius', u'Europe/Berlin', u'Europe/Zurich', u'America/Belem', u'Europe/Skopje', u'Asia/Krasnoyarsk', u'Atlantic/Bermuda', u'Australia/Currie', u'Asia/Tehran', u'Asia/Baku', u'America/St_Barthelemy', u'America/Santarem', u'America/Danmarkshavn', u'America/Scoresbysund', u'America/Eirunepe', u'America/Caracas', u'Asia/Baghdad', u'Africa/Monrovia', u'America/St_Vincent', u'America/Vancouver', u'Asia/Ho_Chi_Minh', u'Asia/Thimphu', u'Africa/Accra', u'America/Belize', u'America/Port_of_Spain', u'Asia/Tashkent', u'Asia/Tokyo', u'Pacific/Kiritimati', u'Australia/Sydney', u'Europe/Riga', u'Asia/Dili', u'Africa/Mbabane', u'Asia/Oral', u'Asia/Aden', u'Europe/Isle_of_Man', u'Europe/Istanbul', u'Africa/Abidjan', u'Australia/Lindeman', u'Pacific/Galapagos', u'America/Bogota', u'Africa/Asmara', u'America/Chicago', u'Pacific/Kwajalein', u'America/Cuiaba', u'Indian/Christmas', u'Asia/Jayapura', u'Europe/Brussels', u'Europe/Lisbon', u'Asia/Chongqing', u'America/Argentina/Cordoba', u'America/Noronha', u'Europe/Madrid', u'Africa/Algiers', u'Africa/Harare', u'Africa/Ndjamena', u'America/Costa_Rica', u'Europe/Ljubljana', u'Indian/Mayotte', u'Asia/Phnom_Penh', u'America/Managua', u'Asia/Brunei', u'America/Tijuana', u'Pacific/Fakaofo', u'America/Adak', u'America/Antigua', u'America/Indiana/Indianapolis', u'America/Argentina/La_Rioja', u'Pacific/Tahiti', u'America/Pangnirtung', u'Europe/Zagreb', u'America/Asuncion', u'Europe/Vienna', u'Australia/Hobart', u'America/Juneau', u'America/Inuvik', u'America/Montreal', u'Asia/Seoul', u'Indian/Comoro', u'Europe/Paris', u'Europe/Tallinn', u'Indian/Mahe', u'America/Argentina/Jujuy', u'America/Martinique', u'Asia/Singapore', u'Africa/Nairobi', u'America/Maceio', u'Africa/Cairo', u'Europe/Moscow', u'Asia/Ulaanbaatar', u'America/Rainy_River', u'Indian/Maldives', u'Asia/Colombo', u'Australia/Adelaide', u'America/Cambridge_Bay', u'Africa/Luanda', u'Pacific/Chatham', u'America/Indiana/Winamac', u'Asia/Tbilisi', u'Europe/Gibraltar', u'Asia/Karachi', u'Asia/Harbin', u'Australia/Lord_Howe', u'America/Boa_Vista', u'Africa/Tripoli', u'Pacific/Wallis', u'Atlantic/Stanley', u'Asia/Srednekolymsk', u'America/Blanc-Sablon', u'America/Santo_Domingo', u'Antarctica/Syowa', u'America/Jamaica', u'Europe/Kiev', u'Europe/Budapest', u'Pacific/Midway', u'America/Goose_Bay', u'Asia/Amman', u'Asia/Sakhalin', u'Africa/Windhoek', u'Asia/Katmandu', u'America/Guyana', u'America/Sao_Paulo', u'Australia/Perth', u'Africa/Djibouti', u'Asia/Jakarta', u'Asia/Pyongyang', u'Africa/Johannesburg', u'Asia/Irkutsk', u'Africa/Niamey', u'Africa/Casablanca', u'Asia/Bishkek', u'Africa/Nouakchott', u'Europe/Vilnius', u'America/Cayenne', u'Europe/Greenwich', u'Africa/Mogadishu', u'America/Kentucky/Monticello', u'America/Rio_Branco', u'America/Cancun', u'America/Havana', u'Pacific/Guam', u'Asia/Makassar', u'Atlantic/Azores', u'Australia/Eucla', u'Asia/Shanghai', u'America/Rankin_Inlet', u'America/Iqaluit', u'Africa/Maputo', u'Asia/Bahrain', u'Asia/Ashgabat', u'Asia/Riyadh', u'Europe/London', u'Europe/Warsaw', u'America/Anguilla', u'Asia/Damascus', u'America/North_Dakota/Center', u'America/Indiana/Vevay', u'Atlantic/St_Helena', u'America/Barbados', u'Europe/Vatican', u'America/Indiana/Vincennes', u'Asia/Almaty', u'Africa/Lome', u'Africa/Brazzaville', u'America/Nome', u'Europe/Dublin', u'America/Yakutat', u'America/Argentina/Mendoza', u'America/Araguaina', u'Europe/Vaduz', u'Europe/Minsk', u'Asia/Kolkata', u'Africa/Maseru', u'Asia/Kuching', u'Africa/Libreville', u'Africa/Freetown', u'Africa/Bissau', u'Europe/Samara', u'Europe/Amsterdam', u'Europe/Tirane', u'Pacific/Saipan', u'Asia/Magadan', u'Europe/Zaporozhye', u'America/El_Salvador', u'Europe/Podgorica', u'America/Santiago', u'America/Argentina/Buenos_Aires', u'America/Argentina/San_Luis', u'America/Aruba', u'America/Regina', u'Pacific/Truk', u'Pacific/Funafuti', u'America/Merida', u'America/Guatemala', u'Africa/Sao_Tome', u'Pacific/Kosrae', u'Africa/Bujumbura', u'Europe/Chisinau', u'America/Monterrey', u'Asia/Yekaterinburg', u'Antarctica/Casey', u'Pacific/Enderbury', u'America/Thule', u'America/St_Johns', u'America/Moncton', u'Europe/Helsinki', u'Atlantic/Cape_Verde', u'America/Tegucigalpa', u'Indian/Cocos', u'America/Boise', u'America/Guadeloupe', u'America/Nassau', u'Europe/Prague', u'America/Halifax', u'Asia/Hovd', u'America/Manaus', u'America/Godthab', u'America/Chihuahua', u'Asia/Beirut', u'America/Argentina/Rio_Gallegos', u'Pacific/Gambier', u'Europe/Volgograd', u'Africa/Bamako', u'Europe/Uzhgorod', u'Africa/Banjul', u'Asia/Aqtau', u'Africa/Malabo', u'Atlantic/Madeira', u'Pacific/Noumea', u'Africa/Kinshasa', u'Europe/Malta', u'America/Argentina/Ushuaia', u'Asia/Bangkok', u'Pacific/Niue', u'Australia/Brisbane', u'America/Recife', u'Asia/Yerevan', u'America/La_Paz', u'Asia/Urumqi', u'Africa/Lusaka', u'Pacific/Guadalcanal', u'America/Yellowknife', u'Asia/Vientiane', u'Europe/Kaliningrad', u'Africa/Conakry', u'America/Argentina/Tucuman', u'Europe/Oslo', u'America/St_Kitts', u'America/Panama', u'America/Hermosillo', u'Pacific/Palau', u'America/Guayaquil', u'Asia/Kuala_Lumpur', u'America/Menominee', u'Asia/Kamchatka', u'Asia/Vladivostok', u'Asia/Qatar', u'Asia/Dubai', u'Asia/Yakutsk', u'Asia/Omsk', u'Africa/Bangui', u'America/Paramaribo', u'Africa/Lubumbashi', u'Pacific/Marquesas', u'Europe/Bratislava', u'Asia/Anadyr', u'America/New_York', u'Pacific/Norfolk', u'Pacific/Rarotonga', u'America/Dominica', u'Africa/Porto-Novo', u'Asia/Samarkand', u'Asia/Dushanbe', u'America/Toronto', u'America/Bahia', u'Africa/Kampala', u'Africa/Ouagadougou', u'Antarctica/South_Pole', u'Asia/Muscat', u'America/Edmonton', u'Pacific/Wake', u'America/Indiana/Tell_City', u'Australia/Darwin', u'America/Whitehorse', u'America/Swift_Current', u'Europe/Copenhagen', u'America/Montserrat', u'Europe/Simferopol', u'Africa/Blantyre', u'America/Detroit', u'America/Shiprock', u'America/Grenada', u'Atlantic/Faroe', u'America/Indiana/Petersburg', u'Asia/Pontianak', u'Europe/Athens', u'America/Port-au-Prince', u'America/Cayman', u'Africa/Dar_es_Salaam', u'America/Curacao', u'Indian/Kerguelen', u'Africa/Khartoum', u'Asia/Manila', u'Europe/Sarajevo', u'Africa/Douala', u'Europe/Rome', u'America/Argentina/San_Juan', u'America/North_Dakota/New_Salem', u'Pacific/Port_Moresby', u'Europe/Jersey', u'Europe/Andorra', u'Europe/Luxembourg', u'Pacific/Honolulu', u'America/St_Thomas', u'Pacific/Majuro', u'America/Mazatlan', u'Asia/Macau', u'Europe/Belgrade', u'Asia/Choibalsan', u'Europe/Mariehamn', u'Antarctica/McMurdo', u'America/Thunder_Bay', u'America/Los_Angeles', u'Asia/Kabul', u'Indian/Antananarivo', u'Atlantic/Reykjavik', u'Asia/Nicosia', u'Pacific/Ponape', u'Pacific/Tongatapu', u'America/Marigot', u'Pacific/Pitcairn', u'Pacific/Easter', u'Atlantic/South_Georgia', u'Africa/El_Aaiun', u'America/Campo_Grande', u'America/Dawson_Creek', u'Antarctica/Vostok', u'Europe/Bucharest', u'America/Porto_Velho', u'Europe/Monaco', u'America/Indiana/Marengo', u'Africa/Ceuta', u'America/Winnipeg', u'Asia/Aqtobe', u'Africa/Dakar', u'America/Fortaleza', u'Pacific/Tarawa', u'America/Dawson', u'Africa/Addis_Ababa', u'Pacific/Efate', u'Pacific/Johnston', u'Asia/Qyzylorda', u'Europe/San_Marino', u'Asia/Jerusalem', u'Pacific/Auckland', u'America/Tortola', u'America/Denver', u'Indian/Chagos', u'America/Glace_Bay', u'Africa/Gaborone', u'Africa/Tunis', u'America/Montevideo', u'America/Resolute', u'Etc/GMT', u'Asia/Gaza', u'Asia/Taipei', u'Antarctica/DumontDUrville', u'America/Argentina/Catamarca', u'America/Indiana/Knox', u'Asia/Novosibirsk', u'Africa/Kigali', u'America/Grand_Turk', u'Africa/Lagos', u'Europe/Sofia', u'America/Lima', u'America/Anchorage', u'Pacific/Nauru']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.clock_sa.clock', 'pybind.nos.v6_0_2b.brocade_clock', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.clock_sa.clock', 'pybind.nos.v7_0_1a.brocade_clock', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.clock_sa.clock', 'pybind.nos.v7_1_0.brocade_clock', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.clock_sa.clock', 'pybind.slxos.v16r_1_00b.brocade_clock', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timezone=timezone)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cluster_update(self, cluster=None, client_interfaces_shutdown=None, client_isolation_strict=None, designated_forwarder_hold_time=None, deploy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param cluster: kwarg tuple.
		:type cluster: (cluster_name, cluster_id).

		:param cluster_name: Name for the Cluster (MAX: 64 Characters)
		:type cluster_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param cluster_id: Id for the Cluster (Range: 1 - 65535
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param client_interfaces_shutdown: Disable the cluster client interfaces
		:type client_interfaces_shutdown: (YANGBool)

		:param client_isolation_strict: Configure cluster client isolation mode strict
		:type client_isolation_strict: (YANGBool)

		:param designated_forwarder_hold_time: Time in seconds to wait before electing a designated forwarder (Range:<1-60>, default:3)
		:type designated_forwarder_hold_time: (int)
		
		.. note::
			* range - ['0..65535']

		:param deploy: Deploy the Cluster
		:type deploy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cluster', 'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, client_interfaces_shutdown=client_interfaces_shutdown, client_isolation_strict=client_isolation_strict, designated_forwarder_hold_time=designated_forwarder_hold_time, deploy=deploy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cluster_client_update(self, cluster=None, client=None, esi=None, client_deploy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cluster: kwarg tuple.
		:type cluster: (cluster_name, cluster_id).

		:param cluster_name: Name for the Cluster (MAX: 64 Characters)
		:type cluster_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param cluster_id: Id for the Cluster (Range: 1 - 65535
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param client: kwarg tuple.
		:type client: (client_name, client_id).

		:param client_name: Name for the Cluster Client (MAX: 64 Characters)
		:type client_name: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param client_id: Id for the Cluster Client (Range: 1 - 512)
		:type client_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param esi: Configure cluster client ESI HH:HH:HH:HH:HH:HH:HH:HH:HH , HH - in Hexadecimal Format
		:type esi: (unicode)
		
		.. note::
			* pattern - ([0-9a-fA-F]{1,2}(:[0-9a-fA-F]{1,2}){2,8})(;[0-9a-fA-F]{1,2}(:[0-9a-fA-F]{1,2}){2,8})*

		:param client_deploy:  Cluster Client Deploy
		:type client_deploy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client', 'keyval': 'client_name, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, client=client, esi=esi, client_deploy=client_deploy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cluster_client_client_interface_update(self, cluster=None, client=None, if_type=None, if_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cluster: kwarg tuple.
		:type cluster: (cluster_name, cluster_id).

		:param cluster_name: Name for the Cluster (MAX: 64 Characters)
		:type cluster_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param cluster_id: Id for the Cluster (Range: 1 - 65535
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client: kwarg tuple.
		:type client: (client_name, client_id).

		:param client_name: Name for the Cluster Client (MAX: 64 Characters)
		:type client_name: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param client_id: Id for the Cluster Client (Range: 1 - 512)
		:type client_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param if_type: Interface Type
		:type if_type: (unicode)
		
		.. note::
			* enum - [u'Ethernet', u'Port-channel']

		:param if_value: Client Interface Name
		:type if_value: (unicode)
		
		.. note::
			* length - [u'1..10']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster'), ('pybind.slxos.v16r_1_00b.cluster.client', u'client')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client.client_interface', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}, {'keyval': 'client_name, client_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, client=client, if_type=if_type, if_value=if_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cluster_member_vlan_update(self, cluster=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cluster: kwarg tuple.
		:type cluster: (cluster_name, cluster_id).

		:param cluster_name: Name for the Cluster (MAX: 64 Characters)
		:type cluster_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param cluster_id: Id for the Cluster (Range: 1 - 65535
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param add_: Allow these VLANs under MCT 
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: Remove a VLAN range that Xmit/Rx
through the Layer2 interface
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cluster_member_vlan_add_update(self, cluster=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cluster: kwarg tuple.
		:type cluster: (cluster_name, cluster_id).

		:param cluster_name: Name for the Cluster (MAX: 64 Characters)
		:type cluster_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param cluster_id: Id for the Cluster (Range: 1 - 65535
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param add_: Allow these VLANs under MCT 
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: Remove a VLAN range that Xmit/Rx
through the Layer2 interface
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster=cluster, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def control_plane_ipv6_subnet_rate_limit_update(self, cir=None, cbr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cir: Rate Value
		:type cir: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cbr: Burst Value
		:type cbr: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.control_plane.ipv6.subnet_rate_limit', 'pybind.slxos.v16r_1_00b.brocade_control_plane', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cir=cir, cbr=cbr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def control_plane_ipv6_subnet_rate_limit_cbr_update(self, cir=None, cbr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cir: Rate Value
		:type cir: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cbr: Burst Value
		:type cbr: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.control_plane.ipv6.subnet_rate_limit', 'pybind.slxos.v16r_1_00b.brocade_control_plane', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cir=cir, cbr=cbr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def counts_state_update(self, areamis=None, maxareamis=None, badidlen=None, seqskip=None, seqerr=None, l1dbol=None, l2dbol=None, ownpurge=None, csnp_l1authfail=None, csnp_l2authfail=None, psnp_l1authfail=None, psnp_l2authfail=None, circ_l1authfail=None, circ_l2authfail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param areamis: kwarg.
		:type areamis: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxareamis: kwarg.
		:type maxareamis: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param badidlen: kwarg.
		:type badidlen: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param seqskip: kwarg.
		:type seqskip: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param seqerr: kwarg.
		:type seqerr: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1dbol: kwarg.
		:type l1dbol: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2dbol: kwarg.
		:type l2dbol: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ownpurge: kwarg.
		:type ownpurge: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param csnp_l1authfail: kwarg.
		:type csnp_l1authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param csnp_l2authfail: kwarg.
		:type csnp_l2authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param psnp_l1authfail: kwarg.
		:type psnp_l1authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param psnp_l2authfail: kwarg.
		:type psnp_l2authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param circ_l1authfail: kwarg.
		:type circ_l1authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param circ_l2authfail: kwarg.
		:type circ_l2authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, areamis=areamis, maxareamis=maxareamis, badidlen=badidlen, seqskip=seqskip, seqerr=seqerr, l1dbol=l1dbol, l2dbol=l2dbol, ownpurge=ownpurge, csnp_l1authfail=csnp_l1authfail, csnp_l2authfail=csnp_l2authfail, psnp_l1authfail=psnp_l1authfail, psnp_l2authfail=psnp_l2authfail, circ_l1authfail=circ_l1authfail, circ_l2authfail=circ_l2authfail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def counts_state_areamis_update(self, areamis=None, maxareamis=None, badidlen=None, seqskip=None, seqerr=None, l1dbol=None, l2dbol=None, ownpurge=None, csnp_l1authfail=None, csnp_l2authfail=None, psnp_l1authfail=None, psnp_l2authfail=None, circ_l1authfail=None, circ_l2authfail=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param areamis: kwarg.
		:type areamis: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxareamis: kwarg.
		:type maxareamis: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param badidlen: kwarg.
		:type badidlen: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param seqskip: kwarg.
		:type seqskip: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param seqerr: kwarg.
		:type seqerr: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1dbol: kwarg.
		:type l1dbol: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2dbol: kwarg.
		:type l2dbol: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ownpurge: kwarg.
		:type ownpurge: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param csnp_l1authfail: kwarg.
		:type csnp_l1authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param csnp_l2authfail: kwarg.
		:type csnp_l2authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param psnp_l1authfail: kwarg.
		:type psnp_l1authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param psnp_l2authfail: kwarg.
		:type psnp_l2authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param circ_l1authfail: kwarg.
		:type circ_l1authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param circ_l2authfail: kwarg.
		:type circ_l2authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, areamis=areamis, maxareamis=maxareamis, badidlen=badidlen, seqskip=seqskip, seqerr=seqerr, l1dbol=l1dbol, l2dbol=l2dbol, ownpurge=ownpurge, csnp_l1authfail=csnp_l1authfail, csnp_l2authfail=csnp_l2authfail, psnp_l1authfail=psnp_l1authfail, psnp_l2authfail=psnp_l2authfail, circ_l1authfail=circ_l1authfail, circ_l2authfail=circ_l2authfail)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def counts_state_bad_lsp_log_update(self, bad_lsp_log=None, time_stamp=None, l1_count=None, l2_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param bad_lsp_log: kwarg tuple.
		:type bad_lsp_log: (type_index).

		:param type_index: tuple arg.
		:type type_index: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param time_stamp: kwarg.
		:type time_stamp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_count: kwarg.
		:type l1_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_count: kwarg.
		:type l2_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state.bad_lsp_log', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bad_lsp_log', 'keyval': 'type_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bad_lsp_log=bad_lsp_log, time_stamp=time_stamp, l1_count=l1_count, l2_count=l2_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_data_update(self, cpu_cfg_slot=None, cpu_cfg_data=None, burst_size=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cpu_cfg_slot: kwarg tuple.
		:type cpu_cfg_slot: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param cpu_cfg_data: kwarg tuple.
		:type cpu_cfg_data: (shaper_rate).

		:param shaper_rate: tuple arg.
		:type shaper_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param burst_size: kwarg.
		:type burst_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param wfq_value: kwarg.
		:type wfq_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_data_update(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_data=None, burst_size=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cpu_cfg_slot: kwarg tuple.
		:type cpu_cfg_slot: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (int)
		
		.. note::
			* range - ['0..255']

		:param cpu_cfg_group: kwarg tuple.
		:type cpu_cfg_group: (group_id).

		:param group_id: tuple arg.
		:type group_id: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param cpu_cfg_data: kwarg tuple.
		:type cpu_cfg_data: (shaper_rate).

		:param shaper_rate: tuple arg.
		:type shaper_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param burst_size: kwarg.
		:type burst_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param wfq_value: kwarg.
		:type wfq_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_prio_cpu_cfg_data_update(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_prio=None, cpu_cfg_data=None, burst_size=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cpu_cfg_slot: kwarg tuple.
		:type cpu_cfg_slot: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (int)
		
		.. note::
			* range - ['0..255']

		:param cpu_cfg_group: kwarg tuple.
		:type cpu_cfg_group: (group_id).

		:param group_id: tuple arg.
		:type group_id: (int)
		
		.. note::
			* range - ['0..255']

		:param cpu_cfg_prio: kwarg tuple.
		:type cpu_cfg_prio: (prio_id).

		:param prio_id: tuple arg.
		:type prio_id: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param cpu_cfg_data: kwarg tuple.
		:type cpu_cfg_data: (shaper_rate).

		:param shaper_rate: tuple arg.
		:type shaper_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param burst_size: kwarg.
		:type burst_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param wfq_value: kwarg.
		:type wfq_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio', u'cpu_cfg_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cpu_info_state_cpu_info_egid_update(self, cpu_info_egid=None, name=None, egid=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param cpu_info_egid: kwarg tuple.
		:type cpu_info_egid: (group_id).

		:param group_id: tuple arg.
		:type group_id: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param name: kwarg.
		:type name: (unicode)

		:param egid: kwarg.
		:type egid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param description: kwarg.
		:type description: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_info_state.cpu_info_egid', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cpu_info_egid', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_info_egid=cpu_info_egid, name=name, egid=egid, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_update(self, cpu_interface_state=None, link_status=None, tx_pkts_cnt=None, tx_bytes_cnt=None, tx_errors_cnt=None, tx_drop_cnt=None, tx_overrun_error_cnt=None, tx_carrier_error_cnt=None, rx_pkts_cnt=None, rx_bytes_cnt=None, rx_errors_cnt=None, rx_drop_cnt=None, rx_overrun_error_cnt=None, rx_frame_error_cnt=None, tx_aborted_error_cnt=None, tx_fifo_error_cnt=None, tx_timeout_cnt=None, tx_flow_control_xon_cnt=None, tx_flow_control_xoff_cnt=None, tx_pkts_64bytes_cnt=None, tx_pkts_64_127bytes_cnt=None, tx_pkts_128_255bytes_cnt=None, tx_pkts_256_511bytes_cnt=None, tx_pkts_512_1023bytes_cnt=None, tx_pkts_1024bytes_max_cnt=None, tx_bcast_pkts_cnt=None, tx_mcast_pkts_cnt=None, rx_crc_error_cnt=None, rx_fifo_error_cnt=None, rx_missed_errors_cnt=None, rx_no_dma_resource_cnt=None, rx_flow_control_xon_cnt=None, rx_flow_control_xoff_cnt=None, rx_pkts_64bytes_cnt=None, rx_pkts_64_127bytes_cnt=None, rx_pkts_128_255bytes_cnt=None, rx_pkts_256_511bytes_cnt=None, rx_pkts_512_1023bytes_cnt=None, rx_pkts_1024bytes_max_cnt=None, rx_good_pkts_cnt=None, rx_bcast_pkts_cnt=None, rx_mcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cpu_interface_state: kwarg tuple.
		:type cpu_interface_state: (ifname).

		:param ifname: tuple arg.
		:type ifname: (unicode)

	**This Instance Arg(s)**:
		:param link_status: kwarg.
		:type link_status: (unicode)

		:param tx_pkts_cnt: kwarg.
		:type tx_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_bytes_cnt: kwarg.
		:type tx_bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_errors_cnt: kwarg.
		:type tx_errors_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_drop_cnt: kwarg.
		:type tx_drop_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_overrun_error_cnt: kwarg.
		:type tx_overrun_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_carrier_error_cnt: kwarg.
		:type tx_carrier_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_cnt: kwarg.
		:type rx_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_bytes_cnt: kwarg.
		:type rx_bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_errors_cnt: kwarg.
		:type rx_errors_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_drop_cnt: kwarg.
		:type rx_drop_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_overrun_error_cnt: kwarg.
		:type rx_overrun_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_frame_error_cnt: kwarg.
		:type rx_frame_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_aborted_error_cnt: kwarg.
		:type tx_aborted_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_fifo_error_cnt: kwarg.
		:type tx_fifo_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_timeout_cnt: kwarg.
		:type tx_timeout_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_flow_control_xon_cnt: kwarg.
		:type tx_flow_control_xon_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_flow_control_xoff_cnt: kwarg.
		:type tx_flow_control_xoff_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_64bytes_cnt: kwarg.
		:type tx_pkts_64bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_64_127bytes_cnt: kwarg.
		:type tx_pkts_64_127bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_128_255bytes_cnt: kwarg.
		:type tx_pkts_128_255bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_256_511bytes_cnt: kwarg.
		:type tx_pkts_256_511bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_512_1023bytes_cnt: kwarg.
		:type tx_pkts_512_1023bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_1024bytes_max_cnt: kwarg.
		:type tx_pkts_1024bytes_max_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_bcast_pkts_cnt: kwarg.
		:type tx_bcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_mcast_pkts_cnt: kwarg.
		:type tx_mcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_crc_error_cnt: kwarg.
		:type rx_crc_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_fifo_error_cnt: kwarg.
		:type rx_fifo_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_missed_errors_cnt: kwarg.
		:type rx_missed_errors_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_no_dma_resource_cnt: kwarg.
		:type rx_no_dma_resource_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_flow_control_xon_cnt: kwarg.
		:type rx_flow_control_xon_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_flow_control_xoff_cnt: kwarg.
		:type rx_flow_control_xoff_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_64bytes_cnt: kwarg.
		:type rx_pkts_64bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_64_127bytes_cnt: kwarg.
		:type rx_pkts_64_127bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_128_255bytes_cnt: kwarg.
		:type rx_pkts_128_255bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_256_511bytes_cnt: kwarg.
		:type rx_pkts_256_511bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_512_1023bytes_cnt: kwarg.
		:type rx_pkts_512_1023bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_1024bytes_max_cnt: kwarg.
		:type rx_pkts_1024bytes_max_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_good_pkts_cnt: kwarg.
		:type rx_good_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_bcast_pkts_cnt: kwarg.
		:type rx_bcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_mcast_pkts_cnt: kwarg.
		:type rx_mcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_interface_state=cpu_interface_state, link_status=link_status, tx_pkts_cnt=tx_pkts_cnt, tx_bytes_cnt=tx_bytes_cnt, tx_errors_cnt=tx_errors_cnt, tx_drop_cnt=tx_drop_cnt, tx_overrun_error_cnt=tx_overrun_error_cnt, tx_carrier_error_cnt=tx_carrier_error_cnt, rx_pkts_cnt=rx_pkts_cnt, rx_bytes_cnt=rx_bytes_cnt, rx_errors_cnt=rx_errors_cnt, rx_drop_cnt=rx_drop_cnt, rx_overrun_error_cnt=rx_overrun_error_cnt, rx_frame_error_cnt=rx_frame_error_cnt, tx_aborted_error_cnt=tx_aborted_error_cnt, tx_fifo_error_cnt=tx_fifo_error_cnt, tx_timeout_cnt=tx_timeout_cnt, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt, rx_crc_error_cnt=rx_crc_error_cnt, rx_fifo_error_cnt=rx_fifo_error_cnt, rx_missed_errors_cnt=rx_missed_errors_cnt, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt, rx_good_pkts_cnt=rx_good_pkts_cnt, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_gos_stats_link_status_update(self, cpu_interface_state=None, link_status=None, tx_pkts_cnt=None, tx_bytes_cnt=None, tx_errors_cnt=None, tx_drop_cnt=None, tx_overrun_error_cnt=None, tx_carrier_error_cnt=None, rx_pkts_cnt=None, rx_bytes_cnt=None, rx_errors_cnt=None, rx_drop_cnt=None, rx_overrun_error_cnt=None, rx_frame_error_cnt=None, tx_aborted_error_cnt=None, tx_fifo_error_cnt=None, tx_timeout_cnt=None, tx_flow_control_xon_cnt=None, tx_flow_control_xoff_cnt=None, tx_pkts_64bytes_cnt=None, tx_pkts_64_127bytes_cnt=None, tx_pkts_128_255bytes_cnt=None, tx_pkts_256_511bytes_cnt=None, tx_pkts_512_1023bytes_cnt=None, tx_pkts_1024bytes_max_cnt=None, tx_bcast_pkts_cnt=None, tx_mcast_pkts_cnt=None, rx_crc_error_cnt=None, rx_fifo_error_cnt=None, rx_missed_errors_cnt=None, rx_no_dma_resource_cnt=None, rx_flow_control_xon_cnt=None, rx_flow_control_xoff_cnt=None, rx_pkts_64bytes_cnt=None, rx_pkts_64_127bytes_cnt=None, rx_pkts_128_255bytes_cnt=None, rx_pkts_256_511bytes_cnt=None, rx_pkts_512_1023bytes_cnt=None, rx_pkts_1024bytes_max_cnt=None, rx_good_pkts_cnt=None, rx_bcast_pkts_cnt=None, rx_mcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cpu_interface_state: kwarg tuple.
		:type cpu_interface_state: (ifname).

		:param ifname: tuple arg.
		:type ifname: (unicode)

	**This Instance Arg(s)**:
		:param link_status: kwarg.
		:type link_status: (unicode)

		:param tx_pkts_cnt: kwarg.
		:type tx_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_bytes_cnt: kwarg.
		:type tx_bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_errors_cnt: kwarg.
		:type tx_errors_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_drop_cnt: kwarg.
		:type tx_drop_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_overrun_error_cnt: kwarg.
		:type tx_overrun_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_carrier_error_cnt: kwarg.
		:type tx_carrier_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_cnt: kwarg.
		:type rx_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_bytes_cnt: kwarg.
		:type rx_bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_errors_cnt: kwarg.
		:type rx_errors_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_drop_cnt: kwarg.
		:type rx_drop_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_overrun_error_cnt: kwarg.
		:type rx_overrun_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_frame_error_cnt: kwarg.
		:type rx_frame_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_aborted_error_cnt: kwarg.
		:type tx_aborted_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_fifo_error_cnt: kwarg.
		:type tx_fifo_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_timeout_cnt: kwarg.
		:type tx_timeout_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_flow_control_xon_cnt: kwarg.
		:type tx_flow_control_xon_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_flow_control_xoff_cnt: kwarg.
		:type tx_flow_control_xoff_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_64bytes_cnt: kwarg.
		:type tx_pkts_64bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_64_127bytes_cnt: kwarg.
		:type tx_pkts_64_127bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_128_255bytes_cnt: kwarg.
		:type tx_pkts_128_255bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_256_511bytes_cnt: kwarg.
		:type tx_pkts_256_511bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_512_1023bytes_cnt: kwarg.
		:type tx_pkts_512_1023bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_1024bytes_max_cnt: kwarg.
		:type tx_pkts_1024bytes_max_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_bcast_pkts_cnt: kwarg.
		:type tx_bcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_mcast_pkts_cnt: kwarg.
		:type tx_mcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_crc_error_cnt: kwarg.
		:type rx_crc_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_fifo_error_cnt: kwarg.
		:type rx_fifo_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_missed_errors_cnt: kwarg.
		:type rx_missed_errors_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_no_dma_resource_cnt: kwarg.
		:type rx_no_dma_resource_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_flow_control_xon_cnt: kwarg.
		:type rx_flow_control_xon_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_flow_control_xoff_cnt: kwarg.
		:type rx_flow_control_xoff_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_64bytes_cnt: kwarg.
		:type rx_pkts_64bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_64_127bytes_cnt: kwarg.
		:type rx_pkts_64_127bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_128_255bytes_cnt: kwarg.
		:type rx_pkts_128_255bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_256_511bytes_cnt: kwarg.
		:type rx_pkts_256_511bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_512_1023bytes_cnt: kwarg.
		:type rx_pkts_512_1023bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_1024bytes_max_cnt: kwarg.
		:type rx_pkts_1024bytes_max_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_good_pkts_cnt: kwarg.
		:type rx_good_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_bcast_pkts_cnt: kwarg.
		:type rx_bcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_mcast_pkts_cnt: kwarg.
		:type rx_mcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.gos_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_interface_state=cpu_interface_state, link_status=link_status, tx_pkts_cnt=tx_pkts_cnt, tx_bytes_cnt=tx_bytes_cnt, tx_errors_cnt=tx_errors_cnt, tx_drop_cnt=tx_drop_cnt, tx_overrun_error_cnt=tx_overrun_error_cnt, tx_carrier_error_cnt=tx_carrier_error_cnt, rx_pkts_cnt=rx_pkts_cnt, rx_bytes_cnt=rx_bytes_cnt, rx_errors_cnt=rx_errors_cnt, rx_drop_cnt=rx_drop_cnt, rx_overrun_error_cnt=rx_overrun_error_cnt, rx_frame_error_cnt=rx_frame_error_cnt, tx_aborted_error_cnt=tx_aborted_error_cnt, tx_fifo_error_cnt=tx_fifo_error_cnt, tx_timeout_cnt=tx_timeout_cnt, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt, rx_crc_error_cnt=rx_crc_error_cnt, rx_fifo_error_cnt=rx_fifo_error_cnt, rx_missed_errors_cnt=rx_missed_errors_cnt, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt, rx_good_pkts_cnt=rx_good_pkts_cnt, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_update(self, cpu_interface_state=None, link_status=None, tx_pkts_cnt=None, tx_bytes_cnt=None, tx_errors_cnt=None, tx_drop_cnt=None, tx_overrun_error_cnt=None, tx_carrier_error_cnt=None, rx_pkts_cnt=None, rx_bytes_cnt=None, rx_errors_cnt=None, rx_drop_cnt=None, rx_overrun_error_cnt=None, rx_frame_error_cnt=None, tx_aborted_error_cnt=None, tx_fifo_error_cnt=None, tx_timeout_cnt=None, tx_flow_control_xon_cnt=None, tx_flow_control_xoff_cnt=None, tx_pkts_64bytes_cnt=None, tx_pkts_64_127bytes_cnt=None, tx_pkts_128_255bytes_cnt=None, tx_pkts_256_511bytes_cnt=None, tx_pkts_512_1023bytes_cnt=None, tx_pkts_1024bytes_max_cnt=None, tx_bcast_pkts_cnt=None, tx_mcast_pkts_cnt=None, rx_crc_error_cnt=None, rx_fifo_error_cnt=None, rx_missed_errors_cnt=None, rx_no_dma_resource_cnt=None, rx_flow_control_xon_cnt=None, rx_flow_control_xoff_cnt=None, rx_pkts_64bytes_cnt=None, rx_pkts_64_127bytes_cnt=None, rx_pkts_128_255bytes_cnt=None, rx_pkts_256_511bytes_cnt=None, rx_pkts_512_1023bytes_cnt=None, rx_pkts_1024bytes_max_cnt=None, rx_good_pkts_cnt=None, rx_bcast_pkts_cnt=None, rx_mcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cpu_interface_state: kwarg tuple.
		:type cpu_interface_state: (ifname).

		:param ifname: tuple arg.
		:type ifname: (unicode)

	**This Instance Arg(s)**:
		:param link_status: kwarg.
		:type link_status: (unicode)

		:param tx_pkts_cnt: kwarg.
		:type tx_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_bytes_cnt: kwarg.
		:type tx_bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_errors_cnt: kwarg.
		:type tx_errors_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_drop_cnt: kwarg.
		:type tx_drop_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_overrun_error_cnt: kwarg.
		:type tx_overrun_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_carrier_error_cnt: kwarg.
		:type tx_carrier_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_cnt: kwarg.
		:type rx_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_bytes_cnt: kwarg.
		:type rx_bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_errors_cnt: kwarg.
		:type rx_errors_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_drop_cnt: kwarg.
		:type rx_drop_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_overrun_error_cnt: kwarg.
		:type rx_overrun_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_frame_error_cnt: kwarg.
		:type rx_frame_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_aborted_error_cnt: kwarg.
		:type tx_aborted_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_fifo_error_cnt: kwarg.
		:type tx_fifo_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_timeout_cnt: kwarg.
		:type tx_timeout_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_flow_control_xon_cnt: kwarg.
		:type tx_flow_control_xon_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_flow_control_xoff_cnt: kwarg.
		:type tx_flow_control_xoff_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_64bytes_cnt: kwarg.
		:type tx_pkts_64bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_64_127bytes_cnt: kwarg.
		:type tx_pkts_64_127bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_128_255bytes_cnt: kwarg.
		:type tx_pkts_128_255bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_256_511bytes_cnt: kwarg.
		:type tx_pkts_256_511bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_512_1023bytes_cnt: kwarg.
		:type tx_pkts_512_1023bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_1024bytes_max_cnt: kwarg.
		:type tx_pkts_1024bytes_max_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_bcast_pkts_cnt: kwarg.
		:type tx_bcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_mcast_pkts_cnt: kwarg.
		:type tx_mcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_crc_error_cnt: kwarg.
		:type rx_crc_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_fifo_error_cnt: kwarg.
		:type rx_fifo_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_missed_errors_cnt: kwarg.
		:type rx_missed_errors_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_no_dma_resource_cnt: kwarg.
		:type rx_no_dma_resource_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_flow_control_xon_cnt: kwarg.
		:type rx_flow_control_xon_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_flow_control_xoff_cnt: kwarg.
		:type rx_flow_control_xoff_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_64bytes_cnt: kwarg.
		:type rx_pkts_64bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_64_127bytes_cnt: kwarg.
		:type rx_pkts_64_127bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_128_255bytes_cnt: kwarg.
		:type rx_pkts_128_255bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_256_511bytes_cnt: kwarg.
		:type rx_pkts_256_511bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_512_1023bytes_cnt: kwarg.
		:type rx_pkts_512_1023bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_1024bytes_max_cnt: kwarg.
		:type rx_pkts_1024bytes_max_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_good_pkts_cnt: kwarg.
		:type rx_good_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_bcast_pkts_cnt: kwarg.
		:type rx_bcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_mcast_pkts_cnt: kwarg.
		:type rx_mcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_interface_state=cpu_interface_state, link_status=link_status, tx_pkts_cnt=tx_pkts_cnt, tx_bytes_cnt=tx_bytes_cnt, tx_errors_cnt=tx_errors_cnt, tx_drop_cnt=tx_drop_cnt, tx_overrun_error_cnt=tx_overrun_error_cnt, tx_carrier_error_cnt=tx_carrier_error_cnt, rx_pkts_cnt=rx_pkts_cnt, rx_bytes_cnt=rx_bytes_cnt, rx_errors_cnt=rx_errors_cnt, rx_drop_cnt=rx_drop_cnt, rx_overrun_error_cnt=rx_overrun_error_cnt, rx_frame_error_cnt=rx_frame_error_cnt, tx_aborted_error_cnt=tx_aborted_error_cnt, tx_fifo_error_cnt=tx_fifo_error_cnt, tx_timeout_cnt=tx_timeout_cnt, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt, rx_crc_error_cnt=rx_crc_error_cnt, rx_fifo_error_cnt=rx_fifo_error_cnt, rx_missed_errors_cnt=rx_missed_errors_cnt, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt, rx_good_pkts_cnt=rx_good_pkts_cnt, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_host_stats_link_status_update(self, cpu_interface_state=None, link_status=None, tx_pkts_cnt=None, tx_bytes_cnt=None, tx_errors_cnt=None, tx_drop_cnt=None, tx_overrun_error_cnt=None, tx_carrier_error_cnt=None, rx_pkts_cnt=None, rx_bytes_cnt=None, rx_errors_cnt=None, rx_drop_cnt=None, rx_overrun_error_cnt=None, rx_frame_error_cnt=None, tx_aborted_error_cnt=None, tx_fifo_error_cnt=None, tx_timeout_cnt=None, tx_flow_control_xon_cnt=None, tx_flow_control_xoff_cnt=None, tx_pkts_64bytes_cnt=None, tx_pkts_64_127bytes_cnt=None, tx_pkts_128_255bytes_cnt=None, tx_pkts_256_511bytes_cnt=None, tx_pkts_512_1023bytes_cnt=None, tx_pkts_1024bytes_max_cnt=None, tx_bcast_pkts_cnt=None, tx_mcast_pkts_cnt=None, rx_crc_error_cnt=None, rx_fifo_error_cnt=None, rx_missed_errors_cnt=None, rx_no_dma_resource_cnt=None, rx_flow_control_xon_cnt=None, rx_flow_control_xoff_cnt=None, rx_pkts_64bytes_cnt=None, rx_pkts_64_127bytes_cnt=None, rx_pkts_128_255bytes_cnt=None, rx_pkts_256_511bytes_cnt=None, rx_pkts_512_1023bytes_cnt=None, rx_pkts_1024bytes_max_cnt=None, rx_good_pkts_cnt=None, rx_bcast_pkts_cnt=None, rx_mcast_pkts_cnt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cpu_interface_state: kwarg tuple.
		:type cpu_interface_state: (ifname).

		:param ifname: tuple arg.
		:type ifname: (unicode)

	**This Instance Arg(s)**:
		:param link_status: kwarg.
		:type link_status: (unicode)

		:param tx_pkts_cnt: kwarg.
		:type tx_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_bytes_cnt: kwarg.
		:type tx_bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_errors_cnt: kwarg.
		:type tx_errors_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_drop_cnt: kwarg.
		:type tx_drop_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_overrun_error_cnt: kwarg.
		:type tx_overrun_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_carrier_error_cnt: kwarg.
		:type tx_carrier_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_cnt: kwarg.
		:type rx_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_bytes_cnt: kwarg.
		:type rx_bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_errors_cnt: kwarg.
		:type rx_errors_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_drop_cnt: kwarg.
		:type rx_drop_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_overrun_error_cnt: kwarg.
		:type rx_overrun_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_frame_error_cnt: kwarg.
		:type rx_frame_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_aborted_error_cnt: kwarg.
		:type tx_aborted_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_fifo_error_cnt: kwarg.
		:type tx_fifo_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_timeout_cnt: kwarg.
		:type tx_timeout_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_flow_control_xon_cnt: kwarg.
		:type tx_flow_control_xon_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_flow_control_xoff_cnt: kwarg.
		:type tx_flow_control_xoff_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_64bytes_cnt: kwarg.
		:type tx_pkts_64bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_64_127bytes_cnt: kwarg.
		:type tx_pkts_64_127bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_128_255bytes_cnt: kwarg.
		:type tx_pkts_128_255bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_256_511bytes_cnt: kwarg.
		:type tx_pkts_256_511bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_512_1023bytes_cnt: kwarg.
		:type tx_pkts_512_1023bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_pkts_1024bytes_max_cnt: kwarg.
		:type tx_pkts_1024bytes_max_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_bcast_pkts_cnt: kwarg.
		:type tx_bcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_mcast_pkts_cnt: kwarg.
		:type tx_mcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_crc_error_cnt: kwarg.
		:type rx_crc_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_fifo_error_cnt: kwarg.
		:type rx_fifo_error_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_missed_errors_cnt: kwarg.
		:type rx_missed_errors_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_no_dma_resource_cnt: kwarg.
		:type rx_no_dma_resource_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_flow_control_xon_cnt: kwarg.
		:type rx_flow_control_xon_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_flow_control_xoff_cnt: kwarg.
		:type rx_flow_control_xoff_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_64bytes_cnt: kwarg.
		:type rx_pkts_64bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_64_127bytes_cnt: kwarg.
		:type rx_pkts_64_127bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_128_255bytes_cnt: kwarg.
		:type rx_pkts_128_255bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_256_511bytes_cnt: kwarg.
		:type rx_pkts_256_511bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_512_1023bytes_cnt: kwarg.
		:type rx_pkts_512_1023bytes_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkts_1024bytes_max_cnt: kwarg.
		:type rx_pkts_1024bytes_max_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_good_pkts_cnt: kwarg.
		:type rx_good_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_bcast_pkts_cnt: kwarg.
		:type rx_bcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_mcast_pkts_cnt: kwarg.
		:type rx_mcast_pkts_cnt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'cpu_interface_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state.host_stats', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ifname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cpu_interface_state=cpu_interface_state, link_status=link_status, tx_pkts_cnt=tx_pkts_cnt, tx_bytes_cnt=tx_bytes_cnt, tx_errors_cnt=tx_errors_cnt, tx_drop_cnt=tx_drop_cnt, tx_overrun_error_cnt=tx_overrun_error_cnt, tx_carrier_error_cnt=tx_carrier_error_cnt, rx_pkts_cnt=rx_pkts_cnt, rx_bytes_cnt=rx_bytes_cnt, rx_errors_cnt=rx_errors_cnt, rx_drop_cnt=rx_drop_cnt, rx_overrun_error_cnt=rx_overrun_error_cnt, rx_frame_error_cnt=rx_frame_error_cnt, tx_aborted_error_cnt=tx_aborted_error_cnt, tx_fifo_error_cnt=tx_fifo_error_cnt, tx_timeout_cnt=tx_timeout_cnt, tx_flow_control_xon_cnt=tx_flow_control_xon_cnt, tx_flow_control_xoff_cnt=tx_flow_control_xoff_cnt, tx_pkts_64bytes_cnt=tx_pkts_64bytes_cnt, tx_pkts_64_127bytes_cnt=tx_pkts_64_127bytes_cnt, tx_pkts_128_255bytes_cnt=tx_pkts_128_255bytes_cnt, tx_pkts_256_511bytes_cnt=tx_pkts_256_511bytes_cnt, tx_pkts_512_1023bytes_cnt=tx_pkts_512_1023bytes_cnt, tx_pkts_1024bytes_max_cnt=tx_pkts_1024bytes_max_cnt, tx_bcast_pkts_cnt=tx_bcast_pkts_cnt, tx_mcast_pkts_cnt=tx_mcast_pkts_cnt, rx_crc_error_cnt=rx_crc_error_cnt, rx_fifo_error_cnt=rx_fifo_error_cnt, rx_missed_errors_cnt=rx_missed_errors_cnt, rx_no_dma_resource_cnt=rx_no_dma_resource_cnt, rx_flow_control_xon_cnt=rx_flow_control_xon_cnt, rx_flow_control_xoff_cnt=rx_flow_control_xoff_cnt, rx_pkts_64bytes_cnt=rx_pkts_64bytes_cnt, rx_pkts_64_127bytes_cnt=rx_pkts_64_127bytes_cnt, rx_pkts_128_255bytes_cnt=rx_pkts_128_255bytes_cnt, rx_pkts_256_511bytes_cnt=rx_pkts_256_511bytes_cnt, rx_pkts_512_1023bytes_cnt=rx_pkts_512_1023bytes_cnt, rx_pkts_1024bytes_max_cnt=rx_pkts_1024bytes_max_cnt, rx_good_pkts_cnt=rx_good_pkts_cnt, rx_bcast_pkts_cnt=rx_bcast_pkts_cnt, rx_mcast_pkts_cnt=rx_mcast_pkts_cnt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def crypto_ca_update(self, ca=None, keypair=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param ca: kwarg tuple.
		:type ca: (trustpoint).

		:param trustpoint: Trustpoint name
		:type trustpoint: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param keypair: Key pair association
		:type keypair: (unicode)
		
		.. note::
			* length - [u'0..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.ca', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ca=ca, keypair=keypair)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def crypto_key_update(self, key=None, type=None, modulus=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param key: kwarg tuple.
		:type key: (label, type, modulus).

		:param label: Key Label
		:type label: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param type: Key Type
		:type type: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param modulus: Key Size
		:type modulus: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param type: Key Type
		:type type: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param modulus: Key Size
		:type modulus: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.key', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, key=key, type=type, modulus=modulus)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def diag_post_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: enable - enables POST / no enable - disables POST
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.diag.post', 'pybind.nos.v6_0_2b.brocade_diagnostics', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.diag.post', 'pybind.nos.v7_0_1a.brocade_diagnostics', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.diag.post', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def diag_post_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: enable - enables POST / no enable - disables POST
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.diag.post', 'pybind.nos.v6_0_2b.brocade_diagnostics', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.diag.post', 'pybind.nos.v7_0_1a.brocade_diagnostics', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.diag.post', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def diag_post_rbridge_id_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: Syntax: rbridgeId [rbridgeId]
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: enable - enables POST / no enable - disables POST
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.diag.post.rbridge_id', 'pybind.nos.v6_0_2b.brocade_diagnostics', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.diag.post.rbridge_id', 'pybind.nos.v7_0_1a.brocade_diagnostics', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.diag.post.rbridge_id', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def dot1x_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable global port authentication
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.dot1x', 'pybind.nos.v6_0_2b.brocade_dot1x', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.dot1x', 'pybind.nos.v7_0_1a.brocade_dot1x', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.dot1x', 'pybind.nos.v7_1_0.brocade_dot1x', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dot1x', 'pybind.slxos.v16r_1_00b.brocade_dot1x', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def dot1x_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable global port authentication
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.dot1x', 'pybind.nos.v6_0_2b.brocade_dot1x', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.dot1x', 'pybind.nos.v7_0_1a.brocade_dot1x', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.dot1x', 'pybind.nos.v7_1_0.brocade_dot1x', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dot1x', 'pybind.slxos.v16r_1_00b.brocade_dot1x', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def dot1x_test_update(self, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param timeout: Configures timeout for dot1x readiness check
		:type timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.dot1x.test', 'pybind.nos.v6_0_2b.brocade_dot1x', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.dot1x.test', 'pybind.nos.v7_0_1a.brocade_dot1x', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.dot1x.test', 'pybind.nos.v7_1_0.brocade_dot1x', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dot1x.test', 'pybind.slxos.v16r_1_00b.brocade_dot1x', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def dot1x_test_timeout_update(self, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param timeout: Configures timeout for dot1x readiness check
		:type timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.dot1x.test', 'pybind.nos.v6_0_2b.brocade_dot1x', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.dot1x.test', 'pybind.nos.v7_0_1a.brocade_dot1x', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.dot1x.test', 'pybind.nos.v7_1_0.brocade_dot1x', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dot1x.test', 'pybind.slxos.v16r_1_00b.brocade_dot1x', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def dpod_update(self, port_id=None, operation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param port_id: kwarg tuple.
		:type port_id: (port_id).

		:param port_id: Syntax: [rbridge-id/slot/port]
		:type port_id: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param operation: release/reserve a DPOD license
		:type operation: (unicode)
		
		.. note::
			* enum - [u'release', u'reserve']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.dpod.port_id', 'pybind.nos.v6_0_2b.brocade_license', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.dpod.port_id', 'pybind.nos.v7_0_1a.brocade_license', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.dpod.port_id', 'pybind.nos.v7_1_0.brocade_license', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dpod.port_id', 'pybind.slxos.v16r_1_00b.brocade_license', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_id', 'keyval': 'port_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_id=port_id, operation=operation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def dscp_exp_state_qos_mpls_update(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param qos_mpls: kwarg tuple.
		:type qos_mpls: (map_name).

		:param map_name: tuple arg.
		:type map_name: (unicode)

	**This Instance Arg(s)**:
		:param map_type: kwarg.
		:type map_type: (unicode)

		:param enabled_slots: kwarg.
		:type enabled_slots: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.dscp_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def event_handler_action_update(self, event_handler_list=None, python_script=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param event_handler_list: kwarg tuple.
		:type event_handler_list: (name).

		:param name: Event handler name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param python_script: Name of a script located under the flash:// directory (Max Size - 32).
		:type python_script: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list')]
    bindings_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list.action', 'pybind.nos.v6_0_2b.brocade_event_handler', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list.action', 'pybind.nos.v7_0_1a.brocade_event_handler', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.action', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.action', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list, python_script=python_script)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def event_handler_action_python_script_update(self, event_handler_list=None, python_script=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param event_handler_list: kwarg tuple.
		:type event_handler_list: (name).

		:param name: Event handler name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param python_script: Name of a script located under the flash:// directory (Max Size - 32).
		:type python_script: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list')]
    bindings_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list.action', 'pybind.nos.v6_0_2b.brocade_event_handler', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list.action', 'pybind.nos.v7_0_1a.brocade_event_handler', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.action', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.action', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list, python_script=python_script)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def event_handler_activate_update(self, name=None, delay=None, iterations=None, interval=None, run_mode=None, trigger_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param name: kwarg tuple.
		:type name: (name).

		:param name: Event handler name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param delay: Delay (in seconds) that the event-handler will wait, for the initial launch of the action after the trigger has been received (default = 0).
		:type delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param iterations: Number of times to launch the action after the initial trigger has been received (default = 1).
		:type iterations: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interval: Time (in seconds) that the event-handler will wait between iterations of completing the previous action (default = 0).
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param run_mode: Run-mode controls how the action is launched with cluster formation (default = non-exclusive).
		:type run_mode: (unicode)
		
		.. note::
			* enum - [u'exclusive', u'non-exclusive']

		:param trigger_mode: Trigger-mode controls how the action is launched with the configured event trigger (default = each-instance).
		:type trigger_mode: (unicode)
		
		.. note::
			* enum - [u'each-instance', u'only-once', u'on-first-instance']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name, delay=delay, iterations=iterations, interval=interval, run_mode=run_mode, trigger_mode=trigger_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def event_handler_activate_time_window_update(self, name=None, trigger_function=None, time_window=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param name: kwarg tuple.
		:type name: (name).

		:param name: Event handler name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param trigger_function: Trigger-function controls how multiple triggers are interpreted to launch the action (default = OR).
		:type trigger_function: (unicode)
		
		.. note::
			* enum - [u'AND', u'OR']

		:param time_window: Number of seconds that is valid for all triggers to be received in order to launch the action.
		:type time_window: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', u'name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name.trigger_function_container', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name, trigger_function=trigger_function, time_window=time_window)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def event_handler_trigger_update(self, event_handler_list=None, trigger=None, vcs=None, raslog=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param event_handler_list: kwarg tuple.
		:type event_handler_list: (name).

		:param name: Event handler name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Keyword Arg Tuple**:
		:param trigger: kwarg tuple.
		:type trigger: (trigger_id, vcs, raslog).

		:param trigger_id: tuple arg.
		:type trigger_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vcs: VCS event type.
		:type vcs: (unicode)
		
		.. note::
			* enum - [u'switch-bootup', u'switch-ready-for-configuration']

		:param raslog: RASlog Id.
		:type raslog: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param vcs: VCS event type.
		:type vcs: (unicode)
		
		.. note::
			* enum - [u'switch-bootup', u'switch-ready-for-configuration']

		:param raslog: RASlog Id.
		:type raslog: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v6_0_2b.event_handler.event_handler_list', u'event_handler_list')]
    bindings_list = [('pybind.nos.v6_0_2b.event_handler.event_handler_list.trigger', 'pybind.nos.v6_0_2b.brocade_event_handler', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.event_handler.event_handler_list.trigger', 'pybind.nos.v7_0_1a.brocade_event_handler', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.trigger', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'trigger', 'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs, raslog'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list, trigger=trigger, vcs=vcs, raslog=raslog)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def event_handler_trigger_raslog_update(self, event_handler_list=None, trigger=None, raslog=None, pattern=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param event_handler_list: kwarg tuple.
		:type event_handler_list: (name).

		:param name: Event handler name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param trigger: kwarg tuple.
		:type trigger: (trigger_id, vcs).

		:param trigger_id: tuple arg.
		:type trigger_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vcs: VCS event type.
		:type vcs: (unicode)
		
		.. note::
			* enum - [u'switch-bootup', u'switch-ready-for-configuration']

	**This Instance Arg(s)**:
		:param raslog: RASlog Id.
		:type raslog: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param pattern: Regular expression trigger filter.
		:type pattern: (unicode)
		
		.. note::
			* length - [u'1 .. 128']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', u'trigger')]
    bindings_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger.raslog', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'raslog, pattern'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list, trigger=trigger, raslog=raslog, pattern=pattern)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def event_handler_trigger_raslog_pattern_update(self, event_handler_list=None, trigger=None, raslog=None, pattern=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param event_handler_list: kwarg tuple.
		:type event_handler_list: (name).

		:param name: Event handler name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param trigger: kwarg tuple.
		:type trigger: (trigger_id, vcs).

		:param trigger_id: tuple arg.
		:type trigger_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vcs: VCS event type.
		:type vcs: (unicode)
		
		.. note::
			* enum - [u'switch-bootup', u'switch-ready-for-configuration']

	**This Instance Arg(s)**:
		:param raslog: RASlog Id.
		:type raslog: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param pattern: Regular expression trigger filter.
		:type pattern: (unicode)
		
		.. note::
			* length - [u'1 .. 128']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', u'trigger')]
    bindings_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger.raslog', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_handler_list=event_handler_list, trigger=trigger, raslog=raslog, pattern=pattern)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def exp_dscp_state_qos_mpls_update(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param qos_mpls: kwarg tuple.
		:type qos_mpls: (map_name).

		:param map_name: tuple arg.
		:type map_name: (unicode)

	**This Instance Arg(s)**:
		:param map_type: kwarg.
		:type map_type: (unicode)

		:param enabled_slots: kwarg.
		:type enabled_slots: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.exp_dscp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def exp_traffic_class_state_qos_mpls_update(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param qos_mpls: kwarg tuple.
		:type qos_mpls: (map_name).

		:param map_name: tuple arg.
		:type map_name: (unicode)

	**This Instance Arg(s)**:
		:param map_type: kwarg.
		:type map_type: (unicode)

		:param enabled_slots: kwarg.
		:type enabled_slots: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.exp_traffic_class_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fabric_route_mcast_rbridge_id_update(self, rbridge_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: Syntax: rbridgeId [rbridgeId]
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param priority: Syntax: priority [priority] (default 1)
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.fabric.route.mcast.rbridge_id', 'pybind.nos.v6_0_2b.brocade_fabric_service', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_0_1a.brocade_fabric_service', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_1_0.brocade_fabric_service', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fabric.route.mcast.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_fabric_service', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_update(self, fcoe_fabric_map=None, fcoe_fabric_map_vlan=None, fcoe_fabric_mode=None, fcoe_fabric_map_priority=None, fcoe_fabric_map_virtual_fabric=None, fcoe_fabric_map_fcmap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param fcoe_fabric_map: kwarg tuple.
		:type fcoe_fabric_map: (fcoe_fabric_map_name).

		:param fcoe_fabric_map_name: FCoE Fabric-map name (Max Size - 31)
		:type fcoe_fabric_map_name: (unicode)
		
		.. note::
			* length - [u'1..31']

	**This Instance Arg(s)**:
		:param fcoe_fabric_map_vlan: Configure the VLAN for the FCoE Fabric-map
		:type fcoe_fabric_map_vlan: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param fcoe_fabric_mode: Configure the san mode
		:type fcoe_fabric_mode: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - local|remote

		:param fcoe_fabric_map_priority: Configure the priority for the FCoE Fabric-map
		:type fcoe_fabric_map_priority: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param fcoe_fabric_map_virtual_fabric: Configure the Virtual-Fabric ID for the FCoE 
Fabric-map
		:type fcoe_fabric_map_virtual_fabric: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param fcoe_fabric_map_fcmap: Configure the FCMAP value for a FCoE Fabric-map
		:type fcoe_fabric_map_fcmap: (unicode)
		
		.. note::
			* length - [u'1..9']
			* pattern - [0][Ee]:[Ff][Cc]:[0-9a-fA-F]{2}

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fcoe_fabric_map', 'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_map_vlan=fcoe_fabric_map_vlan, fcoe_fabric_mode=fcoe_fabric_mode, fcoe_fabric_map_priority=fcoe_fabric_map_priority, fcoe_fabric_map_virtual_fabric=fcoe_fabric_map_virtual_fabric, fcoe_fabric_map_fcmap=fcoe_fabric_map_fcmap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_advertisement_update(self, fcoe_fabric_map=None, fcoe_fip_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fcoe_fabric_map: kwarg tuple.
		:type fcoe_fabric_map: (fcoe_fabric_map_name).

		:param fcoe_fabric_map_name: FCoE Fabric-map name (Max Size - 31)
		:type fcoe_fabric_map_name: (unicode)
		
		.. note::
			* length - [u'1..31']

	**This Instance Arg(s)**:
		:param fcoe_fip_advertisement_interval: Configure the FIP Advertisement interval
		:type fcoe_fip_advertisement_interval: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_advertisement_interval=fcoe_fip_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_advertisement_interval_update(self, fcoe_fabric_map=None, fcoe_fip_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fcoe_fabric_map: kwarg tuple.
		:type fcoe_fabric_map: (fcoe_fabric_map_name).

		:param fcoe_fabric_map_name: FCoE Fabric-map name (Max Size - 31)
		:type fcoe_fabric_map_name: (unicode)
		
		.. note::
			* length - [u'1..31']

	**This Instance Arg(s)**:
		:param fcoe_fip_advertisement_interval: Configure the FIP Advertisement interval
		:type fcoe_fip_advertisement_interval: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fip_advertisement', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_advertisement_interval=fcoe_fip_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcf_group_update(self, fcoe_fabric_map=None, fcoe_fcf_map=None, fcf_map_fcf_rbid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fcoe_fabric_map: kwarg tuple.
		:type fcoe_fabric_map: (fcoe_fabric_map_name).

		:param fcoe_fabric_map_name: FCoE Fabric-map name (Max Size - 31)
		:type fcoe_fabric_map_name: (unicode)
		
		.. note::
			* length - [u'1..31']

	**This Instance Keyword Arg Tuple**:
		:param fcoe_fcf_map: kwarg tuple.
		:type fcoe_fcf_map: (fcf_map_name).

		:param fcf_map_name: tuple arg.
		:type fcf_map_name: (unicode)
		
		.. note::
			* length - [u'1..31']

	**This Instance Arg(s)**:
		:param fcf_map_fcf_rbid: Configure FCF Box's rbridge-id in the FCF Group
		:type fcf_map_fcf_rbid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fcoe_fcf_map', 'keyval': 'fcf_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fcf_rbid=fcf_map_fcf_rbid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcf_group_fif_rbid_update(self, fcoe_fabric_map=None, fcoe_fcf_map=None, fcf_map_fif_rbid_add=None, fcf_map_fif_rbid_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fcoe_fabric_map: kwarg tuple.
		:type fcoe_fabric_map: (fcoe_fabric_map_name).

		:param fcoe_fabric_map_name: FCoE Fabric-map name (Max Size - 31)
		:type fcoe_fabric_map_name: (unicode)
		
		.. note::
			* length - [u'1..31']

		:param fcoe_fcf_map: kwarg tuple.
		:type fcoe_fcf_map: (fcf_map_name).

		:param fcf_map_name: tuple arg.
		:type fcf_map_name: (unicode)
		
		.. note::
			* length - [u'1..31']

	**This Instance Arg(s)**:
		:param fcf_map_fif_rbid_add: Add FIF rbridge-id/s in the FCF Group
		:type fcf_map_fif_rbid_add: (unicode)
		
		.. note::
			* length - [u'1..567']
			* pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param fcf_map_fif_rbid_remove: Remove FIF rbridge-id/s in the FCF Group
		:type fcf_map_fif_rbid_remove: (unicode)
		
		.. note::
			* length - [u'1..567']
			* pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map')]
    bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fif_rbid_add=fcf_map_fif_rbid_add, fcf_map_fif_rbid_remove=fcf_map_fif_rbid_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcf_group_fif_rbid_add_update(self, fcoe_fabric_map=None, fcoe_fcf_map=None, fcf_map_fif_rbid_add=None, fcf_map_fif_rbid_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fcoe_fabric_map: kwarg tuple.
		:type fcoe_fabric_map: (fcoe_fabric_map_name).

		:param fcoe_fabric_map_name: FCoE Fabric-map name (Max Size - 31)
		:type fcoe_fabric_map_name: (unicode)
		
		.. note::
			* length - [u'1..31']

		:param fcoe_fcf_map: kwarg tuple.
		:type fcoe_fcf_map: (fcf_map_name).

		:param fcf_map_name: tuple arg.
		:type fcf_map_name: (unicode)
		
		.. note::
			* length - [u'1..31']

	**This Instance Arg(s)**:
		:param fcf_map_fif_rbid_add: Add FIF rbridge-id/s in the FCF Group
		:type fcf_map_fif_rbid_add: (unicode)
		
		.. note::
			* length - [u'1..567']
			* pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param fcf_map_fif_rbid_remove: Remove FIF rbridge-id/s in the FCF Group
		:type fcf_map_fif_rbid_remove: (unicode)
		
		.. note::
			* length - [u'1..567']
			* pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcf_map', u'fcoe_fcf_map')]
    bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map.fcf_map_fif_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcf_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fif_rbid_add=fcf_map_fif_rbid_add, fcf_map_fif_rbid_remove=fcf_map_fif_rbid_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcport_group_fcport_group_rbid_update(self, fcoe_fabric_map=None, fcport_group_rbid_add=None, fcport_group_rbid_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fcoe_fabric_map: kwarg tuple.
		:type fcoe_fabric_map: (fcoe_fabric_map_name).

		:param fcoe_fabric_map_name: FCoE Fabric-map name (Max Size - 31)
		:type fcoe_fabric_map_name: (unicode)
		
		.. note::
			* length - [u'1..31']

	**This Instance Arg(s)**:
		:param fcport_group_rbid_add: Add  rbridge-id/s to the fcport-group
		:type fcport_group_rbid_add: (unicode)
		
		.. note::
			* length - [u'1..567']
			* pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param fcport_group_rbid_remove: Remove fcport-group rbridge-id/s from the fcport-group
		:type fcport_group_rbid_remove: (unicode)
		
		.. note::
			* length - [u'1..567']
			* pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcport_group_rbid_add=fcport_group_rbid_add, fcport_group_rbid_remove=fcport_group_rbid_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcport_group_fcport_group_rbid_add_update(self, fcoe_fabric_map=None, fcport_group_rbid_add=None, fcport_group_rbid_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fcoe_fabric_map: kwarg tuple.
		:type fcoe_fabric_map: (fcoe_fabric_map_name).

		:param fcoe_fabric_map_name: FCoE Fabric-map name (Max Size - 31)
		:type fcoe_fabric_map_name: (unicode)
		
		.. note::
			* length - [u'1..31']

	**This Instance Arg(s)**:
		:param fcport_group_rbid_add: Add  rbridge-id/s to the fcport-group
		:type fcport_group_rbid_add: (unicode)
		
		.. note::
			* length - [u'1..567']
			* pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param fcport_group_rbid_remove: Remove fcport-group rbridge-id/s from the fcport-group
		:type fcport_group_rbid_remove: (unicode)
		
		.. note::
			* length - [u'1..567']
			* pattern - (([1-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcport_group_config.fcport_group_rbid', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcport_group_rbid_add=fcport_group_rbid_add, fcport_group_rbid_remove=fcport_group_rbid_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_keep_alive_update(self, fcoe_fabric_map=None, fcoe_fip_keep_alive_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fcoe_fabric_map: kwarg tuple.
		:type fcoe_fabric_map: (fcoe_fabric_map_name).

		:param fcoe_fabric_map_name: FCoE Fabric-map name (Max Size - 31)
		:type fcoe_fabric_map_name: (unicode)
		
		.. note::
			* length - [u'1..31']

	**This Instance Arg(s)**:
		:param fcoe_fip_keep_alive_timeout: Enable/Disable the keep-alive timeout
		:type fcoe_fip_keep_alive_timeout: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_keep_alive_timeout=fcoe_fip_keep_alive_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_keep_alive_timeout_update(self, fcoe_fabric_map=None, fcoe_fip_keep_alive_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fcoe_fabric_map: kwarg tuple.
		:type fcoe_fabric_map: (fcoe_fabric_map_name).

		:param fcoe_fabric_map_name: FCoE Fabric-map name (Max Size - 31)
		:type fcoe_fabric_map_name: (unicode)
		
		.. note::
			* length - [u'1..31']

	**This Instance Arg(s)**:
		:param fcoe_fip_keep_alive_timeout: Enable/Disable the keep-alive timeout
		:type fcoe_fip_keep_alive_timeout: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fip_keep_alive', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fabric_map=fcoe_fabric_map, fcoe_fip_keep_alive_timeout=fcoe_fip_keep_alive_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcoe_fcoe_map_cee_map_update(self, fcoe_map=None, fcoe_map_cee_map_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fcoe_map: kwarg tuple.
		:type fcoe_map: (fcoe_map_name).

		:param fcoe_map_name: FCoE Map name (Max Size - 32)
		:type fcoe_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param fcoe_map_cee_map_leaf: Configure the CEE Map in the FCoE Map
		:type fcoe_map_cee_map_leaf: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.fcoe.fcoe_map', u'fcoe_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_map', u'fcoe_map'), ('pybind.nos.v6_0_2b.fcoe.fcoe_map', u'fcoe_map'), ('pybind.nos.v7_0_1a.fcoe.fcoe_map', u'fcoe_map')]
    bindings_list = [('pybind.nos.v6_0_2b.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_map.fcoe_map_cee_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_map=fcoe_map, fcoe_map_cee_map_leaf=fcoe_map_cee_map_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcsp_auth_update(self, auth_type=None, group=None, hash=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_type: The authentication type
		:type auth_type: (unicode)
		
		.. note::
			* enum - [u'dh-chap']

		:param group: The group value
		:type group: (unicode)
		
		.. note::
			* pattern - [0-4\*]

		:param hash: The hash type
		:type hash: (unicode)
		
		.. note::
			* enum - [u'all', u'sha1', u'md5']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.proto', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_type=auth_type, group=group, hash=hash)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcsp_auth_auth_type_update(self, auth_type=None, group=None, hash=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_type: The authentication type
		:type auth_type: (unicode)
		
		.. note::
			* enum - [u'dh-chap']

		:param group: The group value
		:type group: (unicode)
		
		.. note::
			* pattern - [0-4\*]

		:param hash: The hash type
		:type hash: (unicode)
		
		.. note::
			* enum - [u'all', u'sha1', u'md5']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.proto', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_type=auth_type, group=group, hash=hash)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcsp_auth_policy_update(self, switch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param switch: Enable switch policy
		:type switch: (unicode)
		
		.. note::
			* enum - [u'active', u'on', u'off', u'passive']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.policy', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, switch=switch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fcsp_auth_policy_switch_update(self, switch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param switch: Enable switch policy
		:type switch: (unicode)
		
		.. note::
			* enum - [u'active', u'on', u'off', u'passive']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v6_0_2b.brocade_fc_auth', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v7_0_1a.brocade_fc_auth', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcsp_sa.fcsp.auth.policy', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcsp_sa.fcsp.auth.policy', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, switch=switch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def firmware_auto_upgrade_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a    

	**This Instance Arg(s)**:
		:param enable: kwarg.
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.firmware.autoupgrade', 'pybind.nos.v6_0_2b.brocade_firmware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.firmware.autoupgrade', 'pybind.nos.v7_0_1a.brocade_firmware', 'pybind.nos.v7_0_1a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def firmware_auto_upgrade_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a    

	**This Instance Arg(s)**:
		:param enable: kwarg.
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.firmware.autoupgrade', 'pybind.nos.v6_0_2b.brocade_firmware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.firmware.autoupgrade', 'pybind.nos.v7_0_1a.brocade_firmware', 'pybind.nos.v7_0_1a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def firmware_auto_upgrade_params_update(self, path=None, protocol=None, ipaddress=None, username=None, pass_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a    

	**This Instance Arg(s)**:
		:param path: Auto-upgrade firmware path
		:type path: (unicode)

		:param protocol: Protocol type : ftp, scp, sftp, usb
		:type protocol: (unicode)
		
		.. note::
			* enum - [u'ftp', u'scp', u'sftp']

		:param ipaddress: Ipaddress or hostname
		:type ipaddress: (unicode)

		:param username: Username
		:type username: (unicode)

		:param pass_: Password
		:type pass_: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.firmware.autoupgrade_params', 'pybind.nos.v6_0_2b.brocade_firmware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.firmware.autoupgrade_params', 'pybind.nos.v7_0_1a.brocade_firmware', 'pybind.nos.v7_0_1a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, protocol=protocol, ipaddress=ipaddress, username=username, pass_=pass_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def firmware_auto_upgrade_params_host_update(self, path=None, protocol=None, ipaddress=None, username=None, pass_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a    

	**This Instance Arg(s)**:
		:param path: Auto-upgrade firmware path
		:type path: (unicode)

		:param protocol: Protocol type : ftp, scp, sftp, usb
		:type protocol: (unicode)
		
		.. note::
			* enum - [u'ftp', u'scp', u'sftp']

		:param ipaddress: Ipaddress or hostname
		:type ipaddress: (unicode)

		:param username: Username
		:type username: (unicode)

		:param pass_: Password
		:type pass_: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.firmware.autoupgrade_params', 'pybind.nos.v6_0_2b.brocade_firmware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.firmware.autoupgrade_params', 'pybind.nos.v7_0_1a.brocade_firmware', 'pybind.nos.v7_0_1a')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, protocol=protocol, ipaddress=ipaddress, username=username, pass_=pass_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fsb_update(self, fcoe_fsb_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param fcoe_fsb_enable: Enable/Disable the fsb mode
		:type fcoe_fsb_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.fcoe_fsb', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe_fsb', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe_fsb', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe_fsb', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fsb_enable=fcoe_fsb_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def fsb_enable_update(self, fcoe_fsb_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param fcoe_fsb_enable: Enable/Disable the fsb mode
		:type fcoe_fsb_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.fcoe_fsb', 'pybind.nos.v6_0_2b.brocade_fcoe', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.fcoe_fsb', 'pybind.nos.v7_0_1a.brocade_fcoe', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.fcoe_fsb', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe_fsb', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe_fsb_enable=fcoe_fsb_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ha_process_restart_disable_update(self, mpls=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param mpls: MPLS protocol
		:type mpls: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ha.process_restart.disable_res', 'pybind.slxos.v16r_1_00b.brocade_ha', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'mpls'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls=mpls)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ha_process_restart_disable_mpls_update(self, mpls=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param mpls: MPLS protocol
		:type mpls: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ha.process_restart.disable_res', 'pybind.slxos.v16r_1_00b.brocade_ha', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls=mpls)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_connector_breakout_update(self, connector=None, cage_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param connector: kwarg tuple.
		:type connector: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))

	**This Instance Arg(s)**:
		:param cage_mode: Configure breakout mode
		:type cage_mode: (unicode)
		
		.. note::
			* enum - [u'disabled', u'4x10g', u'2x40g', u'2x50g', u'4x25g']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.hardware.connector', u'connector')]
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.connector.breakout', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector=connector, cage_mode=cage_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_connector_breakout_mode_update(self, connector=None, cage_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param connector: kwarg tuple.
		:type connector: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))

	**This Instance Arg(s)**:
		:param cage_mode: Configure breakout mode
		:type cage_mode: (unicode)
		
		.. note::
			* enum - [u'disabled', u'4x10g', u'2x40g', u'2x50g', u'4x25g']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.hardware.connector', u'connector')]
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.connector.breakout', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector=connector, cage_mode=cage_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_connector_group_update(self, connector_group=None, speed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Keyword Arg Tuple**:
		:param connector_group: kwarg tuple.
		:type connector_group: (id).

		:param id: tuple arg.
		:type id: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param speed: Configure the speed of the connector group
		:type speed: (unicode)
		
		.. note::
			* enum - [u'HighMixed', u'FibreChannel', u'LowMixed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.hardware.connector_group', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.connector_group', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.connector_group', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'connector_group', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector_group=connector_group, speed=speed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_connector_sfp_update(self, connector=None, breakout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param connector: kwarg tuple.
		:type connector: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])?)

	**This Instance Arg(s)**:
		:param breakout: Breakout port
		:type breakout: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hardware.connector', u'connector'), ('pybind.nos.v7_0_1a.hardware.connector', u'connector'), ('pybind.nos.v7_1_0.hardware.connector', u'connector')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.connector.sfp', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.connector.sfp', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.connector.sfp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector=connector, breakout=breakout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_connector_sfp_breakout_update(self, connector=None, breakout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param connector: kwarg tuple.
		:type connector: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])?)

	**This Instance Arg(s)**:
		:param breakout: Breakout port
		:type breakout: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hardware.connector', u'connector'), ('pybind.nos.v7_0_1a.hardware.connector', u'connector'), ('pybind.nos.v7_1_0.hardware.connector', u'connector')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.connector.sfp', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.connector.sfp', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.connector.sfp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connector=connector, breakout=breakout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_bfd_l3_update(self, kap_custom_profile=None, bfd_l3_hello_interval=None, bfd_l3_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param bfd_l3_hello_interval: Configure BFD-L3 hello interval.
		:type bfd_l3_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bfd_l3_num_entry: Configure number of BFD-L3 keep-alive entries/per slot.
		:type bfd_l3_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'bfd_l3_hello_interval, bfd_l3_num_entry'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, bfd_l3_hello_interval=bfd_l3_hello_interval, bfd_l3_num_entry=bfd_l3_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_bfd_l3_hello_interval_update(self, kap_custom_profile=None, bfd_l3_hello_interval=None, bfd_l3_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param bfd_l3_hello_interval: Configure BFD-L3 hello interval.
		:type bfd_l3_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bfd_l3_num_entry: Configure number of BFD-L3 keep-alive entries/per slot.
		:type bfd_l3_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_l3', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, bfd_l3_hello_interval=bfd_l3_hello_interval, bfd_l3_num_entry=bfd_l3_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_bfd_vxlan_update(self, kap_custom_profile=None, bfd_vxlan_hello_interval=None, bfd_vxlan_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param bfd_vxlan_hello_interval: Configure BFD-VXLAN hello interval.
		:type bfd_vxlan_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bfd_vxlan_num_entry: Configure number of BFD-VXLAN keep-alive entries.
		:type bfd_vxlan_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'bfd_vxlan_hello_interval, bfd_vxlan_num_entry'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, bfd_vxlan_hello_interval=bfd_vxlan_hello_interval, bfd_vxlan_num_entry=bfd_vxlan_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_bfd_vxlan_hello_interval_update(self, kap_custom_profile=None, bfd_vxlan_hello_interval=None, bfd_vxlan_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param bfd_vxlan_hello_interval: Configure BFD-VXLAN hello interval.
		:type bfd_vxlan_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bfd_vxlan_num_entry: Configure number of BFD-VXLAN keep-alive entries.
		:type bfd_vxlan_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.bfd_vxlan', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, bfd_vxlan_hello_interval=bfd_vxlan_hello_interval, bfd_vxlan_num_entry=bfd_vxlan_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_fcoe_update(self, kap_custom_profile=None, fcoe_hello_interval=None, fcoe_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param fcoe_hello_interval: Configure FCOE hello interval.
		:type fcoe_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fcoe_num_entry: Configure number of FCOE keep-alive entries/per slot.
		:type fcoe_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoe_hello_interval, fcoe_num_entry'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, fcoe_hello_interval=fcoe_hello_interval, fcoe_num_entry=fcoe_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_fcoe_hello_interval_update(self, kap_custom_profile=None, fcoe_hello_interval=None, fcoe_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param fcoe_hello_interval: Configure FCOE hello interval.
		:type fcoe_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fcoe_num_entry: Configure number of FCOE keep-alive entries/per slot.
		:type fcoe_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.fcoe', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, fcoe_hello_interval=fcoe_hello_interval, fcoe_num_entry=fcoe_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_lacp_update(self, kap_custom_profile=None, lacp_hello_interval=None, lacp_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lacp_hello_interval: Configure LACP hello interval.
		:type lacp_hello_interval: (unicode)
		
		.. note::
			* enum - [u'30000', u'1000']

		:param lacp_num_entry: Configure number of LACP keep-alive entries/per slot
		:type lacp_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'lacp_hello_interval, lacp_num_entry'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, lacp_hello_interval=lacp_hello_interval, lacp_num_entry=lacp_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_lacp_hello_interval_update(self, kap_custom_profile=None, lacp_hello_interval=None, lacp_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lacp_hello_interval: Configure LACP hello interval.
		:type lacp_hello_interval: (unicode)
		
		.. note::
			* enum - [u'30000', u'1000']

		:param lacp_num_entry: Configure number of LACP keep-alive entries/per slot
		:type lacp_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.lacp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, lacp_hello_interval=lacp_hello_interval, lacp_num_entry=lacp_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_rpvst_update(self, kap_custom_profile=None, rpvst_hello_interval=None, rpvst_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param rpvst_hello_interval: Configure RPVST hello interval.
		:type rpvst_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rpvst_num_entry: Configure number of RPVST keep-alive entries/per slot.
		:type rpvst_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'rpvst_hello_interval, rpvst_num_entry'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, rpvst_hello_interval=rpvst_hello_interval, rpvst_num_entry=rpvst_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_rpvst_hello_interval_update(self, kap_custom_profile=None, rpvst_hello_interval=None, rpvst_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param rpvst_hello_interval: Configure RPVST hello interval.
		:type rpvst_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rpvst_num_entry: Configure number of RPVST keep-alive entries/per slot.
		:type rpvst_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.rpvst', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, rpvst_hello_interval=rpvst_hello_interval, rpvst_num_entry=rpvst_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_udld_update(self, kap_custom_profile=None, udld_hello_interval=None, udld_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param udld_hello_interval: Configure UDLD hello interval.
		:type udld_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param udld_num_entry: Configure number of UDLD keep-alive entries/per slot.
		:type udld_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'udld_hello_interval, udld_num_entry'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, udld_hello_interval=udld_hello_interval, udld_num_entry=udld_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_udld_hello_interval_update(self, kap_custom_profile=None, udld_hello_interval=None, udld_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param udld_hello_interval: Configure UDLD hello interval.
		:type udld_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param udld_num_entry: Configure number of UDLD keep-alive entries/per slot.
		:type udld_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.udld', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.udld', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, udld_hello_interval=udld_hello_interval, udld_num_entry=udld_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_xstp_update(self, kap_custom_profile=None, xstp_hello_interval=None, xstp_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param xstp_hello_interval: Configure xSTP hello interval.
		:type xstp_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param xstp_num_entry: Configure number of XSTP keep-alive entries/per slot.
		:type xstp_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'xstp_hello_interval, xstp_num_entry'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, xstp_hello_interval=xstp_hello_interval, xstp_num_entry=xstp_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_xstp_hello_interval_update(self, kap_custom_profile=None, xstp_hello_interval=None, xstp_num_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param kap_custom_profile: kwarg tuple.
		:type kap_custom_profile: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param xstp_hello_interval: Configure xSTP hello interval.
		:type xstp_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param xstp_num_entry: Configure number of XSTP keep-alive entries/per slot.
		:type xstp_num_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', u'kap_custom_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile.xstp', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_custom_profile=kap_custom_profile, xstp_hello_interval=xstp_hello_interval, xstp_num_entry=xstp_num_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_flexport_instance_update(self, flexport=None, type=None, instance=None, skip_deconfig=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param flexport: kwarg tuple.
		:type flexport: (id).

		:param id: tuple arg.
		:type id: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param type: The type to be configured.
		:type type: (unicode)
		
		.. note::
			* length - [u'1..16']

		:param instance: The instance to which the port should be configured.
		:type instance: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param skip_deconfig: Skip Plugin deconfig errors.
		:type skip_deconfig: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hardware.flexport', u'flexport'), ('pybind.nos.v6_0_2b.hardware.flexport', u'flexport'), ('pybind.nos.v7_0_1a.hardware.flexport', u'flexport')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.flexport.flexport_type', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.flexport.flexport_type', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.flexport.flexport_type', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flexport=flexport, type=type, instance=instance, skip_deconfig=skip_deconfig)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_port_group_mode_update(self, port_group=None, performance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_group: kwarg tuple.
		:type port_group: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param performance: port-group in performance mode, this command will shut
the density port in port-group making the density port
un-usable. The command is disruptive and irreversible.
Require power-cycle to restore the configuration.
		:type performance: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hardware.port_group', u'port_group'), ('pybind.nos.v7_0_1a.hardware.port_group', u'port_group'), ('pybind.nos.v7_1_0.hardware.port_group', u'port_group')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.port_group.mode', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.port_group.mode', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.port_group.mode', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_group=port_group, performance=performance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_port_group_mode_performance_update(self, port_group=None, performance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_group: kwarg tuple.
		:type port_group: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param performance: port-group in performance mode, this command will shut
the density port in port-group making the density port
un-usable. The command is disruptive and irreversible.
Require power-cycle to restore the configuration.
		:type performance: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hardware.port_group', u'port_group'), ('pybind.nos.v7_0_1a.hardware.port_group', u'port_group'), ('pybind.nos.v7_1_0.hardware.port_group', u'port_group')]
    bindings_list = [('pybind.nos.v6_0_2b.hardware.port_group.mode', 'pybind.nos.v6_0_2b.brocade_hardware', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hardware.port_group.mode', 'pybind.nos.v7_0_1a.brocade_hardware', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hardware.port_group.mode', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_group=port_group, performance=performance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_profile_counters_update(self, counters_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param counters_profiletype: kwarg.
		:type counters_profiletype: (unicode)
		
		.. note::
			* enum - [u'default', u'counter-profile-2', u'counter-profile-1', u'counter-profile-3']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.counters.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, counters_profiletype=counters_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_profile_kap_update(self, kap_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param kap_profiletype: kwarg.
		:type kap_profiletype: (unicode)
		
		.. note::
			* enum - [u'default']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.kap.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_profiletype=kap_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_profile_kap_custom_profile_update(self, kap_profilename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param kap_profilename: Profile name [length 1-64]
		:type kap_profilename: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.kap.customized', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, kap_profilename=kap_profilename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_profile_lag_update(self, lag_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param lag_profiletype: kwarg.
		:type lag_profiletype: (unicode)
		
		.. note::
			* enum - [u'default', u'lag-profile-1']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.lag.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lag_profiletype=lag_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_profile_route_table_update(self, routing_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param routing_profiletype: kwarg.
		:type routing_profiletype: (unicode)
		
		.. note::
			* enum - [u'ipv4-max-arp', u'ipv6-max-route', u'default', u'ipv4-min-v6', u'ipv6-max-nd', u'ipv4-max-route']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.route_table.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, routing_profiletype=routing_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_profile_route_table_maximum_paths_update(self, maximum_paths=None, openflow_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param maximum_paths: Maximum number of load-sharing paths
		:type maximum_paths: (unicode)
		
		.. note::
			* enum - [u'8', u'16', u'32']

		:param openflow_enable: Enable/disable openflow support in profile
		:type openflow_enable: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.route_table.predefined.routing_parameter', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, maximum_paths=maximum_paths, openflow_enable=openflow_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_profile_tcam_update(self, tcam_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param tcam_profiletype: kwarg.
		:type tcam_profiletype: (unicode)
		
		.. note::
			* enum - [u'default', u'vxlan-ext', u'openflow-optimised-2', u'openflow-optimised-1']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.tcam.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tcam_profiletype=tcam_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def hardware_profile_vlan_classification_update(self, vlan_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param vlan_profiletype: kwarg.
		:type vlan_profiletype: (unicode)
		
		.. note::
			* enum - [u'tor-vxlan-gw', u'default', u'aggregator-basic', u'aggregator-vxlan-gw', u'aggregator-virtualfabric', u'tor-virtualfabric']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.profile.vlan_classification.predefined', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan_profiletype=vlan_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def http_server_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param shutdown: Shutdown HTTP Server
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.http_sa.http.server', 'pybind.nos.v6_0_2b.brocade_http_config', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.http_sa.http.server.http_vrf_cont', 'pybind.nos.v7_0_1a.brocade_http_config', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.http_sa.http.server.http_vrf_cont', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server.http_vrf_cont', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def http_server_shutdown_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param shutdown: Shutdown HTTP Server
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.http_sa.http.server', 'pybind.nos.v6_0_2b.brocade_http_config', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.http_sa.http.server', 'pybind.nos.v7_0_1a.brocade_http_config', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.http_sa.http.server', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def http_server_use_vrf_update(self, use_vrf=None, http_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param use_vrf: kwarg tuple.
		:type use_vrf: (use_vrf_name, http_vrf_shutdown).

		:param use_vrf_name: tuple arg.
		:type use_vrf_name: (unicode)
		
		.. note::
			* length - [u'0..max']

		:param http_vrf_shutdown: Shutdown HTTP/HTTPS server on the given vrf
		:type http_vrf_shutdown: (YANGBool)

	**This Instance Arg(s)**:
		:param http_vrf_shutdown: Shutdown HTTP/HTTPS server on the given vrf
		:type http_vrf_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_http_config', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, secure_and_plain, http_vrf_shutdown'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf, http_vrf_shutdown=http_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_update(self, enable_any=None, error=None, events=None, group=None, packets=None, grp_addr=None, protocol=None, query=None, v1_report=None, direction=None, phy_port_name=None, io_port_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable_any: kwarg.
		:type enable_any: (int)
		
		.. note::
			* range - ['0..255']

		:param error: kwarg.
		:type error: (int)
		
		.. note::
			* range - ['0..255']

		:param events: kwarg.
		:type events: (int)
		
		.. note::
			* range - ['0..255']

		:param group: kwarg.
		:type group: (int)
		
		.. note::
			* range - ['0..255']

		:param packets: kwarg.
		:type packets: (int)
		
		.. note::
			* range - ['0..255']

		:param grp_addr: kwarg.
		:type grp_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param protocol: kwarg.
		:type protocol: (int)
		
		.. note::
			* range - ['0..255']

		:param query: kwarg.
		:type query: (int)
		
		.. note::
			* range - ['0..255']

		:param v1_report: kwarg.
		:type v1_report: (int)
		
		.. note::
			* range - ['0..255']

		:param direction: kwarg.
		:type direction: (unicode)

		:param phy_port_name: kwarg.
		:type phy_port_name: (unicode)

		:param io_port_name: kwarg.
		:type io_port_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_any=enable_any, error=error, events=events, group=group, packets=packets, grp_addr=grp_addr, protocol=protocol, query=query, v1_report=v1_report, direction=direction, phy_port_name=phy_port_name, io_port_name=io_port_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_debug_igmp_direction_update(self, enable_any=None, error=None, events=None, group=None, packets=None, grp_addr=None, protocol=None, query=None, v1_report=None, direction=None, phy_port_name=None, io_port_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable_any: kwarg.
		:type enable_any: (int)
		
		.. note::
			* range - ['0..255']

		:param error: kwarg.
		:type error: (int)
		
		.. note::
			* range - ['0..255']

		:param events: kwarg.
		:type events: (int)
		
		.. note::
			* range - ['0..255']

		:param group: kwarg.
		:type group: (int)
		
		.. note::
			* range - ['0..255']

		:param packets: kwarg.
		:type packets: (int)
		
		.. note::
			* range - ['0..255']

		:param grp_addr: kwarg.
		:type grp_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param protocol: kwarg.
		:type protocol: (int)
		
		.. note::
			* range - ['0..255']

		:param query: kwarg.
		:type query: (int)
		
		.. note::
			* range - ['0..255']

		:param v1_report: kwarg.
		:type v1_report: (int)
		
		.. note::
			* range - ['0..255']

		:param direction: kwarg.
		:type direction: (unicode)

		:param phy_port_name: kwarg.
		:type phy_port_name: (unicode)

		:param io_port_name: kwarg.
		:type io_port_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.debug_igmp', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_any=enable_any, error=error, events=events, group=group, packets=packets, grp_addr=grp_addr, protocol=protocol, query=query, v1_report=v1_report, direction=direction, phy_port_name=phy_port_name, io_port_name=io_port_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_groups_igmp_groups_update(self, igmp_groups=None, igmp_groups_=None, uptime=None, expiry_time=None, last_reporter=None, filter_mode=None, member_ship=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param igmp_groups: kwarg tuple.
		:type igmp_groups: (group_addr, interface_name).

		:param group_addr: tuple arg.
		:type group_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param igmp_groups_: kwarg tuple.
		:type igmp_groups_: (group_addr, interface_name).

		:param group_addr: tuple arg.
		:type group_addr: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

	**This Instance Arg(s)**:
		:param uptime: kwarg.
		:type uptime: (unicode)

		:param expiry_time: kwarg.
		:type expiry_time: (unicode)

		:param last_reporter: kwarg.
		:type last_reporter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param filter_mode: kwarg.
		:type filter_mode: (int)
		
		.. note::
			* range - ['0..255']

		:param member_ship: kwarg.
		:type member_ship: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_groups_', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, igmp_groups_=igmp_groups_, uptime=uptime, expiry_time=expiry_time, last_reporter=last_reporter, filter_mode=filter_mode, member_ship=member_ship)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_groups_igmp_groups_expiry_time_update(self, igmp_groups=None, expiry_time=None, uptime=None, expiry_time_=None, last_reporter=None, filter_mode=None, member_ship=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param igmp_groups: kwarg tuple.
		:type igmp_groups: (group_addr, interface_name).

		:param group_addr: tuple arg.
		:type group_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param expiry_time: kwarg tuple.
		:type expiry_time: (group_addr, interface_name).

		:param group_addr: tuple arg.
		:type group_addr: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

	**This Instance Arg(s)**:
		:param uptime: kwarg.
		:type uptime: (unicode)

		:param expiry_time_: kwarg.
		:type expiry_time_: (unicode)

		:param last_reporter: kwarg.
		:type last_reporter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param filter_mode: kwarg.
		:type filter_mode: (int)
		
		.. note::
			* range - ['0..255']

		:param member_ship: kwarg.
		:type member_ship: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_groups=igmp_groups, expiry_time=expiry_time, uptime=uptime, expiry_time_=expiry_time_, last_reporter=last_reporter, filter_mode=filter_mode, member_ship=member_ship)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_update(self, interface_name=None, query_edge_recvd=None, query_edge_sent=None, query_edge_rx_errors=None, v1_report_edge_recvd=None, v1_report_edge_sent=None, v1_report_edge_rx_errors=None, v2_report_edge_recvd=None, v2_report_edge_sent=None, v2_report_edge_rx_errors=None, v3_report_edge_recvd=None, v3_report_edge_sent=None, v3_report_edge_rx_errors=None, grp_leave_edge_recvd=None, grp_leave_edge_sent=None, grp_leave_edge_rx_errors=None, pim_hello_edge_recvd=None, pim_hello_edge_sent=None, pim_hello_edge_rx_errors=None, error_unknown_types=None, error_bad_length=None, error_bad_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param query_edge_recvd: kwarg.
		:type query_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_edge_sent: kwarg.
		:type query_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_edge_rx_errors: kwarg.
		:type query_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v1_report_edge_recvd: kwarg.
		:type v1_report_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v1_report_edge_sent: kwarg.
		:type v1_report_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v1_report_edge_rx_errors: kwarg.
		:type v1_report_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v2_report_edge_recvd: kwarg.
		:type v2_report_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v2_report_edge_sent: kwarg.
		:type v2_report_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v2_report_edge_rx_errors: kwarg.
		:type v2_report_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v3_report_edge_recvd: kwarg.
		:type v3_report_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v3_report_edge_sent: kwarg.
		:type v3_report_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v3_report_edge_rx_errors: kwarg.
		:type v3_report_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grp_leave_edge_recvd: kwarg.
		:type grp_leave_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grp_leave_edge_sent: kwarg.
		:type grp_leave_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grp_leave_edge_rx_errors: kwarg.
		:type grp_leave_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pim_hello_edge_recvd: kwarg.
		:type pim_hello_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pim_hello_edge_sent: kwarg.
		:type pim_hello_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pim_hello_edge_rx_errors: kwarg.
		:type pim_hello_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param error_unknown_types: kwarg.
		:type error_unknown_types: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param error_bad_length: kwarg.
		:type error_bad_length: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param error_bad_checksum: kwarg.
		:type error_bad_checksum: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_name=interface_name, query_edge_recvd=query_edge_recvd, query_edge_sent=query_edge_sent, query_edge_rx_errors=query_edge_rx_errors, v1_report_edge_recvd=v1_report_edge_recvd, v1_report_edge_sent=v1_report_edge_sent, v1_report_edge_rx_errors=v1_report_edge_rx_errors, v2_report_edge_recvd=v2_report_edge_recvd, v2_report_edge_sent=v2_report_edge_sent, v2_report_edge_rx_errors=v2_report_edge_rx_errors, v3_report_edge_recvd=v3_report_edge_recvd, v3_report_edge_sent=v3_report_edge_sent, v3_report_edge_rx_errors=v3_report_edge_rx_errors, grp_leave_edge_recvd=grp_leave_edge_recvd, grp_leave_edge_sent=grp_leave_edge_sent, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors, pim_hello_edge_recvd=pim_hello_edge_recvd, pim_hello_edge_sent=pim_hello_edge_sent, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors, error_unknown_types=error_unknown_types, error_bad_length=error_bad_length, error_bad_checksum=error_bad_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_interface_statistics_error_bad_checksum_update(self, interface_name=None, query_edge_recvd=None, query_edge_sent=None, query_edge_rx_errors=None, v1_report_edge_recvd=None, v1_report_edge_sent=None, v1_report_edge_rx_errors=None, v2_report_edge_recvd=None, v2_report_edge_sent=None, v2_report_edge_rx_errors=None, v3_report_edge_recvd=None, v3_report_edge_sent=None, v3_report_edge_rx_errors=None, grp_leave_edge_recvd=None, grp_leave_edge_sent=None, grp_leave_edge_rx_errors=None, pim_hello_edge_recvd=None, pim_hello_edge_sent=None, pim_hello_edge_rx_errors=None, error_unknown_types=None, error_bad_length=None, error_bad_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param query_edge_recvd: kwarg.
		:type query_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_edge_sent: kwarg.
		:type query_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_edge_rx_errors: kwarg.
		:type query_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v1_report_edge_recvd: kwarg.
		:type v1_report_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v1_report_edge_sent: kwarg.
		:type v1_report_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v1_report_edge_rx_errors: kwarg.
		:type v1_report_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v2_report_edge_recvd: kwarg.
		:type v2_report_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v2_report_edge_sent: kwarg.
		:type v2_report_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v2_report_edge_rx_errors: kwarg.
		:type v2_report_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v3_report_edge_recvd: kwarg.
		:type v3_report_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v3_report_edge_sent: kwarg.
		:type v3_report_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v3_report_edge_rx_errors: kwarg.
		:type v3_report_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grp_leave_edge_recvd: kwarg.
		:type grp_leave_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grp_leave_edge_sent: kwarg.
		:type grp_leave_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grp_leave_edge_rx_errors: kwarg.
		:type grp_leave_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pim_hello_edge_recvd: kwarg.
		:type pim_hello_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pim_hello_edge_sent: kwarg.
		:type pim_hello_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pim_hello_edge_rx_errors: kwarg.
		:type pim_hello_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param error_unknown_types: kwarg.
		:type error_unknown_types: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param error_bad_length: kwarg.
		:type error_bad_length: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param error_bad_checksum: kwarg.
		:type error_bad_checksum: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_interface_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_name=interface_name, query_edge_recvd=query_edge_recvd, query_edge_sent=query_edge_sent, query_edge_rx_errors=query_edge_rx_errors, v1_report_edge_recvd=v1_report_edge_recvd, v1_report_edge_sent=v1_report_edge_sent, v1_report_edge_rx_errors=v1_report_edge_rx_errors, v2_report_edge_recvd=v2_report_edge_recvd, v2_report_edge_sent=v2_report_edge_sent, v2_report_edge_rx_errors=v2_report_edge_rx_errors, v3_report_edge_recvd=v3_report_edge_recvd, v3_report_edge_sent=v3_report_edge_sent, v3_report_edge_rx_errors=v3_report_edge_rx_errors, grp_leave_edge_recvd=grp_leave_edge_recvd, grp_leave_edge_sent=grp_leave_edge_sent, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors, pim_hello_edge_recvd=pim_hello_edge_recvd, pim_hello_edge_sent=pim_hello_edge_sent, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors, error_unknown_types=error_unknown_types, error_bad_length=error_bad_length, error_bad_checksum=error_bad_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_update(self, igmp_l3_interfaces=None, igmp_l3_interfaces_=None, is_igmp_enabled=None, query_interval=None, other_querier_interval=None, query_reponse_time=None, last_member_query_interval=None, immediate_leave=None, igmp_querier=None, is_igmp_querier_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param igmp_l3_interfaces: kwarg tuple.
		:type igmp_l3_interfaces: (interface_name).

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param igmp_l3_interfaces_: kwarg tuple.
		:type igmp_l3_interfaces_: (interface_name).

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

	**This Instance Arg(s)**:
		:param is_igmp_enabled: kwarg.
		:type is_igmp_enabled: (int)
		
		.. note::
			* range - ['0..255']

		:param query_interval: kwarg.
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param other_querier_interval: kwarg.
		:type other_querier_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_reponse_time: kwarg.
		:type query_reponse_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param last_member_query_interval: kwarg.
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: kwarg.
		:type immediate_leave: (int)
		
		.. note::
			* range - ['0..255']

		:param igmp_querier: kwarg.
		:type igmp_querier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param is_igmp_querier_local: kwarg.
		:type is_igmp_querier_local: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_l3_interfaces_', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_l3_interfaces=igmp_l3_interfaces, igmp_l3_interfaces_=igmp_l3_interfaces_, is_igmp_enabled=is_igmp_enabled, query_interval=query_interval, other_querier_interval=other_querier_interval, query_reponse_time=query_reponse_time, last_member_query_interval=last_member_query_interval, immediate_leave=immediate_leave, igmp_querier=igmp_querier, is_igmp_querier_local=is_igmp_querier_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_igmp_querier_update(self, igmp_l3_interfaces=None, igmp_querier=None, is_igmp_enabled=None, query_interval=None, other_querier_interval=None, query_reponse_time=None, last_member_query_interval=None, immediate_leave=None, igmp_querier_=None, is_igmp_querier_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param igmp_l3_interfaces: kwarg tuple.
		:type igmp_l3_interfaces: (interface_name).

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param igmp_querier: kwarg tuple.
		:type igmp_querier: (interface_name).

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

	**This Instance Arg(s)**:
		:param is_igmp_enabled: kwarg.
		:type is_igmp_enabled: (int)
		
		.. note::
			* range - ['0..255']

		:param query_interval: kwarg.
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param other_querier_interval: kwarg.
		:type other_querier_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_reponse_time: kwarg.
		:type query_reponse_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param last_member_query_interval: kwarg.
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: kwarg.
		:type immediate_leave: (int)
		
		.. note::
			* range - ['0..255']

		:param igmp_querier_: kwarg.
		:type igmp_querier_: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param is_igmp_querier_local: kwarg.
		:type is_igmp_querier_local: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_querier', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_l3_interfaces=igmp_l3_interfaces, igmp_querier=igmp_querier, is_igmp_enabled=is_igmp_enabled, query_interval=query_interval, other_querier_interval=other_querier_interval, query_reponse_time=query_reponse_time, last_member_query_interval=last_member_query_interval, immediate_leave=immediate_leave, igmp_querier_=igmp_querier_, is_igmp_querier_local=is_igmp_querier_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_update(self, igmp_multicast_snooping_vlans=None, igmp_multicast_snooping_vlans_=None, pim_sn_status=None, igmp_sn_status=None, igmp_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param igmp_multicast_snooping_vlans: kwarg tuple.
		:type igmp_multicast_snooping_vlans: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param igmp_multicast_snooping_vlans_: kwarg tuple.
		:type igmp_multicast_snooping_vlans_: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param pim_sn_status: kwarg.
		:type pim_sn_status: (int)
		
		.. note::
			* range - ['0..255']

		:param igmp_sn_status: kwarg.
		:type igmp_sn_status: (int)
		
		.. note::
			* range - ['0..255']

		:param igmp_version: kwarg.
		:type igmp_version: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_multicast_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_multicast_snooping_vlans_=igmp_multicast_snooping_vlans_, pim_sn_status=pim_sn_status, igmp_sn_status=igmp_sn_status, igmp_version=igmp_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_igmp_sn_status_update(self, igmp_multicast_snooping_vlans=None, igmp_sn_status=None, pim_sn_status=None, igmp_sn_status_=None, igmp_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param igmp_multicast_snooping_vlans: kwarg tuple.
		:type igmp_multicast_snooping_vlans: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param igmp_sn_status: kwarg tuple.
		:type igmp_sn_status: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param pim_sn_status: kwarg.
		:type pim_sn_status: (int)
		
		.. note::
			* range - ['0..255']

		:param igmp_sn_status_: kwarg.
		:type igmp_sn_status_: (int)
		
		.. note::
			* range - ['0..255']

		:param igmp_version: kwarg.
		:type igmp_version: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_sn_status', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_sn_status=igmp_sn_status, pim_sn_status=pim_sn_status, igmp_sn_status_=igmp_sn_status_, igmp_version=igmp_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_update(self, igmp_snooping_mrouters=None, igmp_snooping_mrouters_=None, interface_name=None, expiry_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param igmp_snooping_mrouters: kwarg tuple.
		:type igmp_snooping_mrouters: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param igmp_snooping_mrouters_: kwarg tuple.
		:type igmp_snooping_mrouters_: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param expiry_time: kwarg.
		:type expiry_time: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_snooping_mrouters_', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_mrouters=igmp_snooping_mrouters, igmp_snooping_mrouters_=igmp_snooping_mrouters_, interface_name=interface_name, expiry_time=expiry_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_expiry_time_update(self, igmp_snooping_mrouters=None, expiry_time=None, interface_name=None, expiry_time_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param igmp_snooping_mrouters: kwarg tuple.
		:type igmp_snooping_mrouters: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param expiry_time: kwarg tuple.
		:type expiry_time: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param expiry_time_: kwarg.
		:type expiry_time_: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_mrouters=igmp_snooping_mrouters, expiry_time=expiry_time, interface_name=interface_name, expiry_time_=expiry_time_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_update(self, igmp_snooping_vlans=None, igmp_snooping_vlans_=None, multicast_router_ports=None, is_querier=None, igmp_operation_mode=None, fast_leave=None, qmrt=None, lmqi=None, qi=None, version=None, num_of_mcast_grps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param igmp_snooping_vlans: kwarg tuple.
		:type igmp_snooping_vlans: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param igmp_snooping_vlans_: kwarg tuple.
		:type igmp_snooping_vlans_: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param multicast_router_ports: kwarg.
		:type multicast_router_ports: (unicode)

		:param is_querier: kwarg.
		:type is_querier: (int)
		
		.. note::
			* range - ['0..255']

		:param igmp_operation_mode: kwarg.
		:type igmp_operation_mode: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fast_leave: kwarg.
		:type fast_leave: (int)
		
		.. note::
			* range - ['0..255']

		:param qmrt: kwarg.
		:type qmrt: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lmqi: kwarg.
		:type lmqi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param qi: kwarg.
		:type qi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param version: kwarg.
		:type version: (int)
		
		.. note::
			* range - ['0..255']

		:param num_of_mcast_grps: kwarg.
		:type num_of_mcast_grps: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, igmp_snooping_vlans_=igmp_snooping_vlans_, multicast_router_ports=multicast_router_ports, is_querier=is_querier, igmp_operation_mode=igmp_operation_mode, fast_leave=fast_leave, qmrt=qmrt, lmqi=lmqi, qi=qi, version=version, num_of_mcast_grps=num_of_mcast_grps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_fast_leave_update(self, igmp_snooping_vlans=None, fast_leave=None, multicast_router_ports=None, is_querier=None, igmp_operation_mode=None, fast_leave_=None, qmrt=None, lmqi=None, qi=None, version=None, num_of_mcast_grps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param igmp_snooping_vlans: kwarg tuple.
		:type igmp_snooping_vlans: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param fast_leave: kwarg tuple.
		:type fast_leave: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param multicast_router_ports: kwarg.
		:type multicast_router_ports: (unicode)

		:param is_querier: kwarg.
		:type is_querier: (int)
		
		.. note::
			* range - ['0..255']

		:param igmp_operation_mode: kwarg.
		:type igmp_operation_mode: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fast_leave_: kwarg.
		:type fast_leave_: (int)
		
		.. note::
			* range - ['0..255']

		:param qmrt: kwarg.
		:type qmrt: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lmqi: kwarg.
		:type lmqi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param qi: kwarg.
		:type qi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param version: kwarg.
		:type version: (int)
		
		.. note::
			* range - ['0..255']

		:param num_of_mcast_grps: kwarg.
		:type num_of_mcast_grps: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fast_leave', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, fast_leave=fast_leave, multicast_router_ports=multicast_router_ports, is_querier=is_querier, igmp_operation_mode=igmp_operation_mode, fast_leave_=fast_leave_, qmrt=qmrt, lmqi=lmqi, qi=qi, version=version, num_of_mcast_grps=num_of_mcast_grps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_vlan_groups_update(self, igmp_snooping_vlans=None, vlan_groups=None, member_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param igmp_snooping_vlans: kwarg tuple.
		:type igmp_snooping_vlans: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vlan_groups: kwarg tuple.
		:type vlan_groups: (grp_ip_addr).

		:param grp_ip_addr: tuple arg.
		:type grp_ip_addr: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param member_ports: kwarg.
		:type member_ports: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_.vlan_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan_groups', 'keyval': 'grp_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_snooping_vlans=igmp_snooping_vlans, vlan_groups=vlan_groups, member_ports=member_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_update(self, igmp_statistics=None, query_edge_recvd=None, query_edge_sent=None, query_edge_rx_errors=None, v1_report_edge_recvd=None, v1_report_edge_sent=None, v1_report_edge_rx_errors=None, v2_report_edge_recvd=None, v2_report_edge_sent=None, v2_report_edge_rx_errors=None, v3_report_edge_recvd=None, v3_report_edge_sent=None, v3_report_edge_rx_errors=None, grp_leave_edge_recvd=None, grp_leave_edge_sent=None, grp_leave_edge_rx_errors=None, pim_hello_edge_recvd=None, pim_hello_edge_sent=None, pim_hello_edge_rx_errors=None, error_unknown_types=None, error_bad_length=None, error_bad_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param igmp_statistics: kwarg tuple.
		:type igmp_statistics: (interface_name).

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

	**This Instance Arg(s)**:
		:param query_edge_recvd: kwarg.
		:type query_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_edge_sent: kwarg.
		:type query_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_edge_rx_errors: kwarg.
		:type query_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v1_report_edge_recvd: kwarg.
		:type v1_report_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v1_report_edge_sent: kwarg.
		:type v1_report_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v1_report_edge_rx_errors: kwarg.
		:type v1_report_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v2_report_edge_recvd: kwarg.
		:type v2_report_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v2_report_edge_sent: kwarg.
		:type v2_report_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v2_report_edge_rx_errors: kwarg.
		:type v2_report_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v3_report_edge_recvd: kwarg.
		:type v3_report_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v3_report_edge_sent: kwarg.
		:type v3_report_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v3_report_edge_rx_errors: kwarg.
		:type v3_report_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grp_leave_edge_recvd: kwarg.
		:type grp_leave_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grp_leave_edge_sent: kwarg.
		:type grp_leave_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grp_leave_edge_rx_errors: kwarg.
		:type grp_leave_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pim_hello_edge_recvd: kwarg.
		:type pim_hello_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pim_hello_edge_sent: kwarg.
		:type pim_hello_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pim_hello_edge_rx_errors: kwarg.
		:type pim_hello_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param error_unknown_types: kwarg.
		:type error_unknown_types: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param error_bad_length: kwarg.
		:type error_bad_length: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param error_bad_checksum: kwarg.
		:type error_bad_checksum: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'igmp_statistics', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmp_statistics=igmp_statistics, query_edge_recvd=query_edge_recvd, query_edge_sent=query_edge_sent, query_edge_rx_errors=query_edge_rx_errors, v1_report_edge_recvd=v1_report_edge_recvd, v1_report_edge_sent=v1_report_edge_sent, v1_report_edge_rx_errors=v1_report_edge_rx_errors, v2_report_edge_recvd=v2_report_edge_recvd, v2_report_edge_sent=v2_report_edge_sent, v2_report_edge_rx_errors=v2_report_edge_rx_errors, v3_report_edge_recvd=v3_report_edge_recvd, v3_report_edge_sent=v3_report_edge_sent, v3_report_edge_rx_errors=v3_report_edge_rx_errors, grp_leave_edge_recvd=grp_leave_edge_recvd, grp_leave_edge_sent=grp_leave_edge_sent, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors, pim_hello_edge_recvd=pim_hello_edge_recvd, pim_hello_edge_sent=pim_hello_edge_sent, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors, error_unknown_types=error_unknown_types, error_bad_length=error_bad_length, error_bad_checksum=error_bad_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_error_bad_checksum_update(self, error_bad_checksum=None, query_edge_recvd=None, query_edge_sent=None, query_edge_rx_errors=None, v1_report_edge_recvd=None, v1_report_edge_sent=None, v1_report_edge_rx_errors=None, v2_report_edge_recvd=None, v2_report_edge_sent=None, v2_report_edge_rx_errors=None, v3_report_edge_recvd=None, v3_report_edge_sent=None, v3_report_edge_rx_errors=None, grp_leave_edge_recvd=None, grp_leave_edge_sent=None, grp_leave_edge_rx_errors=None, pim_hello_edge_recvd=None, pim_hello_edge_sent=None, pim_hello_edge_rx_errors=None, error_unknown_types=None, error_bad_length=None, error_bad_checksum_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param error_bad_checksum: kwarg tuple.
		:type error_bad_checksum: (interface_name).

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

	**This Instance Arg(s)**:
		:param query_edge_recvd: kwarg.
		:type query_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_edge_sent: kwarg.
		:type query_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_edge_rx_errors: kwarg.
		:type query_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v1_report_edge_recvd: kwarg.
		:type v1_report_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v1_report_edge_sent: kwarg.
		:type v1_report_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v1_report_edge_rx_errors: kwarg.
		:type v1_report_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v2_report_edge_recvd: kwarg.
		:type v2_report_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v2_report_edge_sent: kwarg.
		:type v2_report_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v2_report_edge_rx_errors: kwarg.
		:type v2_report_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v3_report_edge_recvd: kwarg.
		:type v3_report_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v3_report_edge_sent: kwarg.
		:type v3_report_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v3_report_edge_rx_errors: kwarg.
		:type v3_report_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grp_leave_edge_recvd: kwarg.
		:type grp_leave_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grp_leave_edge_sent: kwarg.
		:type grp_leave_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grp_leave_edge_rx_errors: kwarg.
		:type grp_leave_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pim_hello_edge_recvd: kwarg.
		:type pim_hello_edge_recvd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pim_hello_edge_sent: kwarg.
		:type pim_hello_edge_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pim_hello_edge_rx_errors: kwarg.
		:type pim_hello_edge_rx_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param error_unknown_types: kwarg.
		:type error_unknown_types: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param error_bad_length: kwarg.
		:type error_bad_length: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param error_bad_checksum_: kwarg.
		:type error_bad_checksum_: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'error_bad_checksum', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, error_bad_checksum=error_bad_checksum, query_edge_recvd=query_edge_recvd, query_edge_sent=query_edge_sent, query_edge_rx_errors=query_edge_rx_errors, v1_report_edge_recvd=v1_report_edge_recvd, v1_report_edge_sent=v1_report_edge_sent, v1_report_edge_rx_errors=v1_report_edge_rx_errors, v2_report_edge_recvd=v2_report_edge_recvd, v2_report_edge_sent=v2_report_edge_sent, v2_report_edge_rx_errors=v2_report_edge_rx_errors, v3_report_edge_recvd=v3_report_edge_recvd, v3_report_edge_sent=v3_report_edge_sent, v3_report_edge_rx_errors=v3_report_edge_rx_errors, grp_leave_edge_recvd=grp_leave_edge_recvd, grp_leave_edge_sent=grp_leave_edge_sent, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors, pim_hello_edge_recvd=pim_hello_edge_recvd, pim_hello_edge_sent=pim_hello_edge_sent, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors, error_unknown_types=error_unknown_types, error_bad_length=error_bad_length, error_bad_checksum_=error_bad_checksum_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_multicast_ssm_mapping_ssm_maps_update(self, ssm_maps=None, src_ip_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param ssm_maps: kwarg tuple.
		:type ssm_maps: (prefix_list_name).

		:param prefix_list_name: tuple arg.
		:type prefix_list_name: (unicode)

	**This Instance Arg(s)**:
		:param src_ip_addr: kwarg.
		:type src_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.multicast_ssm_mapping.ssm_maps', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ssm_maps', 'keyval': 'prefix_list_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ssm_maps=ssm_maps, src_ip_addr=src_ip_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_update(self, pim_snp_groups=None, pim_snp_groups_=None, uptime=None, expiry_time=None, last_reporter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param pim_snp_groups: kwarg tuple.
		:type pim_snp_groups: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param pim_snp_groups_: kwarg tuple.
		:type pim_snp_groups_: (group_addr, vlan_id).

		:param group_addr: tuple arg.
		:type group_addr: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param uptime: kwarg.
		:type uptime: (unicode)

		:param expiry_time: kwarg.
		:type expiry_time: (unicode)

		:param last_reporter: kwarg.
		:type last_reporter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_groups_', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_groups_=pim_snp_groups_, uptime=uptime, expiry_time=expiry_time, last_reporter=last_reporter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_expiry_time_update(self, pim_snp_groups=None, expiry_time=None, uptime=None, expiry_time_=None, last_reporter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param pim_snp_groups: kwarg tuple.
		:type pim_snp_groups: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param expiry_time: kwarg tuple.
		:type expiry_time: (group_addr, vlan_id).

		:param group_addr: tuple arg.
		:type group_addr: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param uptime: kwarg.
		:type uptime: (unicode)

		:param expiry_time_: kwarg.
		:type expiry_time_: (unicode)

		:param last_reporter: kwarg.
		:type last_reporter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'expiry_time', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, expiry_time=expiry_time, uptime=uptime, expiry_time_=expiry_time_, last_reporter=last_reporter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_update(self, pim_snp_groups=None, pim_snp_sources=None, src_flags=None, src_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param pim_snp_groups: kwarg tuple.
		:type pim_snp_groups: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param pim_snp_sources: kwarg tuple.
		:type pim_snp_sources: (src_addr).

		:param src_addr: tuple arg.
		:type src_addr: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param src_flags: kwarg.
		:type src_flags: (int)
		
		.. note::
			* range - ['0..255']

		:param src_uptime: kwarg.
		:type src_uptime: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_sources', 'keyval': 'src_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, src_flags=src_flags, src_uptime=src_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_pim_snp_sg_member_ports_update(self, pim_snp_groups=None, pim_snp_sources=None, pim_snp_sg_member_ports=None, mbr_flags=None, flag_string=None, mbr_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param pim_snp_groups: kwarg tuple.
		:type pim_snp_groups: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pim_snp_sources: kwarg tuple.
		:type pim_snp_sources: (src_addr).

		:param src_addr: tuple arg.
		:type src_addr: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param pim_snp_sg_member_ports: kwarg tuple.
		:type pim_snp_sg_member_ports: (interface_name).

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

	**This Instance Arg(s)**:
		:param mbr_flags: kwarg.
		:type mbr_flags: (int)
		
		.. note::
			* range - ['0..255']

		:param flag_string: kwarg.
		:type flag_string: (unicode)

		:param mbr_uptime: kwarg.
		:type mbr_uptime: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_sg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports, mbr_flags=mbr_flags, flag_string=flag_string, mbr_uptime=mbr_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_wg_member_ports_update(self, pim_snp_groups=None, pim_snp_wg_member_ports=None, mbr_flags=None, flag_string=None, mbr_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param pim_snp_groups: kwarg tuple.
		:type pim_snp_groups: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param pim_snp_wg_member_ports: kwarg tuple.
		:type pim_snp_wg_member_ports: (interface_name).

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

	**This Instance Arg(s)**:
		:param mbr_flags: kwarg.
		:type mbr_flags: (int)
		
		.. note::
			* range - ['0..255']

		:param flag_string: kwarg.
		:type flag_string: (unicode)

		:param mbr_uptime: kwarg.
		:type mbr_uptime: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_wg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports, mbr_flags=mbr_flags, flag_string=flag_string, mbr_uptime=mbr_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_bfd_update(self, ethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_bfd_interval_update(self, ethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_bfd_interval_min_rx_update(self, ethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_bfd_shutdown_update(self, ethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_channel_group_update(self, ethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_int: Channel group number
		:type port_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: The mode of the port channel.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'active', u'passive', u'on']

		:param type: The type of the port-channel.
		:type type: (unicode)
		
		.. note::
			* enum - [u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.channel_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_channel_group_mode_update(self, ethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_int: Channel group number
		:type port_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: The mode of the port channel.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'active', u'passive', u'on']

		:param type: The type of the port-channel.
		:type type: (unicode)
		
		.. note::
			* enum - [u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.channel_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_delay_link_event_update(self, ethernet=None, delay_link_event_entry=None, delay_link_event_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param delay_link_event_entry: NUMBER:1-200;;time
		:type delay_link_event_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param delay_link_event_type: kwarg.
		:type delay_link_event_type: (unicode)
		
		.. note::
			* enum - [u'down', u'both', u'up']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.delay_link_event.delay_link', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, delay_link_event_entry=delay_link_event_entry, delay_link_event_type=delay_link_event_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_deviceconnectivity_update(self, ethernet=None, deviceconnectivity=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param deviceconnectivity: Device connectivity to IP storage device
		:type deviceconnectivity: (unicode)
		
		.. note::
			* enum - [u'NAS', u'None', u'iSCSI', u'DAS']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.connectivity', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, deviceconnectivity=deviceconnectivity)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_update(self, ethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, max_req=None, reauthentication=None, filter_strict_security=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param authentication: Enable dot1x on a port
		:type authentication: (YANGBool)

		:param port_control: Port control commands
		:type port_control: (unicode)
		
		.. note::
			* enum - [u'auto', u'force-unauthorized', u'force-authorized']

		:param protocol_version: Set the protocol version
		:type protocol_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param quiet_period: Quiet period in the HELD state
		:type quiet_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthMax: Number of reauthentication attempts before becoming
unauthorized
		:type reauthMax: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_req: Number of times EAP ID Request needs to be resent when
response is not received.
		:type max_req: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthentication: Enable reauthentication on a port
		:type reauthentication: (YANGBool)

		:param filter_strict_security: Enable strict mode on a port
		:type filter_strict_security: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, max_req=max_req, reauthentication=reauthentication, filter_strict_security=filter_strict_security)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_authentication_update(self, ethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, max_req=None, reauthentication=None, filter_strict_security=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param authentication: Enable dot1x on a port
		:type authentication: (YANGBool)

		:param port_control: Port control commands
		:type port_control: (unicode)
		
		.. note::
			* enum - [u'auto', u'force-unauthorized', u'force-authorized']

		:param protocol_version: Set the protocol version
		:type protocol_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param quiet_period: Quiet period in the HELD state
		:type quiet_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthMax: Number of reauthentication attempts before becoming
unauthorized
		:type reauthMax: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_req: Number of times EAP ID Request needs to be resent when
response is not received.
		:type max_req: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthentication: Enable reauthentication on a port
		:type reauthentication: (YANGBool)

		:param filter_strict_security: Enable strict mode on a port
		:type filter_strict_security: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, max_req=max_req, reauthentication=reauthentication, filter_strict_security=filter_strict_security)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_timeout_update(self, ethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param re_authperiod: Reauthentication interval in seconds 
(default = 3600)
		:type re_authperiod: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param server_timeout: Server timeout in seconds (default = 30)
		:type server_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param supp_timeout: Supplicant response timeout (default = 30)
		:type supp_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_period: Transmission period in seconds (default = 30)
		:type tx_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x.timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_dot1x_timeout_re_authperiod_update(self, ethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param re_authperiod: Reauthentication interval in seconds 
(default = 3600)
		:type re_authperiod: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param server_timeout: Server timeout in seconds (default = 30)
		:type server_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param supp_timeout: Supplicant response timeout (default = 30)
		:type supp_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_period: Transmission period in seconds (default = 30)
		:type tx_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.dot1x.timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_edge_loop_detection_update(self, ethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param eldprio: Set ELD-priority value to interface
		:type eldprio: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eldvlan: Enable for specific VLAN on selected interface
		:type eldvlan: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_edge_loop_detection_port_priority_update(self, ethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param eldprio: Set ELD-priority value to interface
		:type eldprio: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eldvlan: Enable for specific VLAN on selected interface
		:type eldvlan: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_dport_update(self, ethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_dport_enable: Configure fabric D-port status 
		:type fabric_dport_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_dport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_dport_enable_update(self, ethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_dport_enable: Configure fabric D-port status 
		:type fabric_dport_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_dport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_isl_update(self, ethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_isl_enable: Configure fabric isl status 
		:type fabric_isl_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_isl', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_isl_enable_update(self, ethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_isl_enable: Configure fabric isl status 
		:type fabric_isl_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_isl', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_neighbor_discovery_update(self, ethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param disable: Disable neighbor discovery at this port
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.neighbor_discovery', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_neighbor_discovery_disable_update(self, ethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param disable: Disable neighbor discovery at this port
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.neighbor_discovery', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_trunk_update(self, ethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_trunk_enable: Configure fabric trunk status 
		:type fabric_trunk_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_trunk', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fabric_trunk_enable_update(self, ethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_trunk_enable: Configure fabric trunk status 
		:type fabric_trunk_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fabric.fabric_trunk', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fcoeport_update(self, ethernet=None, fcoeport_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fcoeport_map: kwarg.
		:type fcoeport_map: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fcoeport_map=fcoeport_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_fcoeport_map_update(self, ethernet=None, fcoeport_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fcoeport_map: kwarg.
		:type fcoeport_map: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, fcoeport_map=fcoeport_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_update(self, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.arp_node_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_dhcp_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.intf_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip_acl_interface.ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip_pbr_interface.ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_access_group_update(self, ethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ip_access_list, ip_direction, traffic_type).

		:param ip_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ip_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_address_update(self, ethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param address: kwarg tuple.
		:type address: (address, secondary, ospf_passive, ospf_ignore).

		:param address: A.B.C.D/M IP address in dotted decimal/Mask
		:type address: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_arp_aging_timeout_update(self, ethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mtu: Set ip mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param directed_broadcast: Enable directed IP broadcasts forwarding
		:type directed_broadcast: (YANGBool)

		:param proxy_arp: Proxy-Arp on the interface
		:type proxy_arp: (YANGBool)

		:param arp_aging_timeout: Set arp age timeout value to interface
		:type arp_aging_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_arp_inspection_update(self, ethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.arp_node_config.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_arp_inspection_trust_update(self, ethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.arp_node_config.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_dhcp_relay_gateway_update(self, ethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param gateway: Gateway address
		:type gateway: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_dhcp_conf.dhcp.relay', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_icmp_update(self, ethernet=None, rate_limiting=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rate_limiting=rate_limiting, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_icmp_rate_limiting_update(self, ethernet=None, rate_limiting=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rate_limiting=rate_limiting, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_igmp_update(self, ethernet=None, igmpl3_last_member_query_interval=None, igmpl3_query_interval=None, igmpl3_query_max_response_time=None, igmpl3_immediate_leave=None, igmpl3_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param igmpl3_last_member_query_interval: Last Member Query Interval
		:type igmpl3_last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmpl3_query_interval: Query Interval
		:type igmpl3_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmpl3_query_max_response_time: IGMP Max Query Response Time
		:type igmpl3_query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmpl3_immediate_leave: Immediate Leave Processing
		:type igmpl3_immediate_leave: (YANGBool)

		:param igmpl3_version: Version for this interface
		:type igmpl3_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval, igmpl3_query_interval=igmpl3_query_interval, igmpl3_query_max_response_time=igmpl3_query_max_response_time, igmpl3_immediate_leave=igmpl3_immediate_leave, igmpl3_version=igmpl3_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_igmp_immediate_leave_update(self, ethernet=None, igmpl3_last_member_query_interval=None, igmpl3_query_interval=None, igmpl3_query_max_response_time=None, igmpl3_immediate_leave=None, igmpl3_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param igmpl3_last_member_query_interval: Last Member Query Interval
		:type igmpl3_last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmpl3_query_interval: Query Interval
		:type igmpl3_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmpl3_query_max_response_time: IGMP Max Query Response Time
		:type igmpl3_query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmpl3_immediate_leave: Immediate Leave Processing
		:type igmpl3_immediate_leave: (YANGBool)

		:param igmpl3_version: Version for this interface
		:type igmpl3_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval, igmpl3_query_interval=igmpl3_query_interval, igmpl3_query_max_response_time=igmpl3_query_max_response_time, igmpl3_immediate_leave=igmpl3_immediate_leave, igmpl3_version=igmpl3_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_multicast_boundary_update(self, ethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pim_sparse: Sparse Mode (PIM-SM)
		:type pim_sparse: (YANGBool)

		:param mcast_bdry_prefix_list: Prefix list
		:type mcast_bdry_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_update(self, ethernet=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param intf_ldp_sync: Set LDP-SYNC operation mode on this interface
		:type intf_ldp_sync: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_active_update(self, ethernet=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param intf_ldp_sync: Set LDP-SYNC operation mode on this interface
		:type intf_ldp_sync: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_authentication_key_update(self, ethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param encrypttype: kwarg.
		:type encrypttype: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param auth_key: The OSPF password (key)
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_bfd_update(self, ethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param intf_bfd_enable: Enable bfd on this interface
		:type intf_bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_database_filter_update(self, ethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_database_filter_all_external_update(self, ethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_md5_authentication_update(self, ethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, ethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_activation_wait_time: The activation wait time in Seconds
		:type key_activation_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_md5_authentication_key_id_update(self, ethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_ospf_md5_authentication_key_id_key_update(self, ethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_pim_update(self, ethernet=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ttl_threshold: Set TTL threshold
		:type ttl_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_pim_dr_priority_update(self, ethernet=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ttl_threshold: Set TTL threshold
		:type ttl_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_policy_route_map_update(self, ethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param route_map_name: Word:1-63;;Route map name
		:type route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_router_update(self, ethernet=None, interface_ip_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_ip_router_isis: Enable IS-IS
		:type interface_ip_router_isis: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_ip_router_isis=interface_ip_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_router_isis_update(self, ethernet=None, interface_ip_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_ip_router_isis: Enable IS-IS
		:type interface_ip_router_isis: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_ip_router_isis=interface_ip_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_update(self, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.intf_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_access_group_update(self, ethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ipv6_access_list, ip_direction, traffic_type).

		:param ipv6_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ipv6_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_update(self, ethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_eui_64_update(self, ethernet=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id
		:type eui64: (YANGBool)

		:param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface
		:type eui_secondary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_link_local_update(self, ethernet=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_local_address: kwarg.
		:type link_local_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local: Configure ipv6 address to override automatically computed link-local address
		:type link_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_use_link_local_only_update(self, ethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param use_link_local_only: Configure automatically computed link-local address
		:type use_link_local_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_dhcp_relay_update(self, ethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_dhcp_relay_interface_update(self, ethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param interface_type: Interface type
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'Ve']

		:param interface_name: Interface name
		:type interface_name: (unicode)
		
		.. note::
			* pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_hop_by_hop_trap_update(self, ethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hop_by_hop_trap: Enable hop-by-hop trap on an Interface
		:type hop_by_hop_trap: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_icmpv6_update(self, ethernet=None, rate_limiting=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rate_limiting=rate_limiting, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_icmpv6_rate_limiting_update(self, ethernet=None, rate_limiting=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rate_limiting=rate_limiting, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_mtu_update(self, ethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mtu: Set ipv6 mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_update(self, ethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, send_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param send_ra: Set send-ra
		:type send_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy, send_ra=send_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_address_update(self, ethernet=None, suppressing_address=None, suppress_per_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param suppressing_address: kwarg tuple.
		:type suppressing_address: (suppress_ipv6_address, suppress_per_address).

		:param suppress_ipv6_address: tuple arg.
		:type suppress_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param suppress_per_address: Suppress all IPv6 addresses in router advertisement
		:type suppress_per_address: (YANGBool)

	**This Instance Arg(s)**:
		:param suppress_per_address: Suppress all IPv6 addresses in router advertisement
		:type suppress_per_address: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': 'suppress_ipv6_address, suppress_per_address'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, suppressing_address=suppressing_address, suppress_per_address=suppress_per_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_address_suppress_update(self, ethernet=None, address_suppress_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param address_suppress_all: Suppress all IPv6 addresses in router advertisement
		:type address_suppress_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, address_suppress_all=address_suppress_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_broadcast_mac_trap_update(self, ethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, send_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param send_ra: Set send-ra
		:type send_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy, send_ra=send_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_cache_update(self, ethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_cache_expire_update(self, ethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_dad_update(self, ethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_dad_attempts_update(self, ethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_nud_retry_update(self, ethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param base: base value
		:type base: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param interval: Time interval between neighbor solicitations in milliseconds
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_attempts: Max number of retry attempts.
		:type max_attempts: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_infinite_update(self, ethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param preferred_lifetime: Configures preferred lifetime
		:type preferred_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preferred_infinite: Infinite preferred lifetime
		:type preferred_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_no_advertise_update(self, ethernet=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_advertise: Do not advertise prefix
		:type no_advertise: (YANGBool)

		:param valid_lifetime: Configures valid lifetime
		:type valid_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param valid_infinite: Infinite valid lifetime
		:type valid_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_no_autoconfig_update(self, ethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_autoconfig: Do not use prefix for autoconfiguration
		:type no_autoconfig: (YANGBool)

		:param no_onlink: Do not use prefix for onlink determination
		:type no_onlink: (YANGBool)

		:param off_link: Prefix is offlink
		:type off_link: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ra_dns_server_update(self, ethernet=None, ra_dns_server=None, dns_server_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ra_dns_server: kwarg tuple.
		:type ra_dns_server: (dns_server_prefix).

		:param dns_server_prefix: tuple arg.
		:type dns_server_prefix: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param dns_server_lifetime_multiplier: Lifetime multiplier for the Recursive DNS Server option
		:type dns_server_lifetime_multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ra_domain_name_update(self, ethernet=None, ra_domain_name=None, domain_name_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ra_domain_name: kwarg tuple.
		:type ra_domain_name: (domain_name_string).

		:param domain_name_string: tuple arg.
		:type domain_name_string: (unicode)

	**This Instance Arg(s)**:
		:param domain_name_lifetime_multiplier: Lifetime multiplier for DNS Search List option
		:type domain_name_lifetime_multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ra_interval_update(self, ethernet=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param max_interval: Maximum interval in seconds
		:type max_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_: Minimum interval between sending RA messages
		:type min_: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_router_preference_update(self, ethernet=None, router_pref_high=None, router_pref_low=None, router_pref_medium=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param router_pref_high: Set router-preference to high
		:type router_pref_high: (YANGBool)

		:param router_pref_low:  Set router-preference to low
		:type router_pref_low: (YANGBool)

		:param router_pref_medium: Set router-preference to medium
		:type router_pref_medium: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'router_pref_high, router_pref_low, router_pref_medium'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, router_pref_high=router_pref_high, router_pref_low=router_pref_low, router_pref_medium=router_pref_medium)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_router_preference_high_update(self, ethernet=None, router_pref_high=None, router_pref_low=None, router_pref_medium=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param router_pref_high: Set router-preference to high
		:type router_pref_high: (YANGBool)

		:param router_pref_low:  Set router-preference to low
		:type router_pref_low: (YANGBool)

		:param router_pref_medium: Set router-preference to medium
		:type router_pref_medium: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, router_pref_high=router_pref_high, router_pref_low=router_pref_low, router_pref_medium=router_pref_medium)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_suppress_ra_update(self, ethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_suppress_ra_all_update(self, ethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_neighbor_update(self, ethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param neighbor: kwarg tuple.
		:type neighbor: (ipv6_address).

		:param ipv6_address: tuple arg.
		:type ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param hardware_address: kwarg.
		:type hardware_address: (unicode)
		
		.. note::
			* pattern - [0-9a-fA-F]{4}(.[0-9a-fA-F]{4}){2}

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_update(self, ethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_active_update(self, ethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_area: OSPF area
		:type interface_area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance: Instance of OSPFv3 protocol on this interface
		:type instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPFv3 MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'point-to-point']

		:param priority: Interface priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param suppress_linklsa: Suppress link LSA advertisements
		:type suppress_linklsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_update(self, ethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_ah_update(self, ethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_ipsec_update(self, ethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, ethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_bfd_update(self, ethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_enable: Enable bfd on this interface
		:type bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_ospf_dead_interval_update(self, ethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_policy_route_map_update(self, ethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipv6_route_map_name: Word:1-63;;Route map name
		:type ipv6_route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_raguard_update(self, ethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param raguard: IPv6 Router advertisement guard configuration
		:type raguard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_router_update(self, ethernet=None, interface_ipv6_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_ipv6_router_isis: Enable IS-IS
		:type interface_ipv6_router_isis: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_ipv6_router_isis=interface_ipv6_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_router_isis_update(self, ethernet=None, interface_ipv6_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_ipv6_router_isis: Enable IS-IS
		:type interface_ipv6_router_isis: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_ipv6_router_isis=interface_ipv6_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_update(self, ethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param advertise_backup: Enable periodic backup advertisement messages
		:type advertise_backup: (YANGBool)

		:param nd_advertisement_timer: Neighbor Discovery Advertisment Interval
		:type nd_advertisement_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>
		:type advertisement_interval_scale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_advertisement_interval: Set Backup advertisement interval
		:type backup_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe_advertisement_interval: Set advertisement interval
		:type vrrpe_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, ethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param revert_priority: Set revert priority
		:type revert_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_track_update(self, ethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_update(self, ethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3_group: kwarg tuple.
		:type vrrpv3_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Use v2 checksum
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: Set advertisement interval
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_track_update(self, ethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3_group: kwarg tuple.
		:type vrrpv3_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_suppress_interface_ra_update(self, ethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3
		:type vrrp_suppress_interface_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_update(self, ethernet=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param circuit_type: Define inter-area/intra area operation mode
		:type circuit_type: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1-2', u'level-1']

		:param interface_point_to_point: Point-to-point interface for ISIS operation
		:type interface_point_to_point: (YANGBool)

		:param interface_passive: Passive interface for ISIS operation
		:type interface_passive: (YANGBool)

		:param interface_ldp_sync: Set LDP-SYNC operation mode on this interface
		:type interface_ldp_sync: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_check_level_1_update(self, ethernet=None, interface_auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_auth_check_level1_disable: kwarg.
		:type interface_auth_check_level1_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_check_level_1_disable_update(self, ethernet=None, interface_auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_auth_check_level1_disable: kwarg.
		:type interface_auth_check_level1_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_check_level_2_update(self, ethernet=None, interface_auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_auth_check_level2_disable: kwarg.
		:type interface_auth_check_level2_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_check_level_2_disable_update(self, ethernet=None, interface_auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_auth_check_level2_disable: kwarg.
		:type interface_auth_check_level2_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_key_update(self, ethernet=None, interface_auth_key=None, interface_auth_key_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param interface_auth_key: kwarg tuple.
		:type interface_auth_key: (interface_auth_key_level, interface_auth_key_str).

		:param interface_auth_key_level: tuple arg.
		:type interface_auth_key_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_auth_key_str: tuple arg.
		:type interface_auth_key_str: (unicode)
		
		.. note::
			* length - [u'1..63']

	**This Instance Arg(s)**:
		:param interface_auth_key_str: kwarg.
		:type interface_auth_key_str: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_mode_md5_update(self, ethernet=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP
		:type interface_auth_mode_md5_level1: (YANGBool)

		:param interface_auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP
		:type interface_auth_mode_md5_level2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_mode_md5_level_1_update(self, ethernet=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP
		:type interface_auth_mode_md5_level1: (YANGBool)

		:param interface_auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP
		:type interface_auth_mode_md5_level2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_bfd_update(self, ethernet=None, interface_bfd_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_bfd_disable: Disable BFD operation mode on this interface
		:type interface_bfd_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_bfd_disable=interface_bfd_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_bfd_disable_update(self, ethernet=None, interface_bfd_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_bfd_disable: Disable BFD operation mode on this interface
		:type interface_bfd_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_bfd_disable=interface_bfd_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_circuit_type_update(self, ethernet=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param circuit_type: Define inter-area/intra area operation mode
		:type circuit_type: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1-2', u'level-1']

		:param interface_point_to_point: Point-to-point interface for ISIS operation
		:type interface_point_to_point: (YANGBool)

		:param interface_passive: Passive interface for ISIS operation
		:type interface_passive: (YANGBool)

		:param interface_ldp_sync: Set LDP-SYNC operation mode on this interface
		:type interface_ldp_sync: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_hello_interval_update(self, ethernet=None, interface_hello_interval=None, interface_hello_interval_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param interface_hello_interval: kwarg tuple.
		:type interface_hello_interval: (interface_hello_interval_level, interface_hello_interval_val).

		:param interface_hello_interval_level: tuple arg.
		:type interface_hello_interval_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_hello_interval_val: tuple arg.
		:type interface_hello_interval_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_hello_interval_val: kwarg.
		:type interface_hello_interval_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_hello_multiplier_update(self, ethernet=None, interface_hello_multiplier=None, interface_hello_multiplier_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param interface_hello_multiplier: kwarg tuple.
		:type interface_hello_multiplier: (interface_hello_multiplier_level, interface_hello_multiplier_val).

		:param interface_hello_multiplier_level: tuple arg.
		:type interface_hello_multiplier_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_hello_multiplier_val: tuple arg.
		:type interface_hello_multiplier_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_hello_multiplier_val: kwarg.
		:type interface_hello_multiplier_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_hello_padding_update(self, ethernet=None, interface_hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_hello_padding_disable: kwarg.
		:type interface_hello_padding_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_padding_disable=interface_hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_hello_padding_disable_update(self, ethernet=None, interface_hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_hello_padding_disable: kwarg.
		:type interface_hello_padding_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_hello_padding_disable=interface_hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_ipv6_metric_update(self, ethernet=None, interface_ipv6_metric=None, interface_ipv6_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param interface_ipv6_metric: kwarg tuple.
		:type interface_ipv6_metric: (interface_ipv6_metric_level, interface_ipv6_metric_val).

		:param interface_ipv6_metric_level: tuple arg.
		:type interface_ipv6_metric_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_ipv6_metric_val: tuple arg.
		:type interface_ipv6_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_ipv6_metric_val: kwarg.
		:type interface_ipv6_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_metric_update(self, ethernet=None, interface_metric=None, interface_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param interface_metric: kwarg tuple.
		:type interface_metric: (interface_metric_level, interface_metric_val).

		:param interface_metric_level: tuple arg.
		:type interface_metric_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_metric_val: tuple arg.
		:type interface_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_metric_val: kwarg.
		:type interface_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_metric=interface_metric, interface_metric_val=interface_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_priority_update(self, ethernet=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_priority_level1: Priority for Level-1 ISIS Router
		:type interface_priority_level1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_priority_level2: Priority for Level-2 ISIS Router
		:type interface_priority_level2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_priority_level_1_update(self, ethernet=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_priority_level1: Priority for Level-1 ISIS Router
		:type interface_priority_level1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_priority_level2: Priority for Level-2 ISIS Router
		:type interface_priority_level2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_reverse_metric_update(self, ethernet=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rev_metric_val: Configure IS-IS reverse metric value
		:type rev_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rev_metric_whole_lan: Change metric for whole LAN
		:type rev_metric_whole_lan: (YANGBool)

		:param rev_metric_te_def_metric: Update TE default metric sub-tlv
		:type rev_metric_te_def_metric: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_reverse_metric_te_def_metric_update(self, ethernet=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rev_metric_val: Configure IS-IS reverse metric value
		:type rev_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rev_metric_whole_lan: Change metric for whole LAN
		:type rev_metric_whole_lan: (YANGBool)

		:param rev_metric_te_def_metric: Update TE default metric sub-tlv
		:type rev_metric_te_def_metric: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lacp_update(self, ethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param timeout: Timeout commands
		:type timeout: (unicode)
		
		.. note::
			* enum - [u'short', u'long']

		:param std_port_priority: Port priority commands
		:type std_port_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_up: To bring up the interface in LACP default state 
		:type default_up: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lacp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lacp_default_up_update(self, ethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param timeout: Timeout commands
		:type timeout: (unicode)
		
		.. note::
			* enum - [u'short', u'long']

		:param std_port_priority: Port priority commands
		:type std_port_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_up: To bring up the interface in LACP default state 
		:type default_up: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lacp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_error_disable_update(self, ethernet=None, link_error_disable_entry=None, sampling_time_in_sec=None, wait_time_in_sec=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_error_disable_entry: NUMBER:1-50;;toggle-threshold
		:type link_error_disable_entry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sampling_time_in_sec: NUMBER:1-65565;;sampling-time-in-sec
		:type sampling_time_in_sec: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param wait_time_in_sec: NUMBER:0-65565;;wait-time-in-sec
		:type wait_time_in_sec: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.link_error_disable', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, link_error_disable_entry=link_error_disable_entry, sampling_time_in_sec=sampling_time_in_sec, wait_time_in_sec=wait_time_in_sec)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_fault_signaling_update(self, ethernet=None, rx=None, tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rx: rx link fault signaling
		:type rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param tx: tx link fault signaling
		:type tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'rx, tx'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rx=rx, tx=tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_link_fault_signaling_rx_update(self, ethernet=None, rx=None, tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rx: rx link fault signaling
		:type rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param tx: tx link fault signaling
		:type tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rx=rx, tx=tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lldp_update(self, ethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param dcbx_version: Set up DCBX Version
		:type dcbx_version: (unicode)
		
		.. note::
			* enum - [u'auto', u'cee']

		:param disable: Disable LLDP on the Interface.
		:type disable: (YANGBool)

		:param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface
		:type iscsi_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param profile: The LLDP profile on the interface.
		:type profile: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lldp_cee_update(self, ethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param lldp_cee_on_off: kwarg.
		:type lldp_cee_on_off: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lldp.cee', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_lldp_dcbx_version_update(self, ethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param dcbx_version: Set up DCBX Version
		:type dcbx_version: (unicode)
		
		.. note::
			* enum - [u'auto', u'cee']

		:param disable: Disable LLDP on the Interface.
		:type disable: (YANGBool)

		:param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface
		:type iscsi_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param profile: The LLDP profile on the interface.
		:type profile: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_name_update(self, ethernet=None, ethernet_=None, logical_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param ethernet_: kwarg tuple.
		:type ethernet_: (instance_id).

		:param instance_id: tuple arg.
		:type instance_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

	**This Instance Arg(s)**:
		:param logical_interface_name: 64 Chars;;Name of the logical interface.
		:type logical_interface_name: (unicode)
		
		.. note::
			* length - [u'1 .. 64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_common_commands_dummy.name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ethernet_=ethernet_, logical_interface_name=logical_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_shutdown_update(self, ethernet=None, ethernet_=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param ethernet_: kwarg tuple.
		:type ethernet_: (instance_id).

		:param instance_id: tuple arg.
		:type instance_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_common_commands_dummy.shutdown', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ethernet_=ethernet_, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_untagged_vlan_update(self, ethernet=None, ethernet_=None, untagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param ethernet_: kwarg tuple.
		:type ethernet_: (instance_id).

		:param instance_id: tuple arg.
		:type instance_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

	**This Instance Arg(s)**:
		:param untagged_vlan_id: kwarg.
		:type untagged_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.get_untagged_vlan_dummy.untagged.untagged_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ethernet_=ethernet_, untagged_vlan_id=untagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_vlan_update(self, ethernet=None, ethernet_=None, outer_tagged_vlan_id=None, inner_vlan=None, inner_tagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param ethernet_: kwarg tuple.
		:type ethernet_: (instance_id).

		:param instance_id: tuple arg.
		:type instance_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

	**This Instance Arg(s)**:
		:param outer_tagged_vlan_id: VLAN ID between 1 and 4090
		:type outer_tagged_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param inner_vlan: Configure Inner VLAN for this logical interface
		:type inner_vlan: (YANGBool)

		:param inner_tagged_vlan_id: VLAN ID between 1 and 4090
		:type inner_tagged_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', u'ethernet_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet.cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ethernet_=ethernet_, outer_tagged_vlan_id=outer_tagged_vlan_id, inner_vlan=inner_vlan, inner_tagged_vlan_id=inner_tagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_mac_access_group_update(self, ethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (mac_access_list, mac_direction, traffic_type).

		:param mac_access_list: ACL_NAME;; Access List Name (Max 63)
		:type mac_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param mac_direction: tuple arg.
		:type mac_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_openflow_enable_update(self, ethernet=None, modeType=None, hybrid_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param modeType: Enable OF Version
		:type modeType: (unicode)
		
		.. note::
			* enum - [u'layer3', u'layer2', u'layer23']

		:param hybrid_mode: Hybrid-mode
		:type hybrid_mode: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.enableInterfaceLevel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'modeType, hybrid_mode'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, modeType=modeType, hybrid_mode=hybrid_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_openflow_enable_hybrid_mode_update(self, ethernet=None, modeType=None, hybrid_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param modeType: Enable OF Version
		:type modeType: (unicode)
		
		.. note::
			* enum - [u'layer3', u'layer2', u'layer23']

		:param hybrid_mode: Hybrid-mode
		:type hybrid_mode: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.enableInterfaceLevel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, modeType=modeType, hybrid_mode=hybrid_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_openflow_protected_vlans_update(self, ethernet=None, protected_vlan_add=None, protected_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param protected_vlan_add: Allow these VLANs under openflow 
		:type protected_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param protected_vlan_remove: Remove a VLAN range that Xmit/Rx
through the Layer2 interface
		:type protected_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.protected_vlans', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, protected_vlan_add=protected_vlan_add, protected_vlan_remove=protected_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_openflow_protected_vlans_add_update(self, ethernet=None, protected_vlan_add=None, protected_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param protected_vlan_add: Allow these VLANs under openflow 
		:type protected_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param protected_vlan_remove: Remove a VLAN range that Xmit/Rx
through the Layer2 interface
		:type protected_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.openflow.protected_vlans', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, protected_vlan_add=protected_vlan_add, protected_vlan_remove=protected_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_port_profile_port_domain_update(self, ethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param profile_domain_name: Port-profile-domain name (Max Size - 128)
		:type profile_domain_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_update(self, ethernet=None, default_cos=None, default_tc=None, cos_mutation=None, traffic_class_cos=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_cos: Configure Default CoS
		:type default_cos: (int)
		
		.. note::
			* range - ['0..255']

		:param default_tc: Configure Default Traffic Class (TC)
		:type default_tc: (int)
		
		.. note::
			* range - ['0..255']

		:param cos_mutation: Apply CoS-Mutation map
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param traffic_class_cos: Apply Traffic-Class-to-CoS map
		:type traffic_class_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Apply CoS-to-Traffic-Class map
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Apply DSCP-Mutation map
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Apply DSCP-to-Traffic-Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Apply DSCP-to-CoS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, default_cos=default_cos, default_tc=default_tc, cos_mutation=cos_mutation, traffic_class_cos=traffic_class_cos, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_cos_mutation_update(self, ethernet=None, default_cos=None, default_tc=None, cos_mutation=None, traffic_class_cos=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_cos: Configure Default CoS
		:type default_cos: (int)
		
		.. note::
			* range - ['0..255']

		:param default_tc: Configure Default Traffic Class (TC)
		:type default_tc: (int)
		
		.. note::
			* range - ['0..255']

		:param cos_mutation: Apply CoS-Mutation map
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param traffic_class_cos: Apply Traffic-Class-to-CoS map
		:type traffic_class_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Apply CoS-to-Traffic-Class map
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Apply DSCP-Mutation map
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Apply DSCP-to-Traffic-Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Apply DSCP-to-CoS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, default_cos=default_cos, default_tc=default_tc, cos_mutation=cos_mutation, traffic_class_cos=traffic_class_cos, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_drop_monitor_update(self, ethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.
		:type drop_monitor_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.drop_monitor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_drop_monitor_enable_update(self, ethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.
		:type drop_monitor_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.drop_monitor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_flowcontrol_update(self, ethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param flowcontrol_tx: Configure Pause generation
		:type flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param flowcontrol_rx: Configure Pause reception
		:type flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_flowcontrol_pfc_update(self, ethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param pfc: kwarg tuple.
		:type pfc: (pfc_cos).

		:param pfc_cos: 0-7;;CoS value
		:type pfc_cos: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param pfc_flowcontrol_tx: Configure Pause generation
		:type pfc_flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param pfc_flowcontrol_rx: Configure Pause reception
		:type pfc_flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_flowcontrol_rx_update(self, ethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param flowcontrol_tx: Configure Pause generation
		:type flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param flowcontrol_rx: Configure Pause reception
		:type flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_random_detect_traffic_class_update(self, ethernet=None, traffic_class=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param traffic_class: kwarg tuple.
		:type traffic_class: (red_tc_value).

		:param red_tc_value: tuple arg.
		:type red_tc_value: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param red_profile_id: Keyword for all other VDX platforms
		:type red_profile_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_cos_threshold_update(self, ethernet=None, cos0_threshold=None, cos1_threshold=None, cos2_threshold=None, cos3_threshold=None, cos4_threshold=None, cos5_threshold=None, cos6_threshold=None, cos7_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param cos0_threshold: kwarg.
		:type cos0_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos1_threshold: kwarg.
		:type cos1_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos2_threshold: kwarg.
		:type cos2_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos3_threshold: kwarg.
		:type cos3_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos4_threshold: kwarg.
		:type cos4_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos5_threshold: kwarg.
		:type cos5_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos6_threshold: kwarg.
		:type cos6_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos7_threshold: kwarg.
		:type cos7_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.cos_threshold', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, cos0_threshold=cos0_threshold, cos1_threshold=cos1_threshold, cos2_threshold=cos2_threshold, cos3_threshold=cos3_threshold, cos4_threshold=cos4_threshold, cos5_threshold=cos5_threshold, cos6_threshold=cos6_threshold, cos7_threshold=cos7_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_multicast_update(self, ethernet=None, queue_size=None, min_queue_size=None, max_queue_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param queue_size: kwarg tuple.
		:type queue_size: (traffic_class, min_queue_size, max_queue_size).

		:param traffic_class: Traffic class to configure multicast queue size
		:type traffic_class: (int)
		
		.. note::
			* range - ['0..255']

		:param min_queue_size: Configure minimum queue size
		:type min_queue_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_queue_size: Configure maximum queue size
		:type max_queue_size: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param min_queue_size: Configure minimum queue size
		:type min_queue_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_queue_size: Configure maximum queue size
		:type max_queue_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, queue_size=queue_size, min_queue_size=min_queue_size, max_queue_size=max_queue_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_multicast_best_effort_rate_update(self, ethernet=None, guarantee_rate=None, best_effort_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param guarantee_rate: Configure multicast data guarantee rate
		:type guarantee_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param best_effort_rate: Configure multicast data best effort rate
		:type best_effort_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, guarantee_rate=guarantee_rate, best_effort_rate=best_effort_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_unicast_update(self, ethernet=None, queue_size=None, min_queue_size=None, max_queue_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param queue_size: kwarg tuple.
		:type queue_size: (traffic_class, min_queue_size, max_queue_size).

		:param traffic_class: Traffic class to configure unicast queue size
		:type traffic_class: (int)
		
		.. note::
			* range - ['0..255']

		:param min_queue_size: Configure minimum queue size
		:type min_queue_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_queue_size: Configure maximum queue size
		:type max_queue_size: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param min_queue_size: Configure minimum queue size
		:type min_queue_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_queue_size: Configure maximum queue size
		:type max_queue_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.unicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, queue_size=queue_size, min_queue_size=min_queue_size, max_queue_size=max_queue_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_trust_update(self, ethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class
		:type trust_dscp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_trust_cos_update(self, ethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class
		:type trust_dscp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rmon_collection_history_update(self, ethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param history_control_entry: kwarg tuple.
		:type history_control_entry: (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner).

		:param history_control_index: tuple arg.
		:type history_control_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_buckets_requested: Buckets (default 50)
		:type history_control_buckets_requested: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_interval: Polling Interval (default 1800)
		:type history_control_interval: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_owner: Owner identity
		:type history_control_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

	**This Instance Arg(s)**:
		:param history_control_buckets_requested: Buckets (default 50)
		:type history_control_buckets_requested: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_interval: Polling Interval (default 1800)
		:type history_control_interval: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_owner: Owner identity
		:type history_control_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rmon_collection_stats_update(self, ethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ether_stats_entry: kwarg tuple.
		:type ether_stats_entry: (ether_stats_index, ether_stats_owner).

		:param ether_stats_index: tuple arg.
		:type ether_stats_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param ether_stats_owner: Owner identity
		:type ether_stats_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

	**This Instance Arg(s)**:
		:param ether_stats_owner: Owner identity
		:type ether_stats_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.ether_stats_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rpf_update(self, ethernet=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param log: Log packets that fail RPF check and are to be dropped
		:type log: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rpf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rpf_log_update(self, ethernet=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param log: Log packets that fail RPF check and are to be dropped
		:type log: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rpf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rpf_mode_update(self, ethernet=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mode: kwarg.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'strict', u'loose']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rpf_mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_service_policy_update(self, ethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param in_: Input Policy Map
		:type in_: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param out: Output Policy Map
		:type out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_service_policy_in_update(self, ethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param in_: Input Policy Map
		:type in_: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param out: Output Policy Map
		:type out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_sflow_update(self, ethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Enable port sflow
		:type enable: (YANGBool)

		:param polling_interval: Interface counter polling interval
		:type polling_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sample_rate: Interface sampling rate
		:type sample_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.sflow', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_sflow_enable_update(self, ethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Enable port sflow
		:type enable: (YANGBool)

		:param polling_interval: Interface counter polling interval
		:type polling_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sample_rate: Interface sampling rate
		:type sample_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.sflow', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_update(self, ethernet=None, autoedge=None, cost=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param autoedge: Autoedge - enable automatic edge detection
		:type autoedge: (YANGBool)

		:param cost: Change an interface's spanning tree port path cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bpdu_mac: Configure VLAN spanning-tree control MAC
		:type bpdu_mac: (unicode)
		
		.. note::
			* enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

		:param link_type: Specify a link type for spanning tree protocol
		:type link_type: (unicode)
		
		.. note::
			* enum - [u'shared', u'point-to-point']

		:param priority: Change an interface's spanning tree port priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change and received topology change notifications
		:type restricted_tcn: (YANGBool)

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, autoedge=autoedge, cost=cost, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_autoedge_update(self, ethernet=None, autoedge=None, cost=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param autoedge: Autoedge - enable automatic edge detection
		:type autoedge: (YANGBool)

		:param cost: Change an interface's spanning tree port path cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bpdu_mac: Configure VLAN spanning-tree control MAC
		:type bpdu_mac: (unicode)
		
		.. note::
			* enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

		:param link_type: Specify a link type for spanning tree protocol
		:type link_type: (unicode)
		
		.. note::
			* enum - [u'shared', u'point-to-point']

		:param priority: Change an interface's spanning tree port priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change and received topology change notifications
		:type restricted_tcn: (YANGBool)

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, autoedge=autoedge, cost=cost, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_edgeport_update(self, ethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param edgeportbasic: Edgeport
		:type edgeportbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_edgeport_bpdu_filter_update(self, ethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param edgeportbasic: Edgeport
		:type edgeportbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_guard_update(self, ethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_guard_root_update(self, ethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_instance_update(self, ethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param instance: kwarg tuple.
		:type instance: (id).

		:param id: tuple arg.
		:type id: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param cost: Path cost for a port
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: Port priority for a bridge
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change
notifications from port
		:type restricted_tcn: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_portfast_update(self, ethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param portfastbasic: Enable an interface to move directly to forwarding on link up
		:type portfastbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_portfast_bpdu_filter_update(self, ethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param portfastbasic: Enable an interface to move directly to forwarding on link up
		:type portfastbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_vlan_update(self, ethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param cost: Path cost for a port
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: Port priority for a bridge
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_vlan_guard_update(self, ethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_vlan_guard_root_update(self, ethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_storm_control_ingress_update(self, ethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ingress: kwarg tuple.
		:type ingress: (protocol_type, rate_format, rate_bps, rate_percent, bum_action).

		:param protocol_type: tuple arg.
		:type protocol_type: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'unknown-unicast', u'multicast']

		:param rate_format: tuple arg.
		:type rate_format: (unicode)
		
		.. note::
			* enum - [u'limit-bps', u'limit-percent']

		:param rate_bps: tuple arg.
		:type rate_bps: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rate_percent: tuple arg.
		:type rate_percent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bum_action: tuple arg.
		:type bum_action: (unicode)
		
		.. note::
			* enum - [u'monitor', u'shutdown']

	**This Instance Arg(s)**:
		:param rate_format: kwarg.
		:type rate_format: (unicode)
		
		.. note::
			* enum - [u'limit-bps', u'limit-percent']

		:param rate_bps: kwarg.
		:type rate_bps: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rate_percent: kwarg.
		:type rate_percent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bum_action: kwarg.
		:type bum_action: (unicode)
		
		.. note::
			* enum - [u'monitor', u'shutdown']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.storm_control.ingress', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_update(self, ethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_access_update(self, ethernet=None, rspan_access_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rspan_access_vlan: Specify rspan-vlan id to set as access vlan
		:type rspan_access_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access.rspan_access', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rspan_access_vlan=rspan_access_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_access_rspan_vlan_update(self, ethernet=None, rspan_access_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rspan_access_vlan: Specify rspan-vlan id to set as access vlan
		:type rspan_access_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access.rspan_access', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, rspan_access_vlan=rspan_access_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_access_vlan_update(self, ethernet=None, accessvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param accessvlan: Set the default VLAN for the interface
		:type accessvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, accessvlan=accessvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_mode_update(self, ethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vlan_mode: kwarg.
		:type vlan_mode: (unicode)
		
		.. note::
			* enum - [u'access', u'trunk-no-default-native', u'trunk']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_port_security_max_update(self, ethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_sec_max: Maximum number of allowed MACs
		:type port_sec_max: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_sec_violation: Set the action on violation
		:type port_sec_violation: (unicode)
		
		.. note::
			* enum - [u'shutdown']

		:param shutdown_time: Shutdown time for port
		:type shutdown_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_update(self, ethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_transparent_vlan: default transparent vlan
		:type default_transparent_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.default_vlan_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_transparent_vlan'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_rspan_vlan_update(self, ethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_rspan_trunk_vlan: Specify rspan-vlan id
		:type add_rspan_trunk_vlan: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_rspan_trunk_vlan: Specify the rspan vlans to be removed
		:type remove_rspan_trunk_vlan: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_rspan_vlan_add_update(self, ethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_rspan_trunk_vlan: Specify rspan-vlan id
		:type add_rspan_trunk_vlan: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_rspan_trunk_vlan: Specify the rspan vlans to be removed
		:type remove_rspan_trunk_vlan: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_vlan_update(self, ethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all: Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type all: (YANGBool)

		:param none: Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type none: (YANGBool)

		:param add_: Allow these VLANs to Xmit/Rx 
through the Layer2 interface
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..20000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param except_: Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
		:type except_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_vlan_add_update(self, ethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all: Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type all: (YANGBool)

		:param none: Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type none: (YANGBool)

		:param add_: Allow these VLANs to Xmit/Rx 
through the Layer2 interface
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..20000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param except_: Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
		:type except_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, ethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_: kwarg.
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: kwarg.
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, ethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_: kwarg.
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: kwarg.
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_ctag_update(self, ethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan_id: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying untagged
traffic
		:type native_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param native_vlan_ctag_id: Associate a Ctag.
		:type native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_default_vlan_update(self, ethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_transparent_vlan: default transparent vlan
		:type default_transparent_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.default_vlan_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_native_vlan_untagged_update(self, ethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan_id_untagged: Set the interface to accept only
untagged native-vlan traffic on ingress and
untagged native-vlan traffic on egress.
		:type native_vlan_id_untagged: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_tag_update(self, ethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic
		:type native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.tag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_tag_native_vlan_update(self, ethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic
		:type native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.tag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_update(self, ethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param add: kwarg tuple.
		:type add: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_update(self, ethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param remove: kwarg tuple.
		:type remove: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_track_update(self, ethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_enable: Enable tracking interface
		:type track_enable: (YANGBool)

		:param min_link: Min link
		:type min_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_track_min_link_update(self, ethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_enable: Enable tracking interface
		:type track_enable: (YANGBool)

		:param min_link: Min link
		:type min_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_track_remove_update(self, ethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface
		:type remove_all_track_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_track_remove_all_update(self, ethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface
		:type remove_all_track_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_udld_update(self, ethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param udld_enable: Enable UDLD protocol on the Interface
		:type udld_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_udld_enable_update(self, ethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param udld_enable: Enable UDLD protocol on the Interface
		:type udld_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vepa_update(self, ethernet=None, vepa_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vepa_enable: Set enable
		:type vepa_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vepa', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vepa_enable=vepa_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vepa_enable_update(self, ethernet=None, vepa_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vepa_enable: Set enable
		:type vepa_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vepa', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vepa_enable=vepa_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrf_update(self, ethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrf_forwarding_update(self, ethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_update(self, ethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: Ipv4 session advertisement interval
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_arp_unicast_request_update(self, ethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_arp_unicast_request_receive_update(self, ethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_track_update(self, ethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ethernet: kwarg tuple.
		:type ethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ethernet=ethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fcoe_update(self, fcoe=None, fcoe_interface_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Keyword Arg Tuple**:
		:param fcoe: kwarg tuple.
		:type fcoe: (fcoe_interface_name).

		:param fcoe_interface_name: tuple arg.
		:type fcoe_interface_name: (unicode)
		
		.. note::
			* length - [u'3..32']

	**This Instance Arg(s)**:
		:param fcoe_interface_shutdown: Enable/Disable the port
		:type fcoe_interface_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.interface.fcoe', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fcoe', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fcoe', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fcoe', 'keyval': 'fcoe_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe=fcoe, fcoe_interface_shutdown=fcoe_interface_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fcoe_bind_update(self, fcoe=None, fcoe_interface_bind_te=None, fcoe_interface_bind_fo=None, fcoe_interface_bind_po=None, fcoe_interface_bind_mac=None, fcoe_interface_bind_hu=None, fcoe_interface_bind_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fcoe: kwarg tuple.
		:type fcoe: (fcoe_interface_name).

		:param fcoe_interface_name: tuple arg.
		:type fcoe_interface_name: (unicode)
		
		.. note::
			* length - [u'3..32']

	**This Instance Arg(s)**:
		:param fcoe_interface_bind_te: Bind to TenGigabitEthernet port
		:type fcoe_interface_bind_te: (YANGBool)

		:param fcoe_interface_bind_fo: Bind to FortyGigabitEthernet port
		:type fcoe_interface_bind_fo: (YANGBool)

		:param fcoe_interface_bind_po: Bind to Port-channel
		:type fcoe_interface_bind_po: (YANGBool)

		:param fcoe_interface_bind_mac: Bind to an Enode Mac-address
		:type fcoe_interface_bind_mac: (YANGBool)

		:param fcoe_interface_bind_hu: Bind to HundredGigabitEthernet port
		:type fcoe_interface_bind_hu: (YANGBool)

		:param fcoe_interface_bind_name: kwarg.
		:type fcoe_interface_bind_name: (unicode)
		
		.. note::
			* length - [u'0..32']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fcoe', u'fcoe'), ('pybind.nos.v6_0_2b.interface.fcoe', u'fcoe'), ('pybind.nos.v7_0_1a.interface.fcoe', u'fcoe')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoe_interface_bind_te, fcoe_interface_bind_fo, fcoe_interface_bind_po, fcoe_interface_bind_mac, fcoe_interface_bind_hu, fcoe_interface_bind_name'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe=fcoe, fcoe_interface_bind_te=fcoe_interface_bind_te, fcoe_interface_bind_fo=fcoe_interface_bind_fo, fcoe_interface_bind_po=fcoe_interface_bind_po, fcoe_interface_bind_mac=fcoe_interface_bind_mac, fcoe_interface_bind_hu=fcoe_interface_bind_hu, fcoe_interface_bind_name=fcoe_interface_bind_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fcoe_bind_fortygigabitethernet_update(self, fcoe=None, fcoe_interface_bind_te=None, fcoe_interface_bind_fo=None, fcoe_interface_bind_po=None, fcoe_interface_bind_mac=None, fcoe_interface_bind_hu=None, fcoe_interface_bind_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fcoe: kwarg tuple.
		:type fcoe: (fcoe_interface_name).

		:param fcoe_interface_name: tuple arg.
		:type fcoe_interface_name: (unicode)
		
		.. note::
			* length - [u'3..32']

	**This Instance Arg(s)**:
		:param fcoe_interface_bind_te: Bind to TenGigabitEthernet port
		:type fcoe_interface_bind_te: (YANGBool)

		:param fcoe_interface_bind_fo: Bind to FortyGigabitEthernet port
		:type fcoe_interface_bind_fo: (YANGBool)

		:param fcoe_interface_bind_po: Bind to Port-channel
		:type fcoe_interface_bind_po: (YANGBool)

		:param fcoe_interface_bind_mac: Bind to an Enode Mac-address
		:type fcoe_interface_bind_mac: (YANGBool)

		:param fcoe_interface_bind_hu: Bind to HundredGigabitEthernet port
		:type fcoe_interface_bind_hu: (YANGBool)

		:param fcoe_interface_bind_name: kwarg.
		:type fcoe_interface_bind_name: (unicode)
		
		.. note::
			* length - [u'0..32']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fcoe', u'fcoe'), ('pybind.nos.v6_0_2b.interface.fcoe', u'fcoe'), ('pybind.nos.v7_0_1a.interface.fcoe', u'fcoe')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fcoe.fcoe_interface_bind', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}, {'keyval': 'fcoe_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fcoe=fcoe, fcoe_interface_bind_te=fcoe_interface_bind_te, fcoe_interface_bind_fo=fcoe_interface_bind_fo, fcoe_interface_bind_po=fcoe_interface_bind_po, fcoe_interface_bind_mac=fcoe_interface_bind_mac, fcoe_interface_bind_hu=fcoe_interface_bind_hu, fcoe_interface_bind_name=fcoe_interface_bind_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bfd_update(self, fortygigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bfd_interval_update(self, fortygigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bfd_interval_min_rx_update(self, fortygigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bfd_shutdown_update(self, fortygigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_bpdu_drop_update(self, fortygigabitethernet=None, enable=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs
		:type enable: (YANGBool)

		:param direction: kwarg.
		:type direction: (unicode)
		
		.. note::
			* enum - [u'all', u'rx', u'tx']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, enable=enable, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_channel_group_update(self, fortygigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_int: Channel group number
		:type port_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: The mode of the port channel.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'active', u'passive', u'on']

		:param type: The type of the port-channel.
		:type type: (unicode)
		
		.. note::
			* enum - [u'brocade', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_channel_group_mode_update(self, fortygigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_int: Channel group number
		:type port_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: The mode of the port channel.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'active', u'passive', u'on']

		:param type: The type of the port-channel.
		:type type: (unicode)
		
		.. note::
			* enum - [u'brocade', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_deviceconnectivity_update(self, fortygigabitethernet=None, deviceconnectivity=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param deviceconnectivity: Device connectivity to IP storage device
		:type deviceconnectivity: (unicode)
		
		.. note::
			* enum - [u'NAS', u'None', u'iSCSI', u'DAS']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.connectivity', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.connectivity', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.connectivity', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, deviceconnectivity=deviceconnectivity)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_update(self, fortygigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param authentication: Enable dot1x on a port
		:type authentication: (YANGBool)

		:param port_control: Port control commands
		:type port_control: (unicode)
		
		.. note::
			* enum - [u'auto', u'force-unauthorized', u'force-authorized']

		:param protocol_version: Set the protocol version
		:type protocol_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param quiet_period: Quiet period in the HELD state
		:type quiet_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthMax: Number of reauthentication attempts before becoming
unauthorized
		:type reauthMax: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthentication: Enable reauthentication on a port
		:type reauthentication: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_authentication_update(self, fortygigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param authentication: Enable dot1x on a port
		:type authentication: (YANGBool)

		:param port_control: Port control commands
		:type port_control: (unicode)
		
		.. note::
			* enum - [u'auto', u'force-unauthorized', u'force-authorized']

		:param protocol_version: Set the protocol version
		:type protocol_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param quiet_period: Quiet period in the HELD state
		:type quiet_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthMax: Number of reauthentication attempts before becoming
unauthorized
		:type reauthMax: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthentication: Enable reauthentication on a port
		:type reauthentication: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_timeout_update(self, fortygigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param re_authperiod: Reauthentication interval in seconds 
(default = 3600)
		:type re_authperiod: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param server_timeout: Server timeout in seconds (default = 30)
		:type server_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param supp_timeout: Supplicant response timeout (default = 30)
		:type supp_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_period: Transmission period in seconds (default = 30)
		:type tx_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_dot1x_timeout_re_authperiod_update(self, fortygigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param re_authperiod: Reauthentication interval in seconds 
(default = 3600)
		:type re_authperiod: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param server_timeout: Server timeout in seconds (default = 30)
		:type server_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param supp_timeout: Supplicant response timeout (default = 30)
		:type supp_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_period: Transmission period in seconds (default = 30)
		:type tx_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_edge_loop_detection_update(self, fortygigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param eldprio: Set ELD-priority value to interface
		:type eldprio: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eldvlan: Enable for specific VLAN on selected interface
		:type eldvlan: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_edge_loop_detection_port_priority_update(self, fortygigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param eldprio: Set ELD-priority value to interface
		:type eldprio: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eldvlan: Enable for specific VLAN on selected interface
		:type eldvlan: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_dport_update(self, fortygigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_dport_enable: Configure fabric D-port status 
		:type fabric_dport_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_dport_enable_update(self, fortygigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_dport_enable: Configure fabric D-port status 
		:type fabric_dport_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_dport_mode_update(self, fortygigabitethernet=None, fabric_dport_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_dport_mode: Configure D-Port Mode
		:type fabric_dport_mode: (unicode)
		
		.. note::
			* enum - [u'static', u'none', u'dynamic']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_dport_mode=fabric_dport_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_isl_update(self, fortygigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_isl_enable: Configure fabric isl status 
		:type fabric_isl_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_isl_enable_update(self, fortygigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_isl_enable: Configure fabric isl status 
		:type fabric_isl_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_neighbor_discovery_update(self, fortygigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param disable: Disable neighbor discovery at this port
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_neighbor_discovery_disable_update(self, fortygigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param disable: Disable neighbor discovery at this port
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_trunk_update(self, fortygigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_trunk_enable: Configure fabric trunk status 
		:type fabric_trunk_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fabric_trunk_enable_update(self, fortygigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_trunk_enable: Configure fabric trunk status 
		:type fabric_trunk_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fcoeport_update(self, fortygigabitethernet=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fcoeport_map: kwarg.
		:type fcoeport_map: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param ns_ip_registration: kwarg.
		:type ns_ip_registration: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoeport_map, ns_ip_registration'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_fcoeport_map_update(self, fortygigabitethernet=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fcoeport_map: kwarg.
		:type fcoeport_map: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param ns_ip_registration: kwarg.
		:type ns_ip_registration: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_update(self, fortygigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.arp_node_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip_acl_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.arp_node_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.arp_node_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_access_group_update(self, fortygigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ip_access_list, ip_direction, traffic_type).

		:param ip_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ip_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_address_update(self, fortygigabitethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param address: kwarg tuple.
		:type address: (address, secondary, ospf_passive, ospf_ignore).

		:param address: A.B.C.D/M IP address in dotted decimal/Mask
		:type address: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_arp_update(self, fortygigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_arp_aging_timeout_update(self, fortygigabitethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mtu: Set ip mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param directed_broadcast: Enable directed IP broadcasts forwarding
		:type directed_broadcast: (YANGBool)

		:param proxy_arp: Proxy-Arp on the interface
		:type proxy_arp: (YANGBool)

		:param arp_aging_timeout: Set arp age timeout value to interface
		:type arp_aging_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_arp_inspection_update(self, fortygigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_arp_inspection_trust_update(self, fortygigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_arp_learn_any_update(self, fortygigabitethernet=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param learn_any: Learn ARP
		:type learn_any: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_dhcp_relay_gateway_update(self, fortygigabitethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param gateway: Gateway address
		:type gateway: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_icmp_update(self, fortygigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_icmp_address_mask_update(self, fortygigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_igmp_update(self, fortygigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: Immediate Leave Processing
		:type immediate_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_igmp_immediate_leave_update(self, fortygigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: Immediate Leave Processing
		:type immediate_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_multicast_boundary_update(self, fortygigabitethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pim_sparse: Sparse Mode (PIM-SM)
		:type pim_sparse: (YANGBool)

		:param mcast_bdry_prefix_list: Prefix list
		:type mcast_bdry_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_update(self, fortygigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_active_update(self, fortygigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_authentication_key_update(self, fortygigabitethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param encrypttype: kwarg.
		:type encrypttype: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param auth_key: The OSPF password (key)
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_bfd_update(self, fortygigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param intf_bfd_enable: Enable bfd on this interface
		:type intf_bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_database_filter_update(self, fortygigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_database_filter_all_external_update(self, fortygigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_md5_authentication_update(self, fortygigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_update(self, fortygigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, fortygigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_activation_wait_time: The activation wait time in Seconds
		:type key_activation_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_id_update(self, fortygigabitethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_ospf_md5_authentication_key_id_key_update(self, fortygigabitethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_pim_update(self, fortygigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_pim_dr_priority_update(self, fortygigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_pim_multinet_update(self, fortygigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_pim_multinet_enable_update(self, fortygigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_policy_route_map_update(self, fortygigabitethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param route_map_name: Word:1-63;;Route map name
		:type route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_unnumbered_update(self, fortygigabitethernet=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ip_donor_interface_type: The type of donor interface.
		:type ip_donor_interface_type: (unicode)
		
		.. note::
			* enum - [u've', u'loopback', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

		:param ip_donor_interface_name: The name of donor interface.
		:type ip_donor_interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_update(self, fortygigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_access_group_update(self, fortygigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ipv6_access_list, ip_direction, traffic_type).

		:param ipv6_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ipv6_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_update(self, fortygigabitethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_eui_64_update(self, fortygigabitethernet=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id
		:type eui64: (YANGBool)

		:param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface
		:type eui_secondary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_link_local_update(self, fortygigabitethernet=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_local_address: kwarg.
		:type link_local_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local: Configure ipv6 address to override automatically computed link-local address
		:type link_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_use_link_local_only_update(self, fortygigabitethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param use_link_local_only: Configure automatically computed link-local address
		:type use_link_local_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_dhcp_relay_update(self, fortygigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_dhcp_relay_interface_update(self, fortygigabitethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param interface_type: Interface type
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'Ve']

		:param interface_name: Interface name
		:type interface_name: (unicode)
		
		.. note::
			* pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_hop_by_hop_trap_update(self, fortygigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hop_by_hop_trap: Enable hop-by-hop trap on an Interface
		:type hop_by_hop_trap: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_icmpv6_update(self, fortygigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_icmpv6_echo_reply_update(self, fortygigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_mtu_update(self, fortygigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mtu: Set ipv6 mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_update(self, fortygigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configfure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_broadcast_mac_trap_update(self, fortygigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configfure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_cache_update(self, fortygigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_cache_expire_update(self, fortygigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_dad_update(self, fortygigabitethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_dad_attempts_update(self, fortygigabitethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_nud_retry_update(self, fortygigabitethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param base: base value
		:type base: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param interval: Time interval between neighbor solicitations in milliseconds
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_attempts: Max number of retry attempts.
		:type max_attempts: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_infinite_update(self, fortygigabitethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param preferred_lifetime: Configures preferred lifetime
		:type preferred_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preferred_infinite: Infinite preferred lifetime
		:type preferred_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_no_advertise_update(self, fortygigabitethernet=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_advertise: Do not advertise prefix
		:type no_advertise: (YANGBool)

		:param valid_lifetime: Configures valid lifetime
		:type valid_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param valid_infinite: Infinite valid lifetime
		:type valid_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_no_autoconfig_update(self, fortygigabitethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_autoconfig: Do not use prefix for autoconfiguration
		:type no_autoconfig: (YANGBool)

		:param no_onlink: Do not use prefix for onlink determination
		:type no_onlink: (YANGBool)

		:param off_link: Prefix is offlink
		:type off_link: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_ra_interval_update(self, fortygigabitethernet=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param max_interval: Maximum interval in seconds
		:type max_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_: Minimum interval between sending RA messages
		:type min_: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_suppress_ra_update(self, fortygigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_suppress_ra_all_update(self, fortygigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_neighbor_update(self, fortygigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param neighbor: kwarg tuple.
		:type neighbor: (ipv6_address).

		:param ipv6_address: tuple arg.
		:type ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param hardware_address: kwarg.
		:type hardware_address: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_update(self, fortygigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_active_update(self, fortygigabitethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_area: OSPF area
		:type interface_area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance: Instance of OSPFv3 protocol on this interface
		:type instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPFv3 MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'point-to-point']

		:param priority: Interface priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param suppress_linklsa: Suppress link LSA advertisements
		:type suppress_linklsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_update(self, fortygigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_ah_update(self, fortygigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_ipsec_update(self, fortygigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, fortygigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_bfd_update(self, fortygigabitethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_enable: Enable bfd on this interface
		:type bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_ospf_dead_interval_update(self, fortygigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_policy_route_map_update(self, fortygigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipv6_route_map_name: Word:1-63;;Route map name
		:type ipv6_route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_raguard_update(self, fortygigabitethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param raguard: IPv6 Router advertisement guard configuration
		:type raguard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_update(self, fortygigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param advertise_backup: Enable periodic backup advertisement messages
		:type advertise_backup: (YANGBool)

		:param nd_advertisement_timer: kwarg.
		:type nd_advertisement_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>
		:type advertisement_interval_scale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_advertisement_interval: Set Backup advertisement interval
		:type backup_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe_advertisement_interval: Set advertisement interval
		:type vrrpe_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, fortygigabitethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param revert_priority: Set revert priority
		:type revert_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_track_update(self, fortygigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_update(self, fortygigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3_group: kwarg tuple.
		:type vrrpv3_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Use v2 checksum
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: Set advertisement interval
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_track_update(self, fortygigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3_group: kwarg tuple.
		:type vrrpv3_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_suppress_interface_ra_update(self, fortygigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3
		:type vrrp_suppress_interface_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lacp_update(self, fortygigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param timeout: Timeout commands
		:type timeout: (unicode)
		
		.. note::
			* enum - [u'short', u'long']

		:param std_port_priority: Port priority commands
		:type std_port_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_up: To bring up the interface in LACP default state 
		:type default_up: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lacp_default_up_update(self, fortygigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param timeout: Timeout commands
		:type timeout: (unicode)
		
		.. note::
			* enum - [u'short', u'long']

		:param std_port_priority: Port priority commands
		:type std_port_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_up: To bring up the interface in LACP default state 
		:type default_up: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lldp_update(self, fortygigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param dcbx_version: Set up DCBX Version
		:type dcbx_version: (unicode)
		
		.. note::
			* enum - [u'auto', u'cee']

		:param disable: Disable LLDP on the Interface.
		:type disable: (YANGBool)

		:param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface
		:type iscsi_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param profile: The LLDP profile on the interface.
		:type profile: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lldp_cee_update(self, fortygigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param lldp_cee_on_off: kwarg.
		:type lldp_cee_on_off: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.lldp.cee', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.lldp.cee', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_lldp_dcbx_version_update(self, fortygigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param dcbx_version: Set up DCBX Version
		:type dcbx_version: (unicode)
		
		.. note::
			* enum - [u'auto', u'cee']

		:param disable: Disable LLDP on the Interface.
		:type disable: (YANGBool)

		:param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface
		:type iscsi_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param profile: The LLDP profile on the interface.
		:type profile: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_mac_access_group_update(self, fortygigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (mac_access_list, mac_direction, traffic_type).

		:param mac_access_list: ACL_NAME;; Access List Name (Max 63)
		:type mac_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param mac_direction: tuple arg.
		:type mac_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_mac_learning_disable_vlan_update(self, fortygigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mac_learning_vlan_add: RANGE;;Range of vlans to add
		:type mac_learning_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param mac_learning_vlan_remove: RANGE;;Range of vlans to remove
		:type mac_learning_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_mac_learning_disable_vlan_add_update(self, fortygigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mac_learning_vlan_add: RANGE;;Range of vlans to add
		:type mac_learning_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param mac_learning_vlan_remove: RANGE;;Range of vlans to remove
		:type mac_learning_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_openflow_update(self, fortygigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: OpenFlow enable
		:type enable: (YANGBool)

		:param match_profile: OpenFlow match profile
		:type match_profile: (unicode)
		
		.. note::
			* enum - [u'Layer3', u'Layer2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, match_profile'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, enable=enable, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_openflow_enable_update(self, fortygigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: OpenFlow enable
		:type enable: (YANGBool)

		:param match_profile: OpenFlow match profile
		:type match_profile: (unicode)
		
		.. note::
			* enum - [u'Layer3', u'Layer2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, enable=enable, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_openflow_logical_instance_update(self, fortygigabitethernet=None, logical_instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param logical_instance_id: OpenFlow logical instance configuration
		:type logical_instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, logical_instance_id=logical_instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_port_profile_port_domain_update(self, fortygigabitethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param profile_domain_name: Port-profile-domain name (Max Size - 128)
		:type profile_domain_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_update(self, fortygigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_cos: Configure default Class of Service (CoS)
		:type default_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos_mutation: Configure CoS-to-CoS mutation
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Configure DSCP-to-DSCP mutation
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Configure DSCP-to-Traffic Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Configure DSCP-to-COS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_cos_mutation_update(self, fortygigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_cos: Configure default Class of Service (CoS)
		:type default_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos_mutation: Configure CoS-to-CoS mutation
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Configure DSCP-to-DSCP mutation
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Configure DSCP-to-Traffic Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Configure DSCP-to-COS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_drop_monitor_update(self, fortygigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.
		:type drop_monitor_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_drop_monitor_enable_update(self, fortygigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.
		:type drop_monitor_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_flowcontrol_update(self, fortygigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param flowcontrol_tx: Configure Pause generation
		:type flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param flowcontrol_rx: Configure Pause reception
		:type flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_flowcontrol_pfc_update(self, fortygigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param pfc: kwarg tuple.
		:type pfc: (pfc_cos).

		:param pfc_cos: 0-7;;CoS value
		:type pfc_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

	**This Instance Arg(s)**:
		:param pfc_flowcontrol_tx: Configure Pause generation
		:type pfc_flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param pfc_flowcontrol_rx: Configure Pause reception
		:type pfc_flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_flowcontrol_rx_update(self, fortygigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param flowcontrol_tx: Configure Pause generation
		:type flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param flowcontrol_rx: Configure Pause reception
		:type flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_random_detect_traffic_class_update(self, fortygigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param traffic_class: kwarg tuple.
		:type traffic_class: (red_tc_value).

		:param red_tc_value: tuple arg.
		:type red_tc_value: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param red_enable: Keyword for VDX 6710,6720,6730,6746,2730
		:type red_enable: (YANGBool)

		:param red_profile_id: Keyword for all other VDX platforms
		:type red_profile_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_trust_update(self, fortygigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class
		:type trust_dscp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_trust_cos_update(self, fortygigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class
		:type trust_dscp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_rmon_collection_history_update(self, fortygigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param history_control_entry: kwarg tuple.
		:type history_control_entry: (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner).

		:param history_control_index: tuple arg.
		:type history_control_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_buckets_requested: Buckets (default 50)
		:type history_control_buckets_requested: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_interval: Polling Interval (default 1800)
		:type history_control_interval: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_owner: Owner identity
		:type history_control_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

	**This Instance Arg(s)**:
		:param history_control_buckets_requested: Buckets (default 50)
		:type history_control_buckets_requested: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_interval: Polling Interval (default 1800)
		:type history_control_interval: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_owner: Owner identity
		:type history_control_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_rmon_collection_stats_update(self, fortygigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ether_stats_entry: kwarg tuple.
		:type ether_stats_entry: (ether_stats_index, ether_stats_owner).

		:param ether_stats_index: tuple arg.
		:type ether_stats_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param ether_stats_owner: Owner identity
		:type ether_stats_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

	**This Instance Arg(s)**:
		:param ether_stats_owner: Owner identity
		:type ether_stats_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_service_policy_update(self, fortygigabitethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param in_: Input Policy Map
		:type in_: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param out: Output Policy Map
		:type out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_service_policy_in_update(self, fortygigabitethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param in_: Input Policy Map
		:type in_: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param out: Output Policy Map
		:type out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_sflow_update(self, fortygigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Enable port sflow
		:type enable: (YANGBool)

		:param polling_interval: Interface counter polling interval
		:type polling_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sample_rate: Interface sampling rate
		:type sample_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_sflow_enable_update(self, fortygigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Enable port sflow
		:type enable: (YANGBool)

		:param polling_interval: Interface counter polling interval
		:type polling_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sample_rate: Interface sampling rate
		:type sample_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_snmp_trap_update(self, fortygigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_snmp_trap_link_status_update(self, fortygigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_update(self, fortygigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param autoedge: Autoedge - enable automatic edge detection
		:type autoedge: (YANGBool)

		:param cost: Change an interface's spanning tree port path cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bpdu_mac: Configure VLAN spanning-tree control MAC
		:type bpdu_mac: (unicode)
		
		.. note::
			* enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

		:param link_type: Specify a link type for spanning tree protocol
		:type link_type: (unicode)
		
		.. note::
			* enum - [u'shared', u'point-to-point']

		:param priority: Change an interface's spanning tree port priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change and received topology change notifications
		:type restricted_tcn: (YANGBool)

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_autoedge_update(self, fortygigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param autoedge: Autoedge - enable automatic edge detection
		:type autoedge: (YANGBool)

		:param cost: Change an interface's spanning tree port path cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bpdu_mac: Configure VLAN spanning-tree control MAC
		:type bpdu_mac: (unicode)
		
		.. note::
			* enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

		:param link_type: Specify a link type for spanning tree protocol
		:type link_type: (unicode)
		
		.. note::
			* enum - [u'shared', u'point-to-point']

		:param priority: Change an interface's spanning tree port priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change and received topology change notifications
		:type restricted_tcn: (YANGBool)

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_edgeport_update(self, fortygigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param edgeportbasic: Edgeport
		:type edgeportbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_edgeport_bpdu_filter_update(self, fortygigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param edgeportbasic: Edgeport
		:type edgeportbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_guard_update(self, fortygigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_guard_root_update(self, fortygigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_instance_update(self, fortygigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param instance: kwarg tuple.
		:type instance: (id).

		:param id: tuple arg.
		:type id: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param cost: Path cost for a port
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: Port priority for a bridge
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change
notifications from port
		:type restricted_tcn: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_portfast_update(self, fortygigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param portfastbasic: Enable an interface to move directly to forwarding on link up
		:type portfastbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_portfast_bpdu_filter_update(self, fortygigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param portfastbasic: Enable an interface to move directly to forwarding on link up
		:type portfastbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_vlan_update(self, fortygigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param cost: Path cost for a port
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: Port priority for a bridge
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_vlan_guard_update(self, fortygigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_vlan_guard_root_update(self, fortygigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_storm_control_ingress_update(self, fortygigabitethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ingress: kwarg tuple.
		:type ingress: (protocol_type, rate_format, rate_bps, rate_percent, bum_action).

		:param protocol_type: tuple arg.
		:type protocol_type: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'unknown-unicast', u'multicast']

		:param rate_format: tuple arg.
		:type rate_format: (unicode)
		
		.. note::
			* enum - [u'limit-bps', u'limit-percent']

		:param rate_bps: tuple arg.
		:type rate_bps: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rate_percent: tuple arg.
		:type rate_percent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bum_action: tuple arg.
		:type bum_action: (unicode)
		
		.. note::
			* enum - [u'monitor', u'shutdown']

	**This Instance Arg(s)**:
		:param rate_format: kwarg.
		:type rate_format: (unicode)
		
		.. note::
			* enum - [u'limit-bps', u'limit-percent']

		:param rate_bps: kwarg.
		:type rate_bps: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rate_percent: kwarg.
		:type rate_percent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bum_action: kwarg.
		:type bum_action: (unicode)
		
		.. note::
			* enum - [u'monitor', u'shutdown']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_update(self, fortygigabitethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport_basic', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport_basic', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_access_update(self, fortygigabitethernet=None, rspan_access_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rspan_access_vlan: Specify rspan-vlan id to set as access vlan
		:type rspan_access_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access.rspan_access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, rspan_access_vlan=rspan_access_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_mode_update(self, fortygigabitethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vlan_mode: kwarg.
		:type vlan_mode: (unicode)
		
		.. note::
			* enum - [u'access', u'trunk-no-default-native', u'trunk']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.mode', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.mode', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_mode_private_vlan_update(self, fortygigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param promiscuous: Set the Layer2 interface as private-vlan promiscuous
		:type promiscuous: (YANGBool)

		:param host: Set the Layer2 interface as private-vlan host
		:type host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_mode_private_vlan_host_update(self, fortygigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param promiscuous: Set the Layer2 interface as private-vlan promiscuous
		:type promiscuous: (YANGBool)

		:param host: Set the Layer2 interface as private-vlan host
		:type host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_mode_private_vlan_trunk_update(self, fortygigabitethernet=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trunk_basic: kwarg.
		:type trunk_basic: (YANGBool)

		:param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous
		:type trunk_promiscuous: (YANGBool)

		:param trunk_host: Set the Layer2 interface as private-vlan trunk host
		:type trunk_host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_port_security_max_update(self, fortygigabitethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_sec_max: Maximum number of allowed MACs
		:type port_sec_max: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_sec_violation: Set the action on violation
		:type port_sec_violation: (unicode)
		
		.. note::
			* enum - [u'restrict', u'shutdown']

		:param shutdown_time: Shutdown time for port
		:type shutdown_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_host_association_update(self, fortygigabitethernet=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param host_pri_pvlan: Primary vlan id
		:type host_pri_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param host_sec_pvlan: Secondary vlan id
		:type host_sec_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_mapping_update(self, fortygigabitethernet=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param mapping: kwarg tuple.
		:type mapping: (promis_pri_pvlan, oper, promis_sec_pvlan_range).

		:param promis_pri_pvlan: Primary vlan id
		:type promis_pri_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param oper: tuple arg.
		:type oper: (unicode)
		
		.. note::
			* enum - [u'add', u'delete']

		:param promis_sec_pvlan_range: Secondary vlan range
		:type promis_sec_pvlan_range: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

	**This Instance Arg(s)**:
		:param oper: kwarg.
		:type oper: (unicode)
		
		.. note::
			* enum - [u'add', u'delete']

		:param promis_sec_pvlan_range: Secondary vlan range
		:type promis_sec_pvlan_range: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_update(self, fortygigabitethernet=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface
		:type pvlan_all: (YANGBool)

		:param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface
		:type pvlan_none: (YANGBool)

		:param pvlan_add: Add a VLAN to Xmit/Rx through the Layer2 interface
		:type pvlan_add: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface
		:type pvlan_except: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param pvlan_remove: Remove a VLAN that Xmit/Rx through the Layer2 interface
		:type pvlan_remove: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_native_update(self, fortygigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlanNativevlan: kwarg.
		:type pvlanNativevlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pvlan_native_vlan_ctag_id: Associate a Ctag.
		:type pvlan_native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_native_vlan_update(self, fortygigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlanNativevlan: kwarg.
		:type pvlanNativevlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pvlan_native_vlan_ctag_id: Associate a Ctag.
		:type pvlan_native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_tag_update(self, fortygigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlan_tag_native_vlan: Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic
		:type pvlan_tag_native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_tag_native_vlan_update(self, fortygigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlan_tag_native_vlan: Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic
		:type pvlan_tag_native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_update(self, fortygigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_transparent_vlan: default transparent vlan
		:type default_transparent_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_transparent_vlan'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_rspan_vlan_update(self, fortygigabitethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_rspan_trunk_vlan: Specify rspan-vlan id
		:type add_rspan_trunk_vlan: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_rspan_trunk_vlan: Specify the rspan vlans to be removed
		:type remove_rspan_trunk_vlan: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_update(self, fortygigabitethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all: Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type all: (YANGBool)

		:param none: Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type none: (YANGBool)

		:param add_: Allow these VLANs to Xmit/Rx 
through the Layer2 interface
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..20000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param except_: Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
		:type except_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_add_update(self, fortygigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param add: kwarg tuple.
		:type add: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_remove_update(self, fortygigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param remove: kwarg tuple.
		:type remove: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, fortygigabitethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_: kwarg.
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: kwarg.
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, fortygigabitethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_: kwarg.
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: kwarg.
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_ctag_update(self, fortygigabitethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan_id: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying untagged
traffic
		:type native_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param native_vlan_ctag_id: Associate a Ctag.
		:type native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_default_vlan_update(self, fortygigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_transparent_vlan: default transparent vlan
		:type default_transparent_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_native_vlan_untagged_update(self, fortygigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan_id_untagged: Set the interface to accept only
untagged native-vlan traffic on ingress and
untagged native-vlan traffic on egress.
		:type native_vlan_id_untagged: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_tag_update(self, fortygigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic
		:type native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_tag_native_vlan_update(self, fortygigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic
		:type native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_track_update(self, fortygigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_enable: Enable tracking interface
		:type track_enable: (YANGBool)

		:param min_link: Min link
		:type min_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_track_min_link_update(self, fortygigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_enable: Enable tracking interface
		:type track_enable: (YANGBool)

		:param min_link: Min link
		:type min_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_track_remove_update(self, fortygigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface
		:type remove_all_track_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_track_remove_all_update(self, fortygigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface
		:type remove_all_track_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_tunable_optics_sfpp_update(self, fortygigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param channel: Channel configuration.
		:type channel: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_tunable_optics_sfpp_channel_update(self, fortygigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param channel: Channel configuration.
		:type channel: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_tunnel_update(self, fortygigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCS
fabric
		:type tagged_ieee_bpdu: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_tunnel_tagged_ieee_bpdu_update(self, fortygigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCS
fabric
		:type tagged_ieee_bpdu: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_udld_update(self, fortygigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param udld_enable: Enable UDLD protocol on the Interface
		:type udld_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_udld_enable_update(self, fortygigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param udld_enable: Enable UDLD protocol on the Interface
		:type udld_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vlan_classifier_activate_group_update(self, fortygigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param group: kwarg tuple.
		:type group: (groupid, vlan).

		:param groupid: tuple arg.
		:type groupid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan: 1-8191;;Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan: 1-8191;;Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrf_update(self, fortygigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrf_forwarding_update(self, fortygigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_update(self, fortygigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_arp_unicast_request_update(self, fortygigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_arp_unicast_request_receive_update(self, fortygigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_track_update(self, fortygigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param fortygigabitethernet: kwarg tuple.
		:type fortygigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bfd_update(self, gigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bfd_interval_update(self, gigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bfd_interval_min_rx_update(self, gigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bfd_shutdown_update(self, gigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_bpdu_drop_update(self, gigabitethernet=None, enable=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs
		:type enable: (YANGBool)

		:param direction: kwarg.
		:type direction: (unicode)
		
		.. note::
			* enum - [u'all', u'rx', u'tx']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, enable=enable, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_channel_group_update(self, gigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_int: Channel group number
		:type port_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: The mode of the port channel.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'active', u'passive', u'on']

		:param type: The type of the port-channel.
		:type type: (unicode)
		
		.. note::
			* enum - [u'brocade', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_channel_group_mode_update(self, gigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_int: Channel group number
		:type port_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: The mode of the port channel.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'active', u'passive', u'on']

		:param type: The type of the port-channel.
		:type type: (unicode)
		
		.. note::
			* enum - [u'brocade', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_deviceconnectivity_update(self, gigabitethernet=None, deviceconnectivity=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param deviceconnectivity: Device connectivity to IP storage device
		:type deviceconnectivity: (unicode)
		
		.. note::
			* enum - [u'NAS', u'None', u'iSCSI', u'DAS']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.connectivity', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.connectivity', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.connectivity', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, deviceconnectivity=deviceconnectivity)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_update(self, gigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param authentication: Enable dot1x on a port
		:type authentication: (YANGBool)

		:param port_control: Port control commands
		:type port_control: (unicode)
		
		.. note::
			* enum - [u'auto', u'force-unauthorized', u'force-authorized']

		:param protocol_version: Set the protocol version
		:type protocol_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param quiet_period: Quiet period in the HELD state
		:type quiet_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthMax: Number of reauthentication attempts before becoming
unauthorized
		:type reauthMax: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthentication: Enable reauthentication on a port
		:type reauthentication: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_authentication_update(self, gigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param authentication: Enable dot1x on a port
		:type authentication: (YANGBool)

		:param port_control: Port control commands
		:type port_control: (unicode)
		
		.. note::
			* enum - [u'auto', u'force-unauthorized', u'force-authorized']

		:param protocol_version: Set the protocol version
		:type protocol_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param quiet_period: Quiet period in the HELD state
		:type quiet_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthMax: Number of reauthentication attempts before becoming
unauthorized
		:type reauthMax: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthentication: Enable reauthentication on a port
		:type reauthentication: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_timeout_update(self, gigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param re_authperiod: Reauthentication interval in seconds 
(default = 3600)
		:type re_authperiod: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param server_timeout: Server timeout in seconds (default = 30)
		:type server_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param supp_timeout: Supplicant response timeout (default = 30)
		:type supp_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_period: Transmission period in seconds (default = 30)
		:type tx_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_dot1x_timeout_re_authperiod_update(self, gigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param re_authperiod: Reauthentication interval in seconds 
(default = 3600)
		:type re_authperiod: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param server_timeout: Server timeout in seconds (default = 30)
		:type server_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param supp_timeout: Supplicant response timeout (default = 30)
		:type supp_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_period: Transmission period in seconds (default = 30)
		:type tx_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_edge_loop_detection_update(self, gigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param eldprio: Set ELD-priority value to interface
		:type eldprio: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eldvlan: Enable ELD for specific VLAN on selected interface
		:type eldvlan: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_edge_loop_detection_port_priority_update(self, gigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param eldprio: Set ELD-priority value to interface
		:type eldprio: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eldvlan: Enable ELD for specific VLAN on selected interface
		:type eldvlan: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_fabric_neighbor_discovery_update(self, gigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param disable: Disable neighbor discovery at this port
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_fabric_neighbor_discovery_disable_update(self, gigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param disable: Disable neighbor discovery at this port
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_update(self, gigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.arp_node_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip_acl_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.arp_node_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.arp_node_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_access_group_update(self, gigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ip_access_list, ip_direction, traffic_type).

		:param ip_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ip_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_address_update(self, gigabitethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param address: kwarg tuple.
		:type address: (address, secondary, ospf_passive, ospf_ignore).

		:param address: A.B.C.D/M IP address in dotted decimal/Mask
		:type address: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_arp_update(self, gigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_arp_aging_timeout_update(self, gigabitethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mtu: Set ip mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param directed_broadcast: Enable directed IP broadcasts forwarding
		:type directed_broadcast: (YANGBool)

		:param proxy_arp: Proxy-Arp on the interface
		:type proxy_arp: (YANGBool)

		:param arp_aging_timeout: Set arp age timeout value to interface
		:type arp_aging_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_arp_inspection_update(self, gigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_arp_inspection_trust_update(self, gigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_arp_learn_any_update(self, gigabitethernet=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param learn_any: Learn ARP
		:type learn_any: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_dhcp_relay_gateway_update(self, gigabitethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param gateway: Gateway address
		:type gateway: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_icmp_update(self, gigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_icmp_address_mask_update(self, gigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_igmp_update(self, gigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: Immediate Leave Processing
		:type immediate_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_igmp_immediate_leave_update(self, gigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: Immediate Leave Processing
		:type immediate_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_multicast_boundary_update(self, gigabitethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pim_sparse: Sparse Mode (PIM-SM)
		:type pim_sparse: (YANGBool)

		:param mcast_bdry_prefix_list: Prefix list
		:type mcast_bdry_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_update(self, gigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_active_update(self, gigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_authentication_key_update(self, gigabitethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param encrypttype: kwarg.
		:type encrypttype: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param auth_key: The OSPF password (key)
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_bfd_update(self, gigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param intf_bfd_enable: Enable bfd on this interface
		:type intf_bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_database_filter_update(self, gigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_database_filter_all_external_update(self, gigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_md5_authentication_update(self, gigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_md5_authentication_key_update(self, gigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, gigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_activation_wait_time: The activation wait time in Seconds
		:type key_activation_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_md5_authentication_key_id_update(self, gigabitethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_ospf_md5_authentication_key_id_key_update(self, gigabitethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_pim_update(self, gigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_pim_dr_priority_update(self, gigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_pim_multinet_update(self, gigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_pim_multinet_enable_update(self, gigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.gigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_policy_route_map_update(self, gigabitethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param route_map_name: Word:1-63;;Route map name
		:type route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_unnumbered_update(self, gigabitethernet=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ip_donor_interface_type: The type of donor interface.
		:type ip_donor_interface_type: (unicode)
		
		.. note::
			* enum - [u've', u'loopback', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

		:param ip_donor_interface_name: The name of donor interface.
		:type ip_donor_interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_update(self, gigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_access_group_update(self, gigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ipv6_access_list, ip_direction, traffic_type).

		:param ipv6_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ipv6_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_update(self, gigabitethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_eui_64_update(self, gigabitethernet=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id
		:type eui64: (YANGBool)

		:param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface
		:type eui_secondary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_link_local_update(self, gigabitethernet=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_local_address: kwarg.
		:type link_local_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local: Configure ipv6 address to override automatically computed link-local address
		:type link_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_use_link_local_only_update(self, gigabitethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param use_link_local_only: Configure automatically computed link-local address
		:type use_link_local_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_dhcp_relay_update(self, gigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_dhcp_relay_interface_update(self, gigabitethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param interface_type: Interface type
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'Ve']

		:param interface_name: Interface name
		:type interface_name: (unicode)
		
		.. note::
			* pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_hop_by_hop_trap_update(self, gigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hop_by_hop_trap: Enable hop-by-hop trap on an Interface
		:type hop_by_hop_trap: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_icmpv6_update(self, gigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_icmpv6_echo_reply_update(self, gigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_mtu_update(self, gigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mtu: Set ipv6 mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_update(self, gigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configfure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_broadcast_mac_trap_update(self, gigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configfure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_cache_update(self, gigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_cache_expire_update(self, gigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_dad_update(self, gigabitethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_dad_attempts_update(self, gigabitethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_nud_retry_update(self, gigabitethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param base: base value
		:type base: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param interval: Time interval between neighbor solicitations in milliseconds
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_attempts: Max number of retry attempts.
		:type max_attempts: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_infinite_update(self, gigabitethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param preferred_lifetime: Configures preferred lifetime
		:type preferred_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preferred_infinite: Infinite preferred lifetime
		:type preferred_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_no_advertise_update(self, gigabitethernet=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_advertise: Do not advertise prefix
		:type no_advertise: (YANGBool)

		:param valid_lifetime: Configures valid lifetime
		:type valid_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param valid_infinite: Infinite valid lifetime
		:type valid_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_no_autoconfig_update(self, gigabitethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_autoconfig: Do not use prefix for autoconfiguration
		:type no_autoconfig: (YANGBool)

		:param no_onlink: Do not use prefix for onlink determination
		:type no_onlink: (YANGBool)

		:param off_link: Prefix is offlink
		:type off_link: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_ra_interval_update(self, gigabitethernet=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param max_interval: Maximum interval in seconds
		:type max_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_: Minimum interval between sending RA messages
		:type min_: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_suppress_ra_update(self, gigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_suppress_ra_all_update(self, gigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_neighbor_update(self, gigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param neighbor: kwarg tuple.
		:type neighbor: (ipv6_address).

		:param ipv6_address: tuple arg.
		:type ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param hardware_address: kwarg.
		:type hardware_address: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_update(self, gigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_active_update(self, gigabitethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_area: OSPF area
		:type interface_area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance: Instance of OSPFv3 protocol on this interface
		:type instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPFv3 MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'point-to-point']

		:param priority: Interface priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param suppress_linklsa: Suppress link LSA advertisements
		:type suppress_linklsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_update(self, gigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_ah_update(self, gigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_ipsec_update(self, gigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, gigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_bfd_update(self, gigabitethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_enable: Enable bfd on this interface
		:type bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_ospf_dead_interval_update(self, gigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_policy_route_map_update(self, gigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipv6_route_map_name: Word:1-63;;Route map name
		:type ipv6_route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_raguard_update(self, gigabitethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param raguard: IPv6 Router advertisement guard configuration
		:type raguard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_update(self, gigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param advertise_backup: Enable periodic backup advertisement messages
		:type advertise_backup: (YANGBool)

		:param nd_advertisement_timer: kwarg.
		:type nd_advertisement_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>
		:type advertisement_interval_scale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_advertisement_interval: Set Backup advertisement interval
		:type backup_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe_advertisement_interval: Set advertisement interval
		:type vrrpe_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, gigabitethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param revert_priority: Set revert priority
		:type revert_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_track_update(self, gigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_update(self, gigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3_group: kwarg tuple.
		:type vrrpv3_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Use v2 checksum
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: Set advertisement interval
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_track_update(self, gigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3_group: kwarg tuple.
		:type vrrpv3_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_suppress_interface_ra_update(self, gigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3
		:type vrrp_suppress_interface_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lacp_update(self, gigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param timeout: Timeout commands
		:type timeout: (unicode)
		
		.. note::
			* enum - [u'short', u'long']

		:param std_port_priority: Port priority commands
		:type std_port_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_up: To bring up the interface in LACP default state 
		:type default_up: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lacp_default_up_update(self, gigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param timeout: Timeout commands
		:type timeout: (unicode)
		
		.. note::
			* enum - [u'short', u'long']

		:param std_port_priority: Port priority commands
		:type std_port_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_up: To bring up the interface in LACP default state 
		:type default_up: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lldp_update(self, gigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param dcbx_version: Set up DCBX Version
		:type dcbx_version: (unicode)
		
		.. note::
			* enum - [u'auto', u'cee']

		:param disable: Disable LLDP on the Interface.
		:type disable: (YANGBool)

		:param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface
		:type iscsi_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param profile: The LLDP profile on the interface.
		:type profile: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lldp_cee_update(self, gigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param lldp_cee_on_off: kwarg.
		:type lldp_cee_on_off: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.lldp.cee', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.lldp.cee', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_lldp_dcbx_version_update(self, gigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param dcbx_version: Set up DCBX Version
		:type dcbx_version: (unicode)
		
		.. note::
			* enum - [u'auto', u'cee']

		:param disable: Disable LLDP on the Interface.
		:type disable: (YANGBool)

		:param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface
		:type iscsi_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param profile: The LLDP profile on the interface.
		:type profile: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_mac_access_group_update(self, gigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (mac_access_list, mac_direction, traffic_type).

		:param mac_access_list: ACL_NAME;; Access List Name (Max 63)
		:type mac_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param mac_direction: tuple arg.
		:type mac_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_mac_learning_disable_vlan_update(self, gigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mac_learning_vlan_add: RANGE;;Range of vlans to add
		:type mac_learning_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param mac_learning_vlan_remove: RANGE;;Range of vlans to remove
		:type mac_learning_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_mac_learning_disable_vlan_add_update(self, gigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mac_learning_vlan_add: RANGE;;Range of vlans to add
		:type mac_learning_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param mac_learning_vlan_remove: RANGE;;Range of vlans to remove
		:type mac_learning_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_openflow_update(self, gigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: OpenFlow enable
		:type enable: (YANGBool)

		:param match_profile: OpenFlow match profile
		:type match_profile: (unicode)
		
		.. note::
			* enum - [u'Layer3', u'Layer2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, match_profile'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, enable=enable, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_openflow_enable_update(self, gigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: OpenFlow enable
		:type enable: (YANGBool)

		:param match_profile: OpenFlow match profile
		:type match_profile: (unicode)
		
		.. note::
			* enum - [u'Layer3', u'Layer2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, enable=enable, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_openflow_logical_instance_update(self, gigabitethernet=None, logical_instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param logical_instance_id: OpenFlow logical instance configuration
		:type logical_instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, logical_instance_id=logical_instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_port_profile_port_domain_update(self, gigabitethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param profile_domain_name: Port-profile-domain name (Max Size - 128)
		:type profile_domain_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_update(self, gigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_cos: Configure default Class of Service (CoS)
		:type default_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos_mutation: Configure CoS-to-CoS mutation
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Configure DSCP-to-DSCP mutation
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Configure DSCP-to-Traffic Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Configure DSCP-to-COS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_cos_mutation_update(self, gigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_cos: Configure default Class of Service (CoS)
		:type default_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos_mutation: Configure CoS-to-CoS mutation
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Configure DSCP-to-DSCP mutation
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Configure DSCP-to-Traffic Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Configure DSCP-to-COS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_drop_monitor_update(self, gigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.
		:type drop_monitor_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_drop_monitor_enable_update(self, gigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.
		:type drop_monitor_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_flowcontrol_update(self, gigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param flowcontrol_tx: Configure Pause generation
		:type flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param flowcontrol_rx: Configure Pause reception
		:type flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_flowcontrol_rx_update(self, gigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param flowcontrol_tx: Configure Pause generation
		:type flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param flowcontrol_rx: Configure Pause reception
		:type flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_random_detect_traffic_class_update(self, gigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param traffic_class: kwarg tuple.
		:type traffic_class: (red_tc_value).

		:param red_tc_value: tuple arg.
		:type red_tc_value: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param red_enable: Keyword for VDX 6710,6720,6730,6746,2730
		:type red_enable: (YANGBool)

		:param red_profile_id: Keyword for all other VDX platforms
		:type red_profile_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_rcv_queue_cos_threshold_update(self, gigabitethernet=None, cos0_threshold=None, cos1_threshold=None, cos2_threshold=None, cos3_threshold=None, cos4_threshold=None, cos5_threshold=None, cos6_threshold=None, cos7_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param cos0_threshold: kwarg.
		:type cos0_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos1_threshold: kwarg.
		:type cos1_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos2_threshold: kwarg.
		:type cos2_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos3_threshold: kwarg.
		:type cos3_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos4_threshold: kwarg.
		:type cos4_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos5_threshold: kwarg.
		:type cos5_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos6_threshold: kwarg.
		:type cos6_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos7_threshold: kwarg.
		:type cos7_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, cos0_threshold=cos0_threshold, cos1_threshold=cos1_threshold, cos2_threshold=cos2_threshold, cos3_threshold=cos3_threshold, cos4_threshold=cos4_threshold, cos5_threshold=cos5_threshold, cos6_threshold=cos6_threshold, cos7_threshold=cos7_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_trust_update(self, gigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class
		:type trust_dscp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_trust_cos_update(self, gigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class
		:type trust_dscp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_rmon_collection_history_update(self, gigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param history_control_entry: kwarg tuple.
		:type history_control_entry: (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner).

		:param history_control_index: tuple arg.
		:type history_control_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_buckets_requested: Buckets (default 50)
		:type history_control_buckets_requested: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_interval: Polling Interval (default 1800)
		:type history_control_interval: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_owner: Owner identity
		:type history_control_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

	**This Instance Arg(s)**:
		:param history_control_buckets_requested: Buckets (default 50)
		:type history_control_buckets_requested: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_interval: Polling Interval (default 1800)
		:type history_control_interval: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_owner: Owner identity
		:type history_control_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_rmon_collection_stats_update(self, gigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ether_stats_entry: kwarg tuple.
		:type ether_stats_entry: (ether_stats_index, ether_stats_owner).

		:param ether_stats_index: tuple arg.
		:type ether_stats_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param ether_stats_owner: Owner identity
		:type ether_stats_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

	**This Instance Arg(s)**:
		:param ether_stats_owner: Owner identity
		:type ether_stats_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_service_policy_update(self, gigabitethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param in_: Input Policy Map
		:type in_: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param out: Output Policy Map
		:type out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_service_policy_in_update(self, gigabitethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param in_: Input Policy Map
		:type in_: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param out: Output Policy Map
		:type out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_sflow_update(self, gigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Enable port sflow
		:type enable: (YANGBool)

		:param polling_interval: Interface counter polling interval
		:type polling_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sample_rate: Interface sampling rate
		:type sample_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_sflow_enable_update(self, gigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Enable port sflow
		:type enable: (YANGBool)

		:param polling_interval: Interface counter polling interval
		:type polling_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sample_rate: Interface sampling rate
		:type sample_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_snmp_trap_update(self, gigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_snmp_trap_link_status_update(self, gigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_update(self, gigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param autoedge: Autoedge - enable automatic edge detection
		:type autoedge: (YANGBool)

		:param cost: Change an interface's spanning tree port path cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bpdu_mac: Configure VLAN spanning-tree control MAC
		:type bpdu_mac: (unicode)
		
		.. note::
			* enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

		:param link_type: Specify a link type for spanning tree protocol
		:type link_type: (unicode)
		
		.. note::
			* enum - [u'shared', u'point-to-point']

		:param priority: Change an interface's spanning tree port priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change and received topology change notifications
		:type restricted_tcn: (YANGBool)

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_autoedge_update(self, gigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param autoedge: Autoedge - enable automatic edge detection
		:type autoedge: (YANGBool)

		:param cost: Change an interface's spanning tree port path cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bpdu_mac: Configure VLAN spanning-tree control MAC
		:type bpdu_mac: (unicode)
		
		.. note::
			* enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

		:param link_type: Specify a link type for spanning tree protocol
		:type link_type: (unicode)
		
		.. note::
			* enum - [u'shared', u'point-to-point']

		:param priority: Change an interface's spanning tree port priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change and received topology change notifications
		:type restricted_tcn: (YANGBool)

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_edgeport_update(self, gigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param edgeportbasic: Edgeport
		:type edgeportbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_edgeport_bpdu_filter_update(self, gigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param edgeportbasic: Edgeport
		:type edgeportbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_guard_update(self, gigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_guard_root_update(self, gigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_instance_update(self, gigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param instance: kwarg tuple.
		:type instance: (id).

		:param id: tuple arg.
		:type id: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param cost: Path cost for a port
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: Port priority for a bridge
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change
notifications from port
		:type restricted_tcn: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_portfast_update(self, gigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param portfastbasic: Enable an interface to move directly to forwarding on link up
		:type portfastbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_portfast_bpdu_filter_update(self, gigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param portfastbasic: Enable an interface to move directly to forwarding on link up
		:type portfastbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_vlan_update(self, gigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param cost: Path cost for a port
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: Port priority for a bridge
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_vlan_guard_update(self, gigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_vlan_guard_root_update(self, gigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_storm_control_ingress_update(self, gigabitethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ingress: kwarg tuple.
		:type ingress: (protocol_type, rate_format, rate_bps, rate_percent, bum_action).

		:param protocol_type: tuple arg.
		:type protocol_type: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'unknown-unicast', u'multicast']

		:param rate_format: tuple arg.
		:type rate_format: (unicode)
		
		.. note::
			* enum - [u'limit-bps', u'limit-percent']

		:param rate_bps: tuple arg.
		:type rate_bps: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rate_percent: tuple arg.
		:type rate_percent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bum_action: tuple arg.
		:type bum_action: (unicode)
		
		.. note::
			* enum - [u'monitor', u'shutdown']

	**This Instance Arg(s)**:
		:param rate_format: kwarg.
		:type rate_format: (unicode)
		
		.. note::
			* enum - [u'limit-bps', u'limit-percent']

		:param rate_bps: kwarg.
		:type rate_bps: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rate_percent: kwarg.
		:type rate_percent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bum_action: kwarg.
		:type bum_action: (unicode)
		
		.. note::
			* enum - [u'monitor', u'shutdown']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_update(self, gigabitethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport_basic', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport_basic', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_access_update(self, gigabitethernet=None, rspan_access_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rspan_access_vlan: Specify rspan-vlan id to set as access vlan
		:type rspan_access_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access.rspan_access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, rspan_access_vlan=rspan_access_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_mode_update(self, gigabitethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vlan_mode: kwarg.
		:type vlan_mode: (unicode)
		
		.. note::
			* enum - [u'access', u'trunk-no-default-native', u'trunk']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.mode', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.mode', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_mode_private_vlan_update(self, gigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param promiscuous: Set the Layer2 interface as private-vlan promiscuous
		:type promiscuous: (YANGBool)

		:param host: Set the Layer2 interface as private-vlan host
		:type host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_mode_private_vlan_host_update(self, gigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param promiscuous: Set the Layer2 interface as private-vlan promiscuous
		:type promiscuous: (YANGBool)

		:param host: Set the Layer2 interface as private-vlan host
		:type host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_mode_private_vlan_trunk_update(self, gigabitethernet=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trunk_basic: kwarg.
		:type trunk_basic: (YANGBool)

		:param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous
		:type trunk_promiscuous: (YANGBool)

		:param trunk_host: Set the Layer2 interface as private-vlan trunk host
		:type trunk_host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_port_security_max_update(self, gigabitethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_sec_max: Maximum number of allowed MACs
		:type port_sec_max: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_sec_violation: Set the action on violation
		:type port_sec_violation: (unicode)
		
		.. note::
			* enum - [u'restrict', u'shutdown']

		:param shutdown_time: Shutdown time for port
		:type shutdown_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_host_association_update(self, gigabitethernet=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param host_pri_pvlan: Primary vlan id
		:type host_pri_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param host_sec_pvlan: Secondary vlan id
		:type host_sec_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_mapping_update(self, gigabitethernet=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param mapping: kwarg tuple.
		:type mapping: (promis_pri_pvlan, oper, promis_sec_pvlan_range).

		:param promis_pri_pvlan: Primary vlan id
		:type promis_pri_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param oper: tuple arg.
		:type oper: (unicode)
		
		.. note::
			* enum - [u'add', u'delete']

		:param promis_sec_pvlan_range: Secondary vlan range
		:type promis_sec_pvlan_range: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

	**This Instance Arg(s)**:
		:param oper: kwarg.
		:type oper: (unicode)
		
		.. note::
			* enum - [u'add', u'delete']

		:param promis_sec_pvlan_range: Secondary vlan range
		:type promis_sec_pvlan_range: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_update(self, gigabitethernet=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface
		:type pvlan_all: (YANGBool)

		:param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface
		:type pvlan_none: (YANGBool)

		:param pvlan_add: Add a VLAN to Xmit/Rx through the Layer2 interface
		:type pvlan_add: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface
		:type pvlan_except: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param pvlan_remove: Remove a VLAN that Xmit/Rx through the Layer2 interface
		:type pvlan_remove: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_native_update(self, gigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlanNativevlan: kwarg.
		:type pvlanNativevlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pvlan_native_vlan_ctag_id: Associate a Ctag.
		:type pvlan_native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_native_vlan_update(self, gigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlanNativevlan: kwarg.
		:type pvlanNativevlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pvlan_native_vlan_ctag_id: Associate a Ctag.
		:type pvlan_native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_tag_update(self, gigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlan_tag_native_vlan: Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic
		:type pvlan_tag_native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_tag_native_vlan_update(self, gigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlan_tag_native_vlan: Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic
		:type pvlan_tag_native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_update(self, gigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_transparent_vlan: default transparent vlan
		:type default_transparent_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_untagged'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_rspan_vlan_update(self, gigabitethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_rspan_trunk_vlan: Specify rspan-vlan id
		:type add_rspan_trunk_vlan: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_rspan_trunk_vlan: Specify the rspan vlans to be removed
		:type remove_rspan_trunk_vlan: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlan_update(self, gigabitethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all: Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type all: (YANGBool)

		:param none: Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type none: (YANGBool)

		:param add_: Allow these VLANs to Xmit/Rx 
through the Layer2 interface
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..20000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param except_: Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
		:type except_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlan_add_update(self, gigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param add: kwarg tuple.
		:type add: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlan_remove_update(self, gigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param remove: kwarg tuple.
		:type remove: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, gigabitethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_: kwarg.
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: kwarg.
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, gigabitethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_: kwarg.
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: kwarg.
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_ctag_update(self, gigabitethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan_id: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying untagged
traffic
		:type native_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param native_vlan_ctag_id: Associate a Ctag.
		:type native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_default_vlan_update(self, gigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_transparent_vlan: default transparent vlan
		:type default_transparent_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_native_vlan_untagged_update(self, gigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan_id_untagged: Set the interface to accept only
untagged native-vlan traffic on ingress and
untagged native-vlan traffic on egress.
		:type native_vlan_id_untagged: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_tag_update(self, gigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic
		:type native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_tag_native_vlan_update(self, gigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic
		:type native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_track_update(self, gigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_enable: Enable tracking interface
		:type track_enable: (YANGBool)

		:param min_link: Min link
		:type min_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_track_min_link_update(self, gigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_enable: Enable tracking interface
		:type track_enable: (YANGBool)

		:param min_link: Min link
		:type min_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_track_remove_update(self, gigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface
		:type remove_all_track_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_track_remove_all_update(self, gigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface
		:type remove_all_track_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_tunable_optics_sfpp_update(self, gigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param channel: Channel configuration.
		:type channel: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_tunable_optics_sfpp_channel_update(self, gigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param channel: Channel configuration.
		:type channel: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_tunnel_update(self, gigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCS
fabric
		:type tagged_ieee_bpdu: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_tunnel_tagged_ieee_bpdu_update(self, gigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCS
fabric
		:type tagged_ieee_bpdu: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_udld_update(self, gigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param udld_enable: Enable UDLD protocol on the Interface
		:type udld_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_udld_enable_update(self, gigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param udld_enable: Enable UDLD protocol on the Interface
		:type udld_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vlan_classifier_activate_group_update(self, gigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param group: kwarg tuple.
		:type group: (groupid, vlan).

		:param groupid: tuple arg.
		:type groupid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan: 1-8191;;Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan: 1-8191;;Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrf_update(self, gigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrf_forwarding_update(self, gigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_update(self, gigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_arp_unicast_request_update(self, gigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_arp_unicast_request_receive_update(self, gigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_track_update(self, gigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param gigabitethernet: kwarg tuple.
		:type gigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gigabitethernet=gigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bfd_update(self, hundredgigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bfd_interval_update(self, hundredgigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bfd_interval_min_rx_update(self, hundredgigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bfd_shutdown_update(self, hundredgigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_bpdu_drop_update(self, hundredgigabitethernet=None, enable=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs
		:type enable: (YANGBool)

		:param direction: kwarg.
		:type direction: (unicode)
		
		.. note::
			* enum - [u'all', u'rx', u'tx']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, enable=enable, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_channel_group_update(self, hundredgigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_int: Channel group number
		:type port_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: The mode of the port channel.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'active', u'passive', u'on']

		:param type: The type of the port-channel.
		:type type: (unicode)
		
		.. note::
			* enum - [u'brocade', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_channel_group_mode_update(self, hundredgigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_int: Channel group number
		:type port_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: The mode of the port channel.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'active', u'passive', u'on']

		:param type: The type of the port-channel.
		:type type: (unicode)
		
		.. note::
			* enum - [u'brocade', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_deviceconnectivity_update(self, hundredgigabitethernet=None, deviceconnectivity=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param deviceconnectivity: Device connectivity to IP storage device
		:type deviceconnectivity: (unicode)
		
		.. note::
			* enum - [u'NAS', u'None', u'iSCSI', u'DAS']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.connectivity', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.connectivity', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.connectivity', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, deviceconnectivity=deviceconnectivity)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_update(self, hundredgigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param authentication: Enable dot1x on a port
		:type authentication: (YANGBool)

		:param port_control: Port control commands
		:type port_control: (unicode)
		
		.. note::
			* enum - [u'auto', u'force-unauthorized', u'force-authorized']

		:param protocol_version: Set the protocol version
		:type protocol_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param quiet_period: Quiet period in the HELD state
		:type quiet_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthMax: Number of reauthentication attempts before becoming
unauthorized
		:type reauthMax: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthentication: Enable reauthentication on a port
		:type reauthentication: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_authentication_update(self, hundredgigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param authentication: Enable dot1x on a port
		:type authentication: (YANGBool)

		:param port_control: Port control commands
		:type port_control: (unicode)
		
		.. note::
			* enum - [u'auto', u'force-unauthorized', u'force-authorized']

		:param protocol_version: Set the protocol version
		:type protocol_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param quiet_period: Quiet period in the HELD state
		:type quiet_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthMax: Number of reauthentication attempts before becoming
unauthorized
		:type reauthMax: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthentication: Enable reauthentication on a port
		:type reauthentication: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_timeout_update(self, hundredgigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param re_authperiod: Reauthentication interval in seconds 
(default = 3600)
		:type re_authperiod: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param server_timeout: Server timeout in seconds (default = 30)
		:type server_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param supp_timeout: Supplicant response timeout (default = 30)
		:type supp_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_period: Transmission period in seconds (default = 30)
		:type tx_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_dot1x_timeout_re_authperiod_update(self, hundredgigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param re_authperiod: Reauthentication interval in seconds 
(default = 3600)
		:type re_authperiod: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param server_timeout: Server timeout in seconds (default = 30)
		:type server_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param supp_timeout: Supplicant response timeout (default = 30)
		:type supp_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_period: Transmission period in seconds (default = 30)
		:type tx_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_edge_loop_detection_update(self, hundredgigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param eldprio: Set ELD-priority value to interface
		:type eldprio: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eldvlan: Enable for specific VLAN on selected interface
		:type eldvlan: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_edge_loop_detection_port_priority_update(self, hundredgigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param eldprio: Set ELD-priority value to interface
		:type eldprio: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eldvlan: Enable for specific VLAN on selected interface
		:type eldvlan: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_dport_update(self, hundredgigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_dport_enable: Configure fabric D-port status 
		:type fabric_dport_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_dport_enable_update(self, hundredgigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_dport_enable: Configure fabric D-port status 
		:type fabric_dport_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_dport_mode_update(self, hundredgigabitethernet=None, fabric_dport_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_dport_mode: Configure D-Port Mode
		:type fabric_dport_mode: (unicode)
		
		.. note::
			* enum - [u'static', u'none', u'dynamic']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_dport_mode=fabric_dport_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_isl_update(self, hundredgigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_isl_enable: Configure fabric isl status 
		:type fabric_isl_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_isl_enable_update(self, hundredgigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_isl_enable: Configure fabric isl status 
		:type fabric_isl_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_neighbor_discovery_update(self, hundredgigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param disable: Disable neighbor discovery at this port
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_neighbor_discovery_disable_update(self, hundredgigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param disable: Disable neighbor discovery at this port
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_trunk_update(self, hundredgigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_trunk_enable: Configure fabric trunk status 
		:type fabric_trunk_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fabric_trunk_enable_update(self, hundredgigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_trunk_enable: Configure fabric trunk status 
		:type fabric_trunk_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fcoeport_update(self, hundredgigabitethernet=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fcoeport_map: kwarg.
		:type fcoeport_map: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param ns_ip_registration: kwarg.
		:type ns_ip_registration: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoeport_map, ns_ip_registration'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fcoeport_map_update(self, hundredgigabitethernet=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fcoeport_map: kwarg.
		:type fcoeport_map: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param ns_ip_registration: kwarg.
		:type ns_ip_registration: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fec_update(self, hundredgigabitethernet=None, fec_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fec_enable: Enable forward error correction.
		:type fec_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fec_enable=fec_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_fec_enable_update(self, hundredgigabitethernet=None, fec_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fec_enable: Enable forward error correction.
		:type fec_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.fec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.fec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, fec_enable=fec_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_update(self, hundredgigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.arp_node_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip_acl_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.arp_node_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.arp_node_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_access_group_update(self, hundredgigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ip_access_list, ip_direction, traffic_type).

		:param ip_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ip_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_address_update(self, hundredgigabitethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param address: kwarg tuple.
		:type address: (address, secondary, ospf_passive, ospf_ignore).

		:param address: A.B.C.D/M IP address in dotted decimal/Mask
		:type address: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_arp_update(self, hundredgigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_arp_aging_timeout_update(self, hundredgigabitethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mtu: Set ip mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param directed_broadcast: Enable directed IP broadcasts forwarding
		:type directed_broadcast: (YANGBool)

		:param proxy_arp: Proxy-Arp on the interface
		:type proxy_arp: (YANGBool)

		:param arp_aging_timeout: Set arp age timeout value to interface
		:type arp_aging_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_arp_inspection_update(self, hundredgigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_arp_inspection_trust_update(self, hundredgigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_arp_learn_any_update(self, hundredgigabitethernet=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param learn_any: Learn ARP
		:type learn_any: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_dhcp_relay_gateway_update(self, hundredgigabitethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param gateway: Gateway address
		:type gateway: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_icmp_update(self, hundredgigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_icmp_address_mask_update(self, hundredgigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_igmp_update(self, hundredgigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: Immediate Leave Processing
		:type immediate_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_igmp_immediate_leave_update(self, hundredgigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: Immediate Leave Processing
		:type immediate_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_multicast_boundary_update(self, hundredgigabitethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pim_sparse: Sparse Mode (PIM-SM)
		:type pim_sparse: (YANGBool)

		:param mcast_bdry_prefix_list: Prefix list
		:type mcast_bdry_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_update(self, hundredgigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_active_update(self, hundredgigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_authentication_key_update(self, hundredgigabitethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param encrypttype: kwarg.
		:type encrypttype: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param auth_key: The OSPF password (key)
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_bfd_update(self, hundredgigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param intf_bfd_enable: Enable bfd on this interface
		:type intf_bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_database_filter_update(self, hundredgigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_database_filter_all_external_update(self, hundredgigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_md5_authentication_update(self, hundredgigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_update(self, hundredgigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, hundredgigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_activation_wait_time: The activation wait time in Seconds
		:type key_activation_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_id_update(self, hundredgigabitethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_ospf_md5_authentication_key_id_key_update(self, hundredgigabitethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_fo_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_pim_update(self, hundredgigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_pim_dr_priority_update(self, hundredgigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_pim_multinet_update(self, hundredgigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_pim_multinet_enable_update(self, hundredgigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_policy_route_map_update(self, hundredgigabitethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param route_map_name: Word:1-63;;Route map name
		:type route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_unnumbered_update(self, hundredgigabitethernet=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ip_donor_interface_type: The type of donor interface.
		:type ip_donor_interface_type: (unicode)
		
		.. note::
			* enum - [u've', u'loopback', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

		:param ip_donor_interface_name: The name of donor interface.
		:type ip_donor_interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_update(self, hundredgigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_access_group_update(self, hundredgigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ipv6_access_list, ip_direction, traffic_type).

		:param ipv6_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ipv6_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_update(self, hundredgigabitethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_eui_64_update(self, hundredgigabitethernet=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id
		:type eui64: (YANGBool)

		:param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface
		:type eui_secondary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_link_local_update(self, hundredgigabitethernet=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_local_address: kwarg.
		:type link_local_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local: Configure ipv6 address to override automatically computed link-local address
		:type link_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_use_link_local_only_update(self, hundredgigabitethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param use_link_local_only: Configure automatically computed link-local address
		:type use_link_local_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_dhcp_relay_update(self, hundredgigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_dhcp_relay_interface_update(self, hundredgigabitethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param interface_type: Interface type
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'Ve']

		:param interface_name: Interface name
		:type interface_name: (unicode)
		
		.. note::
			* pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_hop_by_hop_trap_update(self, hundredgigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hop_by_hop_trap: Enable hop-by-hop trap on an Interface
		:type hop_by_hop_trap: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_icmpv6_update(self, hundredgigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_icmpv6_echo_reply_update(self, hundredgigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_mtu_update(self, hundredgigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mtu: Set ipv6 mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_update(self, hundredgigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configfure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_broadcast_mac_trap_update(self, hundredgigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configfure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_cache_update(self, hundredgigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_cache_expire_update(self, hundredgigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_dad_update(self, hundredgigabitethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_dad_attempts_update(self, hundredgigabitethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_nud_retry_update(self, hundredgigabitethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param base: base value
		:type base: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param interval: Time interval between neighbor solicitations in milliseconds
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_attempts: Max number of retry attempts.
		:type max_attempts: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_infinite_update(self, hundredgigabitethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param preferred_lifetime: Configures preferred lifetime
		:type preferred_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preferred_infinite: Infinite preferred lifetime
		:type preferred_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_no_advertise_update(self, hundredgigabitethernet=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_advertise: Do not advertise prefix
		:type no_advertise: (YANGBool)

		:param valid_lifetime: Configures valid lifetime
		:type valid_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param valid_infinite: Infinite valid lifetime
		:type valid_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_no_autoconfig_update(self, hundredgigabitethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_autoconfig: Do not use prefix for autoconfiguration
		:type no_autoconfig: (YANGBool)

		:param no_onlink: Do not use prefix for onlink determination
		:type no_onlink: (YANGBool)

		:param off_link: Prefix is offlink
		:type off_link: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_ra_interval_update(self, hundredgigabitethernet=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param max_interval: Maximum interval in seconds
		:type max_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_: Minimum interval between sending RA messages
		:type min_: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_suppress_ra_update(self, hundredgigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_suppress_ra_all_update(self, hundredgigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_neighbor_update(self, hundredgigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param neighbor: kwarg tuple.
		:type neighbor: (ipv6_address).

		:param ipv6_address: tuple arg.
		:type ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param hardware_address: kwarg.
		:type hardware_address: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_update(self, hundredgigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_active_update(self, hundredgigabitethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_area: OSPF area
		:type interface_area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance: Instance of OSPFv3 protocol on this interface
		:type instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPFv3 MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'point-to-point']

		:param priority: Interface priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param suppress_linklsa: Suppress link LSA advertisements
		:type suppress_linklsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_update(self, hundredgigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_ah_update(self, hundredgigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_ipsec_update(self, hundredgigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, hundredgigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_bfd_update(self, hundredgigabitethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_enable: Enable bfd on this interface
		:type bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_ospf_dead_interval_update(self, hundredgigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_policy_route_map_update(self, hundredgigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipv6_route_map_name: Word:1-63;;Route map name
		:type ipv6_route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_raguard_update(self, hundredgigabitethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param raguard: IPv6 Router advertisement guard configuration
		:type raguard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param advertise_backup: Enable periodic backup advertisement messages
		:type advertise_backup: (YANGBool)

		:param nd_advertisement_timer: kwarg.
		:type nd_advertisement_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>
		:type advertisement_interval_scale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_advertisement_interval: Set Backup advertisement interval
		:type backup_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe_advertisement_interval: Set advertisement interval
		:type vrrpe_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param revert_priority: Set revert priority
		:type revert_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_track_update(self, hundredgigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_update(self, hundredgigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3_group: kwarg tuple.
		:type vrrpv3_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Use v2 checksum
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: Set advertisement interval
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_track_update(self, hundredgigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3_group: kwarg tuple.
		:type vrrpv3_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_suppress_interface_ra_update(self, hundredgigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3
		:type vrrp_suppress_interface_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lacp_update(self, hundredgigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param timeout: Timeout commands
		:type timeout: (unicode)
		
		.. note::
			* enum - [u'short', u'long']

		:param std_port_priority: Port priority commands
		:type std_port_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_up: To bring up the interface in LACP default state 
		:type default_up: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lacp_default_up_update(self, hundredgigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param timeout: Timeout commands
		:type timeout: (unicode)
		
		.. note::
			* enum - [u'short', u'long']

		:param std_port_priority: Port priority commands
		:type std_port_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_up: To bring up the interface in LACP default state 
		:type default_up: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lldp_update(self, hundredgigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param dcbx_version: Set up DCBX Version
		:type dcbx_version: (unicode)
		
		.. note::
			* enum - [u'auto', u'cee']

		:param disable: Disable LLDP on the Interface.
		:type disable: (YANGBool)

		:param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface
		:type iscsi_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param profile: The LLDP profile on the interface.
		:type profile: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lldp_cee_update(self, hundredgigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param lldp_cee_on_off: kwarg.
		:type lldp_cee_on_off: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.lldp.cee', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.lldp.cee', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_lldp_dcbx_version_update(self, hundredgigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param dcbx_version: Set up DCBX Version
		:type dcbx_version: (unicode)
		
		.. note::
			* enum - [u'auto', u'cee']

		:param disable: Disable LLDP on the Interface.
		:type disable: (YANGBool)

		:param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface
		:type iscsi_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param profile: The LLDP profile on the interface.
		:type profile: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_mac_access_group_update(self, hundredgigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (mac_access_list, mac_direction, traffic_type).

		:param mac_access_list: ACL_NAME;; Access List Name (Max 63)
		:type mac_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param mac_direction: tuple arg.
		:type mac_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_mac_learning_disable_vlan_update(self, hundredgigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mac_learning_vlan_add: RANGE;;Range of vlans to add
		:type mac_learning_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param mac_learning_vlan_remove: RANGE;;Range of vlans to remove
		:type mac_learning_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_mac_learning_disable_vlan_add_update(self, hundredgigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mac_learning_vlan_add: RANGE;;Range of vlans to add
		:type mac_learning_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param mac_learning_vlan_remove: RANGE;;Range of vlans to remove
		:type mac_learning_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_openflow_update(self, hundredgigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: OpenFlow enable
		:type enable: (YANGBool)

		:param match_profile: OpenFlow match profile
		:type match_profile: (unicode)
		
		.. note::
			* enum - [u'Layer3', u'Layer2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, match_profile'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, enable=enable, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_openflow_enable_update(self, hundredgigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: OpenFlow enable
		:type enable: (YANGBool)

		:param match_profile: OpenFlow match profile
		:type match_profile: (unicode)
		
		.. note::
			* enum - [u'Layer3', u'Layer2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, enable=enable, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_openflow_logical_instance_update(self, hundredgigabitethernet=None, logical_instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param logical_instance_id: OpenFlow logical instance configuration
		:type logical_instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, logical_instance_id=logical_instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_port_profile_port_domain_update(self, hundredgigabitethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param profile_domain_name: Port-profile-domain name (Max Size - 128)
		:type profile_domain_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_update(self, hundredgigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_cos: Configure default Class of Service (CoS)
		:type default_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos_mutation: Configure CoS-to-CoS mutation
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Configure DSCP-to-DSCP mutation
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Configure DSCP-to-Traffic Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Configure DSCP-to-COS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_cos_mutation_update(self, hundredgigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_cos: Configure default Class of Service (CoS)
		:type default_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos_mutation: Configure CoS-to-CoS mutation
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Configure DSCP-to-DSCP mutation
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Configure DSCP-to-Traffic Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Configure DSCP-to-COS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_drop_monitor_update(self, hundredgigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.
		:type drop_monitor_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_drop_monitor_enable_update(self, hundredgigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.
		:type drop_monitor_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_flowcontrol_update(self, hundredgigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param flowcontrol_tx: Configure Pause generation
		:type flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param flowcontrol_rx: Configure Pause reception
		:type flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_flowcontrol_pfc_update(self, hundredgigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param pfc: kwarg tuple.
		:type pfc: (pfc_cos).

		:param pfc_cos: 0-7;;CoS value
		:type pfc_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

	**This Instance Arg(s)**:
		:param pfc_flowcontrol_tx: Configure Pause generation
		:type pfc_flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param pfc_flowcontrol_rx: Configure Pause reception
		:type pfc_flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_flowcontrol_rx_update(self, hundredgigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param flowcontrol_tx: Configure Pause generation
		:type flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param flowcontrol_rx: Configure Pause reception
		:type flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_random_detect_traffic_class_update(self, hundredgigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param traffic_class: kwarg tuple.
		:type traffic_class: (red_tc_value).

		:param red_tc_value: tuple arg.
		:type red_tc_value: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param red_enable: Keyword for VDX 6710,6720,6730,6746,2730
		:type red_enable: (YANGBool)

		:param red_profile_id: Keyword for all other VDX platforms
		:type red_profile_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_trust_update(self, hundredgigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class
		:type trust_dscp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_trust_cos_update(self, hundredgigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class
		:type trust_dscp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_rmon_collection_history_update(self, hundredgigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param history_control_entry: kwarg tuple.
		:type history_control_entry: (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner).

		:param history_control_index: tuple arg.
		:type history_control_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_buckets_requested: Buckets (default 50)
		:type history_control_buckets_requested: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_interval: Polling Interval (default 1800)
		:type history_control_interval: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_owner: Owner identity
		:type history_control_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

	**This Instance Arg(s)**:
		:param history_control_buckets_requested: Buckets (default 50)
		:type history_control_buckets_requested: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_interval: Polling Interval (default 1800)
		:type history_control_interval: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_owner: Owner identity
		:type history_control_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_rmon_collection_stats_update(self, hundredgigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ether_stats_entry: kwarg tuple.
		:type ether_stats_entry: (ether_stats_index, ether_stats_owner).

		:param ether_stats_index: tuple arg.
		:type ether_stats_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param ether_stats_owner: Owner identity
		:type ether_stats_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

	**This Instance Arg(s)**:
		:param ether_stats_owner: Owner identity
		:type ether_stats_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_service_policy_update(self, hundredgigabitethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param in_: Input Policy Map
		:type in_: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param out: Output Policy Map
		:type out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_service_policy_in_update(self, hundredgigabitethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param in_: Input Policy Map
		:type in_: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param out: Output Policy Map
		:type out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_sflow_update(self, hundredgigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Enable port sflow
		:type enable: (YANGBool)

		:param polling_interval: Interface counter polling interval
		:type polling_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sample_rate: Interface sampling rate
		:type sample_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_sflow_enable_update(self, hundredgigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Enable port sflow
		:type enable: (YANGBool)

		:param polling_interval: Interface counter polling interval
		:type polling_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sample_rate: Interface sampling rate
		:type sample_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_snmp_trap_update(self, hundredgigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_snmp_trap_link_status_update(self, hundredgigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_update(self, hundredgigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param autoedge: Autoedge - enable automatic edge detection
		:type autoedge: (YANGBool)

		:param cost: Change an interface's spanning tree port path cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bpdu_mac: Configure VLAN spanning-tree control MAC
		:type bpdu_mac: (unicode)
		
		.. note::
			* enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

		:param link_type: Specify a link type for spanning tree protocol
		:type link_type: (unicode)
		
		.. note::
			* enum - [u'shared', u'point-to-point']

		:param priority: Change an interface's spanning tree port priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change and received topology change notifications
		:type restricted_tcn: (YANGBool)

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_autoedge_update(self, hundredgigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param autoedge: Autoedge - enable automatic edge detection
		:type autoedge: (YANGBool)

		:param cost: Change an interface's spanning tree port path cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bpdu_mac: Configure VLAN spanning-tree control MAC
		:type bpdu_mac: (unicode)
		
		.. note::
			* enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

		:param link_type: Specify a link type for spanning tree protocol
		:type link_type: (unicode)
		
		.. note::
			* enum - [u'shared', u'point-to-point']

		:param priority: Change an interface's spanning tree port priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change and received topology change notifications
		:type restricted_tcn: (YANGBool)

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_edgeport_update(self, hundredgigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param edgeportbasic: Edgeport
		:type edgeportbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_edgeport_bpdu_filter_update(self, hundredgigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param edgeportbasic: Edgeport
		:type edgeportbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_guard_update(self, hundredgigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_guard_root_update(self, hundredgigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_instance_update(self, hundredgigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param instance: kwarg tuple.
		:type instance: (id).

		:param id: tuple arg.
		:type id: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param cost: Path cost for a port
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: Port priority for a bridge
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change
notifications from port
		:type restricted_tcn: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_portfast_update(self, hundredgigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param portfastbasic: Enable an interface to move directly to forwarding on link up
		:type portfastbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_portfast_bpdu_filter_update(self, hundredgigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param portfastbasic: Enable an interface to move directly to forwarding on link up
		:type portfastbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_vlan_update(self, hundredgigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param cost: Path cost for a port
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: Port priority for a bridge
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_vlan_guard_update(self, hundredgigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_vlan_guard_root_update(self, hundredgigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_storm_control_ingress_update(self, hundredgigabitethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ingress: kwarg tuple.
		:type ingress: (protocol_type, rate_format, rate_bps, rate_percent, bum_action).

		:param protocol_type: tuple arg.
		:type protocol_type: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'unknown-unicast', u'multicast']

		:param rate_format: tuple arg.
		:type rate_format: (unicode)
		
		.. note::
			* enum - [u'limit-bps', u'limit-percent']

		:param rate_bps: tuple arg.
		:type rate_bps: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rate_percent: tuple arg.
		:type rate_percent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bum_action: tuple arg.
		:type bum_action: (unicode)
		
		.. note::
			* enum - [u'monitor', u'shutdown']

	**This Instance Arg(s)**:
		:param rate_format: kwarg.
		:type rate_format: (unicode)
		
		.. note::
			* enum - [u'limit-bps', u'limit-percent']

		:param rate_bps: kwarg.
		:type rate_bps: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rate_percent: kwarg.
		:type rate_percent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bum_action: kwarg.
		:type bum_action: (unicode)
		
		.. note::
			* enum - [u'monitor', u'shutdown']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_update(self, hundredgigabitethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport_basic', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport_basic', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_access_update(self, hundredgigabitethernet=None, rspan_access_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rspan_access_vlan: Specify rspan-vlan id to set as access vlan
		:type rspan_access_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access.rspan_access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, rspan_access_vlan=rspan_access_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_mode_update(self, hundredgigabitethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vlan_mode: kwarg.
		:type vlan_mode: (unicode)
		
		.. note::
			* enum - [u'access', u'trunk-no-default-native', u'trunk']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.mode', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.mode', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_mode_private_vlan_update(self, hundredgigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param promiscuous: Set the Layer2 interface as private-vlan promiscuous
		:type promiscuous: (YANGBool)

		:param host: Set the Layer2 interface as private-vlan host
		:type host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_mode_private_vlan_host_update(self, hundredgigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param promiscuous: Set the Layer2 interface as private-vlan promiscuous
		:type promiscuous: (YANGBool)

		:param host: Set the Layer2 interface as private-vlan host
		:type host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_mode_private_vlan_trunk_update(self, hundredgigabitethernet=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trunk_basic: kwarg.
		:type trunk_basic: (YANGBool)

		:param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous
		:type trunk_promiscuous: (YANGBool)

		:param trunk_host: Set the Layer2 interface as private-vlan trunk host
		:type trunk_host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_port_security_max_update(self, hundredgigabitethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_sec_max: Maximum number of allowed MACs
		:type port_sec_max: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_sec_violation: Set the action on violation
		:type port_sec_violation: (unicode)
		
		.. note::
			* enum - [u'restrict', u'shutdown']

		:param shutdown_time: Shutdown time for port
		:type shutdown_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_host_association_update(self, hundredgigabitethernet=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param host_pri_pvlan: Primary vlan id
		:type host_pri_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param host_sec_pvlan: Secondary vlan id
		:type host_sec_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_mapping_update(self, hundredgigabitethernet=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param mapping: kwarg tuple.
		:type mapping: (promis_pri_pvlan, oper, promis_sec_pvlan_range).

		:param promis_pri_pvlan: Primary vlan id
		:type promis_pri_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param oper: tuple arg.
		:type oper: (unicode)
		
		.. note::
			* enum - [u'add', u'delete']

		:param promis_sec_pvlan_range: Secondary vlan range
		:type promis_sec_pvlan_range: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

	**This Instance Arg(s)**:
		:param oper: kwarg.
		:type oper: (unicode)
		
		.. note::
			* enum - [u'add', u'delete']

		:param promis_sec_pvlan_range: Secondary vlan range
		:type promis_sec_pvlan_range: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_update(self, hundredgigabitethernet=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface
		:type pvlan_all: (YANGBool)

		:param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface
		:type pvlan_none: (YANGBool)

		:param pvlan_add: Add a VLAN to Xmit/Rx through the Layer2 interface
		:type pvlan_add: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface
		:type pvlan_except: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param pvlan_remove: Remove a VLAN that Xmit/Rx through the Layer2 interface
		:type pvlan_remove: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_native_update(self, hundredgigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlanNativevlan: kwarg.
		:type pvlanNativevlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pvlan_native_vlan_ctag_id: Associate a Ctag.
		:type pvlan_native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_native_vlan_update(self, hundredgigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlanNativevlan: kwarg.
		:type pvlanNativevlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pvlan_native_vlan_ctag_id: Associate a Ctag.
		:type pvlan_native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_tag_update(self, hundredgigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlan_tag_native_vlan: Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic
		:type pvlan_tag_native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_tag_native_vlan_update(self, hundredgigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlan_tag_native_vlan: Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic
		:type pvlan_tag_native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_update(self, hundredgigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_transparent_vlan: default transparent vlan
		:type default_transparent_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_xtagged, native_vlan_ctag_id_xtagged, native_vlan_egress_type_xtagged'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_rspan_vlan_update(self, hundredgigabitethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_rspan_trunk_vlan: Specify rspan-vlan id
		:type add_rspan_trunk_vlan: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_rspan_trunk_vlan: Specify the rspan vlans to be removed
		:type remove_rspan_trunk_vlan: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_update(self, hundredgigabitethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all: Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type all: (YANGBool)

		:param none: Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type none: (YANGBool)

		:param add_: Allow these VLANs to Xmit/Rx 
through the Layer2 interface
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..20000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param except_: Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
		:type except_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_add_update(self, hundredgigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param add: kwarg tuple.
		:type add: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_remove_update(self, hundredgigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param remove: kwarg tuple.
		:type remove: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, hundredgigabitethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_: kwarg.
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: kwarg.
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, hundredgigabitethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_: kwarg.
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: kwarg.
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_ctag_update(self, hundredgigabitethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan_id: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying untagged
traffic
		:type native_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param native_vlan_ctag_id: Associate a Ctag.
		:type native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_default_vlan_update(self, hundredgigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_transparent_vlan: default transparent vlan
		:type default_transparent_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_native_vlan_untagged_update(self, hundredgigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan_id_untagged: Set the interface to accept only
untagged native-vlan traffic on ingress and
untagged native-vlan traffic on egress.
		:type native_vlan_id_untagged: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_tag_update(self, hundredgigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic
		:type native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_tag_native_vlan_update(self, hundredgigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic
		:type native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_track_update(self, hundredgigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_enable: Enable tracking interface
		:type track_enable: (YANGBool)

		:param min_link: Min link
		:type min_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_track_min_link_update(self, hundredgigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_enable: Enable tracking interface
		:type track_enable: (YANGBool)

		:param min_link: Min link
		:type min_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_track_remove_update(self, hundredgigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface
		:type remove_all_track_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_track_remove_all_update(self, hundredgigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface
		:type remove_all_track_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_tunable_optics_sfpp_update(self, hundredgigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param channel: Channel configuration.
		:type channel: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_tunable_optics_sfpp_channel_update(self, hundredgigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param channel: Channel configuration.
		:type channel: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_udld_update(self, hundredgigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param udld_enable: Enable UDLD protocol on the Interface
		:type udld_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_udld_enable_update(self, hundredgigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param udld_enable: Enable UDLD protocol on the Interface
		:type udld_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vlan_classifier_activate_group_update(self, hundredgigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param group: kwarg tuple.
		:type group: (groupid, vlan).

		:param groupid: tuple arg.
		:type groupid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan: 1-8191;;Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan: 1-8191;;Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrf_update(self, hundredgigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrf_forwarding_update(self, hundredgigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_update(self, hundredgigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_arp_unicast_request_update(self, hundredgigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_arp_unicast_request_receive_update(self, hundredgigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_track_update(self, hundredgigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param hundredgigabitethernet: kwarg tuple.
		:type hundredgigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_update(self, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ip.ip_config', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.intf_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_multicast_boundary_update(self, loopback=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param pim_sparse: Sparse Mode (PIM-SM)
		:type pim_sparse: (YANGBool)

		:param mcast_bdry_prefix_list: Prefix list
		:type mcast_bdry_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_update(self, loopback=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param intf_ldp_sync: Set LDP-SYNC operation mode on this interface
		:type intf_ldp_sync: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_active_update(self, loopback=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param intf_ldp_sync: Set LDP-SYNC operation mode on this interface
		:type intf_ldp_sync: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_authentication_key_update(self, loopback=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param encrypttype: kwarg.
		:type encrypttype: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param auth_key: The OSPF password (key)
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_bfd_update(self, loopback=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param intf_bfd_enable: Enable bfd on this interface
		:type intf_bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_database_filter_update(self, loopback=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_database_filter_all_external_update(self, loopback=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_md5_authentication_update(self, loopback=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_md5_authentication_key_activation_wait_time_update(self, loopback=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_activation_wait_time: The activation wait time in Seconds
		:type key_activation_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_md5_authentication_key_id_update(self, loopback=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_ospf_md5_authentication_key_id_key_update(self, loopback=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.interface_loopback_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_pim_update(self, loopback=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ttl_threshold: Set TTL threshold
		:type ttl_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_pim_dr_priority_update(self, loopback=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ttl_threshold: Set TTL threshold
		:type ttl_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.pim_intf_loopback_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_router_update(self, loopback=None, interface_ip_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_ip_router_isis: Enable IS-IS
		:type interface_ip_router_isis: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_ip_router_isis=interface_ip_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_router_isis_update(self, loopback=None, interface_ip_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_ip_router_isis: Enable IS-IS
		:type interface_ip_router_isis: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_ip_router_isis=interface_ip_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_address_update(self, loopback=None, ipv6_address=None, eui64=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, eui64, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id
		:type eui64: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id
		:type eui64: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, ipv6_address=ipv6_address, eui64=eui64, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_address_link_local_update(self, loopback=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param link_local_address: kwarg.
		:type link_local_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local: Configure ipv6 address to override automatically computed link-local address
		:type link_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_address_use_link_local_only_update(self, loopback=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param use_link_local_only: Configure automatically computed link-local address
		:type use_link_local_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_update(self, loopback=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_active_update(self, loopback=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_area: OSPF area
		:type interface_area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance: Instance of OSPFv3 protocol on this interface
		:type instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPFv3 MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'point-to-point']

		:param priority: Interface priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param suppress_linklsa: Suppress link LSA advertisements
		:type suppress_linklsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_update(self, loopback=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_ah_update(self, loopback=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_ipsec_update(self, loopback=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, loopback=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_bfd_update(self, loopback=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param bfd_enable: Enable bfd on this interface
		:type bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_ospf_dead_interval_update(self, loopback=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_router_update(self, loopback=None, interface_ipv6_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_ipv6_router_isis: Enable IS-IS
		:type interface_ipv6_router_isis: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_ipv6_router_isis=interface_ipv6_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_router_isis_update(self, loopback=None, interface_ipv6_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_ipv6_router_isis: Enable IS-IS
		:type interface_ipv6_router_isis: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_ipv6_router_isis=interface_ipv6_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_update(self, loopback=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param circuit_type: Define inter-area/intra area operation mode
		:type circuit_type: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1-2', u'level-1']

		:param interface_point_to_point: Point-to-point interface for ISIS operation
		:type interface_point_to_point: (YANGBool)

		:param interface_passive: Passive interface for ISIS operation
		:type interface_passive: (YANGBool)

		:param interface_ldp_sync: Set LDP-SYNC operation mode on this interface
		:type interface_ldp_sync: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_check_level_1_update(self, loopback=None, interface_auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_auth_check_level1_disable: kwarg.
		:type interface_auth_check_level1_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_check_level_1_disable_update(self, loopback=None, interface_auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_auth_check_level1_disable: kwarg.
		:type interface_auth_check_level1_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_check_level_2_update(self, loopback=None, interface_auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_auth_check_level2_disable: kwarg.
		:type interface_auth_check_level2_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_check_level_2_disable_update(self, loopback=None, interface_auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_auth_check_level2_disable: kwarg.
		:type interface_auth_check_level2_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_key_update(self, loopback=None, interface_auth_key=None, interface_auth_key_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param interface_auth_key: kwarg tuple.
		:type interface_auth_key: (interface_auth_key_level, interface_auth_key_str).

		:param interface_auth_key_level: tuple arg.
		:type interface_auth_key_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_auth_key_str: tuple arg.
		:type interface_auth_key_str: (unicode)
		
		.. note::
			* length - [u'1..63']

	**This Instance Arg(s)**:
		:param interface_auth_key_str: kwarg.
		:type interface_auth_key_str: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_mode_md5_update(self, loopback=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP
		:type interface_auth_mode_md5_level1: (YANGBool)

		:param interface_auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP
		:type interface_auth_mode_md5_level2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_mode_md5_level_1_update(self, loopback=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP
		:type interface_auth_mode_md5_level1: (YANGBool)

		:param interface_auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP
		:type interface_auth_mode_md5_level2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_bfd_update(self, loopback=None, interface_bfd_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_bfd_disable: Disable BFD operation mode on this interface
		:type interface_bfd_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_bfd_disable=interface_bfd_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_bfd_disable_update(self, loopback=None, interface_bfd_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_bfd_disable: Disable BFD operation mode on this interface
		:type interface_bfd_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_bfd_disable=interface_bfd_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_circuit_type_update(self, loopback=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param circuit_type: Define inter-area/intra area operation mode
		:type circuit_type: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1-2', u'level-1']

		:param interface_point_to_point: Point-to-point interface for ISIS operation
		:type interface_point_to_point: (YANGBool)

		:param interface_passive: Passive interface for ISIS operation
		:type interface_passive: (YANGBool)

		:param interface_ldp_sync: Set LDP-SYNC operation mode on this interface
		:type interface_ldp_sync: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_hello_interval_update(self, loopback=None, interface_hello_interval=None, interface_hello_interval_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param interface_hello_interval: kwarg tuple.
		:type interface_hello_interval: (interface_hello_interval_level, interface_hello_interval_val).

		:param interface_hello_interval_level: tuple arg.
		:type interface_hello_interval_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_hello_interval_val: tuple arg.
		:type interface_hello_interval_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_hello_interval_val: kwarg.
		:type interface_hello_interval_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_hello_multiplier_update(self, loopback=None, interface_hello_multiplier=None, interface_hello_multiplier_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param interface_hello_multiplier: kwarg tuple.
		:type interface_hello_multiplier: (interface_hello_multiplier_level, interface_hello_multiplier_val).

		:param interface_hello_multiplier_level: tuple arg.
		:type interface_hello_multiplier_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_hello_multiplier_val: tuple arg.
		:type interface_hello_multiplier_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_hello_multiplier_val: kwarg.
		:type interface_hello_multiplier_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_hello_padding_update(self, loopback=None, interface_hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_hello_padding_disable: kwarg.
		:type interface_hello_padding_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_padding_disable=interface_hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_hello_padding_disable_update(self, loopback=None, interface_hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_hello_padding_disable: kwarg.
		:type interface_hello_padding_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_hello_padding_disable=interface_hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_ipv6_metric_update(self, loopback=None, interface_ipv6_metric=None, interface_ipv6_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param interface_ipv6_metric: kwarg tuple.
		:type interface_ipv6_metric: (interface_ipv6_metric_level, interface_ipv6_metric_val).

		:param interface_ipv6_metric_level: tuple arg.
		:type interface_ipv6_metric_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_ipv6_metric_val: tuple arg.
		:type interface_ipv6_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_ipv6_metric_val: kwarg.
		:type interface_ipv6_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_metric_update(self, loopback=None, interface_metric=None, interface_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param interface_metric: kwarg tuple.
		:type interface_metric: (interface_metric_level, interface_metric_val).

		:param interface_metric_level: tuple arg.
		:type interface_metric_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_metric_val: tuple arg.
		:type interface_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_metric_val: kwarg.
		:type interface_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_metric=interface_metric, interface_metric_val=interface_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_priority_update(self, loopback=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_priority_level1: Priority for Level-1 ISIS Router
		:type interface_priority_level1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_priority_level2: Priority for Level-2 ISIS Router
		:type interface_priority_level2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_priority_level_1_update(self, loopback=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_priority_level1: Priority for Level-1 ISIS Router
		:type interface_priority_level1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_priority_level2: Priority for Level-2 ISIS Router
		:type interface_priority_level2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_reverse_metric_update(self, loopback=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rev_metric_val: Configure IS-IS reverse metric value
		:type rev_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rev_metric_whole_lan: Change metric for whole LAN
		:type rev_metric_whole_lan: (YANGBool)

		:param rev_metric_te_def_metric: Update TE default metric sub-tlv
		:type rev_metric_te_def_metric: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_reverse_metric_te_def_metric_update(self, loopback=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rev_metric_val: Configure IS-IS reverse metric value
		:type rev_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rev_metric_whole_lan: Change metric for whole LAN
		:type rev_metric_whole_lan: (YANGBool)

		:param rev_metric_te_def_metric: Update TE default metric sub-tlv
		:type rev_metric_te_def_metric: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_shutdown_update(self, loopback=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param shutdown: Shut down interface loopback port
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.intf_loopback', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.intf_loopback', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.intf_loopback', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_vrf_update(self, loopback=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_loopback_vrf_forwarding_update(self, loopback=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v6_0_2b.brocade_intf_loopback', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v7_0_1a.brocade_intf_loopback', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.vrf', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, loopback=loopback, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_update(self, management=None, speed=None, shutdown_management=None, shutdown_management_oper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param speed: Set interface speed parameter
		:type speed: (unicode)
		
		.. note::
			* enum - [u'auto', u'100', u'10']

		:param shutdown_management: Shutdown this management interface.
		:type shutdown_management: (YANGBool)

		:param shutdown_management_oper: Show the status of this management interface.
		:type shutdown_management_oper: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.interface.management', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'management', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, speed=speed, shutdown_management=shutdown_management, shutdown_management_oper=shutdown_management_oper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_ip_update(self, management=None, gateway_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param gateway_address: The gateway IP address for this management
interface.
		:type gateway_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.management.ip.oper_gateway_con', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.management.ip.oper_gateway_con', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.management.ip.oper_gateway_con', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.gateway', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.management.ip.oper_gateway_con', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, gateway_address=gateway_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_ip_access_group_update(self, management=None, mgmt_ip_access_list=None, mgmt_ip_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param mgmt_ip_access_list: ACL_NAME;; Access List Name (Max 63)
		:type mgmt_ip_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param mgmt_ip_direction: kwarg.
		:type mgmt_ip_direction: (unicode)
		
		.. note::
			* enum - [u'in']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, mgmt_ip_access_list=mgmt_ip_access_list, mgmt_ip_direction=mgmt_ip_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_ip_address_update(self, management=None, dhcp=None, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param dhcp: DHCP is enabled or not.
		:type dhcp: (YANGBool)

		:param ip_address: IP address for this management interface.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.management.ip.oper_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.management.ip.oper_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.management.ip.oper_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.management.ip.oper_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, dhcp=dhcp, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_ip_address_dhcp_update(self, management=None, dhcp=None, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param dhcp: DHCP is enabled or not.
		:type dhcp: (YANGBool)

		:param ip_address: IP address for this management interface.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, dhcp=dhcp, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_ip_address_ip_address_update(self, management=None, oper_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param oper_ip_address: The assigned IPv4 address.
		:type oper_ip_address: (unicode)
		
		.. note::
			* pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.oper_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.oper_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.oper_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.oper_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, oper_ip_address=oper_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_ip_gateway_address_update(self, management=None, gateway_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param gateway_address: The gateway IP address for this management
interface.
		:type gateway_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.management.ip.oper_gateway_con', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.management.ip.oper_gateway_con', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.management.ip.oper_gateway_con', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.gateway', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.management.ip.oper_gateway_con', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, gateway_address=gateway_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_ip_icmp_update(self, management=None, unreachable=None, echo_reply=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param unreachable: To enable generating ICMP Destination Unreachable message.
		:type unreachable: (YANGBool)

		:param echo_reply: To enable sending ICMP Echo Reply in response Echo Request.
		:type echo_reply: (YANGBool)

		:param rate_limiting: To enable ICMP incoming packet response rate limiting
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, unreachable=unreachable, echo_reply=echo_reply, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_ip_icmp_echo_reply_update(self, management=None, unreachable=None, echo_reply=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param unreachable: To enable generating ICMP Destination Unreachable message.
		:type unreachable: (YANGBool)

		:param echo_reply: To enable sending ICMP Echo Reply in response Echo Request.
		:type echo_reply: (YANGBool)

		:param rate_limiting: To enable ICMP incoming packet response rate limiting
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, unreachable=unreachable, echo_reply=echo_reply, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_access_group_update(self, management=None, mgmt_ipv6_access_list=None, mgmt_ip_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param mgmt_ipv6_access_list: ACL_NAME;; Access List Name (Max 63)
		:type mgmt_ipv6_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param mgmt_ip_direction: kwarg.
		:type mgmt_ip_direction: (unicode)
		
		.. note::
			* enum - [u'in']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, mgmt_ipv6_access_list=mgmt_ipv6_access_list, mgmt_ip_direction=mgmt_ip_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_address_update(self, management=None, ipv6_global_address=None, ipv6_global_address_eui64=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param ipv6_global_address: IPv6 global address for this management 
interface.
		:type ipv6_global_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param ipv6_global_address_eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id
		:type ipv6_global_address_eui64: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.ipv6_address_cont.ipv6_global_cont', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, ipv6_global_address=ipv6_global_address, ipv6_global_address_eui64=ipv6_global_address_eui64)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_address_autoconfig_update(self, management=None, autoconfig=None, dhcpv6=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param autoconfig: Auto-configuration enabling.
		:type autoconfig: (YANGBool)

		:param dhcpv6: ipv6 DHCP enabling
		:type dhcpv6: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ipv6.ipv6_address_cont', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.ipv6_address_cont', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, autoconfig=autoconfig, dhcpv6=dhcpv6)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_icmpv6_update(self, management=None, v6_unreachable=None, v6_echo_reply=None, v6_rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param v6_unreachable: To enable generating ICMPv6 Destination Unreachable message.
		:type v6_unreachable: (YANGBool)

		:param v6_echo_reply: To enable sending ICMPv6 Echo Reply in response Echo Request.
		:type v6_echo_reply: (YANGBool)

		:param v6_rate_limiting: To enable ICMPv6 incoming rate limiting
		:type v6_rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, v6_unreachable=v6_unreachable, v6_echo_reply=v6_echo_reply, v6_rate_limiting=v6_rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_ipv6_icmpv6_echo_reply_update(self, management=None, v6_unreachable=None, v6_echo_reply=None, v6_rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param v6_unreachable: To enable generating ICMPv6 Destination Unreachable message.
		:type v6_unreachable: (YANGBool)

		:param v6_echo_reply: To enable sending ICMPv6 Echo Reply in response Echo Request.
		:type v6_echo_reply: (YANGBool)

		:param v6_rate_limiting: To enable ICMPv6 incoming rate limiting
		:type v6_rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, v6_unreachable=v6_unreachable, v6_echo_reply=v6_echo_reply, v6_rate_limiting=v6_rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_line_speed_update(self, management=None, actual=None, configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param actual: The actual line-speed for this management 
interface.
		:type actual: (unicode)

		:param configured: The configured line-speed for this management 
interface.
		:type configured: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.line_speed', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.line_speed', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.line_speed', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.line_speed', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, actual=actual, configured=configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_line_speed_actual_update(self, management=None, actual=None, configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param actual: The actual line-speed for this management 
interface.
		:type actual: (unicode)

		:param configured: The configured line-speed for this management 
interface.
		:type configured: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.line_speed', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.line_speed', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.line_speed', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.line_speed', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, actual=actual, configured=configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_tcp_update(self, management=None, tcp_burstrate=None, tcp_lockdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param tcp_burstrate: To enable tcp connection burstrate.
		:type tcp_burstrate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tcp_lockdown: To enable tcp connection lockdown time.
		:type tcp_lockdown: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.tcp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.tcp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.tcp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.tcp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, tcp_burstrate=tcp_burstrate, tcp_lockdown=tcp_lockdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_tcp_burstrate_update(self, management=None, tcp_burstrate=None, tcp_lockdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param tcp_burstrate: To enable tcp connection burstrate.
		:type tcp_burstrate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tcp_lockdown: To enable tcp connection lockdown time.
		:type tcp_lockdown: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management'), ('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.tcp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.tcp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.tcp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.tcp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, tcp_burstrate=tcp_burstrate, tcp_lockdown=tcp_lockdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_vrf_update(self, management=None, vrf_forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param vrf_forwarding: Enable VRF forwarding on this management interface
		:type vrf_forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.vrf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, vrf_forwarding=vrf_forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_management_vrf_forwarding_update(self, management=None, vrf_forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param management: kwarg tuple.
		:type management: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

	**This Instance Arg(s)**:
		:param vrf_forwarding: Enable VRF forwarding on this management interface
		:type vrf_forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.management', u'management'), ('pybind.nos.v6_0_2b.interface.management', u'management'), ('pybind.nos.v7_1_0.interface.management', u'management'), ('pybind.nos.v7_0_1a.interface.management', u'management')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.management.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.management.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.management.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management.vrf', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management=management, vrf_forwarding=vrf_forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_update(self, port_channel=None, cee=None, po_speed=None, ifindex=None, description=None, shutdown=None, minimum_links=None, mtu=None, load_balance=None, port_profile_port=None, priority_tag_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param cee: Apply default CEE map 'default'
		:type cee: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param po_speed: Set speed informational parameter
		:type po_speed: (unicode)
		
		.. note::
			* enum - [u'40000', u'100', u'10000', u'100000', u'1000']

		:param ifindex: kwarg.
		:type ifindex: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1 .. 63']

		:param shutdown: Shutdown the selected interface
		:type shutdown: (YANGBool)

		:param minimum_links: Least number of operationally UP links to declare 
port-channel UP
		:type minimum_links: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu: Set mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param load_balance: Load balancing Commands
		:type load_balance: (unicode)
		
		.. note::
			* enum - [u'src-dst-ip-port', u'src-mac-vid', u'src-dst-ip', u'src-dst-ip-mac-vid', u'dst-mac-vid', u'src-dst-mac-vid', u'src-dst-ip-mac-vid-port']

		:param port_profile_port: Set the interface to AMPP profile mode
		:type port_profile_port: (YANGBool)

		:param priority_tag_enable: Configure 802.1p priority tagging
		:type priority_tag_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, cee=cee, po_speed=po_speed, ifindex=ifindex, description=description, shutdown=shutdown, minimum_links=minimum_links, mtu=mtu, load_balance=load_balance, port_profile_port=port_profile_port, priority_tag_enable=priority_tag_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bfd_update(self, port_channel=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bfd_interval_update(self, port_channel=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bfd_interval_min_rx_update(self, port_channel=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bfd_shutdown_update(self, port_channel=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_bpdu_drop_update(self, port_channel=None, enable=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs
		:type enable: (YANGBool)

		:param direction: kwarg.
		:type direction: (unicode)
		
		.. note::
			* enum - [u'all', u'rx', u'tx']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.bpdu_drop', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.bpdu_drop', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, enable=enable, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_edge_loop_detection_update(self, port_channel=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param eldprio: kwarg.
		:type eldprio: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eldvlan: kwarg.
		:type eldvlan: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_edge_loop_detection_port_priority_update(self, port_channel=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param eldprio: kwarg.
		:type eldprio: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eldvlan: kwarg.
		:type eldvlan: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_esi_update(self, port_channel=None, value=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param value: ESI value
		:type value: (unicode)
		
		.. note::
			* pattern - [0-9a-fA-F]{2}(\.[0-9a-fA-F]{2}){9}

		:param auto: Assign ESI value AUTO.
		:type auto: (unicode)
		
		.. note::
			* enum - [u'lacp']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.esi', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.esi', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, value=value, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_esi_auto_update(self, port_channel=None, value=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param value: ESI value
		:type value: (unicode)
		
		.. note::
			* pattern - [0-9a-fA-F]{2}(\.[0-9a-fA-F]{2}){9}

		:param auto: Assign ESI value AUTO.
		:type auto: (unicode)
		
		.. note::
			* enum - [u'lacp']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.esi', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.esi', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, value=value, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_fcoeport_update(self, port_channel=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param fcoeport_map: kwarg.
		:type fcoeport_map: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param ns_ip_registration: kwarg.
		:type ns_ip_registration: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_fcoeport_map_update(self, port_channel=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param fcoeport_map: kwarg.
		:type fcoeport_map: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param ns_ip_registration: kwarg.
		:type ns_ip_registration: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_update(self, port_channel=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mtu: Set ip mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param directed_broadcast: Enable directed IP broadcasts forwarding
		:type directed_broadcast: (YANGBool)

		:param proxy_arp: Proxy-Arp on the interface
		:type proxy_arp: (YANGBool)

		:param arp_aging_timeout: Set arp age timeout value to interface
		:type arp_aging_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.ip_acl_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.igmp_po_intf_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_po_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip_acl_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip_pbr_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_po_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip_acl_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip_pbr_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip_acl_interface.ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_access_group_update(self, port_channel=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ip_access_list, ip_direction, traffic_type).

		:param ip_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ip_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_address_update(self, port_channel=None, address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param address: kwarg tuple.
		:type address: (address, secondary).

		:param address: A.B.C.D/M IP address in dotted decimal/Mask
		:type address: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, address=address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_arp_update(self, port_channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.arp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_arp_aging_timeout_update(self, port_channel=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mtu: Set ip mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param directed_broadcast: Enable directed IP broadcasts forwarding
		:type directed_broadcast: (YANGBool)

		:param proxy_arp: Proxy-Arp on the interface
		:type proxy_arp: (YANGBool)

		:param arp_aging_timeout: Set arp age timeout value to interface
		:type arp_aging_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_arp_inspection_update(self, port_channel=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_arp_inspection_trust_update(self, port_channel=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ip.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_arp_learn_any_update(self, port_channel=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param learn_any: Learn ARP
		:type learn_any: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_dhcp_relay_gateway_update(self, port_channel=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param gateway: Gateway address
		:type gateway: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_icmp_update(self, port_channel=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_icmp_address_mask_update(self, port_channel=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_igmp_update(self, port_channel=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, last_member_query_count=None, startup_query_count=None, startup_query_interval=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: Immediate Leave Processing
		:type immediate_leave: (YANGBool)

		:param last_member_query_count: IGMP Last Member Query Count
		:type last_member_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_count: IGMP Startup Query Count
		:type startup_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_interval: Startup Query Interval
		:type startup_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param robustness_variable: Robustness Variable
		:type robustness_variable: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave, last_member_query_count=last_member_query_count, startup_query_count=startup_query_count, startup_query_interval=startup_query_interval, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_igmp_immediate_leave_update(self, port_channel=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, last_member_query_count=None, startup_query_count=None, startup_query_interval=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: Immediate Leave Processing
		:type immediate_leave: (YANGBool)

		:param last_member_query_count: IGMP Last Member Query Count
		:type last_member_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_count: IGMP Startup Query Count
		:type startup_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_interval: Startup Query Interval
		:type startup_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param robustness_variable: Robustness Variable
		:type robustness_variable: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave, last_member_query_count=last_member_query_count, startup_query_count=startup_query_count, startup_query_interval=startup_query_interval, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_multicast_boundary_update(self, port_channel=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param pim_sparse: Sparse Mode (PIM-SM)
		:type pim_sparse: (YANGBool)

		:param mcast_bdry_prefix_list: Prefix list
		:type mcast_bdry_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_update(self, port_channel=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_active_update(self, port_channel=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_authentication_key_update(self, port_channel=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param encrypttype: kwarg.
		:type encrypttype: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param auth_key: The OSPF password (key)
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_bfd_update(self, port_channel=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param intf_bfd_enable: Enable bfd on this interface
		:type intf_bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_database_filter_update(self, port_channel=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_database_filter_all_external_update(self, port_channel=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_md5_authentication_update(self, port_channel=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_md5_authentication_key_update(self, port_channel=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_md5_authentication_key_activation_wait_time_update(self, port_channel=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_activation_wait_time: The activation wait time in Seconds
		:type key_activation_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_md5_authentication_key_id_update(self, port_channel=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_ospf_md5_authentication_key_id_key_update(self, port_channel=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_PO_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_pim_update(self, port_channel=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_pim_dr_priority_update(self, port_channel=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_pim_multinet_update(self, port_channel=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_pim_multinet_enable_update(self, port_channel=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_1_0.interface.port_channel.ip.pim_intf_po_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_policy_route_map_update(self, port_channel=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param route_map_name: Word:1-63;;Route map name
		:type route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_unnumbered_update(self, port_channel=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ip_donor_interface_type: The type of donor interface.
		:type ip_donor_interface_type: (unicode)
		
		.. note::
			* enum - [u've', u'loopback', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

		:param ip_donor_interface_name: The name of donor interface.
		:type ip_donor_interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_update(self, port_channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_po_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_access_group_update(self, port_channel=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ipv6_access_list, ip_direction, traffic_type).

		:param ipv6_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ipv6_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_update(self, port_channel=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_eui_64_update(self, port_channel=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id
		:type eui64: (YANGBool)

		:param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface
		:type eui_secondary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_link_local_update(self, port_channel=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param link_local_address: kwarg.
		:type link_local_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local: Configure ipv6 address to override automatically computed link-local address
		:type link_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_use_link_local_only_update(self, port_channel=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param use_link_local_only: Configure automatically computed link-local address
		:type use_link_local_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_dhcp_relay_update(self, port_channel=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_dhcp_relay_interface_update(self, port_channel=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param interface_type: Interface type
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'port-channel', u'Ve', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

		:param interface_name: Interface name
		:type interface_name: (unicode)
		
		.. note::
			* pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1])|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|60[0-9]{2}|61[0-3][0-9]|614[0-4]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_icmpv6_update(self, port_channel=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_icmpv6_echo_reply_update(self, port_channel=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_mtu_update(self, port_channel=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mtu: Set ipv6 mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_update(self, port_channel=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configfure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_broadcast_mac_trap_update(self, port_channel=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configfure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_cache_update(self, port_channel=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_cache_expire_update(self, port_channel=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_dad_update(self, port_channel=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_dad_attempts_update(self, port_channel=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_nud_retry_update(self, port_channel=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param base: base value
		:type base: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param interval: Time interval between neighbor solicitations in milliseconds
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_attempts: Max number of retry attempts.
		:type max_attempts: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_infinite_update(self, port_channel=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param preferred_lifetime: Configures preferred lifetime
		:type preferred_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preferred_infinite: Infinite preferred lifetime
		:type preferred_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_no_advertise_update(self, port_channel=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_advertise: Do not advertise prefix
		:type no_advertise: (YANGBool)

		:param valid_lifetime: Configures valid lifetime
		:type valid_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param valid_infinite: Infinite valid lifetime
		:type valid_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_no_autoconfig_update(self, port_channel=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_autoconfig: Do not use prefix for autoconfiguration
		:type no_autoconfig: (YANGBool)

		:param no_onlink: Do not use prefix for onlink determination
		:type no_onlink: (YANGBool)

		:param off_link: Prefix is offlink
		:type off_link: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_ra_interval_update(self, port_channel=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param max_interval: Maximum interval in seconds
		:type max_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_: Minimum interval between sending RA messages
		:type min_: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_suppress_ra_update(self, port_channel=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_suppress_ra_all_update(self, port_channel=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_neighbor_update(self, port_channel=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param neighbor: kwarg tuple.
		:type neighbor: (ipv6_address).

		:param ipv6_address: tuple arg.
		:type ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param hardware_address: kwarg.
		:type hardware_address: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_update(self, port_channel=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_active_update(self, port_channel=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_area: OSPF area
		:type interface_area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance: Instance of OSPFv3 protocol on this interface
		:type instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPFv3 MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'point-to-point']

		:param priority: Interface priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param suppress_linklsa: Suppress link LSA advertisements
		:type suppress_linklsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_update(self, port_channel=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_ah_update(self, port_channel=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_ipsec_update(self, port_channel=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, port_channel=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_bfd_update(self, port_channel=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param bfd_enable: Enable bfd on this interface
		:type bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_ospf_dead_interval_update(self, port_channel=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_policy_route_map_update(self, port_channel=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipv6_route_map_name: Word:1-63;;Route map name
		:type ipv6_route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_raguard_update(self, port_channel=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param raguard: IPv6 Router advertisement guard configuration
		:type raguard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_update(self, port_channel=None, vrrpv3e=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param advertise_backup: Enable periodic backup advertisement messages
		:type advertise_backup: (YANGBool)

		:param nd_advertisement_timer: kwarg.
		:type nd_advertisement_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>
		:type advertisement_interval_scale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_advertisement_interval: Set Backup advertisement interval
		:type backup_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe_advertisement_interval: Set advertisement interval
		:type vrrpe_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_short_path_forwarding_update(self, port_channel=None, vrrpv3e=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param revert_priority: Set revert priority
		:type revert_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.short_path_forwarding', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_track_update(self, port_channel=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_update(self, port_channel=None, vrrpv3=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3: kwarg tuple.
		:type vrrpv3: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param advertisement_interval: Set advertisement interval
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3=vrrpv3, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_track_update(self, port_channel=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3: kwarg tuple.
		:type vrrpv3: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_suppress_interface_ra_update(self, port_channel=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3
		:type vrrp_suppress_interface_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_name_update(self, port_channel=None, port_channel_=None, logical_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_channel_: kwarg tuple.
		:type port_channel_: (pc_instance_id).

		:param pc_instance_id: tuple arg.
		:type pc_instance_id: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

	**This Instance Arg(s)**:
		:param logical_interface_name: 64 Chars;;Name of the logical interface.
		:type logical_interface_name: (unicode)
		
		.. note::
			* length - [u'1 .. 64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_common_commands_dummy.name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_channel_=port_channel_, logical_interface_name=logical_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_shutdown_update(self, port_channel=None, port_channel_=None, shutdown_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_channel_: kwarg tuple.
		:type port_channel_: (pc_instance_id).

		:param pc_instance_id: tuple arg.
		:type pc_instance_id: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_common_commands_dummy.shutdown', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_channel_=port_channel_, shutdown_status=shutdown_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_untagged_vlan_update(self, port_channel=None, port_channel_=None, untagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_channel_: kwarg tuple.
		:type port_channel_: (pc_instance_id).

		:param pc_instance_id: tuple arg.
		:type pc_instance_id: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

	**This Instance Arg(s)**:
		:param untagged_vlan_id: kwarg.
		:type untagged_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.get_untagged_vlan_dummy.untagged.untagged_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_channel_=port_channel_, untagged_vlan_id=untagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_vlan_update(self, port_channel=None, port_channel_=None, outer_tagged_vlan_id=None, inner_vlan=None, inner_tagged_vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_channel_: kwarg tuple.
		:type port_channel_: (pc_instance_id).

		:param pc_instance_id: tuple arg.
		:type pc_instance_id: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))

	**This Instance Arg(s)**:
		:param outer_tagged_vlan_id: VLAN ID between 1 and 4090
		:type outer_tagged_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param inner_vlan: Configure Inner VLAN for this logical interface
		:type inner_vlan: (YANGBool)

		:param inner_tagged_vlan_id: VLAN ID between 1 and 4090
		:type inner_tagged_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', u'port_channel_')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel.pc_cmd_container_dummy.service_instance_vlan_cmds_dummy_container.tagged_outer_vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'pc_instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_channel_=port_channel_, outer_tagged_vlan_id=outer_tagged_vlan_id, inner_vlan=inner_vlan, inner_tagged_vlan_id=inner_tagged_vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_mac_access_group_update(self, port_channel=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (mac_access_list, mac_direction, traffic_type).

		:param mac_access_list: ACL_NAME;; Access List Name (Max 63)
		:type mac_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param mac_direction: tuple arg.
		:type mac_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_mac_learning_disable_vlan_update(self, port_channel=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mac_learning_vlan_add: RANGE;;Range of vlans to add
		:type mac_learning_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param mac_learning_vlan_remove: RANGE;;Range of vlans to remove
		:type mac_learning_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_mac_learning_disable_vlan_add_update(self, port_channel=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mac_learning_vlan_add: RANGE;;Range of vlans to add
		:type mac_learning_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param mac_learning_vlan_remove: RANGE;;Range of vlans to remove
		:type mac_learning_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_port_profile_port_domain_update(self, port_channel=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param profile_domain_name: Port-profile-domain name (Max Size - 128)
		:type profile_domain_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_update(self, port_channel=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param default_cos: Configure default Class of Service (CoS)
		:type default_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos_mutation: Configure CoS-to-CoS mutation
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Configure DSCP-to-DSCP mutation
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Configure DSCP-to-Traffic Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Configure DSCP-to-COS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_cos_mutation_update(self, port_channel=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param default_cos: Configure default Class of Service (CoS)
		:type default_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos_mutation: Configure CoS-to-CoS mutation
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Configure DSCP-to-DSCP mutation
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Configure DSCP-to-Traffic Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Configure DSCP-to-COS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_drop_monitor_update(self, port_channel=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.
		:type drop_monitor_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.drop_monitor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_drop_monitor_enable_update(self, port_channel=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.
		:type drop_monitor_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.drop_monitor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_flowcontrol_update(self, port_channel=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param flowcontrol_tx: Configure Pause generation
		:type flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param flowcontrol_rx: Configure Pause reception
		:type flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_flowcontrol_pfc_update(self, port_channel=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param pfc: kwarg tuple.
		:type pfc: (pfc_cos).

		:param pfc_cos: 0-7;;CoS value
		:type pfc_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

	**This Instance Arg(s)**:
		:param pfc_flowcontrol_tx: Configure Pause generation
		:type pfc_flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param pfc_flowcontrol_rx: Configure Pause reception
		:type pfc_flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_flowcontrol_rx_update(self, port_channel=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param flowcontrol_tx: Configure Pause generation
		:type flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param flowcontrol_rx: Configure Pause reception
		:type flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.link_level_flowcontrol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_random_detect_traffic_class_update(self, port_channel=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param traffic_class: kwarg tuple.
		:type traffic_class: (red_tc_value).

		:param red_tc_value: tuple arg.
		:type red_tc_value: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param red_enable: Keyword for VDX 6710,6720,6730,6746,2730
		:type red_enable: (YANGBool)

		:param red_profile_id: Keyword for all other VDX platforms
		:type red_profile_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_trust_update(self, port_channel=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class
		:type trust_dscp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_trust_cos_update(self, port_channel=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class
		:type trust_dscp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_service_policy_update(self, port_channel=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param in_: Input Policy Map
		:type in_: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param out: Output Policy Map
		:type out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_service_policy_in_update(self, port_channel=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param in_: Input Policy Map
		:type in_: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param out: Output Policy Map
		:type out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.service_policy', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_snmp_trap_update(self, port_channel=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_snmp_trap_link_status_update(self, port_channel=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_update(self, port_channel=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, peer_switch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param autoedge: Autoedge - enable automatic edge detection
		:type autoedge: (YANGBool)

		:param cost: Change an interface's spanning tree port path cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bpdu_mac: Configure VLAN spanning-tree control MAC
		:type bpdu_mac: (unicode)
		
		.. note::
			* enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

		:param link_type: Specify a link type for spanning tree protocol
		:type link_type: (unicode)
		
		.. note::
			* enum - [u'shared', u'point-to-point']

		:param priority: Change an interface's spanning tree port priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change and received topology change notifications
		:type restricted_tcn: (YANGBool)

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param peer_switch: Enable Peer-switch configuration
		:type peer_switch: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown, peer_switch=peer_switch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_autoedge_update(self, port_channel=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, peer_switch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param autoedge: Autoedge - enable automatic edge detection
		:type autoedge: (YANGBool)

		:param cost: Change an interface's spanning tree port path cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bpdu_mac: Configure VLAN spanning-tree control MAC
		:type bpdu_mac: (unicode)
		
		.. note::
			* enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

		:param link_type: Specify a link type for spanning tree protocol
		:type link_type: (unicode)
		
		.. note::
			* enum - [u'shared', u'point-to-point']

		:param priority: Change an interface's spanning tree port priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change and received topology change notifications
		:type restricted_tcn: (YANGBool)

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param peer_switch: Enable Peer-switch configuration
		:type peer_switch: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown, peer_switch=peer_switch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_edgeport_update(self, port_channel=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param edgeportbasic: Edgeport
		:type edgeportbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_edgeport_bpdu_filter_update(self, port_channel=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param edgeportbasic: Edgeport
		:type edgeportbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.edgeport', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_guard_update(self, port_channel=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_guard_root_update(self, port_channel=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_instance_update(self, port_channel=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param instance: kwarg tuple.
		:type instance: (id).

		:param id: tuple arg.
		:type id: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param cost: Path cost for a port
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: Port priority for a bridge
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change
notifications from port
		:type restricted_tcn: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_portfast_update(self, port_channel=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param portfastbasic: Enable an interface to move directly to forwarding on link up
		:type portfastbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_portfast_bpdu_filter_update(self, port_channel=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param portfastbasic: Enable an interface to move directly to forwarding on link up
		:type portfastbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.portfast', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_vlan_update(self, port_channel=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param cost: Path cost for a port
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: Port priority for a bridge
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_vlan_guard_update(self, port_channel=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_vlan_guard_root_update(self, port_channel=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan.guard', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_update(self, port_channel=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport_basic', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport_basic', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_access_update(self, port_channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.access_mac_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.access', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_mode_update(self, port_channel=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_mode: kwarg.
		:type vlan_mode: (unicode)
		
		.. note::
			* enum - [u'access', u'trunk-no-default-native', u'trunk']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.mode', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.mode', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_mode_private_vlan_update(self, port_channel=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param promiscuous: Set the Layer2 interface as private-vlan promiscuous
		:type promiscuous: (YANGBool)

		:param host: Set the Layer2 interface as private-vlan host
		:type host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_mode_private_vlan_host_update(self, port_channel=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param promiscuous: Set the Layer2 interface as private-vlan promiscuous
		:type promiscuous: (YANGBool)

		:param host: Set the Layer2 interface as private-vlan host
		:type host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_mode_private_vlan_trunk_update(self, port_channel=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_basic: kwarg.
		:type trunk_basic: (YANGBool)

		:param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous
		:type trunk_promiscuous: (YANGBool)

		:param trunk_host: Set the Layer2 interface as private-vlan trunk host
		:type trunk_host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_port_security_max_update(self, port_channel=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param port_sec_max: Maximum number of allowed MACs
		:type port_sec_max: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_sec_violation: Set the action on violation
		:type port_sec_violation: (unicode)
		
		.. note::
			* enum - [u'restrict', u'shutdown']

		:param shutdown_time: Shutdown time for port
		:type shutdown_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.port_security', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.port_security', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_host_association_update(self, port_channel=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param host_pri_pvlan: Primary vlan id
		:type host_pri_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param host_sec_pvlan: Secondary vlan id
		:type host_sec_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_mapping_update(self, port_channel=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param mapping: kwarg tuple.
		:type mapping: (promis_pri_pvlan, oper, promis_sec_pvlan_range).

		:param promis_pri_pvlan: Primary vlan id
		:type promis_pri_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param oper: tuple arg.
		:type oper: (unicode)
		
		.. note::
			* enum - [u'add', u'delete']

		:param promis_sec_pvlan_range: Secondary vlan range
		:type promis_sec_pvlan_range: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

	**This Instance Arg(s)**:
		:param oper: kwarg.
		:type oper: (unicode)
		
		.. note::
			* enum - [u'add', u'delete']

		:param promis_sec_pvlan_range: Secondary vlan range
		:type promis_sec_pvlan_range: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_update(self, port_channel=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface
		:type pvlan_all: (YANGBool)

		:param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface
		:type pvlan_none: (YANGBool)

		:param pvlan_add: Add a VLAN to Xmit/Rx through the Layer2 interface
		:type pvlan_add: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface
		:type pvlan_except: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param pvlan_remove: Remove a VLAN that Xmit/Rx through the Layer2 interface
		:type pvlan_remove: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_native_update(self, port_channel=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param pvlanNativevlan: kwarg.
		:type pvlanNativevlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pvlan_native_vlan_ctag_id: Associate a Ctag.
		:type pvlan_native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_native_vlan_update(self, port_channel=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param pvlanNativevlan: kwarg.
		:type pvlanNativevlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pvlan_native_vlan_ctag_id: Associate a Ctag.
		:type pvlan_native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_tag_update(self, port_channel=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param pvlan_tag_native_vlan: Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic
		:type pvlan_tag_native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_tag_native_vlan_update(self, port_channel=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param pvlan_tag_native_vlan: Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic
		:type pvlan_tag_native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_update(self, port_channel=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param default_transparent_vlan: default transparent vlan
		:type default_transparent_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_transparent_vlan'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlan_update(self, port_channel=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param all: Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type all: (YANGBool)

		:param none: Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type none: (YANGBool)

		:param add_: Allow these VLANs to Xmit/Rx 
through the Layer2 interface
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..20000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param except_: Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
		:type except_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlan_add_update(self, port_channel=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param add: kwarg tuple.
		:type add: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlan_remove_update(self, port_channel=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param remove: kwarg tuple.
		:type remove: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlanoper_vlan_update(self, port_channel=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param add_: kwarg.
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: kwarg.
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlanoper_vlan_add_update(self, port_channel=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param add_: kwarg.
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: kwarg.
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.allowed.vlanoper.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_ctag_update(self, port_channel=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param native_vlan_id: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying untagged
traffic
		:type native_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param native_vlan_ctag_id: Associate a Ctag.
		:type native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_xtagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_default_vlan_update(self, port_channel=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param default_transparent_vlan: default transparent vlan
		:type default_transparent_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.default_vlan_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_native_vlan_untagged_update(self, port_channel=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param native_vlan_id_untagged: Set the interface to accept only
untagged native-vlan traffic on ingress and
untagged native-vlan traffic on egress.
		:type native_vlan_id_untagged: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.native_vlan_untagged_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_tag_update(self, port_channel=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param native_vlan: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic
		:type native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.tag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_tag_native_vlan_update(self, port_channel=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param native_vlan: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic
		:type native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.tag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_update(self, port_channel=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param add: kwarg tuple.
		:type add: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_update(self, port_channel=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param remove: kwarg tuple.
		:type remove: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_track_update(self, port_channel=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param track_enable: Enable tracking interface
		:type track_enable: (YANGBool)

		:param min_link: Min link
		:type min_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_track_min_link_update(self, port_channel=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param track_enable: Enable tracking interface
		:type track_enable: (YANGBool)

		:param min_link: Min link
		:type min_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_track_remove_update(self, port_channel=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface
		:type remove_all_track_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_track_remove_all_update(self, port_channel=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface
		:type remove_all_track_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_tunnel_update(self, port_channel=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCS
fabric
		:type tagged_ieee_bpdu: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_tunnel_tagged_ieee_bpdu_update(self, port_channel=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCS
fabric
		:type tagged_ieee_bpdu: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vlag_update(self, port_channel=None, ignore_split=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ignore_split: vlag ignore-split-recovery
		:type ignore_split: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.vlag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vlag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vlag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.vlag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ignore_split=ignore_split)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vlag_ignore_split_update(self, port_channel=None, ignore_split=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ignore_split: vlag ignore-split-recovery
		:type ignore_split: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.vlag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vlag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vlag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.vlag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, ignore_split=ignore_split)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vlan_classifier_activate_group_update(self, port_channel=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param group: kwarg tuple.
		:type group: (groupid, vlan).

		:param groupid: tuple arg.
		:type groupid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan: 1-8191;;Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan: 1-8191;;Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrf_update(self, port_channel=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrf_forwarding_update(self, port_channel=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.port_channel.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_update(self, port_channel=None, vrrp=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_arp_unicast_request_update(self, port_channel=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_arp_unicast_request_receive_update(self, port_channel=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_track_update(self, port_channel=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel=port_channel, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bfd_update(self, tengigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bfd_interval_update(self, tengigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bfd_interval_min_rx_update(self, tengigabitethernet=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd.interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bfd_shutdown_update(self, tengigabitethernet=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_bpdu_drop_update(self, tengigabitethernet=None, enable=None, direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Drop all STP/RSTP/MSTP and PVST/RPVST incoming BPDUs
		:type enable: (YANGBool)

		:param direction: kwarg.
		:type direction: (unicode)
		
		.. note::
			* enum - [u'all', u'rx', u'tx']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.bpdu_drop', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, enable=enable, direction=direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_channel_group_update(self, tengigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_int: Channel group number
		:type port_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: The mode of the port channel.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'active', u'passive', u'on']

		:param type: The type of the port-channel.
		:type type: (unicode)
		
		.. note::
			* enum - [u'brocade', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'port_int, mode, type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_channel_group_mode_update(self, tengigabitethernet=None, port_int=None, mode=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_int: Channel group number
		:type port_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: The mode of the port channel.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'active', u'passive', u'on']

		:param type: The type of the port-channel.
		:type type: (unicode)
		
		.. note::
			* enum - [u'brocade', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.channel_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.channel_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, port_int=port_int, mode=mode, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_deviceconnectivity_update(self, tengigabitethernet=None, deviceconnectivity=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param deviceconnectivity: Device connectivity to IP storage device
		:type deviceconnectivity: (unicode)
		
		.. note::
			* enum - [u'NAS', u'None', u'iSCSI', u'DAS']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.connectivity', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.connectivity', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.connectivity', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, deviceconnectivity=deviceconnectivity)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_update(self, tengigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param authentication: Enable dot1x on a port
		:type authentication: (YANGBool)

		:param port_control: Port control commands
		:type port_control: (unicode)
		
		.. note::
			* enum - [u'auto', u'force-unauthorized', u'force-authorized']

		:param protocol_version: Set the protocol version
		:type protocol_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param quiet_period: Quiet period in the HELD state
		:type quiet_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthMax: Number of reauthentication attempts before becoming
unauthorized
		:type reauthMax: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthentication: Enable reauthentication on a port
		:type reauthentication: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_authentication_update(self, tengigabitethernet=None, authentication=None, port_control=None, protocol_version=None, quiet_period=None, reauthMax=None, reauthentication=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param authentication: Enable dot1x on a port
		:type authentication: (YANGBool)

		:param port_control: Port control commands
		:type port_control: (unicode)
		
		.. note::
			* enum - [u'auto', u'force-unauthorized', u'force-authorized']

		:param protocol_version: Set the protocol version
		:type protocol_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param quiet_period: Quiet period in the HELD state
		:type quiet_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthMax: Number of reauthentication attempts before becoming
unauthorized
		:type reauthMax: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reauthentication: Enable reauthentication on a port
		:type reauthentication: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.dot1x', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, authentication=authentication, port_control=port_control, protocol_version=protocol_version, quiet_period=quiet_period, reauthMax=reauthMax, reauthentication=reauthentication)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_timeout_update(self, tengigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param re_authperiod: Reauthentication interval in seconds 
(default = 3600)
		:type re_authperiod: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param server_timeout: Server timeout in seconds (default = 30)
		:type server_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param supp_timeout: Supplicant response timeout (default = 30)
		:type supp_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_period: Transmission period in seconds (default = 30)
		:type tx_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_dot1x_timeout_re_authperiod_update(self, tengigabitethernet=None, re_authperiod=None, server_timeout=None, supp_timeout=None, tx_period=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param re_authperiod: Reauthentication interval in seconds 
(default = 3600)
		:type re_authperiod: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param server_timeout: Server timeout in seconds (default = 30)
		:type server_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param supp_timeout: Supplicant response timeout (default = 30)
		:type supp_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_period: Transmission period in seconds (default = 30)
		:type tx_period: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.dot1x.timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, re_authperiod=re_authperiod, server_timeout=server_timeout, supp_timeout=supp_timeout, tx_period=tx_period)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_edge_loop_detection_update(self, tengigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param eldprio: Set ELD-priority value to interface
		:type eldprio: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eldvlan: Enable for specific VLAN on selected interface
		:type eldvlan: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_edge_loop_detection_port_priority_update(self, tengigabitethernet=None, eldprio=None, eldvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param eldprio: Set ELD-priority value to interface
		:type eldprio: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eldvlan: Enable for specific VLAN on selected interface
		:type eldvlan: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, eldprio=eldprio, eldvlan=eldvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_dport_update(self, tengigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_dport_enable: Configure fabric D-port status 
		:type fabric_dport_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_dport_enable_update(self, tengigabitethernet=None, fabric_dport_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_dport_enable: Configure fabric D-port status 
		:type fabric_dport_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_dport_enable=fabric_dport_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_dport_mode_update(self, tengigabitethernet=None, fabric_dport_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_dport_mode: Configure D-Port Mode
		:type fabric_dport_mode: (unicode)
		
		.. note::
			* enum - [u'static', u'none', u'dynamic']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_dport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_dport_mode=fabric_dport_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_isl_update(self, tengigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_isl_enable: Configure fabric isl status 
		:type fabric_isl_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_isl_enable_update(self, tengigabitethernet=None, fabric_isl_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_isl_enable: Configure fabric isl status 
		:type fabric_isl_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_isl', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_isl_enable=fabric_isl_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_neighbor_discovery_update(self, tengigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param disable: Disable neighbor discovery at this port
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_neighbor_discovery_disable_update(self, tengigabitethernet=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param disable: Disable neighbor discovery at this port
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.neighbor_discovery', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_trunk_update(self, tengigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_trunk_enable: Configure fabric trunk status 
		:type fabric_trunk_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fabric_trunk_enable_update(self, tengigabitethernet=None, fabric_trunk_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fabric_trunk_enable: Configure fabric trunk status 
		:type fabric_trunk_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fabric.fabric_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fabric_trunk_enable=fabric_trunk_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fcoeport_update(self, tengigabitethernet=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fcoeport_map: kwarg.
		:type fcoeport_map: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param ns_ip_registration: kwarg.
		:type ns_ip_registration: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fcoeport_map, ns_ip_registration'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_fcoeport_map_update(self, tengigabitethernet=None, fcoeport_map=None, ns_ip_registration=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param fcoeport_map: kwarg.
		:type fcoeport_map: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param ns_ip_registration: kwarg.
		:type ns_ip_registration: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.fcoeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.fcoeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, fcoeport_map=fcoeport_map, ns_ip_registration=ns_ip_registration)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_update(self, tengigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.arp_node_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip_acl_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.arp_node_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.arp_node_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_acl_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_pbr_interface.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_access_group_update(self, tengigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ip_access_list, ip_direction, traffic_type).

		:param ip_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ip_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_address_update(self, tengigabitethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param address: kwarg tuple.
		:type address: (address, secondary, ospf_passive, ospf_ignore).

		:param address: A.B.C.D/M IP address in dotted decimal/Mask
		:type address: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_arp_update(self, tengigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.arp_node_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_arp_aging_timeout_update(self, tengigabitethernet=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mtu: Set ip mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param directed_broadcast: Enable directed IP broadcasts forwarding
		:type directed_broadcast: (YANGBool)

		:param proxy_arp: Proxy-Arp on the interface
		:type proxy_arp: (YANGBool)

		:param arp_aging_timeout: Set arp age timeout value to interface
		:type arp_aging_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_arp_inspection_update(self, tengigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_arp_inspection_trust_update(self, tengigabitethernet=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.arp_node_config.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_arp_learn_any_update(self, tengigabitethernet=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param learn_any: Learn ARP
		:type learn_any: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_dhcp_relay_gateway_update(self, tengigabitethernet=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param gateway: Gateway address
		:type gateway: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_icmp_update(self, tengigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_icmp_address_mask_update(self, tengigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.icmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_igmp_update(self, tengigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: Immediate Leave Processing
		:type immediate_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_igmp_immediate_leave_update(self, tengigabitethernet=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: Immediate Leave Processing
		:type immediate_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_multicast_boundary_update(self, tengigabitethernet=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pim_sparse: Sparse Mode (PIM-SM)
		:type pim_sparse: (YANGBool)

		:param mcast_bdry_prefix_list: Prefix list
		:type mcast_bdry_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_update(self, tengigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_active_update(self, tengigabitethernet=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_authentication_key_update(self, tengigabitethernet=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param encrypttype: kwarg.
		:type encrypttype: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param auth_key: The OSPF password (key)
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_bfd_update(self, tengigabitethernet=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param intf_bfd_enable: Enable bfd on this interface
		:type intf_bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_database_filter_update(self, tengigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_database_filter_all_external_update(self, tengigabitethernet=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_md5_authentication_update(self, tengigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_md5_authentication_key_update(self, tengigabitethernet=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_md5_authentication_key_activation_wait_time_update(self, tengigabitethernet=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_activation_wait_time: The activation wait time in Seconds
		:type key_activation_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_md5_authentication_key_id_update(self, tengigabitethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_ospf_md5_authentication_key_id_key_update(self, tengigabitethernet=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_pim_update(self, tengigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_pim_dr_priority_update(self, tengigabitethernet=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_pim_multinet_update(self, tengigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_pim_multinet_enable_update(self, tengigabitethernet=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.pim_intf_phy_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_policy_route_map_update(self, tengigabitethernet=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param route_map_name: Word:1-63;;Route map name
		:type route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_unnumbered_update(self, tengigabitethernet=None, ip_donor_interface_type=None, ip_donor_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ip_donor_interface_type: The type of donor interface.
		:type ip_donor_interface_type: (unicode)
		
		.. note::
			* enum - [u've', u'loopback', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

		:param ip_donor_interface_name: The name of donor interface.
		:type ip_donor_interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.unnumbered', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ip_donor_interface_type=ip_donor_interface_type, ip_donor_interface_name=ip_donor_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_update(self, tengigabitethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_access_group_update(self, tengigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ipv6_access_list, ip_direction, traffic_type).

		:param ipv6_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ipv6_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_update(self, tengigabitethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_eui_64_update(self, tengigabitethernet=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id
		:type eui64: (YANGBool)

		:param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface
		:type eui_secondary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_link_local_update(self, tengigabitethernet=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_local_address: kwarg.
		:type link_local_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local: Configure ipv6 address to override automatically computed link-local address
		:type link_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_use_link_local_only_update(self, tengigabitethernet=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param use_link_local_only: Configure automatically computed link-local address
		:type use_link_local_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_dhcp_relay_update(self, tengigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_dhcp_relay_interface_update(self, tengigabitethernet=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param interface_type: Interface type
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'Ve']

		:param interface_name: Interface name
		:type interface_name: (unicode)
		
		.. note::
			* pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_hop_by_hop_trap_update(self, tengigabitethernet=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hop_by_hop_trap: Enable hop-by-hop trap on an Interface
		:type hop_by_hop_trap: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_phy_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_icmpv6_update(self, tengigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_icmpv6_echo_reply_update(self, tengigabitethernet=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_mtu_update(self, tengigabitethernet=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mtu: Set ipv6 mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_update(self, tengigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configfure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_broadcast_mac_trap_update(self, tengigabitethernet=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configfure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_cache_update(self, tengigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_cache_expire_update(self, tengigabitethernet=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_dad_update(self, tengigabitethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_dad_attempts_update(self, tengigabitethernet=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_nud_retry_update(self, tengigabitethernet=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param base: base value
		:type base: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param interval: Time interval between neighbor solicitations in milliseconds
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_attempts: Max number of retry attempts.
		:type max_attempts: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_infinite_update(self, tengigabitethernet=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param preferred_lifetime: Configures preferred lifetime
		:type preferred_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preferred_infinite: Infinite preferred lifetime
		:type preferred_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_no_advertise_update(self, tengigabitethernet=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_advertise: Do not advertise prefix
		:type no_advertise: (YANGBool)

		:param valid_lifetime: Configures valid lifetime
		:type valid_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param valid_infinite: Infinite valid lifetime
		:type valid_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_no_autoconfig_update(self, tengigabitethernet=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_autoconfig: Do not use prefix for autoconfiguration
		:type no_autoconfig: (YANGBool)

		:param no_onlink: Do not use prefix for onlink determination
		:type no_onlink: (YANGBool)

		:param off_link: Prefix is offlink
		:type off_link: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_ra_interval_update(self, tengigabitethernet=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param max_interval: Maximum interval in seconds
		:type max_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_: Minimum interval between sending RA messages
		:type min_: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_suppress_ra_update(self, tengigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_suppress_ra_all_update(self, tengigabitethernet=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_neighbor_update(self, tengigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param neighbor: kwarg tuple.
		:type neighbor: (ipv6_address).

		:param ipv6_address: tuple arg.
		:type ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param hardware_address: kwarg.
		:type hardware_address: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_update(self, tengigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_active_update(self, tengigabitethernet=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_area: OSPF area
		:type interface_area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance: Instance of OSPFv3 protocol on this interface
		:type instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPFv3 MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'point-to-point']

		:param priority: Interface priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param suppress_linklsa: Suppress link LSA advertisements
		:type suppress_linklsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_update(self, tengigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_ah_update(self, tengigabitethernet=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_ipsec_update(self, tengigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, tengigabitethernet=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_bfd_update(self, tengigabitethernet=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bfd_enable: Enable bfd on this interface
		:type bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_ospf_dead_interval_update(self, tengigabitethernet=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_policy_route_map_update(self, tengigabitethernet=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipv6_route_map_name: Word:1-63;;Route map name
		:type ipv6_route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.policy.route_map', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_raguard_update(self, tengigabitethernet=None, raguard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param raguard: IPv6 Router advertisement guard configuration
		:type raguard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, raguard=raguard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_update(self, tengigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param advertise_backup: Enable periodic backup advertisement messages
		:type advertise_backup: (YANGBool)

		:param nd_advertisement_timer: kwarg.
		:type nd_advertisement_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>
		:type advertisement_interval_scale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_advertisement_interval: Set Backup advertisement interval
		:type backup_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe_advertisement_interval: Set advertisement interval
		:type vrrpe_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_short_path_forwarding_update(self, tengigabitethernet=None, vrrpv3e_group=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param revert_priority: Set revert priority
		:type revert_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_track_update(self, tengigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3e_group: kwarg tuple.
		:type vrrpv3e_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_update(self, tengigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3_group: kwarg tuple.
		:type vrrpv3_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Use v2 checksum
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: Set advertisement interval
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_track_update(self, tengigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrpv3_group: kwarg tuple.
		:type vrrpv3_group: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_suppress_interface_ra_update(self, tengigabitethernet=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3
		:type vrrp_suppress_interface_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lacp_update(self, tengigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param timeout: Timeout commands
		:type timeout: (unicode)
		
		.. note::
			* enum - [u'short', u'long']

		:param std_port_priority: Port priority commands
		:type std_port_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_up: To bring up the interface in LACP default state 
		:type default_up: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lacp_default_up_update(self, tengigabitethernet=None, timeout=None, std_port_priority=None, default_up=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param timeout: Timeout commands
		:type timeout: (unicode)
		
		.. note::
			* enum - [u'short', u'long']

		:param std_port_priority: Port priority commands
		:type std_port_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_up: To bring up the interface in LACP default state 
		:type default_up: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.lacp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.lacp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lacp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, timeout=timeout, std_port_priority=std_port_priority, default_up=default_up)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lldp_update(self, tengigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param dcbx_version: Set up DCBX Version
		:type dcbx_version: (unicode)
		
		.. note::
			* enum - [u'auto', u'cee']

		:param disable: Disable LLDP on the Interface.
		:type disable: (YANGBool)

		:param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface
		:type iscsi_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param profile: The LLDP profile on the interface.
		:type profile: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lldp_cee_update(self, tengigabitethernet=None, lldp_cee_on_off=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param lldp_cee_on_off: kwarg.
		:type lldp_cee_on_off: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.lldp.cee', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.lldp.cee', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lldp.cee', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, lldp_cee_on_off=lldp_cee_on_off)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_lldp_dcbx_version_update(self, tengigabitethernet=None, dcbx_version=None, disable=None, iscsi_priority=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param dcbx_version: Set up DCBX Version
		:type dcbx_version: (unicode)
		
		.. note::
			* enum - [u'auto', u'cee']

		:param disable: Disable LLDP on the Interface.
		:type disable: (YANGBool)

		:param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI on this interface
		:type iscsi_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param profile: The LLDP profile on the interface.
		:type profile: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, dcbx_version=dcbx_version, disable=disable, iscsi_priority=iscsi_priority, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_mac_access_group_update(self, tengigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (mac_access_list, mac_direction, traffic_type).

		:param mac_access_list: ACL_NAME;; Access List Name (Max 63)
		:type mac_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param mac_direction: tuple arg.
		:type mac_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_mac_learning_disable_vlan_update(self, tengigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mac_learning_vlan_add: RANGE;;Range of vlans to add
		:type mac_learning_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param mac_learning_vlan_remove: RANGE;;Range of vlans to remove
		:type mac_learning_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_mac_learning_disable_vlan_add_update(self, tengigabitethernet=None, mac_learning_vlan_add=None, mac_learning_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mac_learning_vlan_add: RANGE;;Range of vlans to add
		:type mac_learning_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param mac_learning_vlan_remove: RANGE;;Range of vlans to remove
		:type mac_learning_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac_learning.mac_learn_disable.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, mac_learning_vlan_add=mac_learning_vlan_add, mac_learning_vlan_remove=mac_learning_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_openflow_update(self, tengigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: OpenFlow enable
		:type enable: (YANGBool)

		:param match_profile: OpenFlow match profile
		:type match_profile: (unicode)
		
		.. note::
			* enum - [u'Layer3', u'Layer2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable, match_profile'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, enable=enable, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_openflow_enable_update(self, tengigabitethernet=None, enable=None, match_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: OpenFlow enable
		:type enable: (YANGBool)

		:param match_profile: OpenFlow match profile
		:type match_profile: (unicode)
		
		.. note::
			* enum - [u'Layer3', u'Layer2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.openflow_interface_cfg.openflow_enable', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, enable=enable, match_profile=match_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_openflow_logical_instance_update(self, tengigabitethernet=None, logical_instance_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param logical_instance_id: OpenFlow logical instance configuration
		:type logical_instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.openflow_interface_cfg', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.openflow_interface_cfg', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, logical_instance_id=logical_instance_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_port_profile_port_domain_update(self, tengigabitethernet=None, profile_domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param profile_domain_name: Port-profile-domain name (Max Size - 128)
		:type profile_domain_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_domain_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, profile_domain_name=profile_domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_update(self, tengigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_cos: Configure default Class of Service (CoS)
		:type default_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos_mutation: Configure CoS-to-CoS mutation
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Configure DSCP-to-DSCP mutation
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Configure DSCP-to-Traffic Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Configure DSCP-to-COS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_cos_mutation_update(self, tengigabitethernet=None, default_cos=None, cos_mutation=None, cos_traffic_class=None, dscp_mutation=None, dscp_traffic_class=None, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_cos: Configure default Class of Service (CoS)
		:type default_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos_mutation: Configure CoS-to-CoS mutation
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Configure DSCP-to-DSCP mutation
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Configure DSCP-to-Traffic Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Configure DSCP-to-COS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, default_cos=default_cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_drop_monitor_update(self, tengigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.
		:type drop_monitor_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_drop_monitor_enable_update(self, tengigabitethernet=None, drop_monitor_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param drop_monitor_enable: Enable polling on RX/Tail drops and RED drops (in VDX67**) on this interface.
		:type drop_monitor_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.drop_monitor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, drop_monitor_enable=drop_monitor_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_flowcontrol_update(self, tengigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param flowcontrol_tx: Configure Pause generation
		:type flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param flowcontrol_rx: Configure Pause reception
		:type flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_flowcontrol_pfc_update(self, tengigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param pfc: kwarg tuple.
		:type pfc: (pfc_cos).

		:param pfc_cos: 0-7;;CoS value
		:type pfc_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

	**This Instance Arg(s)**:
		:param pfc_flowcontrol_tx: Configure Pause generation
		:type pfc_flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param pfc_flowcontrol_rx: Configure Pause reception
		:type pfc_flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_flowcontrol_rx_update(self, tengigabitethernet=None, flowcontrol_tx=None, flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param flowcontrol_tx: Configure Pause generation
		:type flowcontrol_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param flowcontrol_rx: Configure Pause reception
		:type flowcontrol_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.link_level_flowcontrol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, flowcontrol_tx=flowcontrol_tx, flowcontrol_rx=flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_random_detect_traffic_class_update(self, tengigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param traffic_class: kwarg tuple.
		:type traffic_class: (red_tc_value).

		:param red_tc_value: tuple arg.
		:type red_tc_value: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param red_enable: Keyword for VDX 6710,6720,6730,6746,2730
		:type red_enable: (YANGBool)

		:param red_profile_id: Keyword for all other VDX platforms
		:type red_profile_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_rcv_queue_cos_threshold_update(self, tengigabitethernet=None, cos0_threshold=None, cos1_threshold=None, cos2_threshold=None, cos3_threshold=None, cos4_threshold=None, cos5_threshold=None, cos6_threshold=None, cos7_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param cos0_threshold: kwarg.
		:type cos0_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos1_threshold: kwarg.
		:type cos1_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos2_threshold: kwarg.
		:type cos2_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos3_threshold: kwarg.
		:type cos3_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos4_threshold: kwarg.
		:type cos4_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos5_threshold: kwarg.
		:type cos5_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos6_threshold: kwarg.
		:type cos6_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cos7_threshold: kwarg.
		:type cos7_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.rcv_queue.cos_threshold', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, cos0_threshold=cos0_threshold, cos1_threshold=cos1_threshold, cos2_threshold=cos2_threshold, cos3_threshold=cos3_threshold, cos4_threshold=cos4_threshold, cos5_threshold=cos5_threshold, cos6_threshold=cos6_threshold, cos7_threshold=cos7_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_trust_update(self, tengigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class
		:type trust_dscp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_trust_cos_update(self, tengigabitethernet=None, trust_cos=None, trust_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param trust_dscp: Trust L3 DSCP field in incoming packets for deriving internal Traffic Class
		:type trust_dscp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.qos.trust', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.trust', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, trust_cos=trust_cos, trust_dscp=trust_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_rmon_collection_history_update(self, tengigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param history_control_entry: kwarg tuple.
		:type history_control_entry: (history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner).

		:param history_control_index: tuple arg.
		:type history_control_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_buckets_requested: Buckets (default 50)
		:type history_control_buckets_requested: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_interval: Polling Interval (default 1800)
		:type history_control_interval: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_owner: Owner identity
		:type history_control_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

	**This Instance Arg(s)**:
		:param history_control_buckets_requested: Buckets (default 50)
		:type history_control_buckets_requested: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_interval: Polling Interval (default 1800)
		:type history_control_interval: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param history_control_owner: Owner identity
		:type history_control_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_rmon_collection_stats_update(self, tengigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ether_stats_entry: kwarg tuple.
		:type ether_stats_entry: (ether_stats_index, ether_stats_owner).

		:param ether_stats_index: tuple arg.
		:type ether_stats_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param ether_stats_owner: Owner identity
		:type ether_stats_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

	**This Instance Arg(s)**:
		:param ether_stats_owner: Owner identity
		:type ether_stats_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_service_policy_update(self, tengigabitethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param in_: Input Policy Map
		:type in_: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param out: Output Policy Map
		:type out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_service_policy_in_update(self, tengigabitethernet=None, in_=None, out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param in_: Input Policy Map
		:type in_: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param out: Output Policy Map
		:type out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.service_policy', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.service_policy', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, in_=in_, out=out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_sflow_update(self, tengigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Enable port sflow
		:type enable: (YANGBool)

		:param polling_interval: Interface counter polling interval
		:type polling_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sample_rate: Interface sampling rate
		:type sample_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_sflow_enable_update(self, tengigabitethernet=None, enable=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param enable: Enable port sflow
		:type enable: (YANGBool)

		:param polling_interval: Interface counter polling interval
		:type polling_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sample_rate: Interface sampling rate
		:type sample_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.sflow', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.sflow', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.sflow', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, enable=enable, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_snmp_trap_update(self, tengigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_snmp_trap_link_status_update(self, tengigabitethernet=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.snmp.trap', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_update(self, tengigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param autoedge: Autoedge - enable automatic edge detection
		:type autoedge: (YANGBool)

		:param cost: Change an interface's spanning tree port path cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bpdu_mac: Configure VLAN spanning-tree control MAC
		:type bpdu_mac: (unicode)
		
		.. note::
			* enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

		:param link_type: Specify a link type for spanning tree protocol
		:type link_type: (unicode)
		
		.. note::
			* enum - [u'shared', u'point-to-point']

		:param priority: Change an interface's spanning tree port priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change and received topology change notifications
		:type restricted_tcn: (YANGBool)

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_autoedge_update(self, tengigabitethernet=None, autoedge=None, cost=None, hello_time=None, bpdu_mac=None, link_type=None, priority=None, restricted_role=None, restricted_tcn=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param autoedge: Autoedge - enable automatic edge detection
		:type autoedge: (YANGBool)

		:param cost: Change an interface's spanning tree port path cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bpdu_mac: Configure VLAN spanning-tree control MAC
		:type bpdu_mac: (unicode)
		
		.. note::
			* enum - [u'0100.0ccc.cccd', u'0304.0800.0700']

		:param link_type: Specify a link type for spanning tree protocol
		:type link_type: (unicode)
		
		.. note::
			* enum - [u'shared', u'point-to-point']

		:param priority: Change an interface's spanning tree port priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change and received topology change notifications
		:type restricted_tcn: (YANGBool)

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, autoedge=autoedge, cost=cost, hello_time=hello_time, bpdu_mac=bpdu_mac, link_type=link_type, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_edgeport_update(self, tengigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param edgeportbasic: Edgeport
		:type edgeportbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_edgeport_bpdu_filter_update(self, tengigabitethernet=None, edgeportbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param edgeportbasic: Edgeport
		:type edgeportbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.edgeport', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, edgeportbasic=edgeportbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_guard_update(self, tengigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_guard_root_update(self, tengigabitethernet=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_instance_update(self, tengigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param instance: kwarg tuple.
		:type instance: (id).

		:param id: tuple arg.
		:type id: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param cost: Path cost for a port
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: Port priority for a bridge
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restricted_role: Restrict the role of the port
		:type restricted_role: (YANGBool)

		:param restricted_tcn: Restrict propagation of topology change
notifications from port
		:type restricted_tcn: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_portfast_update(self, tengigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param portfastbasic: Enable an interface to move directly to forwarding on link up
		:type portfastbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_portfast_bpdu_filter_update(self, tengigabitethernet=None, portfastbasic=None, bpdu_guard=None, bpdu_filter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param portfastbasic: Enable an interface to move directly to forwarding on link up
		:type portfastbasic: (YANGBool)

		:param bpdu_guard: Guard the port against reception of BPDUs
		:type bpdu_guard: (YANGBool)

		:param bpdu_filter: Set the portfast bpdu-filter for the port
		:type bpdu_filter: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.portfast', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, portfastbasic=portfastbasic, bpdu_guard=bpdu_guard, bpdu_filter=bpdu_filter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_vlan_update(self, tengigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param cost: Path cost for a port
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: Port priority for a bridge
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_vlan_guard_update(self, tengigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_vlan_guard_root_update(self, tengigabitethernet=None, vlan=None, root=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param root: Disable reception of superior BPDUs
		:type root: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan.guard', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan=vlan, root=root)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_storm_control_ingress_update(self, tengigabitethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param ingress: kwarg tuple.
		:type ingress: (protocol_type, rate_format, rate_bps, rate_percent, bum_action).

		:param protocol_type: tuple arg.
		:type protocol_type: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'unknown-unicast', u'multicast']

		:param rate_format: tuple arg.
		:type rate_format: (unicode)
		
		.. note::
			* enum - [u'limit-bps', u'limit-percent']

		:param rate_bps: tuple arg.
		:type rate_bps: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rate_percent: tuple arg.
		:type rate_percent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bum_action: tuple arg.
		:type bum_action: (unicode)
		
		.. note::
			* enum - [u'monitor', u'shutdown']

	**This Instance Arg(s)**:
		:param rate_format: kwarg.
		:type rate_format: (unicode)
		
		.. note::
			* enum - [u'limit-bps', u'limit-percent']

		:param rate_bps: kwarg.
		:type rate_bps: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rate_percent: kwarg.
		:type rate_percent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bum_action: kwarg.
		:type bum_action: (unicode)
		
		.. note::
			* enum - [u'monitor', u'shutdown']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_update(self, tengigabitethernet=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport_basic', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport_basic', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport_basic', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_access_update(self, tengigabitethernet=None, rspan_access_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rspan_access_vlan: Specify rspan-vlan id to set as access vlan
		:type rspan_access_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access.rspan_access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access.rspan_access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, rspan_access_vlan=rspan_access_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_mode_update(self, tengigabitethernet=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vlan_mode: kwarg.
		:type vlan_mode: (unicode)
		
		.. note::
			* enum - [u'access', u'trunk-no-default-native', u'trunk']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.mode', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.mode', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_mode_private_vlan_update(self, tengigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param promiscuous: Set the Layer2 interface as private-vlan promiscuous
		:type promiscuous: (YANGBool)

		:param host: Set the Layer2 interface as private-vlan host
		:type host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_mode_private_vlan_host_update(self, tengigabitethernet=None, promiscuous=None, host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param promiscuous: Set the Layer2 interface as private-vlan promiscuous
		:type promiscuous: (YANGBool)

		:param host: Set the Layer2 interface as private-vlan host
		:type host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, promiscuous=promiscuous, host=host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_mode_private_vlan_trunk_update(self, tengigabitethernet=None, trunk_basic=None, trunk_promiscuous=None, trunk_host=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param trunk_basic: kwarg.
		:type trunk_basic: (YANGBool)

		:param trunk_promiscuous: Set the Layer2 interface as private-vlan trunk promiscuous
		:type trunk_promiscuous: (YANGBool)

		:param trunk_host: Set the Layer2 interface as private-vlan trunk host
		:type trunk_host: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.mode.private_vlan.private_vlan_trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, trunk_basic=trunk_basic, trunk_promiscuous=trunk_promiscuous, trunk_host=trunk_host)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_port_security_max_update(self, tengigabitethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param port_sec_max: Maximum number of allowed MACs
		:type port_sec_max: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_sec_violation: Set the action on violation
		:type port_sec_violation: (unicode)
		
		.. note::
			* enum - [u'restrict', u'shutdown']

		:param shutdown_time: Shutdown time for port
		:type shutdown_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_host_association_update(self, tengigabitethernet=None, host_pri_pvlan=None, host_sec_pvlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param host_pri_pvlan: Primary vlan id
		:type host_pri_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param host_sec_pvlan: Secondary vlan id
		:type host_sec_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.host_association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, host_pri_pvlan=host_pri_pvlan, host_sec_pvlan=host_sec_pvlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_mapping_update(self, tengigabitethernet=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param mapping: kwarg tuple.
		:type mapping: (promis_pri_pvlan, oper, promis_sec_pvlan_range).

		:param promis_pri_pvlan: Primary vlan id
		:type promis_pri_pvlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param oper: tuple arg.
		:type oper: (unicode)
		
		.. note::
			* enum - [u'add', u'delete']

		:param promis_sec_pvlan_range: Secondary vlan range
		:type promis_sec_pvlan_range: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

	**This Instance Arg(s)**:
		:param oper: kwarg.
		:type oper: (unicode)
		
		.. note::
			* enum - [u'add', u'delete']

		:param promis_sec_pvlan_range: Secondary vlan range
		:type promis_sec_pvlan_range: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_update(self, tengigabitethernet=None, pvlan_all=None, pvlan_none=None, pvlan_add=None, pvlan_except=None, pvlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlan_all: Allow all VLANs to Xmit/Rx through the Layer2 interface
		:type pvlan_all: (YANGBool)

		:param pvlan_none: Allow no VLANs to Xmit/Rx through the Layer2 interface
		:type pvlan_none: (YANGBool)

		:param pvlan_add: Add a VLAN to Xmit/Rx through the Layer2 interface
		:type pvlan_add: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param pvlan_except: Allow all VLANs except VID to Xmit/Rx through Layer2 interface
		:type pvlan_except: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param pvlan_remove: Remove a VLAN that Xmit/Rx through the Layer2 interface
		:type pvlan_remove: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pvlan_all=pvlan_all, pvlan_none=pvlan_none, pvlan_add=pvlan_add, pvlan_except=pvlan_except, pvlan_remove=pvlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_native_update(self, tengigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlanNativevlan: kwarg.
		:type pvlanNativevlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pvlan_native_vlan_ctag_id: Associate a Ctag.
		:type pvlan_native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pvlanNativevlan, pvlan_native_vlan_ctag_id'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_native_vlan_update(self, tengigabitethernet=None, pvlanNativevlan=None, pvlan_native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlanNativevlan: kwarg.
		:type pvlanNativevlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pvlan_native_vlan_ctag_id: Associate a Ctag.
		:type pvlan_native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.native', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pvlanNativevlan=pvlanNativevlan, pvlan_native_vlan_ctag_id=pvlan_native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_tag_update(self, tengigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlan_tag_native_vlan: Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic
		:type pvlan_tag_native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_tag_native_vlan_update(self, tengigabitethernet=None, pvlan_tag_native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param pvlan_tag_native_vlan: Set the Private-Vlan native 
VLAN characteristics of the Layer2 trunk 
interface for classifying untagged traffic
		:type pvlan_tag_native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.trunk.pvlan_tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, pvlan_tag_native_vlan=pvlan_tag_native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_update(self, tengigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_transparent_vlan: default transparent vlan
		:type default_transparent_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id_untagged'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_rspan_vlan_update(self, tengigabitethernet=None, add_rspan_trunk_vlan=None, remove_rspan_trunk_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_rspan_trunk_vlan: Specify rspan-vlan id
		:type add_rspan_trunk_vlan: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_rspan_trunk_vlan: Specify the rspan vlans to be removed
		:type remove_rspan_trunk_vlan: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add_rspan_trunk_vlan=add_rspan_trunk_vlan, remove_rspan_trunk_vlan=remove_rspan_trunk_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlan_update(self, tengigabitethernet=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param all: Allow all Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type all: (YANGBool)

		:param none: Allow no Dot1Q VLANs to Xmit/Rx through the
Layer2 interface
		:type none: (YANGBool)

		:param add_: Allow these VLANs to Xmit/Rx 
through the Layer2 interface
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..20000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param except_: Allow all VLANs except this vlan 
range to Xmit/Rx through the Layer2 
interface
		:type except_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: Remove a VLAN range that Xmit/Rx 
through the Layer2 interface
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlan_add_update(self, tengigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param add: kwarg tuple.
		:type add: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlan_remove_update(self, tengigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param remove: kwarg tuple.
		:type remove: (trunk_vlan_id).

		:param trunk_vlan_id: tuple arg.
		:type trunk_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trunk_ctag_range: kwarg.
		:type trunk_ctag_range: (unicode)
		
		.. note::
			* length - [u'1..1000']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlanoper_vlan_update(self, tengigabitethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_: kwarg.
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: kwarg.
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlanoper_vlan_add_update(self, tengigabitethernet=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param add_: kwarg.
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: kwarg.
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.vlanoper.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_ctag_update(self, tengigabitethernet=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan_id: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying untagged
traffic
		:type native_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param native_vlan_ctag_id: Associate a Ctag.
		:type native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_xtagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_default_vlan_update(self, tengigabitethernet=None, default_transparent_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param default_transparent_vlan: default transparent vlan
		:type default_transparent_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.default_vlan_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, default_transparent_vlan=default_transparent_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_native_vlan_untagged_update(self, tengigabitethernet=None, native_vlan_id_untagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan_id_untagged: Set the interface to accept only
untagged native-vlan traffic on ingress and
untagged native-vlan traffic on egress.
		:type native_vlan_id_untagged: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.native_vlan_untagged_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, native_vlan_id_untagged=native_vlan_id_untagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_tag_update(self, tengigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic
		:type native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_tag_native_vlan_update(self, tengigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param native_vlan: Set the native VLAN characteristics of the 
Layer2 trunk interface for classifying 
untagged traffic
		:type native_vlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_track_update(self, tengigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_enable: Enable tracking interface
		:type track_enable: (YANGBool)

		:param min_link: Min link
		:type min_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_track_min_link_update(self, tengigabitethernet=None, track_enable=None, min_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_enable: Enable tracking interface
		:type track_enable: (YANGBool)

		:param min_link: Min link
		:type min_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.track', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.track', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, track_enable=track_enable, min_link=min_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_track_remove_update(self, tengigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface
		:type remove_all_track_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_track_remove_all_update(self, tengigabitethernet=None, remove_all_track_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param remove_all_track_interfaces: Remove Link State Tracking configuration from this interface
		:type remove_all_track_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.track.remove_', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.track.remove_', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, remove_all_track_interfaces=remove_all_track_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_tunable_optics_sfpp_update(self, tengigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param channel: Channel configuration.
		:type channel: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_tunable_optics_sfpp_channel_update(self, tengigabitethernet=None, channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param channel: Channel configuration.
		:type channel: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.tunable_optics.sfpp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, channel=channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_tunnel_update(self, tengigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCS
fabric
		:type tagged_ieee_bpdu: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_tunnel_tagged_ieee_bpdu_update(self, tengigabitethernet=None, tagged_ieee_bpdu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param tagged_ieee_bpdu: Enable tunneling of tagged IEEE BPDUs though VCS
fabric
		:type tagged_ieee_bpdu: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.tunnel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.tunnel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.tunnel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, tagged_ieee_bpdu=tagged_ieee_bpdu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_udld_update(self, tengigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param udld_enable: Enable UDLD protocol on the Interface
		:type udld_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_udld_enable_update(self, tengigabitethernet=None, udld_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param udld_enable: Enable UDLD protocol on the Interface
		:type udld_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, udld_enable=udld_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vepa_update(self, tengigabitethernet=None, vepa_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vepa_enable: Set enable
		:type vepa_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vepa', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vepa', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vepa', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vepa_enable=vepa_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vepa_enable_update(self, tengigabitethernet=None, vepa_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param vepa_enable: Set enable
		:type vepa_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vepa', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vepa', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vepa', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vepa_enable=vepa_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vlan_classifier_activate_group_update(self, tengigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param group: kwarg tuple.
		:type group: (groupid, vlan).

		:param groupid: tuple arg.
		:type groupid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan: 1-8191;;Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan: 1-8191;;Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrf_update(self, tengigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrf_forwarding_update(self, tengigabitethernet=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrf', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_update(self, tengigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Keyword Arg Tuple**:
		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_arp_unicast_request_update(self, tengigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_arp_unicast_request_receive_update(self, tengigabitethernet=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_track_update(self, tengigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tengigabitethernet: kwarg tuple.
		:type tengigabitethernet: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tengigabitethernet=tengigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tunnel_update(self, tunnel=None, tunnel_destination=None, tunnel_shutdown=None, gre_ttl=None, gre_dscp=None, tunnel_name=None, dscp_ttl_mode=None, statistics=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param tunnel: kwarg tuple.
		:type tunnel: (identifier).

		:param identifier: Identifier value range 1 to 1024
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param tunnel_destination: destination IP address
		:type tunnel_destination: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param tunnel_shutdown: Tunnel shutdown
		:type tunnel_shutdown: (YANGBool)

		:param gre_ttl: Tunnel ttl range 1 to 255
		:type gre_ttl: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param gre_dscp: Tunnel dscp range 0 to 63
		:type gre_dscp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tunnel_name: Tunnel name
		:type tunnel_name: (unicode)
		
		.. note::
			* length - [u'1..256']

		:param dscp_ttl_mode: Tunnel dscp ttl mode
		:type dscp_ttl_mode: (unicode)
		
		.. note::
			* enum - [u'pipe', u'uniform']

		:param statistics: Tunnel statistics
		:type statistics: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, tunnel_destination=tunnel_destination, tunnel_shutdown=tunnel_shutdown, gre_ttl=gre_ttl, gre_dscp=gre_dscp, tunnel_name=tunnel_name, dscp_ttl_mode=dscp_ttl_mode, statistics=statistics)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tunnel_keepalive_update(self, tunnel=None, time_interval=None, retry_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel: kwarg tuple.
		:type tunnel: (identifier).

		:param identifier: Identifier value range 1 to 1024
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param time_interval: Time interval range 1 to 32767
		:type time_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry_count: Retry count range 1 to 255
		:type retry_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.keepalive', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, time_interval=time_interval, retry_count=retry_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tunnel_keepalive_retry_count_update(self, tunnel=None, time_interval=None, retry_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel: kwarg tuple.
		:type tunnel: (identifier).

		:param identifier: Identifier value range 1 to 1024
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param time_interval: Time interval range 1 to 32767
		:type time_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry_count: Retry count range 1 to 255
		:type retry_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.keepalive', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, time_interval=time_interval, retry_count=retry_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tunnel_map_update(self, tunnel=None, map_vlan=None, map_bd=None, map_vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel: kwarg tuple.
		:type tunnel: (identifier).

		:param identifier: Identifier value range 1 to 1024
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param map_vlan: vlan id range 1 to 4096
		:type map_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_bd: bd id range 1 to 4096
		:type map_bd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_vni: vni id range 1 to 16777216
		:type map_vni: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, map_vlan=map_vlan, map_bd=map_bd, map_vni=map_vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tunnel_map_bd_update(self, tunnel=None, map_vlan=None, map_bd=None, map_vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel: kwarg tuple.
		:type tunnel: (identifier).

		:param identifier: Identifier value range 1 to 1024
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param map_vlan: vlan id range 1 to 4096
		:type map_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_bd: bd id range 1 to 4096
		:type map_bd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_vni: vni id range 1 to 16777216
		:type map_vni: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_map', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, map_vlan=map_vlan, map_bd=map_bd, map_vni=map_vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tunnel_mode_update(self, tunnel=None, vxlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel: kwarg tuple.
		:type tunnel: (identifier).

		:param identifier: Identifier value range 1 to 1024
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vxlan: vxlan
		:type vxlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, vxlan=vxlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tunnel_mode_gre_update(self, tunnel=None, ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel: kwarg tuple.
		:type tunnel: (identifier).

		:param identifier: Identifier value range 1 to 1024
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ip: Over IP
		:type ip: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.mode.gre', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, ip=ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tunnel_mode_gre_ip_update(self, tunnel=None, ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel: kwarg tuple.
		:type tunnel: (identifier).

		:param identifier: Identifier value range 1 to 1024
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ip: Over IP
		:type ip: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.mode.gre', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, ip=ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tunnel_mode_vxlan_update(self, tunnel=None, vxlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel: kwarg tuple.
		:type tunnel: (identifier).

		:param identifier: Identifier value range 1 to 1024
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vxlan: vxlan
		:type vxlan: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.mode', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, vxlan=vxlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tunnel_router_interface_update(self, tunnel=None, router_ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel: kwarg tuple.
		:type tunnel: (identifier).

		:param identifier: Identifier value range 1 to 1024
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param router_ve: ve num range 1 to 4095
		:type router_ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_router_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, router_ve=router_ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tunnel_router_interface_ve_update(self, tunnel=None, router_ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel: kwarg tuple.
		:type tunnel: (identifier).

		:param identifier: Identifier value range 1 to 1024
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param router_ve: ve num range 1 to 4095
		:type router_ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.tunnel_router_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, router_ve=router_ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tunnel_source_update(self, tunnel=None, source_address=None, interface_loopback=None, interface_ethernet=None, interface_ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel: kwarg tuple.
		:type tunnel: (identifier).

		:param identifier: Identifier value range 1 to 1024
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param source_address: kwarg.
		:type source_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param interface_loopback: Loopback port
		:type interface_loopback: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_ethernet: Ethernet port
		:type interface_ethernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param interface_ve: ve num range 1 to 4095
		:type interface_ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.gre_source', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, source_address=source_address, interface_loopback=interface_loopback, interface_ethernet=interface_ethernet, interface_ve=interface_ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_tunnel_source_ethernet_update(self, tunnel=None, source_address=None, interface_loopback=None, interface_ethernet=None, interface_ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel: kwarg tuple.
		:type tunnel: (identifier).

		:param identifier: Identifier value range 1 to 1024
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param source_address: kwarg.
		:type source_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param interface_loopback: Loopback port
		:type interface_loopback: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_ethernet: Ethernet port
		:type interface_ethernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param interface_ve: ve num range 1 to 4095
		:type interface_ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', u'tunnel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel.gre_source', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'identifier', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel=tunnel, source_address=source_address, interface_loopback=interface_loopback, interface_ethernet=interface_ethernet, interface_ve=interface_ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_update(self, ve=None, global_ve_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param ve: kwarg tuple.
		:type ve: (gve_name).

		:param gve_name: tuple arg.
		:type gve_name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param global_ve_shutdown: Shutdown the selected interface
		:type global_ve_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'gve_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, global_ve_shutdown=global_ve_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_attach_rbridge_id_update(self, ve=None, rb_add=None, rb_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (gve_name).

		:param gve_name: tuple arg.
		:type gve_name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rb_add: kwarg.
		:type rb_add: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param rb_remove: kwarg.
		:type rb_remove: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rb_add=rb_add, rb_remove=rb_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_attach_rbridge_id_add_update(self, ve=None, rb_add=None, rb_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (gve_name).

		:param gve_name: tuple arg.
		:type gve_name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rb_add: kwarg.
		:type rb_add: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param rb_remove: kwarg.
		:type rb_remove: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rb_add=rb_add, rb_remove=rb_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_bfd_update(self, ve=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_bfd_interval_update(self, ve=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_bfd_interval_min_rx_update(self, ve=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_bfd_shutdown_update(self, ve=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_update(self, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (gve_name).

		:param gve_name: tuple arg.
		:type gve_name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_ve_dhcp_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.intf_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_acl_interface.ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_pbr_interface.ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_access_group_update(self, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ip_access_list, ip_direction, traffic_type).

		:param ip_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ip_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_address_update(self, ve=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param address: kwarg tuple.
		:type address: (address, secondary, ospf_passive, ospf_ignore).

		:param address: A.B.C.D/M IP address in dotted decimal/Mask
		:type address: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_arp_aging_timeout_update(self, ve=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mtu: Set ip mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param directed_broadcast: Enable directed IP broadcasts forwarding
		:type directed_broadcast: (YANGBool)

		:param proxy_arp: Proxy-Arp on the interface
		:type proxy_arp: (YANGBool)

		:param arp_aging_timeout: Set arp age timeout value to interface
		:type arp_aging_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_dhcp_relay_gateway_update(self, ve=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param gateway: Gateway address
		:type gateway: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_update(self, ve=None, ip_anycast_gateway=None, ipv4_gateway_address=None, hold_time=None, load_balancing_disable=None, enable=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (gve_name).

		:param gve_name: tuple arg.
		:type gve_name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ip_anycast_gateway: kwarg tuple.
		:type ip_anycast_gateway: (ip_gw_id).

		:param ip_gw_id: tuple arg.
		:type ip_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipv4_gateway_address: A.B.C.D/M IP address in dotted decimal/Mask
		:type ipv4_gateway_address: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		:param hold_time: Hold timer for Fabric Virtual Gateway
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param load_balancing_disable: Disable load balancing
		:type load_balancing_disable: (YANGBool)

		:param enable: Enable Fabric Virtual Gateway
		:type enable: (YANGBool)

		:param description: Fabric Virtual Gateway specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1 .. 63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_anycast_gateway', 'keyval': 'ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_anycast_gateway=ip_anycast_gateway, ipv4_gateway_address=ipv4_gateway_address, hold_time=hold_time, load_balancing_disable=load_balancing_disable, enable=enable, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_gratuitous_arp_update(self, ve=None, ip_anycast_gateway=None, gve_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (gve_name).

		:param gve_name: tuple arg.
		:type gve_name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_anycast_gateway: kwarg tuple.
		:type ip_anycast_gateway: (ip_gw_id).

		:param ip_gw_id: tuple arg.
		:type ip_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param gve_timer: Gratuitous ARP timer value
		:type gve_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_anycast_gateway=ip_anycast_gateway, gve_timer=gve_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_gratuitous_arp_timer_update(self, ve=None, ip_anycast_gateway=None, gve_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (gve_name).

		:param gve_name: tuple arg.
		:type gve_name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_anycast_gateway: kwarg tuple.
		:type ip_anycast_gateway: (ip_gw_id).

		:param ip_gw_id: tuple arg.
		:type ip_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param gve_timer: Gratuitous ARP timer value
		:type gve_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip.ip_anycast_gateway', u'ip_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_anycast_gateway=ip_anycast_gateway, gve_timer=gve_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_load_balancing_update(self, ve=None, ip_local_anycast_gateway=None, basic=None, threshold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_local_anycast_gateway: kwarg tuple.
		:type ip_local_anycast_gateway: (local_ip_gw_id).

		:param local_ip_gw_id: tuple arg.
		:type local_ip_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param threshold_priority: Threshold Priority
		:type threshold_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_track_interface_update(self, ve=None, ip_local_anycast_gateway=None, interface=None, interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_local_anycast_gateway: kwarg tuple.
		:type ip_local_anycast_gateway: (local_ip_gw_id).

		:param local_ip_gw_id: tuple arg.
		:type local_ip_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_priority: Track Priority
		:type interface_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_track_network_update(self, ve=None, ip_local_anycast_gateway=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_local_anycast_gateway: kwarg tuple.
		:type ip_local_anycast_gateway: (local_ip_gw_id).

		:param local_ip_gw_id: tuple arg.
		:type local_ip_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_address).

		:param network_address: tuple arg.
		:type network_address: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

	**This Instance Arg(s)**:
		:param network_priority: Track Priority
		:type network_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_track_next_hop_update(self, ve=None, ip_local_anycast_gateway=None, next_hop=None, next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_local_anycast_gateway: kwarg tuple.
		:type ip_local_anycast_gateway: (local_ip_gw_id).

		:param local_ip_gw_id: tuple arg.
		:type local_ip_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param next_hop: kwarg tuple.
		:type next_hop: (next_hop_address).

		:param next_hop_address: tuple arg.
		:type next_hop_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_priority: Track Priority
		:type next_hop_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_icmp_update(self, ve=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_icmp_plus_update(self, ve=None, echo_reply=None, unreachable=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp_plus', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, echo_reply=echo_reply, unreachable=unreachable, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_icmp_plus_address_mask_update(self, ve=None, echo_reply=None, unreachable=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp_plus', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, echo_reply=echo_reply, unreachable=unreachable, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_icmp_rate_limiting_update(self, ve=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.icmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_igmp_update(self, ve=None, igmpl3_last_member_query_interval=None, igmpl3_query_interval=None, igmpl3_query_max_response_time=None, igmpl3_immediate_leave=None, igmpl3_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param igmpl3_last_member_query_interval: Last Member Query Interval
		:type igmpl3_last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmpl3_query_interval: Query Interval
		:type igmpl3_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmpl3_query_max_response_time: IGMP Max Query Response Time
		:type igmpl3_query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmpl3_immediate_leave: Immediate Leave Processing
		:type igmpl3_immediate_leave: (YANGBool)

		:param igmpl3_version: Version for this interface
		:type igmpl3_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval, igmpl3_query_interval=igmpl3_query_interval, igmpl3_query_max_response_time=igmpl3_query_max_response_time, igmpl3_immediate_leave=igmpl3_immediate_leave, igmpl3_version=igmpl3_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_igmp_immediate_leave_update(self, ve=None, igmpl3_last_member_query_interval=None, igmpl3_query_interval=None, igmpl3_query_max_response_time=None, igmpl3_immediate_leave=None, igmpl3_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param igmpl3_last_member_query_interval: Last Member Query Interval
		:type igmpl3_last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmpl3_query_interval: Query Interval
		:type igmpl3_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmpl3_query_max_response_time: IGMP Max Query Response Time
		:type igmpl3_query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmpl3_immediate_leave: Immediate Leave Processing
		:type igmpl3_immediate_leave: (YANGBool)

		:param igmpl3_version: Version for this interface
		:type igmpl3_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, igmpl3_last_member_query_interval=igmpl3_last_member_query_interval, igmpl3_query_interval=igmpl3_query_interval, igmpl3_query_max_response_time=igmpl3_query_max_response_time, igmpl3_immediate_leave=igmpl3_immediate_leave, igmpl3_version=igmpl3_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_multicast_boundary_update(self, ve=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param pim_sparse: Sparse Mode (PIM-SM)
		:type pim_sparse: (YANGBool)

		:param mcast_bdry_prefix_list: Prefix list
		:type mcast_bdry_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_update(self, ve=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param intf_ldp_sync: Set LDP-SYNC operation mode on this interface
		:type intf_ldp_sync: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_active_update(self, ve=None, area=None, auth_change_wait_time=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, network=None, intf_ldp_sync=None, mtu_ignore=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param intf_ldp_sync: Set LDP-SYNC operation mode on this interface
		:type intf_ldp_sync: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, area=area, auth_change_wait_time=auth_change_wait_time, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, network=network, intf_ldp_sync=intf_ldp_sync, mtu_ignore=mtu_ignore, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_authentication_key_update(self, ve=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param encrypttype: kwarg.
		:type encrypttype: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param auth_key: The OSPF password (key)
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_bfd_update(self, ve=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param intf_bfd_enable: Enable bfd on this interface
		:type intf_bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_database_filter_update(self, ve=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_database_filter_all_external_update(self, ve=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.database_filter', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_md5_authentication_update(self, ve=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_md5_authentication_key_activation_wait_time_update(self, ve=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_activation_wait_time: The activation wait time in Seconds
		:type key_activation_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_md5_authentication_key_id_update(self, ve=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_ospf_md5_authentication_key_id_key_update(self, ve=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_vlan_ospf_conf.ospf1.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_pim_update(self, ve=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ttl_threshold: Set TTL threshold
		:type ttl_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_pim_dr_priority_update(self, ve=None, neighbor_filter=None, dr_priority=None, ttl_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ttl_threshold: Set TTL threshold
		:type ttl_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, neighbor_filter=neighbor_filter, dr_priority=dr_priority, ttl_threshold=ttl_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_policy_route_map_update(self, ve=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param route_map_name: Word:1-63;;Route map name
		:type route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_router_update(self, ve=None, interface_ip_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_ip_router_isis: Enable IS-IS
		:type interface_ip_router_isis: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_ip_router_isis=interface_ip_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_router_isis_update(self, ve=None, interface_ip_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_ip_router_isis: Enable IS-IS
		:type interface_ip_router_isis: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.intf_router_isis.int_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_ip_router_isis=interface_ip_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_vrrp_extended_auth_type_md5_auth_update(self, ve=None, auth_data=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param auth_data: Authentication data
		:type auth_data: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_vrrp_extended.auth_type.md5_auth', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, auth_data=auth_data)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_update(self, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (gve_name).

		:param gve_name: tuple arg.
		:type gve_name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.intf_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_access_group_update(self, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ipv6_access_list, ip_direction, traffic_type).

		:param ipv6_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ipv6_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_update(self, ve=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_eui_64_update(self, ve=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id
		:type eui64: (YANGBool)

		:param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface
		:type eui_secondary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_link_local_update(self, ve=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param link_local_address: kwarg.
		:type link_local_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local: Configure ipv6 address to override automatically computed link-local address
		:type link_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_use_link_local_only_update(self, ve=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param use_link_local_only: Configure automatically computed link-local address
		:type use_link_local_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_dhcp_relay_update(self, ve=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_dhcp_relay_interface_update(self, ve=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param interface_type: Interface type
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'Ve']

		:param interface_name: Interface name
		:type interface_name: (unicode)
		
		.. note::
			* pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_update(self, ve=None, ipv6_anycast_gateway=None, hold_time=None, load_balancing_disable=None, enable=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (gve_name).

		:param gve_name: tuple arg.
		:type gve_name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ipv6_anycast_gateway: kwarg tuple.
		:type ipv6_anycast_gateway: (ipv6_gw_id).

		:param ipv6_gw_id: tuple arg.
		:type ipv6_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hold_time: Hold timer for Fabric Virtual Gateway
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param load_balancing_disable: Disable load balancing
		:type load_balancing_disable: (YANGBool)

		:param enable: Enable Fabric Virtual Gateway
		:type enable: (YANGBool)

		:param description: Fabric Virtual Gateway specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1 .. 63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_gateway', 'keyval': 'ipv6_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, hold_time=hold_time, load_balancing_disable=load_balancing_disable, enable=enable, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_gratuitous_arp_update(self, ve=None, ipv6_anycast_gateway=None, gve_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (gve_name).

		:param gve_name: tuple arg.
		:type gve_name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_anycast_gateway: kwarg tuple.
		:type ipv6_anycast_gateway: (ipv6_gw_id).

		:param ipv6_gw_id: tuple arg.
		:type ipv6_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param gve_timer: Gratuitous ARP timer value
		:type gve_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, gve_timer=gve_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_gratuitous_arp_timer_update(self, ve=None, ipv6_anycast_gateway=None, gve_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (gve_name).

		:param gve_name: tuple arg.
		:type gve_name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_anycast_gateway: kwarg tuple.
		:type ipv6_anycast_gateway: (ipv6_gw_id).

		:param ipv6_gw_id: tuple arg.
		:type ipv6_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param gve_timer: Gratuitous ARP timer value
		:type gve_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, gve_timer=gve_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_load_balancing_update(self, ve=None, ipv6_local_anycast_gateway=None, basic=None, threshold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_local_anycast_gateway: kwarg tuple.
		:type ipv6_local_anycast_gateway: (local_ipv6_gw_id).

		:param local_ipv6_gw_id: tuple arg.
		:type local_ipv6_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param threshold_priority: Threshold Priority
		:type threshold_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_track_interface_update(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, ipv6_interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_local_anycast_gateway: kwarg tuple.
		:type ipv6_local_anycast_gateway: (local_ipv6_gw_id).

		:param local_ipv6_gw_id: tuple arg.
		:type local_ipv6_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ipv6_interface: kwarg tuple.
		:type ipv6_interface: (ipv6_interface_type, ipv6_interface_name).

		:param ipv6_interface_type: tuple arg.
		:type ipv6_interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel']

		:param ipv6_interface_name: tuple arg.
		:type ipv6_interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipv6_interface_priority: Track Priority
		:type ipv6_interface_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_track_network_update(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, ipv6_network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_local_anycast_gateway: kwarg tuple.
		:type ipv6_local_anycast_gateway: (local_ipv6_gw_id).

		:param local_ipv6_gw_id: tuple arg.
		:type local_ipv6_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ipv6_network: kwarg tuple.
		:type ipv6_network: (ipv6_network_address).

		:param ipv6_network_address: tuple arg.
		:type ipv6_network_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param ipv6_network_priority: Track Priority
		:type ipv6_network_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_update(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, ipv6_next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_local_anycast_gateway: kwarg tuple.
		:type ipv6_local_anycast_gateway: (local_ipv6_gw_id).

		:param local_ipv6_gw_id: tuple arg.
		:type local_ipv6_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ipv6_next_hop: kwarg tuple.
		:type ipv6_next_hop: (ipv6_next_hop_address).

		:param ipv6_next_hop_address: tuple arg.
		:type ipv6_next_hop_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ipv6_next_hop_priority: Track Priority
		:type ipv6_next_hop_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_hop_by_hop_trap_update(self, ve=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hop_by_hop_trap: Enable hop-by-hop trap on an Interface
		:type hop_by_hop_trap: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_icmpv6_update(self, ve=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_icmpv6_rate_limiting_update(self, ve=None, rate_limiting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.icmpv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rate_limiting=rate_limiting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_mtu_update(self, ve=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mtu: Set ipv6 mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_update(self, ve=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, send_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param send_ra: Set send-ra
		:type send_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy, send_ra=send_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_address_update(self, ve=None, suppressing_address=None, suppress_per_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param suppressing_address: kwarg tuple.
		:type suppressing_address: (suppress_ipv6_address, suppress_per_address).

		:param suppress_ipv6_address: tuple arg.
		:type suppress_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param suppress_per_address: Suppress all IPv6 addresses in router advertisement
		:type suppress_per_address: (YANGBool)

	**This Instance Arg(s)**:
		:param suppress_per_address: Suppress all IPv6 addresses in router advertisement
		:type suppress_per_address: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': 'suppress_ipv6_address, suppress_per_address'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, suppressing_address=suppressing_address, suppress_per_address=suppress_per_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_address_suppress_update(self, ve=None, address_suppress_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param address_suppress_all: Suppress all IPv6 addresses in router advertisement
		:type address_suppress_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, address_suppress_all=address_suppress_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_broadcast_mac_trap_update(self, ve=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, send_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param send_ra: Set send-ra
		:type send_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy, send_ra=send_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_cache_update(self, ve=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_cache_expire_update(self, ve=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_dad_update(self, ve=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_dad_attempts_update(self, ve=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_nud_retry_update(self, ve=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param base: base value
		:type base: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param interval: Time interval between neighbor solicitations in milliseconds
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_attempts: Max number of retry attempts.
		:type max_attempts: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_infinite_update(self, ve=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param preferred_lifetime: Configures preferred lifetime
		:type preferred_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preferred_infinite: Infinite preferred lifetime
		:type preferred_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_no_advertise_update(self, ve=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_advertise: Do not advertise prefix
		:type no_advertise: (YANGBool)

		:param valid_lifetime: Configures valid lifetime
		:type valid_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param valid_infinite: Infinite valid lifetime
		:type valid_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_no_autoconfig_update(self, ve=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_autoconfig: Do not use prefix for autoconfiguration
		:type no_autoconfig: (YANGBool)

		:param no_onlink: Do not use prefix for onlink determination
		:type no_onlink: (YANGBool)

		:param off_link: Prefix is offlink
		:type off_link: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ra_dns_server_update(self, ve=None, ra_dns_server=None, dns_server_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ra_dns_server: kwarg tuple.
		:type ra_dns_server: (dns_server_prefix).

		:param dns_server_prefix: tuple arg.
		:type dns_server_prefix: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param dns_server_lifetime_multiplier: Lifetime multiplier for the Recursive DNS Server option
		:type dns_server_lifetime_multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ra_domain_name_update(self, ve=None, ra_domain_name=None, domain_name_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ra_domain_name: kwarg tuple.
		:type ra_domain_name: (domain_name_string).

		:param domain_name_string: tuple arg.
		:type domain_name_string: (unicode)

	**This Instance Arg(s)**:
		:param domain_name_lifetime_multiplier: Lifetime multiplier for DNS Search List option
		:type domain_name_lifetime_multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ra_interval_update(self, ve=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param max_interval: Maximum interval in seconds
		:type max_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_: Minimum interval between sending RA messages
		:type min_: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_router_preference_update(self, ve=None, router_pref_high=None, router_pref_low=None, router_pref_medium=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param router_pref_high: Set router-preference to high
		:type router_pref_high: (YANGBool)

		:param router_pref_low:  Set router-preference to low
		:type router_pref_low: (YANGBool)

		:param router_pref_medium: Set router-preference to medium
		:type router_pref_medium: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'router_pref_high, router_pref_low, router_pref_medium'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, router_pref_high=router_pref_high, router_pref_low=router_pref_low, router_pref_medium=router_pref_medium)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_router_preference_high_update(self, ve=None, router_pref_high=None, router_pref_low=None, router_pref_medium=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param router_pref_high: Set router-preference to high
		:type router_pref_high: (YANGBool)

		:param router_pref_low:  Set router-preference to low
		:type router_pref_low: (YANGBool)

		:param router_pref_medium: Set router-preference to medium
		:type router_pref_medium: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.router_preference', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, router_pref_high=router_pref_high, router_pref_low=router_pref_low, router_pref_medium=router_pref_medium)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_suppress_ra_update(self, ve=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_suppress_ra_all_update(self, ve=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_neighbor_update(self, ve=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param neighbor: kwarg tuple.
		:type neighbor: (ipv6_address).

		:param ipv6_address: tuple arg.
		:type ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param hardware_address: kwarg.
		:type hardware_address: (unicode)
		
		.. note::
			* pattern - [0-9a-fA-F]{4}(.[0-9a-fA-F]{4}){2}

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_update(self, ve=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_active_update(self, ve=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_area: OSPF area
		:type interface_area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance: Instance of OSPFv3 protocol on this interface
		:type instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPFv3 MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'point-to-point']

		:param priority: Interface priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param suppress_linklsa: Suppress link LSA advertisements
		:type suppress_linklsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_update(self, ve=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_ah_update(self, ve=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_ipsec_update(self, ve=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, ve=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_bfd_update(self, ve=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param bfd_enable: Enable bfd on this interface
		:type bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_ospf_dead_interval_update(self, ve=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_policy_route_map_update(self, ve=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipv6_route_map_name: Word:1-63;;Route map name
		:type ipv6_route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.policy.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_router_update(self, ve=None, interface_ipv6_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_ipv6_router_isis: Enable IS-IS
		:type interface_ipv6_router_isis: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_ipv6_router_isis=interface_ipv6_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_router_isis_update(self, ve=None, interface_ipv6_router_isis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_ipv6_router_isis: Enable IS-IS
		:type interface_ipv6_router_isis: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.intf_ipv6_router_isis.int_ipv6_router_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_ipv6_router_isis=interface_ipv6_router_isis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_auth_type_md5_auth_update(self, ve=None, auth_data=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param auth_data: Authentication data
		:type auth_data: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_vrrp_extended.auth_type.md5_auth', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, auth_data=auth_data)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_update(self, ve=None, vrrpv3e=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param advertise_backup: Enable periodic backup advertisement messages
		:type advertise_backup: (YANGBool)

		:param nd_advertisement_timer: Neighbor Discovery Advertisment Interval
		:type nd_advertisement_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>
		:type advertisement_interval_scale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_advertisement_interval: Set Backup advertisement interval
		:type backup_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe_advertisement_interval: Set advertisement interval
		:type vrrpe_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_short_path_forwarding_update(self, ve=None, vrrpv3e=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param revert_priority: Set revert priority
		:type revert_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_track_update(self, ve=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_track_network_update(self, ve=None, vrrpv3e=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_address).

		:param network_address: XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format
		:type network_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param network_priority: kwarg.
		:type network_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_virtual_mac_update(self, ve=None, vrrpv3e=None, vmac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param vmac: Virtual MAC address
		:type vmac: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_virtual_mac_02e0_5200_00xx_update(self, ve=None, vrrpv3e=None, vmac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param vmac: Virtual MAC address
		:type vmac: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_update(self, ve=None, vrrpv3=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3: kwarg tuple.
		:type vrrpv3: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Use v2 checksum
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: Set advertisement interval
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_track_update(self, ve=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3: kwarg tuple.
		:type vrrpv3: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_suppress_interface_ra_update(self, ve=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3
		:type vrrp_suppress_interface_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_update(self, ve=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param circuit_type: Define inter-area/intra area operation mode
		:type circuit_type: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1-2', u'level-1']

		:param interface_point_to_point: Point-to-point interface for ISIS operation
		:type interface_point_to_point: (YANGBool)

		:param interface_passive: Passive interface for ISIS operation
		:type interface_passive: (YANGBool)

		:param interface_ldp_sync: Set LDP-SYNC operation mode on this interface
		:type interface_ldp_sync: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_check_level_1_update(self, ve=None, interface_auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_auth_check_level1_disable: kwarg.
		:type interface_auth_check_level1_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_check_level_1_disable_update(self, ve=None, interface_auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_auth_check_level1_disable: kwarg.
		:type interface_auth_check_level1_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_check_level1_disable=interface_auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_check_level_2_update(self, ve=None, interface_auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_auth_check_level2_disable: kwarg.
		:type interface_auth_check_level2_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_check_level_2_disable_update(self, ve=None, interface_auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_auth_check_level2_disable: kwarg.
		:type interface_auth_check_level2_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_check_level2_disable=interface_auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_key_update(self, ve=None, interface_auth_key=None, interface_auth_key_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param interface_auth_key: kwarg tuple.
		:type interface_auth_key: (interface_auth_key_level, interface_auth_key_str).

		:param interface_auth_key_level: tuple arg.
		:type interface_auth_key_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_auth_key_str: tuple arg.
		:type interface_auth_key_str: (unicode)
		
		.. note::
			* length - [u'1..63']

	**This Instance Arg(s)**:
		:param interface_auth_key_str: kwarg.
		:type interface_auth_key_str: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_mode_md5_update(self, ve=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP
		:type interface_auth_mode_md5_level1: (YANGBool)

		:param interface_auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP
		:type interface_auth_mode_md5_level2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_mode_md5_level_1_update(self, ve=None, interface_auth_mode_md5_level1=None, interface_auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP
		:type interface_auth_mode_md5_level1: (YANGBool)

		:param interface_auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP
		:type interface_auth_mode_md5_level2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_mode.interface_md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_auth_mode_md5_level1=interface_auth_mode_md5_level1, interface_auth_mode_md5_level2=interface_auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_bfd_update(self, ve=None, interface_bfd_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_bfd_disable: Disable BFD operation mode on this interface
		:type interface_bfd_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_bfd_disable=interface_bfd_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_bfd_disable_update(self, ve=None, interface_bfd_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_bfd_disable: Disable BFD operation mode on this interface
		:type interface_bfd_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_bfd_disable=interface_bfd_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_circuit_type_update(self, ve=None, circuit_type=None, interface_point_to_point=None, interface_passive=None, interface_ldp_sync=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param circuit_type: Define inter-area/intra area operation mode
		:type circuit_type: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1-2', u'level-1']

		:param interface_point_to_point: Point-to-point interface for ISIS operation
		:type interface_point_to_point: (YANGBool)

		:param interface_passive: Passive interface for ISIS operation
		:type interface_passive: (YANGBool)

		:param interface_ldp_sync: Set LDP-SYNC operation mode on this interface
		:type interface_ldp_sync: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, circuit_type=circuit_type, interface_point_to_point=interface_point_to_point, interface_passive=interface_passive, interface_ldp_sync=interface_ldp_sync)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_hello_interval_update(self, ve=None, interface_hello_interval=None, interface_hello_interval_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param interface_hello_interval: kwarg tuple.
		:type interface_hello_interval: (interface_hello_interval_level, interface_hello_interval_val).

		:param interface_hello_interval_level: tuple arg.
		:type interface_hello_interval_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_hello_interval_val: tuple arg.
		:type interface_hello_interval_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_hello_interval_val: kwarg.
		:type interface_hello_interval_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_hello_multiplier_update(self, ve=None, interface_hello_multiplier=None, interface_hello_multiplier_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param interface_hello_multiplier: kwarg tuple.
		:type interface_hello_multiplier: (interface_hello_multiplier_level, interface_hello_multiplier_val).

		:param interface_hello_multiplier_level: tuple arg.
		:type interface_hello_multiplier_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_hello_multiplier_val: tuple arg.
		:type interface_hello_multiplier_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_hello_multiplier_val: kwarg.
		:type interface_hello_multiplier_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_hello_padding_update(self, ve=None, interface_hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_hello_padding_disable: kwarg.
		:type interface_hello_padding_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_padding_disable=interface_hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_hello_padding_disable_update(self, ve=None, interface_hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_hello_padding_disable: kwarg.
		:type interface_hello_padding_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello.interface_hello_padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_hello_padding_disable=interface_hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_ipv6_metric_update(self, ve=None, interface_ipv6_metric=None, interface_ipv6_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param interface_ipv6_metric: kwarg tuple.
		:type interface_ipv6_metric: (interface_ipv6_metric_level, interface_ipv6_metric_val).

		:param interface_ipv6_metric_level: tuple arg.
		:type interface_ipv6_metric_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_ipv6_metric_val: tuple arg.
		:type interface_ipv6_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_ipv6_metric_val: kwarg.
		:type interface_ipv6_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_metric_update(self, ve=None, interface_metric=None, interface_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param interface_metric: kwarg tuple.
		:type interface_metric: (interface_metric_level, interface_metric_val).

		:param interface_metric_level: tuple arg.
		:type interface_metric_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param interface_metric_val: tuple arg.
		:type interface_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_metric_val: kwarg.
		:type interface_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_metric=interface_metric, interface_metric_val=interface_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_priority_update(self, ve=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_priority_level1: Priority for Level-1 ISIS Router
		:type interface_priority_level1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_priority_level2: Priority for Level-2 ISIS Router
		:type interface_priority_level2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_priority_level_1_update(self, ve=None, interface_priority_level1=None, interface_priority_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_priority_level1: Priority for Level-1 ISIS Router
		:type interface_priority_level1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_priority_level2: Priority for Level-2 ISIS Router
		:type interface_priority_level2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_priority', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, interface_priority_level1=interface_priority_level1, interface_priority_level2=interface_priority_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_reverse_metric_update(self, ve=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rev_metric_val: Configure IS-IS reverse metric value
		:type rev_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rev_metric_whole_lan: Change metric for whole LAN
		:type rev_metric_whole_lan: (YANGBool)

		:param rev_metric_te_def_metric: Update TE default metric sub-tlv
		:type rev_metric_te_def_metric: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_reverse_metric_te_def_metric_update(self, ve=None, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rev_metric_val: Configure IS-IS reverse metric value
		:type rev_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rev_metric_whole_lan: Change metric for whole LAN
		:type rev_metric_whole_lan: (YANGBool)

		:param rev_metric_te_def_metric: Update TE default metric sub-tlv
		:type rev_metric_te_def_metric: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_qos_update(self, ve=None, dscp_cos=None, dscp_mutation=None, dscp_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param dscp_cos: Apply DSCP-to-CoS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Apply DSCP-Mutation map
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Apply DSCP-to-Traffic-Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.qos', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, dscp_cos=dscp_cos, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_qos_dscp_cos_update(self, ve=None, dscp_cos=None, dscp_mutation=None, dscp_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param dscp_cos: Apply DSCP-to-CoS map
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Apply DSCP-Mutation map
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Apply DSCP-to-Traffic-Class map
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.qos', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, dscp_cos=dscp_cos, dscp_mutation=dscp_mutation, dscp_traffic_class=dscp_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_rpf_mode_update(self, ve=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mode: kwarg.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'strict', u'loose']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.rpf_mode', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_vrf_update(self, ve=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_vrf_forwarding_update(self, ve=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_update(self, ve=None, vrrpe=None, virtual_mac=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, vrrpe_garp_timer=None, backup_advertisement_interval=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vrrpe: kwarg tuple.
		:type vrrpe: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param virtual_mac: Virtual MAC
		:type virtual_mac: (unicode)
		
		.. note::
			* enum - [u'02e0.5200.00xx']

		:param advertisement_interval: Ipv4 session advertisement interval
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param advertise_backup: Enable periodic backup advertisement messages
		:type advertise_backup: (YANGBool)

		:param vrrpe_garp_timer: kwarg.
		:type vrrpe_garp_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_advertisement_interval: Set Backup advertisement interval
		:type backup_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param advertisement_interval_scale: Ipv4 session advertisement interval scale factor
		:type advertisement_interval_scale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, vrrpe_garp_timer=vrrpe_garp_timer, backup_advertisement_interval=backup_advertisement_interval, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_arp_unicast_request_update(self, ve=None, vrrpe=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe: kwarg tuple.
		:type vrrpe: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_arp_unicast_request_receive_update(self, ve=None, vrrpe=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe: kwarg tuple.
		:type vrrpe: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_short_path_forwarding_update(self, ve=None, vrrpe=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe: kwarg tuple.
		:type vrrpe: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param revert_priority: Set revert priority
		:type revert_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.short_path_forwarding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_track_update(self, ve=None, vrrpe=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe: kwarg tuple.
		:type vrrpe: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_track_network_update(self, ve=None, vrrpe=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe: kwarg tuple.
		:type vrrpe: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_address).

		:param network_address: IPv4 global address
		:type network_address: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param network_priority: kwarg.
		:type network_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_update(self, ve=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: Ipv4 session advertisement interval
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_arp_unicast_request_update(self, ve=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_arp_unicast_request_receive_update(self, ve=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.arp.unicast_request', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_track_update(self, ve=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_arp_inspection_update(self, vlan=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.arp.inspection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.arp.inspection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_arp_inspection_filter_update(self, vlan=None, acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param acl_name: kwarg.
		:type acl_name: (unicode)
		
		.. note::
			* length - [u'1..62']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.arp.inspection.filter', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.arp.inspection.filter', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection.filter', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, acl_name=acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_arp_inspection_logging_update(self, vlan=None, acl_match=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param acl_match: Enable DAI Logging
		:type acl_match: (unicode)
		
		.. note::
			* enum - [u'none', u'matchlog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, acl_match=acl_match)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_arp_inspection_logging_acl_match_update(self, vlan=None, acl_match=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param acl_match: Enable DAI Logging
		:type acl_match: (unicode)
		
		.. note::
			* enum - [u'none', u'matchlog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.arp.inspection.logging', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, acl_match=acl_match)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_update(self, vlan=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_last_member_query_count_update(self, vlan=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, last_member_query_count=None, startup_query_count=None, startup_query_interval=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param last_member_query_count: IGMP Last Member Query Count
		:type last_member_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_count: IGMP Startup Query Count
		:type startup_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_interval: Startup Query Interval
		:type startup_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param robustness_variable: Robustness Variable
		:type robustness_variable: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, last_member_query_count=last_member_query_count, startup_query_count=startup_query_count, startup_query_interval=startup_query_interval, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_last_member_query_interval_update(self, vlan=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_snooping_update(self, vlan=None, enable=None, fast_leave=None, mrouter_timeout=None, restrict_unknown_multicast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: IGMP Enable
		:type enable: (YANGBool)

		:param fast_leave: Fast Leave Processing
		:type fast_leave: (YANGBool)

		:param mrouter_timeout: Mrouter timeout
		:type mrouter_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restrict_unknown_multicast: Restrict Unknown Multicast traffic
		:type restrict_unknown_multicast: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, enable=enable, fast_leave=fast_leave, mrouter_timeout=mrouter_timeout, restrict_unknown_multicast=restrict_unknown_multicast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_snooping_enable_update(self, vlan=None, enable=None, fast_leave=None, mrouter_timeout=None, restrict_unknown_multicast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: IGMP Enable
		:type enable: (YANGBool)

		:param fast_leave: Fast Leave Processing
		:type fast_leave: (YANGBool)

		:param mrouter_timeout: Mrouter timeout
		:type mrouter_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param restrict_unknown_multicast: Restrict Unknown Multicast traffic
		:type restrict_unknown_multicast: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, enable=enable, fast_leave=fast_leave, mrouter_timeout=mrouter_timeout, restrict_unknown_multicast=restrict_unknown_multicast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_snooping_querier_update(self, vlan=None, qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param qenable: Enable snooping querier
		:type qenable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, qenable=qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_snooping_querier_enable_update(self, vlan=None, qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param qenable: Enable snooping querier
		:type qenable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping.querier', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, qenable=qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_pim_snooping_update(self, vlan=None, vlan_pimv4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_pimv4_enable: IGMP : Ip PIM Snooping Enable
		:type vlan_pimv4_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmpPIM.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmpPIM.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_pim_snooping_enable_update(self, vlan=None, vlan_pimv4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_pimv4_enable: IGMP : Ip PIM Snooping Enable
		:type vlan_pimv4_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ip.igmpPIM.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmpPIM.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_update(self, vlan=None, last_member_query_interval=None, last_member_query_count=None, startup_query_interval=None, startup_query_count=None, query_max_response_time=None, query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param last_member_query_count: Last Member Query Count
		:type last_member_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_interval: Startup Query Interval
		:type startup_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_count: Startup Query Count
		:type startup_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: MLDS Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, last_member_query_count=last_member_query_count, startup_query_interval=startup_query_interval, startup_query_count=startup_query_count, query_max_response_time=query_max_response_time, query_interval=query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_last_member_query_count_update(self, vlan=None, last_member_query_interval=None, last_member_query_count=None, startup_query_interval=None, startup_query_count=None, query_max_response_time=None, query_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param last_member_query_count: Last Member Query Count
		:type last_member_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_interval: Startup Query Interval
		:type startup_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_count: Startup Query Count
		:type startup_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: MLDS Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, last_member_query_count=last_member_query_count, startup_query_interval=startup_query_interval, startup_query_count=startup_query_count, query_max_response_time=query_max_response_time, query_interval=query_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_snooping_update(self, vlan=None, enable=None, fast_leave=None, restrict_unknown_multicast_vlan=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: MLDS Enable
		:type enable: (YANGBool)

		:param fast_leave: Fast Leave Processing
		:type fast_leave: (YANGBool)

		:param restrict_unknown_multicast_vlan: Restrict Unknown Multicast traffic
		:type restrict_unknown_multicast_vlan: (YANGBool)

		:param robustness_variable: Robustness Variable
		:type robustness_variable: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, enable=enable, fast_leave=fast_leave, restrict_unknown_multicast_vlan=restrict_unknown_multicast_vlan, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_snooping_enable_update(self, vlan=None, enable=None, fast_leave=None, restrict_unknown_multicast_vlan=None, robustness_variable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: MLDS Enable
		:type enable: (YANGBool)

		:param fast_leave: Fast Leave Processing
		:type fast_leave: (YANGBool)

		:param restrict_unknown_multicast_vlan: Restrict Unknown Multicast traffic
		:type restrict_unknown_multicast_vlan: (YANGBool)

		:param robustness_variable: Robustness Variable
		:type robustness_variable: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, enable=enable, fast_leave=fast_leave, restrict_unknown_multicast_vlan=restrict_unknown_multicast_vlan, robustness_variable=robustness_variable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_snooping_querier_update(self, vlan=None, qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param qenable: Enable snooping querier
		:type qenable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, qenable=qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_snooping_querier_enable_update(self, vlan=None, qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param qenable: Enable snooping querier
		:type qenable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.querier', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, qenable=qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_pim_snooping_update(self, vlan=None, vlan_pimv6_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_pimv6_enable: MLD : IpV6 PIM Snooping Enable
		:type vlan_pimv6_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldPIM.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldPIM.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_pim_snooping_enable_update(self, vlan=None, vlan_pimv6_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_pimv6_enable: MLD : IpV6 PIM Snooping Enable
		:type vlan_pimv6_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.ipv6.mldPIM.snooping', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldPIM.snooping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_mac_access_group_update(self, vlan=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (mac_access_list, mac_direction, traffic_type).

		:param mac_access_list: ACL_NAME;; Access List Name (Max 63)
		:type mac_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param mac_direction: tuple arg.
		:type mac_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_private_vlan_update(self, vlan=None, pvlan_type_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param pvlan_type_leaf: kwarg.
		:type pvlan_type_leaf: (unicode)
		
		.. note::
			* enum - [u'primary', u'community', u'isolated']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.private_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.private_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.private_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, pvlan_type_leaf=pvlan_type_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_private_vlan_association_update(self, vlan=None, sec_assoc_add=None, sec_assoc_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param sec_assoc_add: Add Secondary Vlan association
		:type sec_assoc_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param sec_assoc_remove: Remove Secondary Vlan association
		:type sec_assoc_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, sec_assoc_add=sec_assoc_add, sec_assoc_remove=sec_assoc_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_private_vlan_association_add_update(self, vlan=None, sec_assoc_add=None, sec_assoc_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param sec_assoc_add: Add Secondary Vlan association
		:type sec_assoc_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param sec_assoc_remove: Remove Secondary Vlan association
		:type sec_assoc_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.private_vlan.association', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, sec_assoc_add=sec_assoc_add, sec_assoc_remove=sec_assoc_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_spanning_tree_update(self, vlan=None, stp_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param stp_shutdown: Turn off the spanning-tree protocol
		:type stp_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, stp_shutdown=stp_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_spanning_tree_shutdown_update(self, vlan=None, stp_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param stp_shutdown: Turn off the spanning-tree protocol
		:type stp_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.spanning_tree', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, stp_shutdown=stp_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_suppress_arp_update(self, vlan=None, suppress_arp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param suppress_arp_enable: Enable ARP suppression
		:type suppress_arp_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.suppress_arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.suppress_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, suppress_arp_enable=suppress_arp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_suppress_arp_enable_update(self, vlan=None, suppress_arp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param suppress_arp_enable: Enable ARP suppression
		:type suppress_arp_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.suppress_arp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.suppress_arp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, suppress_arp_enable=suppress_arp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_suppress_nd_update(self, vlan=None, suppress_nd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param suppress_nd_enable: Enable ND suppression
		:type suppress_nd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.suppress_nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.suppress_nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, suppress_nd_enable=suppress_nd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def interface_vlan_suppress_nd_enable_update(self, vlan=None, suppress_nd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param suppress_nd_enable: Enable ND suppression
		:type suppress_nd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v7_0_1a.interface_vlan.interface.vlan.suppress_nd', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.suppress_nd', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, suppress_nd_enable=suppress_nd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_update(self):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.igmp_snooping.ip', 'pybind.nos.v6_0_2b.brocade_igmp_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.hide_as_path_holder', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.hide_community_list_holder', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.hide_ext_community_list_holder', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.hide_prefix_holder', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.rtm_config', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip_acl.ip', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.global_mtu_conf.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.igmp_snooping.ip', 'pybind.nos.v7_0_1a.brocade_igmp_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.hide_as_path_holder', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.hide_community_list_holder', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.hide_ext_community_list_holder', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.hide_prefix_holder', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.rtm_config', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip_acl.ip', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.global_mtu_conf.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.igmp_snooping.ip', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.hide_as_path_holder', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.hide_ext_community_list_holder', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.hide_prefix_holder', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip_acl.ip', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.hide_as_path_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.hide_ext_community_list_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.hide_prefix_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.rtm_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip_acl.ip', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_update(self, extended=None, seq=None, action=None, protocol_type=None, src_host_any_sip=None, src_host_ip=None, src_mask=None, sport=None, sport_number_eq_neq_tcp=None, sport_number_lt_tcp=None, sport_number_gt_tcp=None, sport_number_eq_neq_udp=None, sport_number_lt_udp=None, sport_number_gt_udp=None, sport_number_range_lower_tcp=None, sport_number_range_lower_udp=None, sport_number_range_higher_tcp=None, sport_number_range_higher_udp=None, dst_host_any_dip=None, dst_host_ip=None, dst_mask=None, dport=None, dport_number_eq_neq_tcp=None, dport_number_lt_tcp=None, dport_number_gt_tcp=None, dport_number_eq_neq_udp=None, dport_number_lt_udp=None, dport_number_gt_udp=None, dport_number_range_lower_tcp=None, dport_number_range_lower_udp=None, dport_number_range_higher_tcp=None, dport_number_range_higher_udp=None, dscp=None, urg=None, ack=None, push=None, fin=None, rst=None, sync=None, vlan=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param extended: kwarg tuple.
		:type extended: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

	**This Instance Keyword Arg Tuple**:
		:param seq: kwarg tuple.
		:type seq: (seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log).

		:param seq_id: tuple arg.
		:type seq_id: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param action: tuple arg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'deny', u'hard-drop', u'permit']

		:param protocol_type: tuple arg.
		:type protocol_type: (unicode)
		
		.. note::
			* enum - [u'ip', u'udp', u'icmp', u'tcp']

		:param src_host_any_sip: tuple arg.
		:type src_host_any_sip: (unicode)
		
		.. note::
			* enum - [u'host', u'any']

		:param src_host_ip: tuple arg.
		:type src_host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_mask: tuple arg.
		:type src_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param sport: tuple arg.
		:type sport: (unicode)
		
		.. note::
			* enum - [u'lt', u'gt', u'eq', u'range', u'neq']

		:param sport_number_eq_neq_tcp: tuple arg.
		:type sport_number_eq_neq_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_lt_tcp: tuple arg.
		:type sport_number_lt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_gt_tcp: tuple arg.
		:type sport_number_gt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_eq_neq_udp: tuple arg.
		:type sport_number_eq_neq_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_lt_udp: tuple arg.
		:type sport_number_lt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_gt_udp: tuple arg.
		:type sport_number_gt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_range_lower_tcp: tuple arg.
		:type sport_number_range_lower_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_range_lower_udp: tuple arg.
		:type sport_number_range_lower_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_range_higher_tcp: tuple arg.
		:type sport_number_range_higher_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_range_higher_udp: tuple arg.
		:type sport_number_range_higher_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dst_host_any_dip: tuple arg.
		:type dst_host_any_dip: (unicode)
		
		.. note::
			* enum - [u'host', u'any']

		:param dst_host_ip: tuple arg.
		:type dst_host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dst_mask: tuple arg.
		:type dst_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dport: tuple arg.
		:type dport: (unicode)
		
		.. note::
			* enum - [u'lt', u'gt', u'eq', u'range', u'neq']

		:param dport_number_eq_neq_tcp: tuple arg.
		:type dport_number_eq_neq_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_lt_tcp: tuple arg.
		:type dport_number_lt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_gt_tcp: tuple arg.
		:type dport_number_gt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_eq_neq_udp: tuple arg.
		:type dport_number_eq_neq_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_lt_udp: tuple arg.
		:type dport_number_lt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_gt_udp: tuple arg.
		:type dport_number_gt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_range_lower_tcp: tuple arg.
		:type dport_number_range_lower_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_range_lower_udp: tuple arg.
		:type dport_number_range_lower_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_range_higher_tcp: tuple arg.
		:type dport_number_range_higher_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_range_higher_udp: tuple arg.
		:type dport_number_range_higher_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dscp: Differentiated Service Code Point
		:type dscp: (unicode)
		
		.. note::
			* enum - [u'af23', u'af22', u'af21', u'af33', u'af41', u'af43', u'af31', u'default', u'af42', u'af12', u'af32', u'af13', u'cs6', u'cs2', u'cs5', u'cs4', u'cs7', u'af11', u'cs1', u'cs3', u'ef']

		:param urg: Urgent
		:type urg: (YANGBool)

		:param ack: Acknowledgement
		:type ack: (YANGBool)

		:param push: Push
		:type push: (YANGBool)

		:param fin: No more data
		:type fin: (YANGBool)

		:param rst: Reset connection
		:type rst: (YANGBool)

		:param sync: Synchronize
		:type sync: (YANGBool)

		:param vlan: Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param count: Packet Count
		:type count: (YANGBool)

		:param log: Log Packet
		:type log: (YANGBool)

	**This Instance Arg(s)**:
		:param action: kwarg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'deny', u'hard-drop', u'permit']

		:param protocol_type: kwarg.
		:type protocol_type: (unicode)
		
		.. note::
			* enum - [u'ip', u'udp', u'icmp', u'tcp']

		:param src_host_any_sip: kwarg.
		:type src_host_any_sip: (unicode)
		
		.. note::
			* enum - [u'host', u'any']

		:param src_host_ip: kwarg.
		:type src_host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_mask: kwarg.
		:type src_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param sport: kwarg.
		:type sport: (unicode)
		
		.. note::
			* enum - [u'lt', u'gt', u'eq', u'range', u'neq']

		:param sport_number_eq_neq_tcp: kwarg.
		:type sport_number_eq_neq_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_lt_tcp: kwarg.
		:type sport_number_lt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_gt_tcp: kwarg.
		:type sport_number_gt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_eq_neq_udp: kwarg.
		:type sport_number_eq_neq_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_lt_udp: kwarg.
		:type sport_number_lt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_gt_udp: kwarg.
		:type sport_number_gt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_range_lower_tcp: kwarg.
		:type sport_number_range_lower_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_range_lower_udp: kwarg.
		:type sport_number_range_lower_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_range_higher_tcp: kwarg.
		:type sport_number_range_higher_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_range_higher_udp: kwarg.
		:type sport_number_range_higher_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dst_host_any_dip: kwarg.
		:type dst_host_any_dip: (unicode)
		
		.. note::
			* enum - [u'host', u'any']

		:param dst_host_ip: kwarg.
		:type dst_host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dst_mask: kwarg.
		:type dst_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dport: kwarg.
		:type dport: (unicode)
		
		.. note::
			* enum - [u'lt', u'gt', u'eq', u'range', u'neq']

		:param dport_number_eq_neq_tcp: kwarg.
		:type dport_number_eq_neq_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_lt_tcp: kwarg.
		:type dport_number_lt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_gt_tcp: kwarg.
		:type dport_number_gt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_eq_neq_udp: kwarg.
		:type dport_number_eq_neq_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_lt_udp: kwarg.
		:type dport_number_lt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_gt_udp: kwarg.
		:type dport_number_gt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_range_lower_tcp: kwarg.
		:type dport_number_range_lower_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_range_lower_udp: kwarg.
		:type dport_number_range_lower_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_range_higher_tcp: kwarg.
		:type dport_number_range_higher_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_range_higher_udp: kwarg.
		:type dport_number_range_higher_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dscp: Differentiated Service Code Point
		:type dscp: (unicode)
		
		.. note::
			* enum - [u'af23', u'af22', u'af21', u'af33', u'af41', u'af43', u'af31', u'default', u'af42', u'af12', u'af32', u'af13', u'cs6', u'cs2', u'cs5', u'cs4', u'cs7', u'af11', u'cs1', u'cs3', u'ef']

		:param urg: Urgent
		:type urg: (YANGBool)

		:param ack: Acknowledgement
		:type ack: (YANGBool)

		:param push: Push
		:type push: (YANGBool)

		:param fin: No more data
		:type fin: (YANGBool)

		:param rst: Reset connection
		:type rst: (YANGBool)

		:param sync: Synchronize
		:type sync: (YANGBool)

		:param vlan: Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param count: Packet Count
		:type count: (YANGBool)

		:param log: Log Packet
		:type log: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq, action=action, protocol_type=protocol_type, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, sport=sport, sport_number_eq_neq_tcp=sport_number_eq_neq_tcp, sport_number_lt_tcp=sport_number_lt_tcp, sport_number_gt_tcp=sport_number_gt_tcp, sport_number_eq_neq_udp=sport_number_eq_neq_udp, sport_number_lt_udp=sport_number_lt_udp, sport_number_gt_udp=sport_number_gt_udp, sport_number_range_lower_tcp=sport_number_range_lower_tcp, sport_number_range_lower_udp=sport_number_range_lower_udp, sport_number_range_higher_tcp=sport_number_range_higher_tcp, sport_number_range_higher_udp=sport_number_range_higher_udp, dst_host_any_dip=dst_host_any_dip, dst_host_ip=dst_host_ip, dst_mask=dst_mask, dport=dport, dport_number_eq_neq_tcp=dport_number_eq_neq_tcp, dport_number_lt_tcp=dport_number_lt_tcp, dport_number_gt_tcp=dport_number_gt_tcp, dport_number_eq_neq_udp=dport_number_eq_neq_udp, dport_number_lt_udp=dport_number_lt_udp, dport_number_gt_udp=dport_number_gt_udp, dport_number_range_lower_tcp=dport_number_range_lower_tcp, dport_number_range_lower_udp=dport_number_range_lower_udp, dport_number_range_higher_tcp=dport_number_range_higher_tcp, dport_number_range_higher_udp=dport_number_range_higher_udp, dscp=dscp, urg=urg, ack=ack, push=push, fin=fin, rst=rst, sync=sync, vlan=vlan, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_access_list_standard_seq_update(self, standard=None, seq=None, action=None, src_host_any_sip=None, src_host_ip=None, src_mask=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param standard: kwarg tuple.
		:type standard: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

	**This Instance Keyword Arg Tuple**:
		:param seq: kwarg tuple.
		:type seq: (seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log).

		:param seq_id: tuple arg.
		:type seq_id: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param action: tuple arg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'deny', u'hard-drop', u'permit']

		:param src_host_any_sip: tuple arg.
		:type src_host_any_sip: (unicode)
		
		.. note::
			* enum - [u'host', u'any']

		:param src_host_ip: tuple arg.
		:type src_host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_mask: tuple arg.
		:type src_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param count: Packet count
		:type count: (YANGBool)

		:param log: Log Packet
		:type log: (YANGBool)

	**This Instance Arg(s)**:
		:param action: kwarg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'deny', u'hard-drop', u'permit']

		:param src_host_any_sip: kwarg.
		:type src_host_any_sip: (unicode)
		
		.. note::
			* enum - [u'host', u'any']

		:param src_host_ip: kwarg.
		:type src_host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_mask: kwarg.
		:type src_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param count: Packet count
		:type count: (YANGBool)

		:param log: Log Packet
		:type log: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v6_0_2b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v6_0_2b.brocade_ip_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_0_1a.brocade_ip_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq, action=action, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_as_path_access_list_update(self, access_list=None, ip_action=None, ip_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param access_list: kwarg tuple.
		:type access_list: (name, seq_keyword, instance, ip_action, ip_reg_expr).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param seq_keyword: tuple arg.
		:type seq_keyword: (unicode)
		
		.. note::
			* enum - [u'seq']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

		:param ip_action: tuple arg.
		:type ip_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ip_reg_expr: tuple arg.
		:type ip_reg_expr: (unicode)

	**This Instance Arg(s)**:
		:param ip_action: kwarg.
		:type ip_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ip_reg_expr: kwarg.
		:type ip_reg_expr: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_as_path_holder.as_path.access_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, access_list=access_list, ip_action=ip_action, ip_reg_expr=ip_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_community_list_extended_update(self, extended=None, ip_action=None, ip_community_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param extended: kwarg tuple.
		:type extended: (name, seq_keyword, instance, ip_action, ip_community_reg_expr).

		:param name: tuple arg.
		:type name: (unicode)

		:param seq_keyword: tuple arg.
		:type seq_keyword: (unicode)
		
		.. note::
			* enum - [u'seq']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

		:param ip_action: tuple arg.
		:type ip_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ip_community_reg_expr: tuple arg.
		:type ip_community_reg_expr: (unicode)

	**This Instance Arg(s)**:
		:param ip_action: kwarg.
		:type ip_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ip_community_reg_expr: kwarg.
		:type ip_community_reg_expr: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, ip_action=ip_action, ip_community_reg_expr=ip_community_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_community_list_standard_update(self, standard=None, ip_action=None, std_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param standard: kwarg tuple.
		:type standard: (name, seq_keyword, instance, ip_action, std_community_expr).

		:param name: tuple arg.
		:type name: (unicode)

		:param seq_keyword: tuple arg.
		:type seq_keyword: (unicode)
		
		.. note::
			* enum - [u'seq']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

		:param ip_action: tuple arg.
		:type ip_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param std_community_expr: tuple arg.
		:type std_community_expr: (unicode)
		
		.. note::
			* pattern - (\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)

	**This Instance Arg(s)**:
		:param ip_action: kwarg.
		:type ip_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param std_community_expr: kwarg.
		:type std_community_expr: (unicode)
		
		.. note::
			* pattern - (\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, ip_action=ip_action, std_community_expr=std_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_dhcp_relay_information_update(self, option=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param option: Configure DHCP Relay Information Option
		:type option: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ip.dhcp.relay.information', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, option=option)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_dhcp_relay_information_option_update(self, option=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param option: Configure DHCP Relay Information Option
		:type option: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ip.dhcp.relay.information', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, option=option)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_dns_update(self, domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param domain_name: Configure Domain Name
		:type domain_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ip.dns.dom_name', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.dns.dom_name', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.dns.dom_name', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.dns.dom_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_dns_domain_name_update(self, domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param domain_name: Configure Domain Name
		:type domain_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ip.dns.dom_name', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.dns.dom_name', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.dns.dom_name', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.dns.dom_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_extcommunity_list_update(self, extcommunity_list=None, ext_community_action=None, ext_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Keyword Arg Tuple**:
		:param extcommunity_list: kwarg tuple.
		:type extcommunity_list: (extcommunity_list_num, ext_community_action, ext_community_expr).

		:param extcommunity_list_num: tuple arg.
		:type extcommunity_list_num: (int)
		
		.. note::
			* range - ['0..65535']

		:param ext_community_action: tuple arg.
		:type ext_community_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ext_community_expr: Ext-community-list
		:type ext_community_expr: (unicode)
		
		.. note::
			* pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

	**This Instance Arg(s)**:
		:param ext_community_action: kwarg.
		:type ext_community_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ext_community_expr: Ext-community-list
		:type ext_community_expr: (unicode)
		
		.. note::
			* pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_expr'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extcommunity_list=extcommunity_list, ext_community_action=ext_community_action, ext_community_expr=ext_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_extcommunity_list_standard_update(self, standard=None, ext_community_action=None, ext_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param standard: kwarg tuple.
		:type standard: (extcommunity_list_name, ext_community_action, ext_community_expr).

		:param extcommunity_list_name: tuple arg.
		:type extcommunity_list_name: (unicode)

		:param ext_community_action: tuple arg.
		:type ext_community_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ext_community_expr: Ext-community-list
		:type ext_community_expr: (unicode)
		
		.. note::
			* pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

	**This Instance Arg(s)**:
		:param ext_community_action: kwarg.
		:type ext_community_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ext_community_expr: Ext-community-list
		:type ext_community_expr: (unicode)
		
		.. note::
			* pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ip.hide_ext_community_list_holder.extcommunity_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'extcommunity_list_name', 'extra_keyval': 'extcommunity_list_name, ext_community_action, ext_community_expr'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, ext_community_action=ext_community_action, ext_community_expr=ext_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_icmp_echo_update(self, broadcast_request=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param broadcast_request: Reply to broadcast ICMP echo packets.
		:type broadcast_request: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ip.icmp.echo', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, broadcast_request=broadcast_request)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_icmp_echo_broadcast_request_update(self, broadcast_request=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param broadcast_request: Reply to broadcast ICMP echo packets.
		:type broadcast_request: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ip.icmp.echo', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, broadcast_request=broadcast_request)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_igmp_update(self):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.igmp_snooping.ip.igmp', 'pybind.nos.v6_0_2b.brocade_igmp_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.igmp_snooping.ip.igmp', 'pybind.nos.v7_0_1a.brocade_igmp_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.igmp_snooping.ip.igmp', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_igmp_router_alert_check_disable_update(self, router_alert_check_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param router_alert_check_disable: RA option Disable
		:type router_alert_check_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, router_alert_check_disable=router_alert_check_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_igmp_snooping_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: IGMP Enable
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v6_0_2b.brocade_igmp_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v7_0_1a.brocade_igmp_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.igmp_snooping', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_igmp_snooping_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: IGMP Enable
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v6_0_2b.brocade_igmp_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v7_0_1a.brocade_igmp_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.igmp_snooping.ip.igmp.snooping', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.igmp_snooping', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_igmp_ssm_map_enable_update(self, igmps_ssmmap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param igmps_ssmmap: Enables IGMPv2 SSM Mapping
		:type igmps_ssmmap: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.ssm_map', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, igmps_ssmmap=igmps_ssmmap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_load_sharing_update(self, router_id=None, load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param router_id: Change the router ID already in use
		:type router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param load_sharing: Enable IP load sharing
		:type load_sharing: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ip.rtm_config', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.rtm_config', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, router_id=router_id, load_sharing=load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_mtu_update(self, global_ip_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param global_ip_mtu: Set ip mtu value to all interfaces of this cluster
		:type global_ip_mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.global_mtu_conf.ip', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.global_mtu_conf.ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_ip_mtu=global_ip_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_pim_snooping_update(self, pimv4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param pimv4_enable: PIM Snooping Enable
		:type pimv4_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.igmp_snooping.ip.pim.snooping', 'pybind.nos.v7_0_1a.brocade_igmp_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.igmp_snooping.ip.pim.snooping', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.pim.snooping', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pimv4_enable=pimv4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_pim_snooping_enable_update(self, pimv4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param pimv4_enable: PIM Snooping Enable
		:type pimv4_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.igmp_snooping.ip.pim.snooping', 'pybind.nos.v7_0_1a.brocade_igmp_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.igmp_snooping.ip.pim.snooping', 'pybind.nos.v7_1_0.brocade_igmp_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.igmp_snooping.ip.pim.snooping', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pimv4_enable=pimv4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_prefix_list_update(self, prefix_list=None, action_ipp=None, prefix_ipp=None, ge_ipp=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param prefix_list: kwarg tuple.
		:type prefix_list: (name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param seq_keyword: tuple arg.
		:type seq_keyword: (unicode)
		
		.. note::
			* enum - [u'seq']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

		:param action_ipp: tuple arg.
		:type action_ipp: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param prefix_ipp: tuple arg.
		:type prefix_ipp: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param ge_ipp: Minimum IP prefix length.
		:type ge_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param le_ipp: Maximum IP prefix length.
		:type le_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param action_ipp: kwarg.
		:type action_ipp: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param prefix_ipp: kwarg.
		:type prefix_ipp: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param ge_ipp: Minimum IP prefix length.
		:type ge_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param le_ipp: Maximum IP prefix length.
		:type le_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list=prefix_list, action_ipp=action_ipp, prefix_ipp=prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_route_distance_update(self, static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param static_route_nh: kwarg tuple.
		:type static_route_nh: (static_route_dest, static_route_next_hop).

		:param static_route_dest: A.B.C.D/L ;; Destination IP address
		:type static_route_dest: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param static_route_next_hop: A.B.C.D ;; Next hop IP address
		:type static_route_next_hop: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param metric: Cost metric
		:type metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param distance: Route distance
		:type distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tag: Tag value for this route
		:type tag: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_route_nh=static_route_nh, metric=metric, distance=distance, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_route_static_bfd_holdover_interval_update(self, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param holdover_interval: Holdover interval
		:type holdover_interval: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ip_route_static_bfd_interval_update(self, bfd_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bfd_static_route: kwarg tuple.
		:type bfd_static_route: (bfd_static_route_dest, bfd_static_route_src).

		:param bfd_static_route_dest: A.B.C.D ;; Destination IP address
		:type bfd_static_route_dest: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param bfd_static_route_src: A.B.C.D ;; Source IP address
		:type bfd_static_route_src: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param interval: Transmit interval
		:type interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param min_rx: Receive interval
		:type min_rx: (int)
		
		.. note::
			* range - ['0..65535']

		:param multiplier: Multiplier value
		:type multiplier: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v6_0_2b.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.nos.v6_0_2b.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_static_route=bfd_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_update(self):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ipv6.hide_prefix_holder', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ipv6.ipv6route', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.ipv6_acl.ipv6', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.mld_snooping.ipv6', 'pybind.nos.v6_0_2b.brocade_mld_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.global_mtu_conf.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ipv6.hide_prefix_holder', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ipv6.ipv6route', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.mld_snooping.ipv6', 'pybind.nos.v7_0_1a.brocade_mld_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.global_mtu_conf.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ipv6.hide_prefix_holder', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ipv6.ipv6route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.mld_snooping.ipv6', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.ipv6route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_update(self, extended=None, seq=None, action=None, protocol_type=None, src_host_any_sip=None, src_host_ip=None, src_mask=None, sport=None, sport_number_eq_neq_tcp=None, sport_number_lt_tcp=None, sport_number_gt_tcp=None, sport_number_eq_neq_udp=None, sport_number_lt_udp=None, sport_number_gt_udp=None, sport_number_range_lower_tcp=None, sport_number_range_lower_udp=None, sport_number_range_higher_tcp=None, sport_number_range_higher_udp=None, dst_host_any_dip=None, dst_host_ip=None, dst_mask=None, dport=None, dport_number_eq_neq_tcp=None, dport_number_lt_tcp=None, dport_number_gt_tcp=None, dport_number_eq_neq_udp=None, dport_number_lt_udp=None, dport_number_gt_udp=None, dport_number_range_lower_tcp=None, dport_number_range_lower_udp=None, dport_number_range_higher_tcp=None, dport_number_range_higher_udp=None, dscp=None, urg=None, ack=None, push=None, fin=None, rst=None, sync=None, vlan=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param extended: kwarg tuple.
		:type extended: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

	**This Instance Keyword Arg Tuple**:
		:param seq: kwarg tuple.
		:type seq: (seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log).

		:param seq_id: tuple arg.
		:type seq_id: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param action: tuple arg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'deny', u'hard-drop', u'permit']

		:param protocol_type: tuple arg.
		:type protocol_type: (unicode)
		
		.. note::
			* enum - [u'udp', u'ipv6-icmp', u'tcp', u'ipv6']

		:param src_host_any_sip: tuple arg.
		:type src_host_any_sip: (unicode)
		
		.. note::
			* enum - [u'host', u'any']

		:param src_host_ip: tuple arg.
		:type src_host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_mask: tuple arg.
		:type src_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param sport: tuple arg.
		:type sport: (unicode)
		
		.. note::
			* enum - [u'lt', u'gt', u'eq', u'range', u'neq']

		:param sport_number_eq_neq_tcp: tuple arg.
		:type sport_number_eq_neq_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_lt_tcp: tuple arg.
		:type sport_number_lt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_gt_tcp: tuple arg.
		:type sport_number_gt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_eq_neq_udp: tuple arg.
		:type sport_number_eq_neq_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_lt_udp: tuple arg.
		:type sport_number_lt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_gt_udp: tuple arg.
		:type sport_number_gt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_range_lower_tcp: tuple arg.
		:type sport_number_range_lower_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_range_lower_udp: tuple arg.
		:type sport_number_range_lower_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_range_higher_tcp: tuple arg.
		:type sport_number_range_higher_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_range_higher_udp: tuple arg.
		:type sport_number_range_higher_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dst_host_any_dip: tuple arg.
		:type dst_host_any_dip: (unicode)
		
		.. note::
			* enum - [u'host', u'any']

		:param dst_host_ip: tuple arg.
		:type dst_host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dst_mask: tuple arg.
		:type dst_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dport: tuple arg.
		:type dport: (unicode)
		
		.. note::
			* enum - [u'lt', u'gt', u'eq', u'range', u'neq']

		:param dport_number_eq_neq_tcp: tuple arg.
		:type dport_number_eq_neq_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_lt_tcp: tuple arg.
		:type dport_number_lt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_gt_tcp: tuple arg.
		:type dport_number_gt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_eq_neq_udp: tuple arg.
		:type dport_number_eq_neq_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_lt_udp: tuple arg.
		:type dport_number_lt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_gt_udp: tuple arg.
		:type dport_number_gt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_range_lower_tcp: tuple arg.
		:type dport_number_range_lower_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_range_lower_udp: tuple arg.
		:type dport_number_range_lower_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_range_higher_tcp: tuple arg.
		:type dport_number_range_higher_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_range_higher_udp: tuple arg.
		:type dport_number_range_higher_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dscp: Differentiated Service Code Point
		:type dscp: (unicode)
		
		.. note::
			* enum - [u'af23', u'af22', u'af21', u'af33', u'af41', u'af43', u'af31', u'default', u'af42', u'af12', u'af32', u'af13', u'cs6', u'cs2', u'cs5', u'cs4', u'cs7', u'af11', u'cs1', u'cs3', u'ef']

		:param urg: Urgent
		:type urg: (YANGBool)

		:param ack: Acknowledgement
		:type ack: (YANGBool)

		:param push: Push
		:type push: (YANGBool)

		:param fin: No more data
		:type fin: (YANGBool)

		:param rst: Reset connection
		:type rst: (YANGBool)

		:param sync: Synchronize
		:type sync: (YANGBool)

		:param vlan: Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param count: Packet Count
		:type count: (YANGBool)

		:param log: Log Packet
		:type log: (YANGBool)

	**This Instance Arg(s)**:
		:param action: kwarg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'deny', u'hard-drop', u'permit']

		:param protocol_type: kwarg.
		:type protocol_type: (unicode)
		
		.. note::
			* enum - [u'udp', u'ipv6-icmp', u'tcp', u'ipv6']

		:param src_host_any_sip: kwarg.
		:type src_host_any_sip: (unicode)
		
		.. note::
			* enum - [u'host', u'any']

		:param src_host_ip: kwarg.
		:type src_host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_mask: kwarg.
		:type src_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param sport: kwarg.
		:type sport: (unicode)
		
		.. note::
			* enum - [u'lt', u'gt', u'eq', u'range', u'neq']

		:param sport_number_eq_neq_tcp: kwarg.
		:type sport_number_eq_neq_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_lt_tcp: kwarg.
		:type sport_number_lt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_gt_tcp: kwarg.
		:type sport_number_gt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_eq_neq_udp: kwarg.
		:type sport_number_eq_neq_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_lt_udp: kwarg.
		:type sport_number_lt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_gt_udp: kwarg.
		:type sport_number_gt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_range_lower_tcp: kwarg.
		:type sport_number_range_lower_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_range_lower_udp: kwarg.
		:type sport_number_range_lower_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param sport_number_range_higher_tcp: kwarg.
		:type sport_number_range_higher_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param sport_number_range_higher_udp: kwarg.
		:type sport_number_range_higher_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dst_host_any_dip: kwarg.
		:type dst_host_any_dip: (unicode)
		
		.. note::
			* enum - [u'host', u'any']

		:param dst_host_ip: kwarg.
		:type dst_host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dst_mask: kwarg.
		:type dst_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dport: kwarg.
		:type dport: (unicode)
		
		.. note::
			* enum - [u'lt', u'gt', u'eq', u'range', u'neq']

		:param dport_number_eq_neq_tcp: kwarg.
		:type dport_number_eq_neq_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_lt_tcp: kwarg.
		:type dport_number_lt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_gt_tcp: kwarg.
		:type dport_number_gt_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_eq_neq_udp: kwarg.
		:type dport_number_eq_neq_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_lt_udp: kwarg.
		:type dport_number_lt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_gt_udp: kwarg.
		:type dport_number_gt_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_range_lower_tcp: kwarg.
		:type dport_number_range_lower_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_range_lower_udp: kwarg.
		:type dport_number_range_lower_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dport_number_range_higher_tcp: kwarg.
		:type dport_number_range_higher_tcp: (unicode)
		
		.. note::
			* enum - [u'ftp', u'domain', u'tacacs', u'hostname', u'smtp', u'www', u'telnet', u'echo', u'bgp', u'syslog', u'ftp-data', u'daytime', u'time', u'pim-auto-rp', u'login', u'talk']

		:param dport_number_range_higher_udp: kwarg.
		:type dport_number_range_higher_udp: (unicode)
		
		.. note::
			* enum - [u'domain', u'ntp', u'rip', u'echo', u'syslog', u'pim-auto-rp', u'tacacs', u'snmp', u'bootps', u'tftp', u'bootpc']

		:param dscp: Differentiated Service Code Point
		:type dscp: (unicode)
		
		.. note::
			* enum - [u'af23', u'af22', u'af21', u'af33', u'af41', u'af43', u'af31', u'default', u'af42', u'af12', u'af32', u'af13', u'cs6', u'cs2', u'cs5', u'cs4', u'cs7', u'af11', u'cs1', u'cs3', u'ef']

		:param urg: Urgent
		:type urg: (YANGBool)

		:param ack: Acknowledgement
		:type ack: (YANGBool)

		:param push: Push
		:type push: (YANGBool)

		:param fin: No more data
		:type fin: (YANGBool)

		:param rst: Reset connection
		:type rst: (YANGBool)

		:param sync: Synchronize
		:type sync: (YANGBool)

		:param vlan: Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param count: Packet Count
		:type count: (YANGBool)

		:param log: Log Packet
		:type log: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq, action=action, protocol_type=protocol_type, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, sport=sport, sport_number_eq_neq_tcp=sport_number_eq_neq_tcp, sport_number_lt_tcp=sport_number_lt_tcp, sport_number_gt_tcp=sport_number_gt_tcp, sport_number_eq_neq_udp=sport_number_eq_neq_udp, sport_number_lt_udp=sport_number_lt_udp, sport_number_gt_udp=sport_number_gt_udp, sport_number_range_lower_tcp=sport_number_range_lower_tcp, sport_number_range_lower_udp=sport_number_range_lower_udp, sport_number_range_higher_tcp=sport_number_range_higher_tcp, sport_number_range_higher_udp=sport_number_range_higher_udp, dst_host_any_dip=dst_host_any_dip, dst_host_ip=dst_host_ip, dst_mask=dst_mask, dport=dport, dport_number_eq_neq_tcp=dport_number_eq_neq_tcp, dport_number_lt_tcp=dport_number_lt_tcp, dport_number_gt_tcp=dport_number_gt_tcp, dport_number_eq_neq_udp=dport_number_eq_neq_udp, dport_number_lt_udp=dport_number_lt_udp, dport_number_gt_udp=dport_number_gt_udp, dport_number_range_lower_tcp=dport_number_range_lower_tcp, dport_number_range_lower_udp=dport_number_range_lower_udp, dport_number_range_higher_tcp=dport_number_range_higher_tcp, dport_number_range_higher_udp=dport_number_range_higher_udp, dscp=dscp, urg=urg, ack=ack, push=push, fin=fin, rst=rst, sync=sync, vlan=vlan, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_standard_seq_update(self, standard=None, seq=None, action=None, src_host_any_sip=None, src_host_ip=None, src_mask=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param standard: kwarg tuple.
		:type standard: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

	**This Instance Keyword Arg Tuple**:
		:param seq: kwarg tuple.
		:type seq: (seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log).

		:param seq_id: tuple arg.
		:type seq_id: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param action: tuple arg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'deny', u'hard-drop', u'permit']

		:param src_host_any_sip: tuple arg.
		:type src_host_any_sip: (unicode)
		
		.. note::
			* enum - [u'host', u'any']

		:param src_host_ip: tuple arg.
		:type src_host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_mask: tuple arg.
		:type src_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param count: Packet count
		:type count: (YANGBool)

		:param log: Log Packet
		:type log: (YANGBool)

	**This Instance Arg(s)**:
		:param action: kwarg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'deny', u'hard-drop', u'permit']

		:param src_host_any_sip: kwarg.
		:type src_host_any_sip: (unicode)
		
		.. note::
			* enum - [u'host', u'any']

		:param src_host_ip: kwarg.
		:type src_host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_mask: kwarg.
		:type src_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param count: Packet count
		:type count: (YANGBool)

		:param log: Log Packet
		:type log: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v6_0_2b.brocade_ipv6_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_0_1a.brocade_ipv6_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq, action=action, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_mld_snooping_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: MLD Snooping Enable
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v6_0_2b.brocade_mld_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v7_0_1a.brocade_mld_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6.mld.snooping', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_mld_snooping_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: MLD Snooping Enable
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v6_0_2b.brocade_mld_snooping', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v7_0_1a.brocade_mld_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mld_snooping.ipv6.mld.snooping', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6.mld.snooping', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_mtu_update(self, global_ipv6_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param global_ipv6_mtu: Set ipv6 mtu value to all interfaces of this cluster
		:type global_ipv6_mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.global_mtu_conf.ipv6', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.global_mtu_conf.ipv6', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_ipv6_mtu=global_ipv6_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_nd_update(self, global_suppress_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param global_suppress_ra: Set Globally suppress-ra
		:type global_suppress_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_suppress_ra=global_suppress_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_nd_dad_update(self, global_dad_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param global_dad_time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type global_dad_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_dad_time=global_dad_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_nd_dad_time_update(self, global_dad_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param global_dad_time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type global_dad_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_dad_time=global_dad_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_nd_global_suppress_ra_update(self, global_suppress_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param global_suppress_ra: Set Globally suppress-ra
		:type global_suppress_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_suppress_ra=global_suppress_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_nd_ra_dns_server_update(self, dns_server_global=None, dns_server_lifetime_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param dns_server_global: kwarg tuple.
		:type dns_server_global: (dns_server_prefix_global).

		:param dns_server_prefix_global: tuple arg.
		:type dns_server_prefix_global: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param dns_server_lifetime_global: Lifetime multiplier for the Recursive DNS Server option
		:type dns_server_lifetime_global: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dns_server_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dns_server_global', 'keyval': 'dns_server_prefix_global', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dns_server_global=dns_server_global, dns_server_lifetime_global=dns_server_lifetime_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_nd_ra_domain_name_update(self, domain_name_global=None, domain_name_lifetime_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param domain_name_global: kwarg tuple.
		:type domain_name_global: (domain_name_string_global).

		:param domain_name_string_global: tuple arg.
		:type domain_name_string_global: (unicode)

	**This Instance Arg(s)**:
		:param domain_name_lifetime_global: Lifetime multiplier for DNS Search List option
		:type domain_name_lifetime_global: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.domain_name_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain_name_global', 'keyval': 'domain_name_string_global', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name_global=domain_name_global, domain_name_lifetime_global=domain_name_lifetime_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_pim_snooping_update(self, pimv6_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param pimv6_enable: PIM Snooping Enable
		:type pimv6_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.mld_snooping.ipv6.pim.snooping', 'pybind.nos.v7_0_1a.brocade_mld_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mld_snooping.ipv6.pim.snooping', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6.pim.snooping', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pimv6_enable=pimv6_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_pim_snooping_enable_update(self, pimv6_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param pimv6_enable: PIM Snooping Enable
		:type pimv6_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.mld_snooping.ipv6.pim.snooping', 'pybind.nos.v7_0_1a.brocade_mld_snooping', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mld_snooping.ipv6.pim.snooping', 'pybind.nos.v7_1_0.brocade_mld_snooping', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mld_snooping.ipv6.pim.snooping', 'pybind.slxos.v16r_1_00b.brocade_mld_snooping', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pimv6_enable=pimv6_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_prefix_list_update(self, prefix_list=None, action_ipp=None, ipv6_prefix_ipp=None, ge_ipp=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param prefix_list: kwarg tuple.
		:type prefix_list: (name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param seq_keyword: tuple arg.
		:type seq_keyword: (unicode)
		
		.. note::
			* enum - [u'seq']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

		:param action_ipp: tuple arg.
		:type action_ipp: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ipv6_prefix_ipp: tuple arg.
		:type ipv6_prefix_ipp: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param ge_ipp: Minimum IPv6 prefix length.
		:type ge_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param le_ipp: Maximum IPv6 prefix length.
		:type le_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param action_ipp: kwarg.
		:type action_ipp: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ipv6_prefix_ipp: kwarg.
		:type ipv6_prefix_ipp: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param ge_ipp: Minimum IPv6 prefix length.
		:type ge_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param le_ipp: Maximum IPv6 prefix length.
		:type le_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list=prefix_list, action_ipp=action_ipp, ipv6_prefix_ipp=ipv6_prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_protocol_update(self, vrrp=None, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param vrrp: Virtual Router Redundacy Protocol IPv6 (VRRPv3)
		:type vrrp: (YANGBool)

		:param vrrp_extended: Virtual Router Redundacy Protocol IPv6 Extended (VRRPv3-E)
		:type vrrp_extended: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.proto_vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrrp=vrrp, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_protocol_vrrp_update(self, vrrp=None, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param vrrp: Virtual Router Redundacy Protocol IPv6 (VRRPv3)
		:type vrrp: (YANGBool)

		:param vrrp_extended: Virtual Router Redundacy Protocol IPv6 Extended (VRRPv3-E)
		:type vrrp_extended: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.proto_vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrrp=vrrp, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_route_update(self, route=None, next_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param route: kwarg tuple.
		:type route: (dest).

		:param dest: IPv6Address/prefix.;; Destination IPv6 address-prefix
		:type dest: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param next_hop: IPv6 address.;; Next hop IPv6 address
		:type next_hop: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ipv6.ipv6route.route', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ipv6.ipv6route.route', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, next_hop=next_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_route_distance_update(self, link_local_static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param link_local_static_route_nh: kwarg tuple.
		:type link_local_static_route_nh: (link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name).

		:param link_local_static_route_dest: A:B::C:D/LEN ;; Destination IPv6 Prefix
		:type link_local_static_route_dest: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param link_local_nexthop: A:B::C:D ;; Next hop IPv6 address
		:type link_local_nexthop: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local_route_oif_type: Outgoing interface type
		:type link_local_route_oif_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'management', u'null', u've']

		:param link_local_route_oif_name: tuple arg.
		:type link_local_route_oif_name: (unicode)
		
		.. note::
			* length - [u'1..16']

	**This Instance Arg(s)**:
		:param metric: Cost metric
		:type metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param distance: Route distance
		:type distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tag: Tag value for this route
		:type tag: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link_local_static_route_nh=link_local_static_route_nh, metric=metric, distance=distance, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_bfd_holdover_interval_update(self, ipv6_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ipv6_holdover_interval: Holdover interval
		:type ipv6_holdover_interval: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_holdover_interval=ipv6_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_bfd_interval_update(self, bfd_ipv6_link_local_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bfd_ipv6_link_local_static_route: kwarg tuple.
		:type bfd_ipv6_link_local_static_route: (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name).

		:param bfd_ipv6_link_local_dest: A:B::C:D ;; Destination IPv6 address
		:type bfd_ipv6_link_local_dest: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param bfd_ipv6_link_local_src: A:B::C:D ;; Source IPv6 address
		:type bfd_ipv6_link_local_src: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param bfd_interface_type: Outgoing interface type
		:type bfd_interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'null', u've']

		:param bfd_interface_name: tuple arg.
		:type bfd_interface_name: (unicode)
		
		.. note::
			* length - [u'1..16']

	**This Instance Arg(s)**:
		:param interval: Transmit interval
		:type interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param min_rx: Receive interval
		:type min_rx: (int)
		
		.. note::
			* range - ['0..65535']

		:param multiplier: Multiplier value
		:type multiplier: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_update(self, ospf=None, database_overflow_interval=None, default_metric=None, default_passive_interface=None, external_lsdb_limit=None, key_add_remove_interval=None, key_rollover_interval=None, log_status_change=None, global_metric_type=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated.
		:type database_overflow_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_metric: Set OSPF default metric
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_passive_interface: Set OSPF interface passive
		:type default_passive_interface: (YANGBool)

		:param external_lsdb_limit: Set maximum number of external LSAs.
		:type external_lsdb_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key_rollover_interval: Configure OSPFv3 authentication key rollover interval
		:type key_rollover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param log_status_change: Log status change
		:type log_status_change: (YANGBool)

		:param global_metric_type: OSPFv3 metric type for redistributed routes
		:type global_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param nonstop_routing: Enable nonstop-routing capability
		:type nonstop_routing: (YANGBool)

		:param maximum_paths: Set the maximum number of paths to a destination.
		:type maximum_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, database_overflow_interval=database_overflow_interval, default_metric=default_metric, default_passive_interface=default_passive_interface, external_lsdb_limit=external_lsdb_limit, key_add_remove_interval=key_add_remove_interval, key_rollover_interval=key_rollover_interval, log_status_change=log_status_change, global_metric_type=global_metric_type, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_update(self, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Keyword Arg Tuple**:
		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param normal: kwarg.
		:type normal: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_authentication_update(self, ospf=None, area=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_authentication_ah_update(self, ospf=None, area=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_update(self, ospf=None, area=None, nssa_area_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param nssa_area_metric: kwarg.
		:type nssa_area_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, nssa_area_metric=nssa_area_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_default_information_originate_update(self, ospf=None, area=None, area_default_information_originate_metric=None, area_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param area_default_information_originate_metric: Route metric
		:type area_default_information_originate_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param area_default_information_originate_metric_type: Type of the metric
		:type area_default_information_originate_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'area_default_information_originate_metric, area_default_information_originate_metric_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, area_default_information_originate_metric=area_default_information_originate_metric, area_default_information_originate_metric_type=area_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_default_information_originate_metric_update(self, ospf=None, area=None, area_default_information_originate_metric=None, area_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param area_default_information_originate_metric: Route metric
		:type area_default_information_originate_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param area_default_information_originate_metric_type: Type of the metric
		:type area_default_information_originate_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, area_default_information_originate_metric=area_default_information_originate_metric, area_default_information_originate_metric_type=area_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_no_redistribution_update(self, ospf=None, area=None, no_redistribution=None, nssa_area_no_summary=None, translator_always=None, translator_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param no_redistribution: Do not send redistributed LSA into nssa area
		:type no_redistribution: (YANGBool)

		:param nssa_area_no_summary: Do not send summary LSA into nssa area
		:type nssa_area_no_summary: (YANGBool)

		:param translator_always: Set nssa translator role
		:type translator_always: (YANGBool)

		:param translator_interval: Set nssa translator stability interval
		:type translator_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, no_redistribution=no_redistribution, nssa_area_no_summary=nssa_area_no_summary, translator_always=translator_always, translator_interval=translator_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_range_update(self, ospf=None, area=None, area_range=None, range_effect=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Keyword Arg Tuple**:
		:param area_range: kwarg tuple.
		:type area_range: (range_address, range_effect, range_cost).

		:param range_address: A:B::C:D/LEN;; IPv6 address to match
		:type range_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param range_effect: Advertise/Do not advertise this type-3 summarization
		:type range_effect: (unicode)
		
		.. note::
			* enum - [u'advertise', u'not-advertise']

		:param range_cost: Configure area range cost
		:type range_cost: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param range_effect: Advertise/Do not advertise this type-3 summarization
		:type range_effect: (unicode)
		
		.. note::
			* enum - [u'advertise', u'not-advertise']

		:param range_cost: Configure area range cost
		:type range_cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.area_range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, area_range=area_range, range_effect=range_effect, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_stub_update(self, ospf=None, area=None, stub_area_no_summary=None, stub_area_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param stub_area_no_summary: Do not send summary LSA into stub area
		:type stub_area_no_summary: (YANGBool)

		:param stub_area_metric: kwarg.
		:type stub_area_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.stub', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, stub_area_no_summary=stub_area_no_summary, stub_area_metric=stub_area_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_authentication_update(self, ospf=None, area=None, virtual_link=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virtual_link_neighbor).

		:param virtual_link_neighbor: tuple arg.
		:type virtual_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_authentication_ah_update(self, ospf=None, area=None, virtual_link=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virtual_link_neighbor).

		:param virtual_link_neighbor: tuple arg.
		:type virtual_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_dead_interval_update(self, ospf=None, area=None, virtual_link=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virtual_link_neighbor).

		:param virtual_link_neighbor: tuple arg.
		:type virtual_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_auto_cost_update(self, ospf=None, reference_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param reference_bandwidth: Set OSPFv3  Auto-cost Reference-bandwidth in Mbits per second
		:type reference_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.auto_cost', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, reference_bandwidth=reference_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_auto_cost_reference_bandwidth_update(self, ospf=None, reference_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param reference_bandwidth: Set OSPFv3  Auto-cost Reference-bandwidth in Mbits per second
		:type reference_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.auto_cost', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, reference_bandwidth=reference_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_bfd_update(self, ospf=None, bfd_enable=None, bfd_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param bfd_enable: kwarg.
		:type bfd_enable: (YANGBool)

		:param bfd_holdover_interval: The time by which the BFD session DOWN notification to Ospf is delayed
		:type bfd_holdover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, bfd_enable=bfd_enable, bfd_holdover_interval=bfd_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_default_information_originate_update(self, ospf=None, global_default_information_originate_always=None, global_default_information_originate_metric=None, global_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param global_default_information_originate_always: Always advertise default route
		:type global_default_information_originate_always: (YANGBool)

		:param global_default_information_originate_metric: OSPF metric for default route
		:type global_default_information_originate_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param global_default_information_originate_metric_type: OSPF metric type for default route
		:type global_default_information_originate_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.global_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'global_default_information_originate_always, global_default_information_originate_metric, global_default_information_originate_metric_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, global_default_information_originate_always=global_default_information_originate_always, global_default_information_originate_metric=global_default_information_originate_metric, global_default_information_originate_metric_type=global_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_default_information_originate_always_update(self, ospf=None, global_default_information_originate_always=None, global_default_information_originate_metric=None, global_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param global_default_information_originate_always: Always advertise default route
		:type global_default_information_originate_always: (YANGBool)

		:param global_default_information_originate_metric: OSPF metric for default route
		:type global_default_information_originate_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param global_default_information_originate_metric_type: OSPF metric type for default route
		:type global_default_information_originate_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.global_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, global_default_information_originate_always=global_default_information_originate_always, global_default_information_originate_metric=global_default_information_originate_metric, global_default_information_originate_metric_type=global_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distance_update(self, ospf=None, distance=None, distance_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Keyword Arg Tuple**:
		:param distance: kwarg tuple.
		:type distance: (route_type).

		:param route_type: The type of route propagation
		:type route_type: (unicode)
		
		.. note::
			* enum - [u'intra-area', u'external', u'inter-area']

	**This Instance Arg(s)**:
		:param distance_value: The distance for a given type of route
		:type distance_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distance=distance, distance_value=distance_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distribute_list_prefix_list_update(self, ospf=None, distribute_list_prefix_list_name=None, distribute_list_prefix_list_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param distribute_list_prefix_list_name: Prefix list  name.
		:type distribute_list_prefix_list_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param distribute_list_prefix_list_in: Inbound Filtering
		:type distribute_list_prefix_list_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'distribute_list_prefix_list_name, distribute_list_prefix_list_in'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name, distribute_list_prefix_list_in=distribute_list_prefix_list_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distribute_list_prefix_list_in_update(self, ospf=None, distribute_list_prefix_list_name=None, distribute_list_prefix_list_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param distribute_list_prefix_list_name: Prefix list  name.
		:type distribute_list_prefix_list_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param distribute_list_prefix_list_in: Inbound Filtering
		:type distribute_list_prefix_list_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name, distribute_list_prefix_list_in=distribute_list_prefix_list_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distribute_list_route_map_update(self, ospf=None, distribute_list_route_map_name=None, distribute_list_route_map_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param distribute_list_route_map_name: Route-map name.
		:type distribute_list_route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param distribute_list_route_map_in: Inbound Filtering
		:type distribute_list_route_map_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'distribute_list_route_map_name, distribute_list_route_map_in'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name, distribute_list_route_map_in=distribute_list_route_map_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distribute_list_route_map_in_update(self, ospf=None, distribute_list_route_map_name=None, distribute_list_route_map_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param distribute_list_route_map_name: Route-map name.
		:type distribute_list_route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param distribute_list_route_map_in: Inbound Filtering
		:type distribute_list_route_map_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name, distribute_list_route_map_in=distribute_list_route_map_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_graceful_restart_helper_update(self, ospf=None, graceful_restart_helper_disable=None, graceful_restart_helper_strict_lsa_checking=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param graceful_restart_helper_disable: Disable graceful restart helper capability
		:type graceful_restart_helper_disable: (YANGBool)

		:param graceful_restart_helper_strict_lsa_checking: Set strict LSA checking
		:type graceful_restart_helper_strict_lsa_checking: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.graceful_restart.helper', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_graceful_restart_helper_disable_update(self, ospf=None, graceful_restart_helper_disable=None, graceful_restart_helper_strict_lsa_checking=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param graceful_restart_helper_disable: Disable graceful restart helper capability
		:type graceful_restart_helper_disable: (YANGBool)

		:param graceful_restart_helper_strict_lsa_checking: Set strict LSA checking
		:type graceful_restart_helper_strict_lsa_checking: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.graceful_restart.helper', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_update(self, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param log_all: Logging everything
		:type log_all: (YANGBool)

		:param log_database: Logging LSA activity
		:type log_database: (YANGBool)

		:param log_retransmit: Logging retransmit activity
		:type log_retransmit: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_adjacency_update(self, ospf=None, log_adjacency_dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param log_adjacency_dr_only: Logging only Designated Router interfaces' adjacency changes
		:type log_adjacency_dr_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log.log_adjacency', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_adjacency_dr_only_update(self, ospf=None, log_adjacency_dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param log_adjacency_dr_only: Logging only Designated Router interfaces' adjacency changes
		:type log_adjacency_dr_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log.log_adjacency', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_all_update(self, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param log_all: Logging everything
		:type log_all: (YANGBool)

		:param log_database: Logging LSA activity
		:type log_database: (YANGBool)

		:param log_retransmit: Logging retransmit activity
		:type log_retransmit: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_bad_packet_update(self, ospf=None, log_bad_packet_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param log_bad_packet_checksum: Logging bad checksum packets
		:type log_bad_packet_checksum: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log.log_bad_packet', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_bad_packet_checksum_update(self, ospf=None, log_bad_packet_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param log_bad_packet_checksum: Logging bad checksum packets
		:type log_bad_packet_checksum: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log.log_bad_packet', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_update(self, ospf=None, all_lsas=None, include_stub=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param all_lsas: Replace Metric in all External and Summary LSAs with default max metric value
		:type all_lsas: (YANGBool)

		:param include_stub: Configure include-stub for max-metric
		:type include_stub: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all_lsas=all_lsas, include_stub=include_stub)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_all_lsas_update(self, ospf=None, all_lsas=None, include_stub=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param all_lsas: Replace Metric in all External and Summary LSAs with default max metric value
		:type all_lsas: (YANGBool)

		:param include_stub: Configure include-stub for max-metric
		:type include_stub: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all_lsas=all_lsas, include_stub=include_stub)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_external_lsa_update(self, ospf=None, external_lsa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param external_lsa_value: Indicates the metric of all external type 5 and type 7 LSA's
		:type external_lsa_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, external_lsa_value=external_lsa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_on_startup_update(self, ospf=None, on_startup_time=None, wait_for_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param on_startup_time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds
		:type on_startup_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds
		:type wait_for_bgp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, on_startup_time=on_startup_time, wait_for_bgp=wait_for_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_summary_lsa_update(self, ospf=None, summary_lsa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param summary_lsa_value: Metric of all summary type 3 and type 4 LSAs
		:type summary_lsa_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, summary_lsa_value=summary_lsa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_bgp_update(self, ospf=None, bgp_route_map=None, redistribute_bgp_metric=None, redistribute_bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_bgp_metric: Route metric
		:type redistribute_bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_bgp_metric_type: Type of the metric
		:type redistribute_bgp_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, bgp_route_map=bgp_route_map, redistribute_bgp_metric=redistribute_bgp_metric, redistribute_bgp_metric_type=redistribute_bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_bgp_route_map_update(self, ospf=None, bgp_route_map=None, redistribute_bgp_metric=None, redistribute_bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_bgp_metric: Route metric
		:type redistribute_bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_bgp_metric_type: Type of the metric
		:type redistribute_bgp_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, bgp_route_map=bgp_route_map, redistribute_bgp_metric=redistribute_bgp_metric, redistribute_bgp_metric_type=redistribute_bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_connected_update(self, ospf=None, connected_route_map=None, redistribute_connected_metric=None, redistribute_connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param connected_route_map: Route map reference
		:type connected_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_connected_metric: Route metric
		:type redistribute_connected_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_connected_metric_type: Type of the metric
		:type redistribute_connected_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, connected_route_map=connected_route_map, redistribute_connected_metric=redistribute_connected_metric, redistribute_connected_metric_type=redistribute_connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_connected_route_map_update(self, ospf=None, connected_route_map=None, redistribute_connected_metric=None, redistribute_connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param connected_route_map: Route map reference
		:type connected_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_connected_metric: Route metric
		:type redistribute_connected_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_connected_metric_type: Type of the metric
		:type redistribute_connected_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, connected_route_map=connected_route_map, redistribute_connected_metric=redistribute_connected_metric, redistribute_connected_metric_type=redistribute_connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_isis_update(self, ospf=None, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, redistribute_isis_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param redistribute_isis_route_map: Route map reference
		:type redistribute_isis_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param level_1: Redistribution of IS-IS Level-1 routes only
		:type level_1: (YANGBool)

		:param level_2: Redistribution of IS-IS Level-2 routes only
		:type level_2: (YANGBool)

		:param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes
		:type level_1_2: (YANGBool)

		:param redistribute_isis_metric: Route metric
		:type redistribute_isis_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_isis_metric_type: Type of the metric
		:type redistribute_isis_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric, redistribute_isis_metric_type=redistribute_isis_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_isis_level_1_update(self, ospf=None, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, redistribute_isis_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param redistribute_isis_route_map: Route map reference
		:type redistribute_isis_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param level_1: Redistribution of IS-IS Level-1 routes only
		:type level_1: (YANGBool)

		:param level_2: Redistribution of IS-IS Level-2 routes only
		:type level_2: (YANGBool)

		:param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes
		:type level_1_2: (YANGBool)

		:param redistribute_isis_metric: Route metric
		:type redistribute_isis_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_isis_metric_type: Type of the metric
		:type redistribute_isis_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric, redistribute_isis_metric_type=redistribute_isis_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_ospf_update(self, ospf=None, ospf_route_map=None, redistribute_ospf_metric=None, redistribute_ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_ospf_metric: Route metric
		:type redistribute_ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_ospf_metric_type: Type of the metric
		:type redistribute_ospf_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, ospf_route_map=ospf_route_map, redistribute_ospf_metric=redistribute_ospf_metric, redistribute_ospf_metric_type=redistribute_ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_ospf_route_map_update(self, ospf=None, ospf_route_map=None, redistribute_ospf_metric=None, redistribute_ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_ospf_metric: Route metric
		:type redistribute_ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_ospf_metric_type: Type of the metric
		:type redistribute_ospf_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, ospf_route_map=ospf_route_map, redistribute_ospf_metric=redistribute_ospf_metric, redistribute_ospf_metric_type=redistribute_ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_static_update(self, ospf=None, static_route_map=None, redistribute_static_metric=None, redistribute_static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_static_metric: Route metric
		:type redistribute_static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_static_metric_type: Type of the metric
		:type redistribute_static_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, static_route_map=static_route_map, redistribute_static_metric=redistribute_static_metric, redistribute_static_metric_type=redistribute_static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_static_metric_update(self, ospf=None, static_route_map=None, redistribute_static_metric=None, redistribute_static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_static_metric: Route metric
		:type redistribute_static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_static_metric_type: Type of the metric
		:type redistribute_static_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, static_route_map=static_route_map, redistribute_static_metric=redistribute_static_metric, redistribute_static_metric_type=redistribute_static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_timers_update(self, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param lsa_group_pacing: OSPFv3 LSA group pacing timer
		:type lsa_group_pacing: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_timers_lsa_group_pacing_update(self, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param lsa_group_pacing: OSPFv3 LSA group pacing timer
		:type lsa_group_pacing: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_timers_spf_update(self, ospf=None, spf_delay=None, spf_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param spf_delay: kwarg.
		:type spf_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_hold_time: kwarg.
		:type spf_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.timers.spf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, spf_delay=spf_delay, spf_hold_time=spf_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_database_update(self, database=None, isis_operation=None, detail=None, summary=None, lsp_level1_count=None, lsp_level2_count=None, lsp_level1_loading=None, lsp_level2_loading=None, lsp_level1_fragments=None, lsp_level2_fragments=None, lsp_level1_pseudo=None, lsp_level2_pseudo=None, lsp_level1_pseudo_fragments=None, lsp_level2_pseudo_fragments=None, lsp_level1_my_count=None, lsp_level2_my_count=None, lsp_level1_my_lsp_fragments=None, lsp_level2_my_lsp_fragments=None, lsp_level1_my_pseudo=None, lsp_level2_my_pseudo=None, lsp_level1_my_pseudo_fragments=None, lsp_level2_my_pseudo_fragments=None, lsp_level1_checksum=None, lsp_level2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param database: kwarg tuple.
		:type database: (level).

		:param level: tuple arg.
		:type level: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param isis_operation: kwarg.
		:type isis_operation: (YANGBool)

		:param detail: kwarg.
		:type detail: (YANGBool)

		:param summary: kwarg.
		:type summary: (YANGBool)

		:param lsp_level1_count: kwarg.
		:type lsp_level1_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level2_count: kwarg.
		:type lsp_level2_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level1_loading: kwarg.
		:type lsp_level1_loading: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level2_loading: kwarg.
		:type lsp_level2_loading: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level1_fragments: kwarg.
		:type lsp_level1_fragments: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level2_fragments: kwarg.
		:type lsp_level2_fragments: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level1_pseudo: kwarg.
		:type lsp_level1_pseudo: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level2_pseudo: kwarg.
		:type lsp_level2_pseudo: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level1_pseudo_fragments: kwarg.
		:type lsp_level1_pseudo_fragments: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level2_pseudo_fragments: kwarg.
		:type lsp_level2_pseudo_fragments: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level1_my_count: kwarg.
		:type lsp_level1_my_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level2_my_count: kwarg.
		:type lsp_level2_my_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level1_my_lsp_fragments: kwarg.
		:type lsp_level1_my_lsp_fragments: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level2_my_lsp_fragments: kwarg.
		:type lsp_level2_my_lsp_fragments: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level1_my_pseudo: kwarg.
		:type lsp_level1_my_pseudo: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level2_my_pseudo: kwarg.
		:type lsp_level2_my_pseudo: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level1_my_pseudo_fragments: kwarg.
		:type lsp_level1_my_pseudo_fragments: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level2_my_pseudo_fragments: kwarg.
		:type lsp_level2_my_pseudo_fragments: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level1_checksum: kwarg.
		:type lsp_level1_checksum: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_level2_checksum: kwarg.
		:type lsp_level2_checksum: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, isis_operation=isis_operation, detail=detail, summary=summary, lsp_level1_count=lsp_level1_count, lsp_level2_count=lsp_level2_count, lsp_level1_loading=lsp_level1_loading, lsp_level2_loading=lsp_level2_loading, lsp_level1_fragments=lsp_level1_fragments, lsp_level2_fragments=lsp_level2_fragments, lsp_level1_pseudo=lsp_level1_pseudo, lsp_level2_pseudo=lsp_level2_pseudo, lsp_level1_pseudo_fragments=lsp_level1_pseudo_fragments, lsp_level2_pseudo_fragments=lsp_level2_pseudo_fragments, lsp_level1_my_count=lsp_level1_my_count, lsp_level2_my_count=lsp_level2_my_count, lsp_level1_my_lsp_fragments=lsp_level1_my_lsp_fragments, lsp_level2_my_lsp_fragments=lsp_level2_my_lsp_fragments, lsp_level1_my_pseudo=lsp_level1_my_pseudo, lsp_level2_my_pseudo=lsp_level2_my_pseudo, lsp_level1_my_pseudo_fragments=lsp_level1_my_pseudo_fragments, lsp_level2_my_pseudo_fragments=lsp_level2_my_pseudo_fragments, lsp_level1_checksum=lsp_level1_checksum, lsp_level2_checksum=lsp_level2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_update(self, database=None, lsp_entry=None, lsp_seq_no=None, lsp_checksum=None, lsp_holdtime=None, lsp_att=None, lsp_p=None, lsp_ol=None, lsp_area_address=None, lsp_nlpid=None, lsp_hostname=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param database: kwarg tuple.
		:type database: (level).

		:param level: tuple arg.
		:type level: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param lsp_entry: kwarg tuple.
		:type lsp_entry: (lsp_level, lsp_id).

		:param lsp_level: tuple arg.
		:type lsp_level: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: tuple arg.
		:type lsp_id: (unicode)

	**This Instance Arg(s)**:
		:param lsp_seq_no: kwarg.
		:type lsp_seq_no: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_checksum: kwarg.
		:type lsp_checksum: (int)
		
		.. note::
			* range - ['0..65535']

		:param lsp_holdtime: kwarg.
		:type lsp_holdtime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_att: kwarg.
		:type lsp_att: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_p: kwarg.
		:type lsp_p: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_ol: kwarg.
		:type lsp_ol: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_area_address: kwarg.
		:type lsp_area_address: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_nlpid: kwarg.
		:type lsp_nlpid: (unicode)

		:param lsp_hostname: kwarg.
		:type lsp_hostname: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry, lsp_seq_no=lsp_seq_no, lsp_checksum=lsp_checksum, lsp_holdtime=lsp_holdtime, lsp_att=lsp_att, lsp_p=lsp_p, lsp_ol=lsp_ol, lsp_area_address=lsp_area_address, lsp_nlpid=lsp_nlpid, lsp_hostname=lsp_hostname)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_tlv_entry_update(self, database=None, lsp_entry=None, lsp_tlv_entry=None, length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param database: kwarg tuple.
		:type database: (level).

		:param level: tuple arg.
		:type level: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_entry: kwarg tuple.
		:type lsp_entry: (lsp_level, lsp_id).

		:param lsp_level: tuple arg.
		:type lsp_level: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: tuple arg.
		:type lsp_id: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param lsp_tlv_entry: kwarg tuple.
		:type lsp_tlv_entry: (type).

		:param type: tuple arg.
		:type type: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param length: kwarg.
		:type length: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, length=length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_tlv_entry_sub_tlv_entry_update(self, database=None, lsp_entry=None, lsp_tlv_entry=None, sub_tlv_entry=None, length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param database: kwarg tuple.
		:type database: (level).

		:param level: tuple arg.
		:type level: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_entry: kwarg tuple.
		:type lsp_entry: (lsp_level, lsp_id).

		:param lsp_level: tuple arg.
		:type lsp_level: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: tuple arg.
		:type lsp_id: (unicode)

		:param lsp_tlv_entry: kwarg tuple.
		:type lsp_tlv_entry: (type).

		:param type: tuple arg.
		:type type: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param sub_tlv_entry: kwarg tuple.
		:type sub_tlv_entry: (type).

		:param type: tuple arg.
		:type type: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param length: kwarg.
		:type length: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', u'lsp_tlv_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry.sub_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}, {'keyval': 'type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sub_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, sub_tlv_entry=sub_tlv_entry, length=length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_update(self, isis_protocol=None, isis_state=None, is_type=None, system_id=None, area_addresses=None, database_state_level_1=None, database_state_level_2=None, database_state_level_1_2=None, overload_reason=None, check_alarm=None, overload_state_since=None, overload_state_rem_time=None, admin_distance=None, v6_admin_distance=None, max_paths=None, v6_max_paths=None, default_redis_metric=None, v6_default_redis_metric=None, default_link_metric_l1_conf=None, default_link_metric_l1_adv=None, default_link_metric_l2_conf=None, default_link_metric_l2_adv=None, v6_default_link_metric_l1_conf=None, v6_default_link_metric_l1_adv=None, v6_default_link_metric_l2_conf=None, v6_default_link_metric_l2_adv=None, redis_protocol=None, no_routes_redis=None, v6_redis_protocol=None, v6_no_routes_redis=None, auth_mode_l1=None, auth_mode_l2=None, auth_key_l1=None, auth_key_l2=None, metric_style_l1=None, metric_style_l2=None, graceful_restart_helper=None, pspf_optimization=None, spf_max_wait_l1=None, spf_max_wait_l2=None, spf_init_wait_l1=None, spf_init_wait_l2=None, spf_second_wait_l1=None, spf_second_wait_l2=None, spf_scheduled_l1=None, spf_scheduled_l2=None, pspf_max_wait=None, pspf_init_wait=None, pspf_second_wait=None, pspf_scheduled=None, spf6_max_wait_l1=None, spf6_max_wait_l2=None, spf6_init_wait_l1=None, spf6_init_wait_l2=None, spf6_second_wait_l1=None, spf6_second_wait_l2=None, spf6_scheduled_l1=None, spf6_scheduled_l2=None, pspf6_max_wait=None, pspf6_init_wait=None, pspf6_second_wait=None, pspf6_scheduled=None, lsp_max_lifetime=None, lsp_refresh_interval=None, lsp_gen_interval=None, lsp_retrans_interval=None, lsp_interval=None, snp_csnp_interval=None, snp_psnp_interval=None, hello_padding=None, hello_padding_ptp=None, ptp_handshake=None, bgp_ipv4_converged=None, bgp_ipv6_converged=None, isis_te=None, isis_shortcuts=None, isis_reverse_metric=None, isis_reverse_metric_wbit=None, isis_reverse_metric_sbit=None, bfd_enabled=None, bfd_hold_interval=None, nsr_enabled=None, nsr_state=None, nsr_standby_state=None, nsr_sync_state=None, isis_is_mp=None, ldp_sync=None, ldp_sync_holddown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param isis_protocol: kwarg.
		:type isis_protocol: (YANGBool)

		:param isis_state: kwarg.
		:type isis_state: (YANGBool)

		:param is_type: kwarg.
		:type is_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param system_id: kwarg.
		:type system_id: (unicode)

		:param area_addresses: kwarg.
		:type area_addresses: (unicode)

		:param database_state_level_1: kwarg.
		:type database_state_level_1: (unicode)

		:param database_state_level_2: kwarg.
		:type database_state_level_2: (unicode)

		:param database_state_level_1_2: kwarg.
		:type database_state_level_1_2: (unicode)

		:param overload_reason: kwarg.
		:type overload_reason: (unicode)

		:param check_alarm: kwarg.
		:type check_alarm: (YANGBool)

		:param overload_state_since: kwarg.
		:type overload_state_since: (unicode)

		:param overload_state_rem_time: kwarg.
		:type overload_state_rem_time: (unicode)

		:param admin_distance: kwarg.
		:type admin_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_admin_distance: kwarg.
		:type v6_admin_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_paths: kwarg.
		:type max_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_max_paths: kwarg.
		:type v6_max_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_redis_metric: kwarg.
		:type default_redis_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_default_redis_metric: kwarg.
		:type v6_default_redis_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_link_metric_l1_conf: kwarg.
		:type default_link_metric_l1_conf: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_link_metric_l1_adv: kwarg.
		:type default_link_metric_l1_adv: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_link_metric_l2_conf: kwarg.
		:type default_link_metric_l2_conf: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_link_metric_l2_adv: kwarg.
		:type default_link_metric_l2_adv: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_default_link_metric_l1_conf: kwarg.
		:type v6_default_link_metric_l1_conf: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_default_link_metric_l1_adv: kwarg.
		:type v6_default_link_metric_l1_adv: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_default_link_metric_l2_conf: kwarg.
		:type v6_default_link_metric_l2_conf: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_default_link_metric_l2_adv: kwarg.
		:type v6_default_link_metric_l2_adv: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redis_protocol: kwarg.
		:type redis_protocol: (unicode)

		:param no_routes_redis: kwarg.
		:type no_routes_redis: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_redis_protocol: kwarg.
		:type v6_redis_protocol: (unicode)

		:param v6_no_routes_redis: kwarg.
		:type v6_no_routes_redis: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param auth_mode_l1: kwarg.
		:type auth_mode_l1: (unicode)

		:param auth_mode_l2: kwarg.
		:type auth_mode_l2: (unicode)

		:param auth_key_l1: kwarg.
		:type auth_key_l1: (unicode)

		:param auth_key_l2: kwarg.
		:type auth_key_l2: (unicode)

		:param metric_style_l1: kwarg.
		:type metric_style_l1: (unicode)

		:param metric_style_l2: kwarg.
		:type metric_style_l2: (unicode)

		:param graceful_restart_helper: kwarg.
		:type graceful_restart_helper: (YANGBool)

		:param pspf_optimization: kwarg.
		:type pspf_optimization: (YANGBool)

		:param spf_max_wait_l1: kwarg.
		:type spf_max_wait_l1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_max_wait_l2: kwarg.
		:type spf_max_wait_l2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_init_wait_l1: kwarg.
		:type spf_init_wait_l1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_init_wait_l2: kwarg.
		:type spf_init_wait_l2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_second_wait_l1: kwarg.
		:type spf_second_wait_l1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_second_wait_l2: kwarg.
		:type spf_second_wait_l2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_scheduled_l1: kwarg.
		:type spf_scheduled_l1: (unicode)

		:param spf_scheduled_l2: kwarg.
		:type spf_scheduled_l2: (unicode)

		:param pspf_max_wait: kwarg.
		:type pspf_max_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf_init_wait: kwarg.
		:type pspf_init_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf_second_wait: kwarg.
		:type pspf_second_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf_scheduled: kwarg.
		:type pspf_scheduled: (unicode)

		:param spf6_max_wait_l1: kwarg.
		:type spf6_max_wait_l1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_max_wait_l2: kwarg.
		:type spf6_max_wait_l2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_init_wait_l1: kwarg.
		:type spf6_init_wait_l1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_init_wait_l2: kwarg.
		:type spf6_init_wait_l2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_second_wait_l1: kwarg.
		:type spf6_second_wait_l1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_second_wait_l2: kwarg.
		:type spf6_second_wait_l2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_scheduled_l1: kwarg.
		:type spf6_scheduled_l1: (unicode)

		:param spf6_scheduled_l2: kwarg.
		:type spf6_scheduled_l2: (unicode)

		:param pspf6_max_wait: kwarg.
		:type pspf6_max_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf6_init_wait: kwarg.
		:type pspf6_init_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf6_second_wait: kwarg.
		:type pspf6_second_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf6_scheduled: kwarg.
		:type pspf6_scheduled: (unicode)

		:param lsp_max_lifetime: kwarg.
		:type lsp_max_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_refresh_interval: kwarg.
		:type lsp_refresh_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_gen_interval: kwarg.
		:type lsp_gen_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_retrans_interval: kwarg.
		:type lsp_retrans_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_interval: kwarg.
		:type lsp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param snp_csnp_interval: kwarg.
		:type snp_csnp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param snp_psnp_interval: kwarg.
		:type snp_psnp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_padding: kwarg.
		:type hello_padding: (YANGBool)

		:param hello_padding_ptp: kwarg.
		:type hello_padding_ptp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ptp_handshake: kwarg.
		:type ptp_handshake: (YANGBool)

		:param bgp_ipv4_converged: kwarg.
		:type bgp_ipv4_converged: (YANGBool)

		:param bgp_ipv6_converged: kwarg.
		:type bgp_ipv6_converged: (YANGBool)

		:param isis_te: kwarg.
		:type isis_te: (YANGBool)

		:param isis_shortcuts: kwarg.
		:type isis_shortcuts: (unicode)

		:param isis_reverse_metric: kwarg.
		:type isis_reverse_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param isis_reverse_metric_wbit: kwarg.
		:type isis_reverse_metric_wbit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param isis_reverse_metric_sbit: kwarg.
		:type isis_reverse_metric_sbit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bfd_enabled: kwarg.
		:type bfd_enabled: (YANGBool)

		:param bfd_hold_interval: kwarg.
		:type bfd_hold_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nsr_enabled: kwarg.
		:type nsr_enabled: (YANGBool)

		:param nsr_state: kwarg.
		:type nsr_state: (unicode)

		:param nsr_standby_state: kwarg.
		:type nsr_standby_state: (unicode)

		:param nsr_sync_state: kwarg.
		:type nsr_sync_state: (YANGBool)

		:param isis_is_mp: kwarg.
		:type isis_is_mp: (YANGBool)

		:param ldp_sync: kwarg.
		:type ldp_sync: (YANGBool)

		:param ldp_sync_holddown_time: kwarg.
		:type ldp_sync_holddown_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_protocol=isis_protocol, isis_state=isis_state, is_type=is_type, system_id=system_id, area_addresses=area_addresses, database_state_level_1=database_state_level_1, database_state_level_2=database_state_level_2, database_state_level_1_2=database_state_level_1_2, overload_reason=overload_reason, check_alarm=check_alarm, overload_state_since=overload_state_since, overload_state_rem_time=overload_state_rem_time, admin_distance=admin_distance, v6_admin_distance=v6_admin_distance, max_paths=max_paths, v6_max_paths=v6_max_paths, default_redis_metric=default_redis_metric, v6_default_redis_metric=v6_default_redis_metric, default_link_metric_l1_conf=default_link_metric_l1_conf, default_link_metric_l1_adv=default_link_metric_l1_adv, default_link_metric_l2_conf=default_link_metric_l2_conf, default_link_metric_l2_adv=default_link_metric_l2_adv, v6_default_link_metric_l1_conf=v6_default_link_metric_l1_conf, v6_default_link_metric_l1_adv=v6_default_link_metric_l1_adv, v6_default_link_metric_l2_conf=v6_default_link_metric_l2_conf, v6_default_link_metric_l2_adv=v6_default_link_metric_l2_adv, redis_protocol=redis_protocol, no_routes_redis=no_routes_redis, v6_redis_protocol=v6_redis_protocol, v6_no_routes_redis=v6_no_routes_redis, auth_mode_l1=auth_mode_l1, auth_mode_l2=auth_mode_l2, auth_key_l1=auth_key_l1, auth_key_l2=auth_key_l2, metric_style_l1=metric_style_l1, metric_style_l2=metric_style_l2, graceful_restart_helper=graceful_restart_helper, pspf_optimization=pspf_optimization, spf_max_wait_l1=spf_max_wait_l1, spf_max_wait_l2=spf_max_wait_l2, spf_init_wait_l1=spf_init_wait_l1, spf_init_wait_l2=spf_init_wait_l2, spf_second_wait_l1=spf_second_wait_l1, spf_second_wait_l2=spf_second_wait_l2, spf_scheduled_l1=spf_scheduled_l1, spf_scheduled_l2=spf_scheduled_l2, pspf_max_wait=pspf_max_wait, pspf_init_wait=pspf_init_wait, pspf_second_wait=pspf_second_wait, pspf_scheduled=pspf_scheduled, spf6_max_wait_l1=spf6_max_wait_l1, spf6_max_wait_l2=spf6_max_wait_l2, spf6_init_wait_l1=spf6_init_wait_l1, spf6_init_wait_l2=spf6_init_wait_l2, spf6_second_wait_l1=spf6_second_wait_l1, spf6_second_wait_l2=spf6_second_wait_l2, spf6_scheduled_l1=spf6_scheduled_l1, spf6_scheduled_l2=spf6_scheduled_l2, pspf6_max_wait=pspf6_max_wait, pspf6_init_wait=pspf6_init_wait, pspf6_second_wait=pspf6_second_wait, pspf6_scheduled=pspf6_scheduled, lsp_max_lifetime=lsp_max_lifetime, lsp_refresh_interval=lsp_refresh_interval, lsp_gen_interval=lsp_gen_interval, lsp_retrans_interval=lsp_retrans_interval, lsp_interval=lsp_interval, snp_csnp_interval=snp_csnp_interval, snp_psnp_interval=snp_psnp_interval, hello_padding=hello_padding, hello_padding_ptp=hello_padding_ptp, ptp_handshake=ptp_handshake, bgp_ipv4_converged=bgp_ipv4_converged, bgp_ipv6_converged=bgp_ipv6_converged, isis_te=isis_te, isis_shortcuts=isis_shortcuts, isis_reverse_metric=isis_reverse_metric, isis_reverse_metric_wbit=isis_reverse_metric_wbit, isis_reverse_metric_sbit=isis_reverse_metric_sbit, bfd_enabled=bfd_enabled, bfd_hold_interval=bfd_hold_interval, nsr_enabled=nsr_enabled, nsr_state=nsr_state, nsr_standby_state=nsr_standby_state, nsr_sync_state=nsr_sync_state, isis_is_mp=isis_is_mp, ldp_sync=ldp_sync, ldp_sync_holddown_time=ldp_sync_holddown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_global_isis_info_admin_distance_update(self, isis_protocol=None, isis_state=None, is_type=None, system_id=None, area_addresses=None, database_state_level_1=None, database_state_level_2=None, database_state_level_1_2=None, overload_reason=None, check_alarm=None, overload_state_since=None, overload_state_rem_time=None, admin_distance=None, v6_admin_distance=None, max_paths=None, v6_max_paths=None, default_redis_metric=None, v6_default_redis_metric=None, default_link_metric_l1_conf=None, default_link_metric_l1_adv=None, default_link_metric_l2_conf=None, default_link_metric_l2_adv=None, v6_default_link_metric_l1_conf=None, v6_default_link_metric_l1_adv=None, v6_default_link_metric_l2_conf=None, v6_default_link_metric_l2_adv=None, redis_protocol=None, no_routes_redis=None, v6_redis_protocol=None, v6_no_routes_redis=None, auth_mode_l1=None, auth_mode_l2=None, auth_key_l1=None, auth_key_l2=None, metric_style_l1=None, metric_style_l2=None, graceful_restart_helper=None, pspf_optimization=None, spf_max_wait_l1=None, spf_max_wait_l2=None, spf_init_wait_l1=None, spf_init_wait_l2=None, spf_second_wait_l1=None, spf_second_wait_l2=None, spf_scheduled_l1=None, spf_scheduled_l2=None, pspf_max_wait=None, pspf_init_wait=None, pspf_second_wait=None, pspf_scheduled=None, spf6_max_wait_l1=None, spf6_max_wait_l2=None, spf6_init_wait_l1=None, spf6_init_wait_l2=None, spf6_second_wait_l1=None, spf6_second_wait_l2=None, spf6_scheduled_l1=None, spf6_scheduled_l2=None, pspf6_max_wait=None, pspf6_init_wait=None, pspf6_second_wait=None, pspf6_scheduled=None, lsp_max_lifetime=None, lsp_refresh_interval=None, lsp_gen_interval=None, lsp_retrans_interval=None, lsp_interval=None, snp_csnp_interval=None, snp_psnp_interval=None, hello_padding=None, hello_padding_ptp=None, ptp_handshake=None, bgp_ipv4_converged=None, bgp_ipv6_converged=None, isis_te=None, isis_shortcuts=None, isis_reverse_metric=None, isis_reverse_metric_wbit=None, isis_reverse_metric_sbit=None, bfd_enabled=None, bfd_hold_interval=None, nsr_enabled=None, nsr_state=None, nsr_standby_state=None, nsr_sync_state=None, isis_is_mp=None, ldp_sync=None, ldp_sync_holddown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param isis_protocol: kwarg.
		:type isis_protocol: (YANGBool)

		:param isis_state: kwarg.
		:type isis_state: (YANGBool)

		:param is_type: kwarg.
		:type is_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param system_id: kwarg.
		:type system_id: (unicode)

		:param area_addresses: kwarg.
		:type area_addresses: (unicode)

		:param database_state_level_1: kwarg.
		:type database_state_level_1: (unicode)

		:param database_state_level_2: kwarg.
		:type database_state_level_2: (unicode)

		:param database_state_level_1_2: kwarg.
		:type database_state_level_1_2: (unicode)

		:param overload_reason: kwarg.
		:type overload_reason: (unicode)

		:param check_alarm: kwarg.
		:type check_alarm: (YANGBool)

		:param overload_state_since: kwarg.
		:type overload_state_since: (unicode)

		:param overload_state_rem_time: kwarg.
		:type overload_state_rem_time: (unicode)

		:param admin_distance: kwarg.
		:type admin_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_admin_distance: kwarg.
		:type v6_admin_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_paths: kwarg.
		:type max_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_max_paths: kwarg.
		:type v6_max_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_redis_metric: kwarg.
		:type default_redis_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_default_redis_metric: kwarg.
		:type v6_default_redis_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_link_metric_l1_conf: kwarg.
		:type default_link_metric_l1_conf: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_link_metric_l1_adv: kwarg.
		:type default_link_metric_l1_adv: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_link_metric_l2_conf: kwarg.
		:type default_link_metric_l2_conf: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_link_metric_l2_adv: kwarg.
		:type default_link_metric_l2_adv: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_default_link_metric_l1_conf: kwarg.
		:type v6_default_link_metric_l1_conf: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_default_link_metric_l1_adv: kwarg.
		:type v6_default_link_metric_l1_adv: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_default_link_metric_l2_conf: kwarg.
		:type v6_default_link_metric_l2_conf: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_default_link_metric_l2_adv: kwarg.
		:type v6_default_link_metric_l2_adv: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redis_protocol: kwarg.
		:type redis_protocol: (unicode)

		:param no_routes_redis: kwarg.
		:type no_routes_redis: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v6_redis_protocol: kwarg.
		:type v6_redis_protocol: (unicode)

		:param v6_no_routes_redis: kwarg.
		:type v6_no_routes_redis: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param auth_mode_l1: kwarg.
		:type auth_mode_l1: (unicode)

		:param auth_mode_l2: kwarg.
		:type auth_mode_l2: (unicode)

		:param auth_key_l1: kwarg.
		:type auth_key_l1: (unicode)

		:param auth_key_l2: kwarg.
		:type auth_key_l2: (unicode)

		:param metric_style_l1: kwarg.
		:type metric_style_l1: (unicode)

		:param metric_style_l2: kwarg.
		:type metric_style_l2: (unicode)

		:param graceful_restart_helper: kwarg.
		:type graceful_restart_helper: (YANGBool)

		:param pspf_optimization: kwarg.
		:type pspf_optimization: (YANGBool)

		:param spf_max_wait_l1: kwarg.
		:type spf_max_wait_l1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_max_wait_l2: kwarg.
		:type spf_max_wait_l2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_init_wait_l1: kwarg.
		:type spf_init_wait_l1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_init_wait_l2: kwarg.
		:type spf_init_wait_l2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_second_wait_l1: kwarg.
		:type spf_second_wait_l1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_second_wait_l2: kwarg.
		:type spf_second_wait_l2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_scheduled_l1: kwarg.
		:type spf_scheduled_l1: (unicode)

		:param spf_scheduled_l2: kwarg.
		:type spf_scheduled_l2: (unicode)

		:param pspf_max_wait: kwarg.
		:type pspf_max_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf_init_wait: kwarg.
		:type pspf_init_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf_second_wait: kwarg.
		:type pspf_second_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf_scheduled: kwarg.
		:type pspf_scheduled: (unicode)

		:param spf6_max_wait_l1: kwarg.
		:type spf6_max_wait_l1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_max_wait_l2: kwarg.
		:type spf6_max_wait_l2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_init_wait_l1: kwarg.
		:type spf6_init_wait_l1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_init_wait_l2: kwarg.
		:type spf6_init_wait_l2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_second_wait_l1: kwarg.
		:type spf6_second_wait_l1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_second_wait_l2: kwarg.
		:type spf6_second_wait_l2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_scheduled_l1: kwarg.
		:type spf6_scheduled_l1: (unicode)

		:param spf6_scheduled_l2: kwarg.
		:type spf6_scheduled_l2: (unicode)

		:param pspf6_max_wait: kwarg.
		:type pspf6_max_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf6_init_wait: kwarg.
		:type pspf6_init_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf6_second_wait: kwarg.
		:type pspf6_second_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf6_scheduled: kwarg.
		:type pspf6_scheduled: (unicode)

		:param lsp_max_lifetime: kwarg.
		:type lsp_max_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_refresh_interval: kwarg.
		:type lsp_refresh_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_gen_interval: kwarg.
		:type lsp_gen_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_retrans_interval: kwarg.
		:type lsp_retrans_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_interval: kwarg.
		:type lsp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param snp_csnp_interval: kwarg.
		:type snp_csnp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param snp_psnp_interval: kwarg.
		:type snp_psnp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_padding: kwarg.
		:type hello_padding: (YANGBool)

		:param hello_padding_ptp: kwarg.
		:type hello_padding_ptp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ptp_handshake: kwarg.
		:type ptp_handshake: (YANGBool)

		:param bgp_ipv4_converged: kwarg.
		:type bgp_ipv4_converged: (YANGBool)

		:param bgp_ipv6_converged: kwarg.
		:type bgp_ipv6_converged: (YANGBool)

		:param isis_te: kwarg.
		:type isis_te: (YANGBool)

		:param isis_shortcuts: kwarg.
		:type isis_shortcuts: (unicode)

		:param isis_reverse_metric: kwarg.
		:type isis_reverse_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param isis_reverse_metric_wbit: kwarg.
		:type isis_reverse_metric_wbit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param isis_reverse_metric_sbit: kwarg.
		:type isis_reverse_metric_sbit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bfd_enabled: kwarg.
		:type bfd_enabled: (YANGBool)

		:param bfd_hold_interval: kwarg.
		:type bfd_hold_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nsr_enabled: kwarg.
		:type nsr_enabled: (YANGBool)

		:param nsr_state: kwarg.
		:type nsr_state: (unicode)

		:param nsr_standby_state: kwarg.
		:type nsr_standby_state: (unicode)

		:param nsr_sync_state: kwarg.
		:type nsr_sync_state: (YANGBool)

		:param isis_is_mp: kwarg.
		:type isis_is_mp: (YANGBool)

		:param ldp_sync: kwarg.
		:type ldp_sync: (YANGBool)

		:param ldp_sync_holddown_time: kwarg.
		:type ldp_sync_holddown_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.global_isis_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_protocol=isis_protocol, isis_state=isis_state, is_type=is_type, system_id=system_id, area_addresses=area_addresses, database_state_level_1=database_state_level_1, database_state_level_2=database_state_level_2, database_state_level_1_2=database_state_level_1_2, overload_reason=overload_reason, check_alarm=check_alarm, overload_state_since=overload_state_since, overload_state_rem_time=overload_state_rem_time, admin_distance=admin_distance, v6_admin_distance=v6_admin_distance, max_paths=max_paths, v6_max_paths=v6_max_paths, default_redis_metric=default_redis_metric, v6_default_redis_metric=v6_default_redis_metric, default_link_metric_l1_conf=default_link_metric_l1_conf, default_link_metric_l1_adv=default_link_metric_l1_adv, default_link_metric_l2_conf=default_link_metric_l2_conf, default_link_metric_l2_adv=default_link_metric_l2_adv, v6_default_link_metric_l1_conf=v6_default_link_metric_l1_conf, v6_default_link_metric_l1_adv=v6_default_link_metric_l1_adv, v6_default_link_metric_l2_conf=v6_default_link_metric_l2_conf, v6_default_link_metric_l2_adv=v6_default_link_metric_l2_adv, redis_protocol=redis_protocol, no_routes_redis=no_routes_redis, v6_redis_protocol=v6_redis_protocol, v6_no_routes_redis=v6_no_routes_redis, auth_mode_l1=auth_mode_l1, auth_mode_l2=auth_mode_l2, auth_key_l1=auth_key_l1, auth_key_l2=auth_key_l2, metric_style_l1=metric_style_l1, metric_style_l2=metric_style_l2, graceful_restart_helper=graceful_restart_helper, pspf_optimization=pspf_optimization, spf_max_wait_l1=spf_max_wait_l1, spf_max_wait_l2=spf_max_wait_l2, spf_init_wait_l1=spf_init_wait_l1, spf_init_wait_l2=spf_init_wait_l2, spf_second_wait_l1=spf_second_wait_l1, spf_second_wait_l2=spf_second_wait_l2, spf_scheduled_l1=spf_scheduled_l1, spf_scheduled_l2=spf_scheduled_l2, pspf_max_wait=pspf_max_wait, pspf_init_wait=pspf_init_wait, pspf_second_wait=pspf_second_wait, pspf_scheduled=pspf_scheduled, spf6_max_wait_l1=spf6_max_wait_l1, spf6_max_wait_l2=spf6_max_wait_l2, spf6_init_wait_l1=spf6_init_wait_l1, spf6_init_wait_l2=spf6_init_wait_l2, spf6_second_wait_l1=spf6_second_wait_l1, spf6_second_wait_l2=spf6_second_wait_l2, spf6_scheduled_l1=spf6_scheduled_l1, spf6_scheduled_l2=spf6_scheduled_l2, pspf6_max_wait=pspf6_max_wait, pspf6_init_wait=pspf6_init_wait, pspf6_second_wait=pspf6_second_wait, pspf6_scheduled=pspf6_scheduled, lsp_max_lifetime=lsp_max_lifetime, lsp_refresh_interval=lsp_refresh_interval, lsp_gen_interval=lsp_gen_interval, lsp_retrans_interval=lsp_retrans_interval, lsp_interval=lsp_interval, snp_csnp_interval=snp_csnp_interval, snp_psnp_interval=snp_psnp_interval, hello_padding=hello_padding, hello_padding_ptp=hello_padding_ptp, ptp_handshake=ptp_handshake, bgp_ipv4_converged=bgp_ipv4_converged, bgp_ipv6_converged=bgp_ipv6_converged, isis_te=isis_te, isis_shortcuts=isis_shortcuts, isis_reverse_metric=isis_reverse_metric, isis_reverse_metric_wbit=isis_reverse_metric_wbit, isis_reverse_metric_sbit=isis_reverse_metric_sbit, bfd_enabled=bfd_enabled, bfd_hold_interval=bfd_hold_interval, nsr_enabled=nsr_enabled, nsr_state=nsr_state, nsr_standby_state=nsr_standby_state, nsr_sync_state=nsr_sync_state, isis_is_mp=isis_is_mp, ldp_sync=ldp_sync, ldp_sync_holddown_time=ldp_sync_holddown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_host_table_update(self, hostname_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hostname_enabled: kwarg.
		:type hostname_enabled: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostname_enabled=hostname_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_host_table_hostname_enabled_update(self, hostname_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hostname_enabled: kwarg.
		:type hostname_enabled: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostname_enabled=hostname_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_host_table_isis_router_entry_update(self, isis_router_entry=None, host_name=None, is_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param isis_router_entry: kwarg tuple.
		:type isis_router_entry: (system_id).

		:param system_id: tuple arg.
		:type system_id: (unicode)

	**This Instance Arg(s)**:
		:param host_name: kwarg.
		:type host_name: (unicode)

		:param is_local: kwarg.
		:type is_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table.isis_router_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_router_entry', 'keyval': 'system_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_router_entry=isis_router_entry, host_name=host_name, is_local=is_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_brief_isis_intf_brief_update(self, isis_intf_brief=None, circuit_type=None, is_circuit_passive=None, circuit_mode=None, circ_state=None, mtu_size=None, circ_adj_up=None, circ_changes=None, adj_changes=None, is_l1_dis=None, is_l2_dis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param isis_intf_brief: kwarg tuple.
		:type isis_intf_brief: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param circuit_type: kwarg.
		:type circuit_type: (unicode)
		
		.. note::
			* enum - [u'is-circ-lan', u'is-circ-ptpt', u'is-circ-unknown']

		:param is_circuit_passive: kwarg.
		:type is_circuit_passive: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param circuit_mode: kwarg.
		:type circuit_mode: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param circ_state: kwarg.
		:type circ_state: (YANGBool)

		:param mtu_size: kwarg.
		:type mtu_size: (int)
		
		.. note::
			* range - ['0..65535']

		:param circ_adj_up: kwarg.
		:type circ_adj_up: (int)
		
		.. note::
			* range - ['0..65535']

		:param circ_changes: kwarg.
		:type circ_changes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adj_changes: kwarg.
		:type adj_changes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param is_l1_dis: kwarg.
		:type is_l1_dis: (YANGBool)

		:param is_l2_dis: kwarg.
		:type is_l2_dis: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf_brief=isis_intf_brief, circuit_type=circuit_type, is_circuit_passive=is_circuit_passive, circuit_mode=circuit_mode, circ_state=circ_state, mtu_size=mtu_size, circ_adj_up=circ_adj_up, circ_changes=circ_changes, adj_changes=adj_changes, is_l1_dis=is_l1_dis, is_l2_dis=is_l2_dis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_update(self, isis_intf=None, intf_type=None, intf_index=None, v4circuit_enabled=None, v6circuit_enabled=None, circuit_id=None, circuit_ifid=None, circuit_state=None, circuit_ip_state=None, circuit_ipv6_state=None, circuit_mode=None, circuit_type=None, circuit_encap=None, is_circuit_passive=None, mtu_size=None, padding_enabled=None, bfd_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param intf_type: kwarg.
		:type intf_type: (unicode)
		
		.. note::
			* enum - [u'isis-interface-type-unknown', u'isis-interface-type-port-channel', u'isis-interface-type-ethernet', u'isis-interface-type-ve', u'isis-interface-type-loopback']

		:param intf_index: kwarg.
		:type intf_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param v4circuit_enabled: kwarg.
		:type v4circuit_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param v6circuit_enabled: kwarg.
		:type v6circuit_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param circuit_id: kwarg.
		:type circuit_id: (int)
		
		.. note::
			* range - ['0..65535']

		:param circuit_ifid: kwarg.
		:type circuit_ifid: (int)
		
		.. note::
			* range - ['0..65535']

		:param circuit_state: kwarg.
		:type circuit_state: (YANGBool)

		:param circuit_ip_state: kwarg.
		:type circuit_ip_state: (YANGBool)

		:param circuit_ipv6_state: kwarg.
		:type circuit_ipv6_state: (YANGBool)

		:param circuit_mode: kwarg.
		:type circuit_mode: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param circuit_type: kwarg.
		:type circuit_type: (unicode)
		
		.. note::
			* enum - [u'is-circ-lan', u'is-circ-ptpt', u'is-circ-unknown']

		:param circuit_encap: kwarg.
		:type circuit_encap: (unicode)
		
		.. note::
			* enum - [u'undef', u'ppp', u'chdlc']

		:param is_circuit_passive: kwarg.
		:type is_circuit_passive: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param mtu_size: kwarg.
		:type mtu_size: (int)
		
		.. note::
			* range - ['0..65535']

		:param padding_enabled: kwarg.
		:type padding_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param bfd_enabled: kwarg.
		:type bfd_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, intf_type=intf_type, intf_index=intf_index, v4circuit_enabled=v4circuit_enabled, v6circuit_enabled=v6circuit_enabled, circuit_id=circuit_id, circuit_ifid=circuit_ifid, circuit_state=circuit_state, circuit_ip_state=circuit_ip_state, circuit_ipv6_state=circuit_ipv6_state, circuit_mode=circuit_mode, circuit_type=circuit_type, circuit_encap=circuit_encap, is_circuit_passive=is_circuit_passive, mtu_size=mtu_size, padding_enabled=padding_enabled, bfd_enabled=bfd_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_chstats_update(self, isis_intf=None, circ_changes=None, adj_changes=None, adj_rej=None, l1authfail=None, l2authfail=None, bad_lsps=None, ctrl_out=None, ctrl_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param circ_changes: kwarg.
		:type circ_changes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adj_changes: kwarg.
		:type adj_changes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adj_rej: kwarg.
		:type adj_rej: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1authfail: kwarg.
		:type l1authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2authfail: kwarg.
		:type l2authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bad_lsps: kwarg.
		:type bad_lsps: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ctrl_out: kwarg.
		:type ctrl_out: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ctrl_in: kwarg.
		:type ctrl_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, circ_changes=circ_changes, adj_changes=adj_changes, adj_rej=adj_rej, l1authfail=l1authfail, l2authfail=l2authfail, bad_lsps=bad_lsps, ctrl_out=ctrl_out, ctrl_in=ctrl_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_circ_chstats_adj_changes_update(self, isis_intf=None, circ_changes=None, adj_changes=None, adj_rej=None, l1authfail=None, l2authfail=None, bad_lsps=None, ctrl_out=None, ctrl_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param circ_changes: kwarg.
		:type circ_changes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adj_changes: kwarg.
		:type adj_changes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adj_rej: kwarg.
		:type adj_rej: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1authfail: kwarg.
		:type l1authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2authfail: kwarg.
		:type l2authfail: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bad_lsps: kwarg.
		:type bad_lsps: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ctrl_out: kwarg.
		:type ctrl_out: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ctrl_in: kwarg.
		:type ctrl_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.circ_chstats', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, circ_changes=circ_changes, adj_changes=adj_changes, adj_rej=adj_rej, l1authfail=l1authfail, l2authfail=l2authfail, bad_lsps=bad_lsps, ctrl_out=ctrl_out, ctrl_in=ctrl_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ip6_info_update(self, isis_intf=None, ip6_info=None, ip6_prefix=None, is_link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param ip6_info: kwarg tuple.
		:type ip6_info: (ip6_add).

		:param ip6_add: tuple arg.
		:type ip6_add: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ip6_prefix: kwarg.
		:type ip6_prefix: (int)
		
		.. note::
			* range - ['0..255']

		:param is_link_local: kwarg.
		:type is_link_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip6_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip6_info', 'keyval': 'ip6_add', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ip6_info=ip6_info, ip6_prefix=ip6_prefix, is_link_local=is_link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ip_info_update(self, isis_intf=None, ip_info=None, ip_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param ip_info: kwarg tuple.
		:type ip_info: (ip_add).

		:param ip_add: tuple arg.
		:type ip_add: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ip_prefix: kwarg.
		:type ip_prefix: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_info', 'keyval': 'ip_add', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ip_info=ip_info, ip_prefix=ip_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_update(self, isis_intf=None, auth_check=None, auth_mode=None, auth_key=None, circ_metric=None, ip6_circ_metric=None, circ_priority=None, hello_int=None, hello_mult=None, dis=None, dis_ch=None, next_hello=None, active_adj=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param auth_check: kwarg.
		:type auth_check: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param auth_mode: kwarg.
		:type auth_mode: (unicode)
		
		.. note::
			* enum - [u'none', u'cleartext', u'md5']

		:param auth_key: kwarg.
		:type auth_key: (unicode)

		:param circ_metric: kwarg.
		:type circ_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip6_circ_metric: kwarg.
		:type ip6_circ_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param circ_priority: kwarg.
		:type circ_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param hello_int: kwarg.
		:type hello_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_mult: kwarg.
		:type hello_mult: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dis: kwarg.
		:type dis: (unicode)

		:param dis_ch: kwarg.
		:type dis_ch: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hello: kwarg.
		:type next_hello: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param active_adj: kwarg.
		:type active_adj: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l1_circ_metrics_active_adj_update(self, isis_intf=None, auth_check=None, auth_mode=None, auth_key=None, circ_metric=None, ip6_circ_metric=None, circ_priority=None, hello_int=None, hello_mult=None, dis=None, dis_ch=None, next_hello=None, active_adj=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param auth_check: kwarg.
		:type auth_check: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param auth_mode: kwarg.
		:type auth_mode: (unicode)
		
		.. note::
			* enum - [u'none', u'cleartext', u'md5']

		:param auth_key: kwarg.
		:type auth_key: (unicode)

		:param circ_metric: kwarg.
		:type circ_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip6_circ_metric: kwarg.
		:type ip6_circ_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param circ_priority: kwarg.
		:type circ_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param hello_int: kwarg.
		:type hello_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_mult: kwarg.
		:type hello_mult: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dis: kwarg.
		:type dis: (unicode)

		:param dis_ch: kwarg.
		:type dis_ch: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hello: kwarg.
		:type next_hello: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param active_adj: kwarg.
		:type active_adj: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l1_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_update(self, isis_intf=None, auth_check=None, auth_mode=None, auth_key=None, circ_metric=None, ip6_circ_metric=None, circ_priority=None, hello_int=None, hello_mult=None, dis=None, dis_ch=None, next_hello=None, active_adj=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param auth_check: kwarg.
		:type auth_check: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param auth_mode: kwarg.
		:type auth_mode: (unicode)
		
		.. note::
			* enum - [u'none', u'cleartext', u'md5']

		:param auth_key: kwarg.
		:type auth_key: (unicode)

		:param circ_metric: kwarg.
		:type circ_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip6_circ_metric: kwarg.
		:type ip6_circ_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param circ_priority: kwarg.
		:type circ_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param hello_int: kwarg.
		:type hello_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_mult: kwarg.
		:type hello_mult: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dis: kwarg.
		:type dis: (unicode)

		:param dis_ch: kwarg.
		:type dis_ch: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hello: kwarg.
		:type next_hello: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param active_adj: kwarg.
		:type active_adj: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_l2_circ_metrics_active_adj_update(self, isis_intf=None, auth_check=None, auth_mode=None, auth_key=None, circ_metric=None, ip6_circ_metric=None, circ_priority=None, hello_int=None, hello_mult=None, dis=None, dis_ch=None, next_hello=None, active_adj=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param auth_check: kwarg.
		:type auth_check: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param auth_mode: kwarg.
		:type auth_mode: (unicode)
		
		.. note::
			* enum - [u'none', u'cleartext', u'md5']

		:param auth_key: kwarg.
		:type auth_key: (unicode)

		:param circ_metric: kwarg.
		:type circ_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip6_circ_metric: kwarg.
		:type ip6_circ_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param circ_priority: kwarg.
		:type circ_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param hello_int: kwarg.
		:type hello_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_mult: kwarg.
		:type hello_mult: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dis: kwarg.
		:type dis: (unicode)

		:param dis_ch: kwarg.
		:type dis_ch: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hello: kwarg.
		:type next_hello: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param active_adj: kwarg.
		:type active_adj: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.l2_circ_metrics', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key, circ_metric=circ_metric, ip6_circ_metric=ip6_circ_metric, circ_priority=circ_priority, hello_int=hello_int, hello_mult=hello_mult, dis=dis, dis_ch=dis_ch, next_hello=next_hello, active_adj=active_adj)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ldp_sync_info_update(self, isis_intf=None, ldp_sync_enabled=None, ldp_sync_hold_down=None, ldp_in_sync=None, remain_hd_time=None, ldp_sync_hd_expired=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param ldp_sync_enabled: kwarg.
		:type ldp_sync_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ldp_sync_hold_down: kwarg.
		:type ldp_sync_hold_down: (int)
		
		.. note::
			* range - ['0..65535']

		:param ldp_in_sync: kwarg.
		:type ldp_in_sync: (YANGBool)

		:param remain_hd_time: kwarg.
		:type remain_hd_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_sync_hd_expired: kwarg.
		:type ldp_sync_hd_expired: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ldp_sync_enabled=ldp_sync_enabled, ldp_sync_hold_down=ldp_sync_hold_down, ldp_in_sync=ldp_in_sync, remain_hd_time=remain_hd_time, ldp_sync_hd_expired=ldp_sync_hd_expired)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ldp_sync_info_ldp_in_sync_update(self, isis_intf=None, ldp_sync_enabled=None, ldp_sync_hold_down=None, ldp_in_sync=None, remain_hd_time=None, ldp_sync_hd_expired=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param ldp_sync_enabled: kwarg.
		:type ldp_sync_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ldp_sync_hold_down: kwarg.
		:type ldp_sync_hold_down: (int)
		
		.. note::
			* range - ['0..65535']

		:param ldp_in_sync: kwarg.
		:type ldp_in_sync: (YANGBool)

		:param remain_hd_time: kwarg.
		:type remain_hd_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_sync_hd_expired: kwarg.
		:type ldp_sync_hd_expired: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ldp_sync_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, ldp_sync_enabled=ldp_sync_enabled, ldp_sync_hold_down=ldp_sync_hold_down, ldp_in_sync=ldp_in_sync, remain_hd_time=remain_hd_time, ldp_sync_hd_expired=ldp_sync_hd_expired)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_mpls_info_update(self, isis_intf=None, te_enabled=None, admin_group=None, te_metric=None, max_link_bw=None, max_reserv_bw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param te_enabled: kwarg.
		:type te_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param admin_group: kwarg.
		:type admin_group: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param te_metric: kwarg.
		:type te_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_link_bw: kwarg.
		:type max_link_bw: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_reserv_bw: kwarg.
		:type max_reserv_bw: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, te_enabled=te_enabled, admin_group=admin_group, te_metric=te_metric, max_link_bw=max_link_bw, max_reserv_bw=max_reserv_bw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_mpls_info_admin_group_update(self, isis_intf=None, te_enabled=None, admin_group=None, te_metric=None, max_link_bw=None, max_reserv_bw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param te_enabled: kwarg.
		:type te_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param admin_group: kwarg.
		:type admin_group: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param te_metric: kwarg.
		:type te_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_link_bw: kwarg.
		:type max_link_bw: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_reserv_bw: kwarg.
		:type max_reserv_bw: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.mpls_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, te_enabled=te_enabled, admin_group=admin_group, te_metric=te_metric, max_link_bw=max_link_bw, max_reserv_bw=max_reserv_bw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_reverse_metric_info_update(self, isis_intf=None, is_global_config=None, reverse_metric_value=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param is_global_config: kwarg.
		:type is_global_config: (YANGBool)

		:param reverse_metric_value: kwarg.
		:type reverse_metric_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rev_metric_whole_lan: kwarg.
		:type rev_metric_whole_lan: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param rev_metric_te_def_metric: kwarg.
		:type rev_metric_te_def_metric: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, is_global_config=is_global_config, reverse_metric_value=reverse_metric_value, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_reverse_metric_info_is_global_config_update(self, isis_intf=None, is_global_config=None, reverse_metric_value=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isis_intf: kwarg tuple.
		:type isis_intf: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param is_global_config: kwarg.
		:type is_global_config: (YANGBool)

		:param reverse_metric_value: kwarg.
		:type reverse_metric_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rev_metric_whole_lan: kwarg.
		:type rev_metric_whole_lan: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param rev_metric_te_def_metric: kwarg.
		:type rev_metric_te_def_metric: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.reverse_metric_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_intf=isis_intf, is_global_config=is_global_config, reverse_metric_value=reverse_metric_value, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_update(self, total_routes_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param total_routes_count: kwarg.
		:type total_routes_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_routes_count=total_routes_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_update(self, ipv4_route_entry=None, level=None, cost=None, tag=None, flags=None, is_l1_summarized=None, is_l2_summarized=None, is_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param ipv4_route_entry: kwarg tuple.
		:type ipv4_route_entry: (ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len).

		:param ipv4_dest_addr: tuple arg.
		:type ipv4_dest_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ipv4_subnet_mask: tuple arg.
		:type ipv4_subnet_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ipv4_prefix_len: tuple arg.
		:type ipv4_prefix_len: (int)
		
		.. note::
			* range - ['-128..127']

	**This Instance Arg(s)**:
		:param level: kwarg.
		:type level: (int)
		
		.. note::
			* range - ['0..255']

		:param cost: kwarg.
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tag: kwarg.
		:type tag: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param flags: kwarg.
		:type flags: (int)
		
		.. note::
			* range - ['0..65535']

		:param is_l1_summarized: kwarg.
		:type is_l1_summarized: (YANGBool)

		:param is_l2_summarized: kwarg.
		:type is_l2_summarized: (YANGBool)

		:param is_summary: kwarg.
		:type is_summary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv4_route_entry=ipv4_route_entry, level=level, cost=cost, tag=tag, flags=flags, is_l1_summarized=is_l1_summarized, is_l2_summarized=is_l2_summarized, is_summary=is_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_nh_info_update(self, ipv4_route_entry=None, nh_info=None, ipv4_nh_addr=None, is_mpls_tunnel_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ipv4_route_entry: kwarg tuple.
		:type ipv4_route_entry: (ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len).

		:param ipv4_dest_addr: tuple arg.
		:type ipv4_dest_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ipv4_subnet_mask: tuple arg.
		:type ipv4_subnet_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ipv4_prefix_len: tuple arg.
		:type ipv4_prefix_len: (int)
		
		.. note::
			* range - ['-128..127']

	**This Instance Keyword Arg Tuple**:
		:param nh_info: kwarg tuple.
		:type nh_info: (outgoing_intf_name).

		:param outgoing_intf_name: tuple arg.
		:type outgoing_intf_name: (unicode)

	**This Instance Arg(s)**:
		:param ipv4_nh_addr: kwarg.
		:type ipv4_nh_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param is_mpls_tunnel_port: kwarg.
		:type is_mpls_tunnel_port: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info, ipv4_nh_addr=ipv4_nh_addr, is_mpls_tunnel_port=is_mpls_tunnel_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_total_routes_count_update(self, total_routes_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param total_routes_count: kwarg.
		:type total_routes_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_routes_count=total_routes_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_update(self, level1_route_count=None, level2_route_count=None, ecmp_route_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param level1_route_count: kwarg.
		:type level1_route_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param level2_route_count: kwarg.
		:type level2_route_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ecmp_route_count: kwarg.
		:type ecmp_route_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, level1_route_count=level1_route_count, level2_route_count=level2_route_count, ecmp_route_count=ecmp_route_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ecmp_route_count_update(self, level1_route_count=None, level2_route_count=None, ecmp_route_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param level1_route_count: kwarg.
		:type level1_route_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param level2_route_count: kwarg.
		:type level2_route_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ecmp_route_count: kwarg.
		:type ecmp_route_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, level1_route_count=level1_route_count, level2_route_count=level2_route_count, ecmp_route_count=ecmp_route_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_update(self, ipv6_route_entry=None, level=None, cost=None, tag=None, flags=None, is_l1_summarized=None, is_l2_summarized=None, is_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param ipv6_route_entry: kwarg tuple.
		:type ipv6_route_entry: (ipv6_dest_addr, ipv6_prefix_len).

		:param ipv6_dest_addr: tuple arg.
		:type ipv6_dest_addr: (unicode)

		:param ipv6_prefix_len: tuple arg.
		:type ipv6_prefix_len: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param level: kwarg.
		:type level: (int)
		
		.. note::
			* range - ['0..255']

		:param cost: kwarg.
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tag: kwarg.
		:type tag: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param flags: kwarg.
		:type flags: (int)
		
		.. note::
			* range - ['0..65535']

		:param is_l1_summarized: kwarg.
		:type is_l1_summarized: (YANGBool)

		:param is_l2_summarized: kwarg.
		:type is_l2_summarized: (YANGBool)

		:param is_summary: kwarg.
		:type is_summary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_route_entry=ipv6_route_entry, level=level, cost=cost, tag=tag, flags=flags, is_l1_summarized=is_l1_summarized, is_l2_summarized=is_l2_summarized, is_summary=is_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_nh_info_update(self, ipv6_route_entry=None, nh_info=None, ipv6_nh_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ipv6_route_entry: kwarg tuple.
		:type ipv6_route_entry: (ipv6_dest_addr, ipv6_prefix_len).

		:param ipv6_dest_addr: tuple arg.
		:type ipv6_dest_addr: (unicode)

		:param ipv6_prefix_len: tuple arg.
		:type ipv6_prefix_len: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param nh_info: kwarg tuple.
		:type nh_info: (outgoing_intf_name).

		:param outgoing_intf_name: tuple arg.
		:type outgoing_intf_name: (unicode)

	**This Instance Arg(s)**:
		:param ipv6_nh_addr: kwarg.
		:type ipv6_nh_addr: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', u'ipv6_route_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_route_entry=ipv6_route_entry, nh_info=nh_info, ipv6_nh_addr=ipv6_nh_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_update(self, nsr_state=None, lsp_flood_count=None, lsp_fast_flood_count=None, fast_flood_wait_count=None, hello_padding=None, hello_padding_ptp=None, csnp_interval=None, lsp_gen_interval=None, lsp_interval=None, lsp_refresh_interval=None, lsp_lifetime=None, retransmit_interval=None, pspf_enabled=None, ispf_enabled=None, istct_spf_enabled=None, overload_state=None, overload_startup_time=None, overload_wait_on_bgp=None, overload_bgp_wait_time=None, enable_code_assertions=None, graceful_restart_helper=None, isis_hostname_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param nsr_state: kwarg.
		:type nsr_state: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param lsp_flood_count: kwarg.
		:type lsp_flood_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param lsp_fast_flood_count: kwarg.
		:type lsp_fast_flood_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param fast_flood_wait_count: kwarg.
		:type fast_flood_wait_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param hello_padding: kwarg.
		:type hello_padding: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param hello_padding_ptp: kwarg.
		:type hello_padding_ptp: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param csnp_interval: kwarg.
		:type csnp_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param lsp_gen_interval: kwarg.
		:type lsp_gen_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param lsp_interval: kwarg.
		:type lsp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_refresh_interval: kwarg.
		:type lsp_refresh_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param lsp_lifetime: kwarg.
		:type lsp_lifetime: (int)
		
		.. note::
			* range - ['0..65535']

		:param retransmit_interval: kwarg.
		:type retransmit_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param pspf_enabled: kwarg.
		:type pspf_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ispf_enabled: kwarg.
		:type ispf_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param istct_spf_enabled: kwarg.
		:type istct_spf_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param overload_state: kwarg.
		:type overload_state: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param overload_startup_time: kwarg.
		:type overload_startup_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param overload_wait_on_bgp: kwarg.
		:type overload_wait_on_bgp: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param overload_bgp_wait_time: kwarg.
		:type overload_bgp_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable_code_assertions: kwarg.
		:type enable_code_assertions: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param graceful_restart_helper: kwarg.
		:type graceful_restart_helper: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param isis_hostname_enabled: kwarg.
		:type isis_hostname_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsr_state=nsr_state, lsp_flood_count=lsp_flood_count, lsp_fast_flood_count=lsp_fast_flood_count, fast_flood_wait_count=fast_flood_wait_count, hello_padding=hello_padding, hello_padding_ptp=hello_padding_ptp, csnp_interval=csnp_interval, lsp_gen_interval=lsp_gen_interval, lsp_interval=lsp_interval, lsp_refresh_interval=lsp_refresh_interval, lsp_lifetime=lsp_lifetime, retransmit_interval=retransmit_interval, pspf_enabled=pspf_enabled, ispf_enabled=ispf_enabled, istct_spf_enabled=istct_spf_enabled, overload_state=overload_state, overload_startup_time=overload_startup_time, overload_wait_on_bgp=overload_wait_on_bgp, overload_bgp_wait_time=overload_bgp_wait_time, enable_code_assertions=enable_code_assertions, graceful_restart_helper=graceful_restart_helper, isis_hostname_enabled=isis_hostname_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_csnp_interval_update(self, nsr_state=None, lsp_flood_count=None, lsp_fast_flood_count=None, fast_flood_wait_count=None, hello_padding=None, hello_padding_ptp=None, csnp_interval=None, lsp_gen_interval=None, lsp_interval=None, lsp_refresh_interval=None, lsp_lifetime=None, retransmit_interval=None, pspf_enabled=None, ispf_enabled=None, istct_spf_enabled=None, overload_state=None, overload_startup_time=None, overload_wait_on_bgp=None, overload_bgp_wait_time=None, enable_code_assertions=None, graceful_restart_helper=None, isis_hostname_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param nsr_state: kwarg.
		:type nsr_state: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param lsp_flood_count: kwarg.
		:type lsp_flood_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param lsp_fast_flood_count: kwarg.
		:type lsp_fast_flood_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param fast_flood_wait_count: kwarg.
		:type fast_flood_wait_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param hello_padding: kwarg.
		:type hello_padding: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param hello_padding_ptp: kwarg.
		:type hello_padding_ptp: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param csnp_interval: kwarg.
		:type csnp_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param lsp_gen_interval: kwarg.
		:type lsp_gen_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param lsp_interval: kwarg.
		:type lsp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_refresh_interval: kwarg.
		:type lsp_refresh_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param lsp_lifetime: kwarg.
		:type lsp_lifetime: (int)
		
		.. note::
			* range - ['0..65535']

		:param retransmit_interval: kwarg.
		:type retransmit_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param pspf_enabled: kwarg.
		:type pspf_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ispf_enabled: kwarg.
		:type ispf_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param istct_spf_enabled: kwarg.
		:type istct_spf_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param overload_state: kwarg.
		:type overload_state: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param overload_startup_time: kwarg.
		:type overload_startup_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param overload_wait_on_bgp: kwarg.
		:type overload_wait_on_bgp: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param overload_bgp_wait_time: kwarg.
		:type overload_bgp_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable_code_assertions: kwarg.
		:type enable_code_assertions: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param graceful_restart_helper: kwarg.
		:type graceful_restart_helper: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param isis_hostname_enabled: kwarg.
		:type isis_hostname_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsr_state=nsr_state, lsp_flood_count=lsp_flood_count, lsp_fast_flood_count=lsp_fast_flood_count, fast_flood_wait_count=fast_flood_wait_count, hello_padding=hello_padding, hello_padding_ptp=hello_padding_ptp, csnp_interval=csnp_interval, lsp_gen_interval=lsp_gen_interval, lsp_interval=lsp_interval, lsp_refresh_interval=lsp_refresh_interval, lsp_lifetime=lsp_lifetime, retransmit_interval=retransmit_interval, pspf_enabled=pspf_enabled, ispf_enabled=ispf_enabled, istct_spf_enabled=istct_spf_enabled, overload_state=overload_state, overload_startup_time=overload_startup_time, overload_wait_on_bgp=overload_wait_on_bgp, overload_bgp_wait_time=overload_bgp_wait_time, enable_code_assertions=enable_code_assertions, graceful_restart_helper=graceful_restart_helper, isis_hostname_enabled=isis_hostname_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_debug_handler_update(self, debug_nsr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param debug_nsr: kwarg.
		:type debug_nsr: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.debug_handler', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, debug_nsr=debug_nsr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_debug_handler_debug_nsr_update(self, debug_nsr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param debug_nsr: kwarg.
		:type debug_nsr: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.debug_handler', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, debug_nsr=debug_nsr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_update(self, afi=None, safi=None, originate_default_route=None, originate_default_routemap_name=None, default_metric=None, l1_default_link_metric=None, l2_default_link_metric=None, administrative_distance=None, maximum_equal_cost_paths=None, l1_wide_metric_enabled=None, l2_wide_metric_enabled=None, ldp_sync_enabled=None, ldp_sync_hold_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param afi: kwarg.
		:type afi: (unicode)
		
		.. note::
			* enum - [u'isis-ipv6-afi', u'isis-ipv4-afi']

		:param safi: kwarg.
		:type safi: (unicode)
		
		.. note::
			* enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

		:param originate_default_route: kwarg.
		:type originate_default_route: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param originate_default_routemap_name: kwarg.
		:type originate_default_routemap_name: (unicode)

		:param default_metric: kwarg.
		:type default_metric: (int)
		
		.. note::
			* range - ['0..65535']

		:param l1_default_link_metric: kwarg.
		:type l1_default_link_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_default_link_metric: kwarg.
		:type l2_default_link_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param administrative_distance: kwarg.
		:type administrative_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maximum_equal_cost_paths: kwarg.
		:type maximum_equal_cost_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_wide_metric_enabled: kwarg.
		:type l1_wide_metric_enabled: (YANGBool)

		:param l2_wide_metric_enabled: kwarg.
		:type l2_wide_metric_enabled: (YANGBool)

		:param ldp_sync_enabled: kwarg.
		:type ldp_sync_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ldp_sync_hold_down: kwarg.
		:type ldp_sync_hold_down: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, afi=afi, safi=safi, originate_default_route=originate_default_route, originate_default_routemap_name=originate_default_routemap_name, default_metric=default_metric, l1_default_link_metric=l1_default_link_metric, l2_default_link_metric=l2_default_link_metric, administrative_distance=administrative_distance, maximum_equal_cost_paths=maximum_equal_cost_paths, l1_wide_metric_enabled=l1_wide_metric_enabled, l2_wide_metric_enabled=l2_wide_metric_enabled, ldp_sync_enabled=ldp_sync_enabled, ldp_sync_hold_down=ldp_sync_hold_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_administrative_distance_update(self, afi=None, safi=None, originate_default_route=None, originate_default_routemap_name=None, default_metric=None, l1_default_link_metric=None, l2_default_link_metric=None, administrative_distance=None, maximum_equal_cost_paths=None, l1_wide_metric_enabled=None, l2_wide_metric_enabled=None, ldp_sync_enabled=None, ldp_sync_hold_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param afi: kwarg.
		:type afi: (unicode)
		
		.. note::
			* enum - [u'isis-ipv6-afi', u'isis-ipv4-afi']

		:param safi: kwarg.
		:type safi: (unicode)
		
		.. note::
			* enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

		:param originate_default_route: kwarg.
		:type originate_default_route: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param originate_default_routemap_name: kwarg.
		:type originate_default_routemap_name: (unicode)

		:param default_metric: kwarg.
		:type default_metric: (int)
		
		.. note::
			* range - ['0..65535']

		:param l1_default_link_metric: kwarg.
		:type l1_default_link_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_default_link_metric: kwarg.
		:type l2_default_link_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param administrative_distance: kwarg.
		:type administrative_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maximum_equal_cost_paths: kwarg.
		:type maximum_equal_cost_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_wide_metric_enabled: kwarg.
		:type l1_wide_metric_enabled: (YANGBool)

		:param l2_wide_metric_enabled: kwarg.
		:type l2_wide_metric_enabled: (YANGBool)

		:param ldp_sync_enabled: kwarg.
		:type ldp_sync_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ldp_sync_hold_down: kwarg.
		:type ldp_sync_hold_down: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, afi=afi, safi=safi, originate_default_route=originate_default_route, originate_default_routemap_name=originate_default_routemap_name, default_metric=default_metric, l1_default_link_metric=l1_default_link_metric, l2_default_link_metric=l2_default_link_metric, administrative_distance=administrative_distance, maximum_equal_cost_paths=maximum_equal_cost_paths, l1_wide_metric_enabled=l1_wide_metric_enabled, l2_wide_metric_enabled=l2_wide_metric_enabled, ldp_sync_enabled=ldp_sync_enabled, ldp_sync_hold_down=ldp_sync_hold_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_bgp_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_bgp_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_connected_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_connected_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_isis_update(self, redist_is_l2_to_l1=None, redist_is_l2_to_l1_prefix=None, redist_is_l1_to_l2=None, redist_is_l1_to_l2_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_is_l2_to_l1: kwarg.
		:type redist_is_l2_to_l1: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_is_l2_to_l1_prefix: kwarg.
		:type redist_is_l2_to_l1_prefix: (unicode)

		:param redist_is_l1_to_l2: kwarg.
		:type redist_is_l1_to_l2: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_is_l1_to_l2_prefix: kwarg.
		:type redist_is_l1_to_l2_prefix: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_is_l2_to_l1=redist_is_l2_to_l1, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix, redist_is_l1_to_l2=redist_is_l1_to_l2, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_isis_redist_is_l1_to_l2_update(self, redist_is_l2_to_l1=None, redist_is_l2_to_l1_prefix=None, redist_is_l1_to_l2=None, redist_is_l1_to_l2_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_is_l2_to_l1: kwarg.
		:type redist_is_l2_to_l1: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_is_l2_to_l1_prefix: kwarg.
		:type redist_is_l2_to_l1_prefix: (unicode)

		:param redist_is_l1_to_l2: kwarg.
		:type redist_is_l1_to_l2: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_is_l1_to_l2_prefix: kwarg.
		:type redist_is_l1_to_l2_prefix: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_is_l2_to_l1=redist_is_l2_to_l1, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix, redist_is_l1_to_l2=redist_is_l1_to_l2, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_ospf_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, ospf_internal_enabled=None, ospf_external1_enabled=None, ospf_external2_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param ospf_internal_enabled: kwarg.
		:type ospf_internal_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ospf_external1_enabled: kwarg.
		:type ospf_external1_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ospf_external2_enabled: kwarg.
		:type ospf_external2_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name, ospf_internal_enabled=ospf_internal_enabled, ospf_external1_enabled=ospf_external1_enabled, ospf_external2_enabled=ospf_external2_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_ospf_ospf_external1_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, ospf_internal_enabled=None, ospf_external1_enabled=None, ospf_external2_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param ospf_internal_enabled: kwarg.
		:type ospf_internal_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ospf_external1_enabled: kwarg.
		:type ospf_external1_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ospf_external2_enabled: kwarg.
		:type ospf_external2_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name, ospf_internal_enabled=ospf_internal_enabled, ospf_external1_enabled=ospf_external1_enabled, ospf_external2_enabled=ospf_external2_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_rip_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_rip_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_static_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_redist_static_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_summary_address_v4_update(self, summary_address_v4=None, ipv4_mask=None, level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param summary_address_v4: kwarg tuple.
		:type summary_address_v4: (address).

		:param address: tuple arg.
		:type address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ipv4_mask: kwarg.
		:type ipv4_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param level: kwarg.
		:type level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.summary_address_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_address_v4', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_address_v4=summary_address_v4, ipv4_mask=ipv4_mask, level=level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_update(self, afi=None, safi=None, originate_default_route=None, originate_default_routemap_name=None, default_metric=None, l1_default_link_metric=None, l2_default_link_metric=None, administrative_distance=None, maximum_equal_cost_paths=None, adjacency_check=None, multi_topology=None, mt_transition_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param afi: kwarg.
		:type afi: (unicode)
		
		.. note::
			* enum - [u'isis-ipv6-afi', u'isis-ipv4-afi']

		:param safi: kwarg.
		:type safi: (unicode)
		
		.. note::
			* enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

		:param originate_default_route: kwarg.
		:type originate_default_route: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param originate_default_routemap_name: kwarg.
		:type originate_default_routemap_name: (unicode)

		:param default_metric: kwarg.
		:type default_metric: (int)
		
		.. note::
			* range - ['0..65535']

		:param l1_default_link_metric: kwarg.
		:type l1_default_link_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_default_link_metric: kwarg.
		:type l2_default_link_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param administrative_distance: kwarg.
		:type administrative_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maximum_equal_cost_paths: kwarg.
		:type maximum_equal_cost_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adjacency_check: kwarg.
		:type adjacency_check: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param multi_topology: kwarg.
		:type multi_topology: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param mt_transition_state: kwarg.
		:type mt_transition_state: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, afi=afi, safi=safi, originate_default_route=originate_default_route, originate_default_routemap_name=originate_default_routemap_name, default_metric=default_metric, l1_default_link_metric=l1_default_link_metric, l2_default_link_metric=l2_default_link_metric, administrative_distance=administrative_distance, maximum_equal_cost_paths=maximum_equal_cost_paths, adjacency_check=adjacency_check, multi_topology=multi_topology, mt_transition_state=mt_transition_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_adjacency_check_update(self, afi=None, safi=None, originate_default_route=None, originate_default_routemap_name=None, default_metric=None, l1_default_link_metric=None, l2_default_link_metric=None, administrative_distance=None, maximum_equal_cost_paths=None, adjacency_check=None, multi_topology=None, mt_transition_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param afi: kwarg.
		:type afi: (unicode)
		
		.. note::
			* enum - [u'isis-ipv6-afi', u'isis-ipv4-afi']

		:param safi: kwarg.
		:type safi: (unicode)
		
		.. note::
			* enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

		:param originate_default_route: kwarg.
		:type originate_default_route: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param originate_default_routemap_name: kwarg.
		:type originate_default_routemap_name: (unicode)

		:param default_metric: kwarg.
		:type default_metric: (int)
		
		.. note::
			* range - ['0..65535']

		:param l1_default_link_metric: kwarg.
		:type l1_default_link_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_default_link_metric: kwarg.
		:type l2_default_link_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param administrative_distance: kwarg.
		:type administrative_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maximum_equal_cost_paths: kwarg.
		:type maximum_equal_cost_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adjacency_check: kwarg.
		:type adjacency_check: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param multi_topology: kwarg.
		:type multi_topology: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param mt_transition_state: kwarg.
		:type mt_transition_state: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, afi=afi, safi=safi, originate_default_route=originate_default_route, originate_default_routemap_name=originate_default_routemap_name, default_metric=default_metric, l1_default_link_metric=l1_default_link_metric, l2_default_link_metric=l2_default_link_metric, administrative_distance=administrative_distance, maximum_equal_cost_paths=maximum_equal_cost_paths, adjacency_check=adjacency_check, multi_topology=multi_topology, mt_transition_state=mt_transition_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_bgp_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_bgp_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_bgp', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_connected_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_connected_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_connected', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_isis_update(self, redist_is_l2_to_l1=None, redist_is_l2_to_l1_prefix=None, redist_is_l1_to_l2=None, redist_is_l1_to_l2_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_is_l2_to_l1: kwarg.
		:type redist_is_l2_to_l1: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_is_l2_to_l1_prefix: kwarg.
		:type redist_is_l2_to_l1_prefix: (unicode)

		:param redist_is_l1_to_l2: kwarg.
		:type redist_is_l1_to_l2: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_is_l1_to_l2_prefix: kwarg.
		:type redist_is_l1_to_l2_prefix: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_is_l2_to_l1=redist_is_l2_to_l1, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix, redist_is_l1_to_l2=redist_is_l1_to_l2, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_isis_redist_is_l1_to_l2_update(self, redist_is_l2_to_l1=None, redist_is_l2_to_l1_prefix=None, redist_is_l1_to_l2=None, redist_is_l1_to_l2_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_is_l2_to_l1: kwarg.
		:type redist_is_l2_to_l1: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_is_l2_to_l1_prefix: kwarg.
		:type redist_is_l2_to_l1_prefix: (unicode)

		:param redist_is_l1_to_l2: kwarg.
		:type redist_is_l1_to_l2: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_is_l1_to_l2_prefix: kwarg.
		:type redist_is_l1_to_l2_prefix: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_isis', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_is_l2_to_l1=redist_is_l2_to_l1, redist_is_l2_to_l1_prefix=redist_is_l2_to_l1_prefix, redist_is_l1_to_l2=redist_is_l1_to_l2, redist_is_l1_to_l2_prefix=redist_is_l1_to_l2_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_ospf_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, ospf_internal_enabled=None, ospf_external1_enabled=None, ospf_external2_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param ospf_internal_enabled: kwarg.
		:type ospf_internal_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ospf_external1_enabled: kwarg.
		:type ospf_external1_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ospf_external2_enabled: kwarg.
		:type ospf_external2_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name, ospf_internal_enabled=ospf_internal_enabled, ospf_external1_enabled=ospf_external1_enabled, ospf_external2_enabled=ospf_external2_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_ospf_ospf_external1_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, ospf_internal_enabled=None, ospf_external1_enabled=None, ospf_external2_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param ospf_internal_enabled: kwarg.
		:type ospf_internal_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ospf_external1_enabled: kwarg.
		:type ospf_external1_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param ospf_external2_enabled: kwarg.
		:type ospf_external2_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_ospf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name, ospf_internal_enabled=ospf_internal_enabled, ospf_external1_enabled=ospf_external1_enabled, ospf_external2_enabled=ospf_external2_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_rip_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_rip_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_rip', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_static_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_redist_static_redist_enabled_update(self, redist_enabled=None, redist_level=None, redist_metric=None, redist_metric_type=None, redist_routemap_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redist_enabled: kwarg.
		:type redist_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param redist_level: kwarg.
		:type redist_level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param redist_metric: kwarg.
		:type redist_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redist_metric_type: kwarg.
		:type redist_metric_type: (unicode)
		
		.. note::
			* enum - [u'is-metric-external', u'is-metric-internal']

		:param redist_routemap_name: kwarg.
		:type redist_routemap_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.redist_static', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redist_enabled=redist_enabled, redist_level=redist_level, redist_metric=redist_metric, redist_metric_type=redist_metric_type, redist_routemap_name=redist_routemap_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_summary_prefix_v6_update(self, summary_prefix_v6=None, level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param summary_prefix_v6: kwarg tuple.
		:type summary_prefix_v6: (address).

		:param address: tuple arg.
		:type address: (unicode)

	**This Instance Arg(s)**:
		:param level: kwarg.
		:type level: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.summary_prefix_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_prefix_v6', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_prefix_v6=summary_prefix_v6, level=level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_isis_system_info_update(self, protocol_enabled=None, operation_mode=None, system_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param protocol_enabled: kwarg.
		:type protocol_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param operation_mode: kwarg.
		:type operation_mode: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param system_id: kwarg.
		:type system_id: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_enabled=protocol_enabled, operation_mode=operation_mode, system_id=system_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_isis_system_info_nsap_update(self, nsap=None, length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param nsap: kwarg tuple.
		:type nsap: (net_addr).

		:param net_addr: tuple arg.
		:type net_addr: (unicode)

	**This Instance Arg(s)**:
		:param length: kwarg.
		:type length: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info.nsap', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'nsap', 'keyval': 'net_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsap=nsap, length=length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_isis_system_info_operation_mode_update(self, protocol_enabled=None, operation_mode=None, system_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param protocol_enabled: kwarg.
		:type protocol_enabled: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param operation_mode: kwarg.
		:type operation_mode: (unicode)
		
		.. note::
			* enum - [u'isis-level1-2', u'isis-level1', u'isis-level2']

		:param system_id: kwarg.
		:type system_id: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_enabled=protocol_enabled, operation_mode=operation_mode, system_id=system_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_auth_profile_update(self, auth_check=None, auth_mode=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_check: kwarg.
		:type auth_check: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param auth_mode: kwarg.
		:type auth_mode: (unicode)
		
		.. note::
			* enum - [u'none', u'cleartext', u'md5']

		:param auth_key: kwarg.
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_auth_profile_auth_check_update(self, auth_check=None, auth_mode=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_check: kwarg.
		:type auth_check: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param auth_mode: kwarg.
		:type auth_mode: (unicode)
		
		.. note::
			* enum - [u'none', u'cleartext', u'md5']

		:param auth_key: kwarg.
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_spf6_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param init_delay_time: kwarg.
		:type init_delay_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_down_time: kwarg.
		:type hold_down_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_time: kwarg.
		:type max_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_spf6_timer_hold_down_time_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param init_delay_time: kwarg.
		:type init_delay_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_down_time: kwarg.
		:type hold_down_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_time: kwarg.
		:type max_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_spf_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param init_delay_time: kwarg.
		:type init_delay_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_down_time: kwarg.
		:type hold_down_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_time: kwarg.
		:type max_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l1_spf_timer_hold_down_time_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param init_delay_time: kwarg.
		:type init_delay_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_down_time: kwarg.
		:type hold_down_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_time: kwarg.
		:type max_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l1_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_auth_profile_update(self, auth_check=None, auth_mode=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_check: kwarg.
		:type auth_check: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param auth_mode: kwarg.
		:type auth_mode: (unicode)
		
		.. note::
			* enum - [u'none', u'cleartext', u'md5']

		:param auth_key: kwarg.
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_auth_profile_auth_check_update(self, auth_check=None, auth_mode=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_check: kwarg.
		:type auth_check: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param auth_mode: kwarg.
		:type auth_mode: (unicode)
		
		.. note::
			* enum - [u'none', u'cleartext', u'md5']

		:param auth_key: kwarg.
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_auth_profile', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check=auth_check, auth_mode=auth_mode, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_spf6_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param init_delay_time: kwarg.
		:type init_delay_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_down_time: kwarg.
		:type hold_down_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_time: kwarg.
		:type max_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_spf6_timer_hold_down_time_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param init_delay_time: kwarg.
		:type init_delay_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_down_time: kwarg.
		:type hold_down_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_time: kwarg.
		:type max_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_spf_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param init_delay_time: kwarg.
		:type init_delay_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_down_time: kwarg.
		:type hold_down_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_time: kwarg.
		:type max_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_l2_spf_timer_hold_down_time_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param init_delay_time: kwarg.
		:type init_delay_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_down_time: kwarg.
		:type hold_down_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_time: kwarg.
		:type max_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.l2_spf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_log_handler_update(self, log_adj_state_change=None, log_bad_lsp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param log_adj_state_change: kwarg.
		:type log_adj_state_change: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param log_bad_lsp: kwarg.
		:type log_bad_lsp: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.log_handler', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, log_adj_state_change=log_adj_state_change, log_bad_lsp=log_bad_lsp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_log_handler_log_adj_state_change_update(self, log_adj_state_change=None, log_bad_lsp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param log_adj_state_change: kwarg.
		:type log_adj_state_change: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param log_bad_lsp: kwarg.
		:type log_bad_lsp: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.log_handler', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, log_adj_state_change=log_adj_state_change, log_bad_lsp=log_bad_lsp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_pspf6_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param init_delay_time: kwarg.
		:type init_delay_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_down_time: kwarg.
		:type hold_down_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_time: kwarg.
		:type max_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_pspf6_timer_hold_down_time_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param init_delay_time: kwarg.
		:type init_delay_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_down_time: kwarg.
		:type hold_down_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_time: kwarg.
		:type max_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf6_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_pspf_timer_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param init_delay_time: kwarg.
		:type init_delay_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_down_time: kwarg.
		:type hold_down_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_time: kwarg.
		:type max_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_pspf_timer_hold_down_time_update(self, init_delay_time=None, hold_down_time=None, max_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param init_delay_time: kwarg.
		:type init_delay_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_down_time: kwarg.
		:type hold_down_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_time: kwarg.
		:type max_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.pspf_timer', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, init_delay_time=init_delay_time, hold_down_time=hold_down_time, max_time=max_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_reverse_metric_update(self, reverse_metric_value=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, rev_metric_tlv_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param reverse_metric_value: kwarg.
		:type reverse_metric_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rev_metric_whole_lan: kwarg.
		:type rev_metric_whole_lan: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param rev_metric_te_def_metric: kwarg.
		:type rev_metric_te_def_metric: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param rev_metric_tlv_type: kwarg.
		:type rev_metric_tlv_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, reverse_metric_value=reverse_metric_value, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric, rev_metric_tlv_type=rev_metric_tlv_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_reverse_metric_rev_metric_te_def_metric_update(self, reverse_metric_value=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, rev_metric_tlv_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param reverse_metric_value: kwarg.
		:type reverse_metric_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rev_metric_whole_lan: kwarg.
		:type rev_metric_whole_lan: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param rev_metric_te_def_metric: kwarg.
		:type rev_metric_te_def_metric: (unicode)
		
		.. note::
			* enum - [u'is-disabled', u'is-enabled']

		:param rev_metric_tlv_type: kwarg.
		:type rev_metric_tlv_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.reverse_metric', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, reverse_metric_value=reverse_metric_value, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric, rev_metric_tlv_type=rev_metric_tlv_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isns_vrf_forwarding_update(self, isns_vrf=None, isns_ipaddress=None, esi_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**This Instance Keyword Arg Tuple**:
		:param isns_vrf: kwarg tuple.
		:type isns_vrf: (isns_vrf_instance).

		:param isns_vrf_instance: iSNS VRF forwarding value 1
		:type isns_vrf_instance: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param isns_ipaddress: iSNS VRF forwarding IP address A.B.C.D format
		:type isns_ipaddress: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param esi_timeout: iSNS VRF forwarding esi timeout.Default esi time is 300.
		:type esi_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isns_vrf', 'keyval': 'isns_vrf_instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf=isns_vrf, isns_ipaddress=isns_ipaddress, esi_timeout=esi_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def isns_vrf_forwarding_discovery_domain_set_update(self, isns_vrf=None, isns_discovery_domain_set=None, isns_discovery_domain_set_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param isns_vrf: kwarg tuple.
		:type isns_vrf: (isns_vrf_instance).

		:param isns_vrf_instance: iSNS VRF forwarding value 1
		:type isns_vrf_instance: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param isns_discovery_domain_set: kwarg tuple.
		:type isns_discovery_domain_set: (isns_discovery_domain_set_name).

		:param isns_discovery_domain_set_name: iSNS Discovery Domain Set Name (Max Size - 256)
		:type isns_discovery_domain_set_name: (unicode)
		
		.. note::
			* length - [u'1..255']
			* pattern - [-_0-9a-zA-Z]{1,255}

	**This Instance Arg(s)**:
		:param isns_discovery_domain_set_enable: Enable Discovery Domain Set
		:type isns_discovery_domain_set_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.isns.isns_vrf', u'isns_vrf')]
    bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf.isns_discovery_domain_set', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'isns_vrf_instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'isns_discovery_domain_set', 'keyval': 'isns_discovery_domain_set_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isns_vrf=isns_vrf, isns_discovery_domain_set=isns_discovery_domain_set, isns_discovery_domain_set_enable=isns_discovery_domain_set_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def lacp_update(self, system_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param system_priority: LACP system priority
		:type system_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.lacp', 'pybind.nos.v6_0_2b.brocade_lacp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.lacp', 'pybind.nos.v7_0_1a.brocade_lacp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.lacp', 'pybind.nos.v7_1_0.brocade_lacp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.lacp', 'pybind.slxos.v16r_1_00b.brocade_lacp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, system_priority=system_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def lacp_system_priority_update(self, system_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param system_priority: LACP system priority
		:type system_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.lacp', 'pybind.nos.v6_0_2b.brocade_lacp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.lacp', 'pybind.nos.v7_0_1a.brocade_lacp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.lacp', 'pybind.nos.v7_1_0.brocade_lacp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.lacp', 'pybind.slxos.v16r_1_00b.brocade_lacp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, system_priority=system_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def lag_hash_update(self, hdr_count=None, rotate=None, normalize=None, srcport=None, pwctrlword=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hdr_count: Number of headers to be considered for LAG hashing
		:type hdr_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rotate: Hash Rotate
		:type rotate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param normalize: Enable/Disable using the same hash in both directions of a flow
		:type normalize: (YANGBool)

		:param srcport: Include/Exclude Source port
		:type srcport: (YANGBool)

		:param pwctrlword: Include/Exclude PW control word in hashing
		:type pwctrlword: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hdr_count=hdr_count, rotate=rotate, normalize=normalize, srcport=srcport, pwctrlword=pwctrlword)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def lag_hash_bos_update(self, start_skip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param start_skip: kwarg.
		:type start_skip: (unicode)
		
		.. note::
			* enum - [u'start', u'skip']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash.bos', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, start_skip=start_skip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def lag_hash_hdr_count_update(self, hdr_count=None, rotate=None, normalize=None, srcport=None, pwctrlword=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hdr_count: Number of headers to be considered for LAG hashing
		:type hdr_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rotate: Hash Rotate
		:type rotate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param normalize: Enable/Disable using the same hash in both directions of a flow
		:type normalize: (YANGBool)

		:param srcport: Include/Exclude Source port
		:type srcport: (YANGBool)

		:param pwctrlword: Include/Exclude PW control word in hashing
		:type pwctrlword: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hdr_count=hdr_count, rotate=rotate, normalize=normalize, srcport=srcport, pwctrlword=pwctrlword)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def lag_hash_hdr_start_update(self, fwd_term=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param fwd_term: kwarg.
		:type fwd_term: (unicode)
		
		.. note::
			* enum - [u'fwd', u'term']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash.hdr_start', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fwd_term=fwd_term)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def lag_hash_speculate_mpls_update(self, enable_eth_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable_eth_ip: kwarg.
		:type enable_eth_ip: (unicode)
		
		.. note::
			* enum - [u'enable', u'inner-ipv6-raw', u'inner-eth', u'inner-ipv6-tag', u'inner-ip-tag', u'inner-ip-raw']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.lag.hash.speculate_mpls', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_eth_ip=enable_eth_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ldap_server_host_update(self, host=None, port=None, retries=None, timeout=None, basedn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param host: kwarg tuple.
		:type host: (hostname).

		:param hostname: INETADDRESS   Domain name or IP Address of
 this LDAP server
		:type hostname: (unicode)
		
		.. note::
			* length - [u'1..max']
			* pattern - \p{IsBasicLatin}{0,255}

	**This Instance Arg(s)**:
		:param port: TCP Port for Authentication (default=389)
		:type port: (int)
		
		.. note::
			* range - ['0..65535']

		:param retries: Number of retries for this server connection
 (default=5)
		:type retries: (int)
		
		.. note::
			* range - ['0..255']

		:param timeout: Wait time for this server to respond
 (default=5 sec)
		:type timeout: (int)
		
		.. note::
			* range - ['0..255']

		:param basedn: Base Domain Name (default='local')
		:type basedn: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ldap_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ldap_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ldap_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, port=port, retries=retries, timeout=timeout, basedn=basedn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ldap_server_host_basedn_update(self, host=None, port=None, retries=None, timeout=None, basedn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param host: kwarg tuple.
		:type host: (hostname, use_vrf).

		:param hostname: INETADDRESS   Domain name or IP Address of
 this LDAP server
		:type hostname: (unicode)
		
		.. note::
			* length - [u'1..max']
			* pattern - \p{IsBasicLatin}{0,255}

		:param use_vrf: VRF to choose for server connection
(Default=mgmt-vrf)
		:type use_vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param port: TCP Port for Authentication (default=389)
		:type port: (int)
		
		.. note::
			* range - ['0..65535']

		:param retries: Number of retries for this server connection
 (default=5)
		:type retries: (int)
		
		.. note::
			* range - ['0..255']

		:param timeout: Wait time for this server to respond
 (default=5 sec)
		:type timeout: (int)
		
		.. note::
			* range - ['0..255']

		:param basedn: Base Domain Name (default='local')
		:type basedn: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.ldap_server.host', u'host')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ldap_server.host.ldap_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, port=port, retries=retries, timeout=timeout, basedn=basedn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ldap_server_maprole_group_update(self, group=None, switch_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param group: kwarg tuple.
		:type group: (ad_group, switch_role).

		:param ad_group: AD group belongs to user on the AD Server
		:type ad_group: (unicode)
		
		.. note::
			* length - [u'1..max']

		:param switch_role: AD group belongs to user on the AD Server
		:type switch_role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param switch_role: AD group belongs to user on the AD Server
		:type switch_role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ldap_server.maprole.group', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ldap_server.maprole.group', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ldap_server.maprole.group', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.maprole.group', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'ad_group', 'extra_keyval': 'ad_group, switch_role'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group=group, switch_role=switch_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def line_update(self, line=None, exec_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param line: kwarg tuple.
		:type line: (sessionid).

		:param sessionid: Terminal type
		:type sessionid: (unicode)
		
		.. note::
			* enum - [u'vty']

	**This Instance Arg(s)**:
		:param exec_timeout: CLI session maximum idle time (in minutes) 
before automatic logout
		:type exec_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.terminal_cfg.line', 'pybind.nos.v6_0_2b.brocade_terminal', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.terminal_cfg.line', 'pybind.nos.v7_0_1a.brocade_terminal', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.terminal_cfg.line', 'pybind.nos.v7_1_0.brocade_terminal', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.terminal_cfg.line', 'pybind.slxos.v16r_1_00b.brocade_terminal', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'line', 'keyval': 'sessionid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, line=line, exec_timeout=exec_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def linecard_update(self, linecards=None, linecardType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param linecards: kwarg tuple.
		:type linecards: (linecardName, linecardType).

		:param linecardName: tuple arg.
		:type linecardName: (unicode)
		
		.. note::
			* pattern - ([1-9]|[1][0-6])

		:param linecardType: tuple arg.
		:type linecardType: (unicode)
		
		.. note::
			* enum - [u'LC36X100G', u'LC72X10G']

	**This Instance Arg(s)**:
		:param linecardType: kwarg.
		:type linecardType: (unicode)
		
		.. note::
			* enum - [u'LC36X100G', u'LC72X10G']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.global_lc_holder.linecard.linecards', 'pybind.slxos.v16r_1_00b.brocade_linecard_management', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, linecards=linecards, linecardType=linecardType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def link_fault_signaling_update(self, rx=None, tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rx: rx link fault signaling
		:type rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param tx: tx link fault signaling
		:type tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_lfs', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'rx, tx'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rx=rx, tx=tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def link_fault_signaling_rx_update(self, rx=None, tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rx: rx link fault signaling
		:type rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param tx: tx link fault signaling
		:type tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.link_fault_signaling', 'pybind.slxos.v16r_1_00b.brocade_lfs', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rx=rx, tx=tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ethernet_update(self, sa_mac=None, da_mac=None, vlan=None, etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param sa_mac: sa-mac
		:type sa_mac: (YANGBool)

		:param da_mac: da-mac
		:type da_mac: (YANGBool)

		:param vlan: vlan
		:type vlan: (YANGBool)

		:param etype: etype
		:type etype: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sa_mac=sa_mac, da_mac=da_mac, vlan=vlan, etype=etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ethernet_da_mac_update(self, sa_mac=None, da_mac=None, vlan=None, etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param sa_mac: sa-mac
		:type sa_mac: (YANGBool)

		:param da_mac: da-mac
		:type da_mac: (YANGBool)

		:param vlan: vlan
		:type vlan: (YANGBool)

		:param etype: etype
		:type etype: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ethernet', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sa_mac=sa_mac, da_mac=da_mac, vlan=vlan, etype=etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ip_update(self, src_l4_port=None, dst_l4_port=None, src_ip=None, dst_ip=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param src_l4_port: src-l4-port
		:type src_l4_port: (YANGBool)

		:param dst_l4_port: dst-l4-port
		:type dst_l4_port: (YANGBool)

		:param src_ip: src-ip
		:type src_ip: (YANGBool)

		:param dst_ip: dst-ip
		:type dst_ip: (YANGBool)

		:param protocol: protocol
		:type protocol: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, src_l4_port=src_l4_port, dst_l4_port=dst_l4_port, src_ip=src_ip, dst_ip=dst_ip, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ip_dst_ip_update(self, src_l4_port=None, dst_l4_port=None, src_ip=None, dst_ip=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param src_l4_port: src-l4-port
		:type src_l4_port: (YANGBool)

		:param dst_l4_port: dst-l4-port
		:type dst_l4_port: (YANGBool)

		:param src_ip: src-ip
		:type src_ip: (YANGBool)

		:param dst_ip: dst-ip
		:type dst_ip: (YANGBool)

		:param protocol: protocol
		:type protocol: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ip', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, src_l4_port=src_l4_port, dst_l4_port=dst_l4_port, src_ip=src_ip, dst_ip=dst_ip, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ipv6_update(self, ipv6_src_l4_port=None, ipv6_dst_l4_port=None, ipv6_src_ip=None, ipv6_dst_ip=None, ipv6_next_hdr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ipv6_src_l4_port: ipv6-src-l4-port
		:type ipv6_src_l4_port: (YANGBool)

		:param ipv6_dst_l4_port: ipv6-dst-l4-port
		:type ipv6_dst_l4_port: (YANGBool)

		:param ipv6_src_ip: ipv6-src-ip
		:type ipv6_src_ip: (YANGBool)

		:param ipv6_dst_ip: ipv6-dst-ip
		:type ipv6_dst_ip: (YANGBool)

		:param ipv6_next_hdr: ipv6-next-hdr
		:type ipv6_next_hdr: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_src_l4_port=ipv6_src_l4_port, ipv6_dst_l4_port=ipv6_dst_l4_port, ipv6_src_ip=ipv6_src_ip, ipv6_dst_ip=ipv6_dst_ip, ipv6_next_hdr=ipv6_next_hdr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def load_balance_hash_ipv6_ipv6_dst_ip_update(self, ipv6_src_l4_port=None, ipv6_dst_l4_port=None, ipv6_src_ip=None, ipv6_dst_ip=None, ipv6_next_hdr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ipv6_src_l4_port: ipv6-src-l4-port
		:type ipv6_src_l4_port: (YANGBool)

		:param ipv6_dst_l4_port: ipv6-dst-l4-port
		:type ipv6_dst_l4_port: (YANGBool)

		:param ipv6_src_ip: ipv6-src-ip
		:type ipv6_src_ip: (YANGBool)

		:param ipv6_dst_ip: ipv6-dst-ip
		:type ipv6_dst_ip: (YANGBool)

		:param ipv6_next_hdr: ipv6-next-hdr
		:type ipv6_next_hdr: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.ipv6', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_src_l4_port=ipv6_src_l4_port, ipv6_dst_l4_port=ipv6_dst_l4_port, ipv6_src_ip=ipv6_src_ip, ipv6_dst_ip=ipv6_dst_ip, ipv6_next_hdr=ipv6_next_hdr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def load_balance_hash_mpls_update(self, label1=None, label2=None, label3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param label1: label1
		:type label1: (YANGBool)

		:param label2: label2
		:type label2: (YANGBool)

		:param label3: label3
		:type label3: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.mpls', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, label1=label1, label2=label2, label3=label3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def load_balance_hash_mpls_label1_update(self, label1=None, label2=None, label3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param label1: label1
		:type label1: (YANGBool)

		:param label2: label2
		:type label2: (YANGBool)

		:param label3: label3
		:type label3: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.load_balance_lag.load_balance.hash.mpls', 'pybind.slxos.v16r_1_00b.brocade_rbridge_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, label1=label1, label2=label2, label3=label3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def local_node_update(self, swbd_number=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param swbd_number: kwarg.
		:type swbd_number: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.local_node', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.local_node', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.local_node', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.local_node', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, swbd_number=swbd_number)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def local_node_swbd_number_update(self, swbd_number=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param swbd_number: kwarg.
		:type swbd_number: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.local_node', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.local_node', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.local_node', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.local_node', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, swbd_number=swbd_number)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logging_raslog_update(self, console=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param console: Configure RASLOG console severity: <CRITICAL|ERROR|WARNING|INFO>
		:type console: (unicode)
		
		.. note::
			* enum - [u'INFO', u'CRITICAL', u'WARNING', u'ERROR']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.logging.raslog', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.raslog', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.raslog', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, console=console)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logging_raslog_console_update(self, console=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param console: Configure RASLOG console severity: <CRITICAL|ERROR|WARNING|INFO>
		:type console: (unicode)
		
		.. note::
			* enum - [u'INFO', u'CRITICAL', u'WARNING', u'ERROR']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.logging.raslog', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.raslog', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.raslog', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, console=console)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logging_raslog_interface_update(self, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: use interface description
		:type description: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logging.raslog.interface', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logging_raslog_interface_description_update(self, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: use interface description
		:type description: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logging.raslog.interface', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logging_raslog_message_update(self, msgid=None, severity=None, suppress=None, syslog=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param msgid: kwarg tuple.
		:type msgid: (msgId).

		:param msgId: Specify the Msg ID
		:type msgId: (unicode)

	**This Instance Arg(s)**:
		:param severity: Configure raslog message severity
		:type severity: (unicode)
		
		.. note::
			* enum - [u'INFO', u'DEFAULT', u'CRITICAL', u'WARNING', u'ERROR']

		:param suppress: Suppress raslog message
		:type suppress: (YANGBool)

		:param syslog: Enable syslog logging for internal raslog message
		:type syslog: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.logging.raslog.message.msgId', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.raslog.message.msgId', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.raslog.message.msgId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.message.msgId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'msgid', 'keyval': 'msgId', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, msgid=msgid, severity=severity, suppress=suppress, syslog=syslog)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logging_syslog_client_update(self, localip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param localip: Configure LocalIP Type <MM or CHASSIS>
		:type localip: (unicode)
		
		.. note::
			* enum - [u'CHASSIS_IP', u'MM_IP']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.logging.syslog_client', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.syslog_client', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.syslog_client', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_client', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, localip=localip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logging_syslog_client_localip_update(self, localip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param localip: Configure LocalIP Type <MM or CHASSIS>
		:type localip: (unicode)
		
		.. note::
			* enum - [u'CHASSIS_IP', u'MM_IP']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.logging.syslog_client', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.syslog_client', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.syslog_client', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_client', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, localip=localip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logging_syslog_facility_update(self, local_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param local_: Configure SYSLOG facility <LOG_LOCAL0 - LOG_LOCAL7>
		:type local_: (unicode)
		
		.. note::
			* enum - [u'LOG_LOCAL4', u'LOG_LOCAL5', u'LOG_LOCAL6', u'LOG_LOCAL7', u'LOG_LOCAL0', u'LOG_LOCAL1', u'LOG_LOCAL2', u'LOG_LOCAL3']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.logging.syslog_facility', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.syslog_facility', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.syslog_facility', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_facility', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, local_=local_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logging_syslog_facility_local_update(self, local_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param local_: Configure SYSLOG facility <LOG_LOCAL0 - LOG_LOCAL7>
		:type local_: (unicode)
		
		.. note::
			* enum - [u'LOG_LOCAL4', u'LOG_LOCAL5', u'LOG_LOCAL6', u'LOG_LOCAL7', u'LOG_LOCAL0', u'LOG_LOCAL1', u'LOG_LOCAL2', u'LOG_LOCAL3']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.logging.syslog_facility', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.syslog_facility', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.syslog_facility', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_facility', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, local_=local_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logging_syslog_server_update(self, syslog_server=None, secure=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param syslog_server: kwarg tuple.
		:type syslog_server: (syslogip, use_vrf, secure, port).

		:param syslogip: IPADDRESS		The IPv4 or IPv6 Address
		:type syslogip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param use_vrf: vrf to use for sending notification to the receiver. (Default=management).
		:type use_vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param secure: Indicates if transport is secure
		:type secure: (YANGBool)

		:param port: Port number on which the syslog server is listening
		:type port: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param secure: Indicates if transport is secure
		:type secure: (YANGBool)

		:param port: Port number on which the syslog server is listening
		:type port: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.logging.syslog_server', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.logging.syslog_server', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.logging.syslog_server', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_server', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'syslog_server', 'keyval': 'syslogip, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, syslog_server=syslog_server, secure=secure, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logging_syslog_server_port_update(self, syslog_server=None, secure=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param syslog_server: kwarg tuple.
		:type syslog_server: (syslogip, use_vrf).

		:param syslogip: IPADDRESS		The IPv4 or IPv6 Address
		:type syslogip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param use_vrf: vrf to use for sending notification to the receiver. (Default=management).
		:type use_vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param secure: Indicates if transport is secure.
		:type secure: (YANGBool)

		:param port: Port number on which the syslog server is listening.
		:type port: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.logging.syslog_server', u'syslog_server')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logging.syslog_server.syslog_secure', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'syslogip, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, syslog_server=syslog_server, secure=secure, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_update(self, main_interface_physical=None, protocol_status=None, admin_status=None, interface_index=None, intf_type=None, is_tagged=None, port_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param main_interface_physical: kwarg tuple.
		:type main_interface_physical: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param protocol_status: kwarg.
		:type protocol_status: (YANGBool)

		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param interface_index: kwarg.
		:type interface_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param intf_type: kwarg.
		:type intf_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel', u'ccep']

		:param is_tagged: kwarg.
		:type is_tagged: (YANGBool)

		:param port_mode: kwarg.
		:type port_mode: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'main_interface_physical', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, main_interface_physical=main_interface_physical, protocol_status=protocol_status, admin_status=admin_status, interface_index=interface_index, intf_type=intf_type, is_tagged=is_tagged, port_mode=port_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_counters_update(self, main_interface_physical=None, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, implicit_lifs=None, explicit_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param main_interface_physical: kwarg tuple.
		:type main_interface_physical: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param lif_type: kwarg.
		:type lif_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel', u'ccep']

		:param total_lifs: kwarg.
		:type total_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param protocol_status_up_lifs: kwarg.
		:type protocol_status_up_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param binded_lifs: kwarg.
		:type binded_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unbinded_lifs: kwarg.
		:type unbinded_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param implicit_lifs: kwarg.
		:type implicit_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param explicit_lifs: kwarg.
		:type explicit_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, main_interface_physical=main_interface_physical, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs, implicit_lifs=implicit_lifs, explicit_lifs=explicit_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_counters_binded_lifs_update(self, main_interface_physical=None, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, implicit_lifs=None, explicit_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param main_interface_physical: kwarg tuple.
		:type main_interface_physical: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param lif_type: kwarg.
		:type lif_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel', u'ccep']

		:param total_lifs: kwarg.
		:type total_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param protocol_status_up_lifs: kwarg.
		:type protocol_status_up_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param binded_lifs: kwarg.
		:type binded_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unbinded_lifs: kwarg.
		:type unbinded_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param implicit_lifs: kwarg.
		:type implicit_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param explicit_lifs: kwarg.
		:type explicit_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, main_interface_physical=main_interface_physical, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs, implicit_lifs=implicit_lifs, explicit_lifs=explicit_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_update(self, main_interface_physical=None, logical_interface_name=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, outer_vlan_id=None, inner_vlan_id=None, intf_type=None, is_tagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param main_interface_physical: kwarg tuple.
		:type main_interface_physical: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param logical_interface_name: kwarg.
		:type logical_interface_name: (unicode)

		:param source_type: kwarg.
		:type source_type: (unicode)

		:param protocol_status: kwarg.
		:type protocol_status: (YANGBool)

		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param lif_index: kwarg.
		:type lif_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bridge_domain_index: kwarg.
		:type bridge_domain_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param is_binded: kwarg.
		:type is_binded: (YANGBool)

		:param outer_vlan_id: kwarg.
		:type outer_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param inner_vlan_id: kwarg.
		:type inner_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param intf_type: kwarg.
		:type intf_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel', u'ccep']

		:param is_tagged: kwarg.
		:type is_tagged: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, main_interface_physical=main_interface_physical, logical_interface_name=logical_interface_name, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, outer_vlan_id=outer_vlan_id, inner_vlan_id=inner_vlan_id, intf_type=intf_type, is_tagged=is_tagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_logical_interface_physical_admin_status_update(self, main_interface_physical=None, logical_interface_name=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, outer_vlan_id=None, inner_vlan_id=None, intf_type=None, is_tagged=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param main_interface_physical: kwarg tuple.
		:type main_interface_physical: (intf_name).

		:param intf_name: tuple arg.
		:type intf_name: (unicode)

	**This Instance Arg(s)**:
		:param logical_interface_name: kwarg.
		:type logical_interface_name: (unicode)

		:param source_type: kwarg.
		:type source_type: (unicode)

		:param protocol_status: kwarg.
		:type protocol_status: (YANGBool)

		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param lif_index: kwarg.
		:type lif_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bridge_domain_index: kwarg.
		:type bridge_domain_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param is_binded: kwarg.
		:type is_binded: (YANGBool)

		:param outer_vlan_id: kwarg.
		:type outer_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param inner_vlan_id: kwarg.
		:type inner_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param intf_type: kwarg.
		:type intf_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel', u'ccep']

		:param is_tagged: kwarg.
		:type is_tagged: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', u'main_interface_physical')]
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical.logical_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, main_interface_physical=main_interface_physical, logical_interface_name=logical_interface_name, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, outer_vlan_id=outer_vlan_id, inner_vlan_id=inner_vlan_id, intf_type=intf_type, is_tagged=is_tagged)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_update(self, protocol_status=None, admin_status=None, interface_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param protocol_status: kwarg.
		:type protocol_status: (YANGBool)

		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param interface_index: kwarg.
		:type interface_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_status=protocol_status, admin_status=admin_status, interface_index=interface_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_admin_status_update(self, protocol_status=None, admin_status=None, interface_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param protocol_status: kwarg.
		:type protocol_status: (YANGBool)

		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param interface_index: kwarg.
		:type interface_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_status=protocol_status, admin_status=admin_status, interface_index=interface_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_counters_update(self, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, implicit_lifs=None, explicit_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param lif_type: kwarg.
		:type lif_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel', u'ccep']

		:param total_lifs: kwarg.
		:type total_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param protocol_status_up_lifs: kwarg.
		:type protocol_status_up_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param binded_lifs: kwarg.
		:type binded_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unbinded_lifs: kwarg.
		:type unbinded_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param implicit_lifs: kwarg.
		:type implicit_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param explicit_lifs: kwarg.
		:type explicit_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs, implicit_lifs=implicit_lifs, explicit_lifs=explicit_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_counters_binded_lifs_update(self, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, implicit_lifs=None, explicit_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param lif_type: kwarg.
		:type lif_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel', u'ccep']

		:param total_lifs: kwarg.
		:type total_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param protocol_status_up_lifs: kwarg.
		:type protocol_status_up_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param binded_lifs: kwarg.
		:type binded_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unbinded_lifs: kwarg.
		:type unbinded_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param implicit_lifs: kwarg.
		:type implicit_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param explicit_lifs: kwarg.
		:type explicit_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs, implicit_lifs=implicit_lifs, explicit_lifs=explicit_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_update(self, logical_interface_name=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param logical_interface_name: kwarg.
		:type logical_interface_name: (unicode)

		:param source_type: kwarg.
		:type source_type: (unicode)

		:param protocol_status: kwarg.
		:type protocol_status: (YANGBool)

		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param lif_index: kwarg.
		:type lif_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bridge_domain_index: kwarg.
		:type bridge_domain_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param is_binded: kwarg.
		:type is_binded: (YANGBool)

		:param ip_address: kwarg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, logical_interface_name=logical_interface_name, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_pseudo_wire_logical_interface_pseudo_wire_admin_status_update(self, logical_interface_name=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param logical_interface_name: kwarg.
		:type logical_interface_name: (unicode)

		:param source_type: kwarg.
		:type source_type: (unicode)

		:param protocol_status: kwarg.
		:type protocol_status: (YANGBool)

		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param lif_index: kwarg.
		:type lif_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bridge_domain_index: kwarg.
		:type bridge_domain_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param is_binded: kwarg.
		:type is_binded: (YANGBool)

		:param ip_address: kwarg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_pseudo_wire.logical_interface_pseudo_wire', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, logical_interface_name=logical_interface_name, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, ip_address=ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_update(self, protocol_status=None, admin_status=None, interface_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param protocol_status: kwarg.
		:type protocol_status: (YANGBool)

		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param interface_index: kwarg.
		:type interface_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_status=protocol_status, admin_status=admin_status, interface_index=interface_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_admin_status_update(self, protocol_status=None, admin_status=None, interface_index=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param protocol_status: kwarg.
		:type protocol_status: (YANGBool)

		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param interface_index: kwarg.
		:type interface_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_status=protocol_status, admin_status=admin_status, interface_index=interface_index)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_counters_update(self, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, implicit_lifs=None, explicit_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param lif_type: kwarg.
		:type lif_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel', u'ccep']

		:param total_lifs: kwarg.
		:type total_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param protocol_status_up_lifs: kwarg.
		:type protocol_status_up_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param binded_lifs: kwarg.
		:type binded_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unbinded_lifs: kwarg.
		:type unbinded_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param implicit_lifs: kwarg.
		:type implicit_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param explicit_lifs: kwarg.
		:type explicit_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs, implicit_lifs=implicit_lifs, explicit_lifs=explicit_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_counters_binded_lifs_update(self, lif_type=None, total_lifs=None, protocol_status_up_lifs=None, binded_lifs=None, unbinded_lifs=None, implicit_lifs=None, explicit_lifs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param lif_type: kwarg.
		:type lif_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel', u'ccep']

		:param total_lifs: kwarg.
		:type total_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param protocol_status_up_lifs: kwarg.
		:type protocol_status_up_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param binded_lifs: kwarg.
		:type binded_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unbinded_lifs: kwarg.
		:type unbinded_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param implicit_lifs: kwarg.
		:type implicit_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param explicit_lifs: kwarg.
		:type explicit_lifs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.counters', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lif_type=lif_type, total_lifs=total_lifs, protocol_status_up_lifs=protocol_status_up_lifs, binded_lifs=binded_lifs, unbinded_lifs=unbinded_lifs, implicit_lifs=implicit_lifs, explicit_lifs=explicit_lifs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_update(self, logical_interface_name=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, vni_tni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param logical_interface_name: kwarg.
		:type logical_interface_name: (unicode)

		:param source_type: kwarg.
		:type source_type: (unicode)

		:param protocol_status: kwarg.
		:type protocol_status: (YANGBool)

		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param lif_index: kwarg.
		:type lif_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bridge_domain_index: kwarg.
		:type bridge_domain_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param is_binded: kwarg.
		:type is_binded: (YANGBool)

		:param vni_tni: kwarg.
		:type vni_tni: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, logical_interface_name=logical_interface_name, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, vni_tni=vni_tni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_tunnel_logical_interface_tunnel_admin_status_update(self, logical_interface_name=None, source_type=None, protocol_status=None, admin_status=None, lif_index=None, bridge_domain_index=None, interface_name=None, is_binded=None, vni_tni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param logical_interface_name: kwarg.
		:type logical_interface_name: (unicode)

		:param source_type: kwarg.
		:type source_type: (unicode)

		:param protocol_status: kwarg.
		:type protocol_status: (YANGBool)

		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param lif_index: kwarg.
		:type lif_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bridge_domain_index: kwarg.
		:type bridge_domain_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param is_binded: kwarg.
		:type is_binded: (YANGBool)

		:param vni_tni: kwarg.
		:type vni_tni: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_tunnel.logical_interface_tunnel', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, logical_interface_name=logical_interface_name, source_type=source_type, protocol_status=protocol_status, admin_status=admin_status, lif_index=lif_index, bridge_domain_index=bridge_domain_index, interface_name=interface_name, is_binded=is_binded, vni_tni=vni_tni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_update(self, extended=None, seq=None, action=None, source=None, srchost=None, src_mac_addr_mask=None, dst=None, dsthost=None, dst_mac_addr_mask=None, ethertype=None, vlan=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param extended: kwarg tuple.
		:type extended: (name).

		:param name: ACL_NAME;; Access List Name (Max 63)
		:type name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

	**This Instance Keyword Arg Tuple**:
		:param seq: kwarg tuple.
		:type seq: (seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log).

		:param seq_id: tuple arg.
		:type seq_id: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param action: tuple arg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'deny', u'hard-drop', u'permit']

		:param source: tuple arg.
		:type source: (unicode)

		:param srchost: source mac address HHHH.HHHH.HHHH
		:type srchost: (unicode)

		:param src_mac_addr_mask: tuple arg.
		:type src_mac_addr_mask: (unicode)

		:param dst: tuple arg.
		:type dst: (unicode)

		:param dsthost: Destination mac address HHHH.HHHH.HHHH
		:type dsthost: (unicode)

		:param dst_mac_addr_mask: tuple arg.
		:type dst_mac_addr_mask: (unicode)

		:param ethertype: tuple arg.
		:type ethertype: (unicode)
		
		.. note::
			* enum - [u'arp', u'fcoe', u'ipv4']

		:param vlan: Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param count: Packet count
		:type count: (YANGBool)

		:param log: Log Packet
		:type log: (YANGBool)

	**This Instance Arg(s)**:
		:param action: kwarg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'deny', u'hard-drop', u'permit']

		:param source: kwarg.
		:type source: (unicode)

		:param srchost: source mac address HHHH.HHHH.HHHH
		:type srchost: (unicode)

		:param src_mac_addr_mask: kwarg.
		:type src_mac_addr_mask: (unicode)

		:param dst: kwarg.
		:type dst: (unicode)

		:param dsthost: Destination mac address HHHH.HHHH.HHHH
		:type dsthost: (unicode)

		:param dst_mac_addr_mask: kwarg.
		:type dst_mac_addr_mask: (unicode)

		:param ethertype: kwarg.
		:type ethertype: (unicode)
		
		.. note::
			* enum - [u'arp', u'fcoe', u'ipv4']

		:param vlan: Vlan
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param count: Packet count
		:type count: (YANGBool)

		:param log: Log Packet
		:type log: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1a.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, seq=seq, action=action, source=source, srchost=srchost, src_mac_addr_mask=src_mac_addr_mask, dst=dst, dsthost=dsthost, dst_mac_addr_mask=dst_mac_addr_mask, ethertype=ethertype, vlan=vlan, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mac_access_list_standard_seq_update(self, standard=None, seq=None, action=None, source=None, srchost=None, src_mac_addr_mask=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param standard: kwarg tuple.
		:type standard: (name).

		:param name: ACL_NAME;; Access List Name (Max 63)
		:type name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

	**This Instance Keyword Arg Tuple**:
		:param seq: kwarg tuple.
		:type seq: (seq_id, action, source, srchost, src_mac_addr_mask, count, log).

		:param seq_id: tuple arg.
		:type seq_id: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param action: tuple arg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'deny', u'hard-drop', u'permit']

		:param source: tuple arg.
		:type source: (unicode)

		:param srchost: tuple arg.
		:type srchost: (unicode)

		:param src_mac_addr_mask: tuple arg.
		:type src_mac_addr_mask: (unicode)

		:param count: Packet count
		:type count: (YANGBool)

		:param log: Log Packet
		:type log: (YANGBool)

	**This Instance Arg(s)**:
		:param action: kwarg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'deny', u'hard-drop', u'permit']

		:param source: kwarg.
		:type source: (unicode)

		:param srchost: kwarg.
		:type srchost: (unicode)

		:param src_mac_addr_mask: kwarg.
		:type src_mac_addr_mask: (unicode)

		:param count: Packet count
		:type count: (YANGBool)

		:param log: Log Packet
		:type log: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard'), ('pybind.nos.v6_0_2b.mac.access_list.standard', u'standard'), ('pybind.nos.v7_0_1a.mac.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v6_0_2b.brocade_mac_access_list', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_0_1a.brocade_mac_access_list', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, count, log'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq, action=action, source=source, srchost=srchost, src_mac_addr_mask=src_mac_addr_mask, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mac_address_table_update(self, learning_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param learning_mode: Conversational Learning Mode
		:type learning_mode: (unicode)
		
		.. note::
			* enum - [u'conversational']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.mac_address_table', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, learning_mode=learning_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mac_address_table_aging_time_update(self, conversational_time_out=None, legacy_time_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param conversational_time_out: Conversational Aging time in seconds (default = 300)
		:type conversational_time_out: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param legacy_time_out: Aging time in seconds (default = 300)
		:type legacy_time_out: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.aging_time', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.aging_time', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table.aging_time', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.aging_time', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, conversational_time_out=conversational_time_out, legacy_time_out=legacy_time_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mac_address_table_aging_time_conversational_update(self, conversational_time_out=None, legacy_time_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param conversational_time_out: Conversational Aging time in seconds (default = 300)
		:type conversational_time_out: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param legacy_time_out: Aging time in seconds (default = 300)
		:type legacy_time_out: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.aging_time', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.aging_time', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table.aging_time', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.aging_time', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, conversational_time_out=conversational_time_out, legacy_time_out=legacy_time_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mac_address_table_consistency_check_update(self, mac_consistency_check_suppress=None, mac_consistency_check_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param mac_consistency_check_suppress: Suppress MAC Consistency check
		:type mac_consistency_check_suppress: (YANGBool)

		:param mac_consistency_check_interval: MAC Consistency check interval in seconds (default = 300)
		:type mac_consistency_check_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.consistency_check', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.consistency_check', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table.consistency_check', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.consistency_check', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_consistency_check_suppress=mac_consistency_check_suppress, mac_consistency_check_interval=mac_consistency_check_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mac_address_table_consistency_check_interval_update(self, mac_consistency_check_suppress=None, mac_consistency_check_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param mac_consistency_check_suppress: Suppress MAC Consistency check
		:type mac_consistency_check_suppress: (YANGBool)

		:param mac_consistency_check_interval: MAC Consistency check interval in seconds (default = 300)
		:type mac_consistency_check_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.consistency_check', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.consistency_check', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table.consistency_check', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.consistency_check', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_consistency_check_suppress=mac_consistency_check_suppress, mac_consistency_check_interval=mac_consistency_check_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mac_address_table_learning_mode_update(self, learning_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param learning_mode: Conversational Learning Mode
		:type learning_mode: (unicode)
		
		.. note::
			* enum - [u'conversational']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.mac_address_table', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, learning_mode=learning_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mac_address_table_mac_move_update(self, mac_move_detect_enable=None, mac_move_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param mac_move_detect_enable: Enable MAC move detect
		:type mac_move_detect_enable: (YANGBool)

		:param mac_move_limit: MAC move detect limit (default = 20)
		:type mac_move_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.mac_move', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.mac_move', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.mac_address_table.mac_move', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_address_table.mac_move', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_move_detect_enable=mac_move_detect_enable, mac_move_limit=mac_move_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mac_address_table_mac_move_action_update(self, mac_move_detect_enable=None, mac_move_limit=None, mac_move_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**This Instance Arg(s)**:
		:param mac_move_detect_enable: Enable MAC move detect
		:type mac_move_detect_enable: (YANGBool)

		:param mac_move_limit: MAC move detect limit (default = 20)
		:type mac_move_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mac_move_action: Action on MAC move
		:type mac_move_action: (unicode)
		
		.. note::
			* enum - [u'shutdown', u'raslog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.mac_address_table.mac_move', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_move_detect_enable=mac_move_detect_enable, mac_move_limit=mac_move_limit, mac_move_action=mac_move_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mac_address_table_mac_move_auto_recovery_update(self, auto_recovery_enable=None, auto_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**This Instance Arg(s)**:
		:param auto_recovery_enable: Enable auto recovery
		:type auto_recovery_enable: (YANGBool)

		:param auto_recovery_time: Auto recovery time in minutes (default = 5)
		:type auto_recovery_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.mac_address_table.mac_move.auto_recovery', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_recovery_enable=auto_recovery_enable, auto_recovery_time=auto_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mac_address_table_mac_move_auto_recovery_enable_update(self, auto_recovery_enable=None, auto_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**This Instance Arg(s)**:
		:param auto_recovery_enable: Enable auto recovery
		:type auto_recovery_enable: (YANGBool)

		:param auto_recovery_time: Auto recovery time in minutes (default = 5)
		:type auto_recovery_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.mac_address_table.mac_move.auto_recovery', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_recovery_enable=auto_recovery_enable, auto_recovery_time=auto_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mac_address_table_mac_move_detect_update(self, mac_move_detect_enable=None, mac_move_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param mac_move_detect_enable: Enable MAC move detect
		:type mac_move_detect_enable: (YANGBool)

		:param mac_move_limit: MAC move detect limit (default = 20)
		:type mac_move_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.mac_address_table.mac_move', 'pybind.nos.v6_0_2b.brocade_mac_address_table', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.mac_address_table.mac_move', 'pybind.nos.v7_0_1a.brocade_mac_address_table', 'pybind.nos.v7_0_1a'), ('pybind.slxos.v16r_1_00b.mac_address_table.mac_move', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_move_detect_enable=mac_move_detect_enable, mac_move_limit=mac_move_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_vlan_update(self, show_cluster_mem_vlan=None, num_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param show_cluster_mem_vlan: kwarg tuple.
		:type show_cluster_mem_vlan: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param num_vlans: kwarg.
		:type num_vlans: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_vlan_vlan_label_info_update(self, show_cluster_mem_vlan=None, vlan_id=None, unicast_label_local=None, unicast_label_remote=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_cluster_mem_vlan: kwarg tuple.
		:type show_cluster_mem_vlan: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unicast_label_local: kwarg.
		:type unicast_label_local: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unicast_label_remote: kwarg.
		:type unicast_label_remote: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_id=vlan_id, unicast_label_local=unicast_label_local, unicast_label_remote=unicast_label_remote)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_vlan_vlan_label_info_unicast_label_local_update(self, show_cluster_mem_vlan=None, vlan_id=None, unicast_label_local=None, unicast_label_remote=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_cluster_mem_vlan: kwarg tuple.
		:type show_cluster_mem_vlan: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unicast_label_local: kwarg.
		:type unicast_label_local: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unicast_label_remote: kwarg.
		:type unicast_label_remote: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_id=vlan_id, unicast_label_local=unicast_label_local, unicast_label_remote=unicast_label_remote)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_update(self, show_cluster=None, is_cluster_client_command=None, cluster_name=None, cluster_status=None, client_isolation_status=None, num_peers=None, num_clients=None, num_config_vlans=None, num_active_vlans=None, client_interfaces_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param show_cluster: kwarg tuple.
		:type show_cluster: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param is_cluster_client_command: kwarg.
		:type is_cluster_client_command: (YANGBool)

		:param cluster_name: kwarg.
		:type cluster_name: (unicode)

		:param cluster_status: kwarg.
		:type cluster_status: (YANGBool)

		:param client_isolation_status: kwarg.
		:type client_isolation_status: (YANGBool)

		:param num_peers: kwarg.
		:type num_peers: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_clients: kwarg.
		:type num_clients: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_config_vlans: kwarg.
		:type num_config_vlans: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_active_vlans: kwarg.
		:type num_active_vlans: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_interfaces_shutdown: kwarg.
		:type client_interfaces_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, is_cluster_client_command=is_cluster_client_command, cluster_name=cluster_name, cluster_status=cluster_status, client_isolation_status=client_isolation_status, num_peers=num_peers, num_clients=num_clients, num_config_vlans=num_config_vlans, num_active_vlans=num_active_vlans, client_interfaces_shutdown=client_interfaces_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_active_vlan_list_update(self, show_cluster=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_cluster: kwarg tuple.
		:type show_cluster: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.active_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_active_vlan_list_vlan_id_update(self, show_cluster=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_cluster: kwarg tuple.
		:type show_cluster: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.active_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_info_list_update(self, show_cluster=None, client_info_list=None, client_name=None, client_esi=None, client_interface=None, client_state=None, num_config_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_cluster: kwarg tuple.
		:type show_cluster: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param client_info_list: kwarg tuple.
		:type client_info_list: (cluster_id, client_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_id: tuple arg.
		:type client_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param client_name: kwarg.
		:type client_name: (unicode)

		:param client_esi: kwarg.
		:type client_esi: (unicode)

		:param client_interface: kwarg.
		:type client_interface: (unicode)

		:param client_state: kwarg.
		:type client_state: (YANGBool)

		:param num_config_vlans: kwarg.
		:type num_config_vlans: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client_info_list', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, client_info_list=client_info_list, client_name=client_name, client_esi=client_esi, client_interface=client_interface, client_state=client_state, num_config_vlans=num_config_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_info_list_config_vlans_update(self, show_cluster=None, client_info_list=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_cluster: kwarg tuple.
		:type show_cluster: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_info_list: kwarg tuple.
		:type client_info_list: (cluster_id, client_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_id: tuple arg.
		:type client_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster'), ('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', u'client_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list.config_vlans', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id, client_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, client_info_list=client_info_list, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_config_vlan_list_update(self, show_cluster=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_cluster: kwarg tuple.
		:type show_cluster: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.config_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_peer_info_list_update(self, show_cluster=None, peer_info_list=None, peer_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_cluster: kwarg tuple.
		:type show_cluster: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param peer_info_list: kwarg tuple.
		:type peer_info_list: (peer_ip_addr).

		:param peer_ip_addr: tuple arg.
		:type peer_ip_addr: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param peer_state: kwarg.
		:type peer_state: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.peer_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'peer_info_list', 'keyval': 'peer_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster=show_cluster, peer_info_list=peer_info_list, peer_state=peer_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mctd_client_update(self, show_cluster_mctd_client=None, num_clients=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param show_cluster_mctd_client: kwarg tuple.
		:type show_cluster_mctd_client: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param num_clients: kwarg.
		:type num_clients: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster_mctd_client', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mctd_client=show_cluster_mctd_client, num_clients=num_clients)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mctd_client_client_state_info_update(self, show_cluster_mctd_client=None, client_name=None, client_id=None, local_state=None, remote_state=None, local_esi_label=None, remote_esi_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_cluster_mctd_client: kwarg tuple.
		:type show_cluster_mctd_client: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param client_name: kwarg.
		:type client_name: (unicode)

		:param client_id: kwarg.
		:type client_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param local_state: kwarg.
		:type local_state: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param remote_state: kwarg.
		:type remote_state: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param local_esi_label: kwarg.
		:type local_esi_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param remote_esi_label: kwarg.
		:type remote_esi_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mctd_client=show_cluster_mctd_client, client_name=client_name, client_id=client_id, local_state=local_state, remote_state=remote_state, local_esi_label=local_esi_label, remote_esi_label=remote_esi_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mctd_client_client_state_info_client_id_update(self, show_cluster_mctd_client=None, client_name=None, client_id=None, local_state=None, remote_state=None, local_esi_label=None, remote_esi_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_cluster_mctd_client: kwarg tuple.
		:type show_cluster_mctd_client: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param client_name: kwarg.
		:type client_name: (unicode)

		:param client_id: kwarg.
		:type client_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param local_state: kwarg.
		:type local_state: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param remote_state: kwarg.
		:type remote_state: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param local_esi_label: kwarg.
		:type local_esi_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param remote_esi_label: kwarg.
		:type remote_esi_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', u'show_cluster_mctd_client')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client.client_state_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mctd_client=show_cluster_mctd_client, client_name=client_name, client_id=client_id, local_state=local_state, remote_state=remote_state, local_esi_label=local_esi_label, remote_esi_label=remote_esi_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mem_vlan_update(self, show_cluster_mem_vlan=None, num_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param show_cluster_mem_vlan: kwarg tuple.
		:type show_cluster_mem_vlan: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param num_vlans: kwarg.
		:type num_vlans: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mem_vlan_vlan_label_info_update(self, show_cluster_mem_vlan=None, vlan_id=None, mcast_label_local=None, mcast_label_remote=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_cluster_mem_vlan: kwarg tuple.
		:type show_cluster_mem_vlan: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mcast_label_local: kwarg.
		:type mcast_label_local: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mcast_label_remote: kwarg.
		:type mcast_label_remote: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_id=vlan_id, mcast_label_local=mcast_label_local, mcast_label_remote=mcast_label_remote)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mem_vlan_vlan_label_info_mcast_label_local_update(self, show_cluster_mem_vlan=None, vlan_id=None, mcast_label_local=None, mcast_label_remote=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_cluster_mem_vlan: kwarg tuple.
		:type show_cluster_mem_vlan: (cluster_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mcast_label_local: kwarg.
		:type mcast_label_local: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mcast_label_remote: kwarg.
		:type mcast_label_remote: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', u'show_cluster_mem_vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan.vlan_label_info', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_cluster_mem_vlan=show_cluster_mem_vlan, vlan_id=vlan_id, mcast_label_local=mcast_label_local, mcast_label_remote=mcast_label_remote)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def monitor_session_update(self, session=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param session: kwarg tuple.
		:type session: (session_number).

		:param session_number: tuple arg.
		:type session_number: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param description: Description string of session
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.monitor.session', 'pybind.nos.v6_0_2b.brocade_span', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.monitor.session', 'pybind.nos.v7_0_1a.brocade_span', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.monitor.session', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.monitor.session', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'session', 'keyval': 'session_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, session=session, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_update(self, auto_bandwidth_template=None, adjustment_interval=None, adjustment_threshold=None, maximum_bandwidth=None, minimum_bandwidth=None, overflow_limit=None, underflow_limit=None, mode=None, sample_recording=None, associated_paths_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param auto_bandwidth_template: kwarg tuple.
		:type auto_bandwidth_template: (name).

		:param name: tuple arg.
		:type name: (unicode)

	**This Instance Arg(s)**:
		:param adjustment_interval: kwarg.
		:type adjustment_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adjustment_threshold: kwarg.
		:type adjustment_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maximum_bandwidth: kwarg.
		:type maximum_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param minimum_bandwidth: kwarg.
		:type minimum_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param overflow_limit: kwarg.
		:type overflow_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param underflow_limit: kwarg.
		:type underflow_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: kwarg.
		:type mode: (YANGBool)

		:param sample_recording: kwarg.
		:type sample_recording: (YANGBool)

		:param associated_paths_count: kwarg.
		:type associated_paths_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_bandwidth_template=auto_bandwidth_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, maximum_bandwidth=maximum_bandwidth, minimum_bandwidth=minimum_bandwidth, overflow_limit=overflow_limit, underflow_limit=underflow_limit, mode=mode, sample_recording=sample_recording, associated_paths_count=associated_paths_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_associated_paths_update(self, auto_bandwidth_template=None, associated_paths=None, path_name=None, is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param auto_bandwidth_template: kwarg tuple.
		:type auto_bandwidth_template: (name).

		:param name: tuple arg.
		:type name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param associated_paths: kwarg tuple.
		:type associated_paths: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Arg(s)**:
		:param path_name: kwarg.
		:type path_name: (unicode)

		:param is_active: kwarg.
		:type is_active: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', u'auto_bandwidth_template')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template.associated_paths', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'associated_paths', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auto_bandwidth_template=auto_bandwidth_template, associated_paths=associated_paths, path_name=path_name, is_active=is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_autobw_threshold_table_entry_update(self, autobw_threshold_table_entry=None, threshold=None, is_percentage_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param autobw_threshold_table_entry: kwarg tuple.
		:type autobw_threshold_table_entry: (bandwidth).

		:param bandwidth: tuple arg.
		:type bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param threshold: kwarg.
		:type threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param is_percentage_threshold: kwarg.
		:type is_percentage_threshold: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_entry', 'keyval': 'bandwidth', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_threshold_table_entry=autobw_threshold_table_entry, threshold=threshold, is_percentage_threshold=is_percentage_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_autobw_threshold_table_summary_update(self, total_number_of_autobw_threshold_table_entries=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param total_number_of_autobw_threshold_table_entries: kwarg.
		:type total_number_of_autobw_threshold_table_entries: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_number_of_autobw_threshold_table_entries=total_number_of_autobw_threshold_table_entries)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_autobw_threshold_table_summary_total_number_of_autobw_threshold_table_entries_update(self, total_number_of_autobw_threshold_table_entries=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param total_number_of_autobw_threshold_table_entries: kwarg.
		:type total_number_of_autobw_threshold_table_entries: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_number_of_autobw_threshold_table_entries=total_number_of_autobw_threshold_table_entries)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_bfd_update(self, admin_status=None, min_tx_interval=None, min_rx_interval=None, detection_time_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param admin_status: kwarg.
		:type admin_status: (int)
		
		.. note::
			* range - ['0..255']

		:param min_tx_interval: kwarg.
		:type min_tx_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx_interval: kwarg.
		:type min_rx_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param detection_time_multiplier: kwarg.
		:type detection_time_multiplier: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.bfd', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, admin_status=admin_status, min_tx_interval=min_tx_interval, min_rx_interval=min_rx_interval, detection_time_multiplier=detection_time_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_bfd_admin_status_update(self, admin_status=None, min_tx_interval=None, min_rx_interval=None, detection_time_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param admin_status: kwarg.
		:type admin_status: (int)
		
		.. note::
			* range - ['0..255']

		:param min_tx_interval: kwarg.
		:type min_tx_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx_interval: kwarg.
		:type min_rx_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param detection_time_multiplier: kwarg.
		:type detection_time_multiplier: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.bfd', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, admin_status=admin_status, min_tx_interval=min_tx_interval, min_rx_interval=min_rx_interval, detection_time_multiplier=detection_time_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_global_update(self, config_enable=None, config_enable_all=None, reoptimize_timer=None, max_bypasses_per_mp=None, max_bypasses=None, bypass_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param config_enable: kwarg.
		:type config_enable: (int)
		
		.. note::
			* range - ['0..65535']

		:param config_enable_all: kwarg.
		:type config_enable_all: (int)
		
		.. note::
			* range - ['0..65535']

		:param reoptimize_timer: kwarg.
		:type reoptimize_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_bypasses_per_mp: kwarg.
		:type max_bypasses_per_mp: (int)
		
		.. note::
			* range - ['0..65535']

		:param max_bypasses: kwarg.
		:type max_bypasses: (int)
		
		.. note::
			* range - ['0..65535']

		:param bypass_count: kwarg.
		:type bypass_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, config_enable=config_enable, config_enable_all=config_enable_all, reoptimize_timer=reoptimize_timer, max_bypasses_per_mp=max_bypasses_per_mp, max_bypasses=max_bypasses, bypass_count=bypass_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_global_bypass_count_update(self, config_enable=None, config_enable_all=None, reoptimize_timer=None, max_bypasses_per_mp=None, max_bypasses=None, bypass_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param config_enable: kwarg.
		:type config_enable: (int)
		
		.. note::
			* range - ['0..65535']

		:param config_enable_all: kwarg.
		:type config_enable_all: (int)
		
		.. note::
			* range - ['0..65535']

		:param reoptimize_timer: kwarg.
		:type reoptimize_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_bypasses_per_mp: kwarg.
		:type max_bypasses_per_mp: (int)
		
		.. note::
			* range - ['0..65535']

		:param max_bypasses: kwarg.
		:type max_bypasses: (int)
		
		.. note::
			* range - ['0..65535']

		:param bypass_count: kwarg.
		:type bypass_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_global', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, config_enable=config_enable, config_enable_all=config_enable_all, reoptimize_timer=reoptimize_timer, max_bypasses_per_mp=max_bypasses_per_mp, max_bypasses=max_bypasses, bypass_count=bypass_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_update(self, dynamic_bypass_interface=None, active_status=None, admin_type=None, admin_status=None, hop_limit=None, tie_breaking=None, cos=None, cspf_comp_mode=None, setup_priority=None, hold_priority=None, traffic_eng_max_rate=None, traffic_eng_mean_rate=None, traffic_eng_max_burst=None, from_addr=None, reoptimize_timer=None, adaptive=None, record_route=None, name_prefix=None, primary_path=None, max_bypasses_per_mp=None, bypass_count=None, exclude_any=None, include_all=None, include_any=None, status_flags=None, mp_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param dynamic_bypass_interface: kwarg tuple.
		:type dynamic_bypass_interface: (if_name, if_type).

		:param if_name: tuple arg.
		:type if_name: (unicode)

		:param if_type: tuple arg.
		:type if_type: (unicode)
		
		.. note::
			* enum - [u'loopback-interface', u'ethernet-interface', u'port-channel-interface', u'unknown-interface', u've-interface', u'fbr-channel-interface']

	**This Instance Arg(s)**:
		:param active_status: kwarg.
		:type active_status: (int)
		
		.. note::
			* range - ['0..255']

		:param admin_type: kwarg.
		:type admin_type: (int)
		
		.. note::
			* range - ['0..255']

		:param admin_status: kwarg.
		:type admin_status: (int)
		
		.. note::
			* range - ['0..255']

		:param hop_limit: kwarg.
		:type hop_limit: (int)
		
		.. note::
			* range - ['0..255']

		:param tie_breaking: kwarg.
		:type tie_breaking: (int)
		
		.. note::
			* range - ['0..255']

		:param cos: kwarg.
		:type cos: (int)
		
		.. note::
			* range - ['0..255']

		:param cspf_comp_mode: kwarg.
		:type cspf_comp_mode: (int)
		
		.. note::
			* range - ['0..255']

		:param setup_priority: kwarg.
		:type setup_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param hold_priority: kwarg.
		:type hold_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param traffic_eng_max_rate: kwarg.
		:type traffic_eng_max_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param traffic_eng_mean_rate: kwarg.
		:type traffic_eng_mean_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param traffic_eng_max_burst: kwarg.
		:type traffic_eng_max_burst: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param from_addr: kwarg.
		:type from_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param reoptimize_timer: kwarg.
		:type reoptimize_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adaptive: kwarg.
		:type adaptive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param record_route: kwarg.
		:type record_route: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param name_prefix: kwarg.
		:type name_prefix: (unicode)

		:param primary_path: kwarg.
		:type primary_path: (unicode)

		:param max_bypasses_per_mp: kwarg.
		:type max_bypasses_per_mp: (int)
		
		.. note::
			* range - ['0..65535']

		:param bypass_count: kwarg.
		:type bypass_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param exclude_any: kwarg.
		:type exclude_any: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param include_all: kwarg.
		:type include_all: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param include_any: kwarg.
		:type include_any: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param status_flags: kwarg.
		:type status_flags: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mp_count: kwarg.
		:type mp_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_name, if_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_interface=dynamic_bypass_interface, active_status=active_status, admin_type=admin_type, admin_status=admin_status, hop_limit=hop_limit, tie_breaking=tie_breaking, cos=cos, cspf_comp_mode=cspf_comp_mode, setup_priority=setup_priority, hold_priority=hold_priority, traffic_eng_max_rate=traffic_eng_max_rate, traffic_eng_mean_rate=traffic_eng_mean_rate, traffic_eng_max_burst=traffic_eng_max_burst, from_addr=from_addr, reoptimize_timer=reoptimize_timer, adaptive=adaptive, record_route=record_route, name_prefix=name_prefix, primary_path=primary_path, max_bypasses_per_mp=max_bypasses_per_mp, bypass_count=bypass_count, exclude_any=exclude_any, include_all=include_all, include_any=include_any, status_flags=status_flags, mp_count=mp_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_mp_infos_update(self, dynamic_bypass_interface=None, mp_infos=None, bypass_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param dynamic_bypass_interface: kwarg tuple.
		:type dynamic_bypass_interface: (if_name, if_type).

		:param if_name: tuple arg.
		:type if_name: (unicode)

		:param if_type: tuple arg.
		:type if_type: (unicode)
		
		.. note::
			* enum - [u'loopback-interface', u'ethernet-interface', u'port-channel-interface', u'unknown-interface', u've-interface', u'fbr-channel-interface']

	**This Instance Keyword Arg Tuple**:
		:param mp_infos: kwarg tuple.
		:type mp_infos: (router_id).

		:param router_id: tuple arg.
		:type router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param bypass_count: kwarg.
		:type bypass_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', u'dynamic_bypass_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface.mp_infos', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'if_name, if_type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mp_infos', 'keyval': 'router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_interface=dynamic_bypass_interface, mp_infos=mp_infos, bypass_count=bypass_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_forwarding_entry_update(self, forwarding_entry=None, dest_ip_prefix=None, in_label=None, out_label=None, protocol=None, out_interface_name=None, nexthop_ip_addr=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param forwarding_entry: kwarg tuple.
		:type forwarding_entry: (entry_index, sync_index).

		:param entry_index: tuple arg.
		:type entry_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sync_index: tuple arg.
		:type sync_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param dest_ip_prefix: kwarg.
		:type dest_ip_prefix: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param in_label: kwarg.
		:type in_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_label: kwarg.
		:type out_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param protocol: kwarg.
		:type protocol: (unicode)
		
		.. note::
			* enum - [u'mpls-protocol-none', u'mpls-protocol-ldp', u'mpls-protocol-rsvp']

		:param out_interface_name: kwarg.
		:type out_interface_name: (unicode)

		:param nexthop_ip_addr: kwarg.
		:type nexthop_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param type: kwarg.
		:type type: (unicode)
		
		.. note::
			* enum - [u'mpls-forwarding-entry-backup', u'mpls-forwarding-entry-detour']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, forwarding_entry=forwarding_entry, dest_ip_prefix=dest_ip_prefix, in_label=in_label, out_label=out_label, protocol=protocol, out_interface_name=out_interface_name, nexthop_ip_addr=nexthop_ip_addr, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_update(self, interface=None, interface_name=None, admin_status=None, oper_status=None, mtu=None, bypass_lsp_count=None, max_lsp_priority_level=None, is_ldp_enabled=None, ldp_tunnel_count=None, ldp_transit_tunnel_count=None, is_gre_port=None, admin_group=None, admin_group_max=None, admin_group_min=None, te_metric=None, max_bandwidth=None, max_resv_bandwidth=None, max_resv_bandwidth_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_index).

		:param interface_index: tuple arg.
		:type interface_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param oper_status: kwarg.
		:type oper_status: (YANGBool)

		:param mtu: kwarg.
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_lsp_count: kwarg.
		:type bypass_lsp_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_lsp_priority_level: kwarg.
		:type max_lsp_priority_level: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param is_ldp_enabled: kwarg.
		:type is_ldp_enabled: (YANGBool)

		:param ldp_tunnel_count: kwarg.
		:type ldp_tunnel_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_transit_tunnel_count: kwarg.
		:type ldp_transit_tunnel_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param is_gre_port: kwarg.
		:type is_gre_port: (YANGBool)

		:param admin_group: kwarg.
		:type admin_group: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param admin_group_max: kwarg.
		:type admin_group_max: (int)
		
		.. note::
			* range - ['0..255']

		:param admin_group_min: kwarg.
		:type admin_group_min: (int)
		
		.. note::
			* range - ['0..255']

		:param te_metric: kwarg.
		:type te_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_bandwidth: kwarg.
		:type max_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_resv_bandwidth: kwarg.
		:type max_resv_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_resv_bandwidth_percentage: kwarg.
		:type max_resv_bandwidth_percentage: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface=interface, interface_name=interface_name, admin_status=admin_status, oper_status=oper_status, mtu=mtu, bypass_lsp_count=bypass_lsp_count, max_lsp_priority_level=max_lsp_priority_level, is_ldp_enabled=is_ldp_enabled, ldp_tunnel_count=ldp_tunnel_count, ldp_transit_tunnel_count=ldp_transit_tunnel_count, is_gre_port=is_gre_port, admin_group=admin_group, admin_group_max=admin_group_max, admin_group_min=admin_group_min, te_metric=te_metric, max_bandwidth=max_bandwidth, max_resv_bandwidth=max_resv_bandwidth, max_resv_bandwidth_percentage=max_resv_bandwidth_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_update(self, ldp_fec_prefix_longer=None, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_fec_prefix_longer: kwarg tuple.
		:type ldp_fec_prefix_longer: (prefix).

		:param prefix: tuple arg.
		:type prefix: (unicode)

	**This Instance Arg(s)**:
		:param type: kwarg.
		:type type: (int)
		
		.. note::
			* range - ['0..255']

		:param prefix_len: kwarg.
		:type prefix_len: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr_type: kwarg.
		:type inet_addr_type: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr_len: kwarg.
		:type inet_addr_len: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr: kwarg.
		:type inet_addr: (unicode)

		:param vc_ldp_peer_id: kwarg.
		:type vc_ldp_peer_id: (unicode)

		:param data_fec_type: kwarg.
		:type data_fec_type: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_type: kwarg.
		:type vc_type: (int)
		
		.. note::
			* range - ['0..65535']

		:param vc_control_word_config: kwarg.
		:type vc_control_word_config: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_use_control_word: kwarg.
		:type vc_use_control_word: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_group_id: kwarg.
		:type vc_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_id: kwarg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_agi_offset: kwarg.
		:type vc_agi_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_agi_len: kwarg.
		:type vc_agi_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_saii_offset: kwarg.
		:type vc_saii_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_saii_len: kwarg.
		:type vc_saii_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_taii_offset: kwarg.
		:type vc_taii_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_taii_len: kwarg.
		:type vc_taii_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_gen_id_size: kwarg.
		:type vc_gen_id_size: (int)
		
		.. note::
			* range - ['0..65535']

		:param vc_gen_id: kwarg.
		:type vc_gen_id: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_key_data_fec_type_update(self, ldp_fec_prefix_longer=None, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_fec_prefix_longer: kwarg tuple.
		:type ldp_fec_prefix_longer: (prefix).

		:param prefix: tuple arg.
		:type prefix: (unicode)

	**This Instance Arg(s)**:
		:param type: kwarg.
		:type type: (int)
		
		.. note::
			* range - ['0..255']

		:param prefix_len: kwarg.
		:type prefix_len: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr_type: kwarg.
		:type inet_addr_type: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr_len: kwarg.
		:type inet_addr_len: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr: kwarg.
		:type inet_addr: (unicode)

		:param vc_ldp_peer_id: kwarg.
		:type vc_ldp_peer_id: (unicode)

		:param data_fec_type: kwarg.
		:type data_fec_type: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_type: kwarg.
		:type vc_type: (int)
		
		.. note::
			* range - ['0..65535']

		:param vc_control_word_config: kwarg.
		:type vc_control_word_config: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_use_control_word: kwarg.
		:type vc_use_control_word: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_group_id: kwarg.
		:type vc_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_id: kwarg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_agi_offset: kwarg.
		:type vc_agi_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_agi_len: kwarg.
		:type vc_agi_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_saii_offset: kwarg.
		:type vc_saii_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_saii_len: kwarg.
		:type vc_saii_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_taii_offset: kwarg.
		:type vc_taii_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_taii_len: kwarg.
		:type vc_taii_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_gen_id_size: kwarg.
		:type vc_gen_id_size: (int)
		
		.. note::
			* range - ['0..65535']

		:param vc_gen_id: kwarg.
		:type vc_gen_id: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_feccb=None, prefix_idx=None, prefix_type=None, prefix_pend_notif=None, prefix_state=None, prefix_ingress=None, prefix_egress=None, prefix_um_dist_done=None, prefix_lwd=None, prefix_lwd_started=None, prefix_is_ldp_o_rsvp=None, prefix_excess_dms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_fec_prefix_longer: kwarg tuple.
		:type ldp_fec_prefix_longer: (prefix).

		:param prefix: tuple arg.
		:type prefix: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param prefix_prefix: kwarg tuple.
		:type prefix_prefix: (prefix).

		:param prefix: tuple arg.
		:type prefix: (unicode)

	**This Instance Arg(s)**:
		:param prefix_feccb: kwarg.
		:type prefix_feccb: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix_idx: kwarg.
		:type prefix_idx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix_type: kwarg.
		:type prefix_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix_pend_notif: kwarg.
		:type prefix_pend_notif: (unicode)

		:param prefix_state: kwarg.
		:type prefix_state: (unicode)

		:param prefix_ingress: kwarg.
		:type prefix_ingress: (unicode)

		:param prefix_egress: kwarg.
		:type prefix_egress: (unicode)

		:param prefix_um_dist_done: kwarg.
		:type prefix_um_dist_done: (unicode)

		:param prefix_lwd: kwarg.
		:type prefix_lwd: (unicode)

		:param prefix_lwd_started: kwarg.
		:type prefix_lwd_started: (unicode)

		:param prefix_is_ldp_o_rsvp: kwarg.
		:type prefix_is_ldp_o_rsvp: (YANGBool)

		:param prefix_excess_dms: kwarg.
		:type prefix_excess_dms: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_feccb=prefix_feccb, prefix_idx=prefix_idx, prefix_type=prefix_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, prefix_lwd=prefix_lwd, prefix_lwd_started=prefix_lwd_started, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp, prefix_excess_dms=prefix_excess_dms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_fec_prefix_longer: kwarg tuple.
		:type ldp_fec_prefix_longer: (prefix).

		:param prefix: tuple arg.
		:type prefix: (unicode)

		:param prefix_prefix: kwarg tuple.
		:type prefix_prefix: (prefix).

		:param prefix: tuple arg.
		:type prefix: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param prefix_downstream: kwarg tuple.
		:type prefix_downstream: (local_ldp_id).

		:param local_ldp_id: tuple arg.
		:type local_ldp_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param local_ldp_lblspc: kwarg.
		:type local_ldp_lblspc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param peer_ldp_id: kwarg.
		:type peer_ldp_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param peer_ldp_lblspc: kwarg.
		:type peer_ldp_lblspc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param label: kwarg.
		:type label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param state: kwarg.
		:type state: (unicode)

		:param fec_filtered_state: kwarg.
		:type fec_filtered_state: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fec_stale: kwarg.
		:type fec_stale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param feccb: kwarg.
		:type feccb: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fec_dm_state_dw: kwarg.
		:type fec_dm_state_dw: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_nexthops_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_fec_prefix_longer: kwarg tuple.
		:type ldp_fec_prefix_longer: (prefix).

		:param prefix: tuple arg.
		:type prefix: (unicode)

		:param prefix_prefix: kwarg tuple.
		:type prefix_prefix: (prefix).

		:param prefix: tuple arg.
		:type prefix: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param prefix_nexthops: kwarg tuple.
		:type prefix_nexthops: (nexthop).

		:param nexthop: tuple arg.
		:type nexthop: (unicode)

	**This Instance Arg(s)**:
		:param out_intf: kwarg.
		:type out_intf: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_nexthops=prefix_nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_update(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_fec_prefix_longer: kwarg tuple.
		:type ldp_fec_prefix_longer: (prefix).

		:param prefix: tuple arg.
		:type prefix: (unicode)

		:param prefix_prefix: kwarg tuple.
		:type prefix_prefix: (prefix).

		:param prefix: tuple arg.
		:type prefix: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param prefix_upstream: kwarg tuple.
		:type prefix_upstream: (local_ldp_id).

		:param local_ldp_id: tuple arg.
		:type local_ldp_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param local_ldp_lblspc: kwarg.
		:type local_ldp_lblspc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param peer_ldp_id: kwarg.
		:type peer_ldp_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param peer_ldp_lblspc: kwarg.
		:type peer_ldp_lblspc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param label: kwarg.
		:type label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param state: kwarg.
		:type state: (unicode)

		:param fec_filtered_state: kwarg.
		:type fec_filtered_state: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fec_stale: kwarg.
		:type fec_stale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param feccb: kwarg.
		:type feccb: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fec_dm_state_dw: kwarg.
		:type fec_dm_state_dw: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_update(self, prefix=None, prefix_feccb=None, prefix_idx=None, prefix_type=None, prefix_pend_notif=None, prefix_state=None, prefix_ingress=None, prefix_egress=None, prefix_um_dist_done=None, prefix_lwd=None, prefix_lwd_started=None, prefix_is_ldp_o_rsvp=None, prefix_excess_dms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param prefix: kwarg.
		:type prefix: (unicode)

		:param prefix_feccb: kwarg.
		:type prefix_feccb: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix_idx: kwarg.
		:type prefix_idx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix_type: kwarg.
		:type prefix_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix_pend_notif: kwarg.
		:type prefix_pend_notif: (unicode)

		:param prefix_state: kwarg.
		:type prefix_state: (unicode)

		:param prefix_ingress: kwarg.
		:type prefix_ingress: (unicode)

		:param prefix_egress: kwarg.
		:type prefix_egress: (unicode)

		:param prefix_um_dist_done: kwarg.
		:type prefix_um_dist_done: (unicode)

		:param prefix_lwd: kwarg.
		:type prefix_lwd: (unicode)

		:param prefix_lwd_started: kwarg.
		:type prefix_lwd_started: (unicode)

		:param prefix_is_ldp_o_rsvp: kwarg.
		:type prefix_is_ldp_o_rsvp: (YANGBool)

		:param prefix_excess_dms: kwarg.
		:type prefix_excess_dms: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix, prefix_feccb=prefix_feccb, prefix_idx=prefix_idx, prefix_type=prefix_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, prefix_lwd=prefix_lwd, prefix_lwd_started=prefix_lwd_started, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp, prefix_excess_dms=prefix_excess_dms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_update(self, prefix=None, prefix_feccb=None, prefix_idx=None, prefix_type=None, prefix_pend_notif=None, prefix_state=None, prefix_ingress=None, prefix_egress=None, prefix_um_dist_done=None, prefix_lwd=None, prefix_lwd_started=None, prefix_is_ldp_o_rsvp=None, prefix_excess_dms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param prefix: kwarg.
		:type prefix: (unicode)

		:param prefix_feccb: kwarg.
		:type prefix_feccb: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix_idx: kwarg.
		:type prefix_idx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix_type: kwarg.
		:type prefix_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix_pend_notif: kwarg.
		:type prefix_pend_notif: (unicode)

		:param prefix_state: kwarg.
		:type prefix_state: (unicode)

		:param prefix_ingress: kwarg.
		:type prefix_ingress: (unicode)

		:param prefix_egress: kwarg.
		:type prefix_egress: (unicode)

		:param prefix_um_dist_done: kwarg.
		:type prefix_um_dist_done: (unicode)

		:param prefix_lwd: kwarg.
		:type prefix_lwd: (unicode)

		:param prefix_lwd_started: kwarg.
		:type prefix_lwd_started: (unicode)

		:param prefix_is_ldp_o_rsvp: kwarg.
		:type prefix_is_ldp_o_rsvp: (YANGBool)

		:param prefix_excess_dms: kwarg.
		:type prefix_excess_dms: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix, prefix_feccb=prefix_feccb, prefix_idx=prefix_idx, prefix_type=prefix_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, prefix_lwd=prefix_lwd, prefix_lwd_started=prefix_lwd_started, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp, prefix_excess_dms=prefix_excess_dms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_update(self, prefix_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param prefix_downstream: kwarg tuple.
		:type prefix_downstream: (local_ldp_id).

		:param local_ldp_id: tuple arg.
		:type local_ldp_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param local_ldp_lblspc: kwarg.
		:type local_ldp_lblspc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param peer_ldp_id: kwarg.
		:type peer_ldp_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param peer_ldp_lblspc: kwarg.
		:type peer_ldp_lblspc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param label: kwarg.
		:type label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param state: kwarg.
		:type state: (unicode)

		:param fec_filtered_state: kwarg.
		:type fec_filtered_state: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fec_stale: kwarg.
		:type fec_stale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param feccb: kwarg.
		:type feccb: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fec_dm_state_dw: kwarg.
		:type fec_dm_state_dw: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_nexthops_update(self, prefix_nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param prefix_nexthops: kwarg tuple.
		:type prefix_nexthops: (nexthop).

		:param nexthop: tuple arg.
		:type nexthop: (unicode)

	**This Instance Arg(s)**:
		:param out_intf: kwarg.
		:type out_intf: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_nexthops=prefix_nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_update(self, prefix_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param prefix_upstream: kwarg tuple.
		:type prefix_upstream: (local_ldp_id).

		:param local_ldp_id: tuple arg.
		:type local_ldp_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param local_ldp_lblspc: kwarg.
		:type local_ldp_lblspc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param peer_ldp_id: kwarg.
		:type peer_ldp_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param peer_ldp_lblspc: kwarg.
		:type peer_ldp_lblspc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param label: kwarg.
		:type label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param state: kwarg.
		:type state: (unicode)

		:param fec_filtered_state: kwarg.
		:type fec_filtered_state: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fec_stale: kwarg.
		:type fec_stale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param feccb: kwarg.
		:type feccb: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fec_dm_state_dw: kwarg.
		:type fec_dm_state_dw: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_update(self, tot_no_of_prefix_fec=None, tot_no_of_prefix_fec_installed=None, tot_no_of_prefix_fec_filtered=None, tot_no_of_prefix_fec_lwd=None, filtered=None, prefix_filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param tot_no_of_prefix_fec: kwarg.
		:type tot_no_of_prefix_fec: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_prefix_fec_installed: kwarg.
		:type tot_no_of_prefix_fec_installed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_prefix_fec_filtered: kwarg.
		:type tot_no_of_prefix_fec_filtered: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_prefix_fec_lwd: kwarg.
		:type tot_no_of_prefix_fec_lwd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param filtered: kwarg.
		:type filtered: (unicode)
		
		.. note::
			* enum - [u'filtered', u'filtered-in', u'filtered-out']

		:param prefix_filtered: kwarg.
		:type prefix_filtered: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tot_no_of_prefix_fec=tot_no_of_prefix_fec, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered, tot_no_of_prefix_fec_lwd=tot_no_of_prefix_fec_lwd, filtered=filtered, prefix_filtered=prefix_filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_filtered_update(self, tot_no_of_prefix_fec=None, tot_no_of_prefix_fec_installed=None, tot_no_of_prefix_fec_filtered=None, tot_no_of_prefix_fec_lwd=None, filtered=None, prefix_filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param tot_no_of_prefix_fec: kwarg.
		:type tot_no_of_prefix_fec: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_prefix_fec_installed: kwarg.
		:type tot_no_of_prefix_fec_installed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_prefix_fec_filtered: kwarg.
		:type tot_no_of_prefix_fec_filtered: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_prefix_fec_lwd: kwarg.
		:type tot_no_of_prefix_fec_lwd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param filtered: kwarg.
		:type filtered: (unicode)
		
		.. note::
			* enum - [u'filtered', u'filtered-in', u'filtered-out']

		:param prefix_filtered: kwarg.
		:type prefix_filtered: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tot_no_of_prefix_fec=tot_no_of_prefix_fec, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered, tot_no_of_prefix_fec_lwd=tot_no_of_prefix_fec_lwd, filtered=filtered, prefix_filtered=prefix_filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_update(self, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param type: kwarg.
		:type type: (int)
		
		.. note::
			* range - ['0..255']

		:param prefix_len: kwarg.
		:type prefix_len: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr_type: kwarg.
		:type inet_addr_type: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr_len: kwarg.
		:type inet_addr_len: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr: kwarg.
		:type inet_addr: (unicode)

		:param vc_ldp_peer_id: kwarg.
		:type vc_ldp_peer_id: (unicode)

		:param data_fec_type: kwarg.
		:type data_fec_type: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_type: kwarg.
		:type vc_type: (int)
		
		.. note::
			* range - ['0..65535']

		:param vc_control_word_config: kwarg.
		:type vc_control_word_config: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_use_control_word: kwarg.
		:type vc_use_control_word: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_group_id: kwarg.
		:type vc_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_id: kwarg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_agi_offset: kwarg.
		:type vc_agi_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_agi_len: kwarg.
		:type vc_agi_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_saii_offset: kwarg.
		:type vc_saii_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_saii_len: kwarg.
		:type vc_saii_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_taii_offset: kwarg.
		:type vc_taii_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_taii_len: kwarg.
		:type vc_taii_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_gen_id_size: kwarg.
		:type vc_gen_id_size: (int)
		
		.. note::
			* range - ['0..65535']

		:param vc_gen_id: kwarg.
		:type vc_gen_id: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_key_data_fec_type_update(self, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param type: kwarg.
		:type type: (int)
		
		.. note::
			* range - ['0..255']

		:param prefix_len: kwarg.
		:type prefix_len: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr_type: kwarg.
		:type inet_addr_type: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr_len: kwarg.
		:type inet_addr_len: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr: kwarg.
		:type inet_addr: (unicode)

		:param vc_ldp_peer_id: kwarg.
		:type vc_ldp_peer_id: (unicode)

		:param data_fec_type: kwarg.
		:type data_fec_type: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_type: kwarg.
		:type vc_type: (int)
		
		.. note::
			* range - ['0..65535']

		:param vc_control_word_config: kwarg.
		:type vc_control_word_config: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_use_control_word: kwarg.
		:type vc_use_control_word: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_group_id: kwarg.
		:type vc_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_id: kwarg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_agi_offset: kwarg.
		:type vc_agi_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_agi_len: kwarg.
		:type vc_agi_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_saii_offset: kwarg.
		:type vc_saii_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_saii_len: kwarg.
		:type vc_saii_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_taii_offset: kwarg.
		:type vc_taii_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_taii_len: kwarg.
		:type vc_taii_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_gen_id_size: kwarg.
		:type vc_gen_id_size: (int)
		
		.. note::
			* range - ['0..65535']

		:param vc_gen_id: kwarg.
		:type vc_gen_id: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_update(self, prefix=None, state=None, ingress=None, egress=None, filtered=None, lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param prefix: kwarg tuple.
		:type prefix: (destination).

		:param destination: tuple arg.
		:type destination: (unicode)

	**This Instance Arg(s)**:
		:param state: kwarg.
		:type state: (unicode)

		:param ingress: kwarg.
		:type ingress: (unicode)

		:param egress: kwarg.
		:type egress: (unicode)

		:param filtered: kwarg.
		:type filtered: (unicode)

		:param lwd: kwarg.
		:type lwd: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix, state=state, ingress=ingress, egress=egress, filtered=filtered, lwd=lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_nexthops_update(self, prefix=None, nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param prefix: kwarg tuple.
		:type prefix: (destination).

		:param destination: tuple arg.
		:type destination: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param nexthops: kwarg tuple.
		:type nexthops: (nexthop).

		:param nexthop: tuple arg.
		:type nexthop: (unicode)

	**This Instance Arg(s)**:
		:param out_intf: kwarg.
		:type out_intf: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix.nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix=prefix, nexthops=nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_summary_update(self, tot_no_of_prefix_fec=None, tot_no_of_prefix_fec_installed=None, tot_no_of_prefix_fec_filtered=None, tot_no_of_vc_fec_128=None, tot_no_of_vc_fec_129=None, tot_no_of_vc_fec_installed=None, tot_no_of_route_upd_proc_errors=None, tot_no_of_vc_fec_proc_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param tot_no_of_prefix_fec: kwarg.
		:type tot_no_of_prefix_fec: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_prefix_fec_installed: kwarg.
		:type tot_no_of_prefix_fec_installed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_prefix_fec_filtered: kwarg.
		:type tot_no_of_prefix_fec_filtered: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_vc_fec_128: kwarg.
		:type tot_no_of_vc_fec_128: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_vc_fec_129: kwarg.
		:type tot_no_of_vc_fec_129: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_vc_fec_installed: kwarg.
		:type tot_no_of_vc_fec_installed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_route_upd_proc_errors: kwarg.
		:type tot_no_of_route_upd_proc_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_vc_fec_proc_errors: kwarg.
		:type tot_no_of_vc_fec_proc_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tot_no_of_prefix_fec=tot_no_of_prefix_fec, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered, tot_no_of_vc_fec_128=tot_no_of_vc_fec_128, tot_no_of_vc_fec_129=tot_no_of_vc_fec_129, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed, tot_no_of_route_upd_proc_errors=tot_no_of_route_upd_proc_errors, tot_no_of_vc_fec_proc_errors=tot_no_of_vc_fec_proc_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_summary_tot_no_of_prefix_fec_update(self, tot_no_of_prefix_fec=None, tot_no_of_prefix_fec_installed=None, tot_no_of_prefix_fec_filtered=None, tot_no_of_vc_fec_128=None, tot_no_of_vc_fec_129=None, tot_no_of_vc_fec_installed=None, tot_no_of_route_upd_proc_errors=None, tot_no_of_vc_fec_proc_errors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param tot_no_of_prefix_fec: kwarg.
		:type tot_no_of_prefix_fec: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_prefix_fec_installed: kwarg.
		:type tot_no_of_prefix_fec_installed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_prefix_fec_filtered: kwarg.
		:type tot_no_of_prefix_fec_filtered: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_vc_fec_128: kwarg.
		:type tot_no_of_vc_fec_128: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_vc_fec_129: kwarg.
		:type tot_no_of_vc_fec_129: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_vc_fec_installed: kwarg.
		:type tot_no_of_vc_fec_installed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_route_upd_proc_errors: kwarg.
		:type tot_no_of_route_upd_proc_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_vc_fec_proc_errors: kwarg.
		:type tot_no_of_vc_fec_proc_errors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tot_no_of_prefix_fec=tot_no_of_prefix_fec, tot_no_of_prefix_fec_installed=tot_no_of_prefix_fec_installed, tot_no_of_prefix_fec_filtered=tot_no_of_prefix_fec_filtered, tot_no_of_vc_fec_128=tot_no_of_vc_fec_128, tot_no_of_vc_fec_129=tot_no_of_vc_fec_129, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed, tot_no_of_route_upd_proc_errors=tot_no_of_route_upd_proc_errors, tot_no_of_vc_fec_proc_errors=tot_no_of_vc_fec_proc_errors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_update(self, ldp_fec_vcid=None, vc_feccb=None, vc_idx=None, vc_fec_type=None, prefix_pend_notif=None, prefix_state=None, prefix_ingress=None, prefix_egress=None, prefix_um_dist_done=None, vc_type=None, vc_grp_id=None, vc_local_mtu=None, vc_remote_mtu=None, vc_mtu_enforcement=None, vc_agi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param ldp_fec_vcid: kwarg tuple.
		:type ldp_fec_vcid: (vc_id).

		:param vc_id: tuple arg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vc_feccb: kwarg.
		:type vc_feccb: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_idx: kwarg.
		:type vc_idx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_fec_type: kwarg.
		:type vc_fec_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix_pend_notif: kwarg.
		:type prefix_pend_notif: (unicode)

		:param prefix_state: kwarg.
		:type prefix_state: (unicode)

		:param prefix_ingress: kwarg.
		:type prefix_ingress: (unicode)

		:param prefix_egress: kwarg.
		:type prefix_egress: (unicode)

		:param prefix_um_dist_done: kwarg.
		:type prefix_um_dist_done: (unicode)

		:param vc_type: kwarg.
		:type vc_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_grp_id: kwarg.
		:type vc_grp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_local_mtu: kwarg.
		:type vc_local_mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_remote_mtu: kwarg.
		:type vc_remote_mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_mtu_enforcement: kwarg.
		:type vc_mtu_enforcement: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_agi: kwarg.
		:type vc_agi: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid, vc_feccb=vc_feccb, vc_idx=vc_idx, vc_fec_type=vc_fec_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, vc_type=vc_type, vc_grp_id=vc_grp_id, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_mtu_enforcement=vc_mtu_enforcement, vc_agi=vc_agi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_update(self, ldp_fec_vcid=None, vc_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_fec_vcid: kwarg tuple.
		:type ldp_fec_vcid: (vc_id).

		:param vc_id: tuple arg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vc_downstream: kwarg tuple.
		:type vc_downstream: (local_ldp_id).

		:param local_ldp_id: tuple arg.
		:type local_ldp_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param local_ldp_lblspc: kwarg.
		:type local_ldp_lblspc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param peer_ldp_id: kwarg.
		:type peer_ldp_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param peer_ldp_lblspc: kwarg.
		:type peer_ldp_lblspc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param label: kwarg.
		:type label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param state: kwarg.
		:type state: (unicode)

		:param fec_filtered_state: kwarg.
		:type fec_filtered_state: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fec_stale: kwarg.
		:type fec_stale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param feccb: kwarg.
		:type feccb: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fec_dm_state_dw: kwarg.
		:type fec_dm_state_dw: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_update(self, ldp_fec_vcid=None, vc_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_fec_vcid: kwarg tuple.
		:type ldp_fec_vcid: (vc_id).

		:param vc_id: tuple arg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vc_upstream: kwarg tuple.
		:type vc_upstream: (local_ldp_id).

		:param local_ldp_id: tuple arg.
		:type local_ldp_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param local_ldp_lblspc: kwarg.
		:type local_ldp_lblspc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param peer_ldp_id: kwarg.
		:type peer_ldp_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param peer_ldp_lblspc: kwarg.
		:type peer_ldp_lblspc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param label: kwarg.
		:type label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param state: kwarg.
		:type state: (unicode)

		:param fec_filtered_state: kwarg.
		:type fec_filtered_state: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fec_stale: kwarg.
		:type fec_stale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param feccb: kwarg.
		:type feccb: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fec_dm_state_dw: kwarg.
		:type fec_dm_state_dw: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_update(self, tot_no_of_vc_fec=None, tot_no_of_vc_fec_installed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param tot_no_of_vc_fec: kwarg.
		:type tot_no_of_vc_fec: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_vc_fec_installed: kwarg.
		:type tot_no_of_vc_fec_installed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tot_no_of_vc_fec=tot_no_of_vc_fec, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_update(self, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param type: kwarg.
		:type type: (int)
		
		.. note::
			* range - ['0..255']

		:param prefix_len: kwarg.
		:type prefix_len: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr_type: kwarg.
		:type inet_addr_type: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr_len: kwarg.
		:type inet_addr_len: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr: kwarg.
		:type inet_addr: (unicode)

		:param vc_ldp_peer_id: kwarg.
		:type vc_ldp_peer_id: (unicode)

		:param data_fec_type: kwarg.
		:type data_fec_type: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_type: kwarg.
		:type vc_type: (int)
		
		.. note::
			* range - ['0..65535']

		:param vc_control_word_config: kwarg.
		:type vc_control_word_config: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_use_control_word: kwarg.
		:type vc_use_control_word: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_group_id: kwarg.
		:type vc_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_id: kwarg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_agi_offset: kwarg.
		:type vc_agi_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_agi_len: kwarg.
		:type vc_agi_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_saii_offset: kwarg.
		:type vc_saii_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_saii_len: kwarg.
		:type vc_saii_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_taii_offset: kwarg.
		:type vc_taii_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_taii_len: kwarg.
		:type vc_taii_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_gen_id_size: kwarg.
		:type vc_gen_id_size: (int)
		
		.. note::
			* range - ['0..65535']

		:param vc_gen_id: kwarg.
		:type vc_gen_id: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_key_data_fec_type_update(self, type=None, prefix_len=None, inet_addr_type=None, inet_addr_len=None, inet_addr=None, vc_ldp_peer_id=None, data_fec_type=None, vc_type=None, vc_control_word_config=None, vc_use_control_word=None, vc_group_id=None, vc_id=None, vc_agi_offset=None, vc_agi_len=None, vc_saii_offset=None, vc_saii_len=None, vc_taii_offset=None, vc_taii_len=None, vc_gen_id_size=None, vc_gen_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param type: kwarg.
		:type type: (int)
		
		.. note::
			* range - ['0..255']

		:param prefix_len: kwarg.
		:type prefix_len: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr_type: kwarg.
		:type inet_addr_type: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr_len: kwarg.
		:type inet_addr_len: (int)
		
		.. note::
			* range - ['0..255']

		:param inet_addr: kwarg.
		:type inet_addr: (unicode)

		:param vc_ldp_peer_id: kwarg.
		:type vc_ldp_peer_id: (unicode)

		:param data_fec_type: kwarg.
		:type data_fec_type: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_type: kwarg.
		:type vc_type: (int)
		
		.. note::
			* range - ['0..65535']

		:param vc_control_word_config: kwarg.
		:type vc_control_word_config: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_use_control_word: kwarg.
		:type vc_use_control_word: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_group_id: kwarg.
		:type vc_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_id: kwarg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_agi_offset: kwarg.
		:type vc_agi_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_agi_len: kwarg.
		:type vc_agi_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_saii_offset: kwarg.
		:type vc_saii_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_saii_len: kwarg.
		:type vc_saii_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_taii_offset: kwarg.
		:type vc_taii_offset: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_taii_len: kwarg.
		:type vc_taii_len: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_gen_id_size: kwarg.
		:type vc_gen_id_size: (int)
		
		.. note::
			* range - ['0..65535']

		:param vc_gen_id: kwarg.
		:type vc_gen_id: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.key', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, type=type, prefix_len=prefix_len, inet_addr_type=inet_addr_type, inet_addr_len=inet_addr_len, inet_addr=inet_addr, vc_ldp_peer_id=vc_ldp_peer_id, data_fec_type=data_fec_type, vc_type=vc_type, vc_control_word_config=vc_control_word_config, vc_use_control_word=vc_use_control_word, vc_group_id=vc_group_id, vc_id=vc_id, vc_agi_offset=vc_agi_offset, vc_agi_len=vc_agi_len, vc_saii_offset=vc_saii_offset, vc_saii_len=vc_saii_len, vc_taii_offset=vc_taii_offset, vc_taii_len=vc_taii_len, vc_gen_id_size=vc_gen_id_size, vc_gen_id=vc_gen_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_tot_no_of_vc_fec_update(self, tot_no_of_vc_fec=None, tot_no_of_vc_fec_installed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param tot_no_of_vc_fec: kwarg.
		:type tot_no_of_vc_fec: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tot_no_of_vc_fec_installed: kwarg.
		:type tot_no_of_vc_fec_installed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tot_no_of_vc_fec=tot_no_of_vc_fec, tot_no_of_vc_fec_installed=tot_no_of_vc_fec_installed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_vc_update(self, vc=None, peer_lblspc=None, state=None, vc_id=None, peer_vc_type=None, peer_fec_type=None, ingress=None, egress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param vc: kwarg tuple.
		:type vc: (peer_id).

		:param peer_id: tuple arg.
		:type peer_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param peer_lblspc: kwarg.
		:type peer_lblspc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param state: kwarg.
		:type state: (unicode)

		:param vc_id: kwarg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param peer_vc_type: kwarg.
		:type peer_vc_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param peer_fec_type: kwarg.
		:type peer_fec_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ingress: kwarg.
		:type ingress: (unicode)

		:param egress: kwarg.
		:type egress: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc=vc, peer_lblspc=peer_lblspc, state=state, vc_id=vc_id, peer_vc_type=peer_vc_type, peer_fec_type=peer_fec_type, ingress=ingress, egress=egress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_ldp_interface_data_update(self, ldp_interface_data=None, ldp_interface_lbpsp=None, ldp_interface_nbr_cnt=None, ldp_interface_hello_intl=None, ldp_interface_hello_timeout=None, ldp_interface_hello_next=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param ldp_interface_data: kwarg tuple.
		:type ldp_interface_data: (ldp_interface_name, ldp_interface_type).

		:param ldp_interface_name: tuple arg.
		:type ldp_interface_name: (unicode)

		:param ldp_interface_type: tuple arg.
		:type ldp_interface_type: (unicode)

	**This Instance Arg(s)**:
		:param ldp_interface_lbpsp: kwarg.
		:type ldp_interface_lbpsp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_interface_nbr_cnt: kwarg.
		:type ldp_interface_nbr_cnt: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_interface_hello_intl: kwarg.
		:type ldp_interface_hello_intl: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_interface_hello_timeout: kwarg.
		:type ldp_interface_hello_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_interface_hello_next: kwarg.
		:type ldp_interface_hello_next: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.interface.ldp_interface_data', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_interface_data', 'keyval': 'ldp_interface_name, ldp_interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_interface_data=ldp_interface_data, ldp_interface_lbpsp=ldp_interface_lbpsp, ldp_interface_nbr_cnt=ldp_interface_nbr_cnt, ldp_interface_hello_intl=ldp_interface_hello_intl, ldp_interface_hello_timeout=ldp_interface_hello_timeout, ldp_interface_hello_next=ldp_interface_hello_next)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_update(self, ldp_database=None, ldp_database_own_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param ldp_database: kwarg tuple.
		:type ldp_database: (ldp_database_peer_ip).

		:param ldp_database_peer_ip: tuple arg.
		:type ldp_database_peer_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ldp_database_own_ip: kwarg.
		:type ldp_database_own_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_database', 'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database, ldp_database_own_ip=ldp_database_own_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_update(self, ldp_database=None, mpls_ldp_database_downstream=None, mpls_ldp_database_ds_fec_label=None, mpls_ldp_database_ds_fec_prefix_length=None, mpls_ldp_database_ds_fec_type=None, mpls_ldp_database_ds_fec_state=None, mpls_ldp_database_ds_fec_filtered=None, mpls_ldp_database_ds_fec_stale=None, mpls_ldp_database_ds_fec_lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_database: kwarg tuple.
		:type ldp_database: (ldp_database_peer_ip).

		:param ldp_database_peer_ip: tuple arg.
		:type ldp_database_peer_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Keyword Arg Tuple**:
		:param mpls_ldp_database_downstream: kwarg tuple.
		:type mpls_ldp_database_downstream: (mpls_ldp_database_ds_fec_prefix).

		:param mpls_ldp_database_ds_fec_prefix: tuple arg.
		:type mpls_ldp_database_ds_fec_prefix: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param mpls_ldp_database_ds_fec_label: kwarg.
		:type mpls_ldp_database_ds_fec_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mpls_ldp_database_ds_fec_prefix_length: kwarg.
		:type mpls_ldp_database_ds_fec_prefix_length: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mpls_ldp_database_ds_fec_type: kwarg.
		:type mpls_ldp_database_ds_fec_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mpls_ldp_database_ds_fec_state: kwarg.
		:type mpls_ldp_database_ds_fec_state: (unicode)

		:param mpls_ldp_database_ds_fec_filtered: kwarg.
		:type mpls_ldp_database_ds_fec_filtered: (YANGBool)

		:param mpls_ldp_database_ds_fec_stale: kwarg.
		:type mpls_ldp_database_ds_fec_stale: (YANGBool)

		:param mpls_ldp_database_ds_fec_lwd: kwarg.
		:type mpls_ldp_database_ds_fec_lwd: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_label=mpls_ldp_database_ds_fec_label, mpls_ldp_database_ds_fec_prefix_length=mpls_ldp_database_ds_fec_prefix_length, mpls_ldp_database_ds_fec_type=mpls_ldp_database_ds_fec_type, mpls_ldp_database_ds_fec_state=mpls_ldp_database_ds_fec_state, mpls_ldp_database_ds_fec_filtered=mpls_ldp_database_ds_fec_filtered, mpls_ldp_database_ds_fec_stale=mpls_ldp_database_ds_fec_stale, mpls_ldp_database_ds_fec_lwd=mpls_ldp_database_ds_fec_lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_upstream_update(self, ldp_database=None, mpls_ldp_database_upstream=None, mpls_ldp_database_us_fec_label=None, mpls_ldp_database_us_fec_prefix_length=None, mpls_ldp_database_us_fec_type=None, mpls_ldp_database_us_fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_database: kwarg tuple.
		:type ldp_database: (ldp_database_peer_ip).

		:param ldp_database_peer_ip: tuple arg.
		:type ldp_database_peer_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Keyword Arg Tuple**:
		:param mpls_ldp_database_upstream: kwarg tuple.
		:type mpls_ldp_database_upstream: (mpls_ldp_database_us_fec_prefix).

		:param mpls_ldp_database_us_fec_prefix: tuple arg.
		:type mpls_ldp_database_us_fec_prefix: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param mpls_ldp_database_us_fec_label: kwarg.
		:type mpls_ldp_database_us_fec_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mpls_ldp_database_us_fec_prefix_length: kwarg.
		:type mpls_ldp_database_us_fec_prefix_length: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mpls_ldp_database_us_fec_type: kwarg.
		:type mpls_ldp_database_us_fec_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mpls_ldp_database_us_fec_stale: kwarg.
		:type mpls_ldp_database_us_fec_stale: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_upstream', 'keyval': 'mpls_ldp_database_us_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream, mpls_ldp_database_us_fec_label=mpls_ldp_database_us_fec_label, mpls_ldp_database_us_fec_prefix_length=mpls_ldp_database_us_fec_prefix_length, mpls_ldp_database_us_fec_type=mpls_ldp_database_us_fec_type, mpls_ldp_database_us_fec_stale=mpls_ldp_database_us_fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_update(self, num_link_neighbors=None, num_targeted_neighbors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param num_link_neighbors: kwarg.
		:type num_link_neighbors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_targeted_neighbors: kwarg.
		:type num_targeted_neighbors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_link_neighbors=num_link_neighbors, num_targeted_neighbors=num_targeted_neighbors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_neighbor_update(self, neighbor=None, neighbor_transport=None, interface_name=None, max_hold_time=None, time_left=None, up_time=None, configured_hold_time=None, neighbor_proposed_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param neighbor: kwarg tuple.
		:type neighbor: (neighbor_ldpid, labelspaceid).

		:param neighbor_ldpid: tuple arg.
		:type neighbor_ldpid: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param labelspaceid: tuple arg.
		:type labelspaceid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param neighbor_transport: kwarg.
		:type neighbor_transport: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param max_hold_time: kwarg.
		:type max_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time_left: kwarg.
		:type time_left: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param up_time: kwarg.
		:type up_time: (unicode)

		:param configured_hold_time: kwarg.
		:type configured_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_proposed_hold_time: kwarg.
		:type neighbor_proposed_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor=neighbor, neighbor_transport=neighbor_transport, interface_name=interface_name, max_hold_time=max_hold_time, time_left=time_left, up_time=up_time, configured_hold_time=configured_hold_time, neighbor_proposed_hold_time=neighbor_proposed_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_num_link_neighbors_update(self, num_link_neighbors=None, num_targeted_neighbors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param num_link_neighbors: kwarg.
		:type num_link_neighbors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_targeted_neighbors: kwarg.
		:type num_targeted_neighbors: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_link_neighbors=num_link_neighbors, num_targeted_neighbors=num_targeted_neighbors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_update(self, ldp_initialized=None, lsr_id=None, lsr_id_configured=None, loopback=None, hello_interval_link=None, hello_interval_target=None, hold_time_sent_link=None, hold_time_sent_target=None, ka_interval=None, ka_multiple=None, ka_timeout=None, ka_timeout_default=None, load_sharing=None, advertise_fecs_for_prefix_list=None, advertise_fecs_for_prefix_list_exists=None, inbound_fecs_filtering_prefix_list=None, inbound_fecs_filtering_prefix_list_exists=None, outbound_fecs_filtering_prefix_list=None, outbound_fecs_filtering_prefix_list_exists=None, tunnel_metric=None, fec_128_used_for_auto_disc_current=None, fec_128_used_for_auto_disc_configured=None, end_of_lib=None, eol_notification_time=None, tx_silence_time=None, rx_silence_time=None, gr_enable=None, gr_helper=None, gr_reconnect_time=None, gr_max_peer_reconnect_time=None, gr_recovery_time=None, gr_max_peer_recovery_time=None, forwarding_state_timer_running=None, forwarding_state_timer_remaining=None, lwd_delay=None, lwd_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ldp_initialized: kwarg.
		:type ldp_initialized: (YANGBool)

		:param lsr_id: kwarg.
		:type lsr_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param lsr_id_configured: kwarg.
		:type lsr_id_configured: (YANGBool)

		:param loopback: kwarg.
		:type loopback: (int)
		
		.. note::
			* range - ['0..255']

		:param hello_interval_link: kwarg.
		:type hello_interval_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval_target: kwarg.
		:type hello_interval_target: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_time_sent_link: kwarg.
		:type hold_time_sent_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_time_sent_target: kwarg.
		:type hold_time_sent_target: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ka_interval: kwarg.
		:type ka_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ka_multiple: kwarg.
		:type ka_multiple: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ka_timeout: kwarg.
		:type ka_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ka_timeout_default: kwarg.
		:type ka_timeout_default: (YANGBool)

		:param load_sharing: kwarg.
		:type load_sharing: (int)
		
		.. note::
			* range - ['0..255']

		:param advertise_fecs_for_prefix_list: kwarg.
		:type advertise_fecs_for_prefix_list: (unicode)

		:param advertise_fecs_for_prefix_list_exists: kwarg.
		:type advertise_fecs_for_prefix_list_exists: (YANGBool)

		:param inbound_fecs_filtering_prefix_list: kwarg.
		:type inbound_fecs_filtering_prefix_list: (unicode)

		:param inbound_fecs_filtering_prefix_list_exists: kwarg.
		:type inbound_fecs_filtering_prefix_list_exists: (YANGBool)

		:param outbound_fecs_filtering_prefix_list: kwarg.
		:type outbound_fecs_filtering_prefix_list: (unicode)

		:param outbound_fecs_filtering_prefix_list_exists: kwarg.
		:type outbound_fecs_filtering_prefix_list_exists: (YANGBool)

		:param tunnel_metric: kwarg.
		:type tunnel_metric: (int)
		
		.. note::
			* range - ['0..65535']

		:param fec_128_used_for_auto_disc_current: kwarg.
		:type fec_128_used_for_auto_disc_current: (YANGBool)

		:param fec_128_used_for_auto_disc_configured: kwarg.
		:type fec_128_used_for_auto_disc_configured: (YANGBool)

		:param end_of_lib: kwarg.
		:type end_of_lib: (YANGBool)

		:param eol_notification_time: kwarg.
		:type eol_notification_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_silence_time: kwarg.
		:type tx_silence_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rx_silence_time: kwarg.
		:type rx_silence_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param gr_enable: kwarg.
		:type gr_enable: (YANGBool)

		:param gr_helper: kwarg.
		:type gr_helper: (YANGBool)

		:param gr_reconnect_time: kwarg.
		:type gr_reconnect_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param gr_max_peer_reconnect_time: kwarg.
		:type gr_max_peer_reconnect_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param gr_recovery_time: kwarg.
		:type gr_recovery_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param gr_max_peer_recovery_time: kwarg.
		:type gr_max_peer_recovery_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forwarding_state_timer_running: kwarg.
		:type forwarding_state_timer_running: (YANGBool)

		:param forwarding_state_timer_remaining: kwarg.
		:type forwarding_state_timer_remaining: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lwd_delay: kwarg.
		:type lwd_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lwd_default: kwarg.
		:type lwd_default: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_initialized=ldp_initialized, lsr_id=lsr_id, lsr_id_configured=lsr_id_configured, loopback=loopback, hello_interval_link=hello_interval_link, hello_interval_target=hello_interval_target, hold_time_sent_link=hold_time_sent_link, hold_time_sent_target=hold_time_sent_target, ka_interval=ka_interval, ka_multiple=ka_multiple, ka_timeout=ka_timeout, ka_timeout_default=ka_timeout_default, load_sharing=load_sharing, advertise_fecs_for_prefix_list=advertise_fecs_for_prefix_list, advertise_fecs_for_prefix_list_exists=advertise_fecs_for_prefix_list_exists, inbound_fecs_filtering_prefix_list=inbound_fecs_filtering_prefix_list, inbound_fecs_filtering_prefix_list_exists=inbound_fecs_filtering_prefix_list_exists, outbound_fecs_filtering_prefix_list=outbound_fecs_filtering_prefix_list, outbound_fecs_filtering_prefix_list_exists=outbound_fecs_filtering_prefix_list_exists, tunnel_metric=tunnel_metric, fec_128_used_for_auto_disc_current=fec_128_used_for_auto_disc_current, fec_128_used_for_auto_disc_configured=fec_128_used_for_auto_disc_configured, end_of_lib=end_of_lib, eol_notification_time=eol_notification_time, tx_silence_time=tx_silence_time, rx_silence_time=rx_silence_time, gr_enable=gr_enable, gr_helper=gr_helper, gr_reconnect_time=gr_reconnect_time, gr_max_peer_reconnect_time=gr_max_peer_reconnect_time, gr_recovery_time=gr_recovery_time, gr_max_peer_recovery_time=gr_max_peer_recovery_time, forwarding_state_timer_running=forwarding_state_timer_running, forwarding_state_timer_remaining=forwarding_state_timer_remaining, lwd_delay=lwd_delay, lwd_default=lwd_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_out_advertise_fecs_for_prefix_list_update(self, ldp_initialized=None, lsr_id=None, lsr_id_configured=None, loopback=None, hello_interval_link=None, hello_interval_target=None, hold_time_sent_link=None, hold_time_sent_target=None, ka_interval=None, ka_multiple=None, ka_timeout=None, ka_timeout_default=None, load_sharing=None, advertise_fecs_for_prefix_list=None, advertise_fecs_for_prefix_list_exists=None, inbound_fecs_filtering_prefix_list=None, inbound_fecs_filtering_prefix_list_exists=None, outbound_fecs_filtering_prefix_list=None, outbound_fecs_filtering_prefix_list_exists=None, tunnel_metric=None, fec_128_used_for_auto_disc_current=None, fec_128_used_for_auto_disc_configured=None, end_of_lib=None, eol_notification_time=None, tx_silence_time=None, rx_silence_time=None, gr_enable=None, gr_helper=None, gr_reconnect_time=None, gr_max_peer_reconnect_time=None, gr_recovery_time=None, gr_max_peer_recovery_time=None, forwarding_state_timer_running=None, forwarding_state_timer_remaining=None, lwd_delay=None, lwd_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ldp_initialized: kwarg.
		:type ldp_initialized: (YANGBool)

		:param lsr_id: kwarg.
		:type lsr_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param lsr_id_configured: kwarg.
		:type lsr_id_configured: (YANGBool)

		:param loopback: kwarg.
		:type loopback: (int)
		
		.. note::
			* range - ['0..255']

		:param hello_interval_link: kwarg.
		:type hello_interval_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval_target: kwarg.
		:type hello_interval_target: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_time_sent_link: kwarg.
		:type hold_time_sent_link: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_time_sent_target: kwarg.
		:type hold_time_sent_target: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ka_interval: kwarg.
		:type ka_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ka_multiple: kwarg.
		:type ka_multiple: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ka_timeout: kwarg.
		:type ka_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ka_timeout_default: kwarg.
		:type ka_timeout_default: (YANGBool)

		:param load_sharing: kwarg.
		:type load_sharing: (int)
		
		.. note::
			* range - ['0..255']

		:param advertise_fecs_for_prefix_list: kwarg.
		:type advertise_fecs_for_prefix_list: (unicode)

		:param advertise_fecs_for_prefix_list_exists: kwarg.
		:type advertise_fecs_for_prefix_list_exists: (YANGBool)

		:param inbound_fecs_filtering_prefix_list: kwarg.
		:type inbound_fecs_filtering_prefix_list: (unicode)

		:param inbound_fecs_filtering_prefix_list_exists: kwarg.
		:type inbound_fecs_filtering_prefix_list_exists: (YANGBool)

		:param outbound_fecs_filtering_prefix_list: kwarg.
		:type outbound_fecs_filtering_prefix_list: (unicode)

		:param outbound_fecs_filtering_prefix_list_exists: kwarg.
		:type outbound_fecs_filtering_prefix_list_exists: (YANGBool)

		:param tunnel_metric: kwarg.
		:type tunnel_metric: (int)
		
		.. note::
			* range - ['0..65535']

		:param fec_128_used_for_auto_disc_current: kwarg.
		:type fec_128_used_for_auto_disc_current: (YANGBool)

		:param fec_128_used_for_auto_disc_configured: kwarg.
		:type fec_128_used_for_auto_disc_configured: (YANGBool)

		:param end_of_lib: kwarg.
		:type end_of_lib: (YANGBool)

		:param eol_notification_time: kwarg.
		:type eol_notification_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_silence_time: kwarg.
		:type tx_silence_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rx_silence_time: kwarg.
		:type rx_silence_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param gr_enable: kwarg.
		:type gr_enable: (YANGBool)

		:param gr_helper: kwarg.
		:type gr_helper: (YANGBool)

		:param gr_reconnect_time: kwarg.
		:type gr_reconnect_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param gr_max_peer_reconnect_time: kwarg.
		:type gr_max_peer_reconnect_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param gr_recovery_time: kwarg.
		:type gr_recovery_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param gr_max_peer_recovery_time: kwarg.
		:type gr_max_peer_recovery_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forwarding_state_timer_running: kwarg.
		:type forwarding_state_timer_running: (YANGBool)

		:param forwarding_state_timer_remaining: kwarg.
		:type forwarding_state_timer_remaining: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lwd_delay: kwarg.
		:type lwd_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lwd_default: kwarg.
		:type lwd_default: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_initialized=ldp_initialized, lsr_id=lsr_id, lsr_id_configured=lsr_id_configured, loopback=loopback, hello_interval_link=hello_interval_link, hello_interval_target=hello_interval_target, hold_time_sent_link=hold_time_sent_link, hold_time_sent_target=hold_time_sent_target, ka_interval=ka_interval, ka_multiple=ka_multiple, ka_timeout=ka_timeout, ka_timeout_default=ka_timeout_default, load_sharing=load_sharing, advertise_fecs_for_prefix_list=advertise_fecs_for_prefix_list, advertise_fecs_for_prefix_list_exists=advertise_fecs_for_prefix_list_exists, inbound_fecs_filtering_prefix_list=inbound_fecs_filtering_prefix_list, inbound_fecs_filtering_prefix_list_exists=inbound_fecs_filtering_prefix_list_exists, outbound_fecs_filtering_prefix_list=outbound_fecs_filtering_prefix_list, outbound_fecs_filtering_prefix_list_exists=outbound_fecs_filtering_prefix_list_exists, tunnel_metric=tunnel_metric, fec_128_used_for_auto_disc_current=fec_128_used_for_auto_disc_current, fec_128_used_for_auto_disc_configured=fec_128_used_for_auto_disc_configured, end_of_lib=end_of_lib, eol_notification_time=eol_notification_time, tx_silence_time=tx_silence_time, rx_silence_time=rx_silence_time, gr_enable=gr_enable, gr_helper=gr_helper, gr_reconnect_time=gr_reconnect_time, gr_max_peer_reconnect_time=gr_max_peer_reconnect_time, gr_recovery_time=gr_recovery_time, gr_max_peer_recovery_time=gr_max_peer_recovery_time, forwarding_state_timer_running=forwarding_state_timer_running, forwarding_state_timer_remaining=forwarding_state_timer_remaining, lwd_delay=lwd_delay, lwd_default=lwd_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_update(self, ldp_session=None, peer_lblspc_id=None, state=None, adjacency=None, role=None, max_hold=None, time_left=None, session_status=None, local_ldp_id=None, local_lblspc_id=None, next_keepalive=None, entity_index=None, targeted_adj_added=None, is_retry=None, next_retry=None, keepalive_interval=None, local_keepalive_timeout=None, peer_proposed_keepalive_timeout=None, session_up_time=None, md5_auth_key=None, tcp_conn_local=None, tcp_conn_remote=None, tcp_state=None, num_fecs_received_from_peer=None, num_fecs_installed_from_peer=None, is_fecs_pending_uninstall=None, num_fecs_filtered_out=None, num_fecs_filtered_in=None, filter_prefix_list_name=None, filter_prefix_list_exists=None, is_only_gr_valid=None, gr_enabled=None, peer_reconnect_time=None, peer_recovery_time=None, reconnect_time_in_use=None, reconnect_time_remaining=None, recovery_time_in_use=None, recovery_time_remaining=None, gr_state=None, local_eol_unrecognized_notification=None, remote_eol_unrecognized_notification=None, does_session_support_eol=None, local_state=None, remote_state=None, eol_notification_time=None, eol_notification_time_remaining=None, eol_tx_label_silence_time=None, eol_tx_label_silence_time_remaining=None, eol_rx_label_silence_time=None, eol_rx_label_silence_time_remaining=None, filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param ldp_session: kwarg tuple.
		:type ldp_session: (peer_ldp_id).

		:param peer_ldp_id: tuple arg.
		:type peer_ldp_id: (unicode)

	**This Instance Arg(s)**:
		:param peer_lblspc_id: kwarg.
		:type peer_lblspc_id: (unicode)

		:param state: kwarg.
		:type state: (unicode)

		:param adjacency: kwarg.
		:type adjacency: (unicode)

		:param role: kwarg.
		:type role: (unicode)

		:param max_hold: kwarg.
		:type max_hold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time_left: kwarg.
		:type time_left: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param session_status: kwarg.
		:type session_status: (unicode)

		:param local_ldp_id: kwarg.
		:type local_ldp_id: (unicode)

		:param local_lblspc_id: kwarg.
		:type local_lblspc_id: (unicode)

		:param next_keepalive: kwarg.
		:type next_keepalive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param entity_index: kwarg.
		:type entity_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param targeted_adj_added: kwarg.
		:type targeted_adj_added: (unicode)

		:param is_retry: kwarg.
		:type is_retry: (YANGBool)

		:param next_retry: kwarg.
		:type next_retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param keepalive_interval: kwarg.
		:type keepalive_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param local_keepalive_timeout: kwarg.
		:type local_keepalive_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param peer_proposed_keepalive_timeout: kwarg.
		:type peer_proposed_keepalive_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param session_up_time: kwarg.
		:type session_up_time: (unicode)

		:param md5_auth_key: kwarg.
		:type md5_auth_key: (unicode)

		:param tcp_conn_local: kwarg.
		:type tcp_conn_local: (unicode)

		:param tcp_conn_remote: kwarg.
		:type tcp_conn_remote: (unicode)

		:param tcp_state: kwarg.
		:type tcp_state: (unicode)

		:param num_fecs_received_from_peer: kwarg.
		:type num_fecs_received_from_peer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_fecs_installed_from_peer: kwarg.
		:type num_fecs_installed_from_peer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param is_fecs_pending_uninstall: kwarg.
		:type is_fecs_pending_uninstall: (YANGBool)

		:param num_fecs_filtered_out: kwarg.
		:type num_fecs_filtered_out: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_fecs_filtered_in: kwarg.
		:type num_fecs_filtered_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param filter_prefix_list_name: kwarg.
		:type filter_prefix_list_name: (unicode)

		:param filter_prefix_list_exists: kwarg.
		:type filter_prefix_list_exists: (YANGBool)

		:param is_only_gr_valid: kwarg.
		:type is_only_gr_valid: (YANGBool)

		:param gr_enabled: kwarg.
		:type gr_enabled: (YANGBool)

		:param peer_reconnect_time: kwarg.
		:type peer_reconnect_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param peer_recovery_time: kwarg.
		:type peer_recovery_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reconnect_time_in_use: kwarg.
		:type reconnect_time_in_use: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reconnect_time_remaining: kwarg.
		:type reconnect_time_remaining: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param recovery_time_in_use: kwarg.
		:type recovery_time_in_use: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param recovery_time_remaining: kwarg.
		:type recovery_time_remaining: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param gr_state: kwarg.
		:type gr_state: (unicode)

		:param local_eol_unrecognized_notification: kwarg.
		:type local_eol_unrecognized_notification: (YANGBool)

		:param remote_eol_unrecognized_notification: kwarg.
		:type remote_eol_unrecognized_notification: (YANGBool)

		:param does_session_support_eol: kwarg.
		:type does_session_support_eol: (YANGBool)

		:param local_state: kwarg.
		:type local_state: (YANGBool)

		:param remote_state: kwarg.
		:type remote_state: (YANGBool)

		:param eol_notification_time: kwarg.
		:type eol_notification_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eol_notification_time_remaining: kwarg.
		:type eol_notification_time_remaining: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eol_tx_label_silence_time: kwarg.
		:type eol_tx_label_silence_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eol_tx_label_silence_time_remaining: kwarg.
		:type eol_tx_label_silence_time_remaining: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eol_rx_label_silence_time: kwarg.
		:type eol_rx_label_silence_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param eol_rx_label_silence_time_remaining: kwarg.
		:type eol_rx_label_silence_time_remaining: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param filtered: kwarg.
		:type filtered: (unicode)
		
		.. note::
			* enum - [u'sess-filtered-out', u'sess-filtered-in', u'sess-filtered']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, peer_lblspc_id=peer_lblspc_id, state=state, adjacency=adjacency, role=role, max_hold=max_hold, time_left=time_left, session_status=session_status, local_ldp_id=local_ldp_id, local_lblspc_id=local_lblspc_id, next_keepalive=next_keepalive, entity_index=entity_index, targeted_adj_added=targeted_adj_added, is_retry=is_retry, next_retry=next_retry, keepalive_interval=keepalive_interval, local_keepalive_timeout=local_keepalive_timeout, peer_proposed_keepalive_timeout=peer_proposed_keepalive_timeout, session_up_time=session_up_time, md5_auth_key=md5_auth_key, tcp_conn_local=tcp_conn_local, tcp_conn_remote=tcp_conn_remote, tcp_state=tcp_state, num_fecs_received_from_peer=num_fecs_received_from_peer, num_fecs_installed_from_peer=num_fecs_installed_from_peer, is_fecs_pending_uninstall=is_fecs_pending_uninstall, num_fecs_filtered_out=num_fecs_filtered_out, num_fecs_filtered_in=num_fecs_filtered_in, filter_prefix_list_name=filter_prefix_list_name, filter_prefix_list_exists=filter_prefix_list_exists, is_only_gr_valid=is_only_gr_valid, gr_enabled=gr_enabled, peer_reconnect_time=peer_reconnect_time, peer_recovery_time=peer_recovery_time, reconnect_time_in_use=reconnect_time_in_use, reconnect_time_remaining=reconnect_time_remaining, recovery_time_in_use=recovery_time_in_use, recovery_time_remaining=recovery_time_remaining, gr_state=gr_state, local_eol_unrecognized_notification=local_eol_unrecognized_notification, remote_eol_unrecognized_notification=remote_eol_unrecognized_notification, does_session_support_eol=does_session_support_eol, local_state=local_state, remote_state=remote_state, eol_notification_time=eol_notification_time, eol_notification_time_remaining=eol_notification_time_remaining, eol_tx_label_silence_time=eol_tx_label_silence_time, eol_tx_label_silence_time_remaining=eol_tx_label_silence_time_remaining, eol_rx_label_silence_time=eol_rx_label_silence_time, eol_rx_label_silence_time_remaining=eol_rx_label_silence_time_remaining, filtered=filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_filtered_fecs_in_update(self, ldp_session=None, filtered_fecs_in=None, label=None, prefix_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_session: kwarg tuple.
		:type ldp_session: (peer_ldp_id).

		:param peer_ldp_id: tuple arg.
		:type peer_ldp_id: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param filtered_fecs_in: kwarg tuple.
		:type filtered_fecs_in: (fec_addr).

		:param fec_addr: tuple arg.
		:type fec_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param label: kwarg.
		:type label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix_len: kwarg.
		:type prefix_len: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_in', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'filtered_fecs_in', 'keyval': 'fec_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, filtered_fecs_in=filtered_fecs_in, label=label, prefix_len=prefix_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_filtered_fecs_out_update(self, ldp_session=None, filtered_fecs_out=None, label=None, prefix_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_session: kwarg tuple.
		:type ldp_session: (peer_ldp_id).

		:param peer_ldp_id: tuple arg.
		:type peer_ldp_id: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param filtered_fecs_out: kwarg tuple.
		:type filtered_fecs_out: (fec_addr).

		:param fec_addr: tuple arg.
		:type fec_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param label: kwarg.
		:type label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix_len: kwarg.
		:type prefix_len: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'filtered_fecs_out', 'keyval': 'fec_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, filtered_fecs_out=filtered_fecs_out, label=label, prefix_len=prefix_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_errors_instance_total_protocol_errors_update(self, ldp_session=None, protocol_errors=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_session: kwarg tuple.
		:type ldp_session: (peer_ldp_id).

		:param peer_ldp_id: tuple arg.
		:type peer_ldp_id: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param protocol_errors: kwarg tuple.
		:type protocol_errors: (error_type).

		:param error_type: tuple arg.
		:type error_type: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param count: kwarg.
		:type count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, protocol_errors=protocol_errors, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_stats_instance_total_protocol_stats_update(self, ldp_session=None, protocol_stats=None, rx_count=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_session: kwarg tuple.
		:type ldp_session: (peer_ldp_id).

		:param peer_ldp_id: tuple arg.
		:type peer_ldp_id: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param protocol_stats: kwarg tuple.
		:type protocol_stats: (stat_type).

		:param stat_type: tuple arg.
		:type stat_type: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rx_count: kwarg.
		:type rx_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_count: kwarg.
		:type tx_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_summary_update(self, num_link_sessions=None, num_operational_link_sessions=None, num_targeted_sessions=None, num_operational_targeted_sessions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param num_link_sessions: kwarg.
		:type num_link_sessions: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_operational_link_sessions: kwarg.
		:type num_operational_link_sessions: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_targeted_sessions: kwarg.
		:type num_targeted_sessions: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_operational_targeted_sessions: kwarg.
		:type num_operational_targeted_sessions: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_link_sessions=num_link_sessions, num_operational_link_sessions=num_operational_link_sessions, num_targeted_sessions=num_targeted_sessions, num_operational_targeted_sessions=num_operational_targeted_sessions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_summary_num_link_sessions_update(self, num_link_sessions=None, num_operational_link_sessions=None, num_targeted_sessions=None, num_operational_targeted_sessions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param num_link_sessions: kwarg.
		:type num_link_sessions: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_operational_link_sessions: kwarg.
		:type num_operational_link_sessions: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_targeted_sessions: kwarg.
		:type num_targeted_sessions: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_operational_targeted_sessions: kwarg.
		:type num_operational_targeted_sessions: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session_summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_link_sessions=num_link_sessions, num_operational_link_sessions=num_operational_link_sessions, num_targeted_sessions=num_targeted_sessions, num_operational_targeted_sessions=num_operational_targeted_sessions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_path_downstream_sessions_update(self, path=None, downstream_sessions=None, labelspace=None, label=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param path: kwarg tuple.
		:type path: (destination_route).

		:param destination_route: tuple arg.
		:type destination_route: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param downstream_sessions: kwarg tuple.
		:type downstream_sessions: (ip).

		:param ip: tuple arg.
		:type ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param labelspace: kwarg.
		:type labelspace: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param label: kwarg.
		:type label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface: kwarg.
		:type interface: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, downstream_sessions=downstream_sessions, labelspace=labelspace, label=label, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_path_upstream_sessions_update(self, path=None, upstream_sessions=None, labelspace=None, label=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param path: kwarg tuple.
		:type path: (destination_route).

		:param destination_route: tuple arg.
		:type destination_route: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param upstream_sessions: kwarg tuple.
		:type upstream_sessions: (ip).

		:param ip: tuple arg.
		:type ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param labelspace: kwarg.
		:type labelspace: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param label: kwarg.
		:type label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface: kwarg.
		:type interface: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, upstream_sessions=upstream_sessions, labelspace=labelspace, label=label, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_errors_instance_since_clear_protocol_errors_update(self, protocol_errors=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param protocol_errors: kwarg tuple.
		:type protocol_errors: (error_type).

		:param error_type: tuple arg.
		:type error_type: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param count: kwarg.
		:type count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_since_clear.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_errors=protocol_errors, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_errors_instance_total_protocol_errors_update(self, protocol_errors=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param protocol_errors: kwarg tuple.
		:type protocol_errors: (error_type).

		:param error_type: tuple arg.
		:type error_type: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param count: kwarg.
		:type count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_errors=protocol_errors, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_stats_instance_since_clear_protocol_stats_update(self, protocol_stats=None, rx_count=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param protocol_stats: kwarg tuple.
		:type protocol_stats: (stat_type).

		:param stat_type: tuple arg.
		:type stat_type: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rx_count: kwarg.
		:type rx_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_count: kwarg.
		:type tx_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_since_clear.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_stats_instance_total_protocol_stats_update(self, protocol_stats=None, rx_count=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param protocol_stats: kwarg tuple.
		:type protocol_stats: (stat_type).

		:param stat_type: tuple arg.
		:type stat_type: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rx_count: kwarg.
		:type rx_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tx_count: kwarg.
		:type tx_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_update(self, total_tunnel_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param total_tunnel_count: kwarg.
		:type total_tunnel_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_tunnel_count=total_tunnel_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_ldp_tunnels_update(self, ldp_tunnels=None, tunnel_interface_index=None, tunnel_metric=None, name=None, tunnel_vif=None, protocol_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param ldp_tunnels: kwarg tuple.
		:type ldp_tunnels: (tunnel_destination, prefix_length).

		:param tunnel_destination: tuple arg.
		:type tunnel_destination: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param prefix_length: tuple arg.
		:type prefix_length: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param tunnel_interface_index: kwarg.
		:type tunnel_interface_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tunnel_metric: kwarg.
		:type tunnel_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param name: kwarg.
		:type name: (unicode)

		:param tunnel_vif: kwarg.
		:type tunnel_vif: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param protocol_type: kwarg.
		:type protocol_type: (unicode)
		
		.. note::
			* enum - [u'staticp', u'ldp', u'rsvp']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_tunnels', 'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_tunnels=ldp_tunnels, tunnel_interface_index=tunnel_interface_index, tunnel_metric=tunnel_metric, name=name, tunnel_vif=tunnel_vif, protocol_type=protocol_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_ldp_tunnels_out_segments_update(self, ldp_tunnels=None, out_segments=None, next_hop_ipaddress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ldp_tunnels: kwarg tuple.
		:type ldp_tunnels: (tunnel_destination, prefix_length).

		:param tunnel_destination: tuple arg.
		:type tunnel_destination: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param prefix_length: tuple arg.
		:type prefix_length: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param out_segments: kwarg tuple.
		:type out_segments: (outgoing_interface).

		:param outgoing_interface: tuple arg.
		:type outgoing_interface: (unicode)

	**This Instance Arg(s)**:
		:param next_hop_ipaddress: kwarg.
		:type next_hop_ipaddress: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', u'ldp_tunnels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels.out_segments', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'out_segments', 'keyval': 'outgoing_interface', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_tunnels=ldp_tunnels, out_segments=out_segments, next_hop_ipaddress=next_hop_ipaddress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_total_tunnel_count_update(self, total_tunnel_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param total_tunnel_count: kwarg.
		:type total_tunnel_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_tunnel_count=total_tunnel_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_update(self, lsp=None, lsp_type=None, bypass_lsp_type=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Arg(s)**:
		:param lsp_type: kwarg.
		:type lsp_type: (unicode)
		
		.. note::
			* enum - [u'regular', u'bypass']

		:param bypass_lsp_type: kwarg.
		:type bypass_lsp_type: (unicode)
		
		.. note::
			* enum - [u'dynamic-bypass', u'static-bypass']

		:param interface: kwarg.
		:type interface: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_type=lsp_type, bypass_lsp_type=bypass_lsp_type, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_update(self, lsp=None, backup_present=None, backup_count=None, backup_ingress_count=None, backup_ingress_active_count=None, backup_transit_count=None, backup_transit_active_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Arg(s)**:
		:param backup_present: kwarg.
		:type backup_present: (YANGBool)

		:param backup_count: kwarg.
		:type backup_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_ingress_count: kwarg.
		:type backup_ingress_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_ingress_active_count: kwarg.
		:type backup_ingress_active_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_transit_count: kwarg.
		:type backup_transit_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_transit_active_count: kwarg.
		:type backup_transit_active_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_present=backup_present, backup_count=backup_count, backup_ingress_count=backup_ingress_count, backup_ingress_active_count=backup_ingress_active_count, backup_transit_count=backup_transit_count, backup_transit_active_count=backup_transit_active_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_count_update(self, lsp=None, backup_present=None, backup_count=None, backup_ingress_count=None, backup_ingress_active_count=None, backup_transit_count=None, backup_transit_active_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Arg(s)**:
		:param backup_present: kwarg.
		:type backup_present: (YANGBool)

		:param backup_count: kwarg.
		:type backup_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_ingress_count: kwarg.
		:type backup_ingress_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_ingress_active_count: kwarg.
		:type backup_ingress_active_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_transit_count: kwarg.
		:type backup_transit_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_transit_active_count: kwarg.
		:type backup_transit_active_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_present=backup_present, backup_count=backup_count, backup_ingress_count=backup_ingress_count, backup_ingress_active_count=backup_ingress_active_count, backup_transit_count=backup_transit_count, backup_transit_active_count=backup_transit_active_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_ingress_update(self, lsp=None, backup_ingress=None, backup_type_ingress=None, backup_type_transit=None, backup_is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param backup_ingress: kwarg tuple.
		:type backup_ingress: (backup_from_address, backup_to_address, backup_name).

		:param backup_from_address: tuple arg.
		:type backup_from_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param backup_to_address: tuple arg.
		:type backup_to_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param backup_name: tuple arg.
		:type backup_name: (unicode)

	**This Instance Arg(s)**:
		:param backup_type_ingress: kwarg.
		:type backup_type_ingress: (YANGBool)

		:param backup_type_transit: kwarg.
		:type backup_type_transit: (YANGBool)

		:param backup_is_active: kwarg.
		:type backup_is_active: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'backup_ingress', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_ingress=backup_ingress, backup_type_ingress=backup_type_ingress, backup_type_transit=backup_type_transit, backup_is_active=backup_is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_transit_update(self, lsp=None, backup_transit=None, backup_type_ingress=None, backup_type_transit=None, backup_is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param backup_transit: kwarg tuple.
		:type backup_transit: (backup_from_address, backup_to_address, backup_name).

		:param backup_from_address: tuple arg.
		:type backup_from_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param backup_to_address: tuple arg.
		:type backup_to_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param backup_name: tuple arg.
		:type backup_name: (unicode)

	**This Instance Arg(s)**:
		:param backup_type_ingress: kwarg.
		:type backup_type_ingress: (YANGBool)

		:param backup_type_transit: kwarg.
		:type backup_type_transit: (YANGBool)

		:param backup_is_active: kwarg.
		:type backup_is_active: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'backup_transit', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, backup_transit=backup_transit, backup_type_ingress=backup_type_ingress, backup_type_transit=backup_type_transit, backup_is_active=backup_is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_update(self, lsp=None, tunnel_vif_index=None, lsp_type_bypass=None, lsp_type_dynamic=None, from_address_configured=None, from_address=None, to_address=None, admin_up=None, operational_status=None, lsp_is_active=None, lsp_has_primary_path=None, path_name=None, out_label=None, out_interface_name=None, primary_up=None, primary_active=None, lsp_has_secondary=None, secondary_up=None, secondary_active=None, lsp_has_selected_secondary=None, selected_secondary_up=None, selected_secondary_active=None, primary_is_selected=None, lsp_has_frr=None, frr_up=None, frr_active=None, up_down_count=None, retry_count=None, down_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Arg(s)**:
		:param tunnel_vif_index: kwarg.
		:type tunnel_vif_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_type_bypass: kwarg.
		:type lsp_type_bypass: (YANGBool)

		:param lsp_type_dynamic: kwarg.
		:type lsp_type_dynamic: (YANGBool)

		:param from_address_configured: kwarg.
		:type from_address_configured: (YANGBool)

		:param from_address: kwarg.
		:type from_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param to_address: kwarg.
		:type to_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param admin_up: kwarg.
		:type admin_up: (YANGBool)

		:param operational_status: kwarg.
		:type operational_status: (unicode)
		
		.. note::
			* enum - [u'operational-up', u'operational-down']

		:param lsp_is_active: kwarg.
		:type lsp_is_active: (YANGBool)

		:param lsp_has_primary_path: kwarg.
		:type lsp_has_primary_path: (YANGBool)

		:param path_name: kwarg.
		:type path_name: (unicode)

		:param out_label: kwarg.
		:type out_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_interface_name: kwarg.
		:type out_interface_name: (unicode)

		:param primary_up: kwarg.
		:type primary_up: (YANGBool)

		:param primary_active: kwarg.
		:type primary_active: (YANGBool)

		:param lsp_has_secondary: kwarg.
		:type lsp_has_secondary: (YANGBool)

		:param secondary_up: kwarg.
		:type secondary_up: (YANGBool)

		:param secondary_active: kwarg.
		:type secondary_active: (YANGBool)

		:param lsp_has_selected_secondary: kwarg.
		:type lsp_has_selected_secondary: (YANGBool)

		:param selected_secondary_up: kwarg.
		:type selected_secondary_up: (YANGBool)

		:param selected_secondary_active: kwarg.
		:type selected_secondary_active: (YANGBool)

		:param primary_is_selected: kwarg.
		:type primary_is_selected: (YANGBool)

		:param lsp_has_frr: kwarg.
		:type lsp_has_frr: (YANGBool)

		:param frr_up: kwarg.
		:type frr_up: (YANGBool)

		:param frr_active: kwarg.
		:type frr_active: (YANGBool)

		:param up_down_count: kwarg.
		:type up_down_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry_count: kwarg.
		:type retry_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_reason: kwarg.
		:type down_reason: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, tunnel_vif_index=tunnel_vif_index, lsp_type_bypass=lsp_type_bypass, lsp_type_dynamic=lsp_type_dynamic, from_address_configured=from_address_configured, from_address=from_address, to_address=to_address, admin_up=admin_up, operational_status=operational_status, lsp_is_active=lsp_is_active, lsp_has_primary_path=lsp_has_primary_path, path_name=path_name, out_label=out_label, out_interface_name=out_interface_name, primary_up=primary_up, primary_active=primary_active, lsp_has_secondary=lsp_has_secondary, secondary_up=secondary_up, secondary_active=secondary_active, lsp_has_selected_secondary=lsp_has_selected_secondary, selected_secondary_up=selected_secondary_up, selected_secondary_active=selected_secondary_active, primary_is_selected=primary_is_selected, lsp_has_frr=lsp_has_frr, frr_up=frr_up, frr_active=frr_active, up_down_count=up_down_count, retry_count=retry_count, down_reason=down_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_basic_admin_up_update(self, lsp=None, tunnel_vif_index=None, lsp_type_bypass=None, lsp_type_dynamic=None, from_address_configured=None, from_address=None, to_address=None, admin_up=None, operational_status=None, lsp_is_active=None, lsp_has_primary_path=None, path_name=None, out_label=None, out_interface_name=None, primary_up=None, primary_active=None, lsp_has_secondary=None, secondary_up=None, secondary_active=None, lsp_has_selected_secondary=None, selected_secondary_up=None, selected_secondary_active=None, primary_is_selected=None, lsp_has_frr=None, frr_up=None, frr_active=None, up_down_count=None, retry_count=None, down_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Arg(s)**:
		:param tunnel_vif_index: kwarg.
		:type tunnel_vif_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_type_bypass: kwarg.
		:type lsp_type_bypass: (YANGBool)

		:param lsp_type_dynamic: kwarg.
		:type lsp_type_dynamic: (YANGBool)

		:param from_address_configured: kwarg.
		:type from_address_configured: (YANGBool)

		:param from_address: kwarg.
		:type from_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param to_address: kwarg.
		:type to_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param admin_up: kwarg.
		:type admin_up: (YANGBool)

		:param operational_status: kwarg.
		:type operational_status: (unicode)
		
		.. note::
			* enum - [u'operational-up', u'operational-down']

		:param lsp_is_active: kwarg.
		:type lsp_is_active: (YANGBool)

		:param lsp_has_primary_path: kwarg.
		:type lsp_has_primary_path: (YANGBool)

		:param path_name: kwarg.
		:type path_name: (unicode)

		:param out_label: kwarg.
		:type out_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_interface_name: kwarg.
		:type out_interface_name: (unicode)

		:param primary_up: kwarg.
		:type primary_up: (YANGBool)

		:param primary_active: kwarg.
		:type primary_active: (YANGBool)

		:param lsp_has_secondary: kwarg.
		:type lsp_has_secondary: (YANGBool)

		:param secondary_up: kwarg.
		:type secondary_up: (YANGBool)

		:param secondary_active: kwarg.
		:type secondary_active: (YANGBool)

		:param lsp_has_selected_secondary: kwarg.
		:type lsp_has_selected_secondary: (YANGBool)

		:param selected_secondary_up: kwarg.
		:type selected_secondary_up: (YANGBool)

		:param selected_secondary_active: kwarg.
		:type selected_secondary_active: (YANGBool)

		:param primary_is_selected: kwarg.
		:type primary_is_selected: (YANGBool)

		:param lsp_has_frr: kwarg.
		:type lsp_has_frr: (YANGBool)

		:param frr_up: kwarg.
		:type frr_up: (YANGBool)

		:param frr_active: kwarg.
		:type frr_active: (YANGBool)

		:param up_down_count: kwarg.
		:type up_down_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry_count: kwarg.
		:type retry_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_reason: kwarg.
		:type down_reason: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.basic', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, tunnel_vif_index=tunnel_vif_index, lsp_type_bypass=lsp_type_bypass, lsp_type_dynamic=lsp_type_dynamic, from_address_configured=from_address_configured, from_address=from_address, to_address=to_address, admin_up=admin_up, operational_status=operational_status, lsp_is_active=lsp_is_active, lsp_has_primary_path=lsp_has_primary_path, path_name=path_name, out_label=out_label, out_interface_name=out_interface_name, primary_up=primary_up, primary_active=primary_active, lsp_has_secondary=lsp_has_secondary, secondary_up=secondary_up, secondary_active=secondary_active, lsp_has_selected_secondary=lsp_has_selected_secondary, selected_secondary_up=selected_secondary_up, selected_secondary_active=selected_secondary_active, primary_is_selected=primary_is_selected, lsp_has_frr=lsp_has_frr, frr_up=frr_up, frr_active=frr_active, up_down_count=up_down_count, retry_count=retry_count, down_reason=down_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_update(self, lsp=None, tunnel_vif_index=None, lsp_id=None, forwarding_up=None, primary_active=None, primary_up=None, secondary_active=None, secondary_up=None, selected_secondary_active=None, selected_secondary_up=None, frr_active=None, frr_up=None, instance_id=None, out_port_id=None, out_port_name=None, out_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Arg(s)**:
		:param tunnel_vif_index: kwarg.
		:type tunnel_vif_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: kwarg.
		:type lsp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forwarding_up: kwarg.
		:type forwarding_up: (YANGBool)

		:param primary_active: kwarg.
		:type primary_active: (YANGBool)

		:param primary_up: kwarg.
		:type primary_up: (YANGBool)

		:param secondary_active: kwarg.
		:type secondary_active: (YANGBool)

		:param secondary_up: kwarg.
		:type secondary_up: (YANGBool)

		:param selected_secondary_active: kwarg.
		:type selected_secondary_active: (YANGBool)

		:param selected_secondary_up: kwarg.
		:type selected_secondary_up: (YANGBool)

		:param frr_active: kwarg.
		:type frr_active: (YANGBool)

		:param frr_up: kwarg.
		:type frr_up: (YANGBool)

		:param instance_id: kwarg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_port_id: kwarg.
		:type out_port_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_port_name: kwarg.
		:type out_port_name: (unicode)

		:param out_label: kwarg.
		:type out_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, tunnel_vif_index=tunnel_vif_index, lsp_id=lsp_id, forwarding_up=forwarding_up, primary_active=primary_active, primary_up=primary_up, secondary_active=secondary_active, secondary_up=secondary_up, selected_secondary_active=selected_secondary_active, selected_secondary_up=selected_secondary_up, frr_active=frr_active, frr_up=frr_up, instance_id=instance_id, out_port_id=out_port_id, out_port_name=out_port_name, out_label=out_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_forwarding_forwarding_up_update(self, lsp=None, tunnel_vif_index=None, lsp_id=None, forwarding_up=None, primary_active=None, primary_up=None, secondary_active=None, secondary_up=None, selected_secondary_active=None, selected_secondary_up=None, frr_active=None, frr_up=None, instance_id=None, out_port_id=None, out_port_name=None, out_label=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Arg(s)**:
		:param tunnel_vif_index: kwarg.
		:type tunnel_vif_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: kwarg.
		:type lsp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forwarding_up: kwarg.
		:type forwarding_up: (YANGBool)

		:param primary_active: kwarg.
		:type primary_active: (YANGBool)

		:param primary_up: kwarg.
		:type primary_up: (YANGBool)

		:param secondary_active: kwarg.
		:type secondary_active: (YANGBool)

		:param secondary_up: kwarg.
		:type secondary_up: (YANGBool)

		:param selected_secondary_active: kwarg.
		:type selected_secondary_active: (YANGBool)

		:param selected_secondary_up: kwarg.
		:type selected_secondary_up: (YANGBool)

		:param frr_active: kwarg.
		:type frr_active: (YANGBool)

		:param frr_up: kwarg.
		:type frr_up: (YANGBool)

		:param instance_id: kwarg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_port_id: kwarg.
		:type out_port_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_port_name: kwarg.
		:type out_port_name: (unicode)

		:param out_label: kwarg.
		:type out_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.forwarding', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, tunnel_vif_index=tunnel_vif_index, lsp_id=lsp_id, forwarding_up=forwarding_up, primary_active=primary_active, primary_up=primary_up, secondary_active=secondary_active, secondary_up=secondary_up, selected_secondary_active=selected_secondary_active, selected_secondary_up=selected_secondary_up, frr_active=frr_active, frr_up=frr_up, instance_id=instance_id, out_port_id=out_port_id, out_port_name=out_port_name, out_label=out_label)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_update(self, lsp=None, configured=None, one_to_one=None, one_to_many=None, protection_type=None, frr_up=None, active=None, priority_configured=None, setup_priority=None, holding_priority=None, hop_limit_configured=None, hop_limit=None, bandwidth_configured=None, bandwidth=None, down_reason=None, computation_mode=None, group_computation_mode_default=None, group_computation_mode_add_penalty=None, group_computation_mode_exclude_groups=None, group_computation_mode_high_cost=None, out_port_id=None, out_port_name=None, out_label=None, path_cost=None, bypass_name=None, has_secondary_swithover_time=None, secondary_swithover_time=None, hold_time=None, global_revertive=None, revertive_timer_expired=None, fwdg_state_primary_up=None, fwdg_state_primary_active=None, fwdg_state_primary_down=None, fwdg_state_secondary_up=None, fwdg_state_secondary_active=None, fwdg_state_secondary_down=None, fwdg_state_detour_up=None, fwdg_state_detour_active=None, fwdg_state_detour_down=None, admin_group_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Arg(s)**:
		:param configured: kwarg.
		:type configured: (YANGBool)

		:param one_to_one: kwarg.
		:type one_to_one: (YANGBool)

		:param one_to_many: kwarg.
		:type one_to_many: (YANGBool)

		:param protection_type: kwarg.
		:type protection_type: (unicode)
		
		.. note::
			* enum - [u'node-protection', u'link-protection']

		:param frr_up: kwarg.
		:type frr_up: (YANGBool)

		:param active: kwarg.
		:type active: (YANGBool)

		:param priority_configured: kwarg.
		:type priority_configured: (YANGBool)

		:param setup_priority: kwarg.
		:type setup_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param holding_priority: kwarg.
		:type holding_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param hop_limit_configured: kwarg.
		:type hop_limit_configured: (YANGBool)

		:param hop_limit: kwarg.
		:type hop_limit: (int)
		
		.. note::
			* range - ['0..255']

		:param bandwidth_configured: kwarg.
		:type bandwidth_configured: (YANGBool)

		:param bandwidth: kwarg.
		:type bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_reason: kwarg.
		:type down_reason: (unicode)

		:param computation_mode: kwarg.
		:type computation_mode: (unicode)
		
		.. note::
			* enum - [u'cspf-computation-mode-use-igp-metric-global', u'cspf-computation-mode-use-bypass-metric', u'cspf-computation-mode-default', u'cspf-computation-mode-use-igp-metric', u'cspf-computation-mode-use-te-metric', u'cspf-computation-mode-use-bypass-liberal', u'cspf-computation-mode-use-te-metric-global']

		:param group_computation_mode_default: kwarg.
		:type group_computation_mode_default: (YANGBool)

		:param group_computation_mode_add_penalty: kwarg.
		:type group_computation_mode_add_penalty: (YANGBool)

		:param group_computation_mode_exclude_groups: kwarg.
		:type group_computation_mode_exclude_groups: (YANGBool)

		:param group_computation_mode_high_cost: kwarg.
		:type group_computation_mode_high_cost: (YANGBool)

		:param out_port_id: kwarg.
		:type out_port_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_port_name: kwarg.
		:type out_port_name: (unicode)

		:param out_label: kwarg.
		:type out_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param path_cost: kwarg.
		:type path_cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_name: kwarg.
		:type bypass_name: (unicode)

		:param has_secondary_swithover_time: kwarg.
		:type has_secondary_swithover_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param secondary_swithover_time: kwarg.
		:type secondary_swithover_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_time: kwarg.
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param global_revertive: kwarg.
		:type global_revertive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param revertive_timer_expired: kwarg.
		:type revertive_timer_expired: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fwdg_state_primary_up: kwarg.
		:type fwdg_state_primary_up: (YANGBool)

		:param fwdg_state_primary_active: kwarg.
		:type fwdg_state_primary_active: (YANGBool)

		:param fwdg_state_primary_down: kwarg.
		:type fwdg_state_primary_down: (YANGBool)

		:param fwdg_state_secondary_up: kwarg.
		:type fwdg_state_secondary_up: (YANGBool)

		:param fwdg_state_secondary_active: kwarg.
		:type fwdg_state_secondary_active: (YANGBool)

		:param fwdg_state_secondary_down: kwarg.
		:type fwdg_state_secondary_down: (YANGBool)

		:param fwdg_state_detour_up: kwarg.
		:type fwdg_state_detour_up: (YANGBool)

		:param fwdg_state_detour_active: kwarg.
		:type fwdg_state_detour_active: (YANGBool)

		:param fwdg_state_detour_down: kwarg.
		:type fwdg_state_detour_down: (YANGBool)

		:param admin_group_configured: kwarg.
		:type admin_group_configured: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, configured=configured, one_to_one=one_to_one, one_to_many=one_to_many, protection_type=protection_type, frr_up=frr_up, active=active, priority_configured=priority_configured, setup_priority=setup_priority, holding_priority=holding_priority, hop_limit_configured=hop_limit_configured, hop_limit=hop_limit, bandwidth_configured=bandwidth_configured, bandwidth=bandwidth, down_reason=down_reason, computation_mode=computation_mode, group_computation_mode_default=group_computation_mode_default, group_computation_mode_add_penalty=group_computation_mode_add_penalty, group_computation_mode_exclude_groups=group_computation_mode_exclude_groups, group_computation_mode_high_cost=group_computation_mode_high_cost, out_port_id=out_port_id, out_port_name=out_port_name, out_label=out_label, path_cost=path_cost, bypass_name=bypass_name, has_secondary_swithover_time=has_secondary_swithover_time, secondary_swithover_time=secondary_swithover_time, hold_time=hold_time, global_revertive=global_revertive, revertive_timer_expired=revertive_timer_expired, fwdg_state_primary_up=fwdg_state_primary_up, fwdg_state_primary_active=fwdg_state_primary_active, fwdg_state_primary_down=fwdg_state_primary_down, fwdg_state_secondary_up=fwdg_state_secondary_up, fwdg_state_secondary_active=fwdg_state_secondary_active, fwdg_state_secondary_down=fwdg_state_secondary_down, fwdg_state_detour_up=fwdg_state_detour_up, fwdg_state_detour_active=fwdg_state_detour_active, fwdg_state_detour_down=fwdg_state_detour_down, admin_group_configured=admin_group_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_active_update(self, lsp=None, configured=None, one_to_one=None, one_to_many=None, protection_type=None, frr_up=None, active=None, priority_configured=None, setup_priority=None, holding_priority=None, hop_limit_configured=None, hop_limit=None, bandwidth_configured=None, bandwidth=None, down_reason=None, computation_mode=None, group_computation_mode_default=None, group_computation_mode_add_penalty=None, group_computation_mode_exclude_groups=None, group_computation_mode_high_cost=None, out_port_id=None, out_port_name=None, out_label=None, path_cost=None, bypass_name=None, has_secondary_swithover_time=None, secondary_swithover_time=None, hold_time=None, global_revertive=None, revertive_timer_expired=None, fwdg_state_primary_up=None, fwdg_state_primary_active=None, fwdg_state_primary_down=None, fwdg_state_secondary_up=None, fwdg_state_secondary_active=None, fwdg_state_secondary_down=None, fwdg_state_detour_up=None, fwdg_state_detour_active=None, fwdg_state_detour_down=None, admin_group_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Arg(s)**:
		:param configured: kwarg.
		:type configured: (YANGBool)

		:param one_to_one: kwarg.
		:type one_to_one: (YANGBool)

		:param one_to_many: kwarg.
		:type one_to_many: (YANGBool)

		:param protection_type: kwarg.
		:type protection_type: (unicode)
		
		.. note::
			* enum - [u'node-protection', u'link-protection']

		:param frr_up: kwarg.
		:type frr_up: (YANGBool)

		:param active: kwarg.
		:type active: (YANGBool)

		:param priority_configured: kwarg.
		:type priority_configured: (YANGBool)

		:param setup_priority: kwarg.
		:type setup_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param holding_priority: kwarg.
		:type holding_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param hop_limit_configured: kwarg.
		:type hop_limit_configured: (YANGBool)

		:param hop_limit: kwarg.
		:type hop_limit: (int)
		
		.. note::
			* range - ['0..255']

		:param bandwidth_configured: kwarg.
		:type bandwidth_configured: (YANGBool)

		:param bandwidth: kwarg.
		:type bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_reason: kwarg.
		:type down_reason: (unicode)

		:param computation_mode: kwarg.
		:type computation_mode: (unicode)
		
		.. note::
			* enum - [u'cspf-computation-mode-use-igp-metric-global', u'cspf-computation-mode-use-bypass-metric', u'cspf-computation-mode-default', u'cspf-computation-mode-use-igp-metric', u'cspf-computation-mode-use-te-metric', u'cspf-computation-mode-use-bypass-liberal', u'cspf-computation-mode-use-te-metric-global']

		:param group_computation_mode_default: kwarg.
		:type group_computation_mode_default: (YANGBool)

		:param group_computation_mode_add_penalty: kwarg.
		:type group_computation_mode_add_penalty: (YANGBool)

		:param group_computation_mode_exclude_groups: kwarg.
		:type group_computation_mode_exclude_groups: (YANGBool)

		:param group_computation_mode_high_cost: kwarg.
		:type group_computation_mode_high_cost: (YANGBool)

		:param out_port_id: kwarg.
		:type out_port_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_port_name: kwarg.
		:type out_port_name: (unicode)

		:param out_label: kwarg.
		:type out_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param path_cost: kwarg.
		:type path_cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_name: kwarg.
		:type bypass_name: (unicode)

		:param has_secondary_swithover_time: kwarg.
		:type has_secondary_swithover_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param secondary_swithover_time: kwarg.
		:type secondary_swithover_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_time: kwarg.
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param global_revertive: kwarg.
		:type global_revertive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param revertive_timer_expired: kwarg.
		:type revertive_timer_expired: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param fwdg_state_primary_up: kwarg.
		:type fwdg_state_primary_up: (YANGBool)

		:param fwdg_state_primary_active: kwarg.
		:type fwdg_state_primary_active: (YANGBool)

		:param fwdg_state_primary_down: kwarg.
		:type fwdg_state_primary_down: (YANGBool)

		:param fwdg_state_secondary_up: kwarg.
		:type fwdg_state_secondary_up: (YANGBool)

		:param fwdg_state_secondary_active: kwarg.
		:type fwdg_state_secondary_active: (YANGBool)

		:param fwdg_state_secondary_down: kwarg.
		:type fwdg_state_secondary_down: (YANGBool)

		:param fwdg_state_detour_up: kwarg.
		:type fwdg_state_detour_up: (YANGBool)

		:param fwdg_state_detour_active: kwarg.
		:type fwdg_state_detour_active: (YANGBool)

		:param fwdg_state_detour_down: kwarg.
		:type fwdg_state_detour_down: (YANGBool)

		:param admin_group_configured: kwarg.
		:type admin_group_configured: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, configured=configured, one_to_one=one_to_one, one_to_many=one_to_many, protection_type=protection_type, frr_up=frr_up, active=active, priority_configured=priority_configured, setup_priority=setup_priority, holding_priority=holding_priority, hop_limit_configured=hop_limit_configured, hop_limit=hop_limit, bandwidth_configured=bandwidth_configured, bandwidth=bandwidth, down_reason=down_reason, computation_mode=computation_mode, group_computation_mode_default=group_computation_mode_default, group_computation_mode_add_penalty=group_computation_mode_add_penalty, group_computation_mode_exclude_groups=group_computation_mode_exclude_groups, group_computation_mode_high_cost=group_computation_mode_high_cost, out_port_id=out_port_id, out_port_name=out_port_name, out_label=out_label, path_cost=path_cost, bypass_name=bypass_name, has_secondary_swithover_time=has_secondary_swithover_time, secondary_swithover_time=secondary_swithover_time, hold_time=hold_time, global_revertive=global_revertive, revertive_timer_expired=revertive_timer_expired, fwdg_state_primary_up=fwdg_state_primary_up, fwdg_state_primary_active=fwdg_state_primary_active, fwdg_state_primary_down=fwdg_state_primary_down, fwdg_state_secondary_up=fwdg_state_secondary_up, fwdg_state_secondary_active=fwdg_state_secondary_active, fwdg_state_secondary_down=fwdg_state_secondary_down, fwdg_state_detour_up=fwdg_state_detour_up, fwdg_state_detour_active=fwdg_state_detour_active, fwdg_state_detour_down=fwdg_state_detour_down, admin_group_configured=admin_group_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_exclude_any_update(self, lsp=None, exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param exclude_any: kwarg tuple.
		:type exclude_any: (admin_group_id).

		:param admin_group_id: tuple arg.
		:type admin_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param admin_group_name: kwarg.
		:type admin_group_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, exclude_any=exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_include_all_update(self, lsp=None, include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param include_all: kwarg tuple.
		:type include_all: (admin_group_id).

		:param admin_group_id: tuple arg.
		:type admin_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param admin_group_name: kwarg.
		:type admin_group_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, include_all=include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_include_any_update(self, lsp=None, include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param include_any: kwarg tuple.
		:type include_any: (admin_group_id).

		:param admin_group_id: tuple arg.
		:type admin_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param admin_group_name: kwarg.
		:type admin_group_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, include_any=include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_update(self, lsp=None, instances=None, current_instance=None, new_instance=None, old_instance=None, is_primary=None, is_current_secondary=None, is_selected_secondary=None, instance_admin_up=None, instance_is_up=None, instance_is_active=None, is_adaptive=None, is_bypass=None, is_dynamic_bypass=None, config_admin_up=None, config_from_address_configured=None, config_from_address=None, config_to_address=None, config_type_bypass=None, config_type_dynamic=None, config_adaptive=None, config_ospf_area=None, config_isis_level=None, config_number_of_retries_configured=None, config_number_of_retries=None, config_path_select_mode=None, config_path_selected_path=None, config_path_selected_secondary_name=None, config_revert_time_configured=None, config_revert_time=None, config_retry_count_configured=None, config_retry_count=None, config_enable_ldp_tunnelling=None, config_shortcut_ospf=None, config_shortcut_area_configured=None, config_shortcut_area=None, config_notify_ospf=None, config_shortcut_isis=None, config_isis_shortcut_level_configured=None, config_isis_shortcut_level=None, config_notify_isis=None, config_metric_configured=None, config_metric=None, config_ospf_ignore_metric=None, config_ospf_relative_metric=None, config_ospf_announce_metric=None, config_ospf_aaf=None, config_isis_ignore_metric=None, config_isis_relative_metric=None, config_isis_announce_configured=None, config_isis_announce_metric=None, config_path_configured=None, config_path=None, config_reoptimize_timer_configured=None, config_reoptimize_time=None, config_tspec_mtu_configured=None, config_tspec_mtu=None, config_cos_configured=None, config_cos=None, config_mtu_configured=None, config_mtu=None, config_tie_breaking_configured=None, config_tie_break_random=None, config_tie_break_least_fill=None, config_tie_break_most_fill=None, config_cspf_disabled=None, config_rro_disabled=None, config_hot_standby=None, config_pinned=None, config_persistenct=None, config_frr_global_revertive=None, config_frr_hold_time=None, config_soft_prempt=None, config_exclude_interface_change=None, config_prority_configured=None, config_setup_prority=None, config_holding_prority=None, config_hop_limit_configured=None, config_hop_limit=None, config_traffic_eng_rate_configured=None, config_traffic_eng_mean_rate=None, config_traffic_eng_max_rate=None, config_traffic_eng_max_burst=None, config_abw_configured=None, config_bfd_configured=None, config_admin_group_configured=None, config_cspf_computation_mode=None, path_computed_by_cspf=None, path_computed_by_interface_constraint=None, cspf_computation_mode=None, cspf_group_computation_mode_default=None, cspf_group_computation_mode_add_penalty=None, cspf_group_computation_mode_exclude_groups=None, cspf_group_computation_mode_high_cost=None, cspf_path_cost=None, cspf_path_area=None, cspf_computation_error=None, cspf_exclude_hops_present=None, rsvp_session_present=None, rsvp_session_state_up=None, rsvp_session_state=None, rsvp_session_path_error_code=None, rsvp_session_path_error_value=None, rsvp_session_path_error_node_address=None, rsvp_session_rro_hops_present=None, config_exclude_interface_configured=None, maximum_bandwidth=None, unreserved_priority_0_bandwidth=None, unreserved_priority_1_bandwidth=None, unreserved_priority_2_bandwidth=None, unreserved_priority_3_bandwidth=None, unreserved_priority_4_bandwidth=None, unreserved_priority_5_bandwidth=None, unreserved_priority_6_bandwidth=None, unreserved_priority_7_bandwidth=None, config_frr_configured=None, config_frr_one_to_one=None, config_frr_one_to_many=None, config_frr_priority_configured=None, config_frr_setup_priority=None, config_frr_holding_priority=None, config_frr_hop_limit_configured=None, config_frr_hop_limit=None, config_frr_bandwidth_configured=None, config_frr_bandwidth=None, config_frr_admin_group_configured=None, reoptimize_ignore_count=None, reoptimize_time_count=None, instance_frr_configured=None, instance_frr_up=None, instance_frr_active=None, instance_out_port_id=None, instance_out_port_name=None, instance_out_label=None, instance_revert_time=None, instance_retry_count=None, instance_up_down_count=None, instance_metric=None, instance_down_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param instances: kwarg tuple.
		:type instances: (instance_id, lsp_id).

		:param instance_id: tuple arg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: tuple arg.
		:type lsp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param current_instance: kwarg.
		:type current_instance: (YANGBool)

		:param new_instance: kwarg.
		:type new_instance: (YANGBool)

		:param old_instance: kwarg.
		:type old_instance: (YANGBool)

		:param is_primary: kwarg.
		:type is_primary: (YANGBool)

		:param is_current_secondary: kwarg.
		:type is_current_secondary: (YANGBool)

		:param is_selected_secondary: kwarg.
		:type is_selected_secondary: (YANGBool)

		:param instance_admin_up: kwarg.
		:type instance_admin_up: (YANGBool)

		:param instance_is_up: kwarg.
		:type instance_is_up: (YANGBool)

		:param instance_is_active: kwarg.
		:type instance_is_active: (YANGBool)

		:param is_adaptive: kwarg.
		:type is_adaptive: (YANGBool)

		:param is_bypass: kwarg.
		:type is_bypass: (YANGBool)

		:param is_dynamic_bypass: kwarg.
		:type is_dynamic_bypass: (YANGBool)

		:param config_admin_up: kwarg.
		:type config_admin_up: (YANGBool)

		:param config_from_address_configured: kwarg.
		:type config_from_address_configured: (YANGBool)

		:param config_from_address: kwarg.
		:type config_from_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param config_to_address: kwarg.
		:type config_to_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param config_type_bypass: kwarg.
		:type config_type_bypass: (YANGBool)

		:param config_type_dynamic: kwarg.
		:type config_type_dynamic: (YANGBool)

		:param config_adaptive: kwarg.
		:type config_adaptive: (YANGBool)

		:param config_ospf_area: kwarg.
		:type config_ospf_area: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param config_isis_level: kwarg.
		:type config_isis_level: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_number_of_retries_configured: kwarg.
		:type config_number_of_retries_configured: (YANGBool)

		:param config_number_of_retries: kwarg.
		:type config_number_of_retries: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_path_select_mode: kwarg.
		:type config_path_select_mode: (unicode)
		
		.. note::
			* enum - [u'manual', u'unconditional']

		:param config_path_selected_path: kwarg.
		:type config_path_selected_path: (unicode)
		
		.. note::
			* enum - [u'primary-path', u'secondary-path']

		:param config_path_selected_secondary_name: kwarg.
		:type config_path_selected_secondary_name: (unicode)

		:param config_revert_time_configured: kwarg.
		:type config_revert_time_configured: (YANGBool)

		:param config_revert_time: kwarg.
		:type config_revert_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_retry_count_configured: kwarg.
		:type config_retry_count_configured: (YANGBool)

		:param config_retry_count: kwarg.
		:type config_retry_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_enable_ldp_tunnelling: kwarg.
		:type config_enable_ldp_tunnelling: (YANGBool)

		:param config_shortcut_ospf: kwarg.
		:type config_shortcut_ospf: (YANGBool)

		:param config_shortcut_area_configured: kwarg.
		:type config_shortcut_area_configured: (YANGBool)

		:param config_shortcut_area: kwarg.
		:type config_shortcut_area: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_notify_ospf: kwarg.
		:type config_notify_ospf: (YANGBool)

		:param config_shortcut_isis: kwarg.
		:type config_shortcut_isis: (YANGBool)

		:param config_isis_shortcut_level_configured: kwarg.
		:type config_isis_shortcut_level_configured: (YANGBool)

		:param config_isis_shortcut_level: kwarg.
		:type config_isis_shortcut_level: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_notify_isis: kwarg.
		:type config_notify_isis: (YANGBool)

		:param config_metric_configured: kwarg.
		:type config_metric_configured: (YANGBool)

		:param config_metric: kwarg.
		:type config_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_ospf_ignore_metric: kwarg.
		:type config_ospf_ignore_metric: (YANGBool)

		:param config_ospf_relative_metric: kwarg.
		:type config_ospf_relative_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_ospf_announce_metric: kwarg.
		:type config_ospf_announce_metric: (YANGBool)

		:param config_ospf_aaf: kwarg.
		:type config_ospf_aaf: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_isis_ignore_metric: kwarg.
		:type config_isis_ignore_metric: (YANGBool)

		:param config_isis_relative_metric: kwarg.
		:type config_isis_relative_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_isis_announce_configured: kwarg.
		:type config_isis_announce_configured: (YANGBool)

		:param config_isis_announce_metric: kwarg.
		:type config_isis_announce_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_path_configured: kwarg.
		:type config_path_configured: (YANGBool)

		:param config_path: kwarg.
		:type config_path: (unicode)

		:param config_reoptimize_timer_configured: kwarg.
		:type config_reoptimize_timer_configured: (YANGBool)

		:param config_reoptimize_time: kwarg.
		:type config_reoptimize_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_tspec_mtu_configured: kwarg.
		:type config_tspec_mtu_configured: (YANGBool)

		:param config_tspec_mtu: kwarg.
		:type config_tspec_mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_cos_configured: kwarg.
		:type config_cos_configured: (YANGBool)

		:param config_cos: kwarg.
		:type config_cos: (int)
		
		.. note::
			* range - ['0..255']

		:param config_mtu_configured: kwarg.
		:type config_mtu_configured: (YANGBool)

		:param config_mtu: kwarg.
		:type config_mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_tie_breaking_configured: kwarg.
		:type config_tie_breaking_configured: (YANGBool)

		:param config_tie_break_random: kwarg.
		:type config_tie_break_random: (YANGBool)

		:param config_tie_break_least_fill: kwarg.
		:type config_tie_break_least_fill: (YANGBool)

		:param config_tie_break_most_fill: kwarg.
		:type config_tie_break_most_fill: (YANGBool)

		:param config_cspf_disabled: kwarg.
		:type config_cspf_disabled: (YANGBool)

		:param config_rro_disabled: kwarg.
		:type config_rro_disabled: (YANGBool)

		:param config_hot_standby: kwarg.
		:type config_hot_standby: (YANGBool)

		:param config_pinned: kwarg.
		:type config_pinned: (YANGBool)

		:param config_persistenct: kwarg.
		:type config_persistenct: (YANGBool)

		:param config_frr_global_revertive: kwarg.
		:type config_frr_global_revertive: (YANGBool)

		:param config_frr_hold_time: kwarg.
		:type config_frr_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_soft_prempt: kwarg.
		:type config_soft_prempt: (YANGBool)

		:param config_exclude_interface_change: kwarg.
		:type config_exclude_interface_change: (YANGBool)

		:param config_prority_configured: kwarg.
		:type config_prority_configured: (YANGBool)

		:param config_setup_prority: kwarg.
		:type config_setup_prority: (int)
		
		.. note::
			* range - ['0..255']

		:param config_holding_prority: kwarg.
		:type config_holding_prority: (int)
		
		.. note::
			* range - ['0..255']

		:param config_hop_limit_configured: kwarg.
		:type config_hop_limit_configured: (YANGBool)

		:param config_hop_limit: kwarg.
		:type config_hop_limit: (int)
		
		.. note::
			* range - ['0..255']

		:param config_traffic_eng_rate_configured: kwarg.
		:type config_traffic_eng_rate_configured: (YANGBool)

		:param config_traffic_eng_mean_rate: kwarg.
		:type config_traffic_eng_mean_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_traffic_eng_max_rate: kwarg.
		:type config_traffic_eng_max_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_traffic_eng_max_burst: kwarg.
		:type config_traffic_eng_max_burst: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_abw_configured: kwarg.
		:type config_abw_configured: (YANGBool)

		:param config_bfd_configured: kwarg.
		:type config_bfd_configured: (YANGBool)

		:param config_admin_group_configured: kwarg.
		:type config_admin_group_configured: (YANGBool)

		:param config_cspf_computation_mode: kwarg.
		:type config_cspf_computation_mode: (unicode)
		
		.. note::
			* enum - [u'cspf-computation-mode-use-igp-metric-global', u'cspf-computation-mode-use-bypass-metric', u'cspf-computation-mode-default', u'cspf-computation-mode-use-igp-metric', u'cspf-computation-mode-use-te-metric', u'cspf-computation-mode-use-bypass-liberal', u'cspf-computation-mode-use-te-metric-global']

		:param path_computed_by_cspf: kwarg.
		:type path_computed_by_cspf: (YANGBool)

		:param path_computed_by_interface_constraint: kwarg.
		:type path_computed_by_interface_constraint: (YANGBool)

		:param cspf_computation_mode: kwarg.
		:type cspf_computation_mode: (unicode)
		
		.. note::
			* enum - [u'cspf-computation-mode-use-igp-metric-global', u'cspf-computation-mode-use-bypass-metric', u'cspf-computation-mode-default', u'cspf-computation-mode-use-igp-metric', u'cspf-computation-mode-use-te-metric', u'cspf-computation-mode-use-bypass-liberal', u'cspf-computation-mode-use-te-metric-global']

		:param cspf_group_computation_mode_default: kwarg.
		:type cspf_group_computation_mode_default: (YANGBool)

		:param cspf_group_computation_mode_add_penalty: kwarg.
		:type cspf_group_computation_mode_add_penalty: (YANGBool)

		:param cspf_group_computation_mode_exclude_groups: kwarg.
		:type cspf_group_computation_mode_exclude_groups: (YANGBool)

		:param cspf_group_computation_mode_high_cost: kwarg.
		:type cspf_group_computation_mode_high_cost: (YANGBool)

		:param cspf_path_cost: kwarg.
		:type cspf_path_cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cspf_path_area: kwarg.
		:type cspf_path_area: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cspf_computation_error: kwarg.
		:type cspf_computation_error: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cspf_exclude_hops_present: kwarg.
		:type cspf_exclude_hops_present: (YANGBool)

		:param rsvp_session_present: kwarg.
		:type rsvp_session_present: (YANGBool)

		:param rsvp_session_state_up: kwarg.
		:type rsvp_session_state_up: (YANGBool)

		:param rsvp_session_state: kwarg.
		:type rsvp_session_state: (int)
		
		.. note::
			* range - ['0..255']

		:param rsvp_session_path_error_code: kwarg.
		:type rsvp_session_path_error_code: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rsvp_session_path_error_value: kwarg.
		:type rsvp_session_path_error_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rsvp_session_path_error_node_address: kwarg.
		:type rsvp_session_path_error_node_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param rsvp_session_rro_hops_present: kwarg.
		:type rsvp_session_rro_hops_present: (YANGBool)

		:param config_exclude_interface_configured: kwarg.
		:type config_exclude_interface_configured: (YANGBool)

		:param maximum_bandwidth: kwarg.
		:type maximum_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_0_bandwidth: kwarg.
		:type unreserved_priority_0_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_1_bandwidth: kwarg.
		:type unreserved_priority_1_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_2_bandwidth: kwarg.
		:type unreserved_priority_2_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_3_bandwidth: kwarg.
		:type unreserved_priority_3_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_4_bandwidth: kwarg.
		:type unreserved_priority_4_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_5_bandwidth: kwarg.
		:type unreserved_priority_5_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_6_bandwidth: kwarg.
		:type unreserved_priority_6_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_7_bandwidth: kwarg.
		:type unreserved_priority_7_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_frr_configured: kwarg.
		:type config_frr_configured: (YANGBool)

		:param config_frr_one_to_one: kwarg.
		:type config_frr_one_to_one: (YANGBool)

		:param config_frr_one_to_many: kwarg.
		:type config_frr_one_to_many: (YANGBool)

		:param config_frr_priority_configured: kwarg.
		:type config_frr_priority_configured: (YANGBool)

		:param config_frr_setup_priority: kwarg.
		:type config_frr_setup_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param config_frr_holding_priority: kwarg.
		:type config_frr_holding_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param config_frr_hop_limit_configured: kwarg.
		:type config_frr_hop_limit_configured: (YANGBool)

		:param config_frr_hop_limit: kwarg.
		:type config_frr_hop_limit: (int)
		
		.. note::
			* range - ['0..255']

		:param config_frr_bandwidth_configured: kwarg.
		:type config_frr_bandwidth_configured: (YANGBool)

		:param config_frr_bandwidth: kwarg.
		:type config_frr_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_frr_admin_group_configured: kwarg.
		:type config_frr_admin_group_configured: (YANGBool)

		:param reoptimize_ignore_count: kwarg.
		:type reoptimize_ignore_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reoptimize_time_count: kwarg.
		:type reoptimize_time_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance_frr_configured: kwarg.
		:type instance_frr_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance_frr_up: kwarg.
		:type instance_frr_up: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance_frr_active: kwarg.
		:type instance_frr_active: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance_out_port_id: kwarg.
		:type instance_out_port_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance_out_port_name: kwarg.
		:type instance_out_port_name: (unicode)

		:param instance_out_label: kwarg.
		:type instance_out_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance_revert_time: kwarg.
		:type instance_revert_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance_retry_count: kwarg.
		:type instance_retry_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance_up_down_count: kwarg.
		:type instance_up_down_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance_metric: kwarg.
		:type instance_metric: (int)
		
		.. note::
			* range - ['0..255']

		:param instance_down_reason: kwarg.
		:type instance_down_reason: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, current_instance=current_instance, new_instance=new_instance, old_instance=old_instance, is_primary=is_primary, is_current_secondary=is_current_secondary, is_selected_secondary=is_selected_secondary, instance_admin_up=instance_admin_up, instance_is_up=instance_is_up, instance_is_active=instance_is_active, is_adaptive=is_adaptive, is_bypass=is_bypass, is_dynamic_bypass=is_dynamic_bypass, config_admin_up=config_admin_up, config_from_address_configured=config_from_address_configured, config_from_address=config_from_address, config_to_address=config_to_address, config_type_bypass=config_type_bypass, config_type_dynamic=config_type_dynamic, config_adaptive=config_adaptive, config_ospf_area=config_ospf_area, config_isis_level=config_isis_level, config_number_of_retries_configured=config_number_of_retries_configured, config_number_of_retries=config_number_of_retries, config_path_select_mode=config_path_select_mode, config_path_selected_path=config_path_selected_path, config_path_selected_secondary_name=config_path_selected_secondary_name, config_revert_time_configured=config_revert_time_configured, config_revert_time=config_revert_time, config_retry_count_configured=config_retry_count_configured, config_retry_count=config_retry_count, config_enable_ldp_tunnelling=config_enable_ldp_tunnelling, config_shortcut_ospf=config_shortcut_ospf, config_shortcut_area_configured=config_shortcut_area_configured, config_shortcut_area=config_shortcut_area, config_notify_ospf=config_notify_ospf, config_shortcut_isis=config_shortcut_isis, config_isis_shortcut_level_configured=config_isis_shortcut_level_configured, config_isis_shortcut_level=config_isis_shortcut_level, config_notify_isis=config_notify_isis, config_metric_configured=config_metric_configured, config_metric=config_metric, config_ospf_ignore_metric=config_ospf_ignore_metric, config_ospf_relative_metric=config_ospf_relative_metric, config_ospf_announce_metric=config_ospf_announce_metric, config_ospf_aaf=config_ospf_aaf, config_isis_ignore_metric=config_isis_ignore_metric, config_isis_relative_metric=config_isis_relative_metric, config_isis_announce_configured=config_isis_announce_configured, config_isis_announce_metric=config_isis_announce_metric, config_path_configured=config_path_configured, config_path=config_path, config_reoptimize_timer_configured=config_reoptimize_timer_configured, config_reoptimize_time=config_reoptimize_time, config_tspec_mtu_configured=config_tspec_mtu_configured, config_tspec_mtu=config_tspec_mtu, config_cos_configured=config_cos_configured, config_cos=config_cos, config_mtu_configured=config_mtu_configured, config_mtu=config_mtu, config_tie_breaking_configured=config_tie_breaking_configured, config_tie_break_random=config_tie_break_random, config_tie_break_least_fill=config_tie_break_least_fill, config_tie_break_most_fill=config_tie_break_most_fill, config_cspf_disabled=config_cspf_disabled, config_rro_disabled=config_rro_disabled, config_hot_standby=config_hot_standby, config_pinned=config_pinned, config_persistenct=config_persistenct, config_frr_global_revertive=config_frr_global_revertive, config_frr_hold_time=config_frr_hold_time, config_soft_prempt=config_soft_prempt, config_exclude_interface_change=config_exclude_interface_change, config_prority_configured=config_prority_configured, config_setup_prority=config_setup_prority, config_holding_prority=config_holding_prority, config_hop_limit_configured=config_hop_limit_configured, config_hop_limit=config_hop_limit, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate, config_traffic_eng_max_rate=config_traffic_eng_max_rate, config_traffic_eng_max_burst=config_traffic_eng_max_burst, config_abw_configured=config_abw_configured, config_bfd_configured=config_bfd_configured, config_admin_group_configured=config_admin_group_configured, config_cspf_computation_mode=config_cspf_computation_mode, path_computed_by_cspf=path_computed_by_cspf, path_computed_by_interface_constraint=path_computed_by_interface_constraint, cspf_computation_mode=cspf_computation_mode, cspf_group_computation_mode_default=cspf_group_computation_mode_default, cspf_group_computation_mode_add_penalty=cspf_group_computation_mode_add_penalty, cspf_group_computation_mode_exclude_groups=cspf_group_computation_mode_exclude_groups, cspf_group_computation_mode_high_cost=cspf_group_computation_mode_high_cost, cspf_path_cost=cspf_path_cost, cspf_path_area=cspf_path_area, cspf_computation_error=cspf_computation_error, cspf_exclude_hops_present=cspf_exclude_hops_present, rsvp_session_present=rsvp_session_present, rsvp_session_state_up=rsvp_session_state_up, rsvp_session_state=rsvp_session_state, rsvp_session_path_error_code=rsvp_session_path_error_code, rsvp_session_path_error_value=rsvp_session_path_error_value, rsvp_session_path_error_node_address=rsvp_session_path_error_node_address, rsvp_session_rro_hops_present=rsvp_session_rro_hops_present, config_exclude_interface_configured=config_exclude_interface_configured, maximum_bandwidth=maximum_bandwidth, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth, config_frr_configured=config_frr_configured, config_frr_one_to_one=config_frr_one_to_one, config_frr_one_to_many=config_frr_one_to_many, config_frr_priority_configured=config_frr_priority_configured, config_frr_setup_priority=config_frr_setup_priority, config_frr_holding_priority=config_frr_holding_priority, config_frr_hop_limit_configured=config_frr_hop_limit_configured, config_frr_hop_limit=config_frr_hop_limit, config_frr_bandwidth_configured=config_frr_bandwidth_configured, config_frr_bandwidth=config_frr_bandwidth, config_frr_admin_group_configured=config_frr_admin_group_configured, reoptimize_ignore_count=reoptimize_ignore_count, reoptimize_time_count=reoptimize_time_count, instance_frr_configured=instance_frr_configured, instance_frr_up=instance_frr_up, instance_frr_active=instance_frr_active, instance_out_port_id=instance_out_port_id, instance_out_port_name=instance_out_port_name, instance_out_label=instance_out_label, instance_revert_time=instance_revert_time, instance_retry_count=instance_retry_count, instance_up_down_count=instance_up_down_count, instance_metric=instance_metric, instance_down_reason=instance_down_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_exclude_any_update(self, lsp=None, instances=None, config_exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param instances: kwarg tuple.
		:type instances: (instance_id, lsp_id).

		:param instance_id: tuple arg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: tuple arg.
		:type lsp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param config_exclude_any: kwarg tuple.
		:type config_exclude_any: (admin_group_id).

		:param admin_group_id: tuple arg.
		:type admin_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param admin_group_name: kwarg.
		:type admin_group_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_exclude_any_update(self, lsp=None, instances=None, config_frr_exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param instances: kwarg tuple.
		:type instances: (instance_id, lsp_id).

		:param instance_id: tuple arg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: tuple arg.
		:type lsp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param config_frr_exclude_any: kwarg tuple.
		:type config_frr_exclude_any: (admin_group_id).

		:param admin_group_id: tuple arg.
		:type admin_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param admin_group_name: kwarg.
		:type admin_group_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_frr_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_exclude_any=config_frr_exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_include_all_update(self, lsp=None, instances=None, config_frr_include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param instances: kwarg tuple.
		:type instances: (instance_id, lsp_id).

		:param instance_id: tuple arg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: tuple arg.
		:type lsp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param config_frr_include_all: kwarg tuple.
		:type config_frr_include_all: (admin_group_id).

		:param admin_group_id: tuple arg.
		:type admin_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param admin_group_name: kwarg.
		:type admin_group_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_frr_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_include_all=config_frr_include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_include_any_update(self, lsp=None, instances=None, config_frr_include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param instances: kwarg tuple.
		:type instances: (instance_id, lsp_id).

		:param instance_id: tuple arg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: tuple arg.
		:type lsp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param config_frr_include_any: kwarg tuple.
		:type config_frr_include_any: (admin_group_id).

		:param admin_group_id: tuple arg.
		:type admin_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param admin_group_name: kwarg.
		:type admin_group_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_frr_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_frr_include_any=config_frr_include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_include_all_update(self, lsp=None, instances=None, config_include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param instances: kwarg tuple.
		:type instances: (instance_id, lsp_id).

		:param instance_id: tuple arg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: tuple arg.
		:type lsp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param config_include_all: kwarg tuple.
		:type config_include_all: (admin_group_id).

		:param admin_group_id: tuple arg.
		:type admin_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param admin_group_name: kwarg.
		:type admin_group_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_include_all=config_include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_include_any_update(self, lsp=None, instances=None, config_include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param instances: kwarg tuple.
		:type instances: (instance_id, lsp_id).

		:param instance_id: tuple arg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: tuple arg.
		:type lsp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param config_include_any: kwarg tuple.
		:type config_include_any: (admin_group_id).

		:param admin_group_id: tuple arg.
		:type admin_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param admin_group_name: kwarg.
		:type admin_group_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, config_include_any=config_include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_exclude_hops_update(self, lsp=None, instances=None, cspf_exclude_hops=None, type=None, hop_is_router_id=None, protection=None, node_protection=None, bandwidth_protection=None, protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param instances: kwarg tuple.
		:type instances: (instance_id, lsp_id).

		:param instance_id: tuple arg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: tuple arg.
		:type lsp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param cspf_exclude_hops: kwarg tuple.
		:type cspf_exclude_hops: (hop_index, hop_address).

		:param hop_index: tuple arg.
		:type hop_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hop_address: tuple arg.
		:type hop_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param type: kwarg.
		:type type: (unicode)
		
		.. note::
			* enum - [u'strict', u'loose']

		:param hop_is_router_id: kwarg.
		:type hop_is_router_id: (YANGBool)

		:param protection: kwarg.
		:type protection: (YANGBool)

		:param node_protection: kwarg.
		:type node_protection: (YANGBool)

		:param bandwidth_protection: kwarg.
		:type bandwidth_protection: (YANGBool)

		:param protection_in_use: kwarg.
		:type protection_in_use: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_exclude_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_path_hops_update(self, lsp=None, instances=None, cspf_path_hops=None, type=None, hop_is_router_id=None, protection=None, node_protection=None, bandwidth_protection=None, protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param instances: kwarg tuple.
		:type instances: (instance_id, lsp_id).

		:param instance_id: tuple arg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: tuple arg.
		:type lsp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param cspf_path_hops: kwarg tuple.
		:type cspf_path_hops: (hop_index, hop_address).

		:param hop_index: tuple arg.
		:type hop_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hop_address: tuple arg.
		:type hop_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param type: kwarg.
		:type type: (unicode)
		
		.. note::
			* enum - [u'strict', u'loose']

		:param hop_is_router_id: kwarg.
		:type hop_is_router_id: (YANGBool)

		:param protection: kwarg.
		:type protection: (YANGBool)

		:param node_protection: kwarg.
		:type node_protection: (YANGBool)

		:param bandwidth_protection: kwarg.
		:type bandwidth_protection: (YANGBool)

		:param protection_in_use: kwarg.
		:type protection_in_use: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_path_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_rro_hops_update(self, lsp=None, instances=None, rsvp_session_rro_hops=None, type=None, hop_is_router_id=None, protection=None, node_protection=None, bandwidth_protection=None, protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param instances: kwarg tuple.
		:type instances: (instance_id, lsp_id).

		:param instance_id: tuple arg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_id: tuple arg.
		:type lsp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param rsvp_session_rro_hops: kwarg tuple.
		:type rsvp_session_rro_hops: (hop_index, hop_address).

		:param hop_index: tuple arg.
		:type hop_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hop_address: tuple arg.
		:type hop_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param type: kwarg.
		:type type: (unicode)
		
		.. note::
			* enum - [u'strict', u'loose']

		:param hop_is_router_id: kwarg.
		:type hop_is_router_id: (YANGBool)

		:param protection: kwarg.
		:type protection: (YANGBool)

		:param node_protection: kwarg.
		:type node_protection: (YANGBool)

		:param bandwidth_protection: kwarg.
		:type bandwidth_protection: (YANGBool)

		:param protection_in_use: kwarg.
		:type protection_in_use: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rsvp_session_rro_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_update(self, lsp=None, secondary_path=None, path_up=None, active=None, instance_id=None, committed=None, is_new_instance=None, is_current_secondary=None, is_selected_secondary=None, config_adaptive=None, config_reoptimize_timer_configured=None, config_reoptimize_timer=None, config_reoptimize_timer_count=None, config_tspec_mtu_configured=None, config_tspec_mtu=None, config_cos_configured=None, config_cos=None, config_mtu_configured=None, config_mtu=None, config_tie_breaking_configured=None, config_tie_break_random=None, config_tie_break_least_fill=None, config_tie_break_most_fill=None, config_cspf_disabled=None, config_rro_disabled=None, config_hot_standby=None, config_pinned=None, config_persistent=None, config_soft_prempt=None, config_priority_configured=None, config_setup_prority=None, config_holding_prority=None, config_hop_limit_configured=None, config_hop_limit=None, config_traffic_eng_rate_configured=None, config_traffic_eng_mean_rate=None, config_traffic_eng_max_rate=None, config_traffic_eng_max_burst=None, config_abw_configured=None, config_cspf_computation_mode=None, config_admin_group_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param secondary_path: kwarg tuple.
		:type secondary_path: (path_name).

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Arg(s)**:
		:param path_up: kwarg.
		:type path_up: (YANGBool)

		:param active: kwarg.
		:type active: (YANGBool)

		:param instance_id: kwarg.
		:type instance_id: (YANGBool)

		:param committed: kwarg.
		:type committed: (YANGBool)

		:param is_new_instance: kwarg.
		:type is_new_instance: (YANGBool)

		:param is_current_secondary: kwarg.
		:type is_current_secondary: (YANGBool)

		:param is_selected_secondary: kwarg.
		:type is_selected_secondary: (YANGBool)

		:param config_adaptive: kwarg.
		:type config_adaptive: (YANGBool)

		:param config_reoptimize_timer_configured: kwarg.
		:type config_reoptimize_timer_configured: (YANGBool)

		:param config_reoptimize_timer: kwarg.
		:type config_reoptimize_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_reoptimize_timer_count: kwarg.
		:type config_reoptimize_timer_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_tspec_mtu_configured: kwarg.
		:type config_tspec_mtu_configured: (YANGBool)

		:param config_tspec_mtu: kwarg.
		:type config_tspec_mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_cos_configured: kwarg.
		:type config_cos_configured: (YANGBool)

		:param config_cos: kwarg.
		:type config_cos: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_mtu_configured: kwarg.
		:type config_mtu_configured: (YANGBool)

		:param config_mtu: kwarg.
		:type config_mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_tie_breaking_configured: kwarg.
		:type config_tie_breaking_configured: (YANGBool)

		:param config_tie_break_random: kwarg.
		:type config_tie_break_random: (YANGBool)

		:param config_tie_break_least_fill: kwarg.
		:type config_tie_break_least_fill: (YANGBool)

		:param config_tie_break_most_fill: kwarg.
		:type config_tie_break_most_fill: (YANGBool)

		:param config_cspf_disabled: kwarg.
		:type config_cspf_disabled: (YANGBool)

		:param config_rro_disabled: kwarg.
		:type config_rro_disabled: (YANGBool)

		:param config_hot_standby: kwarg.
		:type config_hot_standby: (YANGBool)

		:param config_pinned: kwarg.
		:type config_pinned: (YANGBool)

		:param config_persistent: kwarg.
		:type config_persistent: (YANGBool)

		:param config_soft_prempt: kwarg.
		:type config_soft_prempt: (YANGBool)

		:param config_priority_configured: kwarg.
		:type config_priority_configured: (YANGBool)

		:param config_setup_prority: kwarg.
		:type config_setup_prority: (int)
		
		.. note::
			* range - ['0..255']

		:param config_holding_prority: kwarg.
		:type config_holding_prority: (int)
		
		.. note::
			* range - ['0..255']

		:param config_hop_limit_configured: kwarg.
		:type config_hop_limit_configured: (YANGBool)

		:param config_hop_limit: kwarg.
		:type config_hop_limit: (int)
		
		.. note::
			* range - ['0..255']

		:param config_traffic_eng_rate_configured: kwarg.
		:type config_traffic_eng_rate_configured: (YANGBool)

		:param config_traffic_eng_mean_rate: kwarg.
		:type config_traffic_eng_mean_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_traffic_eng_max_rate: kwarg.
		:type config_traffic_eng_max_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_traffic_eng_max_burst: kwarg.
		:type config_traffic_eng_max_burst: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param config_abw_configured: kwarg.
		:type config_abw_configured: (YANGBool)

		:param config_cspf_computation_mode: kwarg.
		:type config_cspf_computation_mode: (unicode)
		
		.. note::
			* enum - [u'cspf-computation-mode-use-igp-metric-global', u'cspf-computation-mode-use-bypass-metric', u'cspf-computation-mode-default', u'cspf-computation-mode-use-igp-metric', u'cspf-computation-mode-use-te-metric', u'cspf-computation-mode-use-bypass-liberal', u'cspf-computation-mode-use-te-metric-global']

		:param config_admin_group_configured: kwarg.
		:type config_admin_group_configured: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, path_up=path_up, active=active, instance_id=instance_id, committed=committed, is_new_instance=is_new_instance, is_current_secondary=is_current_secondary, is_selected_secondary=is_selected_secondary, config_adaptive=config_adaptive, config_reoptimize_timer_configured=config_reoptimize_timer_configured, config_reoptimize_timer=config_reoptimize_timer, config_reoptimize_timer_count=config_reoptimize_timer_count, config_tspec_mtu_configured=config_tspec_mtu_configured, config_tspec_mtu=config_tspec_mtu, config_cos_configured=config_cos_configured, config_cos=config_cos, config_mtu_configured=config_mtu_configured, config_mtu=config_mtu, config_tie_breaking_configured=config_tie_breaking_configured, config_tie_break_random=config_tie_break_random, config_tie_break_least_fill=config_tie_break_least_fill, config_tie_break_most_fill=config_tie_break_most_fill, config_cspf_disabled=config_cspf_disabled, config_rro_disabled=config_rro_disabled, config_hot_standby=config_hot_standby, config_pinned=config_pinned, config_persistent=config_persistent, config_soft_prempt=config_soft_prempt, config_priority_configured=config_priority_configured, config_setup_prority=config_setup_prority, config_holding_prority=config_holding_prority, config_hop_limit_configured=config_hop_limit_configured, config_hop_limit=config_hop_limit, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate, config_traffic_eng_max_rate=config_traffic_eng_max_rate, config_traffic_eng_max_burst=config_traffic_eng_max_burst, config_abw_configured=config_abw_configured, config_cspf_computation_mode=config_cspf_computation_mode, config_admin_group_configured=config_admin_group_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_exclude_any_update(self, lsp=None, secondary_path=None, config_exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param secondary_path: kwarg tuple.
		:type secondary_path: (path_name).

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param config_exclude_any: kwarg tuple.
		:type config_exclude_any: (admin_group_id).

		:param admin_group_id: tuple arg.
		:type admin_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param admin_group_name: kwarg.
		:type admin_group_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_include_all_update(self, lsp=None, secondary_path=None, config_include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param secondary_path: kwarg tuple.
		:type secondary_path: (path_name).

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param config_include_all: kwarg tuple.
		:type config_include_all: (admin_group_id).

		:param admin_group_id: tuple arg.
		:type admin_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param admin_group_name: kwarg.
		:type admin_group_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_include_all=config_include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_include_any_update(self, lsp=None, secondary_path=None, config_include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param secondary_path: kwarg tuple.
		:type secondary_path: (path_name).

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param config_include_any: kwarg tuple.
		:type config_include_any: (admin_group_id).

		:param admin_group_id: tuple arg.
		:type admin_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param admin_group_name: kwarg.
		:type admin_group_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, config_include_any=config_include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_update(self, total_non_pool_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param total_non_pool_memory: kwarg.
		:type total_non_pool_memory: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_non_pool_memory=total_non_pool_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_pools_sub_pools_update(self, pools=None, sub_pools=None, gen_size=None, block_size=None, gen_blocks=None, current_gens=None, current_blocks=None, free_blocks=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param pools: kwarg tuple.
		:type pools: (pool_index).

		:param pool_index: tuple arg.
		:type pool_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param sub_pools: kwarg tuple.
		:type sub_pools: (sub_pool_index).

		:param sub_pool_index: tuple arg.
		:type sub_pool_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param gen_size: kwarg.
		:type gen_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param block_size: kwarg.
		:type block_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param gen_blocks: kwarg.
		:type gen_blocks: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param current_gens: kwarg.
		:type current_gens: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param current_blocks: kwarg.
		:type current_blocks: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param free_blocks: kwarg.
		:type free_blocks: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', u'pools')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pool_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sub_pools', 'keyval': 'sub_pool_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pools=pools, sub_pools=sub_pools, gen_size=gen_size, block_size=block_size, gen_blocks=gen_blocks, current_gens=current_gens, current_blocks=current_blocks, free_blocks=free_blocks)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_stats_update(self, stats=None, mem_type=None, num_alloc=None, total_bytes=None, total_allocs=None, total_frees=None, peak_alloc=None, alloc_fails=None, free_fails=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param stats: kwarg tuple.
		:type stats: (mem_stats_index).

		:param mem_stats_index: tuple arg.
		:type mem_stats_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mem_type: kwarg.
		:type mem_type: (unicode)

		:param num_alloc: kwarg.
		:type num_alloc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_bytes: kwarg.
		:type total_bytes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_allocs: kwarg.
		:type total_allocs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_frees: kwarg.
		:type total_frees: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param peak_alloc: kwarg.
		:type peak_alloc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param alloc_fails: kwarg.
		:type alloc_fails: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param free_fails: kwarg.
		:type free_fails: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, stats=stats, mem_type=mem_type, num_alloc=num_alloc, total_bytes=total_bytes, total_allocs=total_allocs, total_frees=total_frees, peak_alloc=peak_alloc, alloc_fails=alloc_fails, free_fails=free_fails)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_total_non_pool_memory_update(self, total_non_pool_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param total_non_pool_memory: kwarg.
		:type total_non_pool_memory: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, total_non_pool_memory=total_non_pool_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_path_update(self, path=None, usage_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param path: kwarg tuple.
		:type path: (path_name).

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Arg(s)**:
		:param usage_count: kwarg.
		:type usage_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, usage_count=usage_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_path_path_hops_update(self, path=None, path_hops=None, hop_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param path: kwarg tuple.
		:type path: (path_name).

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param path_hops: kwarg tuple.
		:type path_hops: (hop_address).

		:param hop_address: tuple arg.
		:type hop_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param hop_type: kwarg.
		:type hop_type: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_hops', 'keyval': 'hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_hops=path_hops, hop_type=hop_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_path_path_lsps_update(self, path=None, path_lsps=None, lsp_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param path: kwarg tuple.
		:type path: (path_name).

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param path_lsps: kwarg tuple.
		:type path_lsps: (lsp_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

	**This Instance Arg(s)**:
		:param lsp_type: kwarg.
		:type lsp_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_lsps', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_lsps', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_lsps=path_lsps, lsp_type=lsp_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_update(self, cspf_intf=None, cspf_group_computation_mode=None, cspf_comp_mode=None, cspf_comp_ignore_overload_bit=None, implicit_commit_value=None, propagate_ttl=None, label_propagate_ttl=None, vrf_propagate_ttl=None, rtm_route_filter_enabled=None, rtm_route_filter_all_ibgp_enabled=None, ingress_tnnl_actg=None, transit_session_actg=None, load_interval=None, te_policy_protocol=None, te_policy_flags=None, te_policy_area=None, handle_isis_nbr_down=None, handle_ospf_nbr_down=None, max_lsp_retries=None, fast_retry_on=None, lsp_retry_interval=None, frr_backup_retry_interval=None, auto_bandwidth_enabled=None, autobw_sample_interval=None, autobw_num_sample_record=None, soft_preempt_cleanup_timer=None, rsvp_periodic_flooding_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cspf_intf: kwarg.
		:type cspf_intf: (int)
		
		.. note::
			* range - ['0..255']

		:param cspf_group_computation_mode: kwarg.
		:type cspf_group_computation_mode: (unicode)
		
		.. note::
			* enum - [u'mpls-cspf-grp-comp-mode-default', u'mpls-cspf-grp-comp-mode-exclude-groups', u'mpls-cspf-grp-comp-mode-high-cost', u'mpls-cspf-grp-comp-mode-add-penalty', u'mpls-cspf-grp-comp-mode-max']

		:param cspf_comp_mode: kwarg.
		:type cspf_comp_mode: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cspf_comp_ignore_overload_bit: kwarg.
		:type cspf_comp_ignore_overload_bit: (int)
		
		.. note::
			* range - ['0..255']

		:param implicit_commit_value: kwarg.
		:type implicit_commit_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param propagate_ttl: kwarg.
		:type propagate_ttl: (int)
		
		.. note::
			* range - ['0..255']

		:param label_propagate_ttl: kwarg.
		:type label_propagate_ttl: (int)
		
		.. note::
			* range - ['0..255']

		:param vrf_propagate_ttl: kwarg.
		:type vrf_propagate_ttl: (int)
		
		.. note::
			* range - ['0..255']

		:param rtm_route_filter_enabled: kwarg.
		:type rtm_route_filter_enabled: (YANGBool)

		:param rtm_route_filter_all_ibgp_enabled: kwarg.
		:type rtm_route_filter_all_ibgp_enabled: (YANGBool)

		:param ingress_tnnl_actg: kwarg.
		:type ingress_tnnl_actg: (int)
		
		.. note::
			* range - ['0..255']

		:param transit_session_actg: kwarg.
		:type transit_session_actg: (int)
		
		.. note::
			* range - ['0..255']

		:param load_interval: kwarg.
		:type load_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param te_policy_protocol: kwarg.
		:type te_policy_protocol: (unicode)
		
		.. note::
			* enum - [u'mpls-te-none', u'mpls-te-ospf', u'mpls-te-isis']

		:param te_policy_flags: kwarg.
		:type te_policy_flags: (int)
		
		.. note::
			* range - ['0..65535']

		:param te_policy_area: kwarg.
		:type te_policy_area: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param handle_isis_nbr_down: kwarg.
		:type handle_isis_nbr_down: (int)
		
		.. note::
			* range - ['0..255']

		:param handle_ospf_nbr_down: kwarg.
		:type handle_ospf_nbr_down: (int)
		
		.. note::
			* range - ['0..255']

		:param max_lsp_retries: kwarg.
		:type max_lsp_retries: (int)
		
		.. note::
			* range - ['0..65535']

		:param fast_retry_on: kwarg.
		:type fast_retry_on: (int)
		
		.. note::
			* range - ['0..255']

		:param lsp_retry_interval: kwarg.
		:type lsp_retry_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param frr_backup_retry_interval: kwarg.
		:type frr_backup_retry_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param auto_bandwidth_enabled: kwarg.
		:type auto_bandwidth_enabled: (int)
		
		.. note::
			* range - ['0..255']

		:param autobw_sample_interval: kwarg.
		:type autobw_sample_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param autobw_num_sample_record: kwarg.
		:type autobw_num_sample_record: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param soft_preempt_cleanup_timer: kwarg.
		:type soft_preempt_cleanup_timer: (int)
		
		.. note::
			* range - ['0..65535']

		:param rsvp_periodic_flooding_timer: kwarg.
		:type rsvp_periodic_flooding_timer: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_intf=cspf_intf, cspf_group_computation_mode=cspf_group_computation_mode, cspf_comp_mode=cspf_comp_mode, cspf_comp_ignore_overload_bit=cspf_comp_ignore_overload_bit, implicit_commit_value=implicit_commit_value, propagate_ttl=propagate_ttl, label_propagate_ttl=label_propagate_ttl, vrf_propagate_ttl=vrf_propagate_ttl, rtm_route_filter_enabled=rtm_route_filter_enabled, rtm_route_filter_all_ibgp_enabled=rtm_route_filter_all_ibgp_enabled, ingress_tnnl_actg=ingress_tnnl_actg, transit_session_actg=transit_session_actg, load_interval=load_interval, te_policy_protocol=te_policy_protocol, te_policy_flags=te_policy_flags, te_policy_area=te_policy_area, handle_isis_nbr_down=handle_isis_nbr_down, handle_ospf_nbr_down=handle_ospf_nbr_down, max_lsp_retries=max_lsp_retries, fast_retry_on=fast_retry_on, lsp_retry_interval=lsp_retry_interval, frr_backup_retry_interval=frr_backup_retry_interval, auto_bandwidth_enabled=auto_bandwidth_enabled, autobw_sample_interval=autobw_sample_interval, autobw_num_sample_record=autobw_num_sample_record, soft_preempt_cleanup_timer=soft_preempt_cleanup_timer, rsvp_periodic_flooding_timer=rsvp_periodic_flooding_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_admin_groups_update(self, admin_groups=None, group_number=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param admin_groups: kwarg tuple.
		:type admin_groups: (name).

		:param name: tuple arg.
		:type name: (unicode)

	**This Instance Arg(s)**:
		:param group_number: kwarg.
		:type group_number: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy.admin_groups', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'admin_groups', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, admin_groups=admin_groups, group_number=group_number)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_auto_bandwidth_enabled_update(self, cspf_intf=None, cspf_group_computation_mode=None, cspf_comp_mode=None, cspf_comp_ignore_overload_bit=None, implicit_commit_value=None, propagate_ttl=None, label_propagate_ttl=None, vrf_propagate_ttl=None, rtm_route_filter_enabled=None, rtm_route_filter_all_ibgp_enabled=None, ingress_tnnl_actg=None, transit_session_actg=None, load_interval=None, te_policy_protocol=None, te_policy_flags=None, te_policy_area=None, handle_isis_nbr_down=None, handle_ospf_nbr_down=None, max_lsp_retries=None, fast_retry_on=None, lsp_retry_interval=None, frr_backup_retry_interval=None, auto_bandwidth_enabled=None, autobw_sample_interval=None, autobw_num_sample_record=None, soft_preempt_cleanup_timer=None, rsvp_periodic_flooding_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cspf_intf: kwarg.
		:type cspf_intf: (int)
		
		.. note::
			* range - ['0..255']

		:param cspf_group_computation_mode: kwarg.
		:type cspf_group_computation_mode: (unicode)
		
		.. note::
			* enum - [u'mpls-cspf-grp-comp-mode-default', u'mpls-cspf-grp-comp-mode-exclude-groups', u'mpls-cspf-grp-comp-mode-high-cost', u'mpls-cspf-grp-comp-mode-add-penalty', u'mpls-cspf-grp-comp-mode-max']

		:param cspf_comp_mode: kwarg.
		:type cspf_comp_mode: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cspf_comp_ignore_overload_bit: kwarg.
		:type cspf_comp_ignore_overload_bit: (int)
		
		.. note::
			* range - ['0..255']

		:param implicit_commit_value: kwarg.
		:type implicit_commit_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param propagate_ttl: kwarg.
		:type propagate_ttl: (int)
		
		.. note::
			* range - ['0..255']

		:param label_propagate_ttl: kwarg.
		:type label_propagate_ttl: (int)
		
		.. note::
			* range - ['0..255']

		:param vrf_propagate_ttl: kwarg.
		:type vrf_propagate_ttl: (int)
		
		.. note::
			* range - ['0..255']

		:param rtm_route_filter_enabled: kwarg.
		:type rtm_route_filter_enabled: (YANGBool)

		:param rtm_route_filter_all_ibgp_enabled: kwarg.
		:type rtm_route_filter_all_ibgp_enabled: (YANGBool)

		:param ingress_tnnl_actg: kwarg.
		:type ingress_tnnl_actg: (int)
		
		.. note::
			* range - ['0..255']

		:param transit_session_actg: kwarg.
		:type transit_session_actg: (int)
		
		.. note::
			* range - ['0..255']

		:param load_interval: kwarg.
		:type load_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param te_policy_protocol: kwarg.
		:type te_policy_protocol: (unicode)
		
		.. note::
			* enum - [u'mpls-te-none', u'mpls-te-ospf', u'mpls-te-isis']

		:param te_policy_flags: kwarg.
		:type te_policy_flags: (int)
		
		.. note::
			* range - ['0..65535']

		:param te_policy_area: kwarg.
		:type te_policy_area: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param handle_isis_nbr_down: kwarg.
		:type handle_isis_nbr_down: (int)
		
		.. note::
			* range - ['0..255']

		:param handle_ospf_nbr_down: kwarg.
		:type handle_ospf_nbr_down: (int)
		
		.. note::
			* range - ['0..255']

		:param max_lsp_retries: kwarg.
		:type max_lsp_retries: (int)
		
		.. note::
			* range - ['0..65535']

		:param fast_retry_on: kwarg.
		:type fast_retry_on: (int)
		
		.. note::
			* range - ['0..255']

		:param lsp_retry_interval: kwarg.
		:type lsp_retry_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param frr_backup_retry_interval: kwarg.
		:type frr_backup_retry_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param auto_bandwidth_enabled: kwarg.
		:type auto_bandwidth_enabled: (int)
		
		.. note::
			* range - ['0..255']

		:param autobw_sample_interval: kwarg.
		:type autobw_sample_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param autobw_num_sample_record: kwarg.
		:type autobw_num_sample_record: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param soft_preempt_cleanup_timer: kwarg.
		:type soft_preempt_cleanup_timer: (int)
		
		.. note::
			* range - ['0..65535']

		:param rsvp_periodic_flooding_timer: kwarg.
		:type rsvp_periodic_flooding_timer: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_intf=cspf_intf, cspf_group_computation_mode=cspf_group_computation_mode, cspf_comp_mode=cspf_comp_mode, cspf_comp_ignore_overload_bit=cspf_comp_ignore_overload_bit, implicit_commit_value=implicit_commit_value, propagate_ttl=propagate_ttl, label_propagate_ttl=label_propagate_ttl, vrf_propagate_ttl=vrf_propagate_ttl, rtm_route_filter_enabled=rtm_route_filter_enabled, rtm_route_filter_all_ibgp_enabled=rtm_route_filter_all_ibgp_enabled, ingress_tnnl_actg=ingress_tnnl_actg, transit_session_actg=transit_session_actg, load_interval=load_interval, te_policy_protocol=te_policy_protocol, te_policy_flags=te_policy_flags, te_policy_area=te_policy_area, handle_isis_nbr_down=handle_isis_nbr_down, handle_ospf_nbr_down=handle_ospf_nbr_down, max_lsp_retries=max_lsp_retries, fast_retry_on=fast_retry_on, lsp_retry_interval=lsp_retry_interval, frr_backup_retry_interval=frr_backup_retry_interval, auto_bandwidth_enabled=auto_bandwidth_enabled, autobw_sample_interval=autobw_sample_interval, autobw_num_sample_record=autobw_num_sample_record, soft_preempt_cleanup_timer=soft_preempt_cleanup_timer, rsvp_periodic_flooding_timer=rsvp_periodic_flooding_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_route_update(self, route=None, outseg_index=None, dest_ip_prefix=None, gateway_ip_addr=None, out_interface_name=None, out_label=None, protocol=None, vif_index=None, metric=None, use_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param route: kwarg tuple.
		:type route: (entry_index).

		:param entry_index: tuple arg.
		:type entry_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param outseg_index: kwarg.
		:type outseg_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dest_ip_prefix: kwarg.
		:type dest_ip_prefix: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param gateway_ip_addr: kwarg.
		:type gateway_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param out_interface_name: kwarg.
		:type out_interface_name: (unicode)

		:param out_label: kwarg.
		:type out_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param protocol: kwarg.
		:type protocol: (unicode)
		
		.. note::
			* enum - [u'mpls-protocol-none', u'mpls-protocol-ldp', u'mpls-protocol-rsvp']

		:param vif_index: kwarg.
		:type vif_index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param metric: kwarg.
		:type metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_count: kwarg.
		:type use_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, outseg_index=outseg_index, dest_ip_prefix=dest_ip_prefix, gateway_ip_addr=gateway_ip_addr, out_interface_name=out_interface_name, out_label=out_label, protocol=protocol, vif_index=vif_index, metric=metric, use_count=use_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_update(self, protocol_status=None, refresh_interval=None, refresh_multiple=None, transport_address=None, delay_resv_sending=None, backup_bandwidth_requirement=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param protocol_status: kwarg.
		:type protocol_status: (YANGBool)

		:param refresh_interval: kwarg.
		:type refresh_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param refresh_multiple: kwarg.
		:type refresh_multiple: (int)
		
		.. note::
			* range - ['0..65535']

		:param transport_address: kwarg.
		:type transport_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param delay_resv_sending: kwarg.
		:type delay_resv_sending: (YANGBool)

		:param backup_bandwidth_requirement: kwarg.
		:type backup_bandwidth_requirement: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_status=protocol_status, refresh_interval=refresh_interval, refresh_multiple=refresh_multiple, transport_address=transport_address, delay_resv_sending=delay_resv_sending, backup_bandwidth_requirement=backup_bandwidth_requirement)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_backup_bandwidth_requirement_update(self, protocol_status=None, refresh_interval=None, refresh_multiple=None, transport_address=None, delay_resv_sending=None, backup_bandwidth_requirement=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param protocol_status: kwarg.
		:type protocol_status: (YANGBool)

		:param refresh_interval: kwarg.
		:type refresh_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param refresh_multiple: kwarg.
		:type refresh_multiple: (int)
		
		.. note::
			* range - ['0..65535']

		:param transport_address: kwarg.
		:type transport_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param delay_resv_sending: kwarg.
		:type delay_resv_sending: (YANGBool)

		:param backup_bandwidth_requirement: kwarg.
		:type backup_bandwidth_requirement: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, protocol_status=protocol_status, refresh_interval=refresh_interval, refresh_multiple=refresh_multiple, transport_address=transport_address, delay_resv_sending=delay_resv_sending, backup_bandwidth_requirement=backup_bandwidth_requirement)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_update(self, isis_nbr_down_enabled=None, ospf_nbr_down_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param isis_nbr_down_enabled: kwarg.
		:type isis_nbr_down_enabled: (YANGBool)

		:param ospf_nbr_down_enabled: kwarg.
		:type ospf_nbr_down_enabled: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_nbr_down_enabled=isis_nbr_down_enabled, ospf_nbr_down_enabled=ospf_nbr_down_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_isis_nbr_down_enabled_update(self, isis_nbr_down_enabled=None, ospf_nbr_down_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param isis_nbr_down_enabled: kwarg.
		:type isis_nbr_down_enabled: (YANGBool)

		:param ospf_nbr_down_enabled: kwarg.
		:type ospf_nbr_down_enabled: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_nbr_down_enabled=isis_nbr_down_enabled, ospf_nbr_down_enabled=ospf_nbr_down_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_update(self, link=None, remote_ip=None, lsp_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param link: kwarg tuple.
		:type link: (ip_address, nbr_ip_address).

		:param ip_address: tuple arg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param nbr_ip_address: tuple arg.
		:type nbr_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param remote_ip: kwarg.
		:type remote_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param lsp_count: kwarg.
		:type lsp_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, remote_ip=remote_ip, lsp_count=lsp_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_update(self, link=None, lsp=None, cspf_enabled=None, rro_enabled=None, frr_enabled=None, nbr_down_enabled=None, link_count=None, nbr_down_inprogress=None, cspf_hop_count=None, rro_hop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param link: kwarg tuple.
		:type link: (ip_address, nbr_ip_address).

		:param ip_address: tuple arg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param nbr_ip_address: tuple arg.
		:type nbr_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Keyword Arg Tuple**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name, path_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Arg(s)**:
		:param cspf_enabled: kwarg.
		:type cspf_enabled: (YANGBool)

		:param rro_enabled: kwarg.
		:type rro_enabled: (YANGBool)

		:param frr_enabled: kwarg.
		:type frr_enabled: (YANGBool)

		:param nbr_down_enabled: kwarg.
		:type nbr_down_enabled: (YANGBool)

		:param link_count: kwarg.
		:type link_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nbr_down_inprogress: kwarg.
		:type nbr_down_inprogress: (YANGBool)

		:param cspf_hop_count: kwarg.
		:type cspf_hop_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rro_hop_count: kwarg.
		:type rro_hop_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, cspf_enabled=cspf_enabled, rro_enabled=rro_enabled, frr_enabled=frr_enabled, nbr_down_enabled=nbr_down_enabled, link_count=link_count, nbr_down_inprogress=nbr_down_inprogress, cspf_hop_count=cspf_hop_count, rro_hop_count=rro_hop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_cspf_hop_update(self, link=None, lsp=None, cspf_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param link: kwarg tuple.
		:type link: (ip_address, nbr_ip_address).

		:param ip_address: tuple arg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param nbr_ip_address: tuple arg.
		:type nbr_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param lsp: kwarg tuple.
		:type lsp: (lsp_name, path_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param cspf_hop: kwarg tuple.
		:type cspf_hop: (index).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ip_address: kwarg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param nbr_ip_address: kwarg.
		:type nbr_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_link_update(self, link=None, lsp=None, link_=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param link: kwarg tuple.
		:type link: (ip_address, nbr_ip_address).

		:param ip_address: tuple arg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param nbr_ip_address: tuple arg.
		:type nbr_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param lsp: kwarg tuple.
		:type lsp: (lsp_name, path_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param link_: kwarg tuple.
		:type link_: (index).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ip_address: kwarg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param nbr_ip_address: kwarg.
		:type nbr_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link_', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, link_=link_, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_rro_hop_update(self, link=None, lsp=None, rro_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param link: kwarg tuple.
		:type link: (ip_address, nbr_ip_address).

		:param ip_address: tuple arg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param nbr_ip_address: tuple arg.
		:type nbr_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param lsp: kwarg tuple.
		:type lsp: (lsp_name, path_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param rro_hop: kwarg tuple.
		:type rro_hop: (index).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ip_address: kwarg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param nbr_ip_address: kwarg.
		:type nbr_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link=link, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_update(self, lsp=None, cspf_enabled=None, rro_enabled=None, frr_enabled=None, nbr_down_enabled=None, link_count=None, nbr_down_inprogress=None, cspf_hop_count=None, rro_hop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name, path_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Arg(s)**:
		:param cspf_enabled: kwarg.
		:type cspf_enabled: (YANGBool)

		:param rro_enabled: kwarg.
		:type rro_enabled: (YANGBool)

		:param frr_enabled: kwarg.
		:type frr_enabled: (YANGBool)

		:param nbr_down_enabled: kwarg.
		:type nbr_down_enabled: (YANGBool)

		:param link_count: kwarg.
		:type link_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nbr_down_inprogress: kwarg.
		:type nbr_down_inprogress: (YANGBool)

		:param cspf_hop_count: kwarg.
		:type cspf_hop_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rro_hop_count: kwarg.
		:type rro_hop_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, cspf_enabled=cspf_enabled, rro_enabled=rro_enabled, frr_enabled=frr_enabled, nbr_down_enabled=nbr_down_enabled, link_count=link_count, nbr_down_inprogress=nbr_down_inprogress, cspf_hop_count=cspf_hop_count, rro_hop_count=rro_hop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_cspf_hop_update(self, lsp=None, cspf_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name, path_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param cspf_hop: kwarg tuple.
		:type cspf_hop: (index).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ip_address: kwarg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param nbr_ip_address: kwarg.
		:type nbr_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_link_update(self, lsp=None, link=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name, path_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param link: kwarg tuple.
		:type link: (index).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ip_address: kwarg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param nbr_ip_address: kwarg.
		:type nbr_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, link=link, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_rro_hop_update(self, lsp=None, rro_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name, path_name).

		:param lsp_name: tuple arg.
		:type lsp_name: (unicode)

		:param path_name: tuple arg.
		:type path_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param rro_hop: kwarg tuple.
		:type rro_hop: (index).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ip_address: kwarg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param nbr_ip_address: kwarg.
		:type nbr_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_update(self, interfaces=None, interface_name=None, interface_type=None, admin_status=None, oper_status=None, is_tunnel_interface=None, hello_interval=None, hello_tolerance=None, hello_status=None, is_md5_auth_enabled=None, reliable_messages=None, bundle_messages=None, summary_refresh=None, active_outsegs=None, inactive_outsegs=None, bandwith_resv_outsegs=None, active_backup_outsegs=None, inactive_backup_outsegs=None, interface_preempts=None, interface_resv_soft_preempts=None, interface_flooding_up_threshold=None, interface_flooding_down_threshold=None, duplicate_preempts_dropped=None, bypass_interface=None, interface_tunnel_name=None, bypass_tunnel_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param interfaces: kwarg tuple.
		:type interfaces: (interface_index).

		:param interface_index: tuple arg.
		:type interface_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param interface_type: kwarg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'dcm-interface-type-unknown', u'dcm-interface-type-loopback', u'dcm-interface-type-ethernet', u'dcm-interface-type-ve', u'dcm-interface-type-fiber-channel', u'dcm-interface-type-port-channel']

		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param oper_status: kwarg.
		:type oper_status: (YANGBool)

		:param is_tunnel_interface: kwarg.
		:type is_tunnel_interface: (YANGBool)

		:param hello_interval: kwarg.
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_tolerance: kwarg.
		:type hello_tolerance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_status: kwarg.
		:type hello_status: (unicode)
		
		.. note::
			* enum - [u'disabled', u'enabled-local', u'disabled-global', u'disabled-local', u'enabled-global']

		:param is_md5_auth_enabled: kwarg.
		:type is_md5_auth_enabled: (YANGBool)

		:param reliable_messages: kwarg.
		:type reliable_messages: (unicode)
		
		.. note::
			* enum - [u'disabled', u'enabled-local', u'disabled-global', u'disabled-local', u'enabled-global']

		:param bundle_messages: kwarg.
		:type bundle_messages: (unicode)
		
		.. note::
			* enum - [u'disabled', u'enabled-local', u'disabled-global', u'disabled-local', u'enabled-global']

		:param summary_refresh: kwarg.
		:type summary_refresh: (unicode)
		
		.. note::
			* enum - [u'disabled', u'enabled-local', u'disabled-global', u'disabled-local', u'enabled-global']

		:param active_outsegs: kwarg.
		:type active_outsegs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param inactive_outsegs: kwarg.
		:type inactive_outsegs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bandwith_resv_outsegs: kwarg.
		:type bandwith_resv_outsegs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param active_backup_outsegs: kwarg.
		:type active_backup_outsegs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param inactive_backup_outsegs: kwarg.
		:type inactive_backup_outsegs: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_preempts: kwarg.
		:type interface_preempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_resv_soft_preempts: kwarg.
		:type interface_resv_soft_preempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_flooding_up_threshold: kwarg.
		:type interface_flooding_up_threshold: (unicode)
		
		.. note::
			* enum - [u'local-config', u'default-config', u'global-config']

		:param interface_flooding_down_threshold: kwarg.
		:type interface_flooding_down_threshold: (unicode)
		
		.. note::
			* enum - [u'local-config', u'default-config', u'global-config']

		:param duplicate_preempts_dropped: kwarg.
		:type duplicate_preempts_dropped: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_interface: kwarg.
		:type bypass_interface: (YANGBool)

		:param interface_tunnel_name: kwarg.
		:type interface_tunnel_name: (unicode)

		:param bypass_tunnel_interface_name: kwarg.
		:type bypass_tunnel_interface_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, interface_name=interface_name, interface_type=interface_type, admin_status=admin_status, oper_status=oper_status, is_tunnel_interface=is_tunnel_interface, hello_interval=hello_interval, hello_tolerance=hello_tolerance, hello_status=hello_status, is_md5_auth_enabled=is_md5_auth_enabled, reliable_messages=reliable_messages, bundle_messages=bundle_messages, summary_refresh=summary_refresh, active_outsegs=active_outsegs, inactive_outsegs=inactive_outsegs, bandwith_resv_outsegs=bandwith_resv_outsegs, active_backup_outsegs=active_backup_outsegs, inactive_backup_outsegs=inactive_backup_outsegs, interface_preempts=interface_preempts, interface_resv_soft_preempts=interface_resv_soft_preempts, interface_flooding_up_threshold=interface_flooding_up_threshold, interface_flooding_down_threshold=interface_flooding_down_threshold, duplicate_preempts_dropped=duplicate_preempts_dropped, bypass_interface=bypass_interface, interface_tunnel_name=interface_tunnel_name, bypass_tunnel_interface_name=bypass_tunnel_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_error_counters_update(self, interfaces=None, recv_md5_auth_errors=None, pkt_with_msgid_drop=None, pkt_with_sref_drop=None, nackobject_errors=None, recv_md5_auth_errors_since_last_clear=None, pkt_with_msgid_drop_since_last_clear=None, pkt_with_sref_drop_since_last_clear=None, nackobject_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param interfaces: kwarg tuple.
		:type interfaces: (interface_index).

		:param interface_index: tuple arg.
		:type interface_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param recv_md5_auth_errors: kwarg.
		:type recv_md5_auth_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_msgid_drop: kwarg.
		:type pkt_with_msgid_drop: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_sref_drop: kwarg.
		:type pkt_with_sref_drop: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param nackobject_errors: kwarg.
		:type nackobject_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param recv_md5_auth_errors_since_last_clear: kwarg.
		:type recv_md5_auth_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_msgid_drop_since_last_clear: kwarg.
		:type pkt_with_msgid_drop_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_sref_drop_since_last_clear: kwarg.
		:type pkt_with_sref_drop_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param nackobject_errors_since_last_clear: kwarg.
		:type nackobject_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, recv_md5_auth_errors=recv_md5_auth_errors, pkt_with_msgid_drop=pkt_with_msgid_drop, pkt_with_sref_drop=pkt_with_sref_drop, nackobject_errors=nackobject_errors, recv_md5_auth_errors_since_last_clear=recv_md5_auth_errors_since_last_clear, pkt_with_msgid_drop_since_last_clear=pkt_with_msgid_drop_since_last_clear, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_error_counters_nackobject_errors_update(self, interfaces=None, recv_md5_auth_errors=None, pkt_with_msgid_drop=None, pkt_with_sref_drop=None, nackobject_errors=None, recv_md5_auth_errors_since_last_clear=None, pkt_with_msgid_drop_since_last_clear=None, pkt_with_sref_drop_since_last_clear=None, nackobject_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param interfaces: kwarg tuple.
		:type interfaces: (interface_index).

		:param interface_index: tuple arg.
		:type interface_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param recv_md5_auth_errors: kwarg.
		:type recv_md5_auth_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_msgid_drop: kwarg.
		:type pkt_with_msgid_drop: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_sref_drop: kwarg.
		:type pkt_with_sref_drop: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param nackobject_errors: kwarg.
		:type nackobject_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param recv_md5_auth_errors_since_last_clear: kwarg.
		:type recv_md5_auth_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_msgid_drop_since_last_clear: kwarg.
		:type pkt_with_msgid_drop_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_sref_drop_since_last_clear: kwarg.
		:type pkt_with_sref_drop_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param nackobject_errors_since_last_clear: kwarg.
		:type nackobject_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, recv_md5_auth_errors=recv_md5_auth_errors, pkt_with_msgid_drop=pkt_with_msgid_drop, pkt_with_sref_drop=pkt_with_sref_drop, nackobject_errors=nackobject_errors, recv_md5_auth_errors_since_last_clear=recv_md5_auth_errors_since_last_clear, pkt_with_msgid_drop_since_last_clear=pkt_with_msgid_drop_since_last_clear, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_update(self, interfaces=None, path_tx=None, resv_tx=None, patherr_tx=None, resverr_tx=None, pathtear_tx=None, resvtear_tx=None, resvconf_tx=None, bundle_tx=None, ack_tx=None, sumrefresh_tx=None, hello_tx=None, path_rx=None, resv_rx=None, patherr_rx=None, resverr_rx=None, pathtear_rx=None, resvtear_rx=None, resvconf_rx=None, bundle_rx=None, ack_rx=None, sumrefresh_rx=None, hello_rx=None, path_tx_since_last_clear=None, resv_tx_since_last_clear=None, patherr_tx_since_last_clear=None, resverr_tx_since_last_clear=None, pathtear_tx_since_last_clear=None, resvtear_tx_since_last_clear=None, resvconf_tx_since_last_clear=None, bundle_tx_since_last_clear=None, ack_tx_since_last_clear=None, sumrefresh_tx_since_last_clear=None, hello_tx_since_last_clear=None, path_rx_since_last_clear=None, resv_rx_since_last_clear=None, patherr_rx_since_last_clear=None, resverr_rx_since_last_clear=None, pathtear_rx_since_last_clear=None, resvtear_rx_since_last_clear=None, resvconf_rx_since_last_clear=None, bundle_rx_since_last_clear=None, ack_rx_since_last_clear=None, sumrefresh_rx_since_last_clear=None, hello_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param interfaces: kwarg tuple.
		:type interfaces: (interface_index).

		:param interface_index: tuple arg.
		:type interface_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param path_tx: kwarg.
		:type path_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_tx: kwarg.
		:type resv_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_tx: kwarg.
		:type patherr_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_tx: kwarg.
		:type resverr_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_tx: kwarg.
		:type pathtear_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_tx: kwarg.
		:type resvtear_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_tx: kwarg.
		:type resvconf_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_tx: kwarg.
		:type bundle_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_tx: kwarg.
		:type ack_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_tx: kwarg.
		:type sumrefresh_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_tx: kwarg.
		:type hello_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_rx: kwarg.
		:type path_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_rx: kwarg.
		:type resv_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_rx: kwarg.
		:type patherr_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_rx: kwarg.
		:type resverr_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_rx: kwarg.
		:type pathtear_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_rx: kwarg.
		:type resvtear_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_rx: kwarg.
		:type resvconf_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_rx: kwarg.
		:type bundle_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_rx: kwarg.
		:type ack_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_rx: kwarg.
		:type sumrefresh_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_rx: kwarg.
		:type hello_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_tx_since_last_clear: kwarg.
		:type path_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_tx_since_last_clear: kwarg.
		:type resv_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_tx_since_last_clear: kwarg.
		:type patherr_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_tx_since_last_clear: kwarg.
		:type resverr_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_tx_since_last_clear: kwarg.
		:type pathtear_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_tx_since_last_clear: kwarg.
		:type resvtear_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_tx_since_last_clear: kwarg.
		:type resvconf_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_tx_since_last_clear: kwarg.
		:type bundle_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_tx_since_last_clear: kwarg.
		:type ack_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_tx_since_last_clear: kwarg.
		:type sumrefresh_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_tx_since_last_clear: kwarg.
		:type hello_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_rx_since_last_clear: kwarg.
		:type path_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_rx_since_last_clear: kwarg.
		:type resv_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_rx_since_last_clear: kwarg.
		:type patherr_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_rx_since_last_clear: kwarg.
		:type resverr_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_rx_since_last_clear: kwarg.
		:type pathtear_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_rx_since_last_clear: kwarg.
		:type resvtear_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_rx_since_last_clear: kwarg.
		:type resvconf_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_rx_since_last_clear: kwarg.
		:type bundle_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_rx_since_last_clear: kwarg.
		:type ack_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_rx_since_last_clear: kwarg.
		:type sumrefresh_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_rx_since_last_clear: kwarg.
		:type hello_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, path_tx=path_tx, resv_tx=resv_tx, patherr_tx=patherr_tx, resverr_tx=resverr_tx, pathtear_tx=pathtear_tx, resvtear_tx=resvtear_tx, resvconf_tx=resvconf_tx, bundle_tx=bundle_tx, ack_tx=ack_tx, sumrefresh_tx=sumrefresh_tx, hello_tx=hello_tx, path_rx=path_rx, resv_rx=resv_rx, patherr_rx=patherr_rx, resverr_rx=resverr_rx, pathtear_rx=pathtear_rx, resvtear_rx=resvtear_rx, resvconf_rx=resvconf_rx, bundle_rx=bundle_rx, ack_rx=ack_rx, sumrefresh_rx=sumrefresh_rx, hello_rx=hello_rx, path_tx_since_last_clear=path_tx_since_last_clear, resv_tx_since_last_clear=resv_tx_since_last_clear, patherr_tx_since_last_clear=patherr_tx_since_last_clear, resverr_tx_since_last_clear=resverr_tx_since_last_clear, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear, bundle_tx_since_last_clear=bundle_tx_since_last_clear, ack_tx_since_last_clear=ack_tx_since_last_clear, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear, hello_tx_since_last_clear=hello_tx_since_last_clear, path_rx_since_last_clear=path_rx_since_last_clear, resv_rx_since_last_clear=resv_rx_since_last_clear, patherr_rx_since_last_clear=patherr_rx_since_last_clear, resverr_rx_since_last_clear=resverr_rx_since_last_clear, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear, bundle_rx_since_last_clear=bundle_rx_since_last_clear, ack_rx_since_last_clear=ack_rx_since_last_clear, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear, hello_rx_since_last_clear=hello_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_packet_counters_ack_rx_update(self, interfaces=None, path_tx=None, resv_tx=None, patherr_tx=None, resverr_tx=None, pathtear_tx=None, resvtear_tx=None, resvconf_tx=None, bundle_tx=None, ack_tx=None, sumrefresh_tx=None, hello_tx=None, path_rx=None, resv_rx=None, patherr_rx=None, resverr_rx=None, pathtear_rx=None, resvtear_rx=None, resvconf_rx=None, bundle_rx=None, ack_rx=None, sumrefresh_rx=None, hello_rx=None, path_tx_since_last_clear=None, resv_tx_since_last_clear=None, patherr_tx_since_last_clear=None, resverr_tx_since_last_clear=None, pathtear_tx_since_last_clear=None, resvtear_tx_since_last_clear=None, resvconf_tx_since_last_clear=None, bundle_tx_since_last_clear=None, ack_tx_since_last_clear=None, sumrefresh_tx_since_last_clear=None, hello_tx_since_last_clear=None, path_rx_since_last_clear=None, resv_rx_since_last_clear=None, patherr_rx_since_last_clear=None, resverr_rx_since_last_clear=None, pathtear_rx_since_last_clear=None, resvtear_rx_since_last_clear=None, resvconf_rx_since_last_clear=None, bundle_rx_since_last_clear=None, ack_rx_since_last_clear=None, sumrefresh_rx_since_last_clear=None, hello_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param interfaces: kwarg tuple.
		:type interfaces: (interface_index).

		:param interface_index: tuple arg.
		:type interface_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param path_tx: kwarg.
		:type path_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_tx: kwarg.
		:type resv_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_tx: kwarg.
		:type patherr_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_tx: kwarg.
		:type resverr_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_tx: kwarg.
		:type pathtear_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_tx: kwarg.
		:type resvtear_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_tx: kwarg.
		:type resvconf_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_tx: kwarg.
		:type bundle_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_tx: kwarg.
		:type ack_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_tx: kwarg.
		:type sumrefresh_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_tx: kwarg.
		:type hello_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_rx: kwarg.
		:type path_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_rx: kwarg.
		:type resv_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_rx: kwarg.
		:type patherr_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_rx: kwarg.
		:type resverr_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_rx: kwarg.
		:type pathtear_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_rx: kwarg.
		:type resvtear_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_rx: kwarg.
		:type resvconf_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_rx: kwarg.
		:type bundle_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_rx: kwarg.
		:type ack_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_rx: kwarg.
		:type sumrefresh_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_rx: kwarg.
		:type hello_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_tx_since_last_clear: kwarg.
		:type path_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_tx_since_last_clear: kwarg.
		:type resv_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_tx_since_last_clear: kwarg.
		:type patherr_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_tx_since_last_clear: kwarg.
		:type resverr_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_tx_since_last_clear: kwarg.
		:type pathtear_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_tx_since_last_clear: kwarg.
		:type resvtear_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_tx_since_last_clear: kwarg.
		:type resvconf_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_tx_since_last_clear: kwarg.
		:type bundle_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_tx_since_last_clear: kwarg.
		:type ack_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_tx_since_last_clear: kwarg.
		:type sumrefresh_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_tx_since_last_clear: kwarg.
		:type hello_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_rx_since_last_clear: kwarg.
		:type path_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_rx_since_last_clear: kwarg.
		:type resv_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_rx_since_last_clear: kwarg.
		:type patherr_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_rx_since_last_clear: kwarg.
		:type resverr_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_rx_since_last_clear: kwarg.
		:type pathtear_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_rx_since_last_clear: kwarg.
		:type resvtear_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_rx_since_last_clear: kwarg.
		:type resvconf_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_rx_since_last_clear: kwarg.
		:type bundle_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_rx_since_last_clear: kwarg.
		:type ack_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_rx_since_last_clear: kwarg.
		:type sumrefresh_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_rx_since_last_clear: kwarg.
		:type hello_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, path_tx=path_tx, resv_tx=resv_tx, patherr_tx=patherr_tx, resverr_tx=resverr_tx, pathtear_tx=pathtear_tx, resvtear_tx=resvtear_tx, resvconf_tx=resvconf_tx, bundle_tx=bundle_tx, ack_tx=ack_tx, sumrefresh_tx=sumrefresh_tx, hello_tx=hello_tx, path_rx=path_rx, resv_rx=resv_rx, patherr_rx=patherr_rx, resverr_rx=resverr_rx, pathtear_rx=pathtear_rx, resvtear_rx=resvtear_rx, resvconf_rx=resvconf_rx, bundle_rx=bundle_rx, ack_rx=ack_rx, sumrefresh_rx=sumrefresh_rx, hello_rx=hello_rx, path_tx_since_last_clear=path_tx_since_last_clear, resv_tx_since_last_clear=resv_tx_since_last_clear, patherr_tx_since_last_clear=patherr_tx_since_last_clear, resverr_tx_since_last_clear=resverr_tx_since_last_clear, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear, bundle_tx_since_last_clear=bundle_tx_since_last_clear, ack_tx_since_last_clear=ack_tx_since_last_clear, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear, hello_tx_since_last_clear=hello_tx_since_last_clear, path_rx_since_last_clear=path_rx_since_last_clear, resv_rx_since_last_clear=resv_rx_since_last_clear, patherr_rx_since_last_clear=patherr_rx_since_last_clear, resverr_rx_since_last_clear=resverr_rx_since_last_clear, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear, bundle_rx_since_last_clear=bundle_rx_since_last_clear, ack_rx_since_last_clear=ack_rx_since_last_clear, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear, hello_rx_since_last_clear=hello_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_update(self, neighbors=None, neighbor_interface=None, neighbor_status=None, neighbor_last_status_change=None, rsvp_hello_tx=None, rsvp_hello_rx=None, refresh_reduction_support=None, msg_id_support=None, active_lsps=None, rsvp_hello_interval=None, rsvp_hello_tolerance=None, neighbor_remote_instance=None, neighbor_local_instance=None, last_hello_rx=None, next_hello_req_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param neighbors: kwarg tuple.
		:type neighbors: (neighbor_ip_addr).

		:param neighbor_ip_addr: tuple arg.
		:type neighbor_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_interface: kwarg.
		:type neighbor_interface: (unicode)

		:param neighbor_status: kwarg.
		:type neighbor_status: (unicode)

		:param neighbor_last_status_change: kwarg.
		:type neighbor_last_status_change: (unicode)

		:param rsvp_hello_tx: kwarg.
		:type rsvp_hello_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rsvp_hello_rx: kwarg.
		:type rsvp_hello_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param refresh_reduction_support: kwarg.
		:type refresh_reduction_support: (YANGBool)

		:param msg_id_support: kwarg.
		:type msg_id_support: (YANGBool)

		:param active_lsps: kwarg.
		:type active_lsps: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rsvp_hello_interval: kwarg.
		:type rsvp_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rsvp_hello_tolerance: kwarg.
		:type rsvp_hello_tolerance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_remote_instance: kwarg.
		:type neighbor_remote_instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_local_instance: kwarg.
		:type neighbor_local_instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param last_hello_rx: kwarg.
		:type last_hello_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hello_req_tx: kwarg.
		:type next_hello_req_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbors=neighbors, neighbor_interface=neighbor_interface, neighbor_status=neighbor_status, neighbor_last_status_change=neighbor_last_status_change, rsvp_hello_tx=rsvp_hello_tx, rsvp_hello_rx=rsvp_hello_rx, refresh_reduction_support=refresh_reduction_support, msg_id_support=msg_id_support, active_lsps=active_lsps, rsvp_hello_interval=rsvp_hello_interval, rsvp_hello_tolerance=rsvp_hello_tolerance, neighbor_remote_instance=neighbor_remote_instance, neighbor_local_instance=neighbor_local_instance, last_hello_rx=last_hello_rx, next_hello_req_tx=next_hello_req_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_update(self, sessions=None, session_operational_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param sessions: kwarg tuple.
		:type sessions: (dest_ip_addr, src_ip_addr, tunnel_id, session_role).

		:param dest_ip_addr: tuple arg.
		:type dest_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_ip_addr: tuple arg.
		:type src_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param tunnel_id: tuple arg.
		:type tunnel_id: (int)
		
		.. note::
			* range - ['0..65535']

		:param session_role: tuple arg.
		:type session_role: (unicode)
		
		.. note::
			* enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

	**This Instance Arg(s)**:
		:param session_operational_status: kwarg.
		:type session_operational_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'sessions', 'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, session_operational_status=session_operational_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_update(self, sessions=None, psbs=None, session_name=None, session_type=None, path_operational_status=None, session_in_label=None, session_out_label=None, session_out_interface=None, lsp_id=None, flap_lock=None, path_refresh=None, path_refresh_ttd=None, resv_refresh=None, resv_refresh_ttd=None, tspec_peak=None, tspec_rate=None, tspec_size=None, tspec_minimum=None, tspec_m=None, psb_setup_priority=None, psb_hold_priority=None, session_attribute_all_flags=None, sa_flag_label_recording=None, sa_flag_soft_preemption_desired=None, sa_flag_se_style=None, sa_flag_local_protect=None, sa_flag_bandwidth_protect=None, sa_flag_session_protection_type=None, session_soft_preemption_wait_timer=None, session_preemption_wait_timer=None, frr_detour=None, frr_facility=None, frr_unknown_backup_mode_desired=None, frr_unknown_flags=None, frr_psb_setup_priority=None, frr_psb_hold_priority=None, frr_bandwidth=None, frr_hoplimit=None, frr_facility_method=None, frr_nh_node_protection_available=None, frr_nh_node_protection_in_use=None, frr_nh_link_protection_available=None, frr_nh_link_protection_in_use=None, frr_bandwidth_protection_available=None, frr_lsp_bringup_abandoned=None, frr_updown_transitions=None, frr_retries=None, frr_session_protection_available=None, frr_next_retry=None, frr_cost=None, frr_cspf_group_computation_mode=None, frr_cspf_group_computation_mode_use_bypass_liberal=None, is_downstream_backup_psb=None, is_backup_psb=None, is_upstream_psb=None, is_ps_frr_detour_sent=None, is_ps_frr_backup_sent=None, is_ps_frr_detour_received=None, is_ps_frr_backup_received=None, path_received_from_ip=None, path_received_interface=None, path_received_auth_on=None, path_received_message_id=None, path_downstream_only=None, path_sent_to_ip=None, path_sent_interface=None, path_sent_auth_on=None, path_sent_message_id=None, resv_received_from_ip=None, resv_received_interface=None, resv_received_auth_on=None, resv_received_message_id=None, session_riding_bypass_name=None, session_style=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param sessions: kwarg tuple.
		:type sessions: (dest_ip_addr, src_ip_addr, tunnel_id, session_role).

		:param dest_ip_addr: tuple arg.
		:type dest_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_ip_addr: tuple arg.
		:type src_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param tunnel_id: tuple arg.
		:type tunnel_id: (int)
		
		.. note::
			* range - ['0..65535']

		:param session_role: tuple arg.
		:type session_role: (unicode)
		
		.. note::
			* enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

	**This Instance Keyword Arg Tuple**:
		:param psbs: kwarg tuple.
		:type psbs: (path_index).

		:param path_index: tuple arg.
		:type path_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param session_name: kwarg.
		:type session_name: (unicode)

		:param session_type: kwarg.
		:type session_type: (unicode)
		
		.. note::
			* enum - [u'egress-detour', u'merged-detour', u'transit-detour', u'bypass-ingress', u'session-type-none', u'merged-backup', u'ingress-detour', u'egress-backup', u'ingress-backup', u'repaired-session']

		:param path_operational_status: kwarg.
		:type path_operational_status: (YANGBool)

		:param session_in_label: kwarg.
		:type session_in_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param session_out_label: kwarg.
		:type session_out_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param session_out_interface: kwarg.
		:type session_out_interface: (unicode)

		:param lsp_id: kwarg.
		:type lsp_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param flap_lock: kwarg.
		:type flap_lock: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param path_refresh: kwarg.
		:type path_refresh: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param path_refresh_ttd: kwarg.
		:type path_refresh_ttd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param resv_refresh: kwarg.
		:type resv_refresh: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param resv_refresh_ttd: kwarg.
		:type resv_refresh_ttd: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tspec_peak: kwarg.
		:type tspec_peak: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tspec_rate: kwarg.
		:type tspec_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tspec_size: kwarg.
		:type tspec_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tspec_minimum: kwarg.
		:type tspec_minimum: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tspec_m: kwarg.
		:type tspec_m: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param psb_setup_priority: kwarg.
		:type psb_setup_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param psb_hold_priority: kwarg.
		:type psb_hold_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param session_attribute_all_flags: kwarg.
		:type session_attribute_all_flags: (int)
		
		.. note::
			* range - ['0..255']

		:param sa_flag_label_recording: kwarg.
		:type sa_flag_label_recording: (YANGBool)

		:param sa_flag_soft_preemption_desired: kwarg.
		:type sa_flag_soft_preemption_desired: (YANGBool)

		:param sa_flag_se_style: kwarg.
		:type sa_flag_se_style: (YANGBool)

		:param sa_flag_local_protect: kwarg.
		:type sa_flag_local_protect: (YANGBool)

		:param sa_flag_bandwidth_protect: kwarg.
		:type sa_flag_bandwidth_protect: (YANGBool)

		:param sa_flag_session_protection_type: kwarg.
		:type sa_flag_session_protection_type: (unicode)
		
		.. note::
			* enum - [u'session-protection-type-link', u'session-protection-type-node']

		:param session_soft_preemption_wait_timer: kwarg.
		:type session_soft_preemption_wait_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param session_preemption_wait_timer: kwarg.
		:type session_preemption_wait_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param frr_detour: kwarg.
		:type frr_detour: (YANGBool)

		:param frr_facility: kwarg.
		:type frr_facility: (YANGBool)

		:param frr_unknown_backup_mode_desired: kwarg.
		:type frr_unknown_backup_mode_desired: (YANGBool)

		:param frr_unknown_flags: kwarg.
		:type frr_unknown_flags: (int)
		
		.. note::
			* range - ['0..255']

		:param frr_psb_setup_priority: kwarg.
		:type frr_psb_setup_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param frr_psb_hold_priority: kwarg.
		:type frr_psb_hold_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param frr_bandwidth: kwarg.
		:type frr_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param frr_hoplimit: kwarg.
		:type frr_hoplimit: (int)
		
		.. note::
			* range - ['0..255']

		:param frr_facility_method: kwarg.
		:type frr_facility_method: (unicode)
		
		.. note::
			* enum - [u'frr-method-detour-lsps', u'frr-method-backup-lsps']

		:param frr_nh_node_protection_available: kwarg.
		:type frr_nh_node_protection_available: (YANGBool)

		:param frr_nh_node_protection_in_use: kwarg.
		:type frr_nh_node_protection_in_use: (YANGBool)

		:param frr_nh_link_protection_available: kwarg.
		:type frr_nh_link_protection_available: (YANGBool)

		:param frr_nh_link_protection_in_use: kwarg.
		:type frr_nh_link_protection_in_use: (YANGBool)

		:param frr_bandwidth_protection_available: kwarg.
		:type frr_bandwidth_protection_available: (YANGBool)

		:param frr_lsp_bringup_abandoned: kwarg.
		:type frr_lsp_bringup_abandoned: (YANGBool)

		:param frr_updown_transitions: kwarg.
		:type frr_updown_transitions: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param frr_retries: kwarg.
		:type frr_retries: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param frr_session_protection_available: kwarg.
		:type frr_session_protection_available: (YANGBool)

		:param frr_next_retry: kwarg.
		:type frr_next_retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param frr_cost: kwarg.
		:type frr_cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param frr_cspf_group_computation_mode: kwarg.
		:type frr_cspf_group_computation_mode: (unicode)
		
		.. note::
			* enum - [u'frr-cspf-group-comp-mode-high-penalty', u'frr-cspf-group-comp-mode-disabled', u'frr-cspf-group-comp-mode-exclude-groups', u'frr-cspf-group-comp-mode-add-penalty']

		:param frr_cspf_group_computation_mode_use_bypass_liberal: kwarg.
		:type frr_cspf_group_computation_mode_use_bypass_liberal: (YANGBool)

		:param is_downstream_backup_psb: kwarg.
		:type is_downstream_backup_psb: (YANGBool)

		:param is_backup_psb: kwarg.
		:type is_backup_psb: (YANGBool)

		:param is_upstream_psb: kwarg.
		:type is_upstream_psb: (YANGBool)

		:param is_ps_frr_detour_sent: kwarg.
		:type is_ps_frr_detour_sent: (YANGBool)

		:param is_ps_frr_backup_sent: kwarg.
		:type is_ps_frr_backup_sent: (YANGBool)

		:param is_ps_frr_detour_received: kwarg.
		:type is_ps_frr_detour_received: (YANGBool)

		:param is_ps_frr_backup_received: kwarg.
		:type is_ps_frr_backup_received: (YANGBool)

		:param path_received_from_ip: kwarg.
		:type path_received_from_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param path_received_interface: kwarg.
		:type path_received_interface: (unicode)

		:param path_received_auth_on: kwarg.
		:type path_received_auth_on: (YANGBool)

		:param path_received_message_id: kwarg.
		:type path_received_message_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param path_downstream_only: kwarg.
		:type path_downstream_only: (YANGBool)

		:param path_sent_to_ip: kwarg.
		:type path_sent_to_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param path_sent_interface: kwarg.
		:type path_sent_interface: (unicode)

		:param path_sent_auth_on: kwarg.
		:type path_sent_auth_on: (YANGBool)

		:param path_sent_message_id: kwarg.
		:type path_sent_message_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param resv_received_from_ip: kwarg.
		:type resv_received_from_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param resv_received_interface: kwarg.
		:type resv_received_interface: (unicode)

		:param resv_received_auth_on: kwarg.
		:type resv_received_auth_on: (YANGBool)

		:param resv_received_message_id: kwarg.
		:type resv_received_message_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param session_riding_bypass_name: kwarg.
		:type session_riding_bypass_name: (unicode)

		:param session_style: kwarg.
		:type session_style: (unicode)
		
		.. note::
			* enum - [u'reservation-style-shared-explicit', u'reservation-style-wildcard-filter', u'reservation-style-unknown', u'reservation-style-fixed-filter']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs, session_name=session_name, session_type=session_type, path_operational_status=path_operational_status, session_in_label=session_in_label, session_out_label=session_out_label, session_out_interface=session_out_interface, lsp_id=lsp_id, flap_lock=flap_lock, path_refresh=path_refresh, path_refresh_ttd=path_refresh_ttd, resv_refresh=resv_refresh, resv_refresh_ttd=resv_refresh_ttd, tspec_peak=tspec_peak, tspec_rate=tspec_rate, tspec_size=tspec_size, tspec_minimum=tspec_minimum, tspec_m=tspec_m, psb_setup_priority=psb_setup_priority, psb_hold_priority=psb_hold_priority, session_attribute_all_flags=session_attribute_all_flags, sa_flag_label_recording=sa_flag_label_recording, sa_flag_soft_preemption_desired=sa_flag_soft_preemption_desired, sa_flag_se_style=sa_flag_se_style, sa_flag_local_protect=sa_flag_local_protect, sa_flag_bandwidth_protect=sa_flag_bandwidth_protect, sa_flag_session_protection_type=sa_flag_session_protection_type, session_soft_preemption_wait_timer=session_soft_preemption_wait_timer, session_preemption_wait_timer=session_preemption_wait_timer, frr_detour=frr_detour, frr_facility=frr_facility, frr_unknown_backup_mode_desired=frr_unknown_backup_mode_desired, frr_unknown_flags=frr_unknown_flags, frr_psb_setup_priority=frr_psb_setup_priority, frr_psb_hold_priority=frr_psb_hold_priority, frr_bandwidth=frr_bandwidth, frr_hoplimit=frr_hoplimit, frr_facility_method=frr_facility_method, frr_nh_node_protection_available=frr_nh_node_protection_available, frr_nh_node_protection_in_use=frr_nh_node_protection_in_use, frr_nh_link_protection_available=frr_nh_link_protection_available, frr_nh_link_protection_in_use=frr_nh_link_protection_in_use, frr_bandwidth_protection_available=frr_bandwidth_protection_available, frr_lsp_bringup_abandoned=frr_lsp_bringup_abandoned, frr_updown_transitions=frr_updown_transitions, frr_retries=frr_retries, frr_session_protection_available=frr_session_protection_available, frr_next_retry=frr_next_retry, frr_cost=frr_cost, frr_cspf_group_computation_mode=frr_cspf_group_computation_mode, frr_cspf_group_computation_mode_use_bypass_liberal=frr_cspf_group_computation_mode_use_bypass_liberal, is_downstream_backup_psb=is_downstream_backup_psb, is_backup_psb=is_backup_psb, is_upstream_psb=is_upstream_psb, is_ps_frr_detour_sent=is_ps_frr_detour_sent, is_ps_frr_backup_sent=is_ps_frr_backup_sent, is_ps_frr_detour_received=is_ps_frr_detour_received, is_ps_frr_backup_received=is_ps_frr_backup_received, path_received_from_ip=path_received_from_ip, path_received_interface=path_received_interface, path_received_auth_on=path_received_auth_on, path_received_message_id=path_received_message_id, path_downstream_only=path_downstream_only, path_sent_to_ip=path_sent_to_ip, path_sent_interface=path_sent_interface, path_sent_auth_on=path_sent_auth_on, path_sent_message_id=path_sent_message_id, resv_received_from_ip=resv_received_from_ip, resv_received_interface=resv_received_interface, resv_received_auth_on=resv_received_auth_on, resv_received_message_id=resv_received_message_id, session_riding_bypass_name=session_riding_bypass_name, session_style=session_style)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_ero_hops_update(self, sessions=None, psbs=None, session_ero_hops=None, ero_flag_is_strict_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param sessions: kwarg tuple.
		:type sessions: (dest_ip_addr, src_ip_addr, tunnel_id, session_role).

		:param dest_ip_addr: tuple arg.
		:type dest_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_ip_addr: tuple arg.
		:type src_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param tunnel_id: tuple arg.
		:type tunnel_id: (int)
		
		.. note::
			* range - ['0..65535']

		:param session_role: tuple arg.
		:type session_role: (unicode)
		
		.. note::
			* enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

		:param psbs: kwarg tuple.
		:type psbs: (path_index).

		:param path_index: tuple arg.
		:type path_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param session_ero_hops: kwarg tuple.
		:type session_ero_hops: (ip_addr).

		:param ip_addr: tuple arg.
		:type ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ero_flag_is_strict_hop: kwarg.
		:type ero_flag_is_strict_hop: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_ero_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'session_ero_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs, session_ero_hops=session_ero_hops, ero_flag_is_strict_hop=ero_flag_is_strict_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_rro_hops_update(self, sessions=None, psbs=None, session_rro_hops=None, rro_flag_is_local_protect_available=None, rro_flag_is_local_protect_in_use=None, rro_flag_rro_is_router_id=None, rro_flag_rro_node_protect=None, rro_flag_rro_bandwidth_protect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param sessions: kwarg tuple.
		:type sessions: (dest_ip_addr, src_ip_addr, tunnel_id, session_role).

		:param dest_ip_addr: tuple arg.
		:type dest_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_ip_addr: tuple arg.
		:type src_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param tunnel_id: tuple arg.
		:type tunnel_id: (int)
		
		.. note::
			* range - ['0..65535']

		:param session_role: tuple arg.
		:type session_role: (unicode)
		
		.. note::
			* enum - [u'session-role-transit', u'session-role-ingress', u'session-role-egress', u'session-role-unspecified']

		:param psbs: kwarg tuple.
		:type psbs: (path_index).

		:param path_index: tuple arg.
		:type path_index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param session_rro_hops: kwarg tuple.
		:type session_rro_hops: (ip_addr).

		:param ip_addr: tuple arg.
		:type ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param rro_flag_is_local_protect_available: kwarg.
		:type rro_flag_is_local_protect_available: (YANGBool)

		:param rro_flag_is_local_protect_in_use: kwarg.
		:type rro_flag_is_local_protect_in_use: (YANGBool)

		:param rro_flag_rro_is_router_id: kwarg.
		:type rro_flag_rro_is_router_id: (YANGBool)

		:param rro_flag_rro_node_protect: kwarg.
		:type rro_flag_rro_node_protect: (YANGBool)

		:param rro_flag_rro_bandwidth_protect: kwarg.
		:type rro_flag_rro_bandwidth_protect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'session_rro_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_is_local_protect_available=rro_flag_is_local_protect_available, rro_flag_is_local_protect_in_use=rro_flag_is_local_protect_in_use, rro_flag_rro_is_router_id=rro_flag_rro_is_router_id, rro_flag_rro_node_protect=rro_flag_rro_node_protect, rro_flag_rro_bandwidth_protect=rro_flag_rro_bandwidth_protect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_update(self, path_tx=None, resv_tx=None, patherr_tx=None, resverr_tx=None, pathtear_tx=None, resvtear_tx=None, resvconf_tx=None, bundle_tx=None, ack_tx=None, sumrefresh_tx=None, hello_tx=None, path_rx=None, resv_rx=None, patherr_rx=None, resverr_rx=None, pathtear_rx=None, resvtear_rx=None, resvconf_rx=None, bundle_rx=None, ack_rx=None, sumrefresh_rx=None, hello_rx=None, path_tx_since_last_clear=None, resv_tx_since_last_clear=None, patherr_tx_since_last_clear=None, resverr_tx_since_last_clear=None, pathtear_tx_since_last_clear=None, resvtear_tx_since_last_clear=None, resvconf_tx_since_last_clear=None, bundle_tx_since_last_clear=None, ack_tx_since_last_clear=None, sumrefresh_tx_since_last_clear=None, hello_tx_since_last_clear=None, path_rx_since_last_clear=None, resv_rx_since_last_clear=None, patherr_rx_since_last_clear=None, resverr_rx_since_last_clear=None, pathtear_rx_since_last_clear=None, resvtear_rx_since_last_clear=None, resvconf_rx_since_last_clear=None, bundle_rx_since_last_clear=None, ack_rx_since_last_clear=None, sumrefresh_rx_since_last_clear=None, hello_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param path_tx: kwarg.
		:type path_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_tx: kwarg.
		:type resv_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_tx: kwarg.
		:type patherr_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_tx: kwarg.
		:type resverr_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_tx: kwarg.
		:type pathtear_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_tx: kwarg.
		:type resvtear_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_tx: kwarg.
		:type resvconf_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_tx: kwarg.
		:type bundle_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_tx: kwarg.
		:type ack_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_tx: kwarg.
		:type sumrefresh_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_tx: kwarg.
		:type hello_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_rx: kwarg.
		:type path_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_rx: kwarg.
		:type resv_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_rx: kwarg.
		:type patherr_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_rx: kwarg.
		:type resverr_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_rx: kwarg.
		:type pathtear_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_rx: kwarg.
		:type resvtear_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_rx: kwarg.
		:type resvconf_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_rx: kwarg.
		:type bundle_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_rx: kwarg.
		:type ack_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_rx: kwarg.
		:type sumrefresh_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_rx: kwarg.
		:type hello_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_tx_since_last_clear: kwarg.
		:type path_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_tx_since_last_clear: kwarg.
		:type resv_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_tx_since_last_clear: kwarg.
		:type patherr_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_tx_since_last_clear: kwarg.
		:type resverr_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_tx_since_last_clear: kwarg.
		:type pathtear_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_tx_since_last_clear: kwarg.
		:type resvtear_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_tx_since_last_clear: kwarg.
		:type resvconf_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_tx_since_last_clear: kwarg.
		:type bundle_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_tx_since_last_clear: kwarg.
		:type ack_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_tx_since_last_clear: kwarg.
		:type sumrefresh_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_tx_since_last_clear: kwarg.
		:type hello_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_rx_since_last_clear: kwarg.
		:type path_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_rx_since_last_clear: kwarg.
		:type resv_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_rx_since_last_clear: kwarg.
		:type patherr_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_rx_since_last_clear: kwarg.
		:type resverr_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_rx_since_last_clear: kwarg.
		:type pathtear_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_rx_since_last_clear: kwarg.
		:type resvtear_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_rx_since_last_clear: kwarg.
		:type resvconf_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_rx_since_last_clear: kwarg.
		:type bundle_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_rx_since_last_clear: kwarg.
		:type ack_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_rx_since_last_clear: kwarg.
		:type sumrefresh_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_rx_since_last_clear: kwarg.
		:type hello_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_tx=path_tx, resv_tx=resv_tx, patherr_tx=patherr_tx, resverr_tx=resverr_tx, pathtear_tx=pathtear_tx, resvtear_tx=resvtear_tx, resvconf_tx=resvconf_tx, bundle_tx=bundle_tx, ack_tx=ack_tx, sumrefresh_tx=sumrefresh_tx, hello_tx=hello_tx, path_rx=path_rx, resv_rx=resv_rx, patherr_rx=patherr_rx, resverr_rx=resverr_rx, pathtear_rx=pathtear_rx, resvtear_rx=resvtear_rx, resvconf_rx=resvconf_rx, bundle_rx=bundle_rx, ack_rx=ack_rx, sumrefresh_rx=sumrefresh_rx, hello_rx=hello_rx, path_tx_since_last_clear=path_tx_since_last_clear, resv_tx_since_last_clear=resv_tx_since_last_clear, patherr_tx_since_last_clear=patherr_tx_since_last_clear, resverr_tx_since_last_clear=resverr_tx_since_last_clear, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear, bundle_tx_since_last_clear=bundle_tx_since_last_clear, ack_tx_since_last_clear=ack_tx_since_last_clear, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear, hello_tx_since_last_clear=hello_tx_since_last_clear, path_rx_since_last_clear=path_rx_since_last_clear, resv_rx_since_last_clear=resv_rx_since_last_clear, patherr_rx_since_last_clear=patherr_rx_since_last_clear, resverr_rx_since_last_clear=resverr_rx_since_last_clear, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear, bundle_rx_since_last_clear=bundle_rx_since_last_clear, ack_rx_since_last_clear=ack_rx_since_last_clear, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear, hello_rx_since_last_clear=hello_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_counters_ack_rx_update(self, path_tx=None, resv_tx=None, patherr_tx=None, resverr_tx=None, pathtear_tx=None, resvtear_tx=None, resvconf_tx=None, bundle_tx=None, ack_tx=None, sumrefresh_tx=None, hello_tx=None, path_rx=None, resv_rx=None, patherr_rx=None, resverr_rx=None, pathtear_rx=None, resvtear_rx=None, resvconf_rx=None, bundle_rx=None, ack_rx=None, sumrefresh_rx=None, hello_rx=None, path_tx_since_last_clear=None, resv_tx_since_last_clear=None, patherr_tx_since_last_clear=None, resverr_tx_since_last_clear=None, pathtear_tx_since_last_clear=None, resvtear_tx_since_last_clear=None, resvconf_tx_since_last_clear=None, bundle_tx_since_last_clear=None, ack_tx_since_last_clear=None, sumrefresh_tx_since_last_clear=None, hello_tx_since_last_clear=None, path_rx_since_last_clear=None, resv_rx_since_last_clear=None, patherr_rx_since_last_clear=None, resverr_rx_since_last_clear=None, pathtear_rx_since_last_clear=None, resvtear_rx_since_last_clear=None, resvconf_rx_since_last_clear=None, bundle_rx_since_last_clear=None, ack_rx_since_last_clear=None, sumrefresh_rx_since_last_clear=None, hello_rx_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param path_tx: kwarg.
		:type path_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_tx: kwarg.
		:type resv_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_tx: kwarg.
		:type patherr_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_tx: kwarg.
		:type resverr_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_tx: kwarg.
		:type pathtear_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_tx: kwarg.
		:type resvtear_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_tx: kwarg.
		:type resvconf_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_tx: kwarg.
		:type bundle_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_tx: kwarg.
		:type ack_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_tx: kwarg.
		:type sumrefresh_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_tx: kwarg.
		:type hello_tx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_rx: kwarg.
		:type path_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_rx: kwarg.
		:type resv_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_rx: kwarg.
		:type patherr_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_rx: kwarg.
		:type resverr_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_rx: kwarg.
		:type pathtear_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_rx: kwarg.
		:type resvtear_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_rx: kwarg.
		:type resvconf_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_rx: kwarg.
		:type bundle_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_rx: kwarg.
		:type ack_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_rx: kwarg.
		:type sumrefresh_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_rx: kwarg.
		:type hello_rx: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_tx_since_last_clear: kwarg.
		:type path_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_tx_since_last_clear: kwarg.
		:type resv_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_tx_since_last_clear: kwarg.
		:type patherr_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_tx_since_last_clear: kwarg.
		:type resverr_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_tx_since_last_clear: kwarg.
		:type pathtear_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_tx_since_last_clear: kwarg.
		:type resvtear_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_tx_since_last_clear: kwarg.
		:type resvconf_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_tx_since_last_clear: kwarg.
		:type bundle_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_tx_since_last_clear: kwarg.
		:type ack_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_tx_since_last_clear: kwarg.
		:type sumrefresh_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_tx_since_last_clear: kwarg.
		:type hello_tx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_rx_since_last_clear: kwarg.
		:type path_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_rx_since_last_clear: kwarg.
		:type resv_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_rx_since_last_clear: kwarg.
		:type patherr_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_rx_since_last_clear: kwarg.
		:type resverr_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_rx_since_last_clear: kwarg.
		:type pathtear_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_rx_since_last_clear: kwarg.
		:type resvtear_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_rx_since_last_clear: kwarg.
		:type resvconf_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_rx_since_last_clear: kwarg.
		:type bundle_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_rx_since_last_clear: kwarg.
		:type ack_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_rx_since_last_clear: kwarg.
		:type sumrefresh_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_rx_since_last_clear: kwarg.
		:type hello_rx_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_tx=path_tx, resv_tx=resv_tx, patherr_tx=patherr_tx, resverr_tx=resverr_tx, pathtear_tx=pathtear_tx, resvtear_tx=resvtear_tx, resvconf_tx=resvconf_tx, bundle_tx=bundle_tx, ack_tx=ack_tx, sumrefresh_tx=sumrefresh_tx, hello_tx=hello_tx, path_rx=path_rx, resv_rx=resv_rx, patherr_rx=patherr_rx, resverr_rx=resverr_rx, pathtear_rx=pathtear_rx, resvtear_rx=resvtear_rx, resvconf_rx=resvconf_rx, bundle_rx=bundle_rx, ack_rx=ack_rx, sumrefresh_rx=sumrefresh_rx, hello_rx=hello_rx, path_tx_since_last_clear=path_tx_since_last_clear, resv_tx_since_last_clear=resv_tx_since_last_clear, patherr_tx_since_last_clear=patherr_tx_since_last_clear, resverr_tx_since_last_clear=resverr_tx_since_last_clear, pathtear_tx_since_last_clear=pathtear_tx_since_last_clear, resvtear_tx_since_last_clear=resvtear_tx_since_last_clear, resvconf_tx_since_last_clear=resvconf_tx_since_last_clear, bundle_tx_since_last_clear=bundle_tx_since_last_clear, ack_tx_since_last_clear=ack_tx_since_last_clear, sumrefresh_tx_since_last_clear=sumrefresh_tx_since_last_clear, hello_tx_since_last_clear=hello_tx_since_last_clear, path_rx_since_last_clear=path_rx_since_last_clear, resv_rx_since_last_clear=resv_rx_since_last_clear, patherr_rx_since_last_clear=patherr_rx_since_last_clear, resverr_rx_since_last_clear=resverr_rx_since_last_clear, pathtear_rx_since_last_clear=pathtear_rx_since_last_clear, resvtear_rx_since_last_clear=resvtear_rx_since_last_clear, resvconf_rx_since_last_clear=resvconf_rx_since_last_clear, bundle_rx_since_last_clear=bundle_rx_since_last_clear, ack_rx_since_last_clear=ack_rx_since_last_clear, sumrefresh_rx_since_last_clear=sumrefresh_rx_since_last_clear, hello_rx_since_last_clear=hello_rx_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_update(self, rx_pkt_bad_length=None, rx_pkt_unknown_type=None, rx_pkt_bad_version=None, rx_pkt_bad_checksum=None, mem_alloc_fail=None, rx_md5_auth_error=None, path_state_timeout=None, resv_state_timeout=None, pkt_with_msg_id_drop=None, pkt_with_sref_drop=None, rx_pkt_bad_length_since_last_clear=None, rx_pkt_unknown_type_since_last_clear=None, rx_pkt_bad_version_since_last_clear=None, rx_pkt_bad_checksum_since_last_clear=None, mem_alloc_fail_since_last_clear=None, rx_md5_auth_error_since_last_clear=None, path_state_timeout_since_last_clear=None, resv_state_timeout_since_last_clear=None, pkt_with_msg_id_drop_since_last_clear=None, pkt_with_sref_drop_since_last_clear=None, path_errors=None, resv_errors=None, patherr_errors=None, resverr_errors=None, pathtear_errors=None, resvtear_errors=None, resvconf_errors=None, bundle_errors=None, ack_errors=None, sumrefresh_errors=None, hello_errors=None, nackobject_errors=None, path_errors_since_last_clear=None, resv_errors_since_last_clear=None, patherr_errors_since_last_clear=None, resverr_errors_since_last_clear=None, pathtear_errors_since_last_clear=None, resvtear_errors_since_last_clear=None, resvconf_errors_since_last_clear=None, bundle_errors_since_last_clear=None, ack_errors_since_last_clear=None, sumrefresh_errors_since_last_clear=None, hello_errors_since_last_clear=None, nackobject_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rx_pkt_bad_length: kwarg.
		:type rx_pkt_bad_length: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_unknown_type: kwarg.
		:type rx_pkt_unknown_type: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_bad_version: kwarg.
		:type rx_pkt_bad_version: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_bad_checksum: kwarg.
		:type rx_pkt_bad_checksum: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param mem_alloc_fail: kwarg.
		:type mem_alloc_fail: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_md5_auth_error: kwarg.
		:type rx_md5_auth_error: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_state_timeout: kwarg.
		:type path_state_timeout: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_state_timeout: kwarg.
		:type resv_state_timeout: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_msg_id_drop: kwarg.
		:type pkt_with_msg_id_drop: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_sref_drop: kwarg.
		:type pkt_with_sref_drop: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_bad_length_since_last_clear: kwarg.
		:type rx_pkt_bad_length_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_unknown_type_since_last_clear: kwarg.
		:type rx_pkt_unknown_type_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_bad_version_since_last_clear: kwarg.
		:type rx_pkt_bad_version_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_bad_checksum_since_last_clear: kwarg.
		:type rx_pkt_bad_checksum_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param mem_alloc_fail_since_last_clear: kwarg.
		:type mem_alloc_fail_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_md5_auth_error_since_last_clear: kwarg.
		:type rx_md5_auth_error_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_state_timeout_since_last_clear: kwarg.
		:type path_state_timeout_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_state_timeout_since_last_clear: kwarg.
		:type resv_state_timeout_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_msg_id_drop_since_last_clear: kwarg.
		:type pkt_with_msg_id_drop_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_sref_drop_since_last_clear: kwarg.
		:type pkt_with_sref_drop_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_errors: kwarg.
		:type path_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_errors: kwarg.
		:type resv_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_errors: kwarg.
		:type patherr_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_errors: kwarg.
		:type resverr_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_errors: kwarg.
		:type pathtear_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_errors: kwarg.
		:type resvtear_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_errors: kwarg.
		:type resvconf_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_errors: kwarg.
		:type bundle_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_errors: kwarg.
		:type ack_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_errors: kwarg.
		:type sumrefresh_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_errors: kwarg.
		:type hello_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param nackobject_errors: kwarg.
		:type nackobject_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_errors_since_last_clear: kwarg.
		:type path_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_errors_since_last_clear: kwarg.
		:type resv_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_errors_since_last_clear: kwarg.
		:type patherr_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_errors_since_last_clear: kwarg.
		:type resverr_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_errors_since_last_clear: kwarg.
		:type pathtear_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_errors_since_last_clear: kwarg.
		:type resvtear_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_errors_since_last_clear: kwarg.
		:type resvconf_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_errors_since_last_clear: kwarg.
		:type bundle_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_errors_since_last_clear: kwarg.
		:type ack_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_errors_since_last_clear: kwarg.
		:type sumrefresh_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_errors_since_last_clear: kwarg.
		:type hello_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param nackobject_errors_since_last_clear: kwarg.
		:type nackobject_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rx_pkt_bad_length=rx_pkt_bad_length, rx_pkt_unknown_type=rx_pkt_unknown_type, rx_pkt_bad_version=rx_pkt_bad_version, rx_pkt_bad_checksum=rx_pkt_bad_checksum, mem_alloc_fail=mem_alloc_fail, rx_md5_auth_error=rx_md5_auth_error, path_state_timeout=path_state_timeout, resv_state_timeout=resv_state_timeout, pkt_with_msg_id_drop=pkt_with_msg_id_drop, pkt_with_sref_drop=pkt_with_sref_drop, rx_pkt_bad_length_since_last_clear=rx_pkt_bad_length_since_last_clear, rx_pkt_unknown_type_since_last_clear=rx_pkt_unknown_type_since_last_clear, rx_pkt_bad_version_since_last_clear=rx_pkt_bad_version_since_last_clear, rx_pkt_bad_checksum_since_last_clear=rx_pkt_bad_checksum_since_last_clear, mem_alloc_fail_since_last_clear=mem_alloc_fail_since_last_clear, rx_md5_auth_error_since_last_clear=rx_md5_auth_error_since_last_clear, path_state_timeout_since_last_clear=path_state_timeout_since_last_clear, resv_state_timeout_since_last_clear=resv_state_timeout_since_last_clear, pkt_with_msg_id_drop_since_last_clear=pkt_with_msg_id_drop_since_last_clear, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear, path_errors=path_errors, resv_errors=resv_errors, patherr_errors=patherr_errors, resverr_errors=resverr_errors, pathtear_errors=pathtear_errors, resvtear_errors=resvtear_errors, resvconf_errors=resvconf_errors, bundle_errors=bundle_errors, ack_errors=ack_errors, sumrefresh_errors=sumrefresh_errors, hello_errors=hello_errors, nackobject_errors=nackobject_errors, path_errors_since_last_clear=path_errors_since_last_clear, resv_errors_since_last_clear=resv_errors_since_last_clear, patherr_errors_since_last_clear=patherr_errors_since_last_clear, resverr_errors_since_last_clear=resverr_errors_since_last_clear, pathtear_errors_since_last_clear=pathtear_errors_since_last_clear, resvtear_errors_since_last_clear=resvtear_errors_since_last_clear, resvconf_errors_since_last_clear=resvconf_errors_since_last_clear, bundle_errors_since_last_clear=bundle_errors_since_last_clear, ack_errors_since_last_clear=ack_errors_since_last_clear, sumrefresh_errors_since_last_clear=sumrefresh_errors_since_last_clear, hello_errors_since_last_clear=hello_errors_since_last_clear, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_statistics_packet_error_counters_ack_errors_update(self, rx_pkt_bad_length=None, rx_pkt_unknown_type=None, rx_pkt_bad_version=None, rx_pkt_bad_checksum=None, mem_alloc_fail=None, rx_md5_auth_error=None, path_state_timeout=None, resv_state_timeout=None, pkt_with_msg_id_drop=None, pkt_with_sref_drop=None, rx_pkt_bad_length_since_last_clear=None, rx_pkt_unknown_type_since_last_clear=None, rx_pkt_bad_version_since_last_clear=None, rx_pkt_bad_checksum_since_last_clear=None, mem_alloc_fail_since_last_clear=None, rx_md5_auth_error_since_last_clear=None, path_state_timeout_since_last_clear=None, resv_state_timeout_since_last_clear=None, pkt_with_msg_id_drop_since_last_clear=None, pkt_with_sref_drop_since_last_clear=None, path_errors=None, resv_errors=None, patherr_errors=None, resverr_errors=None, pathtear_errors=None, resvtear_errors=None, resvconf_errors=None, bundle_errors=None, ack_errors=None, sumrefresh_errors=None, hello_errors=None, nackobject_errors=None, path_errors_since_last_clear=None, resv_errors_since_last_clear=None, patherr_errors_since_last_clear=None, resverr_errors_since_last_clear=None, pathtear_errors_since_last_clear=None, resvtear_errors_since_last_clear=None, resvconf_errors_since_last_clear=None, bundle_errors_since_last_clear=None, ack_errors_since_last_clear=None, sumrefresh_errors_since_last_clear=None, hello_errors_since_last_clear=None, nackobject_errors_since_last_clear=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rx_pkt_bad_length: kwarg.
		:type rx_pkt_bad_length: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_unknown_type: kwarg.
		:type rx_pkt_unknown_type: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_bad_version: kwarg.
		:type rx_pkt_bad_version: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_bad_checksum: kwarg.
		:type rx_pkt_bad_checksum: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param mem_alloc_fail: kwarg.
		:type mem_alloc_fail: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_md5_auth_error: kwarg.
		:type rx_md5_auth_error: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_state_timeout: kwarg.
		:type path_state_timeout: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_state_timeout: kwarg.
		:type resv_state_timeout: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_msg_id_drop: kwarg.
		:type pkt_with_msg_id_drop: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_sref_drop: kwarg.
		:type pkt_with_sref_drop: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_bad_length_since_last_clear: kwarg.
		:type rx_pkt_bad_length_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_unknown_type_since_last_clear: kwarg.
		:type rx_pkt_unknown_type_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_bad_version_since_last_clear: kwarg.
		:type rx_pkt_bad_version_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_pkt_bad_checksum_since_last_clear: kwarg.
		:type rx_pkt_bad_checksum_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param mem_alloc_fail_since_last_clear: kwarg.
		:type mem_alloc_fail_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_md5_auth_error_since_last_clear: kwarg.
		:type rx_md5_auth_error_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_state_timeout_since_last_clear: kwarg.
		:type path_state_timeout_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_state_timeout_since_last_clear: kwarg.
		:type resv_state_timeout_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_msg_id_drop_since_last_clear: kwarg.
		:type pkt_with_msg_id_drop_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pkt_with_sref_drop_since_last_clear: kwarg.
		:type pkt_with_sref_drop_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_errors: kwarg.
		:type path_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_errors: kwarg.
		:type resv_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_errors: kwarg.
		:type patherr_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_errors: kwarg.
		:type resverr_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_errors: kwarg.
		:type pathtear_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_errors: kwarg.
		:type resvtear_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_errors: kwarg.
		:type resvconf_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_errors: kwarg.
		:type bundle_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_errors: kwarg.
		:type ack_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_errors: kwarg.
		:type sumrefresh_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_errors: kwarg.
		:type hello_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param nackobject_errors: kwarg.
		:type nackobject_errors: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param path_errors_since_last_clear: kwarg.
		:type path_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resv_errors_since_last_clear: kwarg.
		:type resv_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param patherr_errors_since_last_clear: kwarg.
		:type patherr_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resverr_errors_since_last_clear: kwarg.
		:type resverr_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param pathtear_errors_since_last_clear: kwarg.
		:type pathtear_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvtear_errors_since_last_clear: kwarg.
		:type resvtear_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param resvconf_errors_since_last_clear: kwarg.
		:type resvconf_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bundle_errors_since_last_clear: kwarg.
		:type bundle_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ack_errors_since_last_clear: kwarg.
		:type ack_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sumrefresh_errors_since_last_clear: kwarg.
		:type sumrefresh_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param hello_errors_since_last_clear: kwarg.
		:type hello_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param nackobject_errors_since_last_clear: kwarg.
		:type nackobject_errors_since_last_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.statistics.packet_error_counters', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rx_pkt_bad_length=rx_pkt_bad_length, rx_pkt_unknown_type=rx_pkt_unknown_type, rx_pkt_bad_version=rx_pkt_bad_version, rx_pkt_bad_checksum=rx_pkt_bad_checksum, mem_alloc_fail=mem_alloc_fail, rx_md5_auth_error=rx_md5_auth_error, path_state_timeout=path_state_timeout, resv_state_timeout=resv_state_timeout, pkt_with_msg_id_drop=pkt_with_msg_id_drop, pkt_with_sref_drop=pkt_with_sref_drop, rx_pkt_bad_length_since_last_clear=rx_pkt_bad_length_since_last_clear, rx_pkt_unknown_type_since_last_clear=rx_pkt_unknown_type_since_last_clear, rx_pkt_bad_version_since_last_clear=rx_pkt_bad_version_since_last_clear, rx_pkt_bad_checksum_since_last_clear=rx_pkt_bad_checksum_since_last_clear, mem_alloc_fail_since_last_clear=mem_alloc_fail_since_last_clear, rx_md5_auth_error_since_last_clear=rx_md5_auth_error_since_last_clear, path_state_timeout_since_last_clear=path_state_timeout_since_last_clear, resv_state_timeout_since_last_clear=resv_state_timeout_since_last_clear, pkt_with_msg_id_drop_since_last_clear=pkt_with_msg_id_drop_since_last_clear, pkt_with_sref_drop_since_last_clear=pkt_with_sref_drop_since_last_clear, path_errors=path_errors, resv_errors=resv_errors, patherr_errors=patherr_errors, resverr_errors=resverr_errors, pathtear_errors=pathtear_errors, resvtear_errors=resvtear_errors, resvconf_errors=resvconf_errors, bundle_errors=bundle_errors, ack_errors=ack_errors, sumrefresh_errors=sumrefresh_errors, hello_errors=hello_errors, nackobject_errors=nackobject_errors, path_errors_since_last_clear=path_errors_since_last_clear, resv_errors_since_last_clear=resv_errors_since_last_clear, patherr_errors_since_last_clear=patherr_errors_since_last_clear, resverr_errors_since_last_clear=resverr_errors_since_last_clear, pathtear_errors_since_last_clear=pathtear_errors_since_last_clear, resvtear_errors_since_last_clear=resvtear_errors_since_last_clear, resvconf_errors_since_last_clear=resvconf_errors_since_last_clear, bundle_errors_since_last_clear=bundle_errors_since_last_clear, ack_errors_since_last_clear=ack_errors_since_last_clear, sumrefresh_errors_since_last_clear=sumrefresh_errors_since_last_clear, hello_errors_since_last_clear=hello_errors_since_last_clear, nackobject_errors_since_last_clear=nackobject_errors_since_last_clear)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_update(self, usr_ping_count=None, usr_traceroute_count=None, echo_req_sent_count=None, echo_req_received_count=None, echo_req_timeout_count=None, echo_resp_sent_count=None, echo_resp_received_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param usr_ping_count: kwarg.
		:type usr_ping_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param usr_traceroute_count: kwarg.
		:type usr_traceroute_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param echo_req_sent_count: kwarg.
		:type echo_req_sent_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param echo_req_received_count: kwarg.
		:type echo_req_received_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param echo_req_timeout_count: kwarg.
		:type echo_req_timeout_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param echo_resp_sent_count: kwarg.
		:type echo_resp_sent_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param echo_resp_received_count: kwarg.
		:type echo_resp_received_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, usr_ping_count=usr_ping_count, usr_traceroute_count=usr_traceroute_count, echo_req_sent_count=echo_req_sent_count, echo_req_received_count=echo_req_received_count, echo_req_timeout_count=echo_req_timeout_count, echo_resp_sent_count=echo_resp_sent_count, echo_resp_received_count=echo_resp_received_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_echo_req_received_count_update(self, usr_ping_count=None, usr_traceroute_count=None, echo_req_sent_count=None, echo_req_received_count=None, echo_req_timeout_count=None, echo_resp_sent_count=None, echo_resp_received_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param usr_ping_count: kwarg.
		:type usr_ping_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param usr_traceroute_count: kwarg.
		:type usr_traceroute_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param echo_req_sent_count: kwarg.
		:type echo_req_sent_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param echo_req_received_count: kwarg.
		:type echo_req_received_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param echo_req_timeout_count: kwarg.
		:type echo_req_timeout_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param echo_resp_sent_count: kwarg.
		:type echo_resp_sent_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param echo_resp_received_count: kwarg.
		:type echo_resp_received_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, usr_ping_count=usr_ping_count, usr_traceroute_count=usr_traceroute_count, echo_req_sent_count=echo_req_sent_count, echo_req_received_count=echo_req_received_count, echo_req_timeout_count=echo_req_timeout_count, echo_resp_sent_count=echo_resp_sent_count, echo_resp_received_count=echo_resp_received_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_return_codes_update(self, return_codes=None, name=None, tx_count=None, rx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param return_codes: kwarg tuple.
		:type return_codes: (number).

		:param number: tuple arg.
		:type number: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param name: kwarg.
		:type name: (unicode)

		:param tx_count: kwarg.
		:type tx_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rx_count: kwarg.
		:type rx_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'return_codes', 'keyval': 'number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, return_codes=return_codes, name=name, tx_count=tx_count, rx_count=rx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_update(self, paths_configured=None, lsps_configured=None, lsps_enabled=None, lsps_operational=None, detour_lsps_up=None, backup_lsps_up=None, bypass_lsps=None, bypass_lsps_up=None, bypass_lsps_enabled=None, ldp_lsps_operational=None, transit_lsps_configured=None, transit_lsps_enabled=None, transit_lsps_operational=None, cspf_groups_configured=None, tunnels_supported=None, tunnels_allocated=None, cross_connects_supported=None, cross_connects_allocated=None, auto_bw_templates_supported=None, auto_bw_templates_configured=None, times_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param paths_configured: kwarg.
		:type paths_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsps_configured: kwarg.
		:type lsps_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsps_enabled: kwarg.
		:type lsps_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsps_operational: kwarg.
		:type lsps_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param detour_lsps_up: kwarg.
		:type detour_lsps_up: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_lsps_up: kwarg.
		:type backup_lsps_up: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_lsps: kwarg.
		:type bypass_lsps: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_lsps_up: kwarg.
		:type bypass_lsps_up: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_lsps_enabled: kwarg.
		:type bypass_lsps_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_lsps_operational: kwarg.
		:type ldp_lsps_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transit_lsps_configured: kwarg.
		:type transit_lsps_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transit_lsps_enabled: kwarg.
		:type transit_lsps_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transit_lsps_operational: kwarg.
		:type transit_lsps_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cspf_groups_configured: kwarg.
		:type cspf_groups_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tunnels_supported: kwarg.
		:type tunnels_supported: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tunnels_allocated: kwarg.
		:type tunnels_allocated: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cross_connects_supported: kwarg.
		:type cross_connects_supported: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cross_connects_allocated: kwarg.
		:type cross_connects_allocated: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param auto_bw_templates_supported: kwarg.
		:type auto_bw_templates_supported: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param auto_bw_templates_configured: kwarg.
		:type auto_bw_templates_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param times_enabled: kwarg.
		:type times_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, paths_configured=paths_configured, lsps_configured=lsps_configured, lsps_enabled=lsps_enabled, lsps_operational=lsps_operational, detour_lsps_up=detour_lsps_up, backup_lsps_up=backup_lsps_up, bypass_lsps=bypass_lsps, bypass_lsps_up=bypass_lsps_up, bypass_lsps_enabled=bypass_lsps_enabled, ldp_lsps_operational=ldp_lsps_operational, transit_lsps_configured=transit_lsps_configured, transit_lsps_enabled=transit_lsps_enabled, transit_lsps_operational=transit_lsps_operational, cspf_groups_configured=cspf_groups_configured, tunnels_supported=tunnels_supported, tunnels_allocated=tunnels_allocated, cross_connects_supported=cross_connects_supported, cross_connects_allocated=cross_connects_allocated, auto_bw_templates_supported=auto_bw_templates_supported, auto_bw_templates_configured=auto_bw_templates_configured, times_enabled=times_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_summary_auto_bw_templates_configured_update(self, paths_configured=None, lsps_configured=None, lsps_enabled=None, lsps_operational=None, detour_lsps_up=None, backup_lsps_up=None, bypass_lsps=None, bypass_lsps_up=None, bypass_lsps_enabled=None, ldp_lsps_operational=None, transit_lsps_configured=None, transit_lsps_enabled=None, transit_lsps_operational=None, cspf_groups_configured=None, tunnels_supported=None, tunnels_allocated=None, cross_connects_supported=None, cross_connects_allocated=None, auto_bw_templates_supported=None, auto_bw_templates_configured=None, times_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param paths_configured: kwarg.
		:type paths_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsps_configured: kwarg.
		:type lsps_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsps_enabled: kwarg.
		:type lsps_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsps_operational: kwarg.
		:type lsps_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param detour_lsps_up: kwarg.
		:type detour_lsps_up: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_lsps_up: kwarg.
		:type backup_lsps_up: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_lsps: kwarg.
		:type bypass_lsps: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_lsps_up: kwarg.
		:type bypass_lsps_up: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_lsps_enabled: kwarg.
		:type bypass_lsps_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_lsps_operational: kwarg.
		:type ldp_lsps_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transit_lsps_configured: kwarg.
		:type transit_lsps_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transit_lsps_enabled: kwarg.
		:type transit_lsps_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transit_lsps_operational: kwarg.
		:type transit_lsps_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cspf_groups_configured: kwarg.
		:type cspf_groups_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tunnels_supported: kwarg.
		:type tunnels_supported: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tunnels_allocated: kwarg.
		:type tunnels_allocated: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cross_connects_supported: kwarg.
		:type cross_connects_supported: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cross_connects_allocated: kwarg.
		:type cross_connects_allocated: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param auto_bw_templates_supported: kwarg.
		:type auto_bw_templates_supported: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param auto_bw_templates_configured: kwarg.
		:type auto_bw_templates_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param times_enabled: kwarg.
		:type times_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.summary', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, paths_configured=paths_configured, lsps_configured=lsps_configured, lsps_enabled=lsps_enabled, lsps_operational=lsps_operational, detour_lsps_up=detour_lsps_up, backup_lsps_up=backup_lsps_up, bypass_lsps=bypass_lsps, bypass_lsps_up=bypass_lsps_up, bypass_lsps_enabled=bypass_lsps_enabled, ldp_lsps_operational=ldp_lsps_operational, transit_lsps_configured=transit_lsps_configured, transit_lsps_enabled=transit_lsps_enabled, transit_lsps_operational=transit_lsps_operational, cspf_groups_configured=cspf_groups_configured, tunnels_supported=tunnels_supported, tunnels_allocated=tunnels_allocated, cross_connects_supported=cross_connects_supported, cross_connects_allocated=cross_connects_allocated, auto_bw_templates_supported=auto_bw_templates_supported, auto_bw_templates_configured=auto_bw_templates_configured, times_enabled=times_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_te_update(self, ospf_te_enabled=None, isis_te_enabled=None, ospf_area_id=None, isis_level_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_te_enabled: kwarg.
		:type ospf_te_enabled: (YANGBool)

		:param isis_te_enabled: kwarg.
		:type isis_te_enabled: (YANGBool)

		:param ospf_area_id: kwarg.
		:type ospf_area_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param isis_level_id: kwarg.
		:type isis_level_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_te_enabled=ospf_te_enabled, isis_te_enabled=isis_te_enabled, ospf_area_id=ospf_area_id, isis_level_id=isis_level_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_update(self, router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param router_id: kwarg.
		:type router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, router_id=router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_update(self, area=None, igp_isis=None, igp_ospf=None, host_name=None, router_id=None, total_network_nodes=None, total_router_nodes=None, total_p2p_links=None, total_p2mp_links=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param area: kwarg tuple.
		:type area: (area_id, level_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param level_id: tuple arg.
		:type level_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param igp_isis: kwarg.
		:type igp_isis: (YANGBool)

		:param igp_ospf: kwarg.
		:type igp_ospf: (YANGBool)

		:param host_name: kwarg.
		:type host_name: (unicode)

		:param router_id: kwarg.
		:type router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param total_network_nodes: kwarg.
		:type total_network_nodes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_router_nodes: kwarg.
		:type total_router_nodes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_p2p_links: kwarg.
		:type total_p2p_links: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_p2mp_links: kwarg.
		:type total_p2mp_links: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, igp_isis=igp_isis, igp_ospf=igp_ospf, host_name=host_name, router_id=router_id, total_network_nodes=total_network_nodes, total_router_nodes=total_router_nodes, total_p2p_links=total_p2p_links, total_p2mp_links=total_p2mp_links)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_update(self, area=None, node=None, igp_isis=None, igp_ospf=None, area_id=None, level_id=None, router=None, network=None, host_name=None, gen_code=None, lsa_id=None, total_p2p_links=None, total_p2mp_links=None, overloaded=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param area: kwarg tuple.
		:type area: (area_id, level_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param level_id: tuple arg.
		:type level_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param node: kwarg tuple.
		:type node: (local_node_id, local_router_id).

		:param local_node_id: tuple arg.
		:type local_node_id: (unicode)

		:param local_router_id: tuple arg.
		:type local_router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param igp_isis: kwarg.
		:type igp_isis: (YANGBool)

		:param igp_ospf: kwarg.
		:type igp_ospf: (YANGBool)

		:param area_id: kwarg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param level_id: kwarg.
		:type level_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param router: kwarg.
		:type router: (YANGBool)

		:param network: kwarg.
		:type network: (YANGBool)

		:param host_name: kwarg.
		:type host_name: (unicode)

		:param gen_code: kwarg.
		:type gen_code: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsa_id: kwarg.
		:type lsa_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_p2p_links: kwarg.
		:type total_p2p_links: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_p2mp_links: kwarg.
		:type total_p2mp_links: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param overloaded: kwarg.
		:type overloaded: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, igp_isis=igp_isis, igp_ospf=igp_ospf, area_id=area_id, level_id=level_id, router=router, network=network, host_name=host_name, gen_code=gen_code, lsa_id=lsa_id, total_p2p_links=total_p2p_links, total_p2mp_links=total_p2mp_links, overloaded=overloaded)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_update(self, area=None, node=None, link=None, igp_isis=None, igp_ospf=None, area_id=None, level_id=None, local_host_name=None, remote_host_name=None, router=None, network=None, p2p=None, p2mp=None, gen_code=None, lsa_id=None, pending_delete=None, igp_metric=None, te_metric=None, admin_group=None, max_bandwidth=None, max_reservable_bandwidth=None, unreserved_priority_0_bandwidth=None, unreserved_priority_1_bandwidth=None, unreserved_priority_2_bandwidth=None, unreserved_priority_3_bandwidth=None, unreserved_priority_4_bandwidth=None, unreserved_priority_5_bandwidth=None, unreserved_priority_6_bandwidth=None, unreserved_priority_7_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param area: kwarg tuple.
		:type area: (area_id, level_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param level_id: tuple arg.
		:type level_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param node: kwarg tuple.
		:type node: (local_node_id, local_router_id).

		:param local_node_id: tuple arg.
		:type local_node_id: (unicode)

		:param local_router_id: tuple arg.
		:type local_router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Keyword Arg Tuple**:
		:param link: kwarg tuple.
		:type link: (local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip).

		:param local_node_id: tuple arg.
		:type local_node_id: (unicode)

		:param remote_node_id: tuple arg.
		:type remote_node_id: (unicode)

		:param local_router_id: tuple arg.
		:type local_router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param remote_router_id: tuple arg.
		:type remote_router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param local_ip: tuple arg.
		:type local_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param remote_ip: tuple arg.
		:type remote_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param igp_isis: kwarg.
		:type igp_isis: (YANGBool)

		:param igp_ospf: kwarg.
		:type igp_ospf: (YANGBool)

		:param area_id: kwarg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param level_id: kwarg.
		:type level_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param local_host_name: kwarg.
		:type local_host_name: (unicode)

		:param remote_host_name: kwarg.
		:type remote_host_name: (unicode)

		:param router: kwarg.
		:type router: (YANGBool)

		:param network: kwarg.
		:type network: (YANGBool)

		:param p2p: kwarg.
		:type p2p: (YANGBool)

		:param p2mp: kwarg.
		:type p2mp: (YANGBool)

		:param gen_code: kwarg.
		:type gen_code: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsa_id: kwarg.
		:type lsa_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pending_delete: kwarg.
		:type pending_delete: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igp_metric: kwarg.
		:type igp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param te_metric: kwarg.
		:type te_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param admin_group: kwarg.
		:type admin_group: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_bandwidth: kwarg.
		:type max_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_reservable_bandwidth: kwarg.
		:type max_reservable_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_0_bandwidth: kwarg.
		:type unreserved_priority_0_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_1_bandwidth: kwarg.
		:type unreserved_priority_1_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_2_bandwidth: kwarg.
		:type unreserved_priority_2_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_3_bandwidth: kwarg.
		:type unreserved_priority_3_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_4_bandwidth: kwarg.
		:type unreserved_priority_4_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_5_bandwidth: kwarg.
		:type unreserved_priority_5_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_6_bandwidth: kwarg.
		:type unreserved_priority_6_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreserved_priority_7_bandwidth: kwarg.
		:type unreserved_priority_7_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, link=link, igp_isis=igp_isis, igp_ospf=igp_ospf, area_id=area_id, level_id=level_id, local_host_name=local_host_name, remote_host_name=remote_host_name, router=router, network=network, p2p=p2p, p2mp=p2mp, gen_code=gen_code, lsa_id=lsa_id, pending_delete=pending_delete, igp_metric=igp_metric, te_metric=te_metric, admin_group=admin_group, max_bandwidth=max_bandwidth, max_reservable_bandwidth=max_reservable_bandwidth, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_srlg_update(self, area=None, node=None, link=None, srlg=None, penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param area: kwarg tuple.
		:type area: (area_id, level_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param level_id: tuple arg.
		:type level_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param node: kwarg tuple.
		:type node: (local_node_id, local_router_id).

		:param local_node_id: tuple arg.
		:type local_node_id: (unicode)

		:param local_router_id: tuple arg.
		:type local_router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param link: kwarg tuple.
		:type link: (local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip).

		:param local_node_id: tuple arg.
		:type local_node_id: (unicode)

		:param remote_node_id: tuple arg.
		:type remote_node_id: (unicode)

		:param local_router_id: tuple arg.
		:type local_router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param remote_router_id: tuple arg.
		:type remote_router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param local_ip: tuple arg.
		:type local_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param remote_ip: tuple arg.
		:type remote_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Keyword Arg Tuple**:
		:param srlg: kwarg tuple.
		:type srlg: (name).

		:param name: tuple arg.
		:type name: (unicode)

	**This Instance Arg(s)**:
		:param penalty: kwarg.
		:type penalty: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, link=link, srlg=srlg, penalty=penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_srlg_update(self, area=None, node=None, srlg=None, penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param area: kwarg tuple.
		:type area: (area_id, level_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param level_id: tuple arg.
		:type level_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param node: kwarg tuple.
		:type node: (local_node_id, local_router_id).

		:param local_node_id: tuple arg.
		:type local_node_id: (unicode)

		:param local_router_id: tuple arg.
		:type local_router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Keyword Arg Tuple**:
		:param srlg: kwarg tuple.
		:type srlg: (name).

		:param name: tuple arg.
		:type name: (unicode)

	**This Instance Arg(s)**:
		:param penalty: kwarg.
		:type penalty: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, area=area, node=node, srlg=srlg, penalty=penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_router_id_update(self, router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param router_id: kwarg.
		:type router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, router_id=router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_te_isis_level_id_update(self, ospf_te_enabled=None, isis_te_enabled=None, ospf_area_id=None, isis_level_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_te_enabled: kwarg.
		:type ospf_te_enabled: (YANGBool)

		:param isis_te_enabled: kwarg.
		:type isis_te_enabled: (YANGBool)

		:param ospf_area_id: kwarg.
		:type ospf_area_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param isis_level_id: kwarg.
		:type isis_level_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_te_enabled=ospf_te_enabled, isis_te_enabled=isis_te_enabled, ospf_area_id=ospf_area_id, isis_level_id=isis_level_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_te_router_id_map_update(self, router_id_map=None, router_id=None, resolved=None, igp_isis=None, igp_ospf=None, isis_level=None, ospf_area=None, origin_ted=None, origin_path=None, origin_lsp=None, origin_other=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param router_id_map: kwarg tuple.
		:type router_id_map: (ip_address).

		:param ip_address: tuple arg.
		:type ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param router_id: kwarg.
		:type router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param resolved: kwarg.
		:type resolved: (YANGBool)

		:param igp_isis: kwarg.
		:type igp_isis: (YANGBool)

		:param igp_ospf: kwarg.
		:type igp_ospf: (YANGBool)

		:param isis_level: kwarg.
		:type isis_level: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_area: kwarg.
		:type ospf_area: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param origin_ted: kwarg.
		:type origin_ted: (YANGBool)

		:param origin_path: kwarg.
		:type origin_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param origin_lsp: kwarg.
		:type origin_lsp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param origin_other: kwarg.
		:type origin_other: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, router_id_map=router_id_map, router_id=router_id, resolved=resolved, igp_isis=igp_isis, igp_ospf=igp_ospf, isis_level=isis_level, ospf_area=ospf_area, origin_ted=origin_ted, origin_path=origin_path, origin_lsp=origin_lsp, origin_other=origin_other)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_update(self, transit_traffic_statistics=None, protocol=None, statistics_valid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param transit_traffic_statistics: kwarg tuple.
		:type transit_traffic_statistics: (in_label).

		:param in_label: tuple arg.
		:type in_label: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param protocol: kwarg.
		:type protocol: (unicode)
		
		.. note::
			* enum - [u'mpls-protocol-none', u'mpls-protocol-ldp', u'mpls-protocol-rsvp']

		:param statistics_valid: kwarg.
		:type statistics_valid: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'transit_traffic_statistics', 'keyval': 'in_label', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, transit_traffic_statistics=transit_traffic_statistics, protocol=protocol, statistics_valid=statistics_valid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_statistics_update(self, transit_traffic_statistics=None, number_of_packets=None, number_of_packets_since_clear=None, number_of_bytes=None, number_of_bytes_since_clear=None, packets_per_second=None, bytes_per_second=None, averaging_interval_seconds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param transit_traffic_statistics: kwarg tuple.
		:type transit_traffic_statistics: (in_label).

		:param in_label: tuple arg.
		:type in_label: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param number_of_packets: kwarg.
		:type number_of_packets: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param number_of_packets_since_clear: kwarg.
		:type number_of_packets_since_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param number_of_bytes: kwarg.
		:type number_of_bytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param number_of_bytes_since_clear: kwarg.
		:type number_of_bytes_since_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param packets_per_second: kwarg.
		:type packets_per_second: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bytes_per_second: kwarg.
		:type bytes_per_second: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param averaging_interval_seconds: kwarg.
		:type averaging_interval_seconds: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'in_label', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, transit_traffic_statistics=transit_traffic_statistics, number_of_packets=number_of_packets, number_of_packets_since_clear=number_of_packets_since_clear, number_of_bytes=number_of_bytes, number_of_bytes_since_clear=number_of_bytes_since_clear, packets_per_second=packets_per_second, bytes_per_second=bytes_per_second, averaging_interval_seconds=averaging_interval_seconds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_statistics_averaging_interval_seconds_update(self, transit_traffic_statistics=None, number_of_packets=None, number_of_packets_since_clear=None, number_of_bytes=None, number_of_bytes_since_clear=None, packets_per_second=None, bytes_per_second=None, averaging_interval_seconds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param transit_traffic_statistics: kwarg tuple.
		:type transit_traffic_statistics: (in_label).

		:param in_label: tuple arg.
		:type in_label: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param number_of_packets: kwarg.
		:type number_of_packets: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param number_of_packets_since_clear: kwarg.
		:type number_of_packets_since_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param number_of_bytes: kwarg.
		:type number_of_bytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param number_of_bytes_since_clear: kwarg.
		:type number_of_bytes_since_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param packets_per_second: kwarg.
		:type packets_per_second: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bytes_per_second: kwarg.
		:type bytes_per_second: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param averaging_interval_seconds: kwarg.
		:type averaging_interval_seconds: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', u'transit_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'in_label', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, transit_traffic_statistics=transit_traffic_statistics, number_of_packets=number_of_packets, number_of_packets_since_clear=number_of_packets_since_clear, number_of_bytes=number_of_bytes, number_of_bytes_since_clear=number_of_bytes_since_clear, packets_per_second=packets_per_second, bytes_per_second=bytes_per_second, averaging_interval_seconds=averaging_interval_seconds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_update(self, tunnel_traffic_statistics=None, protocol=None, name=None, is_bypass=None, statistics_valid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param tunnel_traffic_statistics: kwarg tuple.
		:type tunnel_traffic_statistics: (index).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param protocol: kwarg.
		:type protocol: (unicode)
		
		.. note::
			* enum - [u'mpls-protocol-none', u'mpls-protocol-ldp', u'mpls-protocol-rsvp']

		:param name: kwarg.
		:type name: (unicode)

		:param is_bypass: kwarg.
		:type is_bypass: (YANGBool)

		:param statistics_valid: kwarg.
		:type statistics_valid: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel_traffic_statistics', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel_traffic_statistics=tunnel_traffic_statistics, protocol=protocol, name=name, is_bypass=is_bypass, statistics_valid=statistics_valid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_statistics_update(self, tunnel_traffic_statistics=None, number_of_packets=None, number_of_packets_since_clear=None, number_of_bytes=None, number_of_bytes_since_clear=None, packets_per_second=None, bytes_per_second=None, averaging_interval_seconds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel_traffic_statistics: kwarg tuple.
		:type tunnel_traffic_statistics: (index).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param number_of_packets: kwarg.
		:type number_of_packets: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param number_of_packets_since_clear: kwarg.
		:type number_of_packets_since_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param number_of_bytes: kwarg.
		:type number_of_bytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param number_of_bytes_since_clear: kwarg.
		:type number_of_bytes_since_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param packets_per_second: kwarg.
		:type packets_per_second: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bytes_per_second: kwarg.
		:type bytes_per_second: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param averaging_interval_seconds: kwarg.
		:type averaging_interval_seconds: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_packets=number_of_packets, number_of_packets_since_clear=number_of_packets_since_clear, number_of_bytes=number_of_bytes, number_of_bytes_since_clear=number_of_bytes_since_clear, packets_per_second=packets_per_second, bytes_per_second=bytes_per_second, averaging_interval_seconds=averaging_interval_seconds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_statistics_averaging_interval_seconds_update(self, tunnel_traffic_statistics=None, number_of_packets=None, number_of_packets_since_clear=None, number_of_bytes=None, number_of_bytes_since_clear=None, packets_per_second=None, bytes_per_second=None, averaging_interval_seconds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param tunnel_traffic_statistics: kwarg tuple.
		:type tunnel_traffic_statistics: (index).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param number_of_packets: kwarg.
		:type number_of_packets: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param number_of_packets_since_clear: kwarg.
		:type number_of_packets_since_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param number_of_bytes: kwarg.
		:type number_of_bytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param number_of_bytes_since_clear: kwarg.
		:type number_of_bytes_since_clear: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param packets_per_second: kwarg.
		:type packets_per_second: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param bytes_per_second: kwarg.
		:type bytes_per_second: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param averaging_interval_seconds: kwarg.
		:type averaging_interval_seconds: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', u'tunnel_traffic_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics.statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tunnel_traffic_statistics=tunnel_traffic_statistics, number_of_packets=number_of_packets, number_of_packets_since_clear=number_of_packets_since_clear, number_of_bytes=number_of_bytes, number_of_bytes_since_clear=number_of_bytes_since_clear, packets_per_second=packets_per_second, bytes_per_second=bytes_per_second, averaging_interval_seconds=averaging_interval_seconds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def mtu_update(self, global_l2_mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param global_l2_mtu: Set L2 mtu value to all interfaces of this cluster
		:type global_l2_mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.global_mtu_conf', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.global_mtu_conf', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_l2_mtu=global_l2_mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def nas_auto_qos_set_update(self, cos=None, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cos: Class Of Service
		:type cos: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dscp: Differentiated Services Code Point
		:type dscp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.nas.auto_qos.set_', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nas.auto_qos.set_', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nas.auto_qos.set_', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.auto_qos.set_', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos=cos, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def nas_auto_qos_set_cos_update(self, cos=None, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cos: Class Of Service
		:type cos: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dscp: Differentiated Services Code Point
		:type dscp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.nas.auto_qos.set_', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nas.auto_qos.set_', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nas.auto_qos.set_', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.auto_qos.set_', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos=cos, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def nsx_controller_update(self, nsx_controller=None, reconnect_interval=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param nsx_controller: kwarg tuple.
		:type nsx_controller: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param reconnect_interval: Reconnect interval
		:type reconnect_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param activate: Activate the connection
		:type activate: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.nsx_controller', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nsx_controller', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nsx_controller', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'nsx_controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsx_controller=nsx_controller, reconnect_interval=reconnect_interval, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def nsx_controller_ip_update(self, nsx_controller=None, address=None, port=None, method=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param nsx_controller: kwarg tuple.
		:type nsx_controller: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param address: IP address of NSX controller
		:type address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param port: NSX controller port number
		:type port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param method: Connection method
		:type method: (unicode)
		
		.. note::
			* enum - [u'ssl', u'tcp']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_1_0.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_0_1a.nsx_controller', 'nsx_controller'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'nsx_controller')]
    bindings_list = [('pybind.nos.v6_0_2b.nsx_controller.connection_addr', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nsx_controller.connection_addr', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nsx_controller.connection_addr', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller.connection_addr', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'address, port, method'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsx_controller=nsx_controller, address=address, port=port, method=method)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def nsx_controller_ip_address_update(self, nsx_controller=None, address=None, port=None, method=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param nsx_controller: kwarg tuple.
		:type nsx_controller: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param address: IP address of NSX controller
		:type address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param port: NSX controller port number
		:type port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param method: Connection method
		:type method: (unicode)
		
		.. note::
			* enum - [u'ssl', u'tcp']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_1_0.nsx_controller', 'nsx_controller'), ('pybind.nos.v7_0_1a.nsx_controller', 'nsx_controller'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'nsx_controller')]
    bindings_list = [('pybind.nos.v6_0_2b.nsx_controller.connection_addr', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.nsx_controller.connection_addr', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.nsx_controller.connection_addr', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller.connection_addr', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsx_controller=nsx_controller, address=address, port=port, method=method)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ntp_update(self, source_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param source_ip: Configure the source ip to be used for NTP
		:type source_ip: (unicode)
		
		.. note::
			* enum - [u'chassis-ip', u'mm-ip']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ntp', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, source_ip=source_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ntp_authentication_key_update(self, authentication_key=None, md5=None, sha1=None, encryption_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param authentication_key: kwarg tuple.
		:type authentication_key: (keyid, md5, sha1, encryption_level).

		:param keyid: tuple arg.
		:type keyid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param md5: MD5 Encryption
		:type md5: (unicode)
		
		.. note::
			* length - [u'1 .. max']

		:param sha1: SHA1 Encryption
		:type sha1: (unicode)
		
		.. note::
			* length - [u'1 .. max']

		:param encryption_level: Level of encryption of the md5 key (default=7)
		:type encryption_level: (unicode)
		
		.. note::
			* enum - [u'0', u'7']

	**This Instance Arg(s)**:
		:param md5: MD5 Encryption
		:type md5: (unicode)
		
		.. note::
			* length - [u'1 .. max']

		:param sha1: SHA1 Encryption
		:type sha1: (unicode)
		
		.. note::
			* length - [u'1 .. max']

		:param encryption_level: Level of encryption of the md5 key (default=7)
		:type encryption_level: (unicode)
		
		.. note::
			* enum - [u'0', u'7']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ntp.authentication_key', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp.authentication_key', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp.authentication_key', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.authentication_key', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'authentication_key', 'keyval': 'keyid', 'extra_keyval': 'keyid, md5, sha1, encryption_level'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, authentication_key=authentication_key, md5=md5, sha1=sha1, encryption_level=encryption_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ntp_server_update(self, server=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param server: kwarg tuple.
		:type server: (ip).

		:param ip: Network Time Protocol server ip address(es)
		:type ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param key: authentication key
		:type key: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ntp.server', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp.server', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp.server', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.server', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'server', 'keyval': 'ip, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server=server, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ntp_server_key_update(self, server=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param server: kwarg tuple.
		:type server: (ip, use_vrf).

		:param ip: Network Time Protocol server ip address(es)
		:type ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param use_vrf: VRF to use for synchronizing the time with server.
		:type use_vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param key: authentication key
		:type key: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.ntp.server', u'server')]
    bindings_list = [('pybind.slxos.v16r_1_00b.ntp.server.server_key', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, server=server, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ntp_source_ip_update(self, source_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param source_ip: Configure the source ip to be used for NTP
		:type source_ip: (unicode)
		
		.. note::
			* enum - [u'chassis-ip', u'mm-ip']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ntp', 'pybind.nos.v6_0_2b.brocade_ntp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ntp', 'pybind.nos.v7_0_1a.brocade_ntp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ntp', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, source_ip=source_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_controller_ip_update(self, openflow_controller=None, controller_address=None, connection_method=None, connection_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param openflow_controller: kwarg tuple.
		:type openflow_controller: (controller_name).

		:param controller_name: tuple arg.
		:type controller_name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param controller_address: IP address of OpenFlow controller
		:type controller_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param connection_method: Connection method
		:type connection_method: (unicode)
		
		.. note::
			* enum - [u'ssl', u'no-ssl']

		:param connection_port: OpenFlow controller port number
		:type connection_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.openflow_controller', 'openflow_controller'), ('pybind.nos.v7_1_0.openflow_controller', 'openflow_controller'), ('pybind.nos.v7_0_1a.openflow_controller', 'openflow_controller')]
    bindings_list = [('pybind.nos.v6_0_2b.openflow_controller.connection_address', 'pybind.nos.v6_0_2b.brocade_openflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.openflow_controller.connection_address', 'pybind.nos.v7_0_1a.brocade_openflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.openflow_controller.connection_address', 'pybind.nos.v7_1_0.brocade_openflow', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'controller_address, connection_method, connection_port, active_controller_vrf'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, openflow_controller=openflow_controller, controller_address=controller_address, connection_method=connection_method, connection_port=connection_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_controller_ip_method_update(self, openflow_controller=None, controller_address=None, connection_method=None, connection_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param openflow_controller: kwarg tuple.
		:type openflow_controller: (controller_name).

		:param controller_name: tuple arg.
		:type controller_name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param controller_address: IP address of OpenFlow controller
		:type controller_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param connection_method: Connection method
		:type connection_method: (unicode)
		
		.. note::
			* enum - [u'ssl', u'no-ssl']

		:param connection_port: OpenFlow controller port number
		:type connection_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.openflow_controller', 'openflow_controller')]
    bindings_list = [('pybind.nos.v6_0_2b.openflow_controller.connection_address', 'pybind.nos.v6_0_2b.brocade_openflow', 'pybind.nos.v6_0_2b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, openflow_controller=openflow_controller, controller_address=controller_address, connection_method=connection_method, connection_port=connection_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_controller_ip_use_vrf_update(self, openflow_controller=None, controller_address=None, connection_method=None, connection_port=None, active_controller_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param openflow_controller: kwarg tuple.
		:type openflow_controller: (controller_name).

		:param controller_name: tuple arg.
		:type controller_name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param controller_address: IP address of OpenFlow controller
		:type controller_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param connection_method: Connection method
		:type connection_method: (unicode)
		
		.. note::
			* enum - [u'ssl', u'no-ssl']

		:param connection_port: OpenFlow controller port number
		:type connection_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param active_controller_vrf: Name of VRF (Default = mgmt-vrf)
		:type active_controller_vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.openflow_controller', 'openflow_controller'), ('pybind.nos.v7_0_1a.openflow_controller', 'openflow_controller')]
    bindings_list = [('pybind.nos.v7_0_1a.openflow_controller.connection_address', 'pybind.nos.v7_0_1a.brocade_openflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.openflow_controller.connection_address', 'pybind.nos.v7_1_0.brocade_openflow', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': ''}, {'keyval': 'controller_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, openflow_controller=openflow_controller, controller_address=controller_address, connection_method=connection_method, connection_port=connection_port, active_controller_vrf=active_controller_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_controller_passive_update(self, controller=None, passive_connection_method=None, passive_controller_address=None, passive_connection_port=None, passive_controller_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param controller: kwarg tuple.
		:type controller: (controller_name).

		:param controller_name: tuple arg.
		:type controller_name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param passive_connection_method: Connection method
		:type passive_connection_method: (unicode)
		
		.. note::
			* enum - [u'no-ssl']

		:param passive_controller_address: Set the IPv4 listening address
		:type passive_controller_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param passive_connection_port: listening Port
		:type passive_connection_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param passive_controller_vrf: Name of VRF (Default = mgmt-vrf)
		:type passive_controller_vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', u'controller')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller.passive', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': 'controller_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller=controller, passive_connection_method=passive_connection_method, passive_controller_address=passive_controller_address, passive_connection_port=passive_connection_port, passive_controller_vrf=passive_controller_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_controller_use_vrf_update(self, controller=None, controller_address=None, connection_method=None, connection_port=None, active_controller_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param controller: kwarg tuple.
		:type controller: (controller_name).

		:param controller_name: tuple arg.
		:type controller_name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param controller_address: IP address active of OpenFlow controller
		:type controller_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param connection_method: Connection method
		:type connection_method: (unicode)
		
		.. note::
			* enum - [u'ssl', u'no-ssl']

		:param connection_port: OpenFlow controller port number
		:type connection_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param active_controller_vrf: Name of VRF (Default = mgmt-vrf)
		:type active_controller_vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', u'controller')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller.active_controller', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_name', 'extra_keyval': 'controller_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller=controller, controller_address=controller_address, connection_method=connection_method, connection_port=connection_port, active_controller_vrf=active_controller_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_default_behavior_update(self, send_to_controller=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param send_to_controller: kwarg.
		:type send_to_controller: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.default_behavior', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, send_to_controller=send_to_controller)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_default_behavior_send_to_controller_update(self, send_to_controller=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param send_to_controller: kwarg.
		:type send_to_controller: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.default_behavior', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, send_to_controller=send_to_controller)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_enable_update(self, ofVerType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ofVerType: Enable OF Version
		:type ofVerType: (unicode)
		
		.. note::
			* enum - [u'ofv13']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_global.openflow.enable', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ofVerType=ofVerType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_controller_update(self, controller=None, mode=None, type=None, connection_type=None, ip_addr=None, port=None, vrf_name=None, status=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param controller: kwarg tuple.
		:type controller: (name).

		:param name: tuple arg.
		:type name: (unicode)

	**This Instance Arg(s)**:
		:param mode: kwarg.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'dcm-connection-mode-active', u'dcm-connection-mode-passive']

		:param type: kwarg.
		:type type: (unicode)
		
		.. note::
			* enum - [u'ofv100', u'ofv130']

		:param connection_type: kwarg.
		:type connection_type: (unicode)
		
		.. note::
			* enum - [u'dcm-connection-type-tcp', u'dcm-connection-type-ssl']

		:param ip_addr: kwarg.
		:type ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param port: kwarg.
		:type port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf_name: kwarg.
		:type vrf_name: (unicode)

		:param status: kwarg.
		:type status: (unicode)
		
		.. note::
			* enum - [u'dcm-ctrlr-status-close', u'dcm-ctrlr-status-tcp-connecting', u'dcm-ctrlr-status-tcp-listening', u'dcm-ctrlr-status-openf-established', u'dcm-ctrlr-status-max', u'dcm-ctrlr-status-openf-handshake', u'dcm-ctrlr-status-init', u'dcm-ctrlr-status-tcp-established', u'dcm-ctrlr-status-unknown']

		:param role: kwarg.
		:type role: (unicode)
		
		.. note::
			* enum - [u'dcm-ctrlr-role-invalid', u'dcm-ctrlr-role-equal', u'dcm-ctrlr-role-slave', u'dcm-ctrlr-role-master']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller=controller, mode=mode, type=type, connection_type=connection_type, ip_addr=ip_addr, port=port, vrf_name=vrf_name, status=status, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_update(self, admin_status=None, ssl_status=None, num_controllers=None, data_path=None, l2_match=None, l3_match=None, max_l2_flows=None, active_flows=None, enabled_ports=None, default_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param ssl_status: kwarg.
		:type ssl_status: (YANGBool)

		:param num_controllers: kwarg.
		:type num_controllers: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param data_path: kwarg.
		:type data_path: (unicode)

		:param l2_match: kwarg.
		:type l2_match: (unicode)

		:param l3_match: kwarg.
		:type l3_match: (unicode)

		:param max_l2_flows: kwarg.
		:type max_l2_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param active_flows: kwarg.
		:type active_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enabled_ports: kwarg.
		:type enabled_ports: (unicode)

		:param default_action: kwarg.
		:type default_action: (unicode)
		
		.. note::
			* enum - [u'dcm-action-drop', u'dcm-action-invalid', u'dcm-action-send-to-controller']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, admin_status=admin_status, ssl_status=ssl_status, num_controllers=num_controllers, data_path=data_path, l2_match=l2_match, l3_match=l3_match, max_l2_flows=max_l2_flows, active_flows=active_flows, enabled_ports=enabled_ports, default_action=default_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_active_flows_update(self, admin_status=None, ssl_status=None, num_controllers=None, data_path=None, l2_match=None, l3_match=None, max_l2_flows=None, active_flows=None, enabled_ports=None, default_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param admin_status: kwarg.
		:type admin_status: (YANGBool)

		:param ssl_status: kwarg.
		:type ssl_status: (YANGBool)

		:param num_controllers: kwarg.
		:type num_controllers: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param data_path: kwarg.
		:type data_path: (unicode)

		:param l2_match: kwarg.
		:type l2_match: (unicode)

		:param l3_match: kwarg.
		:type l3_match: (unicode)

		:param max_l2_flows: kwarg.
		:type max_l2_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param active_flows: kwarg.
		:type active_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enabled_ports: kwarg.
		:type enabled_ports: (unicode)

		:param default_action: kwarg.
		:type default_action: (unicode)
		
		.. note::
			* enum - [u'dcm-action-drop', u'dcm-action-invalid', u'dcm-action-send-to-controller']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, admin_status=admin_status, ssl_status=ssl_status, num_controllers=num_controllers, data_path=data_path, l2_match=l2_match, l3_match=l3_match, max_l2_flows=max_l2_flows, active_flows=active_flows, enabled_ports=enabled_ports, default_action=default_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_async_list_update(self, controller_detail_list=None, controller_async_list=None, config_data=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param controller_detail_list: kwarg tuple.
		:type controller_detail_list: (controller_idx).

		:param controller_idx: tuple arg.
		:type controller_idx: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param controller_async_list: kwarg tuple.
		:type controller_async_list: (async_type).

		:param async_type: tuple arg.
		:type async_type: (unicode)
		
		.. note::
			* enum - [u'dcm-async-invalid', u'dcm-packet-in', u'dcm-port-status', u'dcm-flow-removed']

	**This Instance Arg(s)**:
		:param config_data: kwarg.
		:type config_data: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_async_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'controller_async_list', 'keyval': 'async_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller_detail_list=controller_detail_list, controller_async_list=controller_async_list, config_data=config_data)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_info_update(self, controller_detail_list=None, name=None, mode=None, type=None, connection_type=None, ip_addr=None, port=None, vrf_name=None, status=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param controller_detail_list: kwarg tuple.
		:type controller_detail_list: (controller_idx).

		:param controller_idx: tuple arg.
		:type controller_idx: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param name: kwarg.
		:type name: (unicode)

		:param mode: kwarg.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'dcm-connection-mode-active', u'dcm-connection-mode-passive']

		:param type: kwarg.
		:type type: (unicode)
		
		.. note::
			* enum - [u'ofv100', u'ofv130']

		:param connection_type: kwarg.
		:type connection_type: (unicode)
		
		.. note::
			* enum - [u'dcm-connection-type-tcp', u'dcm-connection-type-ssl']

		:param ip_addr: kwarg.
		:type ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param port: kwarg.
		:type port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf_name: kwarg.
		:type vrf_name: (unicode)

		:param status: kwarg.
		:type status: (unicode)
		
		.. note::
			* enum - [u'dcm-ctrlr-status-close', u'dcm-ctrlr-status-tcp-connecting', u'dcm-ctrlr-status-tcp-listening', u'dcm-ctrlr-status-openf-established', u'dcm-ctrlr-status-max', u'dcm-ctrlr-status-openf-handshake', u'dcm-ctrlr-status-init', u'dcm-ctrlr-status-tcp-established', u'dcm-ctrlr-status-unknown']

		:param role: kwarg.
		:type role: (unicode)
		
		.. note::
			* enum - [u'dcm-ctrlr-role-invalid', u'dcm-ctrlr-role-equal', u'dcm-ctrlr-role-slave', u'dcm-ctrlr-role-master']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller_detail_list=controller_detail_list, name=name, mode=mode, type=type, connection_type=connection_type, ip_addr=ip_addr, port=port, vrf_name=vrf_name, status=status, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_info_connection_type_update(self, controller_detail_list=None, name=None, mode=None, type=None, connection_type=None, ip_addr=None, port=None, vrf_name=None, status=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param controller_detail_list: kwarg tuple.
		:type controller_detail_list: (controller_idx).

		:param controller_idx: tuple arg.
		:type controller_idx: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param name: kwarg.
		:type name: (unicode)

		:param mode: kwarg.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'dcm-connection-mode-active', u'dcm-connection-mode-passive']

		:param type: kwarg.
		:type type: (unicode)
		
		.. note::
			* enum - [u'ofv100', u'ofv130']

		:param connection_type: kwarg.
		:type connection_type: (unicode)
		
		.. note::
			* enum - [u'dcm-connection-type-tcp', u'dcm-connection-type-ssl']

		:param ip_addr: kwarg.
		:type ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param port: kwarg.
		:type port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf_name: kwarg.
		:type vrf_name: (unicode)

		:param status: kwarg.
		:type status: (unicode)
		
		.. note::
			* enum - [u'dcm-ctrlr-status-close', u'dcm-ctrlr-status-tcp-connecting', u'dcm-ctrlr-status-tcp-listening', u'dcm-ctrlr-status-openf-established', u'dcm-ctrlr-status-max', u'dcm-ctrlr-status-openf-handshake', u'dcm-ctrlr-status-init', u'dcm-ctrlr-status-tcp-established', u'dcm-ctrlr-status-unknown']

		:param role: kwarg.
		:type role: (unicode)
		
		.. note::
			* enum - [u'dcm-ctrlr-role-invalid', u'dcm-ctrlr-role-equal', u'dcm-ctrlr-role-slave', u'dcm-ctrlr-role-master']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_info', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, controller_detail_list=controller_detail_list, name=name, mode=mode, type=type, connection_type=connection_type, ip_addr=ip_addr, port=port, vrf_name=vrf_name, status=status, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_hybrid_interfaces_update(self, hybrid_interfaces=None, protected_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param hybrid_interfaces: kwarg tuple.
		:type hybrid_interfaces: (hybrid_interface).

		:param hybrid_interface: tuple arg.
		:type hybrid_interface: (unicode)

	**This Instance Arg(s)**:
		:param protected_vlans: kwarg.
		:type protected_vlans: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.hybrid_interfaces', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'hybrid_interfaces', 'keyval': 'hybrid_interface', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hybrid_interfaces=hybrid_interfaces, protected_vlans=protected_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_update(self, data_packets_sent=None, data_bytes_sent=None, port_based_flows=None, hw_generic_flows=None, l2_interfaces=None, l3_interfaces=None, l23_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param data_packets_sent: kwarg.
		:type data_packets_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param data_bytes_sent: kwarg.
		:type data_bytes_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_based_flows: kwarg.
		:type port_based_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hw_generic_flows: kwarg.
		:type hw_generic_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_interfaces: kwarg.
		:type l2_interfaces: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l3_interfaces: kwarg.
		:type l3_interfaces: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l23_interfaces: kwarg.
		:type l23_interfaces: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, data_packets_sent=data_packets_sent, data_bytes_sent=data_bytes_sent, port_based_flows=port_based_flows, hw_generic_flows=hw_generic_flows, l2_interfaces=l2_interfaces, l3_interfaces=l3_interfaces, l23_interfaces=l23_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_data_bytes_sent_update(self, data_packets_sent=None, data_bytes_sent=None, port_based_flows=None, hw_generic_flows=None, l2_interfaces=None, l3_interfaces=None, l23_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param data_packets_sent: kwarg.
		:type data_packets_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param data_bytes_sent: kwarg.
		:type data_bytes_sent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_based_flows: kwarg.
		:type port_based_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hw_generic_flows: kwarg.
		:type hw_generic_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_interfaces: kwarg.
		:type l2_interfaces: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l3_interfaces: kwarg.
		:type l3_interfaces: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l23_interfaces: kwarg.
		:type l23_interfaces: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, data_packets_sent=data_packets_sent, data_bytes_sent=data_bytes_sent, port_based_flows=port_based_flows, hw_generic_flows=hw_generic_flows, l2_interfaces=l2_interfaces, l3_interfaces=l3_interfaces, l23_interfaces=l23_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_update(self, flow_info_list=None, priority=None, status=None, in_port=None, in_vlan=None, source_mac=None, destination_mac=None, ether_type=None, ip_protocol=None, ip_protocol_source_port=None, ip_protocol_destination_port=None, source_ip=None, destination_ip=None, instructions=None, action_data=None, meter_id=None, vlan_upbits=None, nw_tos=None, source_ip_mask=None, destination_ip_mask=None, total_packets=None, total_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param flow_info_list: kwarg tuple.
		:type flow_info_list: (flow_id).

		:param flow_id: tuple arg.
		:type flow_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param priority: kwarg.
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param status: kwarg.
		:type status: (unicode)
		
		.. note::
			* enum - [u'dcm-flow-pending-add', u'dcm-flow-not-programmed', u'dcm-flow-pending-modify', u'dcm-flow-pending-delete', u'dcm-flow-programmed']

		:param in_port: kwarg.
		:type in_port: (unicode)

		:param in_vlan: kwarg.
		:type in_vlan: (unicode)

		:param source_mac: kwarg.
		:type source_mac: (unicode)

		:param destination_mac: kwarg.
		:type destination_mac: (unicode)

		:param ether_type: kwarg.
		:type ether_type: (unicode)

		:param ip_protocol: kwarg.
		:type ip_protocol: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_protocol_source_port: kwarg.
		:type ip_protocol_source_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_protocol_destination_port: kwarg.
		:type ip_protocol_destination_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param source_ip: kwarg.
		:type source_ip: (unicode)

		:param destination_ip: kwarg.
		:type destination_ip: (unicode)

		:param instructions: kwarg.
		:type instructions: (unicode)

		:param action_data: kwarg.
		:type action_data: (unicode)

		:param meter_id: kwarg.
		:type meter_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan_upbits: kwarg.
		:type vlan_upbits: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nw_tos: kwarg.
		:type nw_tos: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param source_ip_mask: kwarg.
		:type source_ip_mask: (unicode)

		:param destination_ip_mask: kwarg.
		:type destination_ip_mask: (unicode)

		:param total_packets: kwarg.
		:type total_packets: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_bytes: kwarg.
		:type total_bytes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_info_list=flow_info_list, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_flow_action_list_update(self, flow_info_list=None, flow_action_list=None, group_id=None, queue_id=None, out_ports=None, vlan_id=None, action_vlan_upbits=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param flow_info_list: kwarg tuple.
		:type flow_info_list: (flow_id).

		:param flow_id: tuple arg.
		:type flow_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param flow_action_list: kwarg tuple.
		:type flow_action_list: (action_idx).

		:param action_idx: tuple arg.
		:type action_idx: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param group_id: kwarg.
		:type group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param queue_id: kwarg.
		:type queue_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_ports: kwarg.
		:type out_ports: (unicode)

		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action_vlan_upbits: kwarg.
		:type action_vlan_upbits: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_vlan_tag: kwarg.
		:type out_vlan_tag: (unicode)
		
		.. note::
			* enum - [u'dcm-vlan-action-pop', u'dcm-vlan-action-push', u'dcm-vlan-action-set']

		:param out_vlan_etype: kwarg.
		:type out_vlan_etype: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_update(self, flow_id=None, priority=None, status=None, in_port=None, in_vlan=None, source_mac=None, destination_mac=None, ether_type=None, ip_protocol=None, ip_protocol_source_port=None, ip_protocol_destination_port=None, source_ip=None, destination_ip=None, instructions=None, action_data=None, meter_id=None, vlan_upbits=None, nw_tos=None, source_ip_mask=None, destination_ip_mask=None, total_packets=None, total_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param flow_id: kwarg.
		:type flow_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: kwarg.
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param status: kwarg.
		:type status: (unicode)
		
		.. note::
			* enum - [u'dcm-flow-pending-add', u'dcm-flow-not-programmed', u'dcm-flow-pending-modify', u'dcm-flow-pending-delete', u'dcm-flow-programmed']

		:param in_port: kwarg.
		:type in_port: (unicode)

		:param in_vlan: kwarg.
		:type in_vlan: (unicode)

		:param source_mac: kwarg.
		:type source_mac: (unicode)

		:param destination_mac: kwarg.
		:type destination_mac: (unicode)

		:param ether_type: kwarg.
		:type ether_type: (unicode)

		:param ip_protocol: kwarg.
		:type ip_protocol: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_protocol_source_port: kwarg.
		:type ip_protocol_source_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_protocol_destination_port: kwarg.
		:type ip_protocol_destination_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param source_ip: kwarg.
		:type source_ip: (unicode)

		:param destination_ip: kwarg.
		:type destination_ip: (unicode)

		:param instructions: kwarg.
		:type instructions: (unicode)

		:param action_data: kwarg.
		:type action_data: (unicode)

		:param meter_id: kwarg.
		:type meter_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan_upbits: kwarg.
		:type vlan_upbits: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nw_tos: kwarg.
		:type nw_tos: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param source_ip_mask: kwarg.
		:type source_ip_mask: (unicode)

		:param destination_ip_mask: kwarg.
		:type destination_ip_mask: (unicode)

		:param total_packets: kwarg.
		:type total_packets: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_bytes: kwarg.
		:type total_bytes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_id=flow_id, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_action_data_update(self, flow_id=None, priority=None, status=None, in_port=None, in_vlan=None, source_mac=None, destination_mac=None, ether_type=None, ip_protocol=None, ip_protocol_source_port=None, ip_protocol_destination_port=None, source_ip=None, destination_ip=None, instructions=None, action_data=None, meter_id=None, vlan_upbits=None, nw_tos=None, source_ip_mask=None, destination_ip_mask=None, total_packets=None, total_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param flow_id: kwarg.
		:type flow_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param priority: kwarg.
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param status: kwarg.
		:type status: (unicode)
		
		.. note::
			* enum - [u'dcm-flow-pending-add', u'dcm-flow-not-programmed', u'dcm-flow-pending-modify', u'dcm-flow-pending-delete', u'dcm-flow-programmed']

		:param in_port: kwarg.
		:type in_port: (unicode)

		:param in_vlan: kwarg.
		:type in_vlan: (unicode)

		:param source_mac: kwarg.
		:type source_mac: (unicode)

		:param destination_mac: kwarg.
		:type destination_mac: (unicode)

		:param ether_type: kwarg.
		:type ether_type: (unicode)

		:param ip_protocol: kwarg.
		:type ip_protocol: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_protocol_source_port: kwarg.
		:type ip_protocol_source_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_protocol_destination_port: kwarg.
		:type ip_protocol_destination_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param source_ip: kwarg.
		:type source_ip: (unicode)

		:param destination_ip: kwarg.
		:type destination_ip: (unicode)

		:param instructions: kwarg.
		:type instructions: (unicode)

		:param action_data: kwarg.
		:type action_data: (unicode)

		:param meter_id: kwarg.
		:type meter_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan_upbits: kwarg.
		:type vlan_upbits: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nw_tos: kwarg.
		:type nw_tos: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param source_ip_mask: kwarg.
		:type source_ip_mask: (unicode)

		:param destination_ip_mask: kwarg.
		:type destination_ip_mask: (unicode)

		:param total_packets: kwarg.
		:type total_packets: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_bytes: kwarg.
		:type total_bytes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_id=flow_id, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_flow_action_list_update(self, flow_action_list=None, group_id=None, queue_id=None, out_ports=None, vlan_id=None, action_vlan_upbits=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param flow_action_list: kwarg tuple.
		:type flow_action_list: (action_idx).

		:param action_idx: tuple arg.
		:type action_idx: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param group_id: kwarg.
		:type group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param queue_id: kwarg.
		:type queue_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_ports: kwarg.
		:type out_ports: (unicode)

		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action_vlan_upbits: kwarg.
		:type action_vlan_upbits: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_vlan_tag: kwarg.
		:type out_vlan_tag: (unicode)
		
		.. note::
			* enum - [u'dcm-vlan-action-pop', u'dcm-vlan-action-push', u'dcm-vlan-action-set']

		:param out_vlan_etype: kwarg.
		:type out_vlan_etype: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_update(self, flow_interface=None, flow_info_list=None, priority=None, status=None, in_port=None, in_vlan=None, source_mac=None, destination_mac=None, ether_type=None, ip_protocol=None, ip_protocol_source_port=None, ip_protocol_destination_port=None, source_ip=None, destination_ip=None, instructions=None, action_data=None, meter_id=None, vlan_upbits=None, nw_tos=None, source_ip_mask=None, destination_ip_mask=None, total_packets=None, total_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param flow_interface: kwarg tuple.
		:type flow_interface: (interface_type, interface_value).

		:param interface_type: tuple arg.
		:type interface_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_value: tuple arg.
		:type interface_value: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param flow_info_list: kwarg tuple.
		:type flow_info_list: (flow_id).

		:param flow_id: tuple arg.
		:type flow_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param priority: kwarg.
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param status: kwarg.
		:type status: (unicode)
		
		.. note::
			* enum - [u'dcm-flow-pending-add', u'dcm-flow-not-programmed', u'dcm-flow-pending-modify', u'dcm-flow-pending-delete', u'dcm-flow-programmed']

		:param in_port: kwarg.
		:type in_port: (unicode)

		:param in_vlan: kwarg.
		:type in_vlan: (unicode)

		:param source_mac: kwarg.
		:type source_mac: (unicode)

		:param destination_mac: kwarg.
		:type destination_mac: (unicode)

		:param ether_type: kwarg.
		:type ether_type: (unicode)

		:param ip_protocol: kwarg.
		:type ip_protocol: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_protocol_source_port: kwarg.
		:type ip_protocol_source_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_protocol_destination_port: kwarg.
		:type ip_protocol_destination_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param source_ip: kwarg.
		:type source_ip: (unicode)

		:param destination_ip: kwarg.
		:type destination_ip: (unicode)

		:param instructions: kwarg.
		:type instructions: (unicode)

		:param action_data: kwarg.
		:type action_data: (unicode)

		:param meter_id: kwarg.
		:type meter_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vlan_upbits: kwarg.
		:type vlan_upbits: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nw_tos: kwarg.
		:type nw_tos: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param source_ip_mask: kwarg.
		:type source_ip_mask: (unicode)

		:param destination_ip_mask: kwarg.
		:type destination_ip_mask: (unicode)

		:param total_packets: kwarg.
		:type total_packets: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_bytes: kwarg.
		:type total_bytes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_interface=flow_interface, flow_info_list=flow_info_list, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_flow_action_list_update(self, flow_interface=None, flow_info_list=None, flow_action_list=None, group_id=None, queue_id=None, out_ports=None, vlan_id=None, action_vlan_upbits=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param flow_interface: kwarg tuple.
		:type flow_interface: (interface_type, interface_value).

		:param interface_type: tuple arg.
		:type interface_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_value: tuple arg.
		:type interface_value: (unicode)

		:param flow_info_list: kwarg tuple.
		:type flow_info_list: (flow_id).

		:param flow_id: tuple arg.
		:type flow_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param flow_action_list: kwarg tuple.
		:type flow_action_list: (action_idx).

		:param action_idx: tuple arg.
		:type action_idx: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param group_id: kwarg.
		:type group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param queue_id: kwarg.
		:type queue_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_ports: kwarg.
		:type out_ports: (unicode)

		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action_vlan_upbits: kwarg.
		:type action_vlan_upbits: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_vlan_tag: kwarg.
		:type out_vlan_tag: (unicode)
		
		.. note::
			* enum - [u'dcm-vlan-action-pop', u'dcm-vlan-action-push', u'dcm-vlan-action-set']

		:param out_vlan_etype: kwarg.
		:type out_vlan_etype: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_group_update(self, max_groups=None, max_bkts_per_group=None, max_actions_per_bucket=None, total_groups_all=None, total_groups_select=None, total_groups_indirect=None, total_groups_fast_failover=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param max_groups: kwarg.
		:type max_groups: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_bkts_per_group: kwarg.
		:type max_bkts_per_group: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_actions_per_bucket: kwarg.
		:type max_actions_per_bucket: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_groups_all: kwarg.
		:type total_groups_all: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_groups_select: kwarg.
		:type total_groups_select: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_groups_indirect: kwarg.
		:type total_groups_indirect: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_groups_fast_failover: kwarg.
		:type total_groups_fast_failover: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, max_groups=max_groups, max_bkts_per_group=max_bkts_per_group, max_actions_per_bucket=max_actions_per_bucket, total_groups_all=total_groups_all, total_groups_select=total_groups_select, total_groups_indirect=total_groups_indirect, total_groups_fast_failover=total_groups_fast_failover)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_update(self, group_info_list=None, transaction_id=None, group_type=None, packet_count=None, byte_count=None, flow_count=None, num_of_bkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param group_info_list: kwarg tuple.
		:type group_info_list: (group_id).

		:param group_id: tuple arg.
		:type group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param transaction_id: kwarg.
		:type transaction_id: (unicode)

		:param group_type: kwarg.
		:type group_type: (unicode)
		
		.. note::
			* enum - [u'dcm-group-type-all', u'dcm-group-type-select', u'dcm-group-type-invalid', u'dcm-group-type-indirect', u'dcm-group-type-fast-failover']

		:param packet_count: kwarg.
		:type packet_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param byte_count: kwarg.
		:type byte_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param flow_count: kwarg.
		:type flow_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_of_bkts: kwarg.
		:type num_of_bkts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list, transaction_id=transaction_id, group_type=group_type, packet_count=packet_count, byte_count=byte_count, flow_count=flow_count, num_of_bkts=num_of_bkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_group_bucket_list_update(self, group_info_list=None, group_bucket_list=None, weight=None, watch_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param group_info_list: kwarg tuple.
		:type group_info_list: (group_id).

		:param group_id: tuple arg.
		:type group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param group_bucket_list: kwarg tuple.
		:type group_bucket_list: (bucket_id).

		:param bucket_id: tuple arg.
		:type bucket_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param weight: kwarg.
		:type weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param watch_port: kwarg.
		:type watch_port: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list, group_bucket_list=group_bucket_list, weight=weight, watch_port=watch_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_group_bucket_list_group_action_list_update(self, group_info_list=None, group_bucket_list=None, group_action_list=None, out_port=None, vlan_id=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param group_info_list: kwarg tuple.
		:type group_info_list: (group_id).

		:param group_id: tuple arg.
		:type group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param group_bucket_list: kwarg tuple.
		:type group_bucket_list: (bucket_id).

		:param bucket_id: tuple arg.
		:type bucket_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param group_action_list: kwarg tuple.
		:type group_action_list: (action_id).

		:param action_id: tuple arg.
		:type action_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param out_port: kwarg.
		:type out_port: (unicode)

		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_vlan_tag: kwarg.
		:type out_vlan_tag: (unicode)
		
		.. note::
			* enum - [u'dcm-vlan-action-pop', u'dcm-vlan-action-push', u'dcm-vlan-action-set']

		:param out_vlan_etype: kwarg.
		:type out_vlan_etype: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port, vlan_id=vlan_id, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_update(self, group_id=None, transaction_id=None, group_type=None, packet_count=None, byte_count=None, flow_count=None, num_of_bkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param group_id: kwarg.
		:type group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transaction_id: kwarg.
		:type transaction_id: (unicode)

		:param group_type: kwarg.
		:type group_type: (unicode)
		
		.. note::
			* enum - [u'dcm-group-type-all', u'dcm-group-type-select', u'dcm-group-type-invalid', u'dcm-group-type-indirect', u'dcm-group-type-fast-failover']

		:param packet_count: kwarg.
		:type packet_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param byte_count: kwarg.
		:type byte_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param flow_count: kwarg.
		:type flow_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_of_bkts: kwarg.
		:type num_of_bkts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_id=group_id, transaction_id=transaction_id, group_type=group_type, packet_count=packet_count, byte_count=byte_count, flow_count=flow_count, num_of_bkts=num_of_bkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_byte_count_update(self, group_id=None, transaction_id=None, group_type=None, packet_count=None, byte_count=None, flow_count=None, num_of_bkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param group_id: kwarg.
		:type group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transaction_id: kwarg.
		:type transaction_id: (unicode)

		:param group_type: kwarg.
		:type group_type: (unicode)
		
		.. note::
			* enum - [u'dcm-group-type-all', u'dcm-group-type-select', u'dcm-group-type-invalid', u'dcm-group-type-indirect', u'dcm-group-type-fast-failover']

		:param packet_count: kwarg.
		:type packet_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param byte_count: kwarg.
		:type byte_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param flow_count: kwarg.
		:type flow_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_of_bkts: kwarg.
		:type num_of_bkts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_id=group_id, transaction_id=transaction_id, group_type=group_type, packet_count=packet_count, byte_count=byte_count, flow_count=flow_count, num_of_bkts=num_of_bkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_bucket_list_update(self, group_bucket_list=None, weight=None, watch_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param group_bucket_list: kwarg tuple.
		:type group_bucket_list: (bucket_id).

		:param bucket_id: tuple arg.
		:type bucket_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param weight: kwarg.
		:type weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param watch_port: kwarg.
		:type watch_port: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_bucket_list=group_bucket_list, weight=weight, watch_port=watch_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_bucket_list_group_action_list_update(self, group_bucket_list=None, group_action_list=None, out_port=None, vlan_id=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param group_bucket_list: kwarg tuple.
		:type group_bucket_list: (bucket_id).

		:param bucket_id: tuple arg.
		:type bucket_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param group_action_list: kwarg tuple.
		:type group_action_list: (action_id).

		:param action_id: tuple arg.
		:type action_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param out_port: kwarg.
		:type out_port: (unicode)

		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param out_vlan_tag: kwarg.
		:type out_vlan_tag: (unicode)
		
		.. note::
			* enum - [u'dcm-vlan-action-pop', u'dcm-vlan-action-push', u'dcm-vlan-action-set']

		:param out_vlan_etype: kwarg.
		:type out_vlan_etype: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port, vlan_id=vlan_id, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_group_max_actions_per_bucket_update(self, max_groups=None, max_bkts_per_group=None, max_actions_per_bucket=None, total_groups_all=None, total_groups_select=None, total_groups_indirect=None, total_groups_fast_failover=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param max_groups: kwarg.
		:type max_groups: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_bkts_per_group: kwarg.
		:type max_bkts_per_group: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_actions_per_bucket: kwarg.
		:type max_actions_per_bucket: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_groups_all: kwarg.
		:type total_groups_all: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_groups_select: kwarg.
		:type total_groups_select: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_groups_indirect: kwarg.
		:type total_groups_indirect: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param total_groups_fast_failover: kwarg.
		:type total_groups_fast_failover: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, max_groups=max_groups, max_bkts_per_group=max_bkts_per_group, max_actions_per_bucket=max_actions_per_bucket, total_groups_all=total_groups_all, total_groups_select=total_groups_select, total_groups_indirect=total_groups_indirect, total_groups_fast_failover=total_groups_fast_failover)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_interface_update(self, interface=None, link=None, port_state=None, speed=None, mac=None, port_id=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (port).

		:param port: tuple arg.
		:type port: (unicode)

	**This Instance Arg(s)**:
		:param link: kwarg.
		:type link: (YANGBool)

		:param port_state: kwarg.
		:type port_state: (unicode)
		
		.. note::
			* enum - [u'dcm-port-state-invalid', u'dcm-port-state-forward', u'dcm-port-state-live', u'dcm-port-state-blocked', u'dcm-port-state-link-down']

		:param speed: kwarg.
		:type speed: (unicode)
		
		.. note::
			* enum - [u'dcm-port-speed-gig', u'dcm-port-speed-hundredgig', u'dcm-port-speed-tengig', u'dcm-port-speed-fortygig', u'dcm-port-speed-unknown']

		:param mac: kwarg.
		:type mac: (unicode)

		:param port_id: kwarg.
		:type port_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: kwarg.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'dcm-port-mode-unknown', u'dcm-port-mode-hybrid-l3', u'dcm-port-mode-hybrid-l2', u'dcm-port-mode-l23', u'dcm-port-mode-hybrid-l23', u'dcm-port-mode-l3', u'dcm-port-mode-l2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface=interface, link=link, port_state=port_state, speed=speed, mac=mac, port_id=port_id, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_update(self, num_of_meters=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param num_of_meters: kwarg.
		:type num_of_meters: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_of_meters=num_of_meters)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_update(self, meter_id=None, transaction_id=None, meterflags_type=None, flow_count=None, num_of_bands=None, in_packet_count=None, in_byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param meter_id: kwarg.
		:type meter_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transaction_id: kwarg.
		:type transaction_id: (unicode)

		:param meterflags_type: kwarg.
		:type meterflags_type: (unicode)

		:param flow_count: kwarg.
		:type flow_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_of_bands: kwarg.
		:type num_of_bands: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param in_packet_count: kwarg.
		:type in_packet_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param in_byte_count: kwarg.
		:type in_byte_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_id=meter_id, transaction_id=transaction_id, meterflags_type=meterflags_type, flow_count=flow_count, num_of_bands=num_of_bands, in_packet_count=in_packet_count, in_byte_count=in_byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_flow_count_update(self, meter_id=None, transaction_id=None, meterflags_type=None, flow_count=None, num_of_bands=None, in_packet_count=None, in_byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param meter_id: kwarg.
		:type meter_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transaction_id: kwarg.
		:type transaction_id: (unicode)

		:param meterflags_type: kwarg.
		:type meterflags_type: (unicode)

		:param flow_count: kwarg.
		:type flow_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_of_bands: kwarg.
		:type num_of_bands: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param in_packet_count: kwarg.
		:type in_packet_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param in_byte_count: kwarg.
		:type in_byte_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_id=meter_id, transaction_id=transaction_id, meterflags_type=meterflags_type, flow_count=flow_count, num_of_bands=num_of_bands, in_packet_count=in_packet_count, in_byte_count=in_byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_meterband_info_list_update(self, meterband_info_list=None, rate=None, burst_size=None, in_packet_band_count=None, in_byte_band_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param meterband_info_list: kwarg tuple.
		:type meterband_info_list: (band_type).

		:param band_type: tuple arg.
		:type band_type: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rate: kwarg.
		:type rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param burst_size: kwarg.
		:type burst_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param in_packet_band_count: kwarg.
		:type in_packet_band_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param in_byte_band_count: kwarg.
		:type in_byte_band_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meterband_info_list=meterband_info_list, rate=rate, burst_size=burst_size, in_packet_band_count=in_packet_band_count, in_byte_band_count=in_byte_band_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_update(self, meter_info_list=None, transaction_id=None, meterflags_type=None, flow_count=None, num_of_bands=None, in_packet_count=None, in_byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param meter_info_list: kwarg tuple.
		:type meter_info_list: (meter_id).

		:param meter_id: tuple arg.
		:type meter_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param transaction_id: kwarg.
		:type transaction_id: (unicode)

		:param meterflags_type: kwarg.
		:type meterflags_type: (unicode)

		:param flow_count: kwarg.
		:type flow_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_of_bands: kwarg.
		:type num_of_bands: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param in_packet_count: kwarg.
		:type in_packet_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param in_byte_count: kwarg.
		:type in_byte_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meter_info_list', 'keyval': 'meter_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_info_list=meter_info_list, transaction_id=transaction_id, meterflags_type=meterflags_type, flow_count=flow_count, num_of_bands=num_of_bands, in_packet_count=in_packet_count, in_byte_count=in_byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_meterband_info_list_update(self, meter_info_list=None, meterband_info_list=None, rate=None, burst_size=None, in_packet_band_count=None, in_byte_band_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param meter_info_list: kwarg tuple.
		:type meter_info_list: (meter_id).

		:param meter_id: tuple arg.
		:type meter_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param meterband_info_list: kwarg tuple.
		:type meterband_info_list: (band_type).

		:param band_type: tuple arg.
		:type band_type: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rate: kwarg.
		:type rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param burst_size: kwarg.
		:type burst_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param in_packet_band_count: kwarg.
		:type in_packet_band_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param in_byte_band_count: kwarg.
		:type in_byte_band_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', u'meter_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'meter_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list, rate=rate, burst_size=burst_size, in_packet_band_count=in_packet_band_count, in_byte_band_count=in_byte_band_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_num_of_meters_update(self, num_of_meters=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param num_of_meters: kwarg.
		:type num_of_meters: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_of_meters=num_of_meters)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_queues_interface_update(self, interface_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param interface_value: kwarg.
		:type interface_value: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_value=interface_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_queues_interface_interface_value_update(self, interface_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param interface_value: kwarg.
		:type interface_value: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_value=interface_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_queues_interface_queue_info_list_update(self, queue_info_list=None, tx_packets=None, tx_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param queue_info_list: kwarg tuple.
		:type queue_info_list: (interface, num).

		:param interface: tuple arg.
		:type interface: (unicode)

		:param num: tuple arg.
		:type num: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param tx_packets: kwarg.
		:type tx_packets: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_bytes: kwarg.
		:type tx_bytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue_info_list=queue_info_list, tx_packets=tx_packets, tx_bytes=tx_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_update(self, meter_max=None, meter_used=None, meter_free=None, tcam_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param meter_max: kwarg.
		:type meter_max: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param meter_used: kwarg.
		:type meter_used: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param meter_free: kwarg.
		:type meter_free: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tcam_profile: kwarg.
		:type tcam_profile: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_max=meter_max, meter_used=meter_used, meter_free=meter_free, tcam_profile=tcam_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_group_resouces_list_update(self, group_resouces_list=None, max_=None, used=None, free=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param group_resouces_list: kwarg tuple.
		:type group_resouces_list: (group_type).

		:param group_type: tuple arg.
		:type group_type: (unicode)
		
		.. note::
			* enum - [u'dcm-group-type-all', u'dcm-group-type-select', u'dcm-group-type-invalid', u'dcm-group-type-indirect', u'dcm-group-type-fast-failover']

	**This Instance Arg(s)**:
		:param max_: kwarg.
		:type max_: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param used: kwarg.
		:type used: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param free: kwarg.
		:type free: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.group_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_resouces_list', 'keyval': 'group_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group_resouces_list=group_resouces_list, max_=max_, used=used, free=free)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_meter_free_update(self, meter_max=None, meter_used=None, meter_free=None, tcam_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param meter_max: kwarg.
		:type meter_max: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param meter_used: kwarg.
		:type meter_used: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param meter_free: kwarg.
		:type meter_free: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tcam_profile: kwarg.
		:type tcam_profile: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, meter_max=meter_max, meter_used=meter_used, meter_free=meter_free, tcam_profile=tcam_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_update(self, slot_resouces_list=None, module=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param slot_resouces_list: kwarg tuple.
		:type slot_resouces_list: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param module: kwarg.
		:type module: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slot_resouces_list', 'keyval': 'slot_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list, module=module)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_slot_match_profile_list_update(self, slot_resouces_list=None, slot_match_profile_list=None, max_flows=None, used_flows=None, free_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param slot_resouces_list: kwarg tuple.
		:type slot_resouces_list: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param slot_match_profile_list: kwarg tuple.
		:type slot_match_profile_list: (slot_match_profile_idx).

		:param slot_match_profile_idx: tuple arg.
		:type slot_match_profile_idx: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param max_flows: kwarg.
		:type max_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param used_flows: kwarg.
		:type used_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param free_flows: kwarg.
		:type free_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slot_match_profile_list', 'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, max_flows=max_flows, used_flows=used_flows, free_flows=free_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_slot_match_profile_list_slot_chip_resource_list_update(self, slot_resouces_list=None, slot_match_profile_list=None, slot_chip_resource_list=None, max_flows=None, used_flows=None, free_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param slot_resouces_list: kwarg tuple.
		:type slot_resouces_list: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param slot_match_profile_list: kwarg tuple.
		:type slot_match_profile_list: (slot_match_profile_idx).

		:param slot_match_profile_idx: tuple arg.
		:type slot_match_profile_idx: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param slot_chip_resource_list: kwarg tuple.
		:type slot_chip_resource_list: (slot_chip_idx).

		:param slot_chip_idx: tuple arg.
		:type slot_chip_idx: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param max_flows: kwarg.
		:type max_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param used_flows: kwarg.
		:type used_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param free_flows: kwarg.
		:type free_flows: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slot_chip_resource_list', 'keyval': 'slot_chip_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list, max_flows=max_flows, used_flows=used_flows, free_flows=free_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def opstest_state_arpentries_arpe_update(self, arpe=None, hwaddr=None, permanent=None, published=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param arpe: kwarg tuple.
		:type arpe: (ip, ifname).

		:param ip: tuple arg.
		:type ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ifname: tuple arg.
		:type ifname: (unicode)

	**This Instance Arg(s)**:
		:param hwaddr: kwarg.
		:type hwaddr: (unicode)

		:param permanent: kwarg.
		:type permanent: (YANGBool)

		:param published: kwarg.
		:type published: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.arpentries.arpe', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arpe', 'keyval': 'ip, ifname', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arpe=arpe, hwaddr=hwaddr, permanent=permanent, published=published)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_update(self, route=None, entryMultipathIndex=None, prefixLength=None, gateway=None, outInterfaceName=None, outLabel=None, protocol=None, vifIndex=None, metric=None, useCount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param route: kwarg tuple.
		:type route: (destPrefix).

		:param destPrefix: tuple arg.
		:type destPrefix: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param entryMultipathIndex: kwarg.
		:type entryMultipathIndex: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefixLength: kwarg.
		:type prefixLength: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param gateway: kwarg.
		:type gateway: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param outInterfaceName: kwarg.
		:type outInterfaceName: (unicode)

		:param outLabel: kwarg.
		:type outLabel: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param protocol: kwarg.
		:type protocol: (unicode)

		:param vifIndex: kwarg.
		:type vifIndex: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param metric: kwarg.
		:type metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param useCount: kwarg.
		:type useCount: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, entryMultipathIndex=entryMultipathIndex, prefixLength=prefixLength, gateway=gateway, outInterfaceName=outInterfaceName, outLabel=outLabel, protocol=protocol, vifIndex=vifIndex, metric=metric, useCount=useCount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_children_update(self, route=None, children=None, parentKey=None, attr1=None, attr2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route: kwarg tuple.
		:type route: (destPrefix).

		:param destPrefix: tuple arg.
		:type destPrefix: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Keyword Arg Tuple**:
		:param children: kwarg tuple.
		:type children: (keyid).

		:param keyid: tuple arg.
		:type keyid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param parentKey: kwarg.
		:type parentKey: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param attr1: kwarg.
		:type attr1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param attr2: kwarg.
		:type attr2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'children', 'keyval': 'keyid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, children=children, parentKey=parentKey, attr1=attr1, attr2=attr2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_children_layer2_update(self, route=None, children=None, layer2=None, parentkeyid=None, grandparentKey=None, attr3=None, attr4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route: kwarg tuple.
		:type route: (destPrefix).

		:param destPrefix: tuple arg.
		:type destPrefix: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param children: kwarg tuple.
		:type children: (keyid).

		:param keyid: tuple arg.
		:type keyid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param layer2: kwarg tuple.
		:type layer2: (layer2id).

		:param layer2id: tuple arg.
		:type layer2id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param parentkeyid: kwarg.
		:type parentkeyid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grandparentKey: kwarg.
		:type grandparentKey: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param attr3: kwarg.
		:type attr3: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param attr4: kwarg.
		:type attr4: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', u'children')]
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children.layer2', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'layer2', 'keyval': 'layer2id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route=route, children=children, layer2=layer2, parentkeyid=parentkeyid, grandparentKey=grandparentKey, attr3=attr3, attr4=attr4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_update(self, paths_configured=None, lsps_configured=None, lsps_enabled=None, lsps_operational=None, detour_lsps_up=None, backup_lsps_up=None, bypass_lsps=None, bypass_lspsUp=None, bypass_lspsEnabled=None, ldp_lsps_operational=None, transit_lsps_configured=None, transit_lsps_enabled=None, transit_lsps_operational=None, cspf_groups_configured=None, tunnels_supported=None, tunnels_allocated=None, cross_connects_supported=None, cross_connects_allocated=None, autobw_templates_supported=None, autobw_templates_configured=None, times_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param paths_configured: kwarg.
		:type paths_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsps_configured: kwarg.
		:type lsps_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsps_enabled: kwarg.
		:type lsps_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsps_operational: kwarg.
		:type lsps_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param detour_lsps_up: kwarg.
		:type detour_lsps_up: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_lsps_up: kwarg.
		:type backup_lsps_up: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_lsps: kwarg.
		:type bypass_lsps: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_lspsUp: kwarg.
		:type bypass_lspsUp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_lspsEnabled: kwarg.
		:type bypass_lspsEnabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_lsps_operational: kwarg.
		:type ldp_lsps_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transit_lsps_configured: kwarg.
		:type transit_lsps_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transit_lsps_enabled: kwarg.
		:type transit_lsps_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transit_lsps_operational: kwarg.
		:type transit_lsps_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cspf_groups_configured: kwarg.
		:type cspf_groups_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tunnels_supported: kwarg.
		:type tunnels_supported: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tunnels_allocated: kwarg.
		:type tunnels_allocated: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cross_connects_supported: kwarg.
		:type cross_connects_supported: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cross_connects_allocated: kwarg.
		:type cross_connects_allocated: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param autobw_templates_supported: kwarg.
		:type autobw_templates_supported: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param autobw_templates_configured: kwarg.
		:type autobw_templates_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param times_enabled: kwarg.
		:type times_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, paths_configured=paths_configured, lsps_configured=lsps_configured, lsps_enabled=lsps_enabled, lsps_operational=lsps_operational, detour_lsps_up=detour_lsps_up, backup_lsps_up=backup_lsps_up, bypass_lsps=bypass_lsps, bypass_lspsUp=bypass_lspsUp, bypass_lspsEnabled=bypass_lspsEnabled, ldp_lsps_operational=ldp_lsps_operational, transit_lsps_configured=transit_lsps_configured, transit_lsps_enabled=transit_lsps_enabled, transit_lsps_operational=transit_lsps_operational, cspf_groups_configured=cspf_groups_configured, tunnels_supported=tunnels_supported, tunnels_allocated=tunnels_allocated, cross_connects_supported=cross_connects_supported, cross_connects_allocated=cross_connects_allocated, autobw_templates_supported=autobw_templates_supported, autobw_templates_configured=autobw_templates_configured, times_enabled=times_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def opstest_state_summary_autobw_templates_configured_update(self, paths_configured=None, lsps_configured=None, lsps_enabled=None, lsps_operational=None, detour_lsps_up=None, backup_lsps_up=None, bypass_lsps=None, bypass_lspsUp=None, bypass_lspsEnabled=None, ldp_lsps_operational=None, transit_lsps_configured=None, transit_lsps_enabled=None, transit_lsps_operational=None, cspf_groups_configured=None, tunnels_supported=None, tunnels_allocated=None, cross_connects_supported=None, cross_connects_allocated=None, autobw_templates_supported=None, autobw_templates_configured=None, times_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param paths_configured: kwarg.
		:type paths_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsps_configured: kwarg.
		:type lsps_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsps_enabled: kwarg.
		:type lsps_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsps_operational: kwarg.
		:type lsps_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param detour_lsps_up: kwarg.
		:type detour_lsps_up: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_lsps_up: kwarg.
		:type backup_lsps_up: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_lsps: kwarg.
		:type bypass_lsps: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_lspsUp: kwarg.
		:type bypass_lspsUp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bypass_lspsEnabled: kwarg.
		:type bypass_lspsEnabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_lsps_operational: kwarg.
		:type ldp_lsps_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transit_lsps_configured: kwarg.
		:type transit_lsps_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transit_lsps_enabled: kwarg.
		:type transit_lsps_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transit_lsps_operational: kwarg.
		:type transit_lsps_operational: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cspf_groups_configured: kwarg.
		:type cspf_groups_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tunnels_supported: kwarg.
		:type tunnels_supported: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tunnels_allocated: kwarg.
		:type tunnels_allocated: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cross_connects_supported: kwarg.
		:type cross_connects_supported: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cross_connects_allocated: kwarg.
		:type cross_connects_allocated: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param autobw_templates_supported: kwarg.
		:type autobw_templates_supported: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param autobw_templates_configured: kwarg.
		:type autobw_templates_configured: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param times_enabled: kwarg.
		:type times_enabled: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.summary', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, paths_configured=paths_configured, lsps_configured=lsps_configured, lsps_enabled=lsps_enabled, lsps_operational=lsps_operational, detour_lsps_up=detour_lsps_up, backup_lsps_up=backup_lsps_up, bypass_lsps=bypass_lsps, bypass_lspsUp=bypass_lspsUp, bypass_lspsEnabled=bypass_lspsEnabled, ldp_lsps_operational=ldp_lsps_operational, transit_lsps_configured=transit_lsps_configured, transit_lsps_enabled=transit_lsps_enabled, transit_lsps_operational=transit_lsps_operational, cspf_groups_configured=cspf_groups_configured, tunnels_supported=tunnels_supported, tunnels_allocated=tunnels_allocated, cross_connects_supported=cross_connects_supported, cross_connects_allocated=cross_connects_allocated, autobw_templates_supported=autobw_templates_supported, autobw_templates_configured=autobw_templates_configured, times_enabled=times_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_update(self, extended=None, ext_seq=None, ext_permit_deny=None, ext_dst_vtep_ip=None, ext_dst_vtep_ip_any=None, ext_src_vtep_ip=None, ext_src_vtep_ip_any=None, ext_vni=None, ext_vni_any=None, ext_vni_mask=None, ext_count=None, ext_mirror=None, ext_redirect=None, ext_sflow=None, native=None, tag=None, dst_ip_host=None, dst_ip=None, dst_ip_any=None, src_ip_host=None, src_ip=None, src_ip_any=None, dst_port=None, dst_port_any=None, src_port=None, src_port_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param extended: kwarg tuple.
		:type extended: (ext_user_acl_name).

		:param ext_user_acl_name: Access List Name (Max 63)
		:type ext_user_acl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

	**This Instance Keyword Arg Tuple**:
		:param ext_seq: kwarg tuple.
		:type ext_seq: (ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any).

		:param ext_seq_num: tuple arg.
		:type ext_seq_num: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ext_permit_deny: tuple arg.
		:type ext_permit_deny: (unicode)
		
		.. note::
			* enum - [u'deny', u'permit']

		:param ext_dst_vtep_ip: dst vtep ip address: A.B.C.D
		:type ext_dst_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ext_dst_vtep_ip_any: dst vtep ip address: any
		:type ext_dst_vtep_ip_any: (YANGBool)

		:param ext_src_vtep_ip: src vtep ip address: A.B.C.D
		:type ext_src_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ext_src_vtep_ip_any: src vtep ip address: any
		:type ext_src_vtep_ip_any: (YANGBool)

		:param ext_vni: vni number: 1..16777215
		:type ext_vni: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ext_vni_any: vni any
		:type ext_vni_any: (YANGBool)

		:param ext_vni_mask: vni mask:Hexadecimal 0..FFFFFF
		:type ext_vni_mask: (unicode)
		
		.. note::
			* pattern - 0|[1-9a-fA-F][0-9a-fA-F]{0,5}

		:param ext_count: count
		:type ext_count: (YANGBool)

		:param ext_mirror: mirror <interface-name>
		:type ext_mirror: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param ext_redirect: redirect <interface-name>
		:type ext_redirect: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param ext_sflow: sflow
		:type ext_sflow: (YANGBool)

		:param native: tuple arg.
		:type native: (YANGBool)

		:param tag: tuple arg.
		:type tag: (unicode)
		
		.. note::
			* enum - [u'none', u'single', u'any']

		:param dst_ip_host: dst ip host: A.B.C.D
		:type dst_ip_host: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dst_ip: dst ip: A.B.C.D/mask
		:type dst_ip: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		:param dst_ip_any: dst ip address: any
		:type dst_ip_any: (YANGBool)

		:param src_ip_host: src ip host: A.B.C.D
		:type src_ip_host: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_ip: src ip: A.B.C.D/mask
		:type src_ip: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		:param src_ip_any: src ip address: any
		:type src_ip_any: (YANGBool)

		:param dst_port: tuple arg.
		:type dst_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dst_port_any: dst-port-any
		:type dst_port_any: (YANGBool)

		:param src_port: tuple arg.
		:type src_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param src_port_any: src-port-any
		:type src_port_any: (YANGBool)

	**This Instance Arg(s)**:
		:param ext_permit_deny: kwarg.
		:type ext_permit_deny: (unicode)
		
		.. note::
			* enum - [u'deny', u'permit']

		:param ext_dst_vtep_ip: dst vtep ip address: A.B.C.D
		:type ext_dst_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ext_dst_vtep_ip_any: dst vtep ip address: any
		:type ext_dst_vtep_ip_any: (YANGBool)

		:param ext_src_vtep_ip: src vtep ip address: A.B.C.D
		:type ext_src_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ext_src_vtep_ip_any: src vtep ip address: any
		:type ext_src_vtep_ip_any: (YANGBool)

		:param ext_vni: vni number: 1..16777215
		:type ext_vni: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ext_vni_any: vni any
		:type ext_vni_any: (YANGBool)

		:param ext_vni_mask: vni mask:Hexadecimal 0..FFFFFF
		:type ext_vni_mask: (unicode)
		
		.. note::
			* pattern - 0|[1-9a-fA-F][0-9a-fA-F]{0,5}

		:param ext_count: count
		:type ext_count: (YANGBool)

		:param ext_mirror: mirror <interface-name>
		:type ext_mirror: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param ext_redirect: redirect <interface-name>
		:type ext_redirect: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param ext_sflow: sflow
		:type ext_sflow: (YANGBool)

		:param native: kwarg.
		:type native: (YANGBool)

		:param tag: kwarg.
		:type tag: (unicode)
		
		.. note::
			* enum - [u'none', u'single', u'any']

		:param dst_ip_host: dst ip host: A.B.C.D
		:type dst_ip_host: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dst_ip: dst ip: A.B.C.D/mask
		:type dst_ip: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		:param dst_ip_any: dst ip address: any
		:type dst_ip_any: (YANGBool)

		:param src_ip_host: src ip host: A.B.C.D
		:type src_ip_host: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_ip: src ip: A.B.C.D/mask
		:type src_ip: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		:param src_ip_any: src ip address: any
		:type src_ip_any: (YANGBool)

		:param dst_port: kwarg.
		:type dst_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dst_port_any: dst-port-any
		:type dst_port_any: (YANGBool)

		:param src_port: kwarg.
		:type src_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param src_port_any: src-port-any
		:type src_port_any: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': 'ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended=extended, ext_seq=ext_seq, ext_permit_deny=ext_permit_deny, ext_dst_vtep_ip=ext_dst_vtep_ip, ext_dst_vtep_ip_any=ext_dst_vtep_ip_any, ext_src_vtep_ip=ext_src_vtep_ip, ext_src_vtep_ip_any=ext_src_vtep_ip_any, ext_vni=ext_vni, ext_vni_any=ext_vni_any, ext_vni_mask=ext_vni_mask, ext_count=ext_count, ext_mirror=ext_mirror, ext_redirect=ext_redirect, ext_sflow=ext_sflow, native=native, tag=tag, dst_ip_host=dst_ip_host, dst_ip=dst_ip, dst_ip_any=dst_ip_any, src_ip_host=src_ip_host, src_ip=src_ip, src_ip_any=src_ip_any, dst_port=dst_port, dst_port_any=dst_port_any, src_port=src_port, src_port_any=src_port_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_update(self, standard=None, seq=None, permit_deny=None, dst_vtep_ip=None, dst_vtep_ip_any=None, src_vtep_ip=None, src_vtep_ip_any=None, vni=None, vni_any=None, vni_mask=None, count=None, redirect=None, sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param standard: kwarg tuple.
		:type standard: (user_acl_name).

		:param user_acl_name: Access List Name (Max 63)
		:type user_acl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})

	**This Instance Keyword Arg Tuple**:
		:param seq: kwarg tuple.
		:type seq: (seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow).

		:param seq_num: tuple arg.
		:type seq_num: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param permit_deny: tuple arg.
		:type permit_deny: (unicode)
		
		.. note::
			* enum - [u'deny', u'permit']

		:param dst_vtep_ip: dst vtep ip address: A.B.C.D
		:type dst_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dst_vtep_ip_any: dst vtep ip address: any
		:type dst_vtep_ip_any: (YANGBool)

		:param src_vtep_ip: src vtep ip address: A.B.C.D
		:type src_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_vtep_ip_any: src vtep ip address: any
		:type src_vtep_ip_any: (YANGBool)

		:param vni: vni number: 1..16777215
		:type vni: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vni_any: vni any
		:type vni_any: (YANGBool)

		:param vni_mask: vni mask:Hexadecimal 0..FFFFFF
		:type vni_mask: (unicode)
		
		.. note::
			* pattern - 0|[1-9a-fA-F][0-9a-fA-F]{0,5}

		:param count: count
		:type count: (YANGBool)

		:param redirect: redirect <interface-name>
		:type redirect: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param sflow: sflow
		:type sflow: (YANGBool)

	**This Instance Arg(s)**:
		:param permit_deny: kwarg.
		:type permit_deny: (unicode)
		
		.. note::
			* enum - [u'deny', u'permit']

		:param dst_vtep_ip: dst vtep ip address: A.B.C.D
		:type dst_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dst_vtep_ip_any: dst vtep ip address: any
		:type dst_vtep_ip_any: (YANGBool)

		:param src_vtep_ip: src vtep ip address: A.B.C.D
		:type src_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_vtep_ip_any: src vtep ip address: any
		:type src_vtep_ip_any: (YANGBool)

		:param vni: vni number: 1..16777215
		:type vni: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vni_any: vni any
		:type vni_any: (YANGBool)

		:param vni_mask: vni mask:Hexadecimal 0..FFFFFF
		:type vni_mask: (unicode)
		
		.. note::
			* pattern - 0|[1-9a-fA-F][0-9a-fA-F]{0,5}

		:param count: count
		:type count: (YANGBool)

		:param redirect: redirect <interface-name>
		:type redirect: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param sflow: sflow
		:type sflow: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': 'seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, standard=standard, seq=seq, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, dst_vtep_ip_any=dst_vtep_ip_any, src_vtep_ip=src_vtep_ip, src_vtep_ip_any=src_vtep_ip_any, vni=vni, vni_any=vni_any, vni_mask=vni_mask, count=count, redirect=redirect, sflow=sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_update(self, overlay_gateway=None, gw_type=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param gw_type: Configure the type of Overlay Gateway.
		:type gw_type: (unicode)
		
		.. note::
			* enum - [u'nsx', u'layer2-extension']

		:param activate: Activate the Overlay Gateway instance
		:type activate: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'overlay_gateway', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, gw_type=gw_type, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_attach_rbridge_id_update(self, overlay_gateway=None, rb_add=None, rb_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param rb_add: kwarg.
		:type rb_add: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param rb_remove: kwarg.
		:type rb_remove: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.attach.rbridge_id', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, rb_add=rb_add, rb_remove=rb_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_attach_rbridge_id_add_update(self, overlay_gateway=None, rb_add=None, rb_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param rb_add: kwarg.
		:type rb_add: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param rb_remove: kwarg.
		:type rb_remove: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.attach.rbridge_id', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.attach.rbridge_id', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, rb_add=rb_add, rb_remove=rb_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_enable_statistics_update(self, overlay_gateway=None, stats_direction=None, vlan_action=None, vlan_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param stats_direction: Specify flow direction
		:type stats_direction: (unicode)
		
		.. note::
			* enum - [u'both', u'rx', u'tx']

		:param vlan_action: Target VLANs
		:type vlan_action: (unicode)
		
		.. note::
			* enum - [u'add', u'remove']

		:param vlan_list: kwarg.
		:type vlan_list: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.enable.statistics', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.enable.statistics', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.enable.statistics', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.enable.statistics', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'stats_direction, vlan_action, vlan_list'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, stats_direction=stats_direction, vlan_action=vlan_action, vlan_list=vlan_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_enable_statistics_direction_update(self, overlay_gateway=None, stats_direction=None, vlan_action=None, vlan_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param stats_direction: Specify flow direction
		:type stats_direction: (unicode)
		
		.. note::
			* enum - [u'both', u'rx', u'tx']

		:param vlan_action: Target VLANs
		:type vlan_action: (unicode)
		
		.. note::
			* enum - [u'add', u'remove']

		:param vlan_list: kwarg.
		:type vlan_list: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.enable.statistics', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.enable.statistics', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.enable.statistics', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.enable.statistics', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, stats_direction=stats_direction, vlan_action=vlan_action, vlan_list=vlan_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_update(self, overlay_gateway=None, ipv4_acl_in_name=None, ipv4_acl_in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param ipv4_acl_in_name: Configure IPv4 access-group name
		:type ipv4_acl_in_name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ipv4_acl_in_dir: Configure IPv4 access-group in ingress direction
		:type ipv4_acl_in_dir: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.overlay_gateway.ip', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.overlay_gateway.ip', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.overlay_gateway.ip', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv4.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv4.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.overlay_gateway.ip', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ipv4_acl_in_name=ipv4_acl_in_name, ipv4_acl_in_dir=ipv4_acl_in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_in_update(self, overlay_gateway=None, ipv4_acl_in_name=None, ipv4_acl_in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param ipv4_acl_in_name: Configure IPv4 access-group name
		:type ipv4_acl_in_name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ipv4_acl_in_dir: Configure IPv4 access-group in ingress direction
		:type ipv4_acl_in_dir: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv4.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv4.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ipv4_acl_in_name=ipv4_acl_in_name, ipv4_acl_in_dir=ipv4_acl_in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_interface_loopback_update(self, overlay_gateway=None, loopback_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param loopback_id: kwarg.
		:type loopback_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.ip.interface.loopback', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.ip.interface.loopback', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.ip.interface.loopback', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.ip.interface.loopback', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, loopback_id=loopback_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_interface_ve_update(self, overlay_gateway=None, ve_id=None, vrrp_extended_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param ve_id: kwarg.
		:type ve_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrp_extended_group: VRRP-E group id
		:type vrrp_extended_group: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.ip.interface.ve', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.ip.interface.ve', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.ip.interface.ve', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.ip.interface.ve', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ve_id=ve_id, vrrp_extended_group=vrrp_extended_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ip_out_update(self, overlay_gateway=None, ipv4_acl_out_name=None, ipv4_acl_out_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param ipv4_acl_out_name: Configure IPv4 access-group name
		:type ipv4_acl_out_name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ipv4_acl_out_dir: Configure IPv4 access-group in egress direction
		:type ipv4_acl_out_dir: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv4.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv4.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ipv4_acl_out_name=ipv4_acl_out_name, ipv4_acl_out_dir=ipv4_acl_out_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ipv6_update(self, overlay_gateway=None, ipv6_acl_in_name=None, ipv6_acl_in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param ipv6_acl_in_name: Configure IPv6 access-group name
		:type ipv6_acl_in_name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ipv6_acl_in_dir: Configure IPv6 access-group in ingress direction
		:type ipv6_acl_in_dir: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv6.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv6.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ipv6_acl_in_name=ipv6_acl_in_name, ipv6_acl_in_dir=ipv6_acl_in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ipv6_in_update(self, overlay_gateway=None, ipv6_acl_in_name=None, ipv6_acl_in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param ipv6_acl_in_name: Configure IPv6 access-group name
		:type ipv6_acl_in_name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ipv6_acl_in_dir: Configure IPv6 access-group in ingress direction
		:type ipv6_acl_in_dir: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv6.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv6.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ipv6_acl_in_name=ipv6_acl_in_name, ipv6_acl_in_dir=ipv6_acl_in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_ipv6_out_update(self, overlay_gateway=None, ipv6_acl_out_name=None, ipv6_acl_out_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param ipv6_acl_out_name: Configure IPv6 access-group name
		:type ipv6_acl_out_name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ipv6_acl_out_dir: Configure IPv6 access-group in egress direction
		:type ipv6_acl_out_dir: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.ipv6.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.ipv6.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, ipv6_acl_out_name=ipv6_acl_out_name, ipv6_acl_out_dir=ipv6_acl_out_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_mac_update(self, overlay_gateway=None, mac_acl_in_name=None, mac_acl_in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param mac_acl_in_name: Configure MAC access-group name
		:type mac_acl_in_name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param mac_acl_in_dir: Configure MAC access-group in ingress direction
		:type mac_acl_in_dir: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.overlay_gateway.access_lists.mac.out', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.mac.out', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.mac.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.mac.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.mac.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, mac_acl_in_name=mac_acl_in_name, mac_acl_in_dir=mac_acl_in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_mac_in_update(self, overlay_gateway=None, mac_acl_in_name=None, mac_acl_in_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param mac_acl_in_name: Configure MAC access-group name
		:type mac_acl_in_name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param mac_acl_in_dir: Configure MAC access-group in ingress direction
		:type mac_acl_in_dir: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.mac.in_', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.mac.in_', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, mac_acl_in_name=mac_acl_in_name, mac_acl_in_dir=mac_acl_in_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_mac_out_update(self, overlay_gateway=None, mac_acl_out_name=None, mac_acl_out_dir=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param mac_acl_out_name: Configure MAC access-group name
		:type mac_acl_out_name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param mac_acl_out_dir: Configure MAC access-group in egress direction
		:type mac_acl_out_dir: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.access_lists.mac.out', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.access_lists.mac.out', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.access_lists.mac.out', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.access_lists.mac.out', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, mac_acl_out_name=mac_acl_out_name, mac_acl_out_dir=mac_acl_out_dir)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_map_update(self, overlay_gateway=None, vlan_vni_mapping=None, vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Keyword Arg Tuple**:
		:param vlan_vni_mapping: kwarg tuple.
		:type vlan_vni_mapping: (vid).

		:param vid: tuple arg.
		:type vid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vni: Specify VNI mapping for the VLAN.
		:type vni: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan_vni_mapping', 'keyval': 'vid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, vlan_vni_mapping=vlan_vni_mapping, vni=vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_map_vlan_vni_update(self, overlay_gateway=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param auto: Specify auto vlan to vni mapping.
		:type auto: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.map_.vlan.vni', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.map_.vlan.vni', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan.vni', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan.vni', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_map_vlan_vni_auto_update(self, overlay_gateway=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param auto: Specify auto vlan to vni mapping.
		:type auto: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.map_.vlan.vni', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.map_.vlan.vni', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan.vni', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan.vni', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_monitor_update(self, overlay_gateway=None, monitor=None, direction=None, remote_endpoint=None, vlan_leaf=None, vlan_add_remove=None, vlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Keyword Arg Tuple**:
		:param monitor: kwarg tuple.
		:type monitor: (session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range).

		:param session: Session number
		:type session: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param direction: Specify flow direction
		:type direction: (unicode)
		
		.. note::
			* enum - [u'both', u'rx', u'tx']

		:param remote_endpoint: Tunnel destination end point address
		:type remote_endpoint: (unicode)
		
		.. note::
			* enum - [u'any']

		:param vlan_leaf: Target VLAN IDs
		:type vlan_leaf: (unicode)
		
		.. note::
			* enum - [u'vlan']

		:param vlan_add_remove: tuple arg.
		:type vlan_add_remove: (unicode)
		
		.. note::
			* enum - [u'add', u'remove']

		:param vlan_range: tuple arg.
		:type vlan_range: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

	**This Instance Arg(s)**:
		:param direction: Specify flow direction
		:type direction: (unicode)
		
		.. note::
			* enum - [u'both', u'rx', u'tx']

		:param remote_endpoint: Tunnel destination end point address
		:type remote_endpoint: (unicode)
		
		.. note::
			* enum - [u'any']

		:param vlan_leaf: Target VLAN IDs
		:type vlan_leaf: (unicode)
		
		.. note::
			* enum - [u'vlan']

		:param vlan_add_remove: kwarg.
		:type vlan_add_remove: (unicode)
		
		.. note::
			* enum - [u'add', u'remove']

		:param vlan_range: kwarg.
		:type vlan_range: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.monitor', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.monitor', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.monitor', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.monitor', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'monitor', 'keyval': 'session', 'extra_keyval': 'session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, monitor=monitor, direction=direction, remote_endpoint=remote_endpoint, vlan_leaf=vlan_leaf, vlan_add_remove=vlan_add_remove, vlan_range=vlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_sflow_update(self, overlay_gateway=None, sflow=None, sflow_remote_endpoint=None, sflow_vlan_action=None, sflow_vlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Keyword Arg Tuple**:
		:param sflow: kwarg tuple.
		:type sflow: (sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range).

		:param sflow_profile_name: tuple arg.
		:type sflow_profile_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param sflow_remote_endpoint: Tunnel destination end point address
		:type sflow_remote_endpoint: (unicode)
		
		.. note::
			* enum - [u'any']

		:param sflow_vlan_action: Target VLAN IDs
		:type sflow_vlan_action: (unicode)
		
		.. note::
			* enum - [u'add', u'remove']

		:param sflow_vlan_range: tuple arg.
		:type sflow_vlan_range: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

	**This Instance Arg(s)**:
		:param sflow_remote_endpoint: Tunnel destination end point address
		:type sflow_remote_endpoint: (unicode)
		
		.. note::
			* enum - [u'any']

		:param sflow_vlan_action: Target VLAN IDs
		:type sflow_vlan_action: (unicode)
		
		.. note::
			* enum - [u'add', u'remove']

		:param sflow_vlan_range: kwarg.
		:type sflow_vlan_range: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.sflow', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.sflow', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.sflow', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.sflow', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sflow', 'keyval': 'sflow_profile_name', 'extra_keyval': 'sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, sflow=sflow, sflow_remote_endpoint=sflow_remote_endpoint, sflow_vlan_action=sflow_vlan_action, sflow_vlan_range=sflow_vlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_update(self, overlay_gateway=None, site=None, bfd_enable=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Keyword Arg Tuple**:
		:param site: kwarg tuple.
		:type site: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,63}

	**This Instance Arg(s)**:
		:param bfd_enable: Create BFD session for the tunnels to the remote site.
		:type bfd_enable: (YANGBool)

		:param shutdown: Admin disable tunnels to the remote site
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'site', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, bfd_enable=bfd_enable, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_bfd_update(self, overlay_gateway=None, site=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

		:param site: kwarg tuple.
		:type site: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,63}

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session for the tunnels 
to the remote site.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.bfd.params', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.bfd.params', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.bfd.params', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.bfd.params', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_bfd_interval_update(self, overlay_gateway=None, site=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

		:param site: kwarg tuple.
		:type site: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,63}

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.bfd.params.interval', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_bfd_interval_min_rx_update(self, overlay_gateway=None, site=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

		:param site: kwarg tuple.
		:type site: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,63}

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.bfd.params.interval', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.bfd.params.interval', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_bfd_shutdown_update(self, overlay_gateway=None, site=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

		:param site: kwarg tuple.
		:type site: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,63}

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session for the tunnels 
to the remote site.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.bfd.params', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.bfd.params', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.bfd.params', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.bfd.params', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_extend_vlan_update(self, overlay_gateway=None, site=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

		:param site: kwarg tuple.
		:type site: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,63}

	**This Instance Arg(s)**:
		:param add_: VLAN IDs to add
		:type add_: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param remove_: VLAN IDs to remove
		:type remove_: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.extend.vlan', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.extend.vlan', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_extend_vlan_add_update(self, overlay_gateway=None, site=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

		:param site: kwarg tuple.
		:type site: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,63}

	**This Instance Arg(s)**:
		:param add_: VLAN IDs to add
		:type add_: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param remove_: VLAN IDs to remove
		:type remove_: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2b.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2b.overlay_gateway.site.extend.vlan', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.extend.vlan', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.extend.vlan', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_mac_learning_update(self, overlay_gateway=None, site=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

		:param site: kwarg tuple.
		:type site: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,63}

	**This Instance Arg(s)**:
		:param protocol: Configure control plane MAC learning protocol
		:type protocol: (unicode)
		
		.. note::
			* enum - [u'bgp']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v7_0_1a.overlay_gateway.site.mac_learning', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.mac_learning', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_mac_learning_protocol_update(self, overlay_gateway=None, site=None, protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param overlay_gateway: kwarg tuple.
		:type overlay_gateway: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

		:param site: kwarg tuple.
		:type site: (name).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,63}

	**This Instance Arg(s)**:
		:param protocol: Configure control plane MAC learning protocol
		:type protocol: (unicode)
		
		.. note::
			* enum - [u'bgp']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1a.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1a.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v7_0_1a.overlay_gateway.site.mac_learning', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.overlay_gateway.site.mac_learning', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_gateway=overlay_gateway, site=site, protocol=protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_update(self, overlay_transit_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param overlay_transit_name: kwarg.
		:type overlay_transit_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_transit_name=overlay_transit_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_update(self, extended_data=None, permit_deny=None, dst_vtep_ip=None, src_vtep_ip=None, vni=None, vni_mask=None, native_tag=None, dst_ip=None, dst_ip_mask=None, src_ip=None, src_ip_mask=None, dst_port=None, src_port=None, count=None, byte_count=None, transit_name=None, sflow=None, redir_interface=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param extended_data: kwarg tuple.
		:type extended_data: (acl_name, seq_num).

		:param acl_name: tuple arg.
		:type acl_name: (unicode)

		:param seq_num: tuple arg.
		:type seq_num: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param permit_deny: kwarg.
		:type permit_deny: (unicode)

		:param dst_vtep_ip: kwarg.
		:type dst_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_vtep_ip: kwarg.
		:type src_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param vni: kwarg.
		:type vni: (unicode)

		:param vni_mask: kwarg.
		:type vni_mask: (unicode)

		:param native_tag: kwarg.
		:type native_tag: (unicode)

		:param dst_ip: kwarg.
		:type dst_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dst_ip_mask: kwarg.
		:type dst_ip_mask: (int)
		
		.. note::
			* range - ['0..65535']

		:param src_ip: kwarg.
		:type src_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_ip_mask: kwarg.
		:type src_ip_mask: (int)
		
		.. note::
			* range - ['0..65535']

		:param dst_port: kwarg.
		:type dst_port: (int)
		
		.. note::
			* range - ['0..65535']

		:param src_port: kwarg.
		:type src_port: (int)
		
		.. note::
			* range - ['0..65535']

		:param count: kwarg.
		:type count: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param byte_count: kwarg.
		:type byte_count: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param transit_name: kwarg.
		:type transit_name: (unicode)

		:param sflow: kwarg.
		:type sflow: (YANGBool)

		:param redir_interface: kwarg.
		:type redir_interface: (unicode)

		:param mirror_interface: kwarg.
		:type mirror_interface: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended_data=extended_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, transit_name=transit_name, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_overlay_transit_name_update(self, overlay_transit_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param overlay_transit_name: kwarg.
		:type overlay_transit_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, overlay_transit_name=overlay_transit_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ovsdb_server_update(self, ovsdb_server=None, port=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Keyword Arg Tuple**:
		:param ovsdb_server: kwarg tuple.
		:type ovsdb_server: (name).

		:param name: Ovsdb server name
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param port: OVSDB server port number
		:type port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param activate: Activate the server
		:type activate: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.ovsdb_server', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ovsdb_server', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'ovsdb_server', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ovsdb_server=ovsdb_server, port=port, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ovsdb_server_ip_update(self, ovsdb_server=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ovsdb_server: kwarg tuple.
		:type ovsdb_server: (name).

		:param name: Ovsdb server name
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param address: IPv4 address of the OVSDB server or client to connect.
		:type address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.ovsdb_server', 'ovsdb_server')]
    bindings_list = [('pybind.nos.v7_1_0.ovsdb_server.ip', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ovsdb_server=ovsdb_server, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ovsdb_server_ip_address_update(self, ovsdb_server=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ovsdb_server: kwarg tuple.
		:type ovsdb_server: (name).

		:param name: Ovsdb server name
		:type name: (unicode)
		
		.. note::
			* pattern - [-_a-zA-Z0-9]{1,32}

	**This Instance Arg(s)**:
		:param address: IPv4 address of the OVSDB server or client to connect.
		:type address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.ovsdb_server', 'ovsdb_server')]
    bindings_list = [('pybind.nos.v7_1_0.ovsdb_server.ip', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ovsdb_server=ovsdb_server, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def password_attributes_update(self, min_length=None, max_retry=None, max_lockout_duration=None, admin_lockout_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param min_length: Minimum length of the password. (default=8)
		:type min_length: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_retry: Maximum number of login retries before which
 the user account is locked. 0 for unlimited
 login retries. (default=0)
		:type max_retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_lockout_duration: Maximum number of minutes after which 
 the user account is unlocked. (default=0)
		:type max_lockout_duration: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param admin_lockout_enable: Enable lockout for admin role accounts after
max retry failed login attempts
		:type admin_lockout_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.password_attributes', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.password_attributes', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.password_attributes', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, min_length=min_length, max_retry=max_retry, max_lockout_duration=max_lockout_duration, admin_lockout_enable=admin_lockout_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def password_attributes_admin_lockout_update(self, min_length=None, max_retry=None, max_lockout_duration=None, admin_lockout_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param min_length: Minimum length of the password. (default=8)
		:type min_length: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_retry: Maximum number of login retries before which
 the user account is locked. 0 for unlimited
 login retries. (default=0)
		:type max_retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_lockout_duration: Maximum number of minutes after which 
 the user account is unlocked. (default=0)
		:type max_lockout_duration: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param admin_lockout_enable: Enable lockout for admin role accounts after
max retry failed login attempts
		:type admin_lockout_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.password_attributes', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.password_attributes', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.password_attributes', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, min_length=min_length, max_retry=max_retry, max_lockout_duration=max_lockout_duration, admin_lockout_enable=admin_lockout_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def password_attributes_character_restriction_update(self, upper=None, lower=None, numeric=None, special_char=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param upper: Minimum number of upper-case alphabet
 (default=0)
		:type upper: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lower: Minimum number of lower-case alphabet
 (default=0)
		:type lower: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param numeric: Minimum number of numeric characters
 (default=0)
		:type numeric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param special_char: Minimum number of special characters
 (default=0)
		:type special_char: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.password_attributes.character_restriction', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.password_attributes.character_restriction', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.password_attributes.character_restriction', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes.character_restriction', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, upper=upper, lower=lower, numeric=numeric, special_char=special_char)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def password_attributes_character_restriction_lower_update(self, upper=None, lower=None, numeric=None, special_char=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param upper: Minimum number of upper-case alphabet
 (default=0)
		:type upper: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lower: Minimum number of lower-case alphabet
 (default=0)
		:type lower: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param numeric: Minimum number of numeric characters
 (default=0)
		:type numeric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param special_char: Minimum number of special characters
 (default=0)
		:type special_char: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.password_attributes.character_restriction', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.password_attributes.character_restriction', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.password_attributes.character_restriction', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.password_attributes.character_restriction', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, upper=upper, lower=lower, numeric=numeric, special_char=special_char)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def pim_anycast_state_update(self, pim_anycast_state=None, prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param pim_anycast_state: kwarg tuple.
		:type pim_anycast_state: (anycast_rp).

		:param anycast_rp: tuple arg.
		:type anycast_rp: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_name: kwarg.
		:type prefix_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_anycast_state', 'keyval': 'anycast_rp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_anycast_state=pim_anycast_state, prefix_name=prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def pim_ecmp_state_pim_ecmp_update(self, pim_ecmp_state=None, pim_ecmp=None, upstream_nbr=None, interface_name=None, interface_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param pim_ecmp_state: kwarg tuple.
		:type pim_ecmp_state: (addr_filter).

		:param addr_filter: tuple arg.
		:type addr_filter: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Keyword Arg Tuple**:
		:param pim_ecmp: kwarg tuple.
		:type pim_ecmp: (src_ip, rp_addr).

		:param src_ip: tuple arg.
		:type src_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param rp_addr: tuple arg.
		:type rp_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param upstream_nbr: kwarg.
		:type upstream_nbr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param interface_name: kwarg.
		:type interface_name: (unicode)

		:param interface_count: kwarg.
		:type interface_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pim_ecmp_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'addr_filter', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_ecmp', 'keyval': 'src_ip, rp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp, upstream_nbr=upstream_nbr, interface_name=interface_name, interface_count=interface_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def pim_global_state_update(self, enable_status=None, max_mcache=None, current_count=None, hello_interval=None, nbr_timeout=None, jp_interval=None, inact_interval=None, hw_drop_status=None, prune_wait_interval=None, reg_suppress_time=None, reg_probe_time=None, reg_stop_delay=None, reg_suppress_interval=None, ssm_status=None, spt_threshold=None, ssm_default_prefix=None, ssm_prefix_name=None, route_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable_status: kwarg.
		:type enable_status: (YANGBool)

		:param max_mcache: kwarg.
		:type max_mcache: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param current_count: kwarg.
		:type current_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: kwarg.
		:type hello_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param nbr_timeout: kwarg.
		:type nbr_timeout: (int)
		
		.. note::
			* range - ['0..65535']

		:param jp_interval: kwarg.
		:type jp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param inact_interval: kwarg.
		:type inact_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param hw_drop_status: kwarg.
		:type hw_drop_status: (YANGBool)

		:param prune_wait_interval: kwarg.
		:type prune_wait_interval: (int)
		
		.. note::
			* range - ['0..255']

		:param reg_suppress_time: kwarg.
		:type reg_suppress_time: (int)
		
		.. note::
			* range - ['0..65535']

		:param reg_probe_time: kwarg.
		:type reg_probe_time: (int)
		
		.. note::
			* range - ['0..65535']

		:param reg_stop_delay: kwarg.
		:type reg_stop_delay: (int)
		
		.. note::
			* range - ['0..65535']

		:param reg_suppress_interval: kwarg.
		:type reg_suppress_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param ssm_status: kwarg.
		:type ssm_status: (YANGBool)

		:param spt_threshold: kwarg.
		:type spt_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ssm_default_prefix: kwarg.
		:type ssm_default_prefix: (unicode)

		:param ssm_prefix_name: kwarg.
		:type ssm_prefix_name: (unicode)

		:param route_precedence: kwarg.
		:type route_precedence: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_status=enable_status, max_mcache=max_mcache, current_count=current_count, hello_interval=hello_interval, nbr_timeout=nbr_timeout, jp_interval=jp_interval, inact_interval=inact_interval, hw_drop_status=hw_drop_status, prune_wait_interval=prune_wait_interval, reg_suppress_time=reg_suppress_time, reg_probe_time=reg_probe_time, reg_stop_delay=reg_stop_delay, reg_suppress_interval=reg_suppress_interval, ssm_status=ssm_status, spt_threshold=spt_threshold, ssm_default_prefix=ssm_default_prefix, ssm_prefix_name=ssm_prefix_name, route_precedence=route_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def pim_global_state_current_count_update(self, enable_status=None, max_mcache=None, current_count=None, hello_interval=None, nbr_timeout=None, jp_interval=None, inact_interval=None, hw_drop_status=None, prune_wait_interval=None, reg_suppress_time=None, reg_probe_time=None, reg_stop_delay=None, reg_suppress_interval=None, ssm_status=None, spt_threshold=None, ssm_default_prefix=None, ssm_prefix_name=None, route_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable_status: kwarg.
		:type enable_status: (YANGBool)

		:param max_mcache: kwarg.
		:type max_mcache: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param current_count: kwarg.
		:type current_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: kwarg.
		:type hello_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param nbr_timeout: kwarg.
		:type nbr_timeout: (int)
		
		.. note::
			* range - ['0..65535']

		:param jp_interval: kwarg.
		:type jp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param inact_interval: kwarg.
		:type inact_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param hw_drop_status: kwarg.
		:type hw_drop_status: (YANGBool)

		:param prune_wait_interval: kwarg.
		:type prune_wait_interval: (int)
		
		.. note::
			* range - ['0..255']

		:param reg_suppress_time: kwarg.
		:type reg_suppress_time: (int)
		
		.. note::
			* range - ['0..65535']

		:param reg_probe_time: kwarg.
		:type reg_probe_time: (int)
		
		.. note::
			* range - ['0..65535']

		:param reg_stop_delay: kwarg.
		:type reg_stop_delay: (int)
		
		.. note::
			* range - ['0..65535']

		:param reg_suppress_interval: kwarg.
		:type reg_suppress_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param ssm_status: kwarg.
		:type ssm_status: (YANGBool)

		:param spt_threshold: kwarg.
		:type spt_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ssm_default_prefix: kwarg.
		:type ssm_default_prefix: (unicode)

		:param ssm_prefix_name: kwarg.
		:type ssm_prefix_name: (unicode)

		:param route_precedence: kwarg.
		:type route_precedence: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_status=enable_status, max_mcache=max_mcache, current_count=current_count, hello_interval=hello_interval, nbr_timeout=nbr_timeout, jp_interval=jp_interval, inact_interval=inact_interval, hw_drop_status=hw_drop_status, prune_wait_interval=prune_wait_interval, reg_suppress_time=reg_suppress_time, reg_probe_time=reg_probe_time, reg_stop_delay=reg_stop_delay, reg_suppress_interval=reg_suppress_interval, ssm_status=ssm_status, spt_threshold=spt_threshold, ssm_default_prefix=ssm_default_prefix, ssm_prefix_name=ssm_prefix_name, route_precedence=route_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def pim_global_state_interfaces_pim_interface_data_update(self, interfaces=None, pim_interface_data=None, enable_status=None, local_ip_addr=None, pim_version=None, mode=None, dr_info=None, ttl_threshold=None, multicast_boundry=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param interfaces: kwarg tuple.
		:type interfaces: (interface_name).

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param pim_interface_data: kwarg tuple.
		:type pim_interface_data: (interface_name, interface_type).

		:param interface_name: tuple arg.
		:type interface_name: (unicode)

		:param interface_type: tuple arg.
		:type interface_type: (unicode)

	**This Instance Arg(s)**:
		:param enable_status: kwarg.
		:type enable_status: (YANGBool)

		:param local_ip_addr: kwarg.
		:type local_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param pim_version: kwarg.
		:type pim_version: (int)
		
		.. note::
			* range - ['0..255']

		:param mode: kwarg.
		:type mode: (unicode)

		:param dr_info: kwarg.
		:type dr_info: (unicode)

		:param ttl_threshold: kwarg.
		:type ttl_threshold: (int)
		
		.. note::
			* range - ['0..255']

		:param multicast_boundry: kwarg.
		:type multicast_boundry: (unicode)

		:param dr_priority: kwarg.
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'interface_name, interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interfaces=interfaces, pim_interface_data=pim_interface_data, enable_status=enable_status, local_ip_addr=local_ip_addr, pim_version=pim_version, mode=mode, dr_info=dr_info, ttl_threshold=ttl_threshold, multicast_boundry=multicast_boundry, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def police_priority_map_conform_update(self, police_priority_map=None, map_pri0_conform=None, map_pri1_conform=None, map_pri2_conform=None, map_pri3_conform=None, map_pri4_conform=None, map_pri5_conform=None, map_pri6_conform=None, map_pri7_conform=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param police_priority_map: kwarg tuple.
		:type police_priority_map: (name).

		:param name: Policer Priority Map Name (Max Size - 64)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param map_pri0_conform: Mapping Priority Number 0
		:type map_pri0_conform: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri1_conform: Mapping Priority Number 1
		:type map_pri1_conform: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri2_conform: Mapping Priority Number 2
		:type map_pri2_conform: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri3_conform: Mapping Priority Number 3
		:type map_pri3_conform: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri4_conform: Mapping Priority Number 4
		:type map_pri4_conform: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri5_conform: Mapping Priority Number 5
		:type map_pri5_conform: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri6_conform: Mapping Priority Number 6
		:type map_pri6_conform: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri7_conform: Mapping Priority Number 7
		:type map_pri7_conform: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_0_1a.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2b.police_priority_map.conform', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.police_priority_map.conform', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.police_priority_map.conform', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, police_priority_map=police_priority_map, map_pri0_conform=map_pri0_conform, map_pri1_conform=map_pri1_conform, map_pri2_conform=map_pri2_conform, map_pri3_conform=map_pri3_conform, map_pri4_conform=map_pri4_conform, map_pri5_conform=map_pri5_conform, map_pri6_conform=map_pri6_conform, map_pri7_conform=map_pri7_conform)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def police_priority_map_exceed_update(self, police_priority_map=None, map_pri0_exceed=None, map_pri1_exceed=None, map_pri2_exceed=None, map_pri3_exceed=None, map_pri4_exceed=None, map_pri5_exceed=None, map_pri6_exceed=None, map_pri7_exceed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param police_priority_map: kwarg tuple.
		:type police_priority_map: (name).

		:param name: Policer Priority Map Name (Max Size - 64)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param map_pri0_exceed: Mapping Priority Number 0
		:type map_pri0_exceed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri1_exceed: Mapping Priority Number 1
		:type map_pri1_exceed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri2_exceed: Mapping Priority Number 2
		:type map_pri2_exceed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri3_exceed: Mapping Priority Number 3
		:type map_pri3_exceed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri4_exceed: Mapping Priority Number 4
		:type map_pri4_exceed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri5_exceed: Mapping Priority Number 5
		:type map_pri5_exceed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri6_exceed: Mapping Priority Number 6
		:type map_pri6_exceed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param map_pri7_exceed: Mapping Priority Number 7
		:type map_pri7_exceed: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.police_priority_map', 'police_priority_map'), ('pybind.nos.v7_1_0.police_priority_map', 'police_priority_map'), ('pybind.nos.v6_0_2b.police_priority_map', 'police_priority_map')]
    bindings_list = [('pybind.nos.v6_0_2b.police_priority_map.exceed', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.police_priority_map.exceed', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.police_priority_map.exceed', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, police_priority_map=police_priority_map, map_pri0_exceed=map_pri0_exceed, map_pri1_exceed=map_pri1_exceed, map_pri2_exceed=map_pri2_exceed, map_pri3_exceed=map_pri3_exceed, map_pri4_exceed=map_pri4_exceed, map_pri5_exceed=map_pri5_exceed, map_pri6_exceed=map_pri6_exceed, map_pri7_exceed=map_pri7_exceed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_map_update(self, policy_map=None, class_=None, cos_mutation=None, cos_traffic_class=None, dscp_cos=None, dscp_traffic_class=None, dscp_mutation=None, sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param cos_mutation: Configure CoS-to-CoS mutation map
(Max Size - 64)
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map 
(Max Size - 64)
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Configure Dscp-to-CoS map 
(Max Size - 64)
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Configure Dscp-to-Traffic class map
(Max Size - 64)
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Configure Dscp-to-Dscp mutation map  
(Max Size - 64)
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param sflow: Configure sflow profile map 
(Max Size - 64)
		:type sflow: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.map_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.map_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.map_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.map_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_cos=dscp_cos, dscp_traffic_class=dscp_traffic_class, dscp_mutation=dscp_mutation, sflow=sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_map_cos_mutation_update(self, policy_map=None, class_=None, cos_mutation=None, cos_traffic_class=None, dscp_cos=None, dscp_traffic_class=None, dscp_mutation=None, sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param cos_mutation: Configure CoS-to-CoS mutation map
(Max Size - 64)
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map 
(Max Size - 64)
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_cos: Configure Dscp-to-CoS map 
(Max Size - 64)
		:type dscp_cos: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_traffic_class: Configure Dscp-to-Traffic class map
(Max Size - 64)
		:type dscp_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_mutation: Configure Dscp-to-Dscp mutation map  
(Max Size - 64)
		:type dscp_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param sflow: Configure sflow profile map 
(Max Size - 64)
		:type sflow: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.map_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.map_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.map_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.map_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class, dscp_cos=dscp_cos, dscp_traffic_class=dscp_traffic_class, dscp_mutation=dscp_mutation, sflow=sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_update(self, policy_map=None, class_=None, cir=None, cbs=None, eir=None, ebs=None, set_priority=None, conform_set_dscp=None, conform_set_prec=None, conform_set_tc=None, exceed_set_dscp=None, exceed_set_prec=None, exceed_set_tc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param cir: Committed Information Rate.
		:type cir: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param cbs: Comitted Burst Size.
		:type cbs: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param eir: Exceeded Information Rate.
		:type eir: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ebs: Exceeded Burst Size.
		:type ebs: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param set_priority: Police Priority Map Name
		:type set_priority: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param conform_set_dscp: DCSP Priority for conformant traffic.
		:type conform_set_dscp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param conform_set_prec: IP Precedence value for conformant traffic.
		:type conform_set_prec: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param conform_set_tc: Traffic Class value for conformant traffic.
		:type conform_set_tc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param exceed_set_dscp: DCSP Priority for exceeded traffic.
		:type exceed_set_dscp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param exceed_set_prec: IP Precedence value for exceeded traffic.
		:type exceed_set_prec: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param exceed_set_tc: Traffic Class value for exceeded traffic.
		:type exceed_set_tc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.police', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.police', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.police', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'cir, cbs, eir, ebs'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cir=cir, cbs=cbs, eir=eir, ebs=ebs, set_priority=set_priority, conform_set_dscp=conform_set_dscp, conform_set_prec=conform_set_prec, conform_set_tc=conform_set_tc, exceed_set_dscp=exceed_set_dscp, exceed_set_prec=exceed_set_prec, exceed_set_tc=exceed_set_tc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_police_cbs_update(self, policy_map=None, class_=None, cir=None, cbs=None, eir=None, ebs=None, set_priority=None, conform_set_dscp=None, conform_set_prec=None, conform_set_tc=None, exceed_set_dscp=None, exceed_set_prec=None, exceed_set_tc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param cir: Committed Information Rate.
		:type cir: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param cbs: Comitted Burst Size.
		:type cbs: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param eir: Exceeded Information Rate.
		:type eir: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ebs: Exceeded Burst Size.
		:type ebs: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param set_priority: Police Priority Map Name
		:type set_priority: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param conform_set_dscp: DCSP Priority for conformant traffic.
		:type conform_set_dscp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param conform_set_prec: IP Precedence value for conformant traffic.
		:type conform_set_prec: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param conform_set_tc: Traffic Class value for conformant traffic.
		:type conform_set_tc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param exceed_set_dscp: DCSP Priority for exceeded traffic.
		:type exceed_set_dscp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param exceed_set_prec: IP Precedence value for exceeded traffic.
		:type exceed_set_prec: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param exceed_set_tc: Traffic Class value for exceeded traffic.
		:type exceed_set_tc: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.police', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.police', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.police', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.police', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cir=cir, cbs=cbs, eir=eir, ebs=ebs, set_priority=set_priority, conform_set_dscp=conform_set_dscp, conform_set_prec=conform_set_prec, conform_set_tc=conform_set_tc, exceed_set_dscp=exceed_set_dscp, exceed_set_prec=exceed_set_prec, exceed_set_tc=exceed_set_tc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_priority_mapping_table_import_update(self, policy_map=None, class_=None, cee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param cee: Import cee priority mapping table from a
cee map (Max Size - 64)
		:type cee: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.priority_mapping_table.import_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cee=cee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_priority_mapping_table_import_cee_update(self, policy_map=None, class_=None, cee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param cee: Import cee priority mapping table from a
cee map (Max Size - 64)
		:type cee: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.priority_mapping_table.import_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.priority_mapping_table.import_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cee=cee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_update(self, policy_map=None, class_=None, priority_number=None, scheduler_type=None, dwrr_traffic_class0=None, dwrr_traffic_class1=None, dwrr_traffic_class2=None, dwrr_traffic_class3=None, dwrr_traffic_class4=None, dwrr_traffic_class5=None, dwrr_traffic_class6=None, dwrr_traffic_class_last=None, TC1=None, TC2=None, TC3=None, TC4=None, TC5=None, TC6=None, TC7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param priority_number: kwarg.
		:type priority_number: (int)
		
		.. note::
			* range - ['0..255']

		:param scheduler_type: kwarg.
		:type scheduler_type: (unicode)
		
		.. note::
			* enum - [u'dwrr']

		:param dwrr_traffic_class0: kwarg.
		:type dwrr_traffic_class0: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class1: kwarg.
		:type dwrr_traffic_class1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class2: kwarg.
		:type dwrr_traffic_class2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class3: kwarg.
		:type dwrr_traffic_class3: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class4: kwarg.
		:type dwrr_traffic_class4: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class5: kwarg.
		:type dwrr_traffic_class5: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class6: kwarg.
		:type dwrr_traffic_class6: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class_last: kwarg.
		:type dwrr_traffic_class_last: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param TC1: kwarg.
		:type TC1: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param TC2: kwarg.
		:type TC2: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param TC3: kwarg.
		:type TC3: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param TC4: kwarg.
		:type TC4: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param TC5: kwarg.
		:type TC5: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param TC6: kwarg.
		:type TC6: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param TC7: kwarg.
		:type TC7: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'priority_number, scheduler_type, dwrr_traffic_class0, dwrr_traffic_class1, dwrr_traffic_class2, dwrr_traffic_class3, dwrr_traffic_class4, dwrr_traffic_class5, dwrr_traffic_class6, dwrr_traffic_class_last, TC1, TC2, TC3, TC4, TC5, TC6, TC7'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, priority_number=priority_number, scheduler_type=scheduler_type, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class_last=dwrr_traffic_class_last, TC1=TC1, TC2=TC2, TC3=TC3, TC4=TC4, TC5=TC5, TC6=TC6, TC7=TC7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_scheduler_strict_priority_tc1_update(self, policy_map=None, class_=None, priority_number=None, scheduler_type=None, dwrr_traffic_class0=None, dwrr_traffic_class1=None, dwrr_traffic_class2=None, dwrr_traffic_class3=None, dwrr_traffic_class4=None, dwrr_traffic_class5=None, dwrr_traffic_class6=None, dwrr_traffic_class_last=None, TC1=None, TC2=None, TC3=None, TC4=None, TC5=None, TC6=None, TC7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param priority_number: kwarg.
		:type priority_number: (int)
		
		.. note::
			* range - ['0..255']

		:param scheduler_type: kwarg.
		:type scheduler_type: (unicode)
		
		.. note::
			* enum - [u'dwrr']

		:param dwrr_traffic_class0: kwarg.
		:type dwrr_traffic_class0: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class1: kwarg.
		:type dwrr_traffic_class1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class2: kwarg.
		:type dwrr_traffic_class2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class3: kwarg.
		:type dwrr_traffic_class3: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class4: kwarg.
		:type dwrr_traffic_class4: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class5: kwarg.
		:type dwrr_traffic_class5: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class6: kwarg.
		:type dwrr_traffic_class6: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dwrr_traffic_class_last: kwarg.
		:type dwrr_traffic_class_last: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param TC1: kwarg.
		:type TC1: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param TC2: kwarg.
		:type TC2: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param TC3: kwarg.
		:type TC3: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param TC4: kwarg.
		:type TC4: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param TC5: kwarg.
		:type TC5: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param TC6: kwarg.
		:type TC6: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param TC7: kwarg.
		:type TC7: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, priority_number=priority_number, scheduler_type=scheduler_type, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class_last=dwrr_traffic_class_last, TC1=TC1, TC2=TC2, TC3=TC3, TC4=TC4, TC5=TC5, TC6=TC6, TC7=TC7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_set_update(self, policy_map=None, class_=None, cos=None, traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param cos: Class of Service
		:type cos: (int)
		
		.. note::
			* range - ['0..255']

		:param traffic_class: Traffic Class
		:type traffic_class: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.policy_map.class_.set_.set_dscp', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.policy_map.class_.set_.set_dscp', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.policy_map.class_.set_.set_dscp', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.set_.set_cos_tc', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.policy_map.class_.set_.set_dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'cos, traffic_class'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cos=cos, traffic_class=traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_set_cos_update(self, policy_map=None, class_=None, cos=None, traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param cos: Class of Service
		:type cos: (int)
		
		.. note::
			* range - ['0..255']

		:param traffic_class: Traffic Class
		:type traffic_class: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.set_.set_cos_tc', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.set_.set_cos_tc', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, cos=cos, traffic_class=traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_set_dscp_update(self, policy_map=None, class_=None, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param dscp: Differentiated Services Code Point
		:type dscp: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.set_.set_dscp', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.set_.set_dscp', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.set_.set_dscp', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.set_.set_dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_shape_update(self, policy_map=None, class_=None, shaping_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param shaping_rate: Shaping rate
		:type shaping_rate: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.shape', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.shape', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.shape', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.shape', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, shaping_rate=shaping_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_span_update(self, policy_map=None, class_=None, session=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param session: Session-id
		:type session: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.span', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.span', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.span', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.span', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, session=session)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def policy_map_class_span_session_update(self, policy_map=None, class_=None, session=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy_map: kwarg tuple.
		:type policy_map: (po_name).

		:param po_name: Policy Map Name (Max Size - 64)
		:type po_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param class_: kwarg tuple.
		:type class_: (cl_name).

		:param cl_name: Policy Map Class Name (Max Size -64)
		:type cl_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param session: Session-id
		:type session: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.policy_map', 'policy_map'), ('pybind.nos.v7_0_1a.policy_map.class_', u'class_'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map.class_', u'class_'), ('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_1_0.policy_map.class_', u'class_'), ('pybind.nos.v6_0_2b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2b.policy_map.class_', u'class_')]
    bindings_list = [('pybind.nos.v6_0_2b.policy_map.class_.span', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.policy_map.class_.span', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.policy_map.class_.span', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_.span', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'cl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy_map=policy_map, class_=class_, session=session)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_channel_redundancy_group_update(self, port_channel_redundancy_group=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param port_channel_redundancy_group: kwarg tuple.
		:type port_channel_redundancy_group: (group_id).

		:param group_id: tuple arg.
		:type group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param activate: Activate the port-channel redundancy group
		:type activate: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.port_channel_redundancy_group', 'pybind.nos.v6_0_2b.brocade_lag', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_channel_redundancy_group', 'pybind.nos.v7_0_1a.brocade_lag', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'port_channel_redundancy_group', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel_redundancy_group=port_channel_redundancy_group, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_channel_redundancy_group_port_channel_update(self, port_channel_redundancy_group=None, port_channel=None, port_channel_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_channel_redundancy_group: kwarg tuple.
		:type port_channel_redundancy_group: (group_id).

		:param group_id: tuple arg.
		:type group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param port_channel: kwarg tuple.
		:type port_channel: (name, port_channel_active).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_channel_active: Select port-channel as active in port-channel redundancy group.
		:type port_channel_active: (YANGBool)

	**This Instance Arg(s)**:
		:param port_channel_active: Select port-channel as active in port-channel redundancy group.
		:type port_channel_active: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v6_0_2b.port_channel_redundancy_group', 'port_channel_redundancy_group')]
    bindings_list = [('pybind.nos.v6_0_2b.port_channel_redundancy_group.port_channel', 'pybind.nos.v6_0_2b.brocade_lag', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_0_1a.brocade_lag', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group.port_channel', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': 'name, port_channel_active'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_channel_redundancy_group=port_channel_redundancy_group, port_channel=port_channel, port_channel_active=port_channel_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_update(self, port_profile=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param activate: Activate the profile
		:type activate: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.port_profile_global.port_profile', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile_global.port_profile', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile_global.port_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_profile', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_allow_update(self, port_profile=None, nonprofiledmacs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param nonprofiledmacs: non-profiled macs
		:type nonprofiledmacs: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.allow', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.allow', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.allow', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.allow', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, nonprofiledmacs=nonprofiledmacs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_allow_non_profiled_macs_update(self, port_profile=None, nonprofiledmacs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param nonprofiledmacs: non-profiled macs
		:type nonprofiledmacs: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.allow', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.allow', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.allow', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.allow', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, nonprofiledmacs=nonprofiledmacs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_fcoe_profile_fcoeport_update(self, port_profile=None, fcoe_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param fcoe_map_name: kwarg.
		:type fcoe_map_name: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.fcoe_profile.fcoeport', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.fcoe_profile.fcoeport', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.fcoe_profile.fcoeport', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.fcoe_profile.fcoeport', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, fcoe_map_name=fcoe_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_update(self, port_profile=None, cee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param cee: Configure QoS CEE map (Max Size - 32)
		:type cee: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, cee=cee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_cee_update(self, port_profile=None, cee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param cee: Configure QoS CEE map (Max Size - 32)
		:type cee: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, cee=cee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_update(self, port_profile=None, cos=None, cos_mutation=None, cos_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param cos: Configure default Class of Service (CoS)
		:type cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos_mutation: Configure CoS-to-CoS mutation (Max Size - 32)
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map 
(Max Size - 32)
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, cos=cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_cos_update(self, port_profile=None, cos=None, cos_mutation=None, cos_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param cos: Configure default Class of Service (CoS)
		:type cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos_mutation: Configure CoS-to-CoS mutation (Max Size - 32)
		:type cos_mutation: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param cos_traffic_class: Configure CoS-to-Traffic Class map 
(Max Size - 32)
		:type cos_traffic_class: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, cos=cos, cos_mutation=cos_mutation, cos_traffic_class=cos_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_flowcontrol_update(self, port_profile=None, tx=None, rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param tx: Configure Pause generation
		:type tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param rx: Configure Pause reception
		:type rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, tx=tx, rx=rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_flowcontrol_pfc_update(self, port_profile=None, pfc=None, pfc_tx=None, pfc_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Keyword Arg Tuple**:
		:param pfc: kwarg tuple.
		:type pfc: (pfc_cos).

		:param pfc_cos: CoS value
		:type pfc_cos: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

	**This Instance Arg(s)**:
		:param pfc_tx: Configure Pause generation
		:type pfc_tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param pfc_rx: Configure Pause reception
		:type pfc_rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, pfc=pfc, pfc_tx=pfc_tx, pfc_rx=pfc_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_flowcontrol_rx_update(self, port_profile=None, tx=None, rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param tx: Configure Pause generation
		:type tx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param rx: Configure Pause reception
		:type rx: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.flowcontrolglobal', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, tx=tx, rx=rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_trust_update(self, port_profile=None, trust_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for 
deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos.trust', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos.trust', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.trust', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, trust_cos=trust_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_trust_cos_update(self, port_profile=None, trust_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param trust_cos: Trust L2 CoS field in incoming packets for 
deriving internal Traffic Class
		:type trust_cos: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.qos_profile.qos.trust', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.qos_profile.qos.trust', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.trust', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.trust', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, trust_cos=trust_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_restrict_flooding_update(self, port_profile=None, restrict_flooding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param restrict_flooding: Restrict flooding
		:type restrict_flooding: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.restrict_flooding_container', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.restrict_flooding_container', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.restrict_flooding_container', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.restrict_flooding_container', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, restrict_flooding=restrict_flooding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_security_profile_ip_access_group_update(self, port_profile=None, ipv4_access_group_name=None, ipv4_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param ipv4_access_group_name: Access list name (Max 64)
		:type ipv4_access_group_name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ipv4_in: Ingress direction
		:type ipv4_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.security_profile.ip.access_group', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.security_profile.ip.access_group', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.security_profile.ip.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, ipv4_access_group_name=ipv4_access_group_name, ipv4_in=ipv4_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_security_profile_ipv6_access_group_update(self, port_profile=None, ipv6_access_group_name=None, ipv6_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param ipv6_access_group_name: Access list name (Max 64)
		:type ipv6_access_group_name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ipv6_in: Ingress direction
		:type ipv6_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.security_profile.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, ipv6_access_group_name=ipv6_access_group_name, ipv6_in=ipv6_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_security_profile_mac_access_group_update(self, port_profile=None, access_group_name=None, in_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param access_group_name: Access list name (Max 64)
		:type access_group_name: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param in_: Ingress direction
		:type in_: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.security_profile.mac.access_group', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.security_profile.mac.access_group', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.security_profile.mac.access_group', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, access_group_name=access_group_name, in_=in_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_update(self, port_profile=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_update(self, port_profile=None, basic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport_basic', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport_basic', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, basic=basic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_mode_update(self, port_profile=None, vlan_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param vlan_mode: kwarg.
		:type vlan_mode: (unicode)
		
		.. note::
			* enum - [u'access', u'trunk']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.mode', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.mode', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.mode', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.mode', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, vlan_mode=vlan_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_update(self, port_profile=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param native_vlan_id: kwarg.
		:type native_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param native_vlan_ctag_id: kwarg.
		:type native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'native_vlan_id, native_vlan_ctag_id'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_allowed_vlan_update(self, port_profile=None, all=None, none=None, add_=None, except_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param all: Allow all VLANs to Xmit/Rx through the Layer2 
interface
		:type all: (YANGBool)

		:param none: Allow no VLANs to Xmit/Rx through the Layer2 
interface
		:type none: (YANGBool)

		:param add_: Allow these VLANs to Xmit/Rx through the 
Layer2 interface
		:type add_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param except_: Allow all VLANs except this vlan range to 
Xmit/Rx through the Layer2 interface
		:type except_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param remove_: Remove a VLAN range that Xmit/Rx through the 
Layer2 interface
		:type remove_: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, all=all, none=none, add_=add_, except_=except_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_ctag_update(self, port_profile=None, native_vlan_id=None, native_vlan_ctag_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param native_vlan_id: kwarg.
		:type native_vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param native_vlan_ctag_id: kwarg.
		:type native_vlan_ctag_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.native_vlan_classification', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, native_vlan_id=native_vlan_id, native_vlan_ctag_id=native_vlan_ctag_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_native_vlan_update(self, port_profile=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param port_profile: kwarg tuple.
		:type port_profile: (name).

		:param name: Port-profile name (Max Size - 128)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,127})

	**This Instance Arg(s)**:
		:param native_vlan: Set the native VLAN to classify
untagged traffic.
		:type native_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.port_profile', 'port_profile'), ('pybind.nos.v6_0_2b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2b.port_profile.vlan_profile.switchport.trunk', 'pybind.nos.v6_0_2b.brocade_port_profile', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.port_profile.vlan_profile.switchport.trunk', 'pybind.nos.v7_0_1a.brocade_port_profile', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, port_profile=port_profile, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_update(self):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.protocol.hide_vrrp_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_update(self, domain_name=None, domain_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param domain_name: kwarg tuple.
		:type domain_name: (domain_name).

		:param domain_name: String length 21 char
		:type domain_name: (unicode)
		
		.. note::
			* length - [u'1..21']

	**This Instance Arg(s)**:
		:param domain_level: Maintanance Domain Level
		:type domain_level: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain_name', 'keyval': 'domain_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, domain_level=domain_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_update(self, domain_name=None, ma_name=None, ma_id=None, ma_vlan_vid=None, ma_bd_vid=None, ma_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param domain_name: kwarg tuple.
		:type domain_name: (domain_name).

		:param domain_name: String length 21 char
		:type domain_name: (unicode)
		
		.. note::
			* length - [u'1..21']

	**This Instance Keyword Arg Tuple**:
		:param ma_name: kwarg tuple.
		:type ma_name: (ma_name).

		:param ma_name: String length 21 char
		:type ma_name: (unicode)
		
		.. note::
			* length - [u'1..21']

	**This Instance Arg(s)**:
		:param ma_id: MA ID used for short-MAID
		:type ma_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ma_vlan_vid: Vlan association
		:type ma_vlan_vid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ma_bd_vid: bridge-domain association
		:type ma_bd_vid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ma_priority: Set Priority for this MA
		:type ma_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma_name', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, ma_id=ma_id, ma_vlan_vid=ma_vlan_vid, ma_bd_vid=ma_bd_vid, ma_priority=ma_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_ccm_interval_update(self, domain_name=None, ma_name=None, ccm_interval=None, mip_policy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param domain_name: kwarg tuple.
		:type domain_name: (domain_name).

		:param domain_name: String length 21 char
		:type domain_name: (unicode)
		
		.. note::
			* length - [u'1..21']

		:param ma_name: kwarg tuple.
		:type ma_name: (ma_name).

		:param ma_name: String length 21 char
		:type ma_name: (unicode)
		
		.. note::
			* length - [u'1..21']

	**This Instance Arg(s)**:
		:param ccm_interval: set CCM interval
		:type ccm_interval: (unicode)
		
		.. note::
			* enum - [u'100-ms', u'10-seconds', u'1-second', u'3-ms', u'10-ms']

		:param mip_policy: Set MIP policy
		:type mip_policy: (unicode)
		
		.. note::
			* enum - [u'default', u'explicit']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, ccm_interval=ccm_interval, mip_policy=mip_policy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mep_update(self, domain_name=None, ma_name=None, mep=None, mep_down_up=None, vlan=None, mep_intf_type=None, mep_intf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param domain_name: kwarg tuple.
		:type domain_name: (domain_name).

		:param domain_name: String length 21 char
		:type domain_name: (unicode)
		
		.. note::
			* length - [u'1..21']

		:param ma_name: kwarg tuple.
		:type ma_name: (ma_name).

		:param ma_name: String length 21 char
		:type ma_name: (unicode)
		
		.. note::
			* length - [u'1..21']

	**This Instance Keyword Arg Tuple**:
		:param mep: kwarg tuple.
		:type mep: (mep_id).

		:param mep_id: DECIMAL :: <1-8191>
		:type mep_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mep_down_up: kwarg.
		:type mep_down_up: (unicode)
		
		.. note::
			* enum - [u'down', u'up']

		:param vlan: Enter Vlan-id
		:type vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mep_intf_type: kwarg.
		:type mep_intf_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel']

		:param mep_intf_name: kwarg.
		:type mep_intf_name: (unicode)
		
		.. note::
			* length - [u'1..16']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, mep=mep, mep_down_up=mep_down_up, vlan=vlan, mep_intf_type=mep_intf_type, mep_intf_name=mep_intf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mep_tlv_type_update(self, domain_name=None, ma_name=None, mep=None, tlv_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param domain_name: kwarg tuple.
		:type domain_name: (domain_name).

		:param domain_name: String length 21 char
		:type domain_name: (unicode)
		
		.. note::
			* length - [u'1..21']

		:param ma_name: kwarg tuple.
		:type ma_name: (ma_name).

		:param ma_name: String length 21 char
		:type ma_name: (unicode)
		
		.. note::
			* length - [u'1..21']

		:param mep: kwarg tuple.
		:type mep: (mep_id).

		:param mep_id: DECIMAL :: <1-8191>
		:type mep_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param tlv_type: set TLV
		:type tlv_type: (unicode)
		
		.. note::
			* enum - [u'port-status-tlv']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep.cfm_mep_sub_commands', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, domain_name=domain_name, ma_name=ma_name, mep=mep, tlv_type=tlv_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_edge_loop_detection_update(self, pdu_rx_limit=None, hello_interval=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param pdu_rx_limit: Sets bpdu-rx-limit
		:type pdu_rx_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Sets hello-interval-limit
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown_time: Sets shutdown-time-limit
		:type shutdown_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pdu_rx_limit=pdu_rx_limit, hello_interval=hello_interval, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_edge_loop_detection_hello_interval_update(self, pdu_rx_limit=None, hello_interval=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param pdu_rx_limit: Sets bpdu-rx-limit
		:type pdu_rx_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Sets hello-interval-limit
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown_time: Sets shutdown-time-limit
		:type shutdown_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.edge_loop_detection', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.edge_loop_detection', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.edge_loop_detection', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.edge_loop_detection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pdu_rx_limit=pdu_rx_limit, hello_interval=hello_interval, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_edge_loop_detection_mac_refresh_update(self, mac_refresh_time=None, mac_refresh_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param mac_refresh_time: mac-refresh-time
		:type mac_refresh_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mac_refresh_type: Mac refresh type.
		:type mac_refresh_type: (unicode)
		
		.. note::
			* enum - [u'all', u'port']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.edge_loop_detection.mac_refresh_time_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mac_refresh_time=mac_refresh_time, mac_refresh_type=mac_refresh_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_lldp_update(self, description=None, hello=None, mode=None, multiplier=None, system_name=None, system_description=None, iscsi_priority=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: The User description
		:type description: (unicode)
		
		.. note::
			* length - [u'1 .. 50']

		:param hello: The Hello Transmit interval.
		:type hello: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: The LLDP mode.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'rx', u'tx']

		:param multiplier: The Timeout Multiplier
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param system_name: The System Name
		:type system_name: (unicode)
		
		.. note::
			* length - [u'0..32']
			* pattern - (([a-zA-Z]{1}([-a-zA-Z0-9\s\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31}))|(\s)*)

		:param system_description: The System Description.
		:type system_description: (unicode)
		
		.. note::
			* length - [u'1..50']

		:param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI
		:type iscsi_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param disable: Disable LLDP
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, hello=hello, mode=mode, multiplier=multiplier, system_name=system_name, system_description=system_description, iscsi_priority=iscsi_priority, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_update(self, dcbx_fcoe_app_tlv=None, dcbx_fcoe_logical_link_tlv=None, dcbx_iscsi_app_tlv=None, dcbx_tlv=None, dot1_tlv=None, dot3_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param dcbx_fcoe_app_tlv: IEEE Data Center Bridging eXchange FCoE Application
TLV.
		:type dcbx_fcoe_app_tlv: (YANGBool)

		:param dcbx_fcoe_logical_link_tlv: IEEE Data Center Bridging eXchange FCoE Logical 
Link TLV
		:type dcbx_fcoe_logical_link_tlv: (YANGBool)

		:param dcbx_iscsi_app_tlv: IEEE Data Center Bridging eXchange iSCSI Application
TLV.
		:type dcbx_iscsi_app_tlv: (YANGBool)

		:param dcbx_tlv: IEEE Data Center Bridging eXchange TLV.
		:type dcbx_tlv: (YANGBool)

		:param dot1_tlv: IEEE 802.1 Organizationally Specific TLV
		:type dot1_tlv: (YANGBool)

		:param dot3_tlv: IEEE 802.3 Organizationally Specific TLV
		:type dot3_tlv: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.advertise', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.advertise', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv, dcbx_tlv=dcbx_tlv, dot1_tlv=dot1_tlv, dot3_tlv=dot3_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_dcbx_fcoe_app_tlv_update(self, dcbx_fcoe_app_tlv=None, dcbx_fcoe_logical_link_tlv=None, dcbx_iscsi_app_tlv=None, dcbx_tlv=None, dot1_tlv=None, dot3_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param dcbx_fcoe_app_tlv: IEEE Data Center Bridging eXchange FCoE Application
TLV.
		:type dcbx_fcoe_app_tlv: (YANGBool)

		:param dcbx_fcoe_logical_link_tlv: IEEE Data Center Bridging eXchange FCoE Logical 
Link TLV
		:type dcbx_fcoe_logical_link_tlv: (YANGBool)

		:param dcbx_iscsi_app_tlv: IEEE Data Center Bridging eXchange iSCSI Application
TLV.
		:type dcbx_iscsi_app_tlv: (YANGBool)

		:param dcbx_tlv: IEEE Data Center Bridging eXchange TLV.
		:type dcbx_tlv: (YANGBool)

		:param dot1_tlv: IEEE 802.1 Organizationally Specific TLV
		:type dot1_tlv: (YANGBool)

		:param dot3_tlv: IEEE 802.3 Organizationally Specific TLV
		:type dot3_tlv: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.advertise', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.advertise', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv, dcbx_tlv=dcbx_tlv, dot1_tlv=dot1_tlv, dot3_tlv=dot3_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_optional_tlv_update(self, management_address=None, port_description=None, system_capabilities=None, adv_tlv_system_description=None, adv_tlv_system_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param management_address: Management Address TLV
		:type management_address: (YANGBool)

		:param port_description: Port-Description TLV
		:type port_description: (YANGBool)

		:param system_capabilities: System Capabilities TLV
		:type system_capabilities: (YANGBool)

		:param adv_tlv_system_description: System Description
		:type adv_tlv_system_description: (YANGBool)

		:param adv_tlv_system_name: System Name TLV
		:type adv_tlv_system_name: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management_address=management_address, port_description=port_description, system_capabilities=system_capabilities, adv_tlv_system_description=adv_tlv_system_description, adv_tlv_system_name=adv_tlv_system_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_lldp_advertise_optional_tlv_system_description_update(self, management_address=None, port_description=None, system_capabilities=None, adv_tlv_system_description=None, adv_tlv_system_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param management_address: Management Address TLV
		:type management_address: (YANGBool)

		:param port_description: Port-Description TLV
		:type port_description: (YANGBool)

		:param system_capabilities: System Capabilities TLV
		:type system_capabilities: (YANGBool)

		:param adv_tlv_system_description: System Description
		:type adv_tlv_system_description: (YANGBool)

		:param adv_tlv_system_name: System Name TLV
		:type adv_tlv_system_name: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, management_address=management_address, port_description=port_description, system_capabilities=system_capabilities, adv_tlv_system_description=adv_tlv_system_description, adv_tlv_system_name=adv_tlv_system_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_lldp_description_update(self, description=None, hello=None, mode=None, multiplier=None, system_name=None, system_description=None, iscsi_priority=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: The User description
		:type description: (unicode)
		
		.. note::
			* length - [u'1 .. 50']

		:param hello: The Hello Transmit interval.
		:type hello: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: The LLDP mode.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'rx', u'tx']

		:param multiplier: The Timeout Multiplier
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param system_name: The System Name
		:type system_name: (unicode)
		
		.. note::
			* length - [u'0..32']
			* pattern - (([a-zA-Z]{1}([-a-zA-Z0-9\s\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31}))|(\s)*)

		:param system_description: The System Description.
		:type system_description: (unicode)
		
		.. note::
			* length - [u'1..50']

		:param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI
		:type iscsi_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param disable: Disable LLDP
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, hello=hello, mode=mode, multiplier=multiplier, system_name=system_name, system_description=system_description, iscsi_priority=iscsi_priority, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_update(self, profile=None, description=None, hello=None, mode=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param profile: kwarg tuple.
		:type profile: (profile_name).

		:param profile_name: tuple arg.
		:type profile_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

	**This Instance Arg(s)**:
		:param description: The User description
		:type description: (unicode)
		
		.. note::
			* length - [u'1 .. 50']

		:param hello: The Hello Transmit interval.
		:type hello: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: The LLDP mode.
		:type mode: (unicode)
		
		.. note::
			* enum - [u'rx', u'tx']

		:param multiplier: The Timeout Multiplier
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.profile', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.profile', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.profile', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, profile=profile, description=description, hello=hello, mode=mode, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_update(self, profile=None, dcbx_fcoe_app_tlv=None, dcbx_fcoe_logical_link_tlv=None, dcbx_iscsi_app_tlv=None, dcbx_tlv=None, dot1_tlv=None, dot3_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param profile: kwarg tuple.
		:type profile: (profile_name).

		:param profile_name: tuple arg.
		:type profile_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

	**This Instance Arg(s)**:
		:param dcbx_fcoe_app_tlv: IEEE Data Center Bridging eXchange FCoE Application
TLV.
		:type dcbx_fcoe_app_tlv: (YANGBool)

		:param dcbx_fcoe_logical_link_tlv: IEEE Data Center Bridging eXchange FCoE Logical 
Link TLV
		:type dcbx_fcoe_logical_link_tlv: (YANGBool)

		:param dcbx_iscsi_app_tlv: IEEE Data Center Bridging eXchange iSCSI Application
TLV.
		:type dcbx_iscsi_app_tlv: (YANGBool)

		:param dcbx_tlv: IEEE Data Center Bridging eXchange TLV.
		:type dcbx_tlv: (YANGBool)

		:param dot1_tlv: IEEE 802.1 Organizationally Specific TLV
		:type dot1_tlv: (YANGBool)

		:param dot3_tlv: IEEE 802.3 Organizationally Specific TLV
		:type dot3_tlv: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2b.protocol.lldp.profile', u'profile'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1a.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.profile.advertise', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.profile.advertise', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, profile=profile, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv, dcbx_tlv=dcbx_tlv, dot1_tlv=dot1_tlv, dot3_tlv=dot3_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_dcbx_fcoe_app_tlv_update(self, profile=None, dcbx_fcoe_app_tlv=None, dcbx_fcoe_logical_link_tlv=None, dcbx_iscsi_app_tlv=None, dcbx_tlv=None, dot1_tlv=None, dot3_tlv=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param profile: kwarg tuple.
		:type profile: (profile_name).

		:param profile_name: tuple arg.
		:type profile_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

	**This Instance Arg(s)**:
		:param dcbx_fcoe_app_tlv: IEEE Data Center Bridging eXchange FCoE Application
TLV.
		:type dcbx_fcoe_app_tlv: (YANGBool)

		:param dcbx_fcoe_logical_link_tlv: IEEE Data Center Bridging eXchange FCoE Logical 
Link TLV
		:type dcbx_fcoe_logical_link_tlv: (YANGBool)

		:param dcbx_iscsi_app_tlv: IEEE Data Center Bridging eXchange iSCSI Application
TLV.
		:type dcbx_iscsi_app_tlv: (YANGBool)

		:param dcbx_tlv: IEEE Data Center Bridging eXchange TLV.
		:type dcbx_tlv: (YANGBool)

		:param dot1_tlv: IEEE 802.1 Organizationally Specific TLV
		:type dot1_tlv: (YANGBool)

		:param dot3_tlv: IEEE 802.3 Organizationally Specific TLV
		:type dot3_tlv: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2b.protocol.lldp.profile', u'profile'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1a.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.profile.advertise', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.profile.advertise', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, profile=profile, dcbx_fcoe_app_tlv=dcbx_fcoe_app_tlv, dcbx_fcoe_logical_link_tlv=dcbx_fcoe_logical_link_tlv, dcbx_iscsi_app_tlv=dcbx_iscsi_app_tlv, dcbx_tlv=dcbx_tlv, dot1_tlv=dot1_tlv, dot3_tlv=dot3_tlv)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_optional_tlv_update(self, profile=None, management_address=None, port_description=None, system_capabilities=None, adv_tlv_system_description=None, adv_tlv_system_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param profile: kwarg tuple.
		:type profile: (profile_name).

		:param profile_name: tuple arg.
		:type profile_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

	**This Instance Arg(s)**:
		:param management_address: Management Address TLV
		:type management_address: (YANGBool)

		:param port_description: Port-Description TLV
		:type port_description: (YANGBool)

		:param system_capabilities: System Capabilities TLV
		:type system_capabilities: (YANGBool)

		:param adv_tlv_system_description: System Description
		:type adv_tlv_system_description: (YANGBool)

		:param adv_tlv_system_name: System Name TLV
		:type adv_tlv_system_name: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1a.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, profile=profile, management_address=management_address, port_description=port_description, system_capabilities=system_capabilities, adv_tlv_system_description=adv_tlv_system_description, adv_tlv_system_name=adv_tlv_system_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_advertise_optional_tlv_system_description_update(self, profile=None, management_address=None, port_description=None, system_capabilities=None, adv_tlv_system_description=None, adv_tlv_system_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param profile: kwarg tuple.
		:type profile: (profile_name).

		:param profile_name: tuple arg.
		:type profile_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - (\S)+

	**This Instance Arg(s)**:
		:param management_address: Management Address TLV
		:type management_address: (YANGBool)

		:param port_description: Port-Description TLV
		:type port_description: (YANGBool)

		:param system_capabilities: System Capabilities TLV
		:type system_capabilities: (YANGBool)

		:param adv_tlv_system_description: System Description
		:type adv_tlv_system_description: (YANGBool)

		:param adv_tlv_system_name: System Name TLV
		:type adv_tlv_system_name: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.lldp.profile', u'profile'), ('pybind.nos.v6_0_2b.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_0_1a.protocol.lldp.profile', u'profile'), ('pybind.nos.v7_1_0.protocol.lldp.profile', u'profile')]
    bindings_list = [('pybind.nos.v6_0_2b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.lldp.profile.advertise.optional_tlv', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile.advertise.optional_tlv', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}, {'keyval': 'profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, profile=profile, management_address=management_address, port_description=port_description, system_capabilities=system_capabilities, adv_tlv_system_description=adv_tlv_system_description, adv_tlv_system_name=adv_tlv_system_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, cisco_interoperability=None, region=None, revision=None, max_hops=None, transmit_holdcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: Spanning tree description
		:type description: (unicode)
		
		.. note::
			* length - [u'0..64']

		:param bridge_priority: Bridge priority commands
		:type bridge_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param hello_time: Set the hello interval for the spanning 
tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cisco_interoperability: Configure Cisco Interoperability
		:type cisco_interoperability: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param region: MST Region
		:type region: (unicode)
		
		.. note::
			* length - [u'0..32']

		:param revision: Revision Number for configuration information
		:type revision: (int)
		
		.. note::
			* range - ['0..65535']

		:param max_hops: MST max hop count
		:type max_hops: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_holdcount: Set Transmit hold count of the bridge
		:type transmit_holdcount: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, cisco_interoperability=cisco_interoperability, region=region, revision=revision, max_hops=max_hops, transmit_holdcount=transmit_holdcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_bridge_priority_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, cisco_interoperability=None, region=None, revision=None, max_hops=None, transmit_holdcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: Spanning tree description
		:type description: (unicode)
		
		.. note::
			* length - [u'0..64']

		:param bridge_priority: Bridge priority commands
		:type bridge_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param hello_time: Set the hello interval for the spanning 
tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cisco_interoperability: Configure Cisco Interoperability
		:type cisco_interoperability: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param region: MST Region
		:type region: (unicode)
		
		.. note::
			* length - [u'0..32']

		:param revision: Revision Number for configuration information
		:type revision: (int)
		
		.. note::
			* range - ['0..65535']

		:param max_hops: MST max hop count
		:type max_hops: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_holdcount: Set Transmit hold count of the bridge
		:type transmit_holdcount: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, cisco_interoperability=cisco_interoperability, region=region, revision=revision, max_hops=max_hops, transmit_holdcount=transmit_holdcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable the timeout mechanism for the port to be enabled back
		:type enable: (YANGBool)

		:param interval: Interval after which port shall be enabled
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_error_disable_timeout_enable_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable the timeout mechanism for the port to be enabled back
		:type enable: (YANGBool)

		:param interval: Interval after which port shall be enabled
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_forward_delay_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_instance_update(self, instance=None, vlan=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param instance: kwarg tuple.
		:type instance: (id).

		:param id: tuple arg.
		:type id: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param vlan: Vlan
		:type vlan: (unicode)
		
		.. note::
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param priority: Priority - bridge priority for the 
common instance
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp.instance', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, instance=instance, vlan=vlan, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_port_channel_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param path_cost: Sets the path-cost behaviour
		:type path_cost: (unicode)
		
		.. note::
			* enum - [u'custom', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param path_cost: Sets the path-cost behaviour
		:type path_cost: (unicode)
		
		.. note::
			* enum - [u'custom', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_system_id_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param oui: Modify the system ID OUI
		:type oui: (unicode)
		
		.. note::
			* enum - [u'00.e0.52', u'01.e0.52']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_system_id_oui_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param oui: Modify the system ID OUI
		:type oui: (unicode)
		
		.. note::
			* enum - [u'00.e0.52', u'01.e0.52']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.mstp.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: Spanning tree description
		:type description: (unicode)
		
		.. note::
			* length - [u'0..64']

		:param bridge_priority: Bridge priority commands
		:type bridge_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hello_time, forward_delay, max_age'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_bridge_priority_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: Spanning tree description
		:type description: (unicode)
		
		.. note::
			* length - [u'0..64']

		:param bridge_priority: Bridge priority commands
		:type bridge_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable the timeout mechanism for the port to be enabled back
		:type enable: (YANGBool)

		:param interval: Interval after which port shall be enabled
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_error_disable_timeout_enable_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable the timeout mechanism for the port to be enabled back
		:type enable: (YANGBool)

		:param interval: Interval after which port shall be enabled
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_forward_delay_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_port_channel_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param path_cost: Sets the path-cost behaviour
		:type path_cost: (unicode)
		
		.. note::
			* enum - [u'custom', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param path_cost: Sets the path-cost behaviour
		:type path_cost: (unicode)
		
		.. note::
			* enum - [u'custom', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_system_id_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param oui: Modify the system ID OUI
		:type oui: (unicode)
		
		.. note::
			* enum - [u'00.e0.52', u'01.e0.52']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_system_id_oui_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param oui: Modify the system ID OUI
		:type oui: (unicode)
		
		.. note::
			* enum - [u'00.e0.52', u'01.e0.52']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_vlan_update(self, vlan=None, priority=None, forward_delay=None, max_age=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param priority: Bridge priority in increments of 4096
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, priority=priority, forward_delay=forward_delay, max_age=max_age, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_vlan_forward_delay_update(self, vlan=None, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, transmit_holdcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: Spanning tree description
		:type description: (unicode)
		
		.. note::
			* length - [u'0..64']

		:param bridge_priority: Bridge priority commands
		:type bridge_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_holdcount: Set Transmit hold count of the bridge
		:type transmit_holdcount: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hello_time, forward_delay, max_age'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, transmit_holdcount=transmit_holdcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_bridge_priority_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, transmit_holdcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: Spanning tree description
		:type description: (unicode)
		
		.. note::
			* length - [u'0..64']

		:param bridge_priority: Bridge priority commands
		:type bridge_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_holdcount: Set Transmit hold count of the bridge
		:type transmit_holdcount: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, transmit_holdcount=transmit_holdcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable the timeout mechanism for the port to be enabled back
		:type enable: (YANGBool)

		:param interval: Interval after which port shall be enabled
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_error_disable_timeout_enable_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable the timeout mechanism for the port to be enabled back
		:type enable: (YANGBool)

		:param interval: Interval after which port shall be enabled
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_forward_delay_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_port_channel_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param path_cost: Sets the path-cost behaviour
		:type path_cost: (unicode)
		
		.. note::
			* enum - [u'custom', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param path_cost: Sets the path-cost behaviour
		:type path_cost: (unicode)
		
		.. note::
			* enum - [u'custom', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_system_id_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param oui: Modify the system ID OUI
		:type oui: (unicode)
		
		.. note::
			* enum - [u'00.e0.52', u'01.e0.52']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_system_id_oui_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param oui: Modify the system ID OUI
		:type oui: (unicode)
		
		.. note::
			* enum - [u'00.e0.52', u'01.e0.52']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_vlan_update(self, vlan=None, priority=None, forward_delay=None, max_age=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param priority: Bridge priority in increments of 4096
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, priority=priority, forward_delay=forward_delay, max_age=max_age, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_vlan_forward_delay_update(self, vlan=None, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, transmit_holdcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: Spanning tree description
		:type description: (unicode)
		
		.. note::
			* length - [u'0..64']

		:param bridge_priority: Bridge priority commands
		:type bridge_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param hello_time: Set the hello interval for the spanning 
tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_holdcount: Set Transmit hold count of the bridge
		:type transmit_holdcount: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rstp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, transmit_holdcount=transmit_holdcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_bridge_priority_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, transmit_holdcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: Spanning tree description
		:type description: (unicode)
		
		.. note::
			* length - [u'0..64']

		:param bridge_priority: Bridge priority commands
		:type bridge_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param hello_time: Set the hello interval for the spanning 
tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_holdcount: Set Transmit hold count of the bridge
		:type transmit_holdcount: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rstp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, transmit_holdcount=transmit_holdcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable the timeout mechanism for the port to be enabled back
		:type enable: (YANGBool)

		:param interval: Interval after which port shall be enabled
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_error_disable_timeout_enable_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable the timeout mechanism for the port to be enabled back
		:type enable: (YANGBool)

		:param interval: Interval after which port shall be enabled
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_forward_delay_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_port_channel_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param path_cost: Sets the path-cost behaviour
		:type path_cost: (unicode)
		
		.. note::
			* enum - [u'custom', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param path_cost: Sets the path-cost behaviour
		:type path_cost: (unicode)
		
		.. note::
			* enum - [u'custom', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_system_id_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param oui: Modify the system ID OUI
		:type oui: (unicode)
		
		.. note::
			* enum - [u'00.e0.52', u'01.e0.52']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_system_id_oui_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param oui: Modify the system ID OUI
		:type oui: (unicode)
		
		.. note::
			* enum - [u'00.e0.52', u'01.e0.52']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.rstp.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: Spanning tree description
		:type description: (unicode)
		
		.. note::
			* length - [u'0..64']

		:param bridge_priority: Bridge priority commands
		:type bridge_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param hello_time: Set the hello interval for the spanning 
tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.stp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.stp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_bridge_priority_update(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param description: Spanning tree description
		:type description: (unicode)
		
		.. note::
			* length - [u'0..64']

		:param bridge_priority: Bridge priority commands
		:type bridge_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown: Turn off the spanning-tree protocol
		:type shutdown: (YANGBool)

		:param hello_time: Set the hello interval for the spanning 
tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.stp', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.stp', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_error_disable_timeout_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable the timeout mechanism for the port to be enabled back
		:type enable: (YANGBool)

		:param interval: Interval after which port shall be enabled
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_error_disable_timeout_enable_update(self, enable=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable the timeout mechanism for the port to be enabled back
		:type enable: (YANGBool)

		:param interval: Interval after which port shall be enabled
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.error_disable_timeout', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_forward_delay_update(self, hello_time=None, forward_delay=None, max_age=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hello_time: Set the hello interval for the spanning tree
		:type hello_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param forward_delay: Set the forward delay for the spanning tree
		:type forward_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_age: Set the max age for the spanning tree
		:type max_age: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.timer_config', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_time=hello_time, forward_delay=forward_delay, max_age=max_age)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_port_channel_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param path_cost: Sets the path-cost behaviour
		:type path_cost: (unicode)
		
		.. note::
			* enum - [u'custom', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_port_channel_path_cost_update(self, path_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param path_cost: Sets the path-cost behaviour
		:type path_cost: (unicode)
		
		.. note::
			* enum - [u'custom', u'standard']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path_cost=path_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_system_id_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param oui: Modify the system ID OUI
		:type oui: (unicode)
		
		.. note::
			* enum - [u'00.e0.52', u'01.e0.52']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.stp.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_system_id_oui_update(self, oui=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param oui: Modify the system ID OUI
		:type oui: (unicode)
		
		.. note::
			* enum - [u'00.e0.52', u'01.e0.52']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.protocol.spanning_tree.stp.system_id', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp.system_id', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, oui=oui)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_udld_update(self, hello=None, multiplier=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hello: Hello transmit interval
		:type hello: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Timeout multiplier
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown: Disable UDLD protocol
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello=hello, multiplier=multiplier, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_udld_hello_update(self, hello=None, multiplier=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hello: Hello transmit interval
		:type hello: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Timeout multiplier
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param shutdown: Disable UDLD protocol
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.protocol.udld', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.protocol.udld', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.protocol.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello=hello, multiplier=multiplier, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def protocol_vrrp_update(self, vrrp=None, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param vrrp: Virtual Router Redundacy Protocol (VRRP)
		:type vrrp: (YANGBool)

		:param vrrp_extended: Virtual Router Redundacy Protocol Extended (VRRP-E)
		:type vrrp_extended: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.protocol.hide_vrrp_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrrp=vrrp, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def pw_profile_update(self, pw_profile=None, mtu_enforce=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param pw_profile: kwarg tuple.
		:type pw_profile: (pw_profile_name).

		:param pw_profile_name: Pw-profile name (Max Size - 64)
		:type pw_profile_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

	**This Instance Arg(s)**:
		:param mtu_enforce: Whether to enforce mtu check during PW signalling
		:type mtu_enforce: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pw_profile', 'keyval': 'pw_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pw_profile=pw_profile, mtu_enforce=mtu_enforce)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def pw_profile_mtu_update(self, pw_profile=None, mtu_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param pw_profile: kwarg tuple.
		:type pw_profile: (pw_profile_name).

		:param pw_profile_name: Pw-profile name (Max Size - 64)
		:type pw_profile_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

	**This Instance Arg(s)**:
		:param mtu_value: MTU value is used during Psuedo Wire setup signalling
		:type mtu_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pw_profile')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile.mtu', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pw_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pw_profile=pw_profile, mtu_value=mtu_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def pw_profile_vc_mode_update(self, pw_profile=None, vc_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param pw_profile: kwarg tuple.
		:type pw_profile: (pw_profile_name).

		:param pw_profile_name: Pw-profile name (Max Size - 64)
		:type pw_profile_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

	**This Instance Arg(s)**:
		:param vc_mode: The mode will be used during Psuedo Wire setup signalling process
		:type vc_mode: (unicode)
		
		.. note::
			* enum - [u'raw-passthrough', u'raw', u'tag']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pw_profile')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile.vc_mode', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pw_profile_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pw_profile=pw_profile, vc_mode=vc_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_prio_shaper_update(self, slot=None, group=None, group_prio=None, group_prio_shaper_rate=None, group_prio_shaper_burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param slot: kwarg tuple.
		:type slot: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (unicode)
		
		.. note::
			* length - [u'1..3']

		:param group: kwarg tuple.
		:type group: (group_id).

		:param group_id: tuple arg.
		:type group_id: (unicode)
		
		.. note::
			* length - [u'1..3']

		:param group_prio: kwarg tuple.
		:type group_prio: (group_prio_id).

		:param group_prio_id: tuple arg.
		:type group_prio_id: (unicode)
		
		.. note::
			* length - [u'1..3']

	**This Instance Arg(s)**:
		:param group_prio_shaper_rate: Configure CPU group priority shaper rate
		:type group_prio_shaper_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param group_prio_shaper_burst_size: Configure CPU group priority shaper burst size
		:type group_prio_shaper_burst_size: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_prio=group_prio, group_prio_shaper_rate=group_prio_shaper_rate, group_prio_shaper_burst_size=group_prio_shaper_burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_prio_shaper_burst_update(self, slot=None, group=None, group_prio=None, group_prio_shaper_rate=None, group_prio_shaper_burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param slot: kwarg tuple.
		:type slot: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (unicode)
		
		.. note::
			* length - [u'1..3']

		:param group: kwarg tuple.
		:type group: (group_id).

		:param group_id: tuple arg.
		:type group_id: (unicode)
		
		.. note::
			* length - [u'1..3']

		:param group_prio: kwarg tuple.
		:type group_prio: (group_prio_id).

		:param group_prio_id: tuple arg.
		:type group_prio_id: (unicode)
		
		.. note::
			* length - [u'1..3']

	**This Instance Arg(s)**:
		:param group_prio_shaper_rate: Configure CPU group priority shaper rate
		:type group_prio_shaper_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param group_prio_shaper_burst_size: Configure CPU group priority shaper burst size
		:type group_prio_shaper_burst_size: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_prio=group_prio, group_prio_shaper_rate=group_prio_shaper_rate, group_prio_shaper_burst_size=group_prio_shaper_burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_prio_wfq_update(self, slot=None, group=None, group_prio=None, group_prio_wfq_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param slot: kwarg tuple.
		:type slot: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (unicode)
		
		.. note::
			* length - [u'1..3']

		:param group: kwarg tuple.
		:type group: (group_id).

		:param group_id: tuple arg.
		:type group_id: (unicode)
		
		.. note::
			* length - [u'1..3']

		:param group_prio: kwarg tuple.
		:type group_prio: (group_prio_id).

		:param group_prio_id: tuple arg.
		:type group_prio_id: (unicode)
		
		.. note::
			* length - [u'1..3']

	**This Instance Arg(s)**:
		:param group_prio_wfq_weight: Configure CPU group priority wfq weight
		:type group_prio_wfq_weight: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_wfq', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_prio=group_prio, group_prio_wfq_weight=group_prio_wfq_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_prio_wfq_weight_update(self, slot=None, group=None, group_prio=None, group_prio_wfq_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param slot: kwarg tuple.
		:type slot: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (unicode)
		
		.. note::
			* length - [u'1..3']

		:param group: kwarg tuple.
		:type group: (group_id).

		:param group_id: tuple arg.
		:type group_id: (unicode)
		
		.. note::
			* length - [u'1..3']

		:param group_prio: kwarg tuple.
		:type group_prio: (group_prio_id).

		:param group_prio_id: tuple arg.
		:type group_prio_id: (unicode)
		
		.. note::
			* length - [u'1..3']

	**This Instance Arg(s)**:
		:param group_prio_wfq_weight: Configure CPU group priority wfq weight
		:type group_prio_wfq_weight: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', u'group_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio.group_prio_config_shaper_wfq.group_prio_wfq', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_prio=group_prio, group_prio_wfq_weight=group_prio_wfq_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_shaper_update(self, slot=None, group=None, group_shaper_rate=None, group_shaper_burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param slot: kwarg tuple.
		:type slot: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (unicode)
		
		.. note::
			* length - [u'1..3']

		:param group: kwarg tuple.
		:type group: (group_id).

		:param group_id: tuple arg.
		:type group_id: (unicode)
		
		.. note::
			* length - [u'1..3']

	**This Instance Arg(s)**:
		:param group_shaper_rate: Configure CPU group shaper rate
		:type group_shaper_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param group_shaper_burst_size: Configure CPU group shaper burst size
		:type group_shaper_burst_size: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_shaper_rate=group_shaper_rate, group_shaper_burst_size=group_shaper_burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_shaper_burst_update(self, slot=None, group=None, group_shaper_rate=None, group_shaper_burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param slot: kwarg tuple.
		:type slot: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (unicode)
		
		.. note::
			* length - [u'1..3']

		:param group: kwarg tuple.
		:type group: (group_id).

		:param group_id: tuple arg.
		:type group_id: (unicode)
		
		.. note::
			* length - [u'1..3']

	**This Instance Arg(s)**:
		:param group_shaper_rate: Configure CPU group shaper rate
		:type group_shaper_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param group_shaper_burst_size: Configure CPU group shaper burst size
		:type group_shaper_burst_size: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_shaper_rate=group_shaper_rate, group_shaper_burst_size=group_shaper_burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_wfq_update(self, slot=None, group=None, group_wfq_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param slot: kwarg tuple.
		:type slot: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (unicode)
		
		.. note::
			* length - [u'1..3']

		:param group: kwarg tuple.
		:type group: (group_id).

		:param group_id: tuple arg.
		:type group_id: (unicode)
		
		.. note::
			* length - [u'1..3']

	**This Instance Arg(s)**:
		:param group_wfq_weight: Configure CPU group wfq weight
		:type group_wfq_weight: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_wfq', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_wfq_weight=group_wfq_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_wfq_weight_update(self, slot=None, group=None, group_wfq_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param slot: kwarg tuple.
		:type slot: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (unicode)
		
		.. note::
			* length - [u'1..3']

		:param group: kwarg tuple.
		:type group: (group_id).

		:param group_id: tuple arg.
		:type group_id: (unicode)
		
		.. note::
			* length - [u'1..3']

	**This Instance Arg(s)**:
		:param group_wfq_weight: Configure CPU group wfq weight
		:type group_wfq_weight: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_wfq', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, group=group, group_wfq_weight=group_wfq_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_port_shaper_update(self, slot=None, port_shaper_rate=None, port_shaper_burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param slot: kwarg tuple.
		:type slot: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (unicode)
		
		.. note::
			* length - [u'1..3']

	**This Instance Arg(s)**:
		:param port_shaper_rate: Configure CPU port shaper rate
		:type port_shaper_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_shaper_burst_size: Configure CPU port shaper burst size
		:type port_shaper_burst_size: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.port.port_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, port_shaper_rate=port_shaper_rate, port_shaper_burst_size=port_shaper_burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_port_shaper_burst_update(self, slot=None, port_shaper_rate=None, port_shaper_burst_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param slot: kwarg tuple.
		:type slot: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (unicode)
		
		.. note::
			* length - [u'1..3']

	**This Instance Arg(s)**:
		:param port_shaper_rate: Configure CPU port shaper rate
		:type port_shaper_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param port_shaper_burst_size: Configure CPU port shaper burst size
		:type port_shaper_burst_size: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.port.port_shaper', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, slot=slot, port_shaper_rate=port_shaper_rate, port_shaper_burst_size=port_shaper_burst_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_map_to_update(self, cos_mutation=None, cos_to_cos_mappings=None, to_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cos_mutation: kwarg tuple.
		:type cos_mutation: (name).

		:param name: Name for the MAP(Max 64)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_to_cos_mappings: kwarg tuple.
		:type cos_to_cos_mappings: (from_cos).

		:param from_cos: In CoS
		:type from_cos: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param to_cos: Out CoS
		:type to_cos: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', u'cos_mutation'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings', u'cos_to_cos_mappings')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_cos'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_mutation=cos_mutation, cos_to_cos_mappings=cos_to_cos_mappings, to_cos=to_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_map_to_cos_update(self, cos_mutation=None, cos_to_cos_mappings=None, to_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cos_mutation: kwarg tuple.
		:type cos_mutation: (name).

		:param name: Name for the MAP(Max 64)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_to_cos_mappings: kwarg tuple.
		:type cos_to_cos_mappings: (from_cos).

		:param from_cos: In CoS
		:type from_cos: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param to_cos: Out CoS
		:type to_cos: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', u'cos_mutation'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings', u'cos_to_cos_mappings')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_mutation=cos_mutation, cos_to_cos_mappings=cos_to_cos_mappings, to_cos=to_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_update(self, cos_traffic_class=None, cos0=None, cos1=None, cos2=None, cos3=None, cos4=None, cos5=None, cos6=None, cos7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param cos_traffic_class: kwarg tuple.
		:type cos_traffic_class: (name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7).

		:param name: Name for the MAP(Max 64)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos0: tuple arg.
		:type cos0: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos1: tuple arg.
		:type cos1: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos2: tuple arg.
		:type cos2: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos3: tuple arg.
		:type cos3: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos4: tuple arg.
		:type cos4: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos5: tuple arg.
		:type cos5: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos6: tuple arg.
		:type cos6: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos7: tuple arg.
		:type cos7: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

	**This Instance Arg(s)**:
		:param cos0: kwarg.
		:type cos0: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos1: kwarg.
		:type cos1: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos2: kwarg.
		:type cos2: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos3: kwarg.
		:type cos3: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos4: kwarg.
		:type cos4: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos5: kwarg.
		:type cos5: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos6: kwarg.
		:type cos6: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param cos7: kwarg.
		:type cos7: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': 'name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_traffic_class=cos_traffic_class, cos0=cos0, cos1=cos1, cos2=cos2, cos3=cos3, cos4=cos4, cos5=cos5, cos6=cos6, cos7=cos7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_map_to_update(self, cos_traffic_class=None, cos_to_tc_dp_mappings=None, to_traffic_class=None, to_drop_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cos_traffic_class: kwarg tuple.
		:type cos_traffic_class: (name).

		:param name: Name for the MAP(Max 64)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_to_tc_dp_mappings: kwarg tuple.
		:type cos_to_tc_dp_mappings: (from_cos).

		:param from_cos: In CoS
		:type from_cos: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param to_traffic_class: Out Traffic-Class
		:type to_traffic_class: (int)
		
		.. note::
			* range - ['0..255']

		:param to_drop_precedence: Out Drop-Precedence
		:type to_drop_precedence: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', u'cos_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', u'cos_to_tc_dp_mappings')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_traffic_class, to_drop_precedence'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings, to_traffic_class=to_traffic_class, to_drop_precedence=to_drop_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_map_to_drop_precedence_update(self, cos_traffic_class=None, cos_to_tc_dp_mappings=None, to_traffic_class=None, to_drop_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cos_traffic_class: kwarg tuple.
		:type cos_traffic_class: (name).

		:param name: Name for the MAP(Max 64)
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param cos_to_tc_dp_mappings: kwarg tuple.
		:type cos_to_tc_dp_mappings: (from_cos).

		:param from_cos: In CoS
		:type from_cos: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param to_traffic_class: Out Traffic-Class
		:type to_traffic_class: (int)
		
		.. note::
			* range - ['0..255']

		:param to_drop_precedence: Out Drop-Precedence
		:type to_drop_precedence: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', u'cos_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', u'cos_to_tc_dp_mappings')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'from_cos', 'extra_keyval': 'from_cos'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings, to_traffic_class=to_traffic_class, to_drop_precedence=to_drop_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_cos_map_to_update(self, dscp_cos=None, dscp_to_cos_mapping=None, to_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param dscp_cos: kwarg tuple.
		:type dscp_cos: (dscp_cos_map_name).

		:param dscp_cos_map_name: Name for the MAP(Max 64)
		:type dscp_cos_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_to_cos_mapping: kwarg tuple.
		:type dscp_to_cos_mapping: (dscp_in_values).

		:param dscp_in_values: In DSCP
		:type dscp_in_values: (unicode)
		
		.. note::
			* pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

	**This Instance Arg(s)**:
		:param to_value: Out CoS
		:type to_value: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping', u'dscp_to_cos_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_value'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos, dscp_to_cos_mapping=dscp_to_cos_mapping, to_value=to_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_cos_map_to_cos_update(self, dscp_cos=None, dscp_to_cos_mapping=None, to_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param dscp_cos: kwarg tuple.
		:type dscp_cos: (dscp_cos_map_name).

		:param dscp_cos_map_name: Name for the MAP(Max 64)
		:type dscp_cos_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_to_cos_mapping: kwarg tuple.
		:type dscp_to_cos_mapping: (dscp_in_values).

		:param dscp_in_values: In DSCP
		:type dscp_in_values: (unicode)
		
		.. note::
			* pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

	**This Instance Arg(s)**:
		:param to_value: Out CoS
		:type to_value: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping', u'dscp_to_cos_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos, dscp_to_cos_mapping=dscp_to_cos_mapping, to_value=to_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_cos_mark_update(self, dscp_cos=None, mark=None, to=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param dscp_cos: kwarg tuple.
		:type dscp_cos: (dscp_cos_map_name).

		:param dscp_cos_map_name: Name for the MAP(Max 64)
		:type dscp_cos_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Keyword Arg Tuple**:
		:param mark: kwarg tuple.
		:type mark: (dscp_in_values).

		:param dscp_in_values: 0-63;;Incoming DSCP
		:type dscp_in_values: (unicode)
		
		.. note::
			* pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

	**This Instance Arg(s)**:
		:param to: kwarg.
		:type to: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_0_1a.qos.map_.dscp_cos', u'dscp_cos')]
    bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_cos.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_cos.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_cos=dscp_cos, mark=mark, to=to)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_mutation_map_to_update(self, dscp_mutation=None, dscp_to_dscp_mapping=None, to_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param dscp_mutation: kwarg tuple.
		:type dscp_mutation: (dscp_mutation_map_name).

		:param dscp_mutation_map_name: Name for the MAP(Max 64)
		:type dscp_mutation_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_to_dscp_mapping: kwarg tuple.
		:type dscp_to_dscp_mapping: (dscp_in_values).

		:param dscp_in_values: In DSCP
		:type dscp_in_values: (unicode)
		
		.. note::
			* pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

	**This Instance Arg(s)**:
		:param to_value: Out DSCP
		:type to_value: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping', u'dscp_to_dscp_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_value'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation, dscp_to_dscp_mapping=dscp_to_dscp_mapping, to_value=to_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_mutation_map_to_dscp_update(self, dscp_mutation=None, dscp_to_dscp_mapping=None, to_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param dscp_mutation: kwarg tuple.
		:type dscp_mutation: (dscp_mutation_map_name).

		:param dscp_mutation_map_name: Name for the MAP(Max 64)
		:type dscp_mutation_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_to_dscp_mapping: kwarg tuple.
		:type dscp_to_dscp_mapping: (dscp_in_values).

		:param dscp_in_values: In DSCP
		:type dscp_in_values: (unicode)
		
		.. note::
			* pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

	**This Instance Arg(s)**:
		:param to_value: Out DSCP
		:type to_value: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping', u'dscp_to_dscp_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation, dscp_to_dscp_mapping=dscp_to_dscp_mapping, to_value=to_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_mutation_mark_update(self, dscp_mutation=None, mark=None, to=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param dscp_mutation: kwarg tuple.
		:type dscp_mutation: (dscp_mutation_map_name).

		:param dscp_mutation_map_name: Name for the MAP(Max 64)
		:type dscp_mutation_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Keyword Arg Tuple**:
		:param mark: kwarg tuple.
		:type mark: (dscp_in_values).

		:param dscp_in_values: 0-63;;Incoming DSCP
		:type dscp_in_values: (unicode)
		
		.. note::
			* pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

	**This Instance Arg(s)**:
		:param to: kwarg.
		:type to: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v6_0_2b.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v7_0_1a.qos.map_.dscp_mutation', u'dscp_mutation')]
    bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_mutation.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_mutation=dscp_mutation, mark=mark, to=to)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_traffic_class_map_to_update(self, dscp_traffic_class=None, dscp_to_tc_dp_mapping=None, to_value=None, to_drop_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param dscp_traffic_class: kwarg tuple.
		:type dscp_traffic_class: (dscp_traffic_class_map_name).

		:param dscp_traffic_class_map_name: Name for the MAP(Max 64)
		:type dscp_traffic_class_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_to_tc_dp_mapping: kwarg tuple.
		:type dscp_to_tc_dp_mapping: (dscp_in_values).

		:param dscp_in_values: In DSCP
		:type dscp_in_values: (unicode)
		
		.. note::
			* pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

	**This Instance Arg(s)**:
		:param to_value: Out Traffic-Class
		:type to_value: (int)
		
		.. note::
			* range - ['0..255']

		:param to_drop_precedence: Out Drop-Precedence
		:type to_drop_precedence: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', u'dscp_to_tc_dp_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_value, to_drop_precedence'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping, to_value=to_value, to_drop_precedence=to_drop_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_traffic_class_map_to_drop_precedence_update(self, dscp_traffic_class=None, dscp_to_tc_dp_mapping=None, to_value=None, to_drop_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param dscp_traffic_class: kwarg tuple.
		:type dscp_traffic_class: (dscp_traffic_class_map_name).

		:param dscp_traffic_class_map_name: Name for the MAP(Max 64)
		:type dscp_traffic_class_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp_to_tc_dp_mapping: kwarg tuple.
		:type dscp_to_tc_dp_mapping: (dscp_in_values).

		:param dscp_in_values: In DSCP
		:type dscp_in_values: (unicode)
		
		.. note::
			* pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

	**This Instance Arg(s)**:
		:param to_value: Out Traffic-Class
		:type to_value: (int)
		
		.. note::
			* range - ['0..255']

		:param to_drop_precedence: Out Drop-Precedence
		:type to_drop_precedence: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', u'dscp_to_tc_dp_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping, to_value=to_value, to_drop_precedence=to_drop_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_traffic_class_mark_update(self, dscp_traffic_class=None, mark=None, to=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param dscp_traffic_class: kwarg tuple.
		:type dscp_traffic_class: (dscp_traffic_class_map_name).

		:param dscp_traffic_class_map_name: Name for the MAP(Max 64)
		:type dscp_traffic_class_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Keyword Arg Tuple**:
		:param mark: kwarg tuple.
		:type mark: (dscp_in_values).

		:param dscp_in_values: 0-63;;Incoming DSCP
		:type dscp_in_values: (unicode)
		
		.. note::
			* pattern - (([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*

	**This Instance Arg(s)**:
		:param to: kwarg.
		:type to: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v7_0_1a.qos.map_.dscp_traffic_class', u'dscp_traffic_class')]
    bindings_list = [('pybind.nos.v6_0_2b.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_traffic_class=dscp_traffic_class, mark=mark, to=to)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_traffic_class_cos_map_to_update(self, traffic_class_cos=None, tc_dp_to_cos_mapping=None, to_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param traffic_class_cos: kwarg tuple.
		:type traffic_class_cos: (traffic_class_cos_map_name).

		:param traffic_class_cos_map_name: Name for the MAP(Max 64)
		:type traffic_class_cos_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param tc_dp_to_cos_mapping: kwarg tuple.
		:type tc_dp_to_cos_mapping: (from_traffic_class, from_drop_precedence).

		:param from_traffic_class: In Traffic-Class
		:type from_traffic_class: (int)
		
		.. note::
			* range - ['0..255']

		:param from_drop_precedence: In Drop-Precedence
		:type from_drop_precedence: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param to_cos: Out CoS
		:type to_cos: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', u'traffic_class_cos'), ('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping', u'tc_dp_to_cos_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}, {'keyval': 'from_traffic_class, from_drop_precedence', 'extra_keyval': 'from_traffic_class, from_drop_precedence'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'to_cos'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_cos=traffic_class_cos, tc_dp_to_cos_mapping=tc_dp_to_cos_mapping, to_cos=to_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_map_traffic_class_cos_map_to_cos_update(self, traffic_class_cos=None, tc_dp_to_cos_mapping=None, to_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param traffic_class_cos: kwarg tuple.
		:type traffic_class_cos: (traffic_class_cos_map_name).

		:param traffic_class_cos_map_name: Name for the MAP(Max 64)
		:type traffic_class_cos_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param tc_dp_to_cos_mapping: kwarg tuple.
		:type tc_dp_to_cos_mapping: (from_traffic_class, from_drop_precedence).

		:param from_traffic_class: In Traffic-Class
		:type from_traffic_class: (int)
		
		.. note::
			* range - ['0..255']

		:param from_drop_precedence: In Drop-Precedence
		:type from_drop_precedence: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param to_cos: Out CoS
		:type to_cos: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', u'traffic_class_cos'), ('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping', u'tc_dp_to_cos_mapping')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}, {'keyval': 'from_traffic_class, from_drop_precedence', 'extra_keyval': 'from_traffic_class, from_drop_precedence'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_cos=traffic_class_cos, tc_dp_to_cos_mapping=tc_dp_to_cos_mapping, to_cos=to_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_dscp_exp_update(self, map_name_cmd3=None, all_zero_map_cmd3=None, default_map_cmd3=None, All_cmd3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param map_name_cmd3: <MAP NAME>;;Name for the MAP(Max 64)
		:type map_name_cmd3: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param all_zero_map_cmd3: Map DSCP value to EXP 0
		:type all_zero_map_cmd3: (YANGBool)

		:param default_map_cmd3: Map DSCP value to EXP based on default map
		:type default_map_cmd3: (YANGBool)

		:param All_cmd3: Apply globally on all interface
		:type All_cmd3: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd3=map_name_cmd3, all_zero_map_cmd3=all_zero_map_cmd3, default_map_cmd3=default_map_cmd3, All_cmd3=All_cmd3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_dscp_exp_all_update(self, map_name_cmd3=None, all_zero_map_cmd3=None, default_map_cmd3=None, All_cmd3=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param map_name_cmd3: <MAP NAME>;;Name for the MAP(Max 64)
		:type map_name_cmd3: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param all_zero_map_cmd3: Map DSCP value to EXP 0
		:type all_zero_map_cmd3: (YANGBool)

		:param default_map_cmd3: Map DSCP value to EXP based on default map
		:type default_map_cmd3: (YANGBool)

		:param All_cmd3: Apply globally on all interface
		:type All_cmd3: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_dscp_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd3=map_name_cmd3, all_zero_map_cmd3=all_zero_map_cmd3, default_map_cmd3=default_map_cmd3, All_cmd3=All_cmd3)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_dscp_update(self, map_name_cmd4=None, all_zero_map_cmd4=None, default_map_cmd4=None, All_cmd4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param map_name_cmd4: <MAP NAME>;;Name for the MAP(Max 64)
		:type map_name_cmd4: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param all_zero_map_cmd4: Map EXP value to DSCP 0
		:type all_zero_map_cmd4: (YANGBool)

		:param default_map_cmd4: Map EXP value to DSCP based on default map
		:type default_map_cmd4: (YANGBool)

		:param All_cmd4: Apply globally on all interface
		:type All_cmd4: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd4=map_name_cmd4, all_zero_map_cmd4=all_zero_map_cmd4, default_map_cmd4=default_map_cmd4, All_cmd4=All_cmd4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_dscp_all_update(self, map_name_cmd4=None, all_zero_map_cmd4=None, default_map_cmd4=None, All_cmd4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param map_name_cmd4: <MAP NAME>;;Name for the MAP(Max 64)
		:type map_name_cmd4: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param all_zero_map_cmd4: Map EXP value to DSCP 0
		:type all_zero_map_cmd4: (YANGBool)

		:param default_map_cmd4: Map EXP value to DSCP based on default map
		:type default_map_cmd4: (YANGBool)

		:param All_cmd4: Apply globally on all interface
		:type All_cmd4: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_dscp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd4=map_name_cmd4, all_zero_map_cmd4=all_zero_map_cmd4, default_map_cmd4=default_map_cmd4, All_cmd4=All_cmd4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_traffic_class_update(self, map_name_cmd1=None, all_zero_map_cmd1=None, default_map_cmd1=None, All_cmd1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param map_name_cmd1: <MAP NAME>;;Name for the MAP(Max 64)
		:type map_name_cmd1: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param all_zero_map_cmd1: Map EXP value to internal traffic-class 0 and drop-prec 0
		:type all_zero_map_cmd1: (YANGBool)

		:param default_map_cmd1: Map EXP value to internal traffic-class and drop-prec based on default map
		:type default_map_cmd1: (YANGBool)

		:param All_cmd1: Apply globally on all interface
		:type All_cmd1: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd1=map_name_cmd1, all_zero_map_cmd1=all_zero_map_cmd1, default_map_cmd1=default_map_cmd1, All_cmd1=All_cmd1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_exp_traffic_class_all_update(self, map_name_cmd1=None, all_zero_map_cmd1=None, default_map_cmd1=None, All_cmd1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param map_name_cmd1: <MAP NAME>;;Name for the MAP(Max 64)
		:type map_name_cmd1: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param all_zero_map_cmd1: Map EXP value to internal traffic-class 0 and drop-prec 0
		:type all_zero_map_cmd1: (YANGBool)

		:param default_map_cmd1: Map EXP value to internal traffic-class and drop-prec based on default map
		:type default_map_cmd1: (YANGBool)

		:param All_cmd1: Apply globally on all interface
		:type All_cmd1: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_exp_traffic_class_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd1=map_name_cmd1, all_zero_map_cmd1=all_zero_map_cmd1, default_map_cmd1=default_map_cmd1, All_cmd1=All_cmd1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_inexp_outexp_update(self, map_name_cmd5=None, all_zero_map_cmd5=None, default_map_cmd5=None, All_cmd5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param map_name_cmd5: <MAP NAME>;;Name for the MAP(Max 64)
		:type map_name_cmd5: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param all_zero_map_cmd5: Map EXP value to internal priority 0 and drop-prec 0
		:type all_zero_map_cmd5: (YANGBool)

		:param default_map_cmd5: Map EXP value to internal priority and drop-prec based on default map
		:type default_map_cmd5: (YANGBool)

		:param All_cmd5: Apply globally on all interface
		:type All_cmd5: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd5=map_name_cmd5, all_zero_map_cmd5=all_zero_map_cmd5, default_map_cmd5=default_map_cmd5, All_cmd5=All_cmd5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_inexp_outexp_all_update(self, map_name_cmd5=None, all_zero_map_cmd5=None, default_map_cmd5=None, All_cmd5=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param map_name_cmd5: <MAP NAME>;;Name for the MAP(Max 64)
		:type map_name_cmd5: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param all_zero_map_cmd5: Map EXP value to internal priority 0 and drop-prec 0
		:type all_zero_map_cmd5: (YANGBool)

		:param default_map_cmd5: Map EXP value to internal priority and drop-prec based on default map
		:type default_map_cmd5: (YANGBool)

		:param All_cmd5: Apply globally on all interface
		:type All_cmd5: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_inexp_outexp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd5=map_name_cmd5, all_zero_map_cmd5=all_zero_map_cmd5, default_map_cmd5=default_map_cmd5, All_cmd5=All_cmd5)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_traffic_class_exp_update(self, map_name_cmd2=None, all_zero_map_cmd2=None, default_map_cmd2=None, All_cmd2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param map_name_cmd2: <MAP NAME>;;Name for the MAP(Max 64)
		:type map_name_cmd2: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param all_zero_map_cmd2: Map traffic-class and drop prec to EXP 0
		:type all_zero_map_cmd2: (YANGBool)

		:param default_map_cmd2: Map traffic-class and drop prec to EXP based on default map
		:type default_map_cmd2: (YANGBool)

		:param All_cmd2: Apply globally on all interface
		:type All_cmd2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd2=map_name_cmd2, all_zero_map_cmd2=all_zero_map_cmd2, default_map_cmd2=default_map_cmd2, All_cmd2=All_cmd2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_apply_traffic_class_exp_all_update(self, map_name_cmd2=None, all_zero_map_cmd2=None, default_map_cmd2=None, All_cmd2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param map_name_cmd2: <MAP NAME>;;Name for the MAP(Max 64)
		:type map_name_cmd2: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param all_zero_map_cmd2: Map traffic-class and drop prec to EXP 0
		:type all_zero_map_cmd2: (YANGBool)

		:param default_map_cmd2: Map traffic-class and drop prec to EXP based on default map
		:type default_map_cmd2: (YANGBool)

		:param All_cmd2: Apply globally on all interface
		:type All_cmd2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_apply.apply_traffic_class_exp_map_name', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, map_name_cmd2=map_name_cmd2, all_zero_map_cmd2=all_zero_map_cmd2, default_map_cmd2=default_map_cmd2, All_cmd2=All_cmd2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_dscp_exp_dscp_to_update(self, dscp_exp=None, dscp=None, exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param dscp_exp: kwarg tuple.
		:type dscp_exp: (dscp_exp_map_name).

		:param dscp_exp_map_name: Name for the MAP(Max 64)
		:type dscp_exp_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp: kwarg tuple.
		:type dscp: (dscp_in_values).

		:param dscp_in_values: tuple arg.
		:type dscp_in_values: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param exp: exp value 0-7
		:type exp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', u'dscp_exp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp', u'dscp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_exp=dscp_exp, dscp=dscp, exp=exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_dscp_exp_dscp_to_exp_update(self, dscp_exp=None, dscp=None, exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param dscp_exp: kwarg tuple.
		:type dscp_exp: (dscp_exp_map_name).

		:param dscp_exp_map_name: Name for the MAP(Max 64)
		:type dscp_exp_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param dscp: kwarg tuple.
		:type dscp: (dscp_in_values).

		:param dscp_in_values: tuple arg.
		:type dscp_in_values: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param exp: exp value 0-7
		:type exp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', u'dscp_exp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp', u'dscp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_in_values', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dscp_exp=dscp_exp, dscp=dscp, exp=exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_exp_dscp_exp_to_update(self, exp_dscp=None, exp=None, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param exp_dscp: kwarg tuple.
		:type exp_dscp: (exp_dscp_map_name).

		:param exp_dscp_map_name: Name for the MAP(Max 64)
		:type exp_dscp_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param exp: kwarg tuple.
		:type exp: (exp_in_values).

		:param exp_in_values: tuple arg.
		:type exp_in_values: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param dscp: dscp value 0-63
		:type dscp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', u'exp_dscp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp', u'exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_dscp=exp_dscp, exp=exp, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_exp_dscp_exp_to_dscp_update(self, exp_dscp=None, exp=None, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param exp_dscp: kwarg tuple.
		:type exp_dscp: (exp_dscp_map_name).

		:param exp_dscp_map_name: Name for the MAP(Max 64)
		:type exp_dscp_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param exp: kwarg tuple.
		:type exp: (exp_in_values).

		:param exp_in_values: tuple arg.
		:type exp_in_values: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param dscp: dscp value 0-63
		:type dscp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', u'exp_dscp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp', u'exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_dscp=exp_dscp, exp=exp, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_exp_traffic_class_exp_to_update(self, exp_traffic_class=None, exp=None, priority=None, drop_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param exp_traffic_class: kwarg tuple.
		:type exp_traffic_class: (exp_traffic_class_map_name).

		:param exp_traffic_class_map_name: Name for the MAP(Max 64)
		:type exp_traffic_class_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param exp: kwarg tuple.
		:type exp: (exp_in_values).

		:param exp_in_values: tuple arg.
		:type exp_in_values: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param priority: Traffic class 0-7
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param drop_precedence: drop-precedence value 0-3
		:type drop_precedence: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp', u'exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_traffic_class=exp_traffic_class, exp=exp, priority=priority, drop_precedence=drop_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_exp_traffic_class_exp_to_drop_precedence_update(self, exp_traffic_class=None, exp=None, priority=None, drop_precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param exp_traffic_class: kwarg tuple.
		:type exp_traffic_class: (exp_traffic_class_map_name).

		:param exp_traffic_class_map_name: Name for the MAP(Max 64)
		:type exp_traffic_class_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param exp: kwarg tuple.
		:type exp: (exp_in_values).

		:param exp_in_values: tuple arg.
		:type exp_in_values: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param priority: Traffic class 0-7
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param drop_precedence: drop-precedence value 0-3
		:type drop_precedence: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp', u'exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, exp_traffic_class=exp_traffic_class, exp=exp, priority=priority, drop_precedence=drop_precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_inexp_outexp_in_exp_to_update(self, inexp_outexp=None, in_exp=None, out_exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param inexp_outexp: kwarg tuple.
		:type inexp_outexp: (inexp_outexp_map_name).

		:param inexp_outexp_map_name: Name for the MAP(Max 64)
		:type inexp_outexp_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param in_exp: kwarg tuple.
		:type in_exp: (in_exp_in_values).

		:param in_exp_in_values: tuple arg.
		:type in_exp_in_values: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

	**This Instance Arg(s)**:
		:param out_exp: out-exp value 0-7
		:type out_exp: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', u'inexp_outexp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp', u'in_exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}, {'keyval': 'in_exp_in_values', 'extra_keyval': 'in_exp_in_values'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, inexp_outexp=inexp_outexp, in_exp=in_exp, out_exp=out_exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_inexp_outexp_in_exp_to_out_exp_update(self, inexp_outexp=None, in_exp=None, out_exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param inexp_outexp: kwarg tuple.
		:type inexp_outexp: (inexp_outexp_map_name).

		:param inexp_outexp_map_name: Name for the MAP(Max 64)
		:type inexp_outexp_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param in_exp: kwarg tuple.
		:type in_exp: (in_exp_in_values).

		:param in_exp_in_values: tuple arg.
		:type in_exp_in_values: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

	**This Instance Arg(s)**:
		:param out_exp: out-exp value 0-7
		:type out_exp: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', u'inexp_outexp'), ('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp', u'in_exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp.to', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}, {'keyval': 'in_exp_in_values', 'extra_keyval': 'in_exp_in_values'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, inexp_outexp=inexp_outexp, in_exp=in_exp, out_exp=out_exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_traffic_class_exp_traffic_class_update(self, traffic_class_exp=None, priority=None, drop_precedence=None, to=None, exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param traffic_class_exp: kwarg tuple.
		:type traffic_class_exp: (traffic_class_exp_map_name).

		:param traffic_class_exp_map_name: Name for the MAP(Max 64)
		:type traffic_class_exp_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Keyword Arg Tuple**:
		:param priority: kwarg tuple.
		:type priority: (priority_in_values, drop_precedence, to, exp).

		:param priority_in_values: tuple arg.
		:type priority_in_values: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param drop_precedence: drop-precedence value 0-3
		:type drop_precedence: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param to: to
		:type to: (YANGBool)

		:param exp: exp value 0-7
		:type exp: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param drop_precedence: drop-precedence value 0-3
		:type drop_precedence: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param to: to
		:type to: (YANGBool)

		:param exp: exp value 0-7
		:type exp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', u'traffic_class_exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp.priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'priority', 'keyval': 'priority_in_values', 'extra_keyval': 'priority_in_values, drop_precedence, to, exp'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class_exp=traffic_class_exp, priority=priority, drop_precedence=drop_precedence, to=to, exp=exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_queue_multicast_scheduler_dwrr_update(self, dwrr_traffic_class0=None, dwrr_traffic_class1=None, dwrr_traffic_class2=None, dwrr_traffic_class3=None, dwrr_traffic_class4=None, dwrr_traffic_class5=None, dwrr_traffic_class6=None, dwrr_traffic_class7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param dwrr_traffic_class0: kwarg.
		:type dwrr_traffic_class0: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class1: kwarg.
		:type dwrr_traffic_class1: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class2: kwarg.
		:type dwrr_traffic_class2: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class3: kwarg.
		:type dwrr_traffic_class3: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class4: kwarg.
		:type dwrr_traffic_class4: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class5: kwarg.
		:type dwrr_traffic_class5: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class6: kwarg.
		:type dwrr_traffic_class6: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class7: kwarg.
		:type dwrr_traffic_class7: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.queue.multicast.scheduler.dwrr', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class7=dwrr_traffic_class7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_queue_scheduler_strict_priority_update(self, priority_number=None, scheduler_type=None, dwrr_traffic_class0=None, dwrr_traffic_class1=None, dwrr_traffic_class2=None, dwrr_traffic_class3=None, dwrr_traffic_class4=None, dwrr_traffic_class5=None, dwrr_traffic_class6=None, dwrr_traffic_class_last=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param priority_number: kwarg.
		:type priority_number: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param scheduler_type: kwarg.
		:type scheduler_type: (unicode)
		
		.. note::
			* enum - [u'dwrr']

		:param dwrr_traffic_class0: kwarg.
		:type dwrr_traffic_class0: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class1: kwarg.
		:type dwrr_traffic_class1: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class2: kwarg.
		:type dwrr_traffic_class2: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class3: kwarg.
		:type dwrr_traffic_class3: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class4: kwarg.
		:type dwrr_traffic_class4: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class5: kwarg.
		:type dwrr_traffic_class5: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class6: kwarg.
		:type dwrr_traffic_class6: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class_last: kwarg.
		:type dwrr_traffic_class_last: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.qos.queue.scheduler.strict_priority', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.queue.scheduler.strict_priority', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, priority_number=priority_number, scheduler_type=scheduler_type, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class_last=dwrr_traffic_class_last)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_rate_limit_update(self, limit=None, burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param limit: kwarg.
		:type limit: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param burst: Burst limit (packets)
		:type burst: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'limit, burst'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, limit=limit, burst=burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_rate_limit_burst_update(self, limit=None, burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param limit: kwarg.
		:type limit: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param burst: Burst limit (packets)
		:type burst: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.rate_limit', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, limit=limit, burst=burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_rcv_queue_multicast_threshold_update(self, traffic_class0=None, traffic_class1=None, traffic_class2=None, traffic_class3=None, traffic_class4=None, traffic_class5=None, traffic_class6=None, traffic_class7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param traffic_class0: kwarg.
		:type traffic_class0: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param traffic_class1: kwarg.
		:type traffic_class1: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param traffic_class2: kwarg.
		:type traffic_class2: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param traffic_class3: kwarg.
		:type traffic_class3: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param traffic_class4: kwarg.
		:type traffic_class4: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param traffic_class5: kwarg.
		:type traffic_class5: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param traffic_class6: kwarg.
		:type traffic_class6: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param traffic_class7: kwarg.
		:type traffic_class7: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.qos.rcv_queue.multicast.threshold', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.rcv_queue.multicast.threshold', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, traffic_class0=traffic_class0, traffic_class1=traffic_class1, traffic_class2=traffic_class2, traffic_class3=traffic_class3, traffic_class4=traffic_class4, traffic_class5=traffic_class5, traffic_class6=traffic_class6, traffic_class7=traffic_class7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_red_profile_update(self, red_profile=None, min_threshold=None, max_threshold=None, drop_probability=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param red_profile: kwarg tuple.
		:type red_profile: (profile_id, min_threshold, max_threshold, drop_probability).

		:param profile_id: 0-383;;Profile Id
		:type profile_id: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param min_threshold: Minimum Threshold in Percentage
		:type min_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param max_threshold: Maximum Threshold in Percentage
		:type max_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param drop_probability: Drop Probability in Percentage
		:type drop_probability: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

	**This Instance Arg(s)**:
		:param min_threshold: Minimum Threshold in Percentage
		:type min_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param max_threshold: Maximum Threshold in Percentage
		:type max_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param drop_probability: Drop Probability in Percentage
		:type drop_probability: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.qos.red_profile', 'pybind.nos.v6_0_2b.brocade_qos', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.qos.red_profile', 'pybind.nos.v7_0_1a.brocade_qos', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.qos.red_profile', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.red_profile', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'red_profile', 'keyval': 'profile_id', 'extra_keyval': 'profile_id, min_threshold, max_threshold, drop_probability'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, red_profile=red_profile, min_threshold=min_threshold, max_threshold=max_threshold, drop_probability=drop_probability)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_rx_queue_update(self, rx_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rx_queue_limit: Configure Ingress Queue Limit
		:type rx_queue_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.rx_queue', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rx_queue_limit=rx_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_rx_queue_limit_update(self, rx_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rx_queue_limit: Configure Ingress Queue Limit
		:type rx_queue_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.rx_queue', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rx_queue_limit=rx_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_service_policy_attach_rbridge_id_add_update(self, service_policy=None, rb_add_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param service_policy: kwarg tuple.
		:type service_policy: (direction, policy_map_name).

		:param direction: tuple arg.
		:type direction: (unicode)
		
		.. note::
			* enum - [u'in']

		:param policy_map_name: MAP_NAME;;Qos Policy map name
		:type policy_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param rb_add_range: RANGE;;Range of rbridge ids to add
		:type rb_add_range: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v6_0_2b.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v7_0_1a.system_qos.qos.service_policy', u'service_policy')]
    bindings_list = [('pybind.nos.v6_0_2b.system_qos.qos.service_policy.attach.rbridge_id.add_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_qos.qos.service_policy.attach.rbridge_id.add_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_qos.qos.service_policy.attach.rbridge_id.add_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, service_policy=service_policy, rb_add_range=rb_add_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_service_policy_attach_rbridge_id_remove_update(self, service_policy=None, rb_remove_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param service_policy: kwarg tuple.
		:type service_policy: (direction, policy_map_name).

		:param direction: tuple arg.
		:type direction: (unicode)
		
		.. note::
			* enum - [u'in']

		:param policy_map_name: MAP_NAME;;Qos Policy map name
		:type policy_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param rb_remove_range: RANGE;;Range of rbridge ids to remove
		:type rb_remove_range: (unicode)
		
		.. note::
			* pattern - [0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v7_0_1a.system_qos.qos.service_policy', u'service_policy'), ('pybind.nos.v6_0_2b.system_qos.qos.service_policy', u'service_policy')]
    bindings_list = [('pybind.nos.v6_0_2b.system_qos.qos.service_policy.attach.rbridge_id.remove_', 'pybind.nos.v6_0_2b.brocade_policer', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_qos.qos.service_policy.attach.rbridge_id.remove_', 'pybind.nos.v7_0_1a.brocade_policer', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_qos.qos.service_policy.attach.rbridge_id.remove_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}, {'keyval': 'direction, policy_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, service_policy=service_policy, rb_remove_range=rb_remove_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_update(self, tx_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param tx_queue_limit: Configure Egress Queue Limit
		:type tx_queue_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tx_queue_limit=tx_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_limit_update(self, tx_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param tx_queue_limit: Configure Egress Queue Limit
		:type tx_queue_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tx_queue_limit=tx_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def qos_tx_queue_scheduler_strict_priority_update(self, priority_number=None, scheduler_type=None, dwrr_traffic_class0=None, dwrr_traffic_class1=None, dwrr_traffic_class2=None, dwrr_traffic_class3=None, dwrr_traffic_class4=None, dwrr_traffic_class5=None, dwrr_traffic_class6=None, dwrr_traffic_class_last=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param priority_number: kwarg.
		:type priority_number: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param scheduler_type: kwarg.
		:type scheduler_type: (unicode)
		
		.. note::
			* enum - [u'dwrr']

		:param dwrr_traffic_class0: kwarg.
		:type dwrr_traffic_class0: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class1: kwarg.
		:type dwrr_traffic_class1: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class2: kwarg.
		:type dwrr_traffic_class2: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class3: kwarg.
		:type dwrr_traffic_class3: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class4: kwarg.
		:type dwrr_traffic_class4: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class5: kwarg.
		:type dwrr_traffic_class5: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class6: kwarg.
		:type dwrr_traffic_class6: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param dwrr_traffic_class_last: kwarg.
		:type dwrr_traffic_class_last: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.tx_queue.scheduler.strict_priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, priority_number=priority_number, scheduler_type=scheduler_type, dwrr_traffic_class0=dwrr_traffic_class0, dwrr_traffic_class1=dwrr_traffic_class1, dwrr_traffic_class2=dwrr_traffic_class2, dwrr_traffic_class3=dwrr_traffic_class3, dwrr_traffic_class4=dwrr_traffic_class4, dwrr_traffic_class5=dwrr_traffic_class5, dwrr_traffic_class6=dwrr_traffic_class6, dwrr_traffic_class_last=dwrr_traffic_class_last)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def queues_state_queue_interface_list_queue_info_list_update(self, queue_interface_list=None, queue_info_list=None, tx_packets=None, tx_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param queue_interface_list: kwarg tuple.
		:type queue_interface_list: (interface_value).

		:param interface_value: tuple arg.
		:type interface_value: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param queue_info_list: kwarg tuple.
		:type queue_info_list: (interface, num).

		:param interface: tuple arg.
		:type interface: (unicode)

		:param num: tuple arg.
		:type num: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param tx_packets: kwarg.
		:type tx_packets: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_bytes: kwarg.
		:type tx_bytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list', u'queue_interface_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue_interface_list=queue_interface_list, queue_info_list=queue_info_list, tx_packets=tx_packets, tx_bytes=tx_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def radius_server_host_update(self, host=None, auth_port=None, protocol=None, key=None, encryption_level=None, retries=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param host: kwarg tuple.
		:type host: (hostname).

		:param hostname: INETADDRESS   Domain name or IP Address of
 this RADIUS server
		:type hostname: (unicode)
		
		.. note::
			* length - [u'0..max']
			* pattern - \p{IsBasicLatin}{0,255}

	**This Instance Arg(s)**:
		:param auth_port: UDP Port for Authentication (default=1812)
		:type auth_port: (int)
		
		.. note::
			* range - ['0..65535']

		:param protocol: Authentication protocol to be used
 (default=CHAP)
		:type protocol: (unicode)
		
		.. note::
			* enum - [u'pap', u'chap', u'peap-mschap']

		:param key: Secret shared with this server
 (default='sharedsecret')
		:type key: (unicode)
		
		.. note::
			* length - [u'8 .. max']

		:param encryption_level: Level of encryption of the key (default=7)
		:type encryption_level: (unicode)
		
		.. note::
			* enum - [u'0', u'7']

		:param retries: Number of retries for this server connection
 (default=5)
		:type retries: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param timeout: Wait time for this server to respond
 (default=5 sec)
		:type timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.radius_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.radius_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.radius_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.radius_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': 'hostname, use_vrf, auth_port, protocol, key, encryption_level, retries, timeout'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, auth_port=auth_port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def radius_server_host_auth_port_update(self, host=None, auth_port=None, protocol=None, key=None, encryption_level=None, retries=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param host: kwarg tuple.
		:type host: (hostname, use_vrf).

		:param hostname: INETADDRESS   Domain name or IP Address of
this RADIUS server
		:type hostname: (unicode)
		
		.. note::
			* length - [u'0..max']
			* pattern - \p{IsBasicLatin}{0,255}

		:param use_vrf: VRF to choose for server connection
(Default=mgmt-vrf)
		:type use_vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param auth_port: UDP Port for Authentication (default=1812)
		:type auth_port: (int)
		
		.. note::
			* range - ['0..65535']

		:param protocol: Authentication protocol to be used
 (default=CHAP)
		:type protocol: (unicode)
		
		.. note::
			* enum - [u'pap', u'chap', u'peap-mschap']

		:param key: Secret shared with this server
 (default='sharedsecret')
		:type key: (unicode)
		
		.. note::
			* length - [u'8 .. max']

		:param encryption_level: Level of encryption of the key (default=7)
		:type encryption_level: (unicode)
		
		.. note::
			* enum - [u'0', u'7']

		:param retries: Number of retries for this server connection
 (default=5)
		:type retries: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param timeout: Wait time for this server to respond
 (default=5 sec)
		:type timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.radius_server.host', u'host')]
    bindings_list = [('pybind.slxos.v16r_1_00b.radius_server.host.radius_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, auth_port=auth_port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: Enable/Disable AG mode
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_counter_update(self, rbridge_id=None, reliabilitycountervalue=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param reliabilitycountervalue: Value for reliability counter
		:type reliabilitycountervalue: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.counter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.counter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.counter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.counter', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, reliabilitycountervalue=reliabilitycountervalue)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_counter_reliability_update(self, rbridge_id=None, reliabilitycountervalue=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param reliabilitycountervalue: Value for reliability counter
		:type reliabilitycountervalue: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.counter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.counter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.counter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.counter', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, reliabilitycountervalue=reliabilitycountervalue)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: Enable/Disable AG mode
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_pg_update(self, rbridge_id=None, pg=None, rename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param pg: kwarg tuple.
		:type pg: (pgid).

		:param pgid: tuple arg.
		:type pgid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rename: Renames the PG
		:type rename: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.pg', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.pg', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.pg', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.pg', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pg', 'keyval': 'pgid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, pg=pg, rename=rename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_timeout_update(self, rbridge_id=None, fnmtovalue=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param fnmtovalue: Value for time out
		:type fnmtovalue: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.timeout', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.timeout', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.timeout', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.timeout', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, fnmtovalue=fnmtovalue)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_timeout_fnm_update(self, rbridge_id=None, fnmtovalue=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param fnmtovalue: Value for time out
		:type fnmtovalue: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ag.timeout', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ag.timeout', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ag.timeout', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.timeout', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, fnmtovalue=fnmtovalue)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_arp_update(self, rbridge_id=None, arp_entry=None, mac_address_value=None, interfacename=None, GigabitEthernet=None, TenGigabitEthernet=None, FortyGigabitEthernet=None, HundredGigabitEthernet=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param arp_entry: kwarg tuple.
		:type arp_entry: (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve).

		:param arp_ip_address: A.B.C.D;; IP address of the ARP entry
		:type arp_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param mac_address_value: tuple arg.
		:type mac_address_value: (unicode)

		:param interfacename: tuple arg.
		:type interfacename: (unicode)
		
		.. note::
			* enum - [u'interface']

		:param GigabitEthernet: tuple arg.
		:type GigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param TenGigabitEthernet: tuple arg.
		:type TenGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param FortyGigabitEthernet: tuple arg.
		:type FortyGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param HundredGigabitEthernet: tuple arg.
		:type HundredGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param Ve: tuple arg.
		:type Ve: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mac_address_value: kwarg.
		:type mac_address_value: (unicode)

		:param interfacename: kwarg.
		:type interfacename: (unicode)
		
		.. note::
			* enum - [u'interface']

		:param GigabitEthernet: kwarg.
		:type GigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param TenGigabitEthernet: kwarg.
		:type TenGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param FortyGigabitEthernet: kwarg.
		:type FortyGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param HundredGigabitEthernet: kwarg.
		:type HundredGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param Ve: kwarg.
		:type Ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.arp_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.arp_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, GigabitEthernet=GigabitEthernet, TenGigabitEthernet=TenGigabitEthernet, FortyGigabitEthernet=FortyGigabitEthernet, HundredGigabitEthernet=HundredGigabitEthernet, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_bfd_session_setup_delay_update(self, rbridge_id=None, delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param delay: Configure BFD desired session setup delay in seconds.
		:type delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.bfd_session_setup_delay', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.bfd_session_setup_delay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, delay=delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_bp_rate_limit_heavy_module_update(self, rbridge_id=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param add_: slot/module range
		:type add_: (unicode)
		
		.. note::
			* pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param remove_: slot/module range
		:type remove_: (unicode)
		
		.. note::
			* pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_bp_rate_limit_heavy_module_add_update(self, rbridge_id=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param add_: slot/module range
		:type add_: (unicode)
		
		.. note::
			* pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param remove_: slot/module range
		:type remove_: (unicode)
		
		.. note::
			* pattern - (([0-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?((,((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9]))(-((1[0-9]{0,1})|([2-9][0-9]{0,1})|(1[0-9]{2})|(2[0-3][0-9])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.heavy.module', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_bp_rate_limit_queue_update(self, rbridge_id=None, queue=None, limit_percent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param queue: kwarg tuple.
		:type queue: (queue_id).

		:param queue_id: BP queue number (only queue 0 is supported)
		:type queue_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param limit_percent: BP queue limit in percentage
		:type limit_percent: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, queue=queue, limit_percent=limit_percent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_chassis_update(self, rbridge_id=None, virtual_oper_Vip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param virtual_oper_Vip_address: Show virtual-ip address
		:type virtual_oper_Vip_address: (unicode)
		
		.. note::
			* pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.chassis.oper_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.chassis.oper_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.chassis.oper_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.chassis', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, virtual_oper_Vip_address=virtual_oper_Vip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_chassis_virtual_ip_update(self, rbridge_id=None, virtual_oper_Vip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param virtual_oper_Vip_address: Show virtual-ip address
		:type virtual_oper_Vip_address: (unicode)
		
		.. note::
			* pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.chassis.oper_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.chassis.oper_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.chassis.oper_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.chassis', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, virtual_oper_Vip_address=virtual_oper_Vip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_chassis_virtual_ip_v4_update(self, rbridge_id=None, virtual_oper_Vip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param virtual_oper_Vip_address: kwarg.
		:type virtual_oper_Vip_address: (unicode)
		
		.. note::
			* pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.slxos.v16r_1_00b.rbridge_id.chassis.oper_address', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, virtual_oper_Vip_address=virtual_oper_Vip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_clock_update(self, rbridge_id=None, timezone=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param timezone: timezone region/city (regions are Africa,
America, Antarctica, Arctic, Asia, Atlantic,
Australia, Europe, Indian, Pacific)
		:type timezone: (unicode)
		
		.. note::
			* enum - [u'Atlantic/Canary', u'Australia/Melbourne', u'Antarctica/Mawson', u'America/Nipigon', u'America/Miquelon', u'Indian/Reunion', u'Antarctica/Davis', u'Asia/Dhaka', u'America/St_Lucia', u'Asia/Kashgar', u'America/Phoenix', u'Asia/Kuwait', u'Asia/Hong_Kong', u'Arctic/Longyearbyen', u'Europe/Guernsey', u'Antarctica/Rothera', u'Europe/Stockholm', u'Pacific/Fiji', u'Pacific/Apia', u'Pacific/Pago_Pago', u'Asia/Rangoon', u'America/Mexico_City', u'America/Puerto_Rico', u'Indian/Mauritius', u'Europe/Berlin', u'Europe/Zurich', u'America/Belem', u'Europe/Skopje', u'Asia/Krasnoyarsk', u'Atlantic/Bermuda', u'Australia/Currie', u'Asia/Tehran', u'Asia/Baku', u'America/St_Barthelemy', u'America/Santarem', u'America/Danmarkshavn', u'America/Scoresbysund', u'America/Eirunepe', u'America/Caracas', u'Asia/Baghdad', u'Africa/Monrovia', u'America/St_Vincent', u'America/Vancouver', u'Asia/Ho_Chi_Minh', u'Asia/Thimphu', u'Africa/Accra', u'America/Belize', u'America/Port_of_Spain', u'Asia/Tashkent', u'Asia/Tokyo', u'Pacific/Kiritimati', u'Australia/Sydney', u'Europe/Riga', u'Asia/Dili', u'Africa/Mbabane', u'Asia/Oral', u'Asia/Aden', u'Europe/Isle_of_Man', u'Europe/Istanbul', u'Africa/Abidjan', u'Australia/Lindeman', u'Pacific/Galapagos', u'America/Bogota', u'Africa/Asmara', u'America/Chicago', u'Pacific/Kwajalein', u'America/Cuiaba', u'Indian/Christmas', u'Asia/Jayapura', u'Europe/Brussels', u'Europe/Lisbon', u'Asia/Chongqing', u'America/Argentina/Cordoba', u'America/Noronha', u'Europe/Madrid', u'Africa/Algiers', u'Africa/Harare', u'Africa/Ndjamena', u'America/Costa_Rica', u'Europe/Ljubljana', u'Indian/Mayotte', u'Asia/Phnom_Penh', u'America/Managua', u'Asia/Brunei', u'America/Tijuana', u'Pacific/Fakaofo', u'America/Adak', u'America/Antigua', u'America/Indiana/Indianapolis', u'America/Argentina/La_Rioja', u'Pacific/Tahiti', u'America/Pangnirtung', u'Europe/Zagreb', u'America/Asuncion', u'Europe/Vienna', u'Australia/Hobart', u'America/Juneau', u'America/Inuvik', u'America/Montreal', u'Asia/Seoul', u'Indian/Comoro', u'Europe/Paris', u'Europe/Tallinn', u'Indian/Mahe', u'America/Argentina/Jujuy', u'America/Martinique', u'Asia/Singapore', u'Africa/Nairobi', u'America/Maceio', u'Africa/Cairo', u'Europe/Moscow', u'Asia/Ulaanbaatar', u'America/Rainy_River', u'Indian/Maldives', u'Asia/Colombo', u'Australia/Adelaide', u'America/Cambridge_Bay', u'Africa/Luanda', u'Pacific/Chatham', u'America/Indiana/Winamac', u'Asia/Tbilisi', u'Europe/Gibraltar', u'Asia/Karachi', u'Asia/Harbin', u'Australia/Lord_Howe', u'America/Boa_Vista', u'Africa/Tripoli', u'Pacific/Wallis', u'Atlantic/Stanley', u'Asia/Srednekolymsk', u'America/Blanc-Sablon', u'America/Santo_Domingo', u'Antarctica/Syowa', u'America/Jamaica', u'Europe/Kiev', u'Europe/Budapest', u'Pacific/Midway', u'America/Goose_Bay', u'Asia/Amman', u'Asia/Sakhalin', u'Africa/Windhoek', u'Asia/Katmandu', u'America/Guyana', u'America/Sao_Paulo', u'Australia/Perth', u'Africa/Djibouti', u'Asia/Jakarta', u'Asia/Pyongyang', u'Africa/Johannesburg', u'Asia/Irkutsk', u'Africa/Niamey', u'Africa/Casablanca', u'Asia/Bishkek', u'Africa/Nouakchott', u'Europe/Vilnius', u'America/Cayenne', u'Europe/Greenwich', u'Africa/Mogadishu', u'America/Kentucky/Monticello', u'America/Rio_Branco', u'America/Cancun', u'America/Havana', u'Pacific/Guam', u'Asia/Makassar', u'Atlantic/Azores', u'Australia/Eucla', u'Asia/Shanghai', u'America/Rankin_Inlet', u'America/Iqaluit', u'Africa/Maputo', u'Asia/Bahrain', u'Asia/Ashgabat', u'Asia/Riyadh', u'Europe/London', u'Europe/Warsaw', u'America/Anguilla', u'Asia/Damascus', u'America/North_Dakota/Center', u'America/Indiana/Vevay', u'Atlantic/St_Helena', u'America/Barbados', u'Europe/Vatican', u'America/Indiana/Vincennes', u'Asia/Almaty', u'Africa/Lome', u'Africa/Brazzaville', u'America/Nome', u'Europe/Dublin', u'America/Yakutat', u'America/Argentina/Mendoza', u'America/Araguaina', u'Europe/Vaduz', u'Europe/Minsk', u'Asia/Kolkata', u'Africa/Maseru', u'Asia/Kuching', u'Africa/Libreville', u'Africa/Freetown', u'Africa/Bissau', u'Europe/Samara', u'Europe/Amsterdam', u'Europe/Tirane', u'Pacific/Saipan', u'Asia/Magadan', u'Europe/Zaporozhye', u'America/El_Salvador', u'Europe/Podgorica', u'America/Santiago', u'America/Argentina/Buenos_Aires', u'America/Argentina/San_Luis', u'America/Aruba', u'America/Regina', u'Pacific/Truk', u'Pacific/Funafuti', u'America/Merida', u'America/Guatemala', u'Africa/Sao_Tome', u'Pacific/Kosrae', u'Africa/Bujumbura', u'Europe/Chisinau', u'America/Monterrey', u'Asia/Yekaterinburg', u'Antarctica/Casey', u'Pacific/Enderbury', u'America/Thule', u'America/St_Johns', u'America/Moncton', u'Europe/Helsinki', u'Atlantic/Cape_Verde', u'America/Tegucigalpa', u'Indian/Cocos', u'America/Boise', u'America/Guadeloupe', u'America/Nassau', u'Europe/Prague', u'America/Halifax', u'Asia/Hovd', u'America/Manaus', u'America/Godthab', u'America/Chihuahua', u'Asia/Beirut', u'America/Argentina/Rio_Gallegos', u'Pacific/Gambier', u'Europe/Volgograd', u'Africa/Bamako', u'Europe/Uzhgorod', u'Africa/Banjul', u'Asia/Aqtau', u'Africa/Malabo', u'Atlantic/Madeira', u'Pacific/Noumea', u'Africa/Kinshasa', u'Europe/Malta', u'America/Argentina/Ushuaia', u'Asia/Bangkok', u'Pacific/Niue', u'Australia/Brisbane', u'America/Recife', u'Asia/Yerevan', u'America/La_Paz', u'Asia/Urumqi', u'Africa/Lusaka', u'Pacific/Guadalcanal', u'America/Yellowknife', u'Asia/Vientiane', u'Europe/Kaliningrad', u'Africa/Conakry', u'America/Argentina/Tucuman', u'Europe/Oslo', u'America/St_Kitts', u'America/Panama', u'America/Hermosillo', u'Pacific/Palau', u'America/Guayaquil', u'Asia/Kuala_Lumpur', u'America/Menominee', u'Asia/Kamchatka', u'Asia/Vladivostok', u'Asia/Qatar', u'Asia/Dubai', u'Asia/Yakutsk', u'Asia/Omsk', u'Africa/Bangui', u'America/Paramaribo', u'Africa/Lubumbashi', u'Pacific/Marquesas', u'Europe/Bratislava', u'Asia/Anadyr', u'America/New_York', u'Pacific/Norfolk', u'Pacific/Rarotonga', u'America/Dominica', u'Africa/Porto-Novo', u'Asia/Samarkand', u'Asia/Dushanbe', u'America/Toronto', u'America/Bahia', u'Africa/Kampala', u'Africa/Ouagadougou', u'Antarctica/South_Pole', u'Asia/Muscat', u'America/Edmonton', u'Pacific/Wake', u'America/Indiana/Tell_City', u'Australia/Darwin', u'America/Whitehorse', u'America/Swift_Current', u'Europe/Copenhagen', u'America/Montserrat', u'Europe/Simferopol', u'Africa/Blantyre', u'America/Detroit', u'America/Shiprock', u'America/Grenada', u'Atlantic/Faroe', u'America/Indiana/Petersburg', u'Asia/Pontianak', u'Europe/Athens', u'America/Port-au-Prince', u'America/Cayman', u'Africa/Dar_es_Salaam', u'America/Curacao', u'Indian/Kerguelen', u'Africa/Khartoum', u'Asia/Manila', u'Europe/Sarajevo', u'Africa/Douala', u'Europe/Rome', u'America/Argentina/San_Juan', u'America/North_Dakota/New_Salem', u'Pacific/Port_Moresby', u'Europe/Jersey', u'Europe/Andorra', u'Europe/Luxembourg', u'Pacific/Honolulu', u'America/St_Thomas', u'Pacific/Majuro', u'America/Mazatlan', u'Asia/Macau', u'Europe/Belgrade', u'Asia/Choibalsan', u'Europe/Mariehamn', u'Antarctica/McMurdo', u'America/Thunder_Bay', u'America/Los_Angeles', u'Asia/Kabul', u'Indian/Antananarivo', u'Atlantic/Reykjavik', u'Asia/Nicosia', u'Pacific/Ponape', u'Pacific/Tongatapu', u'America/Marigot', u'Pacific/Pitcairn', u'Pacific/Easter', u'Atlantic/South_Georgia', u'Africa/El_Aaiun', u'America/Campo_Grande', u'America/Dawson_Creek', u'Antarctica/Vostok', u'Europe/Bucharest', u'America/Porto_Velho', u'Europe/Monaco', u'America/Indiana/Marengo', u'Africa/Ceuta', u'America/Winnipeg', u'Asia/Aqtobe', u'Africa/Dakar', u'America/Fortaleza', u'Pacific/Tarawa', u'America/Dawson', u'Africa/Addis_Ababa', u'Pacific/Efate', u'Pacific/Johnston', u'Asia/Qyzylorda', u'Europe/San_Marino', u'Asia/Jerusalem', u'Pacific/Auckland', u'America/Tortola', u'America/Denver', u'Indian/Chagos', u'America/Glace_Bay', u'Africa/Gaborone', u'Africa/Tunis', u'America/Montevideo', u'America/Resolute', u'Etc/GMT', u'Asia/Gaza', u'Asia/Taipei', u'Antarctica/DumontDUrville', u'America/Argentina/Catamarca', u'America/Indiana/Knox', u'Asia/Novosibirsk', u'Africa/Kigali', u'America/Grand_Turk', u'Africa/Lagos', u'Europe/Sofia', u'America/Lima', u'America/Anchorage', u'Pacific/Nauru']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.clock', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.clock', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.clock', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, timezone=timezone)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_clock_timezone_update(self, rbridge_id=None, timezone=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param timezone: timezone region/city (regions are Africa,
America, Antarctica, Arctic, Asia, Atlantic,
Australia, Europe, Indian, Pacific)
		:type timezone: (unicode)
		
		.. note::
			* enum - [u'Atlantic/Canary', u'Australia/Melbourne', u'Antarctica/Mawson', u'America/Nipigon', u'America/Miquelon', u'Indian/Reunion', u'Antarctica/Davis', u'Asia/Dhaka', u'America/St_Lucia', u'Asia/Kashgar', u'America/Phoenix', u'Asia/Kuwait', u'Asia/Hong_Kong', u'Arctic/Longyearbyen', u'Europe/Guernsey', u'Antarctica/Rothera', u'Europe/Stockholm', u'Pacific/Fiji', u'Pacific/Apia', u'Pacific/Pago_Pago', u'Asia/Rangoon', u'America/Mexico_City', u'America/Puerto_Rico', u'Indian/Mauritius', u'Europe/Berlin', u'Europe/Zurich', u'America/Belem', u'Europe/Skopje', u'Asia/Krasnoyarsk', u'Atlantic/Bermuda', u'Australia/Currie', u'Asia/Tehran', u'Asia/Baku', u'America/St_Barthelemy', u'America/Santarem', u'America/Danmarkshavn', u'America/Scoresbysund', u'America/Eirunepe', u'America/Caracas', u'Asia/Baghdad', u'Africa/Monrovia', u'America/St_Vincent', u'America/Vancouver', u'Asia/Ho_Chi_Minh', u'Asia/Thimphu', u'Africa/Accra', u'America/Belize', u'America/Port_of_Spain', u'Asia/Tashkent', u'Asia/Tokyo', u'Pacific/Kiritimati', u'Australia/Sydney', u'Europe/Riga', u'Asia/Dili', u'Africa/Mbabane', u'Asia/Oral', u'Asia/Aden', u'Europe/Isle_of_Man', u'Europe/Istanbul', u'Africa/Abidjan', u'Australia/Lindeman', u'Pacific/Galapagos', u'America/Bogota', u'Africa/Asmara', u'America/Chicago', u'Pacific/Kwajalein', u'America/Cuiaba', u'Indian/Christmas', u'Asia/Jayapura', u'Europe/Brussels', u'Europe/Lisbon', u'Asia/Chongqing', u'America/Argentina/Cordoba', u'America/Noronha', u'Europe/Madrid', u'Africa/Algiers', u'Africa/Harare', u'Africa/Ndjamena', u'America/Costa_Rica', u'Europe/Ljubljana', u'Indian/Mayotte', u'Asia/Phnom_Penh', u'America/Managua', u'Asia/Brunei', u'America/Tijuana', u'Pacific/Fakaofo', u'America/Adak', u'America/Antigua', u'America/Indiana/Indianapolis', u'America/Argentina/La_Rioja', u'Pacific/Tahiti', u'America/Pangnirtung', u'Europe/Zagreb', u'America/Asuncion', u'Europe/Vienna', u'Australia/Hobart', u'America/Juneau', u'America/Inuvik', u'America/Montreal', u'Asia/Seoul', u'Indian/Comoro', u'Europe/Paris', u'Europe/Tallinn', u'Indian/Mahe', u'America/Argentina/Jujuy', u'America/Martinique', u'Asia/Singapore', u'Africa/Nairobi', u'America/Maceio', u'Africa/Cairo', u'Europe/Moscow', u'Asia/Ulaanbaatar', u'America/Rainy_River', u'Indian/Maldives', u'Asia/Colombo', u'Australia/Adelaide', u'America/Cambridge_Bay', u'Africa/Luanda', u'Pacific/Chatham', u'America/Indiana/Winamac', u'Asia/Tbilisi', u'Europe/Gibraltar', u'Asia/Karachi', u'Asia/Harbin', u'Australia/Lord_Howe', u'America/Boa_Vista', u'Africa/Tripoli', u'Pacific/Wallis', u'Atlantic/Stanley', u'Asia/Srednekolymsk', u'America/Blanc-Sablon', u'America/Santo_Domingo', u'Antarctica/Syowa', u'America/Jamaica', u'Europe/Kiev', u'Europe/Budapest', u'Pacific/Midway', u'America/Goose_Bay', u'Asia/Amman', u'Asia/Sakhalin', u'Africa/Windhoek', u'Asia/Katmandu', u'America/Guyana', u'America/Sao_Paulo', u'Australia/Perth', u'Africa/Djibouti', u'Asia/Jakarta', u'Asia/Pyongyang', u'Africa/Johannesburg', u'Asia/Irkutsk', u'Africa/Niamey', u'Africa/Casablanca', u'Asia/Bishkek', u'Africa/Nouakchott', u'Europe/Vilnius', u'America/Cayenne', u'Europe/Greenwich', u'Africa/Mogadishu', u'America/Kentucky/Monticello', u'America/Rio_Branco', u'America/Cancun', u'America/Havana', u'Pacific/Guam', u'Asia/Makassar', u'Atlantic/Azores', u'Australia/Eucla', u'Asia/Shanghai', u'America/Rankin_Inlet', u'America/Iqaluit', u'Africa/Maputo', u'Asia/Bahrain', u'Asia/Ashgabat', u'Asia/Riyadh', u'Europe/London', u'Europe/Warsaw', u'America/Anguilla', u'Asia/Damascus', u'America/North_Dakota/Center', u'America/Indiana/Vevay', u'Atlantic/St_Helena', u'America/Barbados', u'Europe/Vatican', u'America/Indiana/Vincennes', u'Asia/Almaty', u'Africa/Lome', u'Africa/Brazzaville', u'America/Nome', u'Europe/Dublin', u'America/Yakutat', u'America/Argentina/Mendoza', u'America/Araguaina', u'Europe/Vaduz', u'Europe/Minsk', u'Asia/Kolkata', u'Africa/Maseru', u'Asia/Kuching', u'Africa/Libreville', u'Africa/Freetown', u'Africa/Bissau', u'Europe/Samara', u'Europe/Amsterdam', u'Europe/Tirane', u'Pacific/Saipan', u'Asia/Magadan', u'Europe/Zaporozhye', u'America/El_Salvador', u'Europe/Podgorica', u'America/Santiago', u'America/Argentina/Buenos_Aires', u'America/Argentina/San_Luis', u'America/Aruba', u'America/Regina', u'Pacific/Truk', u'Pacific/Funafuti', u'America/Merida', u'America/Guatemala', u'Africa/Sao_Tome', u'Pacific/Kosrae', u'Africa/Bujumbura', u'Europe/Chisinau', u'America/Monterrey', u'Asia/Yekaterinburg', u'Antarctica/Casey', u'Pacific/Enderbury', u'America/Thule', u'America/St_Johns', u'America/Moncton', u'Europe/Helsinki', u'Atlantic/Cape_Verde', u'America/Tegucigalpa', u'Indian/Cocos', u'America/Boise', u'America/Guadeloupe', u'America/Nassau', u'Europe/Prague', u'America/Halifax', u'Asia/Hovd', u'America/Manaus', u'America/Godthab', u'America/Chihuahua', u'Asia/Beirut', u'America/Argentina/Rio_Gallegos', u'Pacific/Gambier', u'Europe/Volgograd', u'Africa/Bamako', u'Europe/Uzhgorod', u'Africa/Banjul', u'Asia/Aqtau', u'Africa/Malabo', u'Atlantic/Madeira', u'Pacific/Noumea', u'Africa/Kinshasa', u'Europe/Malta', u'America/Argentina/Ushuaia', u'Asia/Bangkok', u'Pacific/Niue', u'Australia/Brisbane', u'America/Recife', u'Asia/Yerevan', u'America/La_Paz', u'Asia/Urumqi', u'Africa/Lusaka', u'Pacific/Guadalcanal', u'America/Yellowknife', u'Asia/Vientiane', u'Europe/Kaliningrad', u'Africa/Conakry', u'America/Argentina/Tucuman', u'Europe/Oslo', u'America/St_Kitts', u'America/Panama', u'America/Hermosillo', u'Pacific/Palau', u'America/Guayaquil', u'Asia/Kuala_Lumpur', u'America/Menominee', u'Asia/Kamchatka', u'Asia/Vladivostok', u'Asia/Qatar', u'Asia/Dubai', u'Asia/Yakutsk', u'Asia/Omsk', u'Africa/Bangui', u'America/Paramaribo', u'Africa/Lubumbashi', u'Pacific/Marquesas', u'Europe/Bratislava', u'Asia/Anadyr', u'America/New_York', u'Pacific/Norfolk', u'Pacific/Rarotonga', u'America/Dominica', u'Africa/Porto-Novo', u'Asia/Samarkand', u'Asia/Dushanbe', u'America/Toronto', u'America/Bahia', u'Africa/Kampala', u'Africa/Ouagadougou', u'Antarctica/South_Pole', u'Asia/Muscat', u'America/Edmonton', u'Pacific/Wake', u'America/Indiana/Tell_City', u'Australia/Darwin', u'America/Whitehorse', u'America/Swift_Current', u'Europe/Copenhagen', u'America/Montserrat', u'Europe/Simferopol', u'Africa/Blantyre', u'America/Detroit', u'America/Shiprock', u'America/Grenada', u'Atlantic/Faroe', u'America/Indiana/Petersburg', u'Asia/Pontianak', u'Europe/Athens', u'America/Port-au-Prince', u'America/Cayman', u'Africa/Dar_es_Salaam', u'America/Curacao', u'Indian/Kerguelen', u'Africa/Khartoum', u'Asia/Manila', u'Europe/Sarajevo', u'Africa/Douala', u'Europe/Rome', u'America/Argentina/San_Juan', u'America/North_Dakota/New_Salem', u'Pacific/Port_Moresby', u'Europe/Jersey', u'Europe/Andorra', u'Europe/Luxembourg', u'Pacific/Honolulu', u'America/St_Thomas', u'Pacific/Majuro', u'America/Mazatlan', u'Asia/Macau', u'Europe/Belgrade', u'Asia/Choibalsan', u'Europe/Mariehamn', u'Antarctica/McMurdo', u'America/Thunder_Bay', u'America/Los_Angeles', u'Asia/Kabul', u'Indian/Antananarivo', u'Atlantic/Reykjavik', u'Asia/Nicosia', u'Pacific/Ponape', u'Pacific/Tongatapu', u'America/Marigot', u'Pacific/Pitcairn', u'Pacific/Easter', u'Atlantic/South_Georgia', u'Africa/El_Aaiun', u'America/Campo_Grande', u'America/Dawson_Creek', u'Antarctica/Vostok', u'Europe/Bucharest', u'America/Porto_Velho', u'Europe/Monaco', u'America/Indiana/Marengo', u'Africa/Ceuta', u'America/Winnipeg', u'Asia/Aqtobe', u'Africa/Dakar', u'America/Fortaleza', u'Pacific/Tarawa', u'America/Dawson', u'Africa/Addis_Ababa', u'Pacific/Efate', u'Pacific/Johnston', u'Asia/Qyzylorda', u'Europe/San_Marino', u'Asia/Jerusalem', u'Pacific/Auckland', u'America/Tortola', u'America/Denver', u'Indian/Chagos', u'America/Glace_Bay', u'Africa/Gaborone', u'Africa/Tunis', u'America/Montevideo', u'America/Resolute', u'Etc/GMT', u'Asia/Gaza', u'Asia/Taipei', u'Antarctica/DumontDUrville', u'America/Argentina/Catamarca', u'America/Indiana/Knox', u'Asia/Novosibirsk', u'Africa/Kigali', u'America/Grand_Turk', u'Africa/Lagos', u'Europe/Sofia', u'America/Lima', u'America/Anchorage', u'Pacific/Nauru']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.clock', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.clock', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.clock', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, timezone=timezone)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_crypto_ca_update(self, rbridge_id=None, ca=None, keypair=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ca: kwarg tuple.
		:type ca: (trustpoint).

		:param trustpoint: Trustpoint name
		:type trustpoint: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param keypair: Key pair association
		:type keypair: (unicode)
		
		.. note::
			* length - [u'0..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.crypto.ca', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.crypto.ca', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.crypto.ca', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ca=ca, keypair=keypair)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_crypto_key_update(self, rbridge_id=None, key=None, type=None, modulus=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param key: kwarg tuple.
		:type key: (label, type, modulus).

		:param label: Key Label
		:type label: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param type: Key Type
		:type type: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param modulus: Key Size
		:type modulus: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param type: Key Type
		:type type: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param modulus: Key Size
		:type modulus: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.crypto.key', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.crypto.key', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.crypto.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, key=key, type=type, modulus=modulus)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_default_config_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: Enable/Disable default config mode
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.default_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.default_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.default_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.default_config', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_default_config_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: Enable/Disable default config mode
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.default_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.default_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.default_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.default_config', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_dhcpd_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: Configure dhcpd
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.dhcpd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_dhcpd_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: Configure dhcpd
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.dhcpd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_update(self, rbridge_id=None, name=None, delay=None, iterations=None, interval=None, run_mode=None, trigger_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param name: kwarg tuple.
		:type name: (name).

		:param name: Event handler name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param delay: Delay (in seconds) that the event-handler will wait, for the initial launch of the action after the trigger has been received (default = 0).
		:type delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param iterations: Number of times to launch the action after the initial trigger has been received (default = 1).
		:type iterations: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interval: Time (in seconds) that the event-handler will wait between iterations of completing the previous action (default = 0).
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param run_mode: Run-mode controls how the action is launched with cluster formation (default = non-exclusive).
		:type run_mode: (unicode)
		
		.. note::
			* enum - [u'exclusive', u'non-exclusive']

		:param trigger_mode: Trigger-mode controls how the action is launched with the configured event trigger (default = each-instance).
		:type trigger_mode: (unicode)
		
		.. note::
			* enum - [u'each-instance', u'only-once', u'on-first-instance']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.event_handler.activate.name', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, name=name, delay=delay, iterations=iterations, interval=interval, run_mode=run_mode, trigger_mode=trigger_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_time_window_update(self, rbridge_id=None, name=None, trigger_function=None, time_window=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param name: kwarg tuple.
		:type name: (name).

		:param name: Event handler name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param trigger_function: Trigger-function controls how multiple triggers are interpreted to launch the action (default = OR).
		:type trigger_function: (unicode)
		
		.. note::
			* enum - [u'AND', u'OR']

		:param time_window: Number of seconds that is valid for all triggers to be received in order to launch the action.
		:type time_window: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.event_handler.activate.name', u'name'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.event_handler.activate.name', u'name')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.event_handler.activate.name.trigger_function_container', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.event_handler.activate.name.trigger_function_container', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, name=name, trigger_function=trigger_function, time_window=time_window)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_trigger_function_update(self, rbridge_id=None, name=None, trigger_function=None, time_window=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param name: kwarg tuple.
		:type name: (name).

		:param name: Event handler name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param trigger_function: ENUM:AND|OR;; Trigger-function controls how multiple triggers are interpreted to launch the action (default = OR).
		:type trigger_function: (unicode)
		
		.. note::
			* enum - [u'AND', u'OR']

		:param time_window: Number of seconds that is valid for all triggers to be received in order to launch the action.
		:type time_window: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', u'name')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name.trigger_function', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'trigger_function, time_window'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, name=name, trigger_function=trigger_function, time_window=time_window)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_trigger_function_time_window_update(self, rbridge_id=None, name=None, trigger_function=None, time_window=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param name: kwarg tuple.
		:type name: (name).

		:param name: Event handler name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param trigger_function: ENUM:AND|OR;; Trigger-function controls how multiple triggers are interpreted to launch the action (default = OR).
		:type trigger_function: (unicode)
		
		.. note::
			* enum - [u'AND', u'OR']

		:param time_window: Number of seconds that is valid for all triggers to be received in order to launch the action.
		:type time_window: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', u'name')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name.trigger_function', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, name=name, trigger_function=trigger_function, time_window=time_window)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_update(self, rbridge_id=None, evpn_instance=None, df_delay_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param evpn_instance: kwarg tuple.
		:type evpn_instance: (instance_name).

		:param instance_name: tuple arg.
		:type instance_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param df_delay_timer: DF delay timer
		:type df_delay_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_instance', 'keyval': 'instance_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, df_delay_timer=df_delay_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_duplicate_mac_timer_update(self, rbridge_id=None, evpn_instance=None, duplicate_mac_timer_value=None, max_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param evpn_instance: kwarg tuple.
		:type evpn_instance: (instance_name).

		:param instance_name: tuple arg.
		:type instance_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param duplicate_mac_timer_value: Duplicate mac timer value in seconds
		:type duplicate_mac_timer_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_count: Max count.
		:type max_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.duplicate_mac_timer', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.duplicate_mac_timer', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, duplicate_mac_timer_value=duplicate_mac_timer_value, max_count=max_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_rd_update(self, rbridge_id=None, evpn_instance=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param evpn_instance: kwarg tuple.
		:type evpn_instance: (instance_name).

		:param instance_name: tuple arg.
		:type instance_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param auto: Auto generation of RD
		:type auto: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_distinguisher', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_distinguisher', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'auto'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_rd_auto_update(self, rbridge_id=None, evpn_instance=None, auto=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param evpn_instance: kwarg tuple.
		:type evpn_instance: (instance_name).

		:param instance_name: tuple arg.
		:type instance_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param auto: Auto generation of RD
		:type auto: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_distinguisher', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_distinguisher', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, auto=auto)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_route_target_both_update(self, rbridge_id=None, evpn_instance=None, both=None, ignore_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param evpn_instance: kwarg tuple.
		:type evpn_instance: (instance_name).

		:param instance_name: tuple arg.
		:type instance_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Keyword Arg Tuple**:
		:param both: kwarg tuple.
		:type both: (target_community).

		:param target_community: auto;; Target VPN Extended Community
		:type target_community: (unicode)

	**This Instance Arg(s)**:
		:param ignore_as: Ignore-as
		:type ignore_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'both', 'keyval': 'target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, both=both, ignore_as=ignore_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_route_target_import_update(self, rbridge_id=None, evpn_instance=None, import_=None, ignore_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param evpn_instance: kwarg tuple.
		:type evpn_instance: (instance_name).

		:param instance_name: tuple arg.
		:type instance_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Keyword Arg Tuple**:
		:param import_: kwarg tuple.
		:type import_: (target_community).

		:param target_community: auto ;; Target VPN Extended Community
		:type target_community: (unicode)

	**This Instance Arg(s)**:
		:param ignore_as: Ignore-as
		:type ignore_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'import_', 'keyval': 'target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, import_=import_, ignore_as=ignore_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_vni_update(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, rd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param evpn_instance: kwarg tuple.
		:type evpn_instance: (instance_name).

		:param instance_name: tuple arg.
		:type instance_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Keyword Arg Tuple**:
		:param evpn_vni: kwarg tuple.
		:type evpn_vni: (vni_number).

		:param vni_number: tuple arg.
		:type vni_number: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rd: Configure RD for the VNI.
		:type rd: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_vni', 'keyval': 'vni_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, rd=rd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_vni_add_update(self, rbridge_id=None, evpn_instance=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param evpn_instance: kwarg tuple.
		:type evpn_instance: (instance_name).

		:param instance_name: tuple arg.
		:type instance_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

	**This Instance Arg(s)**:
		:param add_: Add VNIs to the EVPN Instance.
		:type add_: (unicode)
		
		.. note::
			* pattern - (([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]))(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5])))?(,(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]))(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5])))?)*

		:param remove_: Remove VNIs to the EVPN Instance.
		:type remove_: (unicode)
		
		.. note::
			* pattern - (([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]))(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5])))?(,(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5]))(-(([1-9][0-9]{0,6})|(1[0-5][0-9]{6})|(16[0-6][0-9]{5})|(167[0-6][0-9]{4})|(1677[0-6][0-9]{3})|(16777[0-1][0-9]{2})|(1677720[0-9])|(1677721[0-5])))?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.evpn_instance.vni.vni_add', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.vni_add', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_instance=evpn_instance, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_update(self, rbridge_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_ecmp_update(self, rbridge_id=None, ecmp_load_balance=None, load_balance_hash_swap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ecmp_load_balance: Configure load balancing parameters
		:type ecmp_load_balance: (unicode)
		
		.. note::
			* enum - [u'src-dst-ip-port', u'src-mac-vid', u'src-dst-ip', u'src-dst-ip-mac-vid', u'dst-mac-vid', u'src-dst-mac-vid', u'src-dst-ip-mac-vid-port']

		:param load_balance_hash_swap: Configure Hash-Swap value
		:type load_balance_hash_swap: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.ecmp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.ecmp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.ecmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.ecmp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ecmp_load_balance=ecmp_load_balance, load_balance_hash_swap=load_balance_hash_swap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_ecmp_load_balance_update(self, rbridge_id=None, ecmp_load_balance=None, load_balance_hash_swap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ecmp_load_balance: Configure load balancing parameters
		:type ecmp_load_balance: (unicode)
		
		.. note::
			* enum - [u'src-dst-ip-port', u'src-mac-vid', u'src-dst-ip', u'src-dst-ip-mac-vid', u'dst-mac-vid', u'src-dst-mac-vid', u'src-dst-ip-mac-vid-port']

		:param load_balance_hash_swap: Configure Hash-Swap value
		:type load_balance_hash_swap: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.ecmp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.ecmp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.ecmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.ecmp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ecmp_load_balance=ecmp_load_balance, load_balance_hash_swap=load_balance_hash_swap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_login_policy_duplicatewwn_update(self, rbridge_id=None, precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param precedence: Configure device login precedence.
		:type precedence: (unicode)
		
		.. note::
			* enum - [u'new-login', u'old-login']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, precedence=precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_login_policy_duplicatewwn_precedence_update(self, rbridge_id=None, precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param precedence: Configure device login precedence.
		:type precedence: (unicode)
		
		.. note::
			* enum - [u'new-login', u'old-login']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.login_policy.duplicateWWN', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, precedence=precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_neighbor_discovery_update(self, rbridge_id=None, neighbor_discovery=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param neighbor_discovery: Enable neighbor discovery to form VCS cluster
		:type neighbor_discovery: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.fabric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_discovery=neighbor_discovery)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_port_channel_update(self, rbridge_id=None, port_channel=None, vlag_load_balance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param port_channel: kwarg tuple.
		:type port_channel: (po_id).

		:param po_id: Port-channel id
		:type po_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlag_load_balance: Load balancing Commands
		:type vlag_load_balance: (unicode)
		
		.. note::
			* enum - [u'src-dst-ip-port', u'src-mac-vid', u'src-dst-ip', u'src-dst-ip-mac-vid', u'dst-mac-vid', u'src-dst-mac-vid', u'src-dst-ip-mac-vid-port']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.port_channel', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.port_channel', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.port_channel', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.port_channel', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'po_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, port_channel=port_channel, vlag_load_balance=vlag_load_balance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_route_mcast_update(self, rbridge_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param priority: Syntax: priority [priority] (default 1)
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.route.mcast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.route.mcast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.route.mcast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.route.mcast', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_route_mcast_priority_update(self, rbridge_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param priority: Syntax: priority [priority] (default 1)
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fabric.route.mcast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fabric.route.mcast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fabric.route.mcast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.route.mcast', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcoe_update(self, rbridge_id=None, fcoe_max_enode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param fcoe_max_enode: Configure the fcoe enodes for the FCoE Fabric-map
		:type fcoe_max_enode: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcoe_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcoe_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcoe_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fcoe_config', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, fcoe_max_enode=fcoe_max_enode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcoe_fcoe_enodes_update(self, rbridge_id=None, fcoe_max_enode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param fcoe_max_enode: Configure the fcoe enodes for the FCoE Fabric-map
		:type fcoe_max_enode: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcoe_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcoe_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcoe_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fcoe_config', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, fcoe_max_enode=fcoe_max_enode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcsp_auth_update(self, rbridge_id=None, auth_type=None, group=None, hash=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param auth_type: The authentication type
		:type auth_type: (unicode)
		
		.. note::
			* enum - [u'dh-chap']

		:param group: The group value
		:type group: (unicode)
		
		.. note::
			* pattern - [0-4\*]

		:param hash: The hash type
		:type hash: (unicode)
		
		.. note::
			* enum - [u'all', u'sha1', u'md5']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcsp.auth.proto', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, auth_type=auth_type, group=group, hash=hash)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcsp_auth_auth_type_update(self, rbridge_id=None, auth_type=None, group=None, hash=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param auth_type: The authentication type
		:type auth_type: (unicode)
		
		.. note::
			* enum - [u'dh-chap']

		:param group: The group value
		:type group: (unicode)
		
		.. note::
			* pattern - [0-4\*]

		:param hash: The hash type
		:type hash: (unicode)
		
		.. note::
			* enum - [u'all', u'sha1', u'md5']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcsp.auth.proto', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.proto', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, auth_type=auth_type, group=group, hash=hash)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcsp_auth_policy_update(self, rbridge_id=None, switch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param switch: Enable switch policy
		:type switch: (unicode)
		
		.. note::
			* enum - [u'active', u'on', u'off', u'passive']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcsp.auth.policy', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcsp.auth.policy', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.policy', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, switch=switch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcsp_auth_policy_switch_update(self, rbridge_id=None, switch=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param switch: Enable switch policy
		:type switch: (unicode)
		
		.. note::
			* enum - [u'active', u'on', u'off', u'passive']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.fcsp.auth.policy', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.fcsp.auth.policy', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.fcsp.auth.policy', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, switch=switch)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_kap_update(self, rbridge_id=None, kap_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param kap_profiletype: kwarg.
		:type kap_profiletype: (unicode)
		
		.. note::
			* enum - [u'default']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.hardware_profile.kap.predefined', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.hardware_profile.kap.predefined', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.kap.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, kap_profiletype=kap_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_kap_custom_profile_update(self, rbridge_id=None, kap_profilename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param kap_profilename: Profile name [length 1-64]
		:type kap_profilename: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.hardware_profile.kap.customized', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.hardware_profile.kap.customized', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.kap.customized', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, kap_profilename=kap_profilename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_route_table_update(self, rbridge_id=None, routing_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param routing_profiletype: kwarg.
		:type routing_profiletype: (unicode)
		
		.. note::
			* enum - [u'ipv4-max-arp', u'ipv6-max-route', u'default', u'ipv4-min-v6', u'ipv6-max-nd', u'ipv4-max-route']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.hardware_profile.route_table.predefined', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.hardware_profile.route_table.predefined', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.route_table.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, routing_profiletype=routing_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_route_table_maximum_paths_update(self, rbridge_id=None, maximum_paths=None, openflow_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param maximum_paths: Maximum number of load-sharing paths
		:type maximum_paths: (unicode)
		
		.. note::
			* enum - [u'8', u'16', u'32']

		:param openflow_enable: Enable/disable openflow support in profile
		:type openflow_enable: (unicode)
		
		.. note::
			* enum - [u'on', u'off']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.route_table.predefined.routing_parameter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, maximum_paths=maximum_paths, openflow_enable=openflow_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_tcam_update(self, rbridge_id=None, tcam_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param tcam_profiletype: kwarg.
		:type tcam_profiletype: (unicode)
		
		.. note::
			* enum - [u'openflow', u'ipv4-v6-mcast', u'ipv4-v6-qos', u'dyn-arp-insp', u'default', u'ipv4-v6-pbr', u'l2-acl-qos', u'l2-ipv4-acl']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.hardware_profile.tcam.predefined', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.hardware_profile.tcam.predefined', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.tcam.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, tcam_profiletype=tcam_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_hardware_profile_vlan_classification_update(self, rbridge_id=None, vlan_profiletype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_profiletype: kwarg.
		:type vlan_profiletype: (unicode)
		
		.. note::
			* enum - [u'tor-vxlan-gw', u'default', u'aggregator-basic', u'aggregator-vxlan-gw', u'aggregator-virtualfabric', u'tor-virtualfabric']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.hardware_profile.vlan_classification.predefined', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.hardware_profile.vlan_classification.predefined', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.hardware_profile.vlan_classification.predefined', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vlan_profiletype=vlan_profiletype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_host_table_aging_mode_update(self, rbridge_id=None, conversational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param conversational: Age hardware entries based on conversation
		:type conversational: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.host_table.aging_mode', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.host_table.aging_mode', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, conversational=conversational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_host_table_aging_mode_conversational_update(self, rbridge_id=None, conversational=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param conversational: Age hardware entries based on conversation
		:type conversational: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.host_table.aging_mode', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.host_table.aging_mode', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, conversational=conversational)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_host_table_aging_time_update(self, rbridge_id=None, conversational_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param conversational_timeout: Conversational Aging time in seconds
		:type conversational_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.host_table.aging_time', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.host_table.aging_time', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, conversational_timeout=conversational_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_host_table_aging_time_conversational_update(self, rbridge_id=None, conversational_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param conversational_timeout: Conversational Aging time in seconds
		:type conversational_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.host_table.aging_time', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.host_table.aging_time', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, conversational_timeout=conversational_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_http_server_update(self, rbridge_id=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param shutdown: Shutdown HTTP Server
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.http.server', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.http.server.http_vrf_cont', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.http.server.http_vrf_cont', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_http_server_shutdown_update(self, rbridge_id=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param shutdown: Shutdown HTTP Server
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.http.server', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.http.server', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.http.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_http_server_use_vrf_update(self, rbridge_id=None, use_vrf=None, http_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param use_vrf: kwarg tuple.
		:type use_vrf: (use_vrf_name, http_vrf_shutdown).

		:param use_vrf_name: tuple arg.
		:type use_vrf_name: (unicode)
		
		.. note::
			* length - [u'0..max']

		:param http_vrf_shutdown: Shutdown HTTP/HTTPS server on the given vrf
		:type http_vrf_shutdown: (YANGBool)

	**This Instance Arg(s)**:
		:param http_vrf_shutdown: Shutdown HTTP/HTTPS server on the given vrf
		:type http_vrf_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, secure_and_plain, http_vrf_shutdown'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf, http_vrf_shutdown=http_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_update(self, rbridge_id=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.ip_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_multicast_boundary_update(self, rbridge_id=None, loopback=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param pim_sparse: Sparse Mode (PIM-SM)
		:type pim_sparse: (YANGBool)

		:param mcast_bdry_prefix_list: Prefix list
		:type mcast_bdry_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_update(self, rbridge_id=None, loopback=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_active_update(self, rbridge_id=None, loopback=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_authentication_key_update(self, rbridge_id=None, loopback=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param encrypttype: kwarg.
		:type encrypttype: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param auth_key: The OSPF password (key)
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_bfd_update(self, rbridge_id=None, loopback=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param intf_bfd_enable: Enable bfd on this interface
		:type intf_bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_database_filter_update(self, rbridge_id=None, loopback=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_database_filter_all_external_update(self, rbridge_id=None, loopback=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_md5_authentication_update(self, rbridge_id=None, loopback=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_update(self, rbridge_id=None, loopback=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_activation_wait_time_update(self, rbridge_id=None, loopback=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_activation_wait_time: The activation wait time in Seconds
		:type key_activation_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_id_update(self, rbridge_id=None, loopback=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_ospf_md5_authentication_key_id_key_update(self, rbridge_id=None, loopback=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.interface_loopback_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_pim_update(self, rbridge_id=None, loopback=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_pim_dr_priority_update(self, rbridge_id=None, loopback=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_pim_multinet_update(self, rbridge_id=None, loopback=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_pim_multinet_enable_update(self, rbridge_id=None, loopback=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.pim_intf_lo_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_address_update(self, rbridge_id=None, loopback=None, ipv6_address=None, eui64=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, eui64, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id
		:type eui64: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id
		:type eui64: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, ipv6_address=ipv6_address, eui64=eui64, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_address_link_local_update(self, rbridge_id=None, loopback=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param link_local_address: kwarg.
		:type link_local_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local: Configure ipv6 address to override automatically computed link-local address
		:type link_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_address_use_link_local_only_update(self, rbridge_id=None, loopback=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param use_link_local_only: Configure automatically computed link-local address
		:type use_link_local_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_update(self, rbridge_id=None, loopback=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_active_update(self, rbridge_id=None, loopback=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_area: OSPF area
		:type interface_area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance: Instance of OSPFv3 protocol on this interface
		:type instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPFv3 MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'point-to-point']

		:param priority: Interface priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param suppress_linklsa: Suppress link LSA advertisements
		:type suppress_linklsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_update(self, rbridge_id=None, loopback=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_ah_update(self, rbridge_id=None, loopback=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_ipsec_update(self, rbridge_id=None, loopback=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, rbridge_id=None, loopback=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_bfd_update(self, rbridge_id=None, loopback=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param bfd_enable: Enable bfd on this interface
		:type bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_ospf_dead_interval_update(self, rbridge_id=None, loopback=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_shutdown_update(self, rbridge_id=None, loopback=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param shutdown: Shut down interface loopback port
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.intf_loopback', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.intf_loopback', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.intf_loopback', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_snmp_trap_update(self, rbridge_id=None, loopback=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_snmp_trap_link_status_update(self, rbridge_id=None, loopback=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.snmp.trap', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_vrf_update(self, rbridge_id=None, loopback=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_vrf_forwarding_update(self, rbridge_id=None, loopback=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param loopback: kwarg tuple.
		:type loopback: (id).

		:param id: tuple arg.
		:type id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.loopback.vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.loopback.vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, loopback=loopback, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_nodespecific_update(self, rbridge_id=None, ns_vlan=None, ns_ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ns_vlan: kwarg.
		:type ns_vlan: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param ns_ethernet: kwarg.
		:type ns_ethernet: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface_nodespecific', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface_nodespecific', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface_nodespecific', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.interface_nodespecific', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ns_vlan=ns_vlan, ns_ethernet=ns_ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_nodespecific_ns_ethernet_update(self, rbridge_id=None, ns_vlan=None, ns_ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ns_vlan: kwarg.
		:type ns_vlan: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param ns_ethernet: kwarg.
		:type ns_ethernet: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface_nodespecific', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface_nodespecific', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface_nodespecific', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.interface_nodespecific', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ns_vlan=ns_vlan, ns_ethernet=ns_ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_update(self, rbridge_id=None, ve=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param shutdown: Shutdown the selected interface
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_bfd_update(self, rbridge_id=None, ve=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_bfd_interval_update(self, rbridge_id=None, ve=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_bfd_interval_min_rx_update(self, rbridge_id=None, ve=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_bfd_shutdown_update(self, rbridge_id=None, ve=None, bfd_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param bfd_shutdown: Administratively shutdown the BFD session.
		:type bfd_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, bfd_shutdown=bfd_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_update(self, rbridge_id=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip_acl_interface.ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip_pbr_interface.ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip_acl_interface.ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip_pbr_interface.ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_acl_interface.ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_pbr_interface.ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_access_group_update(self, rbridge_id=None, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ip_access_list, ip_direction, traffic_type).

		:param ip_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ip_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_address_update(self, rbridge_id=None, ve=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param address: kwarg tuple.
		:type address: (address, secondary, ospf_passive, ospf_ignore).

		:param address: A.B.C.D/M IP address in dotted decimal/Mask
		:type address: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Secondary ip address on the specific interface
		:type secondary: (YANGBool)

		:param ospf_passive: ospf pasive address on the specific interface
		:type ospf_passive: (YANGBool)

		:param ospf_ignore: ospf active address on the specific interface
		:type ospf_ignore: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_arp_update(self, rbridge_id=None, ve=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param learn_any: Learn ARP
		:type learn_any: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_arp_aging_timeout_update(self, rbridge_id=None, ve=None, mtu=None, directed_broadcast=None, proxy_arp=None, arp_aging_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mtu: Set ip mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param directed_broadcast: Enable directed IP broadcasts forwarding
		:type directed_broadcast: (YANGBool)

		:param proxy_arp: Proxy-Arp on the interface
		:type proxy_arp: (YANGBool)

		:param arp_aging_timeout: Set arp age timeout value to interface
		:type arp_aging_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, mtu=mtu, directed_broadcast=directed_broadcast, proxy_arp=proxy_arp, arp_aging_timeout=arp_aging_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_arp_learn_any_update(self, rbridge_id=None, ve=None, learn_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param learn_any: Learn ARP
		:type learn_any: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_config.arp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.arp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, learn_any=learn_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_dhcp_relay_gateway_update(self, rbridge_id=None, ve=None, gateway=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param gateway: Gateway address
		:type gateway: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, gateway=gateway)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, enable_local=None, disable_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ip_local_anycast_gateway: kwarg tuple.
		:type ip_local_anycast_gateway: (local_ip_gw_id).

		:param local_ip_gw_id: tuple arg.
		:type local_ip_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable_local: Enable Fabric Virtual Gateway
		:type enable_local: (YANGBool)

		:param disable_local: Disable Fabric Virtual Gateway
		:type disable_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_local_anycast_gateway', 'keyval': 'local_ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, enable_local=enable_local, disable_local=disable_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_load_balancing_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, basic=None, threshold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_local_anycast_gateway: kwarg tuple.
		:type ip_local_anycast_gateway: (local_ip_gw_id).

		:param local_ip_gw_id: tuple arg.
		:type local_ip_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param threshold_priority: Threshold Priority
		:type threshold_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.load_balancing', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_interface_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, interface=None, interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_local_anycast_gateway: kwarg tuple.
		:type ip_local_anycast_gateway: (local_ip_gw_id).

		:param local_ip_gw_id: tuple arg.
		:type local_ip_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_priority: Track Priority
		:type interface_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_network_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_local_anycast_gateway: kwarg tuple.
		:type ip_local_anycast_gateway: (local_ip_gw_id).

		:param local_ip_gw_id: tuple arg.
		:type local_ip_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_address).

		:param network_address: tuple arg.
		:type network_address: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

	**This Instance Arg(s)**:
		:param network_priority: Track Priority
		:type network_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_next_hop_update(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, next_hop=None, next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ip_local_anycast_gateway: kwarg tuple.
		:type ip_local_anycast_gateway: (local_ip_gw_id).

		:param local_ip_gw_id: tuple arg.
		:type local_ip_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param next_hop: kwarg tuple.
		:type next_hop: (next_hop_address).

		:param next_hop_address: tuple arg.
		:type next_hop_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_priority: Track Priority
		:type next_hop_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_icmp_update(self, rbridge_id=None, ve=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_icmp_address_mask_update(self, rbridge_id=None, ve=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, address_mask=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param address_mask: Enables ICMP address mask
		:type address_mask: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.icmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect, address_mask=address_mask)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_igmp_update(self, rbridge_id=None, ve=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: Immediate Leave Processing
		:type immediate_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_igmp_immediate_leave_update(self, rbridge_id=None, ve=None, last_member_query_interval=None, query_interval=None, query_max_response_time=None, immediate_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: IGMP Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param immediate_leave: Immediate Leave Processing
		:type immediate_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.igmp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, last_member_query_interval=last_member_query_interval, query_interval=query_interval, query_max_response_time=query_max_response_time, immediate_leave=immediate_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_multicast_boundary_update(self, rbridge_id=None, ve=None, pim_sparse=None, mcast_bdry_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param pim_sparse: Sparse Mode (PIM-SM)
		:type pim_sparse: (YANGBool)

		:param mcast_bdry_prefix_list: Prefix list
		:type mcast_bdry_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, pim_sparse=pim_sparse, mcast_bdry_prefix_list=mcast_bdry_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_update(self, rbridge_id=None, ve=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_active_update(self, rbridge_id=None, ve=None, area=None, auth_change_wait_time=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, cost=None, mtu_ignore=None, network=None, active=None, passive=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param area: OSPF areas
		:type area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param auth_change_wait_time: Authentication Change Wait time (MD5 and non MD5)
		:type auth_change_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPF MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'non-broadcast', u'point-to-point']

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param priority: Router priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, area=area, auth_change_wait_time=auth_change_wait_time, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay, cost=cost, mtu_ignore=mtu_ignore, network=network, active=active, passive=passive, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_authentication_key_update(self, rbridge_id=None, ve=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param encrypttype: kwarg.
		:type encrypttype: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param auth_key: The OSPF password (key)
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_bfd_update(self, rbridge_id=None, ve=None, intf_bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param intf_bfd_enable: Enable bfd on this interface
		:type intf_bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, intf_bfd_enable=intf_bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_database_filter_update(self, rbridge_id=None, ve=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_database_filter_all_external_update(self, rbridge_id=None, ve=None, all_out=None, all_external=None, all_summary_external=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param all_out: filter all LSAs
		:type all_out: (YANGBool)

		:param all_external: Filter all external LSAs
		:type all_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param all_summary_external: Filter all summary external LSAs
		:type all_summary_external: (unicode)
		
		.. note::
			* enum - [u'allow-default-out', u'allow-default-and-type4-out', u'out']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.database_filter', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, all_out=all_out, all_external=all_external, all_summary_external=all_summary_external)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_md5_authentication_update(self, rbridge_id=None, ve=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_update(self, rbridge_id=None, ve=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_activation_wait_time_update(self, rbridge_id=None, ve=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_activation_wait_time: The activation wait time in Seconds
		:type key_activation_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_id_update(self, rbridge_id=None, ve=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_ospf_md5_authentication_key_id_key_update(self, rbridge_id=None, ve=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_vlan_ospf_conf.ospf_interface_config.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_pim_update(self, rbridge_id=None, ve=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_pim_dr_priority_update(self, rbridge_id=None, ve=None, neighbor_filter=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param neighbor_filter: Set prefix list name
		:type neighbor_filter: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param dr_priority: Set DR priority
		:type dr_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, neighbor_filter=neighbor_filter, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_pim_multinet_update(self, rbridge_id=None, ve=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_pim_multinet_enable_update(self, rbridge_id=None, ve=None, multinet_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param multinet_enable: Enable/Disable Multinet
		:type multinet_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.pim_intf_vlan_cont.pim_int_cmd.pim.multinet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, multinet_enable=multinet_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_policy_route_map_update(self, rbridge_id=None, ve=None, route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param route_map_name: Word:1-63;;Route map name
		:type route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_pbr_interface.ip.policy.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, route_map_name=route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_update(self, rbridge_id=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_access_group_update(self, rbridge_id=None, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (ipv6_access_list, ip_direction, traffic_type).

		:param ipv6_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ipv6_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: tuple arg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_update(self, rbridge_id=None, ve=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_eui_64_update(self, rbridge_id=None, ve=None, ipv6_address=None, eui64=None, eui_secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_address: kwarg tuple.
		:type ipv6_address: (address, secondary, anycast).

		:param address: A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128
		:type address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param secondary: Configure Secondary ipv6 address on an interface
		:type secondary: (YANGBool)

		:param anycast: Configure ipv6 address as anycast
		:type anycast: (YANGBool)

	**This Instance Arg(s)**:
		:param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id
		:type eui64: (YANGBool)

		:param eui_secondary: Configure Secondary eui-64 ipv6 address on an interface
		:type eui_secondary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', u'ipv6_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address.eui_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, eui64=eui64, eui_secondary=eui_secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_link_local_update(self, rbridge_id=None, ve=None, link_local_address=None, link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param link_local_address: kwarg.
		:type link_local_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local: Configure ipv6 address to override automatically computed link-local address
		:type link_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.link_local_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, link_local_address=link_local_address, link_local=link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_use_link_local_only_update(self, rbridge_id=None, ve=None, use_link_local_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param use_link_local_only: Configure automatically computed link-local address
		:type use_link_local_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, use_link_local_only=use_link_local_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_dhcp_relay_update(self, rbridge_id=None, ve=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_dhcp_relay_interface_update(self, rbridge_id=None, ve=None, servers=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param servers: kwarg tuple.
		:type servers: (relay_ip_addr, server_vrf_name).

		:param relay_ip_addr: IPv6 address of the DHCPv6 server
		:type relay_ip_addr: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param server_vrf_name: VRF name of the DHCPv6 server
		:type server_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param interface_type: Interface type
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'Ve']

		:param interface_name: Interface name
		:type interface_name: (unicode)
		
		.. note::
			* pattern - (((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(([0-9]|1[0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-7][0-9]{3}|8[0-1][0-9][0-1]))

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', u'servers')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, servers=servers, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, enable_local=None, disable_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ipv6_local_anycast_gateway: kwarg tuple.
		:type ipv6_local_anycast_gateway: (local_ipv6_gw_id).

		:param local_ipv6_gw_id: tuple arg.
		:type local_ipv6_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable_local: Enable Fabric Virtual Gateway
		:type enable_local: (YANGBool)

		:param disable_local: Disable Fabric Virtual Gateway
		:type disable_local: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_local_anycast_gateway', 'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, enable_local=enable_local, disable_local=disable_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_load_balancing_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, basic=None, threshold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_local_anycast_gateway: kwarg tuple.
		:type ipv6_local_anycast_gateway: (local_ipv6_gw_id).

		:param local_ipv6_gw_id: tuple arg.
		:type local_ipv6_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param threshold_priority: Threshold Priority
		:type threshold_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.load_balancing', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, basic=basic, threshold_priority=threshold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_interface_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, ipv6_interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_local_anycast_gateway: kwarg tuple.
		:type ipv6_local_anycast_gateway: (local_ipv6_gw_id).

		:param local_ipv6_gw_id: tuple arg.
		:type local_ipv6_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ipv6_interface: kwarg tuple.
		:type ipv6_interface: (ipv6_interface_type, ipv6_interface_name).

		:param ipv6_interface_type: tuple arg.
		:type ipv6_interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param ipv6_interface_name: tuple arg.
		:type ipv6_interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param ipv6_interface_priority: Track Priority
		:type ipv6_interface_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_network_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, ipv6_network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_local_anycast_gateway: kwarg tuple.
		:type ipv6_local_anycast_gateway: (local_ipv6_gw_id).

		:param local_ipv6_gw_id: tuple arg.
		:type local_ipv6_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ipv6_network: kwarg tuple.
		:type ipv6_network: (ipv6_network_address).

		:param ipv6_network_address: tuple arg.
		:type ipv6_network_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param ipv6_network_priority: Track Priority
		:type ipv6_network_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_update(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, ipv6_next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_local_anycast_gateway: kwarg tuple.
		:type ipv6_local_anycast_gateway: (local_ipv6_gw_id).

		:param local_ipv6_gw_id: tuple arg.
		:type local_ipv6_gw_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ipv6_next_hop: kwarg tuple.
		:type ipv6_next_hop: (ipv6_next_hop_address).

		:param ipv6_next_hop_address: tuple arg.
		:type ipv6_next_hop_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ipv6_next_hop_priority: Track Priority
		:type ipv6_next_hop_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_hop_by_hop_trap_update(self, rbridge_id=None, ve=None, hop_by_hop_trap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hop_by_hop_trap: Enable hop-by-hop trap on an Interface
		:type hop_by_hop_trap: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_ve_intf_cmds', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, hop_by_hop_trap=hop_by_hop_trap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_icmpv6_update(self, rbridge_id=None, ve=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_icmpv6_echo_reply_update(self, rbridge_id=None, ve=None, echo_reply=None, rate_limiting=None, unreachable=None, redirect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param echo_reply: Enable echo-reply
		:type echo_reply: (YANGBool)

		:param rate_limiting: Rate limit ICMP error messages
		:type rate_limiting: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param unreachable: Enable destination unreachable messages
		:type unreachable: (YANGBool)

		:param redirect: Enable redirect
		:type redirect: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.icmpv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, echo_reply=echo_reply, rate_limiting=rate_limiting, unreachable=unreachable, redirect=redirect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_mtu_update(self, rbridge_id=None, ve=None, mtu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mtu: Set ipv6 mtu value to interface
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, mtu=mtu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_update(self, rbridge_id=None, ve=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configfure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_broadcast_mac_trap_update(self, rbridge_id=None, ve=None, managed_config_flag=None, other_config_flag=None, broadcast_mac_trap=None, ra_lifetime=None, reachable_time=None, mtu=None, retrans_timer=None, hoplimit=None, ns_interval=None, proxy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param managed_config_flag: Set managed config flag in router advertisement
		:type managed_config_flag: (YANGBool)

		:param other_config_flag: Set other config flag in router advertisement
		:type other_config_flag: (YANGBool)

		:param broadcast_mac_trap: Enable the trap for all the ipv6 packets with broadcast mac
		:type broadcast_mac_trap: (YANGBool)

		:param ra_lifetime: Set router lifetime in router advertisement
		:type ra_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reachable_time: the duration node is considered reachable, Sent in RA messages
		:type reachable_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu:  MTU to be advertised in RA
		:type mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retrans_timer: Configure RA retransmission timer, Sent in RA messages
		:type retrans_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hoplimit:  Configfure Hop Limit to be advertised in RA
		:type hoplimit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ns_interval: Interval between Neighbor solicitations
		:type ns_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param proxy: Enable proxy flag
		:type proxy: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, managed_config_flag=managed_config_flag, other_config_flag=other_config_flag, broadcast_mac_trap=broadcast_mac_trap, ra_lifetime=ra_lifetime, reachable_time=reachable_time, mtu=mtu, retrans_timer=retrans_timer, hoplimit=hoplimit, ns_interval=ns_interval, proxy=proxy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_cache_update(self, rbridge_id=None, ve=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'expire'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_cache_expire_update(self, rbridge_id=None, ve=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param expire: Configures the time-interval after which the cache is deleted or refreshed.
		:type expire: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.cache', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_dad_update(self, rbridge_id=None, ve=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_dad_attempts_update(self, rbridge_id=None, ve=None, attempts=None, time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param attempts: number of Neighbor solicitations to send as part of duplicate address detection
		:type attempts: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.dad', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, attempts=attempts, time=time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_nud_retry_update(self, rbridge_id=None, ve=None, base=None, interval=None, max_attempts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param base: base value
		:type base: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param interval: Time interval between neighbor solicitations in milliseconds
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_attempts: Max number of retry attempts.
		:type max_attempts: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.nud.retry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, base=base, interval=interval, max_attempts=max_attempts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_infinite_update(self, rbridge_id=None, ve=None, prefix=None, preferred_lifetime=None, preferred_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param preferred_lifetime: Configures preferred lifetime
		:type preferred_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preferred_infinite: Infinite preferred lifetime
		:type preferred_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, prefix=prefix, preferred_lifetime=preferred_lifetime, preferred_infinite=preferred_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_no_advertise_update(self, rbridge_id=None, ve=None, prefix=None, no_advertise=None, valid_lifetime=None, valid_infinite=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_advertise: Do not advertise prefix
		:type no_advertise: (YANGBool)

		:param valid_lifetime: Configures valid lifetime
		:type valid_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param valid_infinite: Infinite valid lifetime
		:type valid_infinite: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, prefix=prefix, no_advertise=no_advertise, valid_lifetime=valid_lifetime, valid_infinite=valid_infinite)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_no_autoconfig_update(self, rbridge_id=None, ve=None, prefix=None, no_autoconfig=None, no_onlink=None, off_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prefix: kwarg tuple.
		:type prefix: (prefix_ipv6_address).

		:param prefix_ipv6_address: tuple arg.
		:type prefix_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param no_autoconfig: Do not use prefix for autoconfiguration
		:type no_autoconfig: (YANGBool)

		:param no_onlink: Do not use prefix for onlink determination
		:type no_onlink: (YANGBool)

		:param off_link: Prefix is offlink
		:type off_link: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', u'prefix')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix.lifetime.preferred.prefix_flags', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, prefix=prefix, no_autoconfig=no_autoconfig, no_onlink=no_onlink, off_link=off_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_ra_interval_update(self, rbridge_id=None, ve=None, max_interval=None, min_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param max_interval: Maximum interval in seconds
		:type max_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_: Minimum interval between sending RA messages
		:type min_: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, max_interval=max_interval, min_=min_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_suppress_ra_update(self, rbridge_id=None, ve=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_suppress_ra_all_update(self, rbridge_id=None, ve=None, suppress_ra_flag=None, suppress_ra_mtu=None, suppress_ra_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param suppress_ra_flag: kwarg.
		:type suppress_ra_flag: (YANGBool)

		:param suppress_ra_mtu: Disable sending MTU in Router-Advertisement messages
		:type suppress_ra_mtu: (YANGBool)

		:param suppress_ra_all: Suppress response to RS in addition to not sending Ras
		:type suppress_ra_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.suppress_ra', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, suppress_ra_flag=suppress_ra_flag, suppress_ra_mtu=suppress_ra_mtu, suppress_ra_all=suppress_ra_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_neighbor_update(self, rbridge_id=None, ve=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param neighbor: kwarg tuple.
		:type neighbor: (ipv6_address).

		:param ipv6_address: tuple arg.
		:type ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param hardware_address: kwarg.
		:type hardware_address: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_update(self, rbridge_id=None, ve=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_active_update(self, rbridge_id=None, ve=None, interface_area=None, active=None, passive=None, cost=None, instance=None, mtu_ignore=None, network=None, priority=None, suppress_linklsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param interface_area: OSPF area
		:type interface_area: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param active: Active information
		:type active: (YANGBool)

		:param passive: Passive information
		:type passive: (YANGBool)

		:param cost: Interface cost
		:type cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param instance: Instance of OSPFv3 protocol on this interface
		:type instance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mtu_ignore: To disable OSPFv3 MTU mismatch detection
		:type mtu_ignore: (YANGBool)

		:param network: Interface type
		:type network: (unicode)
		
		.. note::
			* enum - [u'broadcast', u'point-to-point']

		:param priority: Interface priority
		:type priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param suppress_linklsa: Suppress link LSA advertisements
		:type suppress_linklsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, interface_area=interface_area, active=active, passive=passive, cost=cost, instance=instance, mtu_ignore=mtu_ignore, network=network, priority=priority, suppress_linklsa=suppress_linklsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_update(self, rbridge_id=None, ve=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_ah_update(self, rbridge_id=None, ve=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_ipsec_update(self, rbridge_id=None, ve=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_authentication_ipsec_key_add_remove_interval_update(self, rbridge_id=None, ve=None, ipsec_authentication_disable=None, ifc_key_add_remove_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipsec_authentication_disable: Disable ipsec authentication
		:type ipsec_authentication_disable: (YANGBool)

		:param ifc_key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type ifc_key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.authentication.ipsec', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipsec_authentication_disable=ipsec_authentication_disable, ifc_key_add_remove_interval=ifc_key_add_remove_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_bfd_update(self, rbridge_id=None, ve=None, bfd_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param bfd_enable: Enable bfd on this interface
		:type bfd_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, bfd_enable=bfd_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_ospf_dead_interval_update(self, rbridge_id=None, ve=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ospfv3_conf.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_policy_route_map_update(self, rbridge_id=None, ve=None, ipv6_route_map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipv6_route_map_name: Word:1-63;;Route map name
		:type ipv6_route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.policy.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.policy.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.policy.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, ipv6_route_map_name=ipv6_route_map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_update(self, rbridge_id=None, ve=None, vrrpv3e=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param advertise_backup: Enable periodic backup advertisement messages
		:type advertise_backup: (YANGBool)

		:param nd_advertisement_timer: kwarg.
		:type nd_advertisement_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>
		:type advertisement_interval_scale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_advertisement_interval: Set Backup advertisement interval
		:type backup_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe_advertisement_interval: Set advertisement interval
		:type vrrpe_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_short_path_forwarding_update(self, rbridge_id=None, ve=None, vrrpv3e=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param revert_priority: Set revert priority
		:type revert_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_update(self, rbridge_id=None, ve=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_network_update(self, rbridge_id=None, ve=None, vrrpv3e=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_address).

		:param network_address: XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format
		:type network_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param network_priority: kwarg.
		:type network_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_virtual_mac_update(self, rbridge_id=None, ve=None, vrrpv3e=None, vmac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param vmac: Virtual MAC address
		:type vmac: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_virtual_mac_02e0_5200_00xx_update(self, rbridge_id=None, ve=None, vrrpv3e=None, vmac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3e: kwarg tuple.
		:type vrrpv3e: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param vmac: Virtual MAC address
		:type vmac: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, vmac=vmac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_update(self, rbridge_id=None, ve=None, vrrpv3=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vrrpv3: kwarg tuple.
		:type vrrpv3: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Use v2 checksum
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: Set advertisement interval
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_track_update(self, rbridge_id=None, ve=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpv3: kwarg tuple.
		:type vrrpv3: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_suppress_interface_ra_update(self, rbridge_id=None, ve=None, vrrp_suppress_interface_ra=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vrrp_suppress_interface_ra: Suppress interface RA for vrrpv3
		:type vrrp_suppress_interface_ra: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp_suppress_interface_ra=vrrp_suppress_interface_ra)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_snmp_trap_update(self, rbridge_id=None, ve=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_snmp_trap_link_status_update(self, rbridge_id=None, ve=None, link_snmp_trap_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param link_snmp_trap_status: Enable/disable SNMP traps
		:type link_snmp_trap_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.snmp.trap', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, link_snmp_trap_status=link_snmp_trap_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrf_update(self, rbridge_id=None, ve=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrf_forwarding_update(self, rbridge_id=None, ve=None, forwarding=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param forwarding: Enable VRF forwarding on this interface
		:type forwarding: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, forwarding=forwarding)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_update(self, rbridge_id=None, ve=None, vrrpe=None, virtual_mac=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, vrrpe_garp_timer=None, backup_advertisement_interval=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vrrpe: kwarg tuple.
		:type vrrpe: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param virtual_mac: Virtual MAC
		:type virtual_mac: (unicode)
		
		.. note::
			* enum - [u'02e0.5200.00xx']

		:param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param advertise_backup: Enable periodic backup advertisement messages
		:type advertise_backup: (YANGBool)

		:param vrrpe_garp_timer: kwarg.
		:type vrrpe_garp_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backup_advertisement_interval: Set Backup advertisement interval
		:type backup_advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param advertisement_interval_scale: Ipv4 session advertisement interval scale factor
		:type advertisement_interval_scale: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, vrrpe_garp_timer=vrrpe_garp_timer, backup_advertisement_interval=backup_advertisement_interval, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_arp_unicast_request_update(self, rbridge_id=None, ve=None, vrrpe=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe: kwarg tuple.
		:type vrrpe: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_arp_unicast_request_receive_update(self, rbridge_id=None, ve=None, vrrpe=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe: kwarg tuple.
		:type vrrpe: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_short_path_forwarding_update(self, rbridge_id=None, ve=None, vrrpe=None, basic=None, revert_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe: kwarg tuple.
		:type vrrpe: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param basic: kwarg.
		:type basic: (YANGBool)

		:param revert_priority: Set revert priority
		:type revert_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.short_path_forwarding', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, basic=basic, revert_priority=revert_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_track_update(self, rbridge_id=None, ve=None, vrrpe=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe: kwarg tuple.
		:type vrrpe: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_track_network_update(self, rbridge_id=None, ve=None, vrrpe=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrpe: kwarg tuple.
		:type vrrpe: (vrid).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_address).

		:param network_address: IPv4 global address
		:type network_address: (unicode)
		
		.. note::
			* pattern - (([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1]))

	**This Instance Arg(s)**:
		:param network_priority: kwarg.
		:type network_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_update(self, rbridge_id=None, ve=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session
		:type use_v2_checksum: (YANGBool)

		:param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3
		:type advertisement_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enable: Enable Session
		:type enable: (YANGBool)

		:param hold_time: Configure hold time for this session
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param preempt_mode: Set preempt mode for the session
		:type preempt_mode: (YANGBool)

		:param priority: Set router priority within virtual router
		:type priority: (int)
		
		.. note::
			* range - ['0..255']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_arp_unicast_request_update(self, rbridge_id=None, ve=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_arp_unicast_request_receive_update(self, rbridge_id=None, ve=None, vrrp=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Arg(s)**:
		:param receive: Receive unicast ARP requests
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.arp.unicast_request', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_track_update(self, rbridge_id=None, ve=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: kwarg tuple.
		:type ve: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrrp: kwarg tuple.
		:type vrrp: (vrid, version).

		:param vrid: tuple arg.
		:type vrid: (int)
		
		.. note::
			* range - ['0..255']

		:param version: Set VRRP version 2/3
		:type version: (int)
		
		.. note::
			* range - ['0..255']

	**This Instance Keyword Arg Tuple**:
		:param interface: kwarg tuple.
		:type interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'port-channel']

		:param interface_name: tuple arg.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param track_priority: Track Priority
		:type track_priority: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_update(self, rbridge_id=None, router_id=None, load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param router_id: Change the router ID already in use
		:type router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param load_sharing: Enable IP load sharing
		:type load_sharing: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ip.static_ag_ip_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ip.static_ag_ip_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, router_id=router_id, load_sharing=load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_anycast_gateway_mac_update(self, rbridge_id=None, ip_anycast_gateway_mac=None, ip_anycast_default_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ip_anycast_gateway_mac: kwarg.
		:type ip_anycast_gateway_mac: (unicode)

		:param ip_anycast_default_mac: Anycast gateway default MAC.
		:type ip_anycast_default_mac: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ip_anycast_gateway_mac=ip_anycast_gateway_mac, ip_anycast_default_mac=ip_anycast_default_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_anycast_gateway_mac_default_mac_update(self, rbridge_id=None, ip_anycast_gateway_mac=None, ip_anycast_default_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ip_anycast_gateway_mac: kwarg.
		:type ip_anycast_gateway_mac: (unicode)

		:param ip_anycast_default_mac: Anycast gateway default MAC.
		:type ip_anycast_default_mac: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.static_ag_ip_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ip_anycast_gateway_mac=ip_anycast_gateway_mac, ip_anycast_default_mac=ip_anycast_default_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_as_path_access_list_update(self, rbridge_id=None, access_list=None, ip_action=None, ip_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param access_list: kwarg tuple.
		:type access_list: (name, seq_keyword, instance, ip_action, ip_reg_expr).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param seq_keyword: tuple arg.
		:type seq_keyword: (unicode)
		
		.. note::
			* enum - [u'seq']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

		:param ip_action: tuple arg.
		:type ip_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ip_reg_expr: tuple arg.
		:type ip_reg_expr: (unicode)

	**This Instance Arg(s)**:
		:param ip_action: kwarg.
		:type ip_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ip_reg_expr: kwarg.
		:type ip_reg_expr: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.as_path.access_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, access_list=access_list, ip_action=ip_action, ip_reg_expr=ip_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_community_list_extended_update(self, rbridge_id=None, extended=None, ip_action=None, ip_community_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param extended: kwarg tuple.
		:type extended: (name, seq_keyword, instance, ip_action, ip_community_reg_expr).

		:param name: tuple arg.
		:type name: (unicode)

		:param seq_keyword: tuple arg.
		:type seq_keyword: (unicode)
		
		.. note::
			* enum - [u'seq']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

		:param ip_action: tuple arg.
		:type ip_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ip_community_reg_expr: tuple arg.
		:type ip_community_reg_expr: (unicode)

	**This Instance Arg(s)**:
		:param ip_action: kwarg.
		:type ip_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ip_community_reg_expr: kwarg.
		:type ip_community_reg_expr: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.community_list.extended', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, extended=extended, ip_action=ip_action, ip_community_reg_expr=ip_community_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_community_list_standard_update(self, rbridge_id=None, standard=None, ip_action=None, std_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param standard: kwarg tuple.
		:type standard: (name, seq_keyword, instance, ip_action, std_community_expr).

		:param name: tuple arg.
		:type name: (unicode)

		:param seq_keyword: tuple arg.
		:type seq_keyword: (unicode)
		
		.. note::
			* enum - [u'seq']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

		:param ip_action: tuple arg.
		:type ip_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param std_community_expr: tuple arg.
		:type std_community_expr: (unicode)
		
		.. note::
			* pattern - (\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)

	**This Instance Arg(s)**:
		:param ip_action: kwarg.
		:type ip_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param std_community_expr: kwarg.
		:type std_community_expr: (unicode)
		
		.. note::
			* pattern - (\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.community_list.standard', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, standard=standard, ip_action=ip_action, std_community_expr=std_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_dhcp_relay_information_update(self, rbridge_id=None, option=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param option: Configure DHCP Relay Information Option
		:type option: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, option=option)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_dhcp_relay_information_option_update(self, rbridge_id=None, option=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param option: Configure DHCP Relay Information Option
		:type option: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.dhcp.relay.information', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, option=option)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_extcommunity_list_update(self, rbridge_id=None, extcommunity_list=None, ext_community_action=None, ext_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param extcommunity_list: kwarg tuple.
		:type extcommunity_list: (extcommunity_list_num, ext_community_action, ext_community_expr).

		:param extcommunity_list_num: tuple arg.
		:type extcommunity_list_num: (int)
		
		.. note::
			* range - ['0..65535']

		:param ext_community_action: tuple arg.
		:type ext_community_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ext_community_expr: Ext-community-list
		:type ext_community_expr: (unicode)
		
		.. note::
			* pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

	**This Instance Arg(s)**:
		:param ext_community_action: kwarg.
		:type ext_community_action: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ext_community_expr: Ext-community-list
		:type ext_community_expr: (unicode)
		
		.. note::
			* pattern - (\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))))*)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.extcommunity_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_regex, ext_community_expr'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list, ext_community_action=ext_community_action, ext_community_expr=ext_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_load_sharing_update(self, rbridge_id=None, router_id=None, load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param router_id: Change the router ID already in use
		:type router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param load_sharing: Enable IP load sharing
		:type load_sharing: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, router_id=router_id, load_sharing=load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_prefix_list_update(self, rbridge_id=None, prefix_list=None, action_ipp=None, prefix_ipp=None, ge_ipp=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param prefix_list: kwarg tuple.
		:type prefix_list: (name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param seq_keyword: tuple arg.
		:type seq_keyword: (unicode)
		
		.. note::
			* enum - [u'seq']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

		:param action_ipp: tuple arg.
		:type action_ipp: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param prefix_ipp: tuple arg.
		:type prefix_ipp: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param ge_ipp: Minimum IP prefix length.
		:type ge_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param le_ipp: Maximum IP prefix length.
		:type le_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param action_ipp: kwarg.
		:type action_ipp: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param prefix_ipp: kwarg.
		:type prefix_ipp: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param ge_ipp: Minimum IP prefix length.
		:type ge_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param le_ipp: Maximum IP prefix length.
		:type le_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, prefix_list=prefix_list, action_ipp=action_ipp, prefix_ipp=prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_receive_access_group_update(self, rbridge_id=None, ip_access_list=None, ip_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ip_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ip_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: kwarg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.receive.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.receive.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.receive.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ip_access_list=ip_access_list, ip_direction=ip_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_distance_update(self, rbridge_id=None, static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_route_nh: kwarg tuple.
		:type static_route_nh: (static_route_dest, static_route_next_hop).

		:param static_route_dest: A.B.C.D/L ;; Destination IP address
		:type static_route_dest: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param static_route_next_hop: A.B.C.D ;; Next hop IP address
		:type static_route_next_hop: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param metric: Cost metric
		:type metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param distance: Route distance
		:type distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tag: Tag value for this route
		:type tag: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, static_route_nh=static_route_nh, metric=metric, distance=distance, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_bfd_holdover_interval_update(self, rbridge_id=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param holdover_interval: Holdover interval
		:type holdover_interval: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_bfd_interval_update(self, rbridge_id=None, bfd_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bfd_static_route: kwarg tuple.
		:type bfd_static_route: (bfd_static_route_dest, bfd_static_route_src).

		:param bfd_static_route_dest: A.B.C.D ;; Destination IP address
		:type bfd_static_route_dest: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param bfd_static_route_src: A.B.C.D ;; Source IP address
		:type bfd_static_route_src: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param interval: Transmit interval
		:type interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param min_rx: Receive interval
		:type min_rx: (int)
		
		.. note::
			* range - ['0..65535']

		:param multiplier: Multiplier value
		:type multiplier: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bfd_static_route=bfd_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_anycast_gateway_mac_update(self, rbridge_id=None, ipv6_anycast_gateway_mac=None, ipv6_anycast_default_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipv6_anycast_gateway_mac: kwarg.
		:type ipv6_anycast_gateway_mac: (unicode)

		:param ipv6_anycast_default_mac: Anycast gateway default MAC.
		:type ipv6_anycast_default_mac: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ipv6_anycast_gateway_mac=ipv6_anycast_gateway_mac, ipv6_anycast_default_mac=ipv6_anycast_default_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_anycast_gateway_mac_default_mac_update(self, rbridge_id=None, ipv6_anycast_gateway_mac=None, ipv6_anycast_default_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipv6_anycast_gateway_mac: kwarg.
		:type ipv6_anycast_gateway_mac: (unicode)

		:param ipv6_anycast_default_mac: Anycast gateway default MAC.
		:type ipv6_anycast_default_mac: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.static_ag_ipv6_config.anycast_gateway_mac', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ipv6_anycast_gateway_mac=ipv6_anycast_gateway_mac, ipv6_anycast_default_mac=ipv6_anycast_default_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_nd_dad_update(self, rbridge_id=None, global_dad_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param global_dad_time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type global_dad_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, global_dad_time=global_dad_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_nd_dad_time_update(self, rbridge_id=None, global_dad_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param global_dad_time: retransmit time interval for Neighbor solicitations, sent as part of duplicate address detection
		:type global_dad_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6_global_cmds.nd_global.dad', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, global_dad_time=global_dad_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_prefix_list_update(self, rbridge_id=None, prefix_list=None, action_ipp=None, ipv6_prefix_ipp=None, ge_ipp=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param prefix_list: kwarg tuple.
		:type prefix_list: (name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param seq_keyword: tuple arg.
		:type seq_keyword: (unicode)
		
		.. note::
			* enum - [u'seq']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

		:param action_ipp: tuple arg.
		:type action_ipp: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ipv6_prefix_ipp: tuple arg.
		:type ipv6_prefix_ipp: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param ge_ipp: Minimum IPv6 prefix length.
		:type ge_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param le_ipp: Maximum IPv6 prefix length.
		:type le_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param action_ipp: kwarg.
		:type action_ipp: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param ipv6_prefix_ipp: kwarg.
		:type ipv6_prefix_ipp: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param ge_ipp: Minimum IPv6 prefix length.
		:type ge_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param le_ipp: Maximum IPv6 prefix length.
		:type le_ipp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, prefix_list=prefix_list, action_ipp=action_ipp, ipv6_prefix_ipp=ipv6_prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_protocol_update(self, rbridge_id=None, vrrp=None, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vrrp: Virtual Router Redundacy Protocol IPv6 (VRRPv3)
		:type vrrp: (YANGBool)

		:param vrrp_extended: Virtual Router Redundacy Protocol IPv6 Extended (VRRPv3-E)
		:type vrrp_extended: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrrp=vrrp, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_protocol_vrrp_update(self, rbridge_id=None, vrrp=None, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vrrp: Virtual Router Redundacy Protocol IPv6 (VRRPv3)
		:type vrrp: (YANGBool)

		:param vrrp_extended: Virtual Router Redundacy Protocol IPv6 Extended (VRRPv3-E)
		:type vrrp_extended: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.proto_vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrrp=vrrp, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_receive_access_group_update(self, rbridge_id=None, ipv6_access_list=None, ip_direction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipv6_access_list: ACL_NAME;; Access List Name (Max 63)
		:type ipv6_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param ip_direction: kwarg.
		:type ip_direction: (unicode)
		
		.. note::
			* enum - [u'in']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.receive.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ipv6_access_list=ipv6_access_list, ip_direction=ip_direction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_update(self, rbridge_id=None, route=None, next_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param route: kwarg tuple.
		:type route: (dest).

		:param dest: IPv6Address/prefix.;; Destination IPv6 address-prefix
		:type dest: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param next_hop: IPv6 address.;; Next hop IPv6 address
		:type next_hop: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'dest', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route=route, next_hop=next_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_distance_update(self, rbridge_id=None, link_local_static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param link_local_static_route_nh: kwarg tuple.
		:type link_local_static_route_nh: (link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name).

		:param link_local_static_route_dest: A:B::C:D/LEN ;; Destination IPv6 Prefix
		:type link_local_static_route_dest: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param link_local_nexthop: A:B::C:D ;; Next hop IPv6 address
		:type link_local_nexthop: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local_route_oif_type: Outgoing interface type
		:type link_local_route_oif_type: (unicode)
		
		.. note::
			* enum - [u'management', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

		:param link_local_route_oif_name: tuple arg.
		:type link_local_route_oif_name: (unicode)
		
		.. note::
			* length - [u'1..16']

	**This Instance Arg(s)**:
		:param metric: Cost metric
		:type metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param distance: Route distance
		:type distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tag: Tag value for this route
		:type tag: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, link_local_static_route_nh=link_local_static_route_nh, metric=metric, distance=distance, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_bfd_holdover_interval_update(self, rbridge_id=None, ipv6_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ipv6_holdover_interval: Holdover interval
		:type ipv6_holdover_interval: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ipv6_holdover_interval=ipv6_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_bfd_interval_update(self, rbridge_id=None, bfd_ipv6_link_local_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bfd_ipv6_link_local_static_route: kwarg tuple.
		:type bfd_ipv6_link_local_static_route: (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name).

		:param bfd_ipv6_link_local_dest: A:B::C:D ;; Destination IPv6 address
		:type bfd_ipv6_link_local_dest: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param bfd_ipv6_link_local_src: A:B::C:D ;; Source IPv6 address
		:type bfd_ipv6_link_local_src: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param bfd_interface_type: Outgoing interface type
		:type bfd_interface_type: (unicode)
		
		.. note::
			* enum - [u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

		:param bfd_interface_name: tuple arg.
		:type bfd_interface_name: (unicode)
		
		.. note::
			* length - [u'1..16']

	**This Instance Arg(s)**:
		:param interval: Transmit interval
		:type interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param min_rx: Receive interval
		:type min_rx: (int)
		
		.. note::
			* range - ['0..65535']

		:param multiplier: Multiplier value
		:type multiplier: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_update(self, rbridge_id=None, ospf=None, database_overflow_interval=None, default_metric=None, default_passive_interface=None, external_lsdb_limit=None, key_add_remove_interval=None, key_rollover_interval=None, log_status_change=None, global_metric_type=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated.
		:type database_overflow_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_metric: Set OSPF default metric
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_passive_interface: Set OSPF interface passive
		:type default_passive_interface: (YANGBool)

		:param external_lsdb_limit: Set maximum number of external LSAs.
		:type external_lsdb_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval
		:type key_add_remove_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key_rollover_interval: Configure OSPFv3 authentication key rollover interval
		:type key_rollover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param log_status_change: Log status change
		:type log_status_change: (YANGBool)

		:param global_metric_type: OSPFv3 metric type for redistributed routes
		:type global_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param nonstop_routing: Enable nonstop-routing capability
		:type nonstop_routing: (YANGBool)

		:param maximum_paths: Set the maximum number of paths to a destination.
		:type maximum_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval, default_metric=default_metric, default_passive_interface=default_passive_interface, external_lsdb_limit=external_lsdb_limit, key_add_remove_interval=key_add_remove_interval, key_rollover_interval=key_rollover_interval, log_status_change=log_status_change, global_metric_type=global_metric_type, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_update(self, rbridge_id=None, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Keyword Arg Tuple**:
		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param normal: kwarg.
		:type normal: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_authentication_update(self, rbridge_id=None, ospf=None, area=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_authentication_ah_update(self, rbridge_id=None, ospf=None, area=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_update(self, rbridge_id=None, ospf=None, area=None, nssa_area_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param nssa_area_metric: kwarg.
		:type nssa_area_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.nssa.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.nssa.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_area_metric=nssa_area_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_default_information_originate_update(self, rbridge_id=None, ospf=None, area=None, area_default_information_originate_metric=None, area_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param area_default_information_originate_metric: Route metric
		:type area_default_information_originate_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param area_default_information_originate_metric_type: Type of the metric
		:type area_default_information_originate_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'area_default_information_originate_metric, area_default_information_originate_metric_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, area_default_information_originate_metric=area_default_information_originate_metric, area_default_information_originate_metric_type=area_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_default_information_originate_metric_update(self, rbridge_id=None, ospf=None, area=None, area_default_information_originate_metric=None, area_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param area_default_information_originate_metric: Route metric
		:type area_default_information_originate_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param area_default_information_originate_metric_type: Type of the metric
		:type area_default_information_originate_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, area_default_information_originate_metric=area_default_information_originate_metric, area_default_information_originate_metric_type=area_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_no_redistribution_update(self, rbridge_id=None, ospf=None, area=None, no_redistribution=None, nssa_area_no_summary=None, translator_always=None, translator_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param no_redistribution: Do not send redistributed LSA into nssa area
		:type no_redistribution: (YANGBool)

		:param nssa_area_no_summary: Do not send summary LSA into nssa area
		:type nssa_area_no_summary: (YANGBool)

		:param translator_always: Set nssa translator role
		:type translator_always: (YANGBool)

		:param translator_interval: Set nssa translator stability interval
		:type translator_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, no_redistribution=no_redistribution, nssa_area_no_summary=nssa_area_no_summary, translator_always=translator_always, translator_interval=translator_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_range_update(self, rbridge_id=None, ospf=None, area=None, area_range=None, range_effect=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Keyword Arg Tuple**:
		:param area_range: kwarg tuple.
		:type area_range: (range_address, range_effect, range_cost).

		:param range_address: A:B::C:D/LEN;; IPv6 address to match
		:type range_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param range_effect: Advertise/Do not advertise this type-3 summarization
		:type range_effect: (unicode)
		
		.. note::
			* enum - [u'advertise', u'not-advertise']

		:param range_cost: Configure area range cost
		:type range_cost: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param range_effect: Advertise/Do not advertise this type-3 summarization
		:type range_effect: (unicode)
		
		.. note::
			* enum - [u'advertise', u'not-advertise']

		:param range_cost: Configure area range cost
		:type range_cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, area_range=area_range, range_effect=range_effect, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_stub_update(self, rbridge_id=None, ospf=None, area=None, stub_area_no_summary=None, stub_area_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param stub_area_no_summary: Do not send summary LSA into stub area
		:type stub_area_no_summary: (YANGBool)

		:param stub_area_metric: kwarg.
		:type stub_area_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.stub', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_area_no_summary=stub_area_no_summary, stub_area_metric=stub_area_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_authentication_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virtual_link_neighbor).

		:param virtual_link_neighbor: tuple arg.
		:type virtual_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'spi, ah, ah_no_encrypt, ah_key, esp, esp_no_encrypt, esp_key, esp_auth, esp_auth_no_encrypt, esp_auth_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_authentication_ah_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, spi=None, ah=None, ah_no_encrypt=None, ah_key=None, esp=None, esp_no_encrypt=None, esp_key=None, esp_auth=None, esp_auth_no_encrypt=None, esp_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virtual_link_neighbor).

		:param virtual_link_neighbor: tuple arg.
		:type virtual_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param spi: Security Parameter Index
		:type spi: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ah: Specify the authentication algorithm to use
		:type ah: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param ah_no_encrypt: Do not encrypt the key 
		:type ah_no_encrypt: (YANGBool)

		:param ah_key: Key used for ah
		:type ah_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp: Specify Encapsulating Security Payload (ESP)
		:type esp: (unicode)
		
		.. note::
			* enum - [u'NULL']

		:param esp_no_encrypt: Do not encrypt the key 
		:type esp_no_encrypt: (YANGBool)

		:param esp_key: Hexadecimal key string for ESP
		:type esp_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param esp_auth: Use Authentication Algorithm
		:type esp_auth: (unicode)
		
		.. note::
			* enum - [u'hmac-sha1', u'hmac-md5']

		:param esp_auth_no_encrypt: Do not encrypt the key 
		:type esp_auth_no_encrypt: (YANGBool)

		:param esp_auth_key: Hexadecimal key string for authentication algorithm
		:type esp_auth_key: (unicode)
		
		.. note::
			* length - [u'0..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.authentication.ipsec_auth_key_config', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, spi=spi, ah=ah, ah_no_encrypt=ah_no_encrypt, ah_key=ah_key, esp=esp, esp_no_encrypt=esp_no_encrypt, esp_key=esp_key, esp_auth=esp_auth, esp_auth_no_encrypt=esp_auth_no_encrypt, esp_auth_key=esp_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_dead_interval_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, hello_interval=None, dead_interval=None, hello_jitter=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virtual_link_neighbor).

		:param virtual_link_neighbor: tuple arg.
		:type virtual_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_jitter: Allowed jitter between HELLO packets
		:type hello_jitter: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state advertisements.
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link.link_properties.link_interval_properties', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval, dead_interval=dead_interval, hello_jitter=hello_jitter, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_auto_cost_update(self, rbridge_id=None, ospf=None, reference_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param reference_bandwidth: Set OSPFv3  Auto-cost Reference-bandwidth in Mbits per second
		:type reference_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, reference_bandwidth=reference_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_auto_cost_reference_bandwidth_update(self, rbridge_id=None, ospf=None, reference_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param reference_bandwidth: Set OSPFv3  Auto-cost Reference-bandwidth in Mbits per second
		:type reference_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.auto_cost', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, reference_bandwidth=reference_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_bfd_update(self, rbridge_id=None, ospf=None, bfd_enable=None, bfd_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param bfd_enable: kwarg.
		:type bfd_enable: (YANGBool)

		:param bfd_holdover_interval: The time by which the BFD session DOWN notification to Ospf is delayed
		:type bfd_holdover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, bfd_enable=bfd_enable, bfd_holdover_interval=bfd_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_default_information_originate_update(self, rbridge_id=None, ospf=None, global_default_information_originate_always=None, global_default_information_originate_metric=None, global_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param global_default_information_originate_always: Always advertise default route
		:type global_default_information_originate_always: (YANGBool)

		:param global_default_information_originate_metric: OSPF metric for default route
		:type global_default_information_originate_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param global_default_information_originate_metric_type: OSPF metric type for default route
		:type global_default_information_originate_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'global_default_information_originate_always, global_default_information_originate_metric, global_default_information_originate_metric_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, global_default_information_originate_always=global_default_information_originate_always, global_default_information_originate_metric=global_default_information_originate_metric, global_default_information_originate_metric_type=global_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_default_information_originate_always_update(self, rbridge_id=None, ospf=None, global_default_information_originate_always=None, global_default_information_originate_metric=None, global_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param global_default_information_originate_always: Always advertise default route
		:type global_default_information_originate_always: (YANGBool)

		:param global_default_information_originate_metric: OSPF metric for default route
		:type global_default_information_originate_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param global_default_information_originate_metric_type: OSPF metric type for default route
		:type global_default_information_originate_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, global_default_information_originate_always=global_default_information_originate_always, global_default_information_originate_metric=global_default_information_originate_metric, global_default_information_originate_metric_type=global_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distance_update(self, rbridge_id=None, ospf=None, distance=None, distance_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Keyword Arg Tuple**:
		:param distance: kwarg tuple.
		:type distance: (route_type).

		:param route_type: The type of route propagation
		:type route_type: (unicode)
		
		.. note::
			* enum - [u'intra-area', u'external', u'inter-area']

	**This Instance Arg(s)**:
		:param distance_value: The distance for a given type of route
		:type distance_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distance=distance, distance_value=distance_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distribute_list_prefix_list_update(self, rbridge_id=None, ospf=None, distribute_list_prefix_list_name=None, distribute_list_prefix_list_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param distribute_list_prefix_list_name: Prefix list  name.
		:type distribute_list_prefix_list_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param distribute_list_prefix_list_in: Inbound Filtering
		:type distribute_list_prefix_list_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'distribute_list_prefix_list_name, distribute_list_prefix_list_in'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name, distribute_list_prefix_list_in=distribute_list_prefix_list_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distribute_list_prefix_list_in_update(self, rbridge_id=None, ospf=None, distribute_list_prefix_list_name=None, distribute_list_prefix_list_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param distribute_list_prefix_list_name: Prefix list  name.
		:type distribute_list_prefix_list_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param distribute_list_prefix_list_in: Inbound Filtering
		:type distribute_list_prefix_list_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distribute_list_prefix_list_name=distribute_list_prefix_list_name, distribute_list_prefix_list_in=distribute_list_prefix_list_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distribute_list_route_map_update(self, rbridge_id=None, ospf=None, distribute_list_route_map_name=None, distribute_list_route_map_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param distribute_list_route_map_name: Route-map name.
		:type distribute_list_route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param distribute_list_route_map_in: Inbound Filtering
		:type distribute_list_route_map_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'distribute_list_route_map_name, distribute_list_route_map_in'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name, distribute_list_route_map_in=distribute_list_route_map_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distribute_list_route_map_in_update(self, rbridge_id=None, ospf=None, distribute_list_route_map_name=None, distribute_list_route_map_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param distribute_list_route_map_name: Route-map name.
		:type distribute_list_route_map_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param distribute_list_route_map_in: Inbound Filtering
		:type distribute_list_route_map_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distribute_list_route_map_name=distribute_list_route_map_name, distribute_list_route_map_in=distribute_list_route_map_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_graceful_restart_helper_update(self, rbridge_id=None, ospf=None, graceful_restart_helper_disable=None, graceful_restart_helper_strict_lsa_checking=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param graceful_restart_helper_disable: Disable graceful restart helper capability
		:type graceful_restart_helper_disable: (YANGBool)

		:param graceful_restart_helper_strict_lsa_checking: Set strict LSA checking
		:type graceful_restart_helper_strict_lsa_checking: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_graceful_restart_helper_disable_update(self, rbridge_id=None, ospf=None, graceful_restart_helper_disable=None, graceful_restart_helper_strict_lsa_checking=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param graceful_restart_helper_disable: Disable graceful restart helper capability
		:type graceful_restart_helper_disable: (YANGBool)

		:param graceful_restart_helper_strict_lsa_checking: Set strict LSA checking
		:type graceful_restart_helper_strict_lsa_checking: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.graceful_restart.helper', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_helper_disable=graceful_restart_helper_disable, graceful_restart_helper_strict_lsa_checking=graceful_restart_helper_strict_lsa_checking)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_update(self, rbridge_id=None, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param log_all: Logging everything
		:type log_all: (YANGBool)

		:param log_database: Logging LSA activity
		:type log_database: (YANGBool)

		:param log_retransmit: Logging retransmit activity
		:type log_retransmit: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_adjacency_update(self, rbridge_id=None, ospf=None, log_adjacency_dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param log_adjacency_dr_only: Logging only Designated Router interfaces' adjacency changes
		:type log_adjacency_dr_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_adjacency_dr_only_update(self, rbridge_id=None, ospf=None, log_adjacency_dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param log_adjacency_dr_only: Logging only Designated Router interfaces' adjacency changes
		:type log_adjacency_dr_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_all_update(self, rbridge_id=None, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param log_all: Logging everything
		:type log_all: (YANGBool)

		:param log_database: Logging LSA activity
		:type log_database: (YANGBool)

		:param log_retransmit: Logging retransmit activity
		:type log_retransmit: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_bad_packet_update(self, rbridge_id=None, ospf=None, log_bad_packet_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param log_bad_packet_checksum: Logging bad checksum packets
		:type log_bad_packet_checksum: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_bad_packet_checksum_update(self, rbridge_id=None, ospf=None, log_bad_packet_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param log_bad_packet_checksum: Logging bad checksum packets
		:type log_bad_packet_checksum: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_update(self, rbridge_id=None, ospf=None, all_lsas=None, include_stub=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param all_lsas: Replace Metric in all External and Summary LSAs with default max metric value
		:type all_lsas: (YANGBool)

		:param include_stub: Configure include-stub for max-metric
		:type include_stub: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all_lsas=all_lsas, include_stub=include_stub)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_all_lsas_update(self, rbridge_id=None, ospf=None, all_lsas=None, include_stub=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param all_lsas: Replace Metric in all External and Summary LSAs with default max metric value
		:type all_lsas: (YANGBool)

		:param include_stub: Configure include-stub for max-metric
		:type include_stub: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all_lsas=all_lsas, include_stub=include_stub)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_external_lsa_update(self, rbridge_id=None, ospf=None, external_lsa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param external_lsa_value: Indicates the metric of all external type 5 and type 7 LSA's
		:type external_lsa_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, external_lsa_value=external_lsa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_on_startup_update(self, rbridge_id=None, ospf=None, on_startup_time=None, wait_for_bgp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param on_startup_time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds
		:type on_startup_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds
		:type wait_for_bgp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, on_startup_time=on_startup_time, wait_for_bgp=wait_for_bgp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_summary_lsa_update(self, rbridge_id=None, ospf=None, summary_lsa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param summary_lsa_value: Metric of all summary type 3 and type 4 LSAs
		:type summary_lsa_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_value=summary_lsa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_bgp_update(self, rbridge_id=None, ospf=None, bgp_route_map=None, redistribute_bgp_metric=None, redistribute_bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_bgp_metric: Route metric
		:type redistribute_bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_bgp_metric_type: Type of the metric
		:type redistribute_bgp_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map, redistribute_bgp_metric=redistribute_bgp_metric, redistribute_bgp_metric_type=redistribute_bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_bgp_route_map_update(self, rbridge_id=None, ospf=None, bgp_route_map=None, redistribute_bgp_metric=None, redistribute_bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_bgp_metric: Route metric
		:type redistribute_bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_bgp_metric_type: Type of the metric
		:type redistribute_bgp_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map, redistribute_bgp_metric=redistribute_bgp_metric, redistribute_bgp_metric_type=redistribute_bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_connected_update(self, rbridge_id=None, ospf=None, connected_route_map=None, redistribute_connected_metric=None, redistribute_connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param connected_route_map: Route map reference
		:type connected_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_connected_metric: Route metric
		:type redistribute_connected_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_connected_metric_type: Type of the metric
		:type redistribute_connected_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map, redistribute_connected_metric=redistribute_connected_metric, redistribute_connected_metric_type=redistribute_connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_connected_route_map_update(self, rbridge_id=None, ospf=None, connected_route_map=None, redistribute_connected_metric=None, redistribute_connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param connected_route_map: Route map reference
		:type connected_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_connected_metric: Route metric
		:type redistribute_connected_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_connected_metric_type: Type of the metric
		:type redistribute_connected_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map, redistribute_connected_metric=redistribute_connected_metric, redistribute_connected_metric_type=redistribute_connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_ospf_update(self, rbridge_id=None, ospf=None, ospf_route_map=None, redistribute_ospf_metric=None, redistribute_ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_ospf_metric: Route metric
		:type redistribute_ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_ospf_metric_type: Type of the metric
		:type redistribute_ospf_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map, redistribute_ospf_metric=redistribute_ospf_metric, redistribute_ospf_metric_type=redistribute_ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_ospf_route_map_update(self, rbridge_id=None, ospf=None, ospf_route_map=None, redistribute_ospf_metric=None, redistribute_ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_ospf_metric: Route metric
		:type redistribute_ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_ospf_metric_type: Type of the metric
		:type redistribute_ospf_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map, redistribute_ospf_metric=redistribute_ospf_metric, redistribute_ospf_metric_type=redistribute_ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_static_update(self, rbridge_id=None, ospf=None, static_route_map=None, redistribute_static_metric=None, redistribute_static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_static_metric: Route metric
		:type redistribute_static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_static_metric_type: Type of the metric
		:type redistribute_static_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map, redistribute_static_metric=redistribute_static_metric, redistribute_static_metric_type=redistribute_static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_static_metric_update(self, rbridge_id=None, ospf=None, static_route_map=None, redistribute_static_metric=None, redistribute_static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param redistribute_static_metric: Route metric
		:type redistribute_static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_static_metric_type: Type of the metric
		:type redistribute_static_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map, redistribute_static_metric=redistribute_static_metric, redistribute_static_metric_type=redistribute_static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_timers_update(self, rbridge_id=None, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param lsa_group_pacing: OSPFv3 LSA group pacing timer
		:type lsa_group_pacing: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_timers_lsa_group_pacing_update(self, rbridge_id=None, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param lsa_group_pacing: OSPFv3 LSA group pacing timer
		:type lsa_group_pacing: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_timers_spf_update(self, rbridge_id=None, ospf=None, spf_delay=None, spf_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: OSPF instance for the VRF 
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param spf_delay: kwarg.
		:type spf_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_hold_time: kwarg.
		:type spf_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.timers.spf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, spf_delay=spf_delay, spf_hold_time=spf_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_linecard_update(self, rbridge_id=None, linecards=None, linecardType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param linecards: kwarg tuple.
		:type linecards: (linecardName, linecardType).

		:param linecardName: tuple arg.
		:type linecardName: (unicode)
		
		.. note::
			* pattern - ([1-9]|[1][0-6])

		:param linecardType: tuple arg.
		:type linecardType: (unicode)
		
		.. note::
			* enum - [u'LC27X40G', u'LC48X10G', u'LC6X100G', u'LC48X10GT', u'LC12X40G', u'LC48X1G']

	**This Instance Arg(s)**:
		:param linecardType: kwarg.
		:type linecardType: (unicode)
		
		.. note::
			* enum - [u'LC27X40G', u'LC48X10G', u'LC6X100G', u'LC48X10GT', u'LC12X40G', u'LC48X1G']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, linecards=linecards, linecardType=linecardType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_logical_chassis_update(self, rbridge_id=None, principal_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param principal_priority: Syntax: principal-priority <priority-value <1-128>>
		:type principal_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.logical_chassis', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.logical_chassis', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.logical_chassis', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.logical_chassis', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, principal_priority=principal_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_logical_chassis_principal_priority_update(self, rbridge_id=None, principal_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param principal_priority: Syntax: principal-priority <priority-value <1-128>>
		:type principal_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.logical_chassis', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.logical_chassis', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.logical_chassis', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.logical_chassis', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, principal_priority=principal_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_enable_update(self, rbridge_id=None, policy=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param policy: Configure MAPS policy name
		:type policy: (unicode)

		:param actions: Configure MAPS actions
		:type actions: (unicode)
		
		.. note::
			* enum - [u'SW_CRITICAL', u'NONE', u'SFP_MARGINAL', u'FENCE', u'SNMP', u'EMAIL', u'RASLOG', u'SW_MARGINAL']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.maps.enable', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.maps.enable', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.enable', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.enable', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_enable_actions_update(self, rbridge_id=None, policy=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param policy: Configure MAPS policy name
		:type policy: (unicode)

		:param actions: Configure MAPS actions
		:type actions: (unicode)
		
		.. note::
			* enum - [u'SW_CRITICAL', u'NONE', u'SFP_MARGINAL', u'FENCE', u'SNMP', u'EMAIL', u'RASLOG', u'SW_MARGINAL']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.maps.enable', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.maps.enable', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.enable', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.enable', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_group_update(self, rbridge_id=None, logicalgroup=None, elementtype=None, members=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param logicalgroup: kwarg tuple.
		:type logicalgroup: (logicalgroupname, elementtype, members).

		:param logicalgroupname: Configure group name
		:type logicalgroupname: (unicode)

		:param elementtype: tuple arg.
		:type elementtype: (unicode)
		
		.. note::
			* enum - [u'interface', u'sfp']

		:param members: Configure memberlist
		:type members: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])(-([1-4]))))))*)(,(((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])(-([1-4]))))))*))*

	**This Instance Arg(s)**:
		:param elementtype: kwarg.
		:type elementtype: (unicode)
		
		.. note::
			* enum - [u'interface', u'sfp']

		:param members: Configure memberlist
		:type members: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])(-([1-4]))))))*)(,(((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])(-([1-4]))))))*))*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logicalgroup', 'keyval': 'logicalgroupname', 'extra_keyval': 'logicalgroupname, elementtype, members'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logicalgroup=logicalgroup, elementtype=elementtype, members=members)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_policy_rule_update(self, rbridge_id=None, policy=None, ruleaction=None, policyaction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (policyname).

		:param policyname: Configure policy name
		:type policyname: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param ruleaction: kwarg tuple.
		:type ruleaction: (policyrule, policyaction).

		:param policyrule: rule name
		:type policyrule: (unicode)

		:param policyaction: rule actions
		:type policyaction: (unicode)
		
		.. note::
			* enum - [u'NONE', u'SNMP', u'RASLOG', u'SW_CRITICAL', u'SFP_MARGINAL', u'EMAIL', u'SW_MARGINAL']

	**This Instance Arg(s)**:
		:param policyaction: rule actions
		:type policyaction: (unicode)
		
		.. note::
			* enum - [u'NONE', u'SNMP', u'RASLOG', u'SW_CRITICAL', u'SFP_MARGINAL', u'EMAIL', u'SW_MARGINAL']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.maps.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy', u'policy')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ruleaction', 'keyval': 'policyrule', 'extra_keyval': 'policyrule, policyaction'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, ruleaction=ruleaction, policyaction=policyaction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_relay_update(self, rbridge_id=None, relay=None, domainname=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param relay: kwarg tuple.
		:type relay: (hostip).

		:param hostip: <IP:Address> IP address of Relay Host
		:type hostip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param domainname: Domain name server
		:type domainname: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.maps.relay', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.maps.relay', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.relay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.relay', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'hostip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, relay=relay, domainname=domainname)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_rule_update(self, rbridge_id=None, rule=None, targetgroup=None, monitor=None, timebase=None, op=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param rule: kwarg tuple.
		:type rule: (rulename, targetgroup, monitor, timebase, op, threshold).

		:param rulename: Configure rule name
		:type rulename: (unicode)

		:param targetgroup: target group for rule
		:type targetgroup: (unicode)

		:param monitor: tuple arg.
		:type monitor: (unicode)
		
		.. note::
			* enum - [u'MEMORY_USAGE', u'FLASH_USAGE', u'HA_SYNC', u'BAD_PWR', u'ETH_MGMT_PORT_STATE', u'BAD_FAN', u'CPU', u'SFP_TEMP', u'SEC_TELNET', u'TXP', u'TEMP', u'RX_SYM_ERR', u'CRCALN', u'VOLTAGE', u'SFP_STATE', u'WWN_DOWN', u'FAN_STATE', u'CURRENT', u'RX_ABN_FRAME', u'RXP', u'FAULTY_BLADE', u'WWN', u'BAD_TEMP', u'PS_STATE', u'SEC_LV', u'BLADE_STATE', u'DOWN_SFM']

		:param timebase: tuple arg.
		:type timebase: (unicode)
		
		.. note::
			* enum - [u'none', u'day', u'hour', u'min']

		:param op: tuple arg.
		:type op: (unicode)
		
		.. note::
			* enum - [u'gt', u'lt', u'le', u'eq', u'ge']

		:param threshold: threshold value
		:type threshold: (unicode)

	**This Instance Arg(s)**:
		:param targetgroup: target group for rule
		:type targetgroup: (unicode)

		:param monitor: kwarg.
		:type monitor: (unicode)
		
		.. note::
			* enum - [u'MEMORY_USAGE', u'FLASH_USAGE', u'HA_SYNC', u'BAD_PWR', u'ETH_MGMT_PORT_STATE', u'BAD_FAN', u'CPU', u'SFP_TEMP', u'SEC_TELNET', u'TXP', u'TEMP', u'RX_SYM_ERR', u'CRCALN', u'VOLTAGE', u'SFP_STATE', u'WWN_DOWN', u'FAN_STATE', u'CURRENT', u'RX_ABN_FRAME', u'RXP', u'FAULTY_BLADE', u'WWN', u'BAD_TEMP', u'PS_STATE', u'SEC_LV', u'BLADE_STATE', u'DOWN_SFM']

		:param timebase: kwarg.
		:type timebase: (unicode)
		
		.. note::
			* enum - [u'none', u'day', u'hour', u'min']

		:param op: kwarg.
		:type op: (unicode)
		
		.. note::
			* enum - [u'gt', u'lt', u'le', u'eq', u'ge']

		:param threshold: threshold value
		:type threshold: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.maps.rule', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.maps.rule', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'rulename', 'extra_keyval': 'rulename, targetgroup, monitor, timebase, op, threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rule=rule, targetgroup=targetgroup, monitor=monitor, timebase=timebase, op=op, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_openflow_logical_instance_update(self, rbridge_id=None, logical_instance=None, default_forwarding_action=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param logical_instance: kwarg tuple.
		:type logical_instance: (instance_id).

		:param instance_id: tuple arg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param default_forwarding_action: Default MISS behavior for this logical instance
		:type default_forwarding_action: (unicode)
		
		.. note::
			* enum - [u'send-to-controller', u'drop']

		:param activate: Activate this logical instance
		:type activate: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_instance', 'keyval': 'instance_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logical_instance=logical_instance, default_forwarding_action=default_forwarding_action, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_openflow_logical_instance_passive_no_ssl_update(self, rbridge_id=None, logical_instance=None, passive_controller_flag=None, passive_controller_ip_address=None, passive_controller_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param logical_instance: kwarg tuple.
		:type logical_instance: (instance_id).

		:param instance_id: tuple arg.
		:type instance_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param passive_controller_flag: kwarg.
		:type passive_controller_flag: (YANGBool)

		:param passive_controller_ip_address: IP address of OpenFlow controller
		:type passive_controller_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param passive_controller_port: Passive controller port
		:type passive_controller_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.passive.no_ssl', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, logical_instance=logical_instance, passive_controller_flag=passive_controller_flag, passive_controller_ip_address=passive_controller_ip_address, passive_controller_port=passive_controller_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_protocol_update(self, rbridge_id=None, vrrp=None, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vrrp: Virtual Router Redundacy Protocol (VRRP)
		:type vrrp: (YANGBool)

		:param vrrp_extended: Virtual Router Redundacy Protocol Extended (VRRP-E)
		:type vrrp_extended: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrrp=vrrp, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_protocol_vrrp_update(self, rbridge_id=None, vrrp=None, vrrp_extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vrrp: Virtual Router Redundacy Protocol (VRRP)
		:type vrrp: (YANGBool)

		:param vrrp_extended: Virtual Router Redundacy Protocol Extended (VRRP-E)
		:type vrrp_extended: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.protocol.hide_vrrp_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrrp=vrrp, vrrp_extended=vrrp_extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_qos_rcv_queue_update(self, rbridge_id=None, rcv_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rcv_queue_limit: Configure qos ingress queue limit
		:type rcv_queue_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.qos.rcv_queue', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.qos.rcv_queue', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.qos.rcv_queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rcv_queue_limit=rcv_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_qos_rcv_queue_limit_update(self, rbridge_id=None, rcv_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rcv_queue_limit: Configure qos ingress queue limit
		:type rcv_queue_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.qos.rcv_queue', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.qos.rcv_queue', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.qos.rcv_queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rcv_queue_limit=rcv_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_qos_rcv_queue_multicast_update(self, rbridge_id=None, rx_queue_bum_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rx_queue_bum_mode: kwarg.
		:type rx_queue_bum_mode: (unicode)
		
		.. note::
			* enum - [u'cut-through']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rx_queue_bum_mode=rx_queue_bum_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_qos_rcv_queue_multicast_mode_update(self, rbridge_id=None, rx_queue_bum_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rx_queue_bum_mode: kwarg.
		:type rx_queue_bum_mode: (unicode)
		
		.. note::
			* enum - [u'cut-through']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.qos.rcv_queue.multicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rx_queue_bum_mode=rx_queue_bum_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_qos_tx_queue_update(self, rbridge_id=None, tx_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param tx_queue_limit: Configure qos egress queue limit
		:type tx_queue_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.qos.tx_queue', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.qos.tx_queue', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.qos.tx_queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, tx_queue_limit=tx_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_qos_tx_queue_limit_update(self, rbridge_id=None, tx_queue_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param tx_queue_limit: Configure qos egress queue limit
		:type tx_queue_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.qos.tx_queue', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.qos.tx_queue', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.qos.tx_queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, tx_queue_limit=tx_queue_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_cpu_update(self, rbridge_id=None, enable_cpu=None, threshold_cpu=None, action_cpu=None, sample_rate_cpu=None, logging_rate_cpu=None, grace_period_cpu=None, offset_cpu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable_cpu: Enable monitoring CPU usage
		:type enable_cpu: (YANGBool)

		:param threshold_cpu: Threshold for high CPU usage
		:type threshold_cpu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action_cpu: Action to take when CPU usage exceeds threshold
		:type action_cpu: (unicode)
		
		.. note::
			* enum - [u'raslog']

		:param sample_rate_cpu: Sampling rate for CPU usage monitoring
		:type sample_rate_cpu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param logging_rate_cpu: Logging rate for CPU usage monitoring
		:type logging_rate_cpu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grace_period_cpu: Grace period after CPU usage threshold exceeded
		:type grace_period_cpu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param offset_cpu: Offset to CPU threshold for testing
		:type offset_cpu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable_cpu, threshold_cpu, action_cpu, sample_rate_cpu, logging_rate_cpu, grace_period_cpu, offset_cpu'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable_cpu=enable_cpu, threshold_cpu=threshold_cpu, action_cpu=action_cpu, sample_rate_cpu=sample_rate_cpu, logging_rate_cpu=logging_rate_cpu, grace_period_cpu=grace_period_cpu, offset_cpu=offset_cpu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_cpu_action_update(self, rbridge_id=None, enable_cpu=None, threshold_cpu=None, action_cpu=None, sample_rate_cpu=None, logging_rate_cpu=None, grace_period_cpu=None, offset_cpu=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable_cpu: Enable monitoring CPU usage
		:type enable_cpu: (YANGBool)

		:param threshold_cpu: Threshold for high CPU usage
		:type threshold_cpu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action_cpu: Action to take when CPU usage exceeds threshold
		:type action_cpu: (unicode)
		
		.. note::
			* enum - [u'raslog']

		:param sample_rate_cpu: Sampling rate for CPU usage monitoring
		:type sample_rate_cpu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param logging_rate_cpu: Logging rate for CPU usage monitoring
		:type logging_rate_cpu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grace_period_cpu: Grace period after CPU usage threshold exceeded
		:type grace_period_cpu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param offset_cpu: Offset to CPU threshold for testing
		:type offset_cpu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable_cpu=enable_cpu, threshold_cpu=threshold_cpu, action_cpu=action_cpu, sample_rate_cpu=sample_rate_cpu, logging_rate_cpu=logging_rate_cpu, grace_period_cpu=grace_period_cpu, offset_cpu=offset_cpu)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_memory_update(self, rbridge_id=None, enable_memory=None, threshold_memory=None, action_memory=None, sample_rate_memory=None, logging_rate_memory=None, grace_period_memory=None, offset_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable_memory: Enable monitoring memory usage
		:type enable_memory: (YANGBool)

		:param threshold_memory: Threshold for free low memory
		:type threshold_memory: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action_memory: Action to take when memory usage exceeds threshold
		:type action_memory: (unicode)
		
		.. note::
			* enum - [u'raslog']

		:param sample_rate_memory: Sampling rate for memory usage monitoring
		:type sample_rate_memory: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param logging_rate_memory: Logging rate for CPU usage monitoring
		:type logging_rate_memory: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grace_period_memory: Grace period after memory usage threshold exceeded
		:type grace_period_memory: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param offset_memory: Offset to memory threshold for testing
		:type offset_memory: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable_memory, threshold_memory, action_memory, sample_rate_memory, logging_rate_memory, grace_period_memory, offset_memory'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable_memory=enable_memory, threshold_memory=threshold_memory, action_memory=action_memory, sample_rate_memory=sample_rate_memory, logging_rate_memory=logging_rate_memory, grace_period_memory=grace_period_memory, offset_memory=offset_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_memory_action_update(self, rbridge_id=None, enable_memory=None, threshold_memory=None, action_memory=None, sample_rate_memory=None, logging_rate_memory=None, grace_period_memory=None, offset_memory=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable_memory: Enable monitoring memory usage
		:type enable_memory: (YANGBool)

		:param threshold_memory: Threshold for free low memory
		:type threshold_memory: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action_memory: Action to take when memory usage exceeds threshold
		:type action_memory: (unicode)
		
		.. note::
			* enum - [u'raslog']

		:param sample_rate_memory: Sampling rate for memory usage monitoring
		:type sample_rate_memory: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param logging_rate_memory: Logging rate for CPU usage monitoring
		:type logging_rate_memory: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param grace_period_memory: Grace period after memory usage threshold exceeded
		:type grace_period_memory: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param offset_memory: Offset to memory threshold for testing
		:type offset_memory: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable_memory=enable_memory, threshold_memory=threshold_memory, action_memory=action_memory, sample_rate_memory=sample_rate_memory, logging_rate_memory=logging_rate_memory, grace_period_memory=grace_period_memory, offset_memory=offset_memory)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_process_memory_update(self, rbridge_id=None, enable_process=None, thresh_mem_alarm=None, thresh_mem_critic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable_process: Enable monitoring process memory usage
		:type enable_process: (YANGBool)

		:param thresh_mem_alarm: Alarm threshold for memory usage
		:type thresh_mem_alarm: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param thresh_mem_critic: Critical threshold for memory usage
		:type thresh_mem_critic: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.process.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'enable_process, thresh_mem_alarm, thresh_mem_critic'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable_process=enable_process, thresh_mem_alarm=thresh_mem_alarm, thresh_mem_critic=thresh_mem_critic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_resource_monitor_process_memory_enable_update(self, rbridge_id=None, enable_process=None, thresh_mem_alarm=None, thresh_mem_critic=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable_process: Enable monitoring process memory usage
		:type enable_process: (YANGBool)

		:param thresh_mem_alarm: Alarm threshold for memory usage
		:type thresh_mem_alarm: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param thresh_mem_critic: Critical threshold for memory usage
		:type thresh_mem_critic: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.resource_monitor.process.memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable_process=enable_process, thresh_mem_alarm=thresh_mem_alarm, thresh_mem_critic=thresh_mem_critic)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_root_update(self, rbridge_id=None, enable=None, access=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: Configure root account
		:type enable: (YANGBool)

		:param access: Configure root access
		:type access: (unicode)
		
		.. note::
			* enum - [u'console']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.root', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.root', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.root', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable, access=access)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_root_access_update(self, rbridge_id=None, enable=None, access=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: Configure root account
		:type enable: (YANGBool)

		:param access: Configure root access
		:type access: (unicode)
		
		.. note::
			* enum - [u'console']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.root', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.root', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.root', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable, access=access)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_continue_update(self, rbridge_id=None, route_map=None, continue_=None, continue_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param continue_: Continue clause with optional route map instance number.
		:type continue_: (YANGBool)

		:param continue_val: kwarg.
		:type continue_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.continue_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, continue_=continue_, continue_val=continue_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_update(self, rbridge_id=None, route_map=None, vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param vrf: VRF name
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, vrf=vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_as_path_update(self, rbridge_id=None, route_map=None, as_path_access_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param as_path_access_list_name: Access-list name.
		:type as_path_access_list_name: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.as_path', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.as_path', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.as_path', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, as_path_access_list_name=as_path_access_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_community_update(self, rbridge_id=None, route_map=None, community_access_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param community_access_list_name: kwarg.
		:type community_access_list_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, community_access_list_name=community_access_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_extcommunity_update(self, rbridge_id=None, route_map=None, extcommunity_num=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param extcommunity_num: Extcommunity numbers
		:type extcommunity_num: (unicode)
		
		.. note::
			* pattern - ((0|[1-9][0-9]{0,1})(\s+(0|[1-9][0-9]{0,1}))*)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.extcommunity', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.extcommunity', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.extcommunity', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, extcommunity_num=extcommunity_num)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ip_address_update(self, rbridge_id=None, route_map=None, prefix_list_rmm=None, acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param prefix_list_rmm: IP prefix-list
		:type prefix_list_rmm: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param acl_rmm: IP ACL
		:type acl_rmm: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm=prefix_list_rmm, acl_rmm=acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ip_address_acl_update(self, rbridge_id=None, route_map=None, prefix_list_rmm=None, acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param prefix_list_rmm: IP prefix-list
		:type prefix_list_rmm: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param acl_rmm: IP ACL
		:type acl_rmm: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm=prefix_list_rmm, acl_rmm=acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ip_next_hop_update(self, rbridge_id=None, route_map=None, prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param prefix_list_rmm_n: IP prefix-list
		:type prefix_list_rmm_n: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ip_next_hop_prefix_list_update(self, rbridge_id=None, route_map=None, prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param prefix_list_rmm_n: IP prefix-list
		:type prefix_list_rmm_n: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ip_route_source_update(self, rbridge_id=None, route_map=None, prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param prefix_list_rmrs: IP prefix-list
		:type prefix_list_rmrs: (unicode)
		
		.. note::
			* pattern - (\s*([a-zA-Z0-9_-]+))*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ip_route_source_prefix_list_update(self, rbridge_id=None, route_map=None, prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param prefix_list_rmrs: IP prefix-list
		:type prefix_list_rmrs: (unicode)
		
		.. note::
			* pattern - (\s*([a-zA-Z0-9_-]+))*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ip.route_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ipv6_address_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmm=None, ipv6_acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_prefix_list_rmm: IPv6 prefix-list
		:type ipv6_prefix_list_rmm: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param ipv6_acl_rmm: IPv6 ACL
		:type ipv6_acl_rmm: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm, ipv6_acl_rmm=ipv6_acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ipv6_address_acl_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmm=None, ipv6_acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_prefix_list_rmm: IPv6 prefix-list
		:type ipv6_prefix_list_rmm: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param ipv6_acl_rmm: IPv6 ACL
		:type ipv6_acl_rmm: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm, ipv6_acl_rmm=ipv6_acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ipv6_next_hop_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_prefix_list_rmm_n: IPv6 prefix-list
		:type ipv6_prefix_list_rmm_n: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ipv6_next_hop_prefix_list_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_prefix_list_rmm_n: IPv6 prefix-list
		:type ipv6_prefix_list_rmm_n: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ipv6_route_source_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_prefix_list_rmrs: IPv6 prefix-list
		:type ipv6_prefix_list_rmrs: (unicode)
		
		.. note::
			* pattern - (\s*([a-zA-Z0-9_-]+))*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_ipv6_route_source_prefix_list_update(self, rbridge_id=None, route_map=None, ipv6_prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_prefix_list_rmrs: IPv6 prefix-list
		:type ipv6_prefix_list_rmrs: (unicode)
		
		.. note::
			* pattern - (\s*([a-zA-Z0-9_-]+))*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_metric_update(self, rbridge_id=None, route_map=None, metric_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param metric_rmm: kwarg.
		:type metric_rmm: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, metric_rmm=metric_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_next_hop_update(self, rbridge_id=None, route_map=None, next_hop_filter_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param next_hop_filter_val: kwarg.
		:type next_hop_filter_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, next_hop_filter_val=next_hop_filter_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_protocol_update(self, rbridge_id=None, route_map=None, protocol_bgp=None, bgp_route_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param protocol_bgp: BGP protocol.
		:type protocol_bgp: (YANGBool)

		:param bgp_route_type: kwarg.
		:type bgp_route_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external', u'static-network']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, protocol_bgp=protocol_bgp, bgp_route_type=bgp_route_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_protocol_static_update(self, rbridge_id=None, route_map=None, static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param static: static
		:type static: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, static=static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_route_type_update(self, rbridge_id=None, route_map=None, route_type_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param route_type_rmm: kwarg.
		:type route_type_rmm: (unicode)
		
		.. note::
			* enum - [u'type-1', u'internal', u'type-2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match.route_type', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match.route_type', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match.route_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, route_type_rmm=route_type_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_match_vrf_update(self, rbridge_id=None, route_map=None, vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param vrf: VRF name
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, vrf=vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_as_path_update(self, rbridge_id=None, route_map=None, aspath_tag=None, prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param aspath_tag: Tag as an AS-path attribute
		:type aspath_tag: (YANGBool)

		:param prepend: Prepend to the AS-path
		:type prepend: (unicode)
		
		.. note::
			* pattern - (\s*(\d+))*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, aspath_tag=aspath_tag, prepend=prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_as_path_tag_update(self, rbridge_id=None, route_map=None, aspath_tag=None, prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param aspath_tag: Tag as an AS-path attribute
		:type aspath_tag: (YANGBool)

		:param prepend: Prepend to the AS-path
		:type prepend: (unicode)
		
		.. note::
			* pattern - (\s*(\d+))*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, aspath_tag=aspath_tag, prepend=prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_automatic_tag_update(self, rbridge_id=None, route_map=None, tag_empty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param tag_empty: kwarg.
		:type tag_empty: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.automatic_tag', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.automatic_tag', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.automatic_tag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, tag_empty=tag_empty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_comm_list_update(self, rbridge_id=None, route_map=None, comm_list_name=None, match_comm_delete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param comm_list_name: kwarg.
		:type comm_list_name: (unicode)

		:param match_comm_delete: kwarg.
		:type match_comm_delete: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.comm_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, comm_list_name=comm_list_name, match_comm_delete=match_comm_delete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_community_update(self, rbridge_id=None, route_map=None, set_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param set_community_expr: kwarg.
		:type set_community_expr: (unicode)
		
		.. note::
			* pattern - ((\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)(( (additive))?))|(none)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, set_community_expr=set_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_dampening_update(self, rbridge_id=None, route_map=None, half_life=None, reuse=None, suppress=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param half_life: kwarg.
		:type half_life: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reuse: kwarg.
		:type reuse: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param suppress: kwarg.
		:type suppress: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_suppress_time: kwarg.
		:type max_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, half_life=half_life, reuse=reuse, suppress=suppress, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_distance_update(self, rbridge_id=None, route_map=None, dist_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param dist_rms: kwarg.
		:type dist_rms: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, dist_rms=dist_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_extcommunity_rt_update(self, rbridge_id=None, route_map=None, ASN_NN_rt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ASN_NN_rt: kwarg.
		:type ASN_NN_rt: (unicode)
		
		.. note::
			* pattern - ((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*)(( (additive))?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.extcommunity.rt', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ASN_NN_rt=ASN_NN_rt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_extcommunity_soo_update(self, rbridge_id=None, route_map=None, ASN_NN_soo=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ASN_NN_soo: kwarg.
		:type ASN_NN_soo: (unicode)
		
		.. note::
			* pattern - ((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.extcommunity.soo', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ASN_NN_soo=ASN_NN_soo)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ip_dscp_update(self, rbridge_id=None, route_map=None, dscp_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param dscp_rms: kwarg.
		:type dscp_rms: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.dscp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.dscp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.dscp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, dscp_rms=dscp_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ip_interface_update(self, rbridge_id=None, route_map=None, null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param null0: Sending traffic to a Null0 Interface
		:type null0: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, null0=null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ip_interface_null0_update(self, rbridge_id=None, route_map=None, null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param null0: Sending traffic to a Null0 Interface
		:type null0: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, null0=null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ip_next_hop_update(self, rbridge_id=None, route_map=None, peer_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param peer_address: BGP peer IP address
		:type peer_address: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, peer_address=peer_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ip_next_hop_peer_address_update(self, rbridge_id=None, route_map=None, peer_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param peer_address: BGP peer IP address
		:type peer_address: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, peer_address=peer_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ipv6_interface_update(self, rbridge_id=None, route_map=None, ipv6_null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_null0: Sending traffic to a Null0 Interface
		:type ipv6_null0: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_null0=ipv6_null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ipv6_interface_null0_update(self, rbridge_id=None, route_map=None, ipv6_null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_null0: Sending traffic to a Null0 Interface
		:type ipv6_null0: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, ipv6_null0=ipv6_null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_local_preference_update(self, rbridge_id=None, route_map=None, local_preference_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param local_preference_value: kwarg.
		:type local_preference_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.local_preference', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.local_preference', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.local_preference', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, local_preference_value=local_preference_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_metric_update(self, rbridge_id=None, route_map=None, delta_rms=None, metric_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param delta_rms: kwarg.
		:type delta_rms: (unicode)
		
		.. note::
			* enum - [u'add', u'assign', u'none', u'sub']

		:param metric_rms: kwarg.
		:type metric_rms: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, delta_rms=delta_rms, metric_rms=metric_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_metric_type_update(self, rbridge_id=None, route_map=None, external=None, internal=None, type_1=None, type_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param external: IS-IS external metric
		:type external: (YANGBool)

		:param internal: IGP internal metric to BGP MED
		:type internal: (YANGBool)

		:param type_1: OSPF external type 1 metric
		:type type_1: (YANGBool)

		:param type_2: OSPF external type 2 metric
		:type type_2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, external=external, internal=internal, type_1=type_1, type_2=type_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_metric_type_external_update(self, rbridge_id=None, route_map=None, external=None, internal=None, type_1=None, type_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param external: IS-IS external metric
		:type external: (YANGBool)

		:param internal: IGP internal metric to BGP MED
		:type internal: (YANGBool)

		:param type_1: OSPF external type 1 metric
		:type type_1: (YANGBool)

		:param type_2: OSPF external type 2 metric
		:type type_2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, external=external, internal=internal, type_1=type_1, type_2=type_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_origin_update(self, rbridge_id=None, route_map=None, origin_igp=None, origin_incomplete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param origin_igp: local IGP
		:type origin_igp: (YANGBool)

		:param origin_incomplete: unknown heritage
		:type origin_incomplete: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, origin_igp=origin_igp, origin_incomplete=origin_incomplete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_origin_igp_update(self, rbridge_id=None, route_map=None, origin_igp=None, origin_incomplete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param origin_igp: local IGP
		:type origin_igp: (YANGBool)

		:param origin_incomplete: unknown heritage
		:type origin_incomplete: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, origin_igp=origin_igp, origin_incomplete=origin_incomplete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_route_type_update(self, rbridge_id=None, route_map=None, route_type_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param route_type_rms: kwarg.
		:type route_type_rms: (unicode)
		
		.. note::
			* enum - [u'type-1', u'internal', u'type-2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.route_type', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.route_type', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.route_type', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, route_type_rms=route_type_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_tag_update(self, rbridge_id=None, route_map=None, tag_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param tag_rms: kwarg.
		:type tag_rms: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.tag', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.tag', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.tag', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, tag_rms=tag_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_weight_update(self, rbridge_id=None, route_map=None, weight_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param weight_value: kwarg.
		:type weight_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.route_map.content.set_.weight', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.route_map.content.set_.weight', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.weight', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, route_map=route_map, weight_value=weight_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_update(self, rbridge_id=None, local_as=None, always_compare_med=None, compare_med_empty_aspath=None, med_missing_as_worst=None, as_path_ignore=None, compare_routerid=None, install_igp_cost=None, default_local_preference=None, enforce_first_as=None, fast_external_fallover=None, log_dampening_debug=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param local_as: Configure local AS number
		:type local_as: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param always_compare_med: Allow comparing MED from different neighbors
		:type always_compare_med: (YANGBool)

		:param compare_med_empty_aspath: Allow comparing MED from different neighbors even with empty as-path
attribute
		:type compare_med_empty_aspath: (YANGBool)

		:param med_missing_as_worst: Consider routes missing MED attribute as least desirable
		:type med_missing_as_worst: (YANGBool)

		:param as_path_ignore: Ignore AS_PATH length for best route selection
		:type as_path_ignore: (YANGBool)

		:param compare_routerid: Compare router-id for identical BGP paths
		:type compare_routerid: (YANGBool)

		:param install_igp_cost: Install igp cost to nexthop instead of MED value as BGP route cost
		:type install_igp_cost: (YANGBool)

		:param default_local_preference: Configure default local preference value
		:type default_local_preference: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enforce_first_as: Enforce the first AS for EBGP routes
		:type enforce_first_as: (YANGBool)

		:param fast_external_fallover: Reset session if link to EBGP peer goes down
		:type fast_external_fallover: (YANGBool)

		:param log_dampening_debug: Log dampening debug messages
		:type log_dampening_debug: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, local_as=local_as, always_compare_med=always_compare_med, compare_med_empty_aspath=compare_med_empty_aspath, med_missing_as_worst=med_missing_as_worst, as_path_ignore=as_path_ignore, compare_routerid=compare_routerid, install_igp_cost=install_igp_cost, default_local_preference=default_local_preference, enforce_first_as=enforce_first_as, fast_external_fallover=fast_external_fallover, log_dampening_debug=log_dampening_debug)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_update(self, rbridge_id=None, default_vrf_selected=None, next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param default_vrf_selected: kwarg.
		:type default_vrf_selected: (YANGBool)

		:param next_hop_recursion: Perform next-hop recursive lookup for BGP route
		:type next_hop_recursion: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, default_vrf_selected=default_vrf_selected, next_hop_recursion=next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_aggregate_address_update(self, rbridge_id=None, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param aggregate_address: kwarg tuple.
		:type aggregate_address: (aggregate_ip_prefix).

		:param aggregate_ip_prefix: tuple arg.
		:type aggregate_ip_prefix: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param advertise_map: Route map to control attribute advertisement
		:type advertise_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param as_set: Generate AS set path information
		:type as_set: (YANGBool)

		:param attribute_map: Route map for parameter control
		:type attribute_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param summary_only: Filter more specific routes from updates
		:type summary_only: (YANGBool)

		:param suppress_map: Conditionally filter more specific routes from updates
		:type suppress_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_always_propagate_update(self, rbridge_id=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table
		:type always_propagate: (YANGBool)

		:param default_information_originate: Originate Default Information
		:type default_information_originate: (YANGBool)

		:param rib_route_limit: Limit BGP rib count in routing table
		:type rib_route_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_to_client_reflection: Configure client to client route reflection
		:type client_to_client_reflection: (YANGBool)

		:param default_metric: Set metric of redistributed routes
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hop_enable_default: Enable default route for BGP next-hop lookup
		:type next_hop_enable_default: (YANGBool)

		:param update_time: Configure igp route update interval
		:type update_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_bgp_redistribute_internal_update(self, rbridge_id=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs
		:type bgp_redistribute_internal: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_dampening_update(self, rbridge_id=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param half_time: kwarg.
		:type half_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reuse_value: kwarg.
		:type reuse_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param start_suppress_time: kwarg.
		:type start_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_suppress_time: kwarg.
		:type max_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_graceful_restart_update(self, rbridge_id=None, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param graceful_restart_status: kwarg.
		:type graceful_restart_status: (YANGBool)

		:param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120
		:type restart_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600
		:type purge_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360
		:type stale_routes_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_maximum_paths_update(self, rbridge_id=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_maximum_paths_ebgp_update(self, rbridge_id=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_multipath_update(self, rbridge_id=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_multipath_multi_as_update(self, rbridge_id=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param allowas_in: Disables the AS_PATH check of the routes learned from the AS
		:type allowas_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param activate: Allow exchange of route in the current family mode
		:type activate: (YANGBool)

		:param route_reflector_client: Configure a neighbor as Route Reflector client
		:type route_reflector_client: (YANGBool)

		:param af_nei_weight: Set default weight for routes from this neighbor
		:type af_nei_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_additional_paths_advertise_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param best: Select best no of paths
		:type best: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param all: Select all best paths
		:type all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_additional_paths_advertise_all_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param best: Select best no of paths
		:type best: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param all: Select all best paths
		:type all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_capability_additional_paths_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, add_path_both=None, send=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param add_path_both: kwarg.
		:type add_path_both: (YANGBool)

		:param send: Capability to send additional paths
		:type send: (YANGBool)

		:param receive: Capability to receive additional paths.
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, add_path_both=add_path_both, send=send, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_capability_orf_prefixlist_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_default_originate_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_default_originate_route_map_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_filter_list_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param filter_list_direction_in_acl_name: kwarg.
		:type filter_list_direction_in_acl_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param filter_list_name_direction_in: Filter incoming routes
		:type filter_list_name_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_maximum_prefix_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param max_prefix_limit: kwarg.
		:type max_prefix_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_maximum_prefix_teardown_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param threshold: kwarg.
		:type threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param teardown: Terminate the peering when limit is exceeded
		:type teardown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_prefix_list_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_prefix_list_in_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_prefix_list_out_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_out_prefix_name: kwarg.
		:type prefix_list_direction_out_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_out: Filter outgoing routes
		:type prefix_list_direction_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_route_map_in_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_in: kwarg.
		:type neighbor_route_map_name_direction_in: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_route_map_out_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_out: Apply route map to neighbor
		:type neighbor_route_map_name_direction_out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_send_community_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_send_community_both_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_unsuppress_map_update(self, rbridge_id=None, af_ipv4_neighbor_address=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param map_name: kwarg.
		:type map_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_network_update(self, rbridge_id=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_ipv4_address).

		:param network_ipv4_address: A.B.C.D/M IP address in dotted decimal/Mask
		:type network_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param network_weight: Set BGP weight for network
		:type network_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backdoor: Specify a BGP backdoor route
		:type backdoor: (YANGBool)

		:param network_route_map: Route-map to modify the attributes
		:type network_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_bgp_update(self, rbridge_id=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_bgp_metric_update(self, rbridge_id=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_connected_update(self, rbridge_id=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param redistribute_connected: kwarg.
		:type redistribute_connected: (YANGBool)

		:param unicast_metric: Metric for redistributed routes
		:type unicast_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_route_map: Route map reference
		:type redistribute_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_update(self, rbridge_id=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_update(self, rbridge_id=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_external1_update(self, rbridge_id=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_ospf_metric_update(self, rbridge_id=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_redistribute_static_update(self, rbridge_id=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param redistribute_static: kwarg.
		:type redistribute_static: (YANGBool)

		:param unicast_static_metric: Metric for redistributed routes
		:type unicast_static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_static_network_update(self, rbridge_id=None, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param static_network: kwarg tuple.
		:type static_network: (static_network_address).

		:param static_network_address: A.B.C.D/M IP address in dotted decimal/Mask
		:type static_network_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param static_network_distance: Define an administrative distance for this local network
		:type static_network_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_table_map_update(self, rbridge_id=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_table_map_route_map_update(self, rbridge_id=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_update(self, rbridge_id=None, af_vrf=None, local_as=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param local_as: Configure local AS number
		:type local_as: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param next_hop_recursion: Perform next-hop recursive lookup for BGP route
		:type next_hop_recursion: (YANGBool)

		:param graceful_restart_status: Enables the BGP graceful restart capability
		:type graceful_restart_status: (YANGBool)

		:param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table
		:type always_propagate: (YANGBool)

		:param default_information_originate: Originate Default Information
		:type default_information_originate: (YANGBool)

		:param rib_route_limit: Limit BGP rib count in routing table
		:type rib_route_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_to_client_reflection: Configure client to client route reflection
		:type client_to_client_reflection: (YANGBool)

		:param default_metric: Set metric of redistributed routes
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hop_enable_default: Enable default route for BGP next-hop lookup
		:type next_hop_enable_default: (YANGBool)

		:param update_time: Configure igp route update interval
		:type update_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, local_as=local_as, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_update(self, rbridge_id=None, af_vrf=None, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param aggregate_address: kwarg tuple.
		:type aggregate_address: (aggregate_ip_prefix).

		:param aggregate_ip_prefix: tuple arg.
		:type aggregate_ip_prefix: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param advertise_map: Route map to control attribute advertisement
		:type advertise_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param as_set: Generate AS set path information
		:type as_set: (YANGBool)

		:param attribute_map: Route map for parameter control
		:type attribute_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param summary_only: Filter more specific routes from updates
		:type summary_only: (YANGBool)

		:param suppress_map: Conditionally filter more specific routes from updates
		:type suppress_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_bgp_redistribute_internal_update(self, rbridge_id=None, af_vrf=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs
		:type bgp_redistribute_internal: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_dampening_update(self, rbridge_id=None, af_vrf=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param half_time: kwarg.
		:type half_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reuse_value: kwarg.
		:type reuse_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param start_suppress_time: kwarg.
		:type start_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_suppress_time: kwarg.
		:type max_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_listen_range_update(self, rbridge_id=None, af_vrf=None, listen_range=None, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param listen_range: kwarg tuple.
		:type listen_range: (listen_range_prefix, peer_group, limit).

		:param listen_range_prefix: A.B.C.D/M IP address in dotted decimal/Mask
		:type listen_range_prefix: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param peer_group: Peer group name
		:type peer_group: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param limit: Limit the neighbor
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param limit: Limit the neighbor
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, listen_range=listen_range, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_maxas_limit_in_update(self, rbridge_id=None, af_vrf=None, num_as_in_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param num_as_in_path: kwarg.
		:type num_as_in_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, num_as_in_path=num_as_in_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_update(self, rbridge_id=None, af_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_ebgp_update(self, rbridge_id=None, af_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_multipath_update(self, rbridge_id=None, af_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_multipath_multi_as_update(self, rbridge_id=None, af_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, associate_peer_group=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param associate_peer_group: Assign peer-group to neighbor
		:type associate_peer_group: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param remote_as: Specify a BGP neighbor
		:type remote_as: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param allowas_in: Disables the AS_PATH check of the routes learned from the AS
		:type allowas_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param activate: Allow exchange of route in the current family mode
		:type activate: (YANGBool)

		:param route_reflector_client: Configure a neighbor as Route Reflector client
		:type route_reflector_client: (YANGBool)

		:param af_nei_weight: Set default weight for routes from this neighbor
		:type af_nei_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param description: Neighbor by description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..220']

		:param ebgp_btsh: Enable EBGP TTL Security Hack Protection
		:type ebgp_btsh: (YANGBool)

		:param password: Enable TCP-MD5 password protection
		:type password: (unicode)

		:param remove_private_as: Remove private AS number from outbound updates
		:type remove_private_as: (YANGBool)

		:param as_override: Override matching AS-number while sending update
		:type as_override: (YANGBool)

		:param static_network_edge: Neighbor as special service edge, static-network
shall not be advertised if installed as DROP
		:type static_network_edge: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, associate_peer_group=associate_peer_group, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_additional_paths_advertise_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param best: Select best no of paths
		:type best: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param all: Select all best paths
		:type all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_additional_paths_advertise_all_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param best: Select best no of paths
		:type best: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param all: Select all best paths
		:type all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_advertisement_interval_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param value: kwarg.
		:type value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_bfd_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param bfd_enable: kwarg.
		:type bfd_enable: (YANGBool)

		:param holdover_interval: BFD holdover interval configuration
		:type holdover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_bfd_interval_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_bfd_interval_min_rx_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_additional_paths_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, add_path_both=None, send=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param add_path_both: kwarg.
		:type add_path_both: (YANGBool)

		:param send: Capability to send additional paths
		:type send: (YANGBool)

		:param receive: Capability to receive additional paths.
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, add_path_both=add_path_both, send=send, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_as4_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_as4_enable: Enable AS4 capability
		:type neighbor_as4_enable: (YANGBool)

		:param neighbor_as4_disable: Disable AS4 capability
		:type neighbor_as4_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_as4_disable_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_as4_enable: Enable AS4 capability
		:type neighbor_as4_enable: (YANGBool)

		:param neighbor_as4_disable: Disable AS4 capability
		:type neighbor_as4_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_orf_prefixlist_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_default_originate_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_default_originate_route_map_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_ebgp_multihop_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ebgp_multihop_flag: kwarg.
		:type ebgp_multihop_flag: (YANGBool)

		:param ebgp_multihop_count: kwarg.
		:type ebgp_multihop_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_enforce_first_as_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_enforce_first_as: Enable enforce-first-as
		:type nei_enforce_first_as: (YANGBool)

		:param nei_enforce_first_as_disable: Disable enforce-first-as
		:type nei_enforce_first_as_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_enforce_first_as_enable_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_enforce_first_as: Enable enforce-first-as
		:type nei_enforce_first_as: (YANGBool)

		:param nei_enforce_first_as_disable: Disable enforce-first-as
		:type nei_enforce_first_as_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_filter_list_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param filter_list_direction_in_acl_name: kwarg.
		:type filter_list_direction_in_acl_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param filter_list_name_direction_in: Filter incoming routes
		:type filter_list_name_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_local_as_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param local_as_value: kwarg.
		:type local_as_value: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param no_prepend: Do not prepend local-as to updates from ebgp peers
		:type no_prepend: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_maxas_limit_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param num_as_in_as_path: kwarg.
		:type num_as_in_as_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxas_limit_disable: Disable maxas-limit
		:type maxas_limit_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_maxas_limit_in_disable_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param num_as_in_as_path: kwarg.
		:type num_as_in_as_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxas_limit_disable: Disable maxas-limit
		:type maxas_limit_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_maximum_prefix_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param max_prefix_limit: kwarg.
		:type max_prefix_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_maximum_prefix_teardown_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param threshold: kwarg.
		:type threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param teardown: Terminate the peering when limit is exceeded
		:type teardown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_next_hop_self_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_self_always: Allow nexthopself for RR routes
		:type next_hop_self_always: (YANGBool)

		:param next_hop_self_status: kwarg.
		:type next_hop_self_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_next_hop_self_always_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_self_always: Allow nexthopself for RR routes
		:type next_hop_self_always: (YANGBool)

		:param next_hop_self_status: kwarg.
		:type next_hop_self_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_prefix_list_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_prefix_list_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_prefix_list_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_out_prefix_name: kwarg.
		:type prefix_list_direction_out_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_out: Filter outgoing routes
		:type prefix_list_direction_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_route_map_in_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_in: kwarg.
		:type neighbor_route_map_name_direction_in: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_route_map_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_out: Apply route map to neighbor
		:type neighbor_route_map_name_direction_out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_send_community_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_send_community_both_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_shutdown_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param generate_rib_out: Generate rib-out routes
		:type generate_rib_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_shutdown_generate_rib_out_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param generate_rib_out: Generate rib-out routes
		:type generate_rib_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_soft_reconfiguration_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param inbound: Allow inbound soft reconfiguration for this neighbor
		:type inbound: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_soft_reconfiguration_inbound_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param inbound: Allow inbound soft reconfiguration for this neighbor
		:type inbound: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_timers_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_keep_alive: Keepalive interval
		:type nei_keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nei_hold_time: Hold-time value
		:type nei_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_timers_hold_time_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_keep_alive: Keepalive interval
		:type nei_keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nei_hold_time: Hold-time value
		:type nei_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_unsuppress_map_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param map_name: kwarg.
		:type map_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_update_source_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, interface_type=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param interface_type: kwarg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet']

		:param ethernet: Ethernet Interface
		:type ethernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_type=interface_type, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_update_source_loopback_update(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param sip_ipv4_address: kwarg.
		:type sip_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param loopback: Loopback Interface
		:type loopback: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param ve_interface: Virtual Interface
		:type ve_interface: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_network_update(self, rbridge_id=None, af_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_ipv4_address).

		:param network_ipv4_address: A.B.C.D/M IP address in dotted decimal/Mask
		:type network_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param network_weight: Set BGP weight for network
		:type network_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backdoor: Specify a BGP backdoor route
		:type backdoor: (YANGBool)

		:param network_route_map: Route-map to modify the attributes
		:type network_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_update(self, rbridge_id=None, af_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_metric_update(self, rbridge_id=None, af_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_connected_update(self, rbridge_id=None, af_vrf=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_connected: kwarg.
		:type redistribute_connected: (YANGBool)

		:param unicast_metric: Metric for redistributed routes
		:type unicast_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_route_map: Route map reference
		:type redistribute_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_update(self, rbridge_id=None, af_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_update(self, rbridge_id=None, af_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_external1_update(self, rbridge_id=None, af_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_metric_update(self, rbridge_id=None, af_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_redistribute_static_update(self, rbridge_id=None, af_vrf=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_static: kwarg.
		:type redistribute_static: (YANGBool)

		:param unicast_static_metric: Metric for redistributed routes
		:type unicast_static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_static_network_update(self, rbridge_id=None, af_vrf=None, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param static_network: kwarg tuple.
		:type static_network: (static_network_address).

		:param static_network_address: A.B.C.D/M IP address in dotted decimal/Mask
		:type static_network_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param static_network_distance: Define an administrative distance for this local network
		:type static_network_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_table_map_update(self, rbridge_id=None, af_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_table_map_route_map_update(self, rbridge_id=None, af_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_vrf=af_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_update(self, rbridge_id=None, default_vrf_selected=None, ipv6_ucast_next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param default_vrf_selected: kwarg.
		:type default_vrf_selected: (YANGBool)

		:param ipv6_ucast_next_hop_recursion: Perform next-hop recursive lookup for BGP route
		:type ipv6_ucast_next_hop_recursion: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, default_vrf_selected=default_vrf_selected, ipv6_ucast_next_hop_recursion=ipv6_ucast_next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_aggregate_address_update(self, rbridge_id=None, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param aggregate_ipv6_address: kwarg tuple.
		:type aggregate_ipv6_address: (aggregate_ip_prefix).

		:param aggregate_ip_prefix: tuple arg.
		:type aggregate_ip_prefix: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param advertise_map: Route map to control attribute advertisement
		:type advertise_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param as_set: Generate AS set path information
		:type as_set: (YANGBool)

		:param attribute_map: Route map for parameter control
		:type attribute_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param summary_only: Filter more specific routes from updates
		:type summary_only: (YANGBool)

		:param suppress_map: Conditionally filter more specific routes from updates
		:type suppress_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_always_propagate_update(self, rbridge_id=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table
		:type always_propagate: (YANGBool)

		:param default_information_originate: Originate Default Information
		:type default_information_originate: (YANGBool)

		:param rib_route_limit: Limit BGP rib count in routing table
		:type rib_route_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_to_client_reflection: Configure client to client route reflection
		:type client_to_client_reflection: (YANGBool)

		:param default_metric: Set metric of redistributed routes
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hop_enable_default: Enable default route for BGP next-hop lookup
		:type next_hop_enable_default: (YANGBool)

		:param update_time: Configure igp route update interval
		:type update_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_bgp_redistribute_internal_update(self, rbridge_id=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs
		:type bgp_redistribute_internal: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_dampening_update(self, rbridge_id=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param half_time: kwarg.
		:type half_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reuse_value: kwarg.
		:type reuse_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param start_suppress_time: kwarg.
		:type start_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_suppress_time: kwarg.
		:type max_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_graceful_restart_update(self, rbridge_id=None, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param graceful_restart_status: kwarg.
		:type graceful_restart_status: (YANGBool)

		:param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120
		:type restart_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600
		:type purge_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360
		:type stale_routes_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_maximum_paths_update(self, rbridge_id=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_maximum_paths_ebgp_update(self, rbridge_id=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_multipath_update(self, rbridge_id=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_multipath_multi_as_update(self, rbridge_id=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param allowas_in: Disables the AS_PATH check of the routes learned from the AS
		:type allowas_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param activate: Allow exchange of route in the current family mode
		:type activate: (YANGBool)

		:param route_reflector_client: Configure a neighbor as Route Reflector client
		:type route_reflector_client: (YANGBool)

		:param af_nei_weight: Set default weight for routes from this neighbor
		:type af_nei_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_additional_paths_advertise_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param best: Select best no of paths
		:type best: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param all: Select all best paths
		:type all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_additional_paths_advertise_all_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param best: Select best no of paths
		:type best: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param all: Select all best paths
		:type all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_capability_additional_paths_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, add_path_both=None, send=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param add_path_both: kwarg.
		:type add_path_both: (YANGBool)

		:param send: Capability to send additional paths
		:type send: (YANGBool)

		:param receive: Capability to receive additional paths.
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, add_path_both=add_path_both, send=send, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_capability_orf_prefixlist_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_default_originate_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_default_originate_route_map_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_filter_list_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param filter_list_direction_in_acl_name: kwarg.
		:type filter_list_direction_in_acl_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param filter_list_name_direction_in: Filter incoming routes
		:type filter_list_name_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_maximum_prefix_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param max_prefix_limit: kwarg.
		:type max_prefix_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_maximum_prefix_teardown_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param threshold: kwarg.
		:type threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param teardown: Terminate the peering when limit is exceeded
		:type teardown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_prefix_list_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_prefix_list_in_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_prefix_list_out_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_out_prefix_name: kwarg.
		:type prefix_list_direction_out_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_out: Filter outgoing routes
		:type prefix_list_direction_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_route_map_in_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_in: kwarg.
		:type neighbor_route_map_name_direction_in: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_route_map_out_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_out: Apply route map to neighbor
		:type neighbor_route_map_name_direction_out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_send_community_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_send_community_both_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_unsuppress_map_update(self, rbridge_id=None, af_ipv6_neighbor_address=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param map_name: kwarg.
		:type map_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_network_update(self, rbridge_id=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_ipv6_address).

		:param network_ipv6_address: A:B::C:D/M IPV6 address in dotted decimal/Mask
		:type network_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param network_weight: Set BGP weight for network
		:type network_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backdoor: Specify a BGP backdoor route
		:type backdoor: (YANGBool)

		:param network_route_map: Route-map to modify the attributes
		:type network_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_bgp_update(self, rbridge_id=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_bgp_metric_update(self, rbridge_id=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_connected_update(self, rbridge_id=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param redistribute_connected: kwarg.
		:type redistribute_connected: (YANGBool)

		:param unicast_metric: Metric for redistributed routes
		:type unicast_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_route_map: Route map reference
		:type redistribute_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_update(self, rbridge_id=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_update(self, rbridge_id=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_external1_update(self, rbridge_id=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_ospf_metric_update(self, rbridge_id=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_redistribute_static_update(self, rbridge_id=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param redistribute_static: kwarg.
		:type redistribute_static: (YANGBool)

		:param unicast_static_metric: Metric for redistributed routes
		:type unicast_static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_table_map_update(self, rbridge_id=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_table_map_route_map_update(self, rbridge_id=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_update(self, rbridge_id=None, af_ipv6_vrf=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param next_hop_recursion: Perform next-hop recursive lookup for BGP route
		:type next_hop_recursion: (YANGBool)

		:param graceful_restart_status: Enables the BGP graceful restart capability
		:type graceful_restart_status: (YANGBool)

		:param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table
		:type always_propagate: (YANGBool)

		:param default_information_originate: Originate Default Information
		:type default_information_originate: (YANGBool)

		:param rib_route_limit: Limit BGP rib count in routing table
		:type rib_route_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_to_client_reflection: Configure client to client route reflection
		:type client_to_client_reflection: (YANGBool)

		:param default_metric: Set metric of redistributed routes
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hop_enable_default: Enable default route for BGP next-hop lookup
		:type next_hop_enable_default: (YANGBool)

		:param update_time: Configure igp route update interval
		:type update_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_update(self, rbridge_id=None, af_ipv6_vrf=None, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param aggregate_ipv6_address: kwarg tuple.
		:type aggregate_ipv6_address: (aggregate_ip_prefix).

		:param aggregate_ip_prefix: tuple arg.
		:type aggregate_ip_prefix: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param advertise_map: Route map to control attribute advertisement
		:type advertise_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param as_set: Generate AS set path information
		:type as_set: (YANGBool)

		:param attribute_map: Route map for parameter control
		:type attribute_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param summary_only: Filter more specific routes from updates
		:type summary_only: (YANGBool)

		:param suppress_map: Conditionally filter more specific routes from updates
		:type suppress_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_bgp_redistribute_internal_update(self, rbridge_id=None, af_ipv6_vrf=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs
		:type bgp_redistribute_internal: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_dampening_update(self, rbridge_id=None, af_ipv6_vrf=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param half_time: kwarg.
		:type half_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reuse_value: kwarg.
		:type reuse_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param start_suppress_time: kwarg.
		:type start_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_suppress_time: kwarg.
		:type max_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_update(self, rbridge_id=None, af_ipv6_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_ebgp_update(self, rbridge_id=None, af_ipv6_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_multipath_update(self, rbridge_id=None, af_ipv6_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_multipath_multi_as_update(self, rbridge_id=None, af_ipv6_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, associate_peer_group=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param associate_peer_group: Assign peer-group to neighbor
		:type associate_peer_group: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param remote_as: Specify a BGP neighbor
		:type remote_as: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param allowas_in: Disables the AS_PATH check of the routes learned from the AS
		:type allowas_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param activate: Allow exchange of route in the current family mode
		:type activate: (YANGBool)

		:param route_reflector_client: Configure a neighbor as Route Reflector client
		:type route_reflector_client: (YANGBool)

		:param af_nei_weight: Set default weight for routes from this neighbor
		:type af_nei_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param description: Neighbor by description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..220']

		:param ebgp_btsh: Enable EBGP TTL Security Hack Protection
		:type ebgp_btsh: (YANGBool)

		:param password: Enable TCP-MD5 password protection
		:type password: (unicode)

		:param remove_private_as: Remove private AS number from outbound updates
		:type remove_private_as: (YANGBool)

		:param as_override: Override matching AS-number while sending update
		:type as_override: (YANGBool)

		:param static_network_edge: Neighbor as special service edge, static-network
shall not be advertised if installed as DROP
		:type static_network_edge: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, associate_peer_group=associate_peer_group, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_additional_paths_advertise_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param best: Select best no of paths
		:type best: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param all: Select all best paths
		:type all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_additional_paths_advertise_all_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, best=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param best: Select best no of paths
		:type best: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param all: Select all best paths
		:type all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.additional_paths.advertise', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, best=best, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_advertisement_interval_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param value: kwarg.
		:type value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_bfd_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param bfd_enable: kwarg.
		:type bfd_enable: (YANGBool)

		:param holdover_interval: BFD holdover interval configuration
		:type holdover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_bfd_interval_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_bfd_interval_min_rx_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_additional_paths_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, add_path_both=None, send=None, receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param add_path_both: kwarg.
		:type add_path_both: (YANGBool)

		:param send: Capability to send additional paths
		:type send: (YANGBool)

		:param receive: Capability to receive additional paths.
		:type receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.additional_paths', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, add_path_both=add_path_both, send=send, receive=receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_as4_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_as4_enable: Enable AS4 capability
		:type neighbor_as4_enable: (YANGBool)

		:param neighbor_as4_disable: Disable AS4 capability
		:type neighbor_as4_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_as4_disable_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_as4_enable: Enable AS4 capability
		:type neighbor_as4_enable: (YANGBool)

		:param neighbor_as4_disable: Disable AS4 capability
		:type neighbor_as4_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_orf_prefixlist_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_orf_prefixlist_receive_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_default_originate_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_default_originate_route_map_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_ebgp_multihop_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ebgp_multihop_flag: kwarg.
		:type ebgp_multihop_flag: (YANGBool)

		:param ebgp_multihop_count: kwarg.
		:type ebgp_multihop_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_enforce_first_as_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_enforce_first_as: Enable enforce-first-as
		:type nei_enforce_first_as: (YANGBool)

		:param nei_enforce_first_as_disable: Disable enforce-first-as
		:type nei_enforce_first_as_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_enforce_first_as_enable_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_enforce_first_as: Enable enforce-first-as
		:type nei_enforce_first_as: (YANGBool)

		:param nei_enforce_first_as_disable: Disable enforce-first-as
		:type nei_enforce_first_as_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_filter_list_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param filter_list_direction_in_acl_name: kwarg.
		:type filter_list_direction_in_acl_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param filter_list_name_direction_in: Filter incoming routes
		:type filter_list_name_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_local_as_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param local_as_value: kwarg.
		:type local_as_value: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param no_prepend: Do not prepend local-as to updates from ebgp peers
		:type no_prepend: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_maxas_limit_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param num_as_in_as_path: kwarg.
		:type num_as_in_as_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxas_limit_disable: Disable maxas-limit
		:type maxas_limit_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_maxas_limit_in_disable_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param num_as_in_as_path: kwarg.
		:type num_as_in_as_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxas_limit_disable: Disable maxas-limit
		:type maxas_limit_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_maximum_prefix_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param max_prefix_limit: kwarg.
		:type max_prefix_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_maximum_prefix_teardown_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param threshold: kwarg.
		:type threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param teardown: Terminate the peering when limit is exceeded
		:type teardown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_next_hop_self_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_self_always: Allow nexthopself for RR routes
		:type next_hop_self_always: (YANGBool)

		:param next_hop_self_status: kwarg.
		:type next_hop_self_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_next_hop_self_always_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_self_always: Allow nexthopself for RR routes
		:type next_hop_self_always: (YANGBool)

		:param next_hop_self_status: kwarg.
		:type next_hop_self_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_prefix_list_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_prefix_list_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_prefix_list_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_out_prefix_name: kwarg.
		:type prefix_list_direction_out_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_out: Filter outgoing routes
		:type prefix_list_direction_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_route_map_in_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_in: kwarg.
		:type neighbor_route_map_name_direction_in: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_route_map_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_out: Apply route map to neighbor
		:type neighbor_route_map_name_direction_out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_send_community_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_send_community_both_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_shutdown_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param generate_rib_out: Generate rib-out routes
		:type generate_rib_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_shutdown_generate_rib_out_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param generate_rib_out: Generate rib-out routes
		:type generate_rib_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_soft_reconfiguration_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param inbound: Allow inbound soft reconfiguration for this neighbor
		:type inbound: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_soft_reconfiguration_inbound_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param inbound: Allow inbound soft reconfiguration for this neighbor
		:type inbound: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_timers_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_keep_alive: Keepalive interval
		:type nei_keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nei_hold_time: Hold-time value
		:type nei_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_timers_hold_time_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_keep_alive: Keepalive interval
		:type nei_keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nei_hold_time: Hold-time value
		:type nei_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_unsuppress_map_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param map_name: kwarg.
		:type map_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_update_source_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, interface_type=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param interface_type: kwarg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

		:param ethernet: Ethernet Interface
		:type ethernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_type=interface_type, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_update_source_loopback_update(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, sip_ipv6_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param sip_ipv6_address: kwarg.
		:type sip_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param loopback: Loopback Interface
		:type loopback: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param ve_interface: Virtual Interface
		:type ve_interface: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, sip_ipv6_address=sip_ipv6_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_network_update(self, rbridge_id=None, af_ipv6_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_ipv6_address).

		:param network_ipv6_address: A:B::C:D/M IPV6 address in dotted decimal/Mask
		:type network_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param network_weight: Set BGP weight for network
		:type network_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backdoor: Specify a BGP backdoor route
		:type backdoor: (YANGBool)

		:param network_route_map: Route-map to modify the attributes
		:type network_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_metric_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_connected_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_connected: kwarg.
		:type redistribute_connected: (YANGBool)

		:param unicast_metric: Metric for redistributed routes
		:type unicast_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_route_map: Route map reference
		:type redistribute_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_update(self, rbridge_id=None, af_ipv6_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_external1_update(self, rbridge_id=None, af_ipv6_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_metric_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_redistribute_static_update(self, rbridge_id=None, af_ipv6_vrf=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_static: kwarg.
		:type redistribute_static: (YANGBool)

		:param unicast_static_metric: Metric for redistributed routes
		:type unicast_static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_table_map_update(self, rbridge_id=None, af_ipv6_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_table_map_route_map_update(self, rbridge_id=None, af_ipv6_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_update(self, rbridge_id=None, client_to_client_reflection=None, vtep_discovery=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param client_to_client_reflection: Configure client to client route reflection
		:type client_to_client_reflection: (YANGBool)

		:param vtep_discovery: Enable VTEP discovery
		:type vtep_discovery: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, client_to_client_reflection=client_to_client_reflection, vtep_discovery=vtep_discovery)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_client_to_client_reflection_update(self, rbridge_id=None, client_to_client_reflection=None, vtep_discovery=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param client_to_client_reflection: Configure client to client route reflection
		:type client_to_client_reflection: (YANGBool)

		:param vtep_discovery: Enable VTEP discovery
		:type vtep_discovery: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, client_to_client_reflection=client_to_client_reflection, vtep_discovery=vtep_discovery)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_graceful_restart_update(self, rbridge_id=None, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param graceful_restart_status: kwarg.
		:type graceful_restart_status: (YANGBool)

		:param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120
		:type restart_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600
		:type purge_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360
		:type stale_routes_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, activate=None, maximum_prefix=None, route_reflector_client=None, allowas_in=None, next_hop_unchanged=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param evpn_neighbor_ipv4: kwarg tuple.
		:type evpn_neighbor_ipv4: (evpn_neighbor_ipv4_address).

		:param evpn_neighbor_ipv4_address: A.B.C.D;;Neighbor Address
		:type evpn_neighbor_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param activate: Allow exchange of route in the current family mode
		:type activate: (YANGBool)

		:param maximum_prefix: kwarg.
		:type maximum_prefix: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_reflector_client: Configure a neighbor as Route Reflector client
		:type route_reflector_client: (YANGBool)

		:param allowas_in: Disables the AS_PATH check of the routes learned from the AS
		:type allowas_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hop_unchanged: Next hop unchanged
		:type next_hop_unchanged: (YANGBool)

		:param enable_peer_as_check: Disable routes advertise between peers in same AS
		:type enable_peer_as_check: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, activate=activate, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_route_map_in_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param evpn_neighbor_ipv4: kwarg tuple.
		:type evpn_neighbor_ipv4: (evpn_neighbor_ipv4_address).

		:param evpn_neighbor_ipv4_address: A.B.C.D;;Neighbor Address
		:type evpn_neighbor_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param route_map_name_direction_in: kwarg.
		:type route_map_name_direction_in: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_in=route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_route_map_out_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param evpn_neighbor_ipv4: kwarg tuple.
		:type evpn_neighbor_ipv4: (evpn_neighbor_ipv4_address).

		:param evpn_neighbor_ipv4_address: A.B.C.D;;Neighbor Address
		:type evpn_neighbor_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param route_map_name_direction_out: Apply route map to neighbor
		:type route_map_name_direction_out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.route_map.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.route_map.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.route_map.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, route_map_name_direction_out=route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_send_community_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param evpn_neighbor_ipv4: kwarg tuple.
		:type evpn_neighbor_ipv4: (evpn_neighbor_ipv4_address).

		:param evpn_neighbor_ipv4_address: A.B.C.D;;Neighbor Address
		:type evpn_neighbor_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_send_community_both_update(self, rbridge_id=None, evpn_neighbor_ipv4=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param evpn_neighbor_ipv4: kwarg tuple.
		:type evpn_neighbor_ipv4: (evpn_neighbor_ipv4_address).

		:param evpn_neighbor_ipv4_address: A.B.C.D;;Neighbor Address
		:type evpn_neighbor_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', u'evpn_neighbor_ipv6'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', u'evpn_peer_group'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', u'evpn_neighbor_ipv4')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group.send_community', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_retain_route_target_update(self, rbridge_id=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param all: Retain all route targets
		:type all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_retain_route_target_all_update(self, rbridge_id=None, all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param all: Retain all route targets
		:type all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.retain.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, all=all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_always_compare_med_update(self, rbridge_id=None, local_as=None, always_compare_med=None, compare_med_empty_aspath=None, med_missing_as_worst=None, as_path_ignore=None, compare_routerid=None, install_igp_cost=None, default_local_preference=None, enforce_first_as=None, fast_external_fallover=None, log_dampening_debug=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param local_as: Configure local AS number
		:type local_as: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param always_compare_med: Allow comparing MED from different neighbors
		:type always_compare_med: (YANGBool)

		:param compare_med_empty_aspath: Allow comparing MED from different neighbors even with empty as-path
attribute
		:type compare_med_empty_aspath: (YANGBool)

		:param med_missing_as_worst: Consider routes missing MED attribute as least desirable
		:type med_missing_as_worst: (YANGBool)

		:param as_path_ignore: Ignore AS_PATH length for best route selection
		:type as_path_ignore: (YANGBool)

		:param compare_routerid: Compare router-id for identical BGP paths
		:type compare_routerid: (YANGBool)

		:param install_igp_cost: Install igp cost to nexthop instead of MED value as BGP route cost
		:type install_igp_cost: (YANGBool)

		:param default_local_preference: Configure default local preference value
		:type default_local_preference: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enforce_first_as: Enforce the first AS for EBGP routes
		:type enforce_first_as: (YANGBool)

		:param fast_external_fallover: Reset session if link to EBGP peer goes down
		:type fast_external_fallover: (YANGBool)

		:param log_dampening_debug: Log dampening debug messages
		:type log_dampening_debug: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, local_as=local_as, always_compare_med=always_compare_med, compare_med_empty_aspath=compare_med_empty_aspath, med_missing_as_worst=med_missing_as_worst, as_path_ignore=as_path_ignore, compare_routerid=compare_routerid, install_igp_cost=install_igp_cost, default_local_preference=default_local_preference, enforce_first_as=enforce_first_as, fast_external_fallover=fast_external_fallover, log_dampening_debug=log_dampening_debug)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_bfd_update(self, rbridge_id=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param holdover_interval: BFD holdover interval configuration
		:type holdover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_bfd_holdover_interval_update(self, rbridge_id=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param holdover_interval: BFD holdover interval configuration
		:type holdover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_bfd_interval_update(self, rbridge_id=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_bfd_interval_min_rx_update(self, rbridge_id=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_capability_update(self, rbridge_id=None, as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param as4_enable: Enable AS4 capability
		:type as4_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, as4_enable=as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_capability_as4_enable_update(self, rbridge_id=None, as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param as4_enable: Enable AS4 capability
		:type as4_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.capability', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, as4_enable=as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_cluster_id_update(self, rbridge_id=None, cluster_id_value=None, cluster_id_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param cluster_id_value: Route-Reflector Cluster-ID as 32 bit quantity
		:type cluster_id_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cluster_id_ipv4_address: Route-Reflector Cluster-ID as IP address
		:type cluster_id_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, cluster_id_value=cluster_id_value, cluster_id_ipv4_address=cluster_id_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_cluster_id_ipv4_address_update(self, rbridge_id=None, cluster_id_value=None, cluster_id_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param cluster_id_value: Route-Reflector Cluster-ID as 32 bit quantity
		:type cluster_id_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cluster_id_ipv4_address: Route-Reflector Cluster-ID as IP address
		:type cluster_id_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, cluster_id_value=cluster_id_value, cluster_id_ipv4_address=cluster_id_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_confederation_update(self, rbridge_id=None, identifier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param identifier: Confederation AS number
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, identifier=identifier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_confederation_identifier_update(self, rbridge_id=None, identifier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param identifier: Confederation AS number
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.confederation', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, identifier=identifier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_distance_update(self, rbridge_id=None, ext_route_distance=None, int_route_distance=None, lcl_route_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ext_route_distance: kwarg.
		:type ext_route_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param int_route_distance: kwarg.
		:type int_route_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lcl_route_distance: kwarg.
		:type lcl_route_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ext_route_distance=ext_route_distance, int_route_distance=int_route_distance, lcl_route_distance=lcl_route_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_listen_range_update(self, rbridge_id=None, listen_range=None, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param listen_range: kwarg tuple.
		:type listen_range: (listen_range_prefix, peer_group, limit).

		:param listen_range_prefix: A.B.C.D/M IP address in dotted decimal/Mask
		:type listen_range_prefix: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param peer_group: Peer group name
		:type peer_group: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param limit: Limit the neighbor
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param limit: Limit the neighbor
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, listen_range=listen_range, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_maxas_limit_in_update(self, rbridge_id=None, num_as_in_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param num_as_in_path: kwarg.
		:type num_as_in_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, num_as_in_path=num_as_in_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_update(self, rbridge_id=None, neighbor_addr=None, remote_as=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param remote_as: Specify a BGP neighbor
		:type remote_as: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param associate_peer_group: Assign peer-group to neighbor
		:type associate_peer_group: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param description: Neighbor by description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..220']

		:param ebgp_btsh: Enable EBGP TTL Security Hack Protection
		:type ebgp_btsh: (YANGBool)

		:param password: Enable TCP-MD5 password protection
		:type password: (unicode)

		:param remove_private_as: Remove private AS number from outbound updates
		:type remove_private_as: (YANGBool)

		:param as_override: Override matching AS-number while sending update
		:type as_override: (YANGBool)

		:param static_network_edge: Neighbor as special service edge, static-network
shall not be advertised if installed as DROP
		:type static_network_edge: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_advertisement_interval_update(self, rbridge_id=None, neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param value: kwarg.
		:type value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_alternate_as_update(self, rbridge_id=None, neighbor_peer_grp=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_peer_grp: kwarg tuple.
		:type neighbor_peer_grp: (router_bgp_neighbor_peer_grp).

		:param router_bgp_neighbor_peer_grp: 
Word:1-63;;Peer Group Name
		:type router_bgp_neighbor_peer_grp: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

	**This Instance Arg(s)**:
		:param add_: Add AS to alternate-as range.
		:type add_: (unicode)
		
		.. note::
			* pattern - (((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?(,(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?)*

		:param remove_: Remove AS to alternate-as range.
		:type remove_: (unicode)
		
		.. note::
			* pattern - (((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?(,(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.alternate_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_alternate_as_add_update(self, rbridge_id=None, neighbor_peer_grp=None, add_=None, remove_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_peer_grp: kwarg tuple.
		:type neighbor_peer_grp: (router_bgp_neighbor_peer_grp).

		:param router_bgp_neighbor_peer_grp: 
Word:1-63;;Peer Group Name
		:type router_bgp_neighbor_peer_grp: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

	**This Instance Arg(s)**:
		:param add_: Add AS to alternate-as range.
		:type add_: (unicode)
		
		.. note::
			* pattern - (((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?(,(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?)*

		:param remove_: Remove AS to alternate-as range.
		:type remove_: (unicode)
		
		.. note::
			* pattern - (((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?(,(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]))(-(((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.alternate_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, add_=add_, remove_=remove_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_bfd_update(self, rbridge_id=None, neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param bfd_enable: kwarg.
		:type bfd_enable: (YANGBool)

		:param holdover_interval: BFD holdover interval configuration
		:type holdover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_bfd_interval_update(self, rbridge_id=None, neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_bfd_interval_min_rx_update(self, rbridge_id=None, neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_capability_as4_update(self, rbridge_id=None, neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_as4_enable: Enable AS4 capability
		:type neighbor_as4_enable: (YANGBool)

		:param neighbor_as4_disable: Disable AS4 capability
		:type neighbor_as4_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_capability_as4_disable_update(self, rbridge_id=None, neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_as4_enable: Enable AS4 capability
		:type neighbor_as4_enable: (YANGBool)

		:param neighbor_as4_disable: Disable AS4 capability
		:type neighbor_as4_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_ebgp_multihop_update(self, rbridge_id=None, neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ebgp_multihop_flag: kwarg.
		:type ebgp_multihop_flag: (YANGBool)

		:param ebgp_multihop_count: kwarg.
		:type ebgp_multihop_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_enforce_first_as_update(self, rbridge_id=None, neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_enforce_first_as: Enable enforce-first-as
		:type nei_enforce_first_as: (YANGBool)

		:param nei_enforce_first_as_disable: Disable enforce-first-as
		:type nei_enforce_first_as_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_enforce_first_as_enable_update(self, rbridge_id=None, neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_enforce_first_as: Enable enforce-first-as
		:type nei_enforce_first_as: (YANGBool)

		:param nei_enforce_first_as_disable: Disable enforce-first-as
		:type nei_enforce_first_as_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_local_as_update(self, rbridge_id=None, neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param local_as_value: kwarg.
		:type local_as_value: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param no_prepend: Do not prepend local-as to updates from ebgp peers
		:type no_prepend: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_maxas_limit_in_update(self, rbridge_id=None, neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param num_as_in_as_path: kwarg.
		:type num_as_in_as_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxas_limit_disable: Disable maxas-limit
		:type maxas_limit_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_maxas_limit_in_disable_update(self, rbridge_id=None, neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param num_as_in_as_path: kwarg.
		:type num_as_in_as_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxas_limit_disable: Disable maxas-limit
		:type maxas_limit_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_next_hop_self_update(self, rbridge_id=None, neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_self_always: Allow nexthopself for RR routes
		:type next_hop_self_always: (YANGBool)

		:param next_hop_self_status: kwarg.
		:type next_hop_self_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_next_hop_self_always_update(self, rbridge_id=None, neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_self_always: Allow nexthopself for RR routes
		:type next_hop_self_always: (YANGBool)

		:param next_hop_self_status: kwarg.
		:type next_hop_self_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_shutdown_update(self, rbridge_id=None, neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param generate_rib_out: Generate rib-out routes
		:type generate_rib_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_shutdown_generate_rib_out_update(self, rbridge_id=None, neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param generate_rib_out: Generate rib-out routes
		:type generate_rib_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_soft_reconfiguration_update(self, rbridge_id=None, neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param inbound: Allow inbound soft reconfiguration for this neighbor
		:type inbound: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_soft_reconfiguration_inbound_update(self, rbridge_id=None, neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param inbound: Allow inbound soft reconfiguration for this neighbor
		:type inbound: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_timers_update(self, rbridge_id=None, neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_keep_alive: Keepalive interval
		:type nei_keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nei_hold_time: Hold-time value
		:type nei_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_timers_hold_time_update(self, rbridge_id=None, neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_keep_alive: Keepalive interval
		:type nei_keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nei_hold_time: Hold-time value
		:type nei_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_update_source_update(self, rbridge_id=None, neighbor_addr=None, interface_type=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param interface_type: kwarg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

		:param ethernet: Ethernet Interface
		:type ethernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, interface_type=interface_type, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_update_source_loopback_update(self, rbridge_id=None, neighbor_addr=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param sip_ipv4_address: kwarg.
		:type sip_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param loopback: Loopback Interface
		:type loopback: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param ve_interface: Virtual Interface
		:type ve_interface: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_timers_update(self, rbridge_id=None, keep_alive=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param keep_alive: Keepalive interval
		:type keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_time: Hold-time value
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'keep_alive, hold_time'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, keep_alive=keep_alive, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_timers_hold_time_update(self, rbridge_id=None, keep_alive=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param keep_alive: Keepalive interval
		:type keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_time: Hold-time value
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, keep_alive=keep_alive, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_update(self, rbridge_id=None, ospf=None, database_overflow_interval=None, default_passive_interface=None, default_metric=None, external_lsdb_limit=None, ospf_metric_type=None, vrf_lite_capability=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param database_overflow_interval: Set how often the router checks whether OSPF 
external LSDB overflow is eliminated
		:type database_overflow_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_passive_interface: Set OSPF interface passive
		:type default_passive_interface: (YANGBool)

		:param default_metric: Set OSPF default metric
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param external_lsdb_limit: Set maximum number of external LSAs
		:type external_lsdb_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_metric_type: Set Type 1 or Type 2
		:type ospf_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param vrf_lite_capability: Configure vrf-lite-capability (disable DN bit checks)
		:type vrf_lite_capability: (YANGBool)

		:param nonstop_routing: Enable OSPF nonstop routing capability
		:type nonstop_routing: (YANGBool)

		:param maximum_paths: The maximum number of paths to a destination.
		:type maximum_paths: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval, default_passive_interface=default_passive_interface, default_metric=default_metric, external_lsdb_limit=external_lsdb_limit, ospf_metric_type=ospf_metric_type, vrf_lite_capability=vrf_lite_capability, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_update(self, rbridge_id=None, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Keyword Arg Tuple**:
		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param normal: kwarg.
		:type normal: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_update(self, rbridge_id=None, ospf=None, area=None, nssa_value=None, nssa_no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param nssa_value: NSSA's advertised external route metric.
		:type nssa_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nssa_no_summary: Do not send summary LSA into nssa area
		:type nssa_no_summary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nssa_value, nssa_no_summary'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_value=nssa_value, nssa_no_summary=nssa_no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_default_information_metric_update(self, rbridge_id=None, ospf=None, area=None, default_information_metric_value=None, default_information_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param default_information_metric_value: Route metric
		:type default_information_metric_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_information_metric_type: Type of the metric
		:type default_information_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_information_metric_value, default_information_metric_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_metric_value=default_information_metric_value, default_information_metric_type=default_information_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_default_information_metric_metric_type_update(self, rbridge_id=None, ospf=None, area=None, default_information_metric_value=None, default_information_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param default_information_metric_value: Route metric
		:type default_information_metric_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_information_metric_type: Type of the metric
		:type default_information_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.default_information_metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_metric_value=default_information_metric_value, default_information_metric_type=default_information_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_default_information_originate_update(self, rbridge_id=None, ospf=None, area=None, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param default_information_originate: Originate default-information
		:type default_information_originate: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_nssa_no_summary_update(self, rbridge_id=None, ospf=None, area=None, nssa_value=None, nssa_no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param nssa_value: NSSA's advertised external route metric.
		:type nssa_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nssa_no_summary: Do not send summary LSA into nssa area
		:type nssa_no_summary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.nssa.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, nssa_value=nssa_value, nssa_no_summary=nssa_no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_prefix_list_update(self, rbridge_id=None, ospf=None, area=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param prefix_list_direction_in: Apply Type3 LSA prefix filtering on inbound
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_prefix_list_in_update(self, rbridge_id=None, ospf=None, area=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param prefix_list_direction_in: Apply Type3 LSA prefix filtering on inbound
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_in', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_prefix_list_out_update(self, rbridge_id=None, ospf=None, area=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param prefix_list_direction_out_prefix_name: kwarg.
		:type prefix_list_direction_out_prefix_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param prefix_list_direction_out: Apply Type3 LSA prefix filtering on outbound
		:type prefix_list_direction_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.prefix_list.direction_out', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_range_update(self, rbridge_id=None, ospf=None, area=None, range=None, range_effect=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Keyword Arg Tuple**:
		:param range: kwarg tuple.
		:type range: (range_address, range_mask, range_effect, range_cost).

		:param range_address: A.B.C.D   IP address to match
		:type range_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param range_mask: A.B.C.D   IP mask for address
		:type range_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param range_effect: Advertise/Do not advertise this 
type-3 summarization
		:type range_effect: (unicode)
		
		.. note::
			* enum - [u'advertise', u'not-advertise']

		:param range_cost: Configure area range cost
		:type range_cost: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param range_effect: Advertise/Do not advertise this 
type-3 summarization
		:type range_effect: (unicode)
		
		.. note::
			* enum - [u'advertise', u'not-advertise']

		:param range_cost: Configure area range cost
		:type range_cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.range', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, range=range, range_effect=range_effect, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_stub_update(self, rbridge_id=None, ospf=None, area=None, stub_value=None, no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param stub_value: Stub's advertised external route metric.
		:type stub_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_summary: Do not send summary LSA into stub area
		:type no_summary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'stub_value, no_summary'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_value=stub_value, no_summary=no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_stub_no_summary_update(self, rbridge_id=None, ospf=None, area=None, stub_value=None, no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param stub_value: Stub's advertised external route metric.
		:type stub_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_summary: Do not send summary LSA into stub area
		:type no_summary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.stub.metric', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, stub_value=stub_value, no_summary=no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Keyword Arg Tuple**:
		:param virtual_link: kwarg tuple.
		:type virtual_link: (virt_link_neighbor).

		:param virt_link_neighbor: tuple arg.
		:type virt_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_authentication_key_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virt_link_neighbor).

		:param virt_link_neighbor: tuple arg.
		:type virt_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param encrypttype: kwarg.
		:type encrypttype: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param auth_key: The OSPF password (key)
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_md5_authentication_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virt_link_neighbor).

		:param virt_link_neighbor: tuple arg.
		:type virt_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_encrypt_key_id, no_encrypt_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virt_link_neighbor).

		:param virt_link_neighbor: tuple arg.
		:type virt_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_activation_wait_time_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virt_link_neighbor).

		:param virt_link_neighbor: tuple arg.
		:type virt_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param key_activation_wait_time: The activation wait time in Seconds
		:type key_activation_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.md5_authentication', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.md5_authentication', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_id_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virt_link_neighbor).

		:param virt_link_neighbor: tuple arg.
		:type virt_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_md5_authentication_key_id_key_update(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virt_link_neighbor).

		:param virt_link_neighbor: tuple arg.
		:type virt_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_auto_cost_reference_bandwidth_update(self, rbridge_id=None, ospf=None, ref_bandwidth=None, use_active_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param ref_bandwidth: kwarg.
		:type ref_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_active_ports: Dynamic change of BW will reflect cost change
		:type use_active_ports: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.auto_cost.reference_bandwidth', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, ref_bandwidth=ref_bandwidth, use_active_ports=use_active_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_bfd_update(self, rbridge_id=None, ospf=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param bfd_enable: kwarg.
		:type bfd_enable: (YANGBool)

		:param holdover_interval: Holdover-interval in seconds
		:type holdover_interval: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.global_bfd', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_default_information_originate_update(self, rbridge_id=None, ospf=None, always=None, def_orig_metric=None, def_orig_metric_type=None, def_orig_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param always: Always advertise default route
		:type always: (YANGBool)

		:param def_orig_metric: OSPF metric for default route
		:type def_orig_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param def_orig_metric_type: OSPF metric type for default route
		:type def_orig_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param def_orig_route_map: Route-map reference
		:type def_orig_route_map: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'always, def_orig_metric, def_orig_metric_type, def_orig_route_map'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, always=always, def_orig_metric=def_orig_metric, def_orig_metric_type=def_orig_metric_type, def_orig_route_map=def_orig_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_default_information_originate_always_update(self, rbridge_id=None, ospf=None, always=None, def_orig_metric=None, def_orig_metric_type=None, def_orig_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param always: Always advertise default route
		:type always: (YANGBool)

		:param def_orig_metric: OSPF metric for default route
		:type def_orig_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param def_orig_metric_type: OSPF metric type for default route
		:type def_orig_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param def_orig_route_map: Route-map reference
		:type def_orig_route_map: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, always=always, def_orig_metric=def_orig_metric, def_orig_metric_type=def_orig_metric_type, def_orig_route_map=def_orig_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_deny_redistribute_update(self, rbridge_id=None, ospf=None, redistribute=None, address=None, mask=None, set_metric_val=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Keyword Arg Tuple**:
		:param redistribute: kwarg tuple.
		:type redistribute: (redist_value, route_option, address, mask, set_metric_val, match_metric_val).

		:param redist_value: Number
		:type redist_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_option: OSPF route option
		:type route_option: (unicode)
		
		.. note::
			* enum - [u'connected', u'all', u'static']

		:param address: IP address
		:type address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param mask: Subnet Mask
		:type mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param set_metric_val: Metric value
		:type set_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param match_metric_val: Metric value
		:type match_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param address: IP address
		:type address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param mask: Subnet Mask
		:type mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param set_metric_val: Metric value
		:type set_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param match_metric_val: Metric value
		:type match_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_distance_update(self, rbridge_id=None, ospf=None, distance=None, dist_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Keyword Arg Tuple**:
		:param distance: kwarg tuple.
		:type distance: (route_type).

		:param route_type: The type of route propogation
		:type route_type: (unicode)
		
		.. note::
			* enum - [u'intra-area', u'external', u'inter-area']

	**This Instance Arg(s)**:
		:param dist_value: The distance for a given type of route
		:type dist_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.distance', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.distance', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, distance=distance, dist_value=dist_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_distribute_list_route_map_update(self, rbridge_id=None, ospf=None, route_map=None, in_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param route_map: Route-map name.
		:type route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param in_: Apply filter for incoming Routes
		:type in_: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'route_map, direction_in'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, route_map=route_map, in_=in_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_distribute_list_route_map_in_update(self, rbridge_id=None, ospf=None, route_map=None, in_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param route_map: Route-map name.
		:type route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param in_: Apply filter for incoming Routes
		:type in_: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distribute_list.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, route_map=route_map, in_=in_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_graceful_restart_update(self, rbridge_id=None, ospf=None, graceful_restart_enable=None, helper_disable=None, restart_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param graceful_restart_enable: kwarg.
		:type graceful_restart_enable: (YANGBool)

		:param helper_disable: Disable Helper Mode
		:type helper_disable: (YANGBool)

		:param restart_time: Set the maximum restart wait time advertised to neighbors
		:type restart_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.graceful_restart', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, graceful_restart_enable=graceful_restart_enable, helper_disable=helper_disable, restart_time=restart_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_update(self, rbridge_id=None, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param log_all: Logging everything
		:type log_all: (YANGBool)

		:param log_database: Logging LSA activity
		:type log_database: (YANGBool)

		:param log_retransmit: Logging retransmit activity
		:type log_retransmit: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.log', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.log', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_adjacency_update(self, rbridge_id=None, ospf=None, dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param dr_only: Logging only Designated Router interfaces' 
adjacency changes
		:type dr_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, dr_only=dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_adjacency_dr_only_update(self, rbridge_id=None, ospf=None, dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param dr_only: Logging only Designated Router interfaces' 
adjacency changes
		:type dr_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, dr_only=dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_all_update(self, rbridge_id=None, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param log_all: Logging everything
		:type log_all: (YANGBool)

		:param log_database: Logging LSA activity
		:type log_database: (YANGBool)

		:param log_retransmit: Logging retransmit activity
		:type log_retransmit: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.log', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.log', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_bad_packet_update(self, rbridge_id=None, ospf=None, log_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param log_checksum: Logging bad checksum packets
		:type log_checksum: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_checksum=log_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_bad_packet_checksum_update(self, rbridge_id=None, ospf=None, log_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param log_checksum: Logging bad checksum packets
		:type log_checksum: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, log_checksum=log_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_update(self, rbridge_id=None, ospf=None, all_vrfs=None, all_lsas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param all_vrfs: Apply this to all the current OSPF instances
		:type all_vrfs: (YANGBool)

		:param all_lsas: Replace Metric in all External and Summary
LSAs with default max metric value
		:type all_lsas: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all_vrfs=all_vrfs, all_lsas=all_lsas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_all_lsas_update(self, rbridge_id=None, ospf=None, all_vrfs=None, all_lsas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param all_vrfs: Apply this to all the current OSPF instances
		:type all_vrfs: (YANGBool)

		:param all_lsas: Replace Metric in all External and Summary
LSAs with default max metric value
		:type all_lsas: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all_vrfs=all_vrfs, all_lsas=all_lsas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_external_lsa_update(self, rbridge_id=None, ospf=None, external_lsa_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param external_lsa_val: Indicates the metric of all external type 5 LSA's
		:type external_lsa_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, external_lsa_val=external_lsa_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_link_update(self, rbridge_id=None, ospf=None, all=None, ptp=None, stub=None, transit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param all: Advertise maximum metric in Router LSA for ptp,stub and transit links
		:type all: (YANGBool)

		:param ptp: Advertise maximum metric in Router LSA for ptp links
		:type ptp: (YANGBool)

		:param stub: Advertise maximum metric in Router LSA for stub links
		:type stub: (YANGBool)

		:param transit: Advertise maximum metric in Router LSA for transit links
		:type transit: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all=all, ptp=ptp, stub=stub, transit=transit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_link_all_update(self, rbridge_id=None, ospf=None, all=None, ptp=None, stub=None, transit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param all: Advertise maximum metric in Router LSA for ptp,stub and transit links
		:type all: (YANGBool)

		:param ptp: Advertise maximum metric in Router LSA for ptp links
		:type ptp: (YANGBool)

		:param stub: Advertise maximum metric in Router LSA for stub links
		:type stub: (YANGBool)

		:param transit: Advertise maximum metric in Router LSA for transit links
		:type transit: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all=all, ptp=ptp, stub=stub, transit=transit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_update(self, rbridge_id=None, ospf=None, time=None, wait_for_bgp=None, all_lsas_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds
		:type wait_for_bgp: (YANGBool)

		:param all_lsas_onstartup: Replace Metric in all External and Summary
LSAs with default max metric value
		:type all_lsas_onstartup: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, time=time, wait_for_bgp=wait_for_bgp, all_lsas_onstartup=all_lsas_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_all_lsas_update(self, rbridge_id=None, ospf=None, time=None, wait_for_bgp=None, all_lsas_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds
		:type wait_for_bgp: (YANGBool)

		:param all_lsas_onstartup: Replace Metric in all External and Summary
LSAs with default max metric value
		:type all_lsas_onstartup: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, time=time, wait_for_bgp=wait_for_bgp, all_lsas_onstartup=all_lsas_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_external_lsa_update(self, rbridge_id=None, ospf=None, external_lsa_val_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param external_lsa_val_onstartup: Indicates the metric of all external type 5 LSA's
		:type external_lsa_val_onstartup: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, external_lsa_val_onstartup=external_lsa_val_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_link_update(self, rbridge_id=None, ospf=None, all_link_onstartup=None, ptp_link_onstartup=None, stub_link_onstartup=None, transit_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param all_link_onstartup: Advertise maximum metric in Router LSA for ptp,stub and transit links
		:type all_link_onstartup: (YANGBool)

		:param ptp_link_onstartup: Advertise maximum metric in Router LSA for ptp links
		:type ptp_link_onstartup: (YANGBool)

		:param stub_link_onstartup: Advertise maximum metric in Router LSA for stub links
		:type stub_link_onstartup: (YANGBool)

		:param transit_link_onstartup: Advertise maximum metric in Router LSA for transit links
		:type transit_link_onstartup: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all_link_onstartup=all_link_onstartup, ptp_link_onstartup=ptp_link_onstartup, stub_link_onstartup=stub_link_onstartup, transit_link_onstartup=transit_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_link_all_update(self, rbridge_id=None, ospf=None, all_link_onstartup=None, ptp_link_onstartup=None, stub_link_onstartup=None, transit_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param all_link_onstartup: Advertise maximum metric in Router LSA for ptp,stub and transit links
		:type all_link_onstartup: (YANGBool)

		:param ptp_link_onstartup: Advertise maximum metric in Router LSA for ptp links
		:type ptp_link_onstartup: (YANGBool)

		:param stub_link_onstartup: Advertise maximum metric in Router LSA for stub links
		:type stub_link_onstartup: (YANGBool)

		:param transit_link_onstartup: Advertise maximum metric in Router LSA for transit links
		:type transit_link_onstartup: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, all_link_onstartup=all_link_onstartup, ptp_link_onstartup=ptp_link_onstartup, stub_link_onstartup=stub_link_onstartup, transit_link_onstartup=transit_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_summary_lsa_update(self, rbridge_id=None, ospf=None, summary_lsa_val_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param summary_lsa_val_onstartup: Metric of all summary type 3 and type 4 LSAs
		:type summary_lsa_val_onstartup: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_val_onstartup=summary_lsa_val_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_summary_lsa_update(self, rbridge_id=None, ospf=None, summary_lsa_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param summary_lsa_val: Metric of all summary type 3 and type 4 LSAs
		:type summary_lsa_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_val=summary_lsa_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_permit_redistribute_update(self, rbridge_id=None, ospf=None, redistribute=None, address=None, mask=None, set_metric_val=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Keyword Arg Tuple**:
		:param redistribute: kwarg tuple.
		:type redistribute: (redist_value, route_option, address, mask, set_metric_val, match_metric_val).

		:param redist_value: Number
		:type redist_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_option: OSPF route option
		:type route_option: (unicode)
		
		.. note::
			* enum - [u'connected', u'all', u'static']

		:param address: IP address
		:type address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param mask: Subnet Mask
		:type mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param set_metric_val: Metric value
		:type set_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param match_metric_val: Metric value
		:type match_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param address: IP address
		:type address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param mask: Subnet Mask
		:type mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param set_metric_val: Metric value
		:type set_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param match_metric_val: Metric value
		:type match_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_bgp_update(self, rbridge_id=None, ospf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_bgp_route_map_update(self, rbridge_id=None, ospf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_connected_update(self, rbridge_id=None, ospf=None, connected_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param connected_route_map: Route map reference
		:type connected_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_connected_route_map_update(self, rbridge_id=None, ospf=None, connected_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param connected_route_map: Route map reference
		:type connected_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_ospf_update(self, rbridge_id=None, ospf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_ospf_route_map_update(self, rbridge_id=None, ospf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_static_update(self, rbridge_id=None, ospf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_static_route_map_update(self, rbridge_id=None, ospf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_rfc1583_compatibility_update(self, rbridge_id=None, ospf=None, rfc1583_compatibility_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param rfc1583_compatibility_flag: Enable RFC 1583 OSPF v2 compatibility
		:type rfc1583_compatibility_flag: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.rfc1583_compatibility', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.rfc1583_compatibility', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.rfc1583_compatibility', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, rfc1583_compatibility_flag=rfc1583_compatibility_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_timers_update(self, rbridge_id=None, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsa_group_pacing: OSPF LSA group pacing timer
		:type lsa_group_pacing: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_timers_lsa_group_pacing_update(self, rbridge_id=None, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsa_group_pacing: OSPF LSA group pacing timer
		:type lsa_group_pacing: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.timers', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.timers', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.timers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_timers_throttle_spf_update(self, rbridge_id=None, ospf=None, init_delay=None, hold_time=None, max_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param init_delay: kwarg.
		:type init_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_time: Hold time (msec) between two SPF 
calculations, default is 5000 msec
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_hold_time: Max hold time (msec) between two SPF 
calculations, default is 10000 msec
		:type max_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.timers.throttle.spf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, ospf=ospf, init_delay=init_delay, hold_time=hold_time, max_hold_time=max_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_update(self, rbridge_id=None, max_mcache=None, hello_interval=None, nbr_timeout=None, inactivity_timer=None, message_interval=None, spt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param max_mcache: Set maximum PIM mcache
		:type max_mcache: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Set hello message interval
		:type hello_interval: (int)
		
		.. note::
			* range - ['-32768..32767']

		:param nbr_timeout: Set neighbor timeout
		:type nbr_timeout: (int)
		
		.. note::
			* range - ['-32768..32767']

		:param inactivity_timer: Set inactivity interval
		:type inactivity_timer: (int)
		
		.. note::
			* range - ['-32768..32767']

		:param message_interval: Set periodic join/prune message interval
		:type message_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spt_threshold: Set threshold for switching to shortest-path-tree
		:type spt_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, max_mcache=max_mcache, hello_interval=hello_interval, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, spt_threshold=spt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_bsr_candidate_interface_update(self, rbridge_id=None, bsr_cand_interface=None, hash_mask_length=None, bsr_cand_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param bsr_cand_interface: kwarg tuple.
		:type bsr_cand_interface: (bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority).

		:param bsr_cand_intf_type: tuple arg.
		:type bsr_cand_intf_type: (unicode)
		
		.. note::
			* enum - [u'port-channel', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

		:param bsr_cand_intf_id: String;;Interface ID
		:type bsr_cand_intf_id: (unicode)

		:param hash_mask_length: BSR hash mask
		:type hash_mask_length: (int)
		
		.. note::
			* range - ['0..65535']

		:param bsr_cand_priority: BSR priority
		:type bsr_cand_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hash_mask_length: BSR hash mask
		:type hash_mask_length: (int)
		
		.. note::
			* range - ['0..65535']

		:param bsr_cand_priority: BSR priority
		:type bsr_cand_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, bsr_cand_interface=bsr_cand_interface, hash_mask_length=hash_mask_length, bsr_cand_priority=bsr_cand_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_bsr_msg_interval_update(self, rbridge_id=None, reset_tracking_bit=None, max_mcache=None, hello_interval=None, nbr_timeout=None, inactivity_timer=None, message_interval=None, bsr_msg_interval=None, rp_adv_interval=None, spt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param reset_tracking_bit: Set tracking bit
		:type reset_tracking_bit: (YANGBool)

		:param max_mcache: Set maximum PIM mcache
		:type max_mcache: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Set hello message interval
		:type hello_interval: (int)
		
		.. note::
			* range - ['-32768..32767']

		:param nbr_timeout: Set neighbor timeout
		:type nbr_timeout: (int)
		
		.. note::
			* range - ['-32768..32767']

		:param inactivity_timer: Set inactivity interval
		:type inactivity_timer: (int)
		
		.. note::
			* range - ['-32768..32767']

		:param message_interval: Set periodic join/prune message interval
		:type message_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bsr_msg_interval: Set Bootstrap message interval
		:type bsr_msg_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rp_adv_interval: Set RP candidate advertisement message interval
		:type rp_adv_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spt_threshold: Set threshold for switching to shortest-path-tree
		:type spt_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, reset_tracking_bit=reset_tracking_bit, max_mcache=max_mcache, hello_interval=hello_interval, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, bsr_msg_interval=bsr_msg_interval, rp_adv_interval=rp_adv_interval, spt_threshold=spt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_hello_interval_update(self, rbridge_id=None, max_mcache=None, hello_interval=None, nbr_timeout=None, inactivity_timer=None, message_interval=None, spt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param max_mcache: Set maximum PIM mcache
		:type max_mcache: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Set hello message interval
		:type hello_interval: (int)
		
		.. note::
			* range - ['-32768..32767']

		:param nbr_timeout: Set neighbor timeout
		:type nbr_timeout: (int)
		
		.. note::
			* range - ['-32768..32767']

		:param inactivity_timer: Set inactivity interval
		:type inactivity_timer: (int)
		
		.. note::
			* range - ['-32768..32767']

		:param message_interval: Set periodic join/prune message interval
		:type message_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spt_threshold: Set threshold for switching to shortest-path-tree
		:type spt_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, max_mcache=max_mcache, hello_interval=hello_interval, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, spt_threshold=spt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_rp_address_update(self, rbridge_id=None, rp_address=None, prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param rp_address: kwarg tuple.
		:type rp_address: (rp_ip_addr, prefix_list).

		:param rp_ip_addr: tuple arg.
		:type rp_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param prefix_list: Prefix list
		:type prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param prefix_list: Prefix list
		:type prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, prefix_list'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_address=rp_address, prefix_list=prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_rp_candidate_interface_update(self, rbridge_id=None, rp_cand_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param rp_cand_interface: kwarg tuple.
		:type rp_cand_interface: (rp_cand_intf_type, rp_cand_intf_id).

		:param rp_cand_intf_type: tuple arg.
		:type rp_cand_intf_type: (unicode)
		
		.. note::
			* enum - [u'port-channel', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet']

		:param rp_cand_intf_id: Interface ID
		:type rp_cand_intf_id: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rp_cand_interface', 'keyval': 'rp_cand_intf_type, rp_cand_intf_id', 'extra_keyval': 'rp_cand_intf_type, rp_cand_intf_id'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rp_cand_interface=rp_cand_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_engineid_update(self, rbridge_id=None, local_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param local_: Agent's (Local) engine Id
		:type local_: (unicode)
		
		.. note::
			* pattern - [0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.engineID', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.engineID', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.engineID', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, local_=local_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_engineid_local_update(self, rbridge_id=None, local_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param local_: Agent's (Local) engine Id
		:type local_: (unicode)
		
		.. note::
			* pattern - [0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.engineID', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.engineID', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.engineID', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, local_=local_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_offline_if_update(self, rbridge_id=None, offline_if_display_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param offline_if_display_enable: Enable SNMP to display offline interfaces when linecard powered-off
		:type offline_if_display_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.offline_if', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.offline_if', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.offline_if', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, offline_if_display_enable=offline_if_display_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_offline_if_enable_update(self, rbridge_id=None, offline_if_display_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param offline_if_display_enable: Enable SNMP to display offline interfaces when linecard powered-off
		:type offline_if_display_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.offline_if', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.offline_if', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.offline_if', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, offline_if_display_enable=offline_if_display_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_three_tuple_if_update(self, rbridge_id=None, three_tuple_if_display_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param three_tuple_if_display_enable: Enable SNMP to display ifDescr and ifName in 3-tuple format
		:type three_tuple_if_display_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, three_tuple_if_display_enable=three_tuple_if_display_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_three_tuple_if_enable_update(self, rbridge_id=None, three_tuple_if_display_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param three_tuple_if_display_enable: Enable SNMP to display ifDescr and ifName in 3-tuple format
		:type three_tuple_if_display_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.three_tuple_if', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, three_tuple_if_display_enable=three_tuple_if_display_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_user_update(self, rbridge_id=None, user=None, groupname=None, auth=None, auth_password=None, priv=None, priv_password=None, encrypted=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param user: kwarg tuple.
		:type user: (username, groupname, auth, auth_password, priv, priv_password, encrypted).

		:param username: tuple arg.
		:type username: (unicode)
		
		.. note::
			* length - [u'1 .. 25']

		:param groupname: tuple arg.
		:type groupname: (unicode)

		:param auth: Authorization protocol for username
(Default=noauth)
		:type auth: (unicode)
		
		.. note::
			* enum - [u'sha', u'noauth', u'md5']

		:param auth_password: Authorization password associated with
username
		:type auth_password: (unicode)

		:param priv: Privacy protocol for username (Default=nopriv)
		:type priv: (unicode)
		
		.. note::
			* enum - [u'AES128', u'DES', u'nopriv']

		:param priv_password: Privacy password associated with username
		:type priv_password: (unicode)

		:param encrypted: This flag is used to enter the auth/priv
passwords as encrypted.(Default=disable)
		:type encrypted: (YANGBool)

	**This Instance Arg(s)**:
		:param groupname: kwarg.
		:type groupname: (unicode)

		:param auth: Authorization protocol for username
(Default=noauth)
		:type auth: (unicode)
		
		.. note::
			* enum - [u'sha', u'noauth', u'md5']

		:param auth_password: Authorization password associated with
username
		:type auth_password: (unicode)

		:param priv: Privacy protocol for username (Default=nopriv)
		:type priv: (unicode)
		
		.. note::
			* enum - [u'AES128', u'DES', u'nopriv']

		:param priv_password: Privacy password associated with username
		:type priv_password: (unicode)

		:param encrypted: This flag is used to enter the auth/priv
passwords as encrypted.(Default=disable)
		:type encrypted: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.user', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.user', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.user', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, user=user, groupname=groupname, auth=auth, auth_password=auth_password, priv=priv, priv_password=priv_password, encrypted=encrypted)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_v3host_update(self, rbridge_id=None, v3host=None, udp_port=None, notifytype=None, engineid=None, severity_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param v3host: kwarg tuple.
		:type v3host: (hostip, username).

		:param hostip: ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
		:type hostip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param username: Username associated with notification type.
		:type username: (unicode)

	**This Instance Arg(s)**:
		:param udp_port: Port number used to send notifications.
(Default=162)
		:type udp_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param notifytype: Type of notification sent to host.
(Default=traps)
		:type notifytype: (unicode)
		
		.. note::
			* enum - [u'informs', u'traps']

		:param engineid: Manager's (Remote) engine Id.
		:type engineid: (unicode)

		:param severity_level: Severity level associated with traps
		:type severity_level: (unicode)
		
		.. note::
			* enum - [u'Info', u'None', u'Critical', u'Warning', u'Error', u'Debug']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.snmp_server.v3host', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, v3host=v3host, udp_port=udp_port, notifytype=notifytype, engineid=engineid, severity_level=severity_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_spanning_tree_ieee_bpdu_update(self, rbridge_id=None, limit_vlan_flood=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param limit_vlan_flood: Limits flooding of IEEE BPDU within same VLAN
		:type limit_vlan_flood: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, limit_vlan_flood=limit_vlan_flood)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_spanning_tree_ieee_bpdu_limit_vlan_flood_update(self, rbridge_id=None, limit_vlan_flood=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param limit_vlan_flood: Limits flooding of IEEE BPDU within same VLAN
		:type limit_vlan_flood: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.spanning_tree.ieee_bpdu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, limit_vlan_flood=limit_vlan_flood)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_client_update(self, rbridge_id=None, cipher=None, mac=None, key_exchange=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param cipher: Configure Cipher(s)
		:type cipher: (unicode)

		:param mac: Configure MAC algorithm(s)
		:type mac: (unicode)

		:param key_exchange: Configure Key-exchange algorithm
		:type key_exchange: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.client', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.client', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.client', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, cipher=cipher, mac=mac, key_exchange=key_exchange)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_client_cipher_update(self, rbridge_id=None, cipher=None, mac=None, key_exchange=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param cipher: Configure Cipher(s)
		:type cipher: (unicode)

		:param mac: Configure MAC algorithm(s)
		:type mac: (unicode)

		:param key_exchange: Configure Key-exchange algorithm
		:type key_exchange: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.client', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.client', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.client', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, cipher=cipher, mac=mac, key_exchange=key_exchange)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_cipher_update(self, rbridge_id=None, shutdown=None, key_exchange=None, rekey_interval=None, cipher=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param shutdown: Shutdown SSH Server
		:type shutdown: (YANGBool)

		:param key_exchange: Configure Key Exchange algorithm(s))
		:type key_exchange: (unicode)

		:param rekey_interval: Time interval for session rekeying
		:type rekey_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cipher: Configure Cipher(s)
		:type cipher: (unicode)

		:param mac: Configure MAC algorithm(s)
		:type mac: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, shutdown=shutdown, key_exchange=key_exchange, rekey_interval=rekey_interval, cipher=cipher, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_key_update(self, rbridge_id=None, rsa=None, ecdsa=None, dsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rsa: RSA Algorithm type
		:type rsa: (unicode)
		
		.. note::
			* enum - [u'1024', u'2048']

		:param ecdsa: ECDSA Algorithm type
		:type ecdsa: (unicode)
		
		.. note::
			* enum - [u'256']

		:param dsa: DSA Algorithm type
		:type dsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server.key', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server.key', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rsa=rsa, ecdsa=ecdsa, dsa=dsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_key_dsa_update(self, rbridge_id=None, rsa=None, ecdsa=None, dsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rsa: RSA Algorithm type
		:type rsa: (unicode)
		
		.. note::
			* enum - [u'1024', u'2048']

		:param ecdsa: ECDSA Algorithm type
		:type ecdsa: (unicode)
		
		.. note::
			* enum - [u'256']

		:param dsa: DSA Algorithm type
		:type dsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server.key', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server.key', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, rsa=rsa, ecdsa=ecdsa, dsa=dsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_standby_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: Enable standby SSH
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server.standby', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server.standby', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.standby', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_standby_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: Enable standby SSH
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server.standby', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server.standby', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.standby', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_use_vrf_update(self, rbridge_id=None, use_vrf=None, ssh_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param use_vrf: kwarg tuple.
		:type use_vrf: (use_vrf_name, ssh_vrf_shutdown).

		:param use_vrf_name: tuple arg.
		:type use_vrf_name: (unicode)
		
		.. note::
			* length - [u'0 .. max']

		:param ssh_vrf_shutdown: Shutdown SSH server on given vrf
		:type ssh_vrf_shutdown: (YANGBool)

	**This Instance Arg(s)**:
		:param ssh_vrf_shutdown: Shutdown SSH server on given vrf
		:type ssh_vrf_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf, ssh_vrf_shutdown=ssh_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_switch_attributes_update(self, rbridge_id=None, chassis_name=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param chassis_name: Chassis name
		:type chassis_name: (unicode)
		
		.. note::
			* length - [u'1..30']

		:param host_name: Host name
		:type host_name: (unicode)
		
		.. note::
			* length - [u'1..30']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.switch_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.switch_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.switch_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, chassis_name=chassis_name, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_switch_attributes_chassis_name_update(self, rbridge_id=None, chassis_name=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param chassis_name: Chassis name
		:type chassis_name: (unicode)
		
		.. note::
			* length - [u'1..30']

		:param host_name: Host name
		:type host_name: (unicode)
		
		.. note::
			* length - [u'1..30']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.switch_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.switch_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.switch_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, chassis_name=chassis_name, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_max_update(self, rbridge_id=None, arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param arp: Maximum number of arps system will allocate
		:type arp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_max', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_max', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_max', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, arp=arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_max_arp_update(self, rbridge_id=None, arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param arp: Maximum number of arps system will allocate
		:type arp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_max', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_max', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_max', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, arp=arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_mode_update(self, rbridge_id=None, maintenance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param maintenance: Enable maintenance mode
		:type maintenance: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.system_mode', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_mode', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, maintenance=maintenance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_mode_maintenance_update(self, rbridge_id=None, maintenance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param maintenance: Enable maintenance mode
		:type maintenance: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.system_mode', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_mode', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, maintenance=maintenance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_cid_card_alert_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param state: Supported states for component:CID-CARD
that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when
component:CID-CARD changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_cid_card_alert_action_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param state: Supported states for component:CID-CARD
that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when
component:CID-CARD changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_cid_card_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to MARGINAL
state of component:CID-CARD
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to DOWN
state of component:CID-CARD
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_cid_card_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to MARGINAL
state of component:CID-CARD
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to DOWN
state of component:CID-CARD
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_compact_flash_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to MARGINAL
state of component:COMPACT-FLASH
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to DOWN
state of component:COMPACT-FLASH
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_compact_flash_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to MARGINAL
state of component:COMPACT-FLASH
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to DOWN
state of component:COMPACT-FLASH
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_fan_alert_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param state: Supported states for component:FAN 
that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when 
component:FAN changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_fan_alert_action_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param state: Supported states for component:FAN 
that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when 
component:FAN changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_fan_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:FAN
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:FAN
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_fan_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:FAN
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:FAN
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_linecard_alert_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param state: Supported states for component:LINECARD
that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when
component:LINECARD changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_linecard_alert_action_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param state: Supported states for component:LINECARD
that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when
component:LINECARD changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_linecard_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:LineCard
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:LineCard
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_linecard_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:LineCard
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:LineCard
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_mm_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:MM
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:MM
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_mm_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:MM
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:MM
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_power_alert_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param state: Supported states for component:
POWER-SUPPLY that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when
component:POWER SUPPLY changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.power.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_power_alert_action_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param state: Supported states for component:
POWER-SUPPLY that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when
component:POWER SUPPLY changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.power.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_power_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:POWER SUPPLY
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
DOWN state of component:POWER SUPPLY
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_power_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:POWER SUPPLY
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
DOWN state of component:POWER SUPPLY
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_sfm_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:SFM
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:SFM
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_sfm_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:SFM
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:SFM
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_sfp_alert_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param state: Supported states for component:
SFP that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'none', u'removed', u'inserted', u'faulty', u'all']

		:param action: Action that may be taken when
component:SFP changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_sfp_alert_action_update(self, rbridge_id=None, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param state: Supported states for component:
SFP that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'none', u'removed', u'inserted', u'faulty', u'all']

		:param action: Action that may be taken when
component:SFP changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_temp_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to MARGINAL 
state of component:TEMPERATURE SENSOR
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to DOWN
state of component:TEMPERATURE SENSOR
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_system_monitor_temp_threshold_down_threshold_update(self, rbridge_id=None, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to MARGINAL 
state of component:TEMPERATURE SENSOR
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to DOWN
state of component:TEMPERATURE SENSOR
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_telnet_server_shutdown_update(self, rbridge_id=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param shutdown: Shutdown Telnet Server
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.telnet.server', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.telnet.server', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_telnet_server_standby_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: Enable Standby Telnet
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.telnet.server.standby', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.telnet.server.standby', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.standby', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_telnet_server_standby_enable_update(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param enable: Enable Standby Telnet
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.telnet.server.standby', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.telnet.server.standby', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.standby', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_telnet_server_use_vrf_update(self, rbridge_id=None, use_vrf=None, telnet_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param use_vrf: kwarg tuple.
		:type use_vrf: (use_vrf_name, telnet_vrf_shutdown).

		:param use_vrf_name: tuple arg.
		:type use_vrf_name: (unicode)
		
		.. note::
			* length - [u'0 .. max']

		:param telnet_vrf_shutdown: Shutdown telnet server on given vrf
		:type telnet_vrf_shutdown: (YANGBool)

	**This Instance Arg(s)**:
		:param telnet_vrf_shutdown: Shutdown telnet server on given vrf
		:type telnet_vrf_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, use_vrf=use_vrf, telnet_vrf_shutdown=telnet_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_buffer_update(self, rbridge_id=None, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param poll: NUMBER:10-3600 Polling interval
		:type poll: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry: NUMBER:1-100 Number of retries
		:type retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param limit: PERCENT:0-80 Percent threshold usage for component:Buffer
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param actions: Action to be taken when usage exceeds limit
		:type actions: (unicode)
		
		.. note::
			* enum - [u'loginfo', u'none', u'raslog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, actions'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_buffer_actions_update(self, rbridge_id=None, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param poll: NUMBER:10-3600 Polling interval
		:type poll: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry: NUMBER:1-100 Number of retries
		:type retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param limit: PERCENT:0-80 Percent threshold usage for component:Buffer
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param actions: Action to be taken when usage exceeds limit
		:type actions: (unicode)
		
		.. note::
			* enum - [u'loginfo', u'none', u'raslog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_cpu_update(self, rbridge_id=None, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param poll: NUMBER:10-3600 Polling interval
		:type poll: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry: NUMBER:1-100 Number of retries
		:type retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param limit: PERCENT:0-80 Percent threshold usage for component:CPU
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param actions: Action to be taken when usage exceeds limit
		:type actions: (unicode)
		
		.. note::
			* enum - [u'none', u'raslog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, actions'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_cpu_actions_update(self, rbridge_id=None, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param poll: NUMBER:10-3600 Polling interval
		:type poll: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry: NUMBER:1-100 Number of retries
		:type retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param limit: PERCENT:0-80 Percent threshold usage for component:CPU
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param actions: Action to be taken when usage exceeds limit
		:type actions: (unicode)
		
		.. note::
			* enum - [u'none', u'raslog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param apply: Apply configuration
		:type apply: (unicode)

		:param pause: Pause monitoring
		:type pause: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_apply_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param apply: Apply configuration
		:type apply: (unicode)

		:param pause: Pause monitoring
		:type pause: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_alert_above_update(self, rbridge_id=None, policy=None, area=None, above_highthresh_action=None, above_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: Interface types that can be configured independent of speed
		:type type: (unicode)
		
		.. note::
			* enum - [u'Ethernet']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

	**This Instance Arg(s)**:
		:param above_highthresh_action: kwarg.
		:type above_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'raslog', u'none', u'all', u'fence', u'email']

		:param above_lowthresh_action: kwarg.
		:type above_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action, above_lowthresh_action=above_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_alert_above_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, above_highthresh_action=None, above_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: Interface types that can be configured independent of speed
		:type type: (unicode)
		
		.. note::
			* enum - [u'Ethernet']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

	**This Instance Arg(s)**:
		:param above_highthresh_action: kwarg.
		:type above_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'raslog', u'none', u'all', u'fence', u'email']

		:param above_lowthresh_action: kwarg.
		:type above_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action, above_lowthresh_action=above_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_alert_below_update(self, rbridge_id=None, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: Interface types that can be configured independent of speed
		:type type: (unicode)
		
		.. note::
			* enum - [u'Ethernet']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

	**This Instance Arg(s)**:
		:param below_highthresh_action: kwarg.
		:type below_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param below_lowthresh_action: kwarg.
		:type below_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_alert_below_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: Interface types that can be configured independent of speed
		:type type: (unicode)
		
		.. note::
			* enum - [u'Ethernet']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

	**This Instance Arg(s)**:
		:param below_highthresh_action: kwarg.
		:type below_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param below_lowthresh_action: kwarg.
		:type below_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_threshold_update(self, rbridge_id=None, policy=None, area=None, timebase_value=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: Interface types that can be configured independent of speed
		:type type: (unicode)
		
		.. note::
			* enum - [u'Ethernet']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

	**This Instance Arg(s)**:
		:param timebase_value: Configure timebase for monitoring
		:type timebase_value: (unicode)
		
		.. note::
			* enum - [u'none', u'minute', u'hour', u'day']

		:param high_threshold: High threshold value
		:type high_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param low_threshold: Low threshold value
		:type low_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param buffer: Buffer threshold value
		:type buffer: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'timebase_value, high_threshold, low_threshold, buffer'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, timebase_value=timebase_value, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_threshold_buffer_update(self, rbridge_id=None, policy=None, area=None, timebase_value=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: Interface types that can be configured independent of speed
		:type type: (unicode)
		
		.. note::
			* enum - [u'Ethernet']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

	**This Instance Arg(s)**:
		:param timebase_value: Configure timebase for monitoring
		:type timebase_value: (unicode)
		
		.. note::
			* enum - [u'none', u'minute', u'hour', u'day']

		:param high_threshold: High threshold value
		:type high_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param low_threshold: Low threshold value
		:type low_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param buffer: Buffer threshold value
		:type buffer: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, timebase_value=timebase_value, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_memory_update(self, rbridge_id=None, poll=None, retry=None, limit=None, high_limit=None, low_limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param poll: Polling interval
		:type poll: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry: NUMBER:0-100: Number of retries for component:MEMORY
		:type retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param limit: PERCENT:0-80 : Percent threshold usage for component:MEMORY
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param high_limit: PERCENT:0-80 : Percent high threshold usage for component:MEMORY
		:type high_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param low_limit: PERCENT:0-80 : Percent low threshold usage for component:MEMORY
		:type low_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param actions: Action to be taken when usage exceeds limit
		:type actions: (unicode)
		
		.. note::
			* enum - [u'none', u'raslog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, high_limit, low_limit, actions'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, high_limit=high_limit, low_limit=low_limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_memory_actions_update(self, rbridge_id=None, poll=None, retry=None, limit=None, high_limit=None, low_limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param poll: Polling interval
		:type poll: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry: NUMBER:0-100: Number of retries for component:MEMORY
		:type retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param limit: PERCENT:0-80 : Percent threshold usage for component:MEMORY
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param high_limit: PERCENT:0-80 : Percent high threshold usage for component:MEMORY
		:type high_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param low_limit: PERCENT:0-80 : Percent low threshold usage for component:MEMORY
		:type low_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param actions: Action to be taken when usage exceeds limit
		:type actions: (unicode)
		
		.. note::
			* enum - [u'none', u'raslog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, poll=poll, retry=retry, limit=limit, high_limit=high_limit, low_limit=low_limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param apply: Apply configuration
		:type apply: (unicode)

		:param pause: Pause monitoring
		:type pause: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_apply_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param apply: Apply configuration
		:type apply: (unicode)

		:param pause: Pause monitoring
		:type pause: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_update(self, rbridge_id=None, policy=None, area=None, timebase=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param timebase: Configure timebase for monitoring
		:type timebase: (unicode)
		
		.. note::
			* enum - [u'none', u'minute', u'hour', u'day']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, timebase=timebase)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_alert_above_update(self, rbridge_id=None, policy=None, area=None, sec_above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param sec_above_highthresh_action: kwarg.
		:type sec_above_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_alert_above_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, sec_above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param sec_above_highthresh_action: kwarg.
		:type sec_above_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_alert_below_update(self, rbridge_id=None, policy=None, area=None, sec_below_highthresh_action=None, sec_below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param sec_below_highthresh_action: kwarg.
		:type sec_below_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param sec_below_lowthresh_action: kwarg.
		:type sec_below_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action, sec_below_lowthresh_action=sec_below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_alert_below_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, sec_below_highthresh_action=None, sec_below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param sec_below_highthresh_action: kwarg.
		:type sec_below_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param sec_below_lowthresh_action: kwarg.
		:type sec_below_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action, sec_below_lowthresh_action=sec_below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_threshold_update(self, rbridge_id=None, policy=None, area=None, sec_high_threshold=None, sec_low_threshold=None, sec_buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param sec_high_threshold: High threshold value
		:type sec_high_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param sec_low_threshold: Low threshold value
		:type sec_low_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param sec_buffer: Buffer threshold value
		:type sec_buffer: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'sec_high_threshold, sec_low_threshold, sec_buffer'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, sec_high_threshold=sec_high_threshold, sec_low_threshold=sec_low_threshold, sec_buffer=sec_buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_threshold_buffer_update(self, rbridge_id=None, policy=None, area=None, sec_high_threshold=None, sec_low_threshold=None, sec_buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param sec_high_threshold: High threshold value
		:type sec_high_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param sec_low_threshold: Low threshold value
		:type sec_low_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param sec_buffer: Buffer threshold value
		:type sec_buffer: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, sec_high_threshold=sec_high_threshold, sec_low_threshold=sec_low_threshold, sec_buffer=sec_buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param apply: Apply configuration
		:type apply: (unicode)

		:param pause: Pause monitoring
		:type pause: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_apply_update(self, rbridge_id=None, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param apply: Apply configuration
		:type apply: (unicode)

		:param pause: Pause monitoring
		:type pause: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_alert_above_update(self, rbridge_id=None, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: SFP types that can be configured
		:type type: (unicode)
		
		.. note::
			* enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

	**This Instance Arg(s)**:
		:param above_highthresh_action: kwarg.
		:type above_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_alert_above_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: SFP types that can be configured
		:type type: (unicode)
		
		.. note::
			* enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

	**This Instance Arg(s)**:
		:param above_highthresh_action: kwarg.
		:type above_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_alert_below_update(self, rbridge_id=None, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: SFP types that can be configured
		:type type: (unicode)
		
		.. note::
			* enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

	**This Instance Arg(s)**:
		:param below_highthresh_action: kwarg.
		:type below_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param below_lowthresh_action: kwarg.
		:type below_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_alert_below_highthresh_action_update(self, rbridge_id=None, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: SFP types that can be configured
		:type type: (unicode)
		
		.. note::
			* enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

	**This Instance Arg(s)**:
		:param below_highthresh_action: kwarg.
		:type below_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param below_lowthresh_action: kwarg.
		:type below_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_threshold_update(self, rbridge_id=None, policy=None, area=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: SFP types that can be configured
		:type type: (unicode)
		
		.. note::
			* enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

	**This Instance Arg(s)**:
		:param high_threshold: High threshold value
		:type high_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param low_threshold: Low threshold value
		:type low_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param buffer: Buffer threshold value
		:type buffer: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'high_threshold, low_threshold, buffer'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_threshold_buffer_update(self, rbridge_id=None, policy=None, area=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: SFP types that can be configured
		:type type: (unicode)
		
		.. note::
			* enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

	**This Instance Arg(s)**:
		:param high_threshold: High threshold value
		:type high_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param low_threshold: Low threshold value
		:type low_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param buffer: Buffer threshold value
		:type buffer: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, policy=policy, area=area, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vcs_auto_shut_update(self, rbridge_id=None, lag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param lag: Enable auto-shut of lag in case of fabric segmentation
		:type lag: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vcs.auto_shut', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vcs.auto_shut', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vcs.auto_shut', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.vcs.auto_shut', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, lag=lag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vcs_auto_shut_lag_update(self, rbridge_id=None, lag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param lag: Enable auto-shut of lag in case of fabric segmentation
		:type lag: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vcs.auto_shut', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vcs.auto_shut', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vcs.auto_shut', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.vcs.auto_shut', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, lag=lag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_update(self, rbridge_id=None, vrf=None, route_distiniguisher=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param route_distiniguisher: Configure Route Distinguisher
		:type route_distiniguisher: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_distiniguisher=route_distiniguisher)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_update(self, rbridge_id=None, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param max_route: Maximum number of routes allowed in this routing table
		:type max_route: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_arp_update(self, rbridge_id=None, vrf=None, arp_entry=None, mac_address_value=None, interfacename=None, GigabitEthernet=None, TenGigabitEthernet=None, FortyGigabitEthernet=None, HundredGigabitEthernet=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Keyword Arg Tuple**:
		:param arp_entry: kwarg tuple.
		:type arp_entry: (arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve).

		:param arp_ip_address: A.B.C.D;; IP address of the ARP entry
		:type arp_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param mac_address_value: tuple arg.
		:type mac_address_value: (unicode)

		:param interfacename: tuple arg.
		:type interfacename: (unicode)
		
		.. note::
			* enum - [u'interface']

		:param GigabitEthernet: tuple arg.
		:type GigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param TenGigabitEthernet: tuple arg.
		:type TenGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param FortyGigabitEthernet: tuple arg.
		:type FortyGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param HundredGigabitEthernet: tuple arg.
		:type HundredGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param Ve: tuple arg.
		:type Ve: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mac_address_value: kwarg.
		:type mac_address_value: (unicode)

		:param interfacename: kwarg.
		:type interfacename: (unicode)
		
		.. note::
			* enum - [u'interface']

		:param GigabitEthernet: kwarg.
		:type GigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param TenGigabitEthernet: kwarg.
		:type TenGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param FortyGigabitEthernet: kwarg.
		:type FortyGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param HundredGigabitEthernet: kwarg.
		:type HundredGigabitEthernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param Ve: kwarg.
		:type Ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, GigabitEthernet=GigabitEthernet, TenGigabitEthernet=TenGigabitEthernet, FortyGigabitEthernet=FortyGigabitEthernet, HundredGigabitEthernet=HundredGigabitEthernet, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_export_update(self, rbridge_id=None, vrf=None, map_export=None, evpn_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param map_export: Route-map filter to be applied on export route
		:type map_export: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param evpn_export: Filter routes from EVPN
		:type evpn_export: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_export, evpn_export'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export, evpn_export=evpn_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_export_evpn_update(self, rbridge_id=None, vrf=None, map_export=None, evpn_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param map_export: Route-map filter to be applied on export route
		:type map_export: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param evpn_export: Filter routes from EVPN
		:type evpn_export: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export, evpn_export=evpn_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_import_update(self, rbridge_id=None, vrf=None, map_import=None, evpn_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param map_import: Route-map filter to be applied on import route
		:type map_import: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param evpn_import: Filter routes from EVPN
		:type evpn_import: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_import, evpn_import'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import, evpn_import=evpn_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_import_evpn_update(self, rbridge_id=None, vrf=None, map_import=None, evpn_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param map_import: Route-map filter to be applied on import route
		:type map_import: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param evpn_import: Filter routes from EVPN
		:type evpn_import: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import, evpn_import=evpn_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_distance_update(self, rbridge_id=None, vrf=None, static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param static_route_nh: kwarg tuple.
		:type static_route_nh: (static_route_dest, static_route_next_hop).

		:param static_route_dest: A.B.C.D/L ;; Destination IP address
		:type static_route_dest: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param static_route_next_hop: A.B.C.D ;; Next hop IP address
		:type static_route_next_hop: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param metric: Cost metric
		:type metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param distance: Route distance
		:type distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tag: Tag value for this route
		:type tag: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh, metric=metric, distance=distance, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_bfd_interval_update(self, rbridge_id=None, vrf=None, bfd_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param bfd_static_route: kwarg tuple.
		:type bfd_static_route: (bfd_static_route_dest, bfd_static_route_src).

		:param bfd_static_route_dest: A.B.C.D ;; Destination IP address
		:type bfd_static_route_dest: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param bfd_static_route_src: A.B.C.D ;; Source IP address
		:type bfd_static_route_src: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param interval: Transmit interval
		:type interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param min_rx: Receive interval
		:type min_rx: (int)
		
		.. note::
			* range - ['0..65535']

		:param multiplier: Multiplier value
		:type multiplier: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, bfd_static_route=bfd_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_max_route_update(self, rbridge_id=None, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param max_route: Maximum number of routes allowed in this routing table
		:type max_route: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_route_target_update(self, rbridge_id=None, vrf=None, route_target=None, evpn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Keyword Arg Tuple**:
		:param route_target: kwarg tuple.
		:type route_target: (action, target_community).

		:param action: tuple arg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'import', u'export', u'both']

		:param target_community: ASN:nn;; Target VPN Extended Community
		:type target_community: (unicode)

	**This Instance Arg(s)**:
		:param evpn: EVPN Route target
		:type evpn: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_update(self, rbridge_id=None, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param max_route: Maximum number of routes allowed in this routing table
		:type max_route: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_export_update(self, rbridge_id=None, vrf=None, map_export=None, evpn_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param map_export: Route-map filter to be applied on export route
		:type map_export: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param evpn_export: Filter routes from EVPN
		:type evpn_export: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_export, evpn_export'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export, evpn_export=evpn_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_export_evpn_update(self, rbridge_id=None, vrf=None, map_export=None, evpn_export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param map_export: Route-map filter to be applied on export route
		:type map_export: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param evpn_export: Filter routes from EVPN
		:type evpn_export: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, map_export=map_export, evpn_export=evpn_export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_import_update(self, rbridge_id=None, vrf=None, map_import=None, evpn_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param map_import: Route-map filter to be applied on import route
		:type map_import: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param evpn_import: Filter routes from EVPN
		:type evpn_import: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'map_import, evpn_import'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import, evpn_import=evpn_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_import_evpn_update(self, rbridge_id=None, vrf=None, map_import=None, evpn_import=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param map_import: Route-map filter to be applied on import route
		:type map_import: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param evpn_import: Filter routes from EVPN
		:type evpn_import: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, map_import=map_import, evpn_import=evpn_import)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_distance_update(self, rbridge_id=None, vrf=None, link_local_static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param link_local_static_route_nh: kwarg tuple.
		:type link_local_static_route_nh: (link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name).

		:param link_local_static_route_dest: A:B::C:D/LEN ;; Destination IPv6 Prefix
		:type link_local_static_route_dest: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param link_local_nexthop: A:B::C:D ;; Next hop IPv6 address
		:type link_local_nexthop: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local_route_oif_type: Outgoing interface type
		:type link_local_route_oif_type: (unicode)
		
		.. note::
			* enum - [u'management', u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

		:param link_local_route_oif_name: tuple arg.
		:type link_local_route_oif_name: (unicode)
		
		.. note::
			* length - [u'1..16']

	**This Instance Arg(s)**:
		:param metric: Cost metric
		:type metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param distance: Route distance
		:type distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tag: Tag value for this route
		:type tag: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, metric=metric, distance=distance, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_interval_update(self, rbridge_id=None, vrf=None, bfd_ipv6_link_local_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param bfd_ipv6_link_local_static_route: kwarg tuple.
		:type bfd_ipv6_link_local_static_route: (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name).

		:param bfd_ipv6_link_local_dest: A:B::C:D ;; Destination IPv6 address
		:type bfd_ipv6_link_local_dest: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param bfd_ipv6_link_local_src: A:B::C:D ;; Source IPv6 address
		:type bfd_ipv6_link_local_src: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param bfd_interface_type: Outgoing interface type
		:type bfd_interface_type: (unicode)
		
		.. note::
			* enum - [u've', u'fortygigabitethernet', u'gigabitethernet', u'tengigabitethernet', u'hundredgigabitethernet', u'null']

		:param bfd_interface_name: tuple arg.
		:type bfd_interface_name: (unicode)
		
		.. note::
			* length - [u'1..16']

	**This Instance Arg(s)**:
		:param interval: Transmit interval
		:type interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param min_rx: Receive interval
		:type min_rx: (int)
		
		.. note::
			* range - ['0..65535']

		:param multiplier: Multiplier value
		:type multiplier: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_max_route_update(self, rbridge_id=None, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param max_route: Maximum number of routes allowed in this routing table
		:type max_route: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_route_target_update(self, rbridge_id=None, vrf=None, route_target=None, evpn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Keyword Arg Tuple**:
		:param route_target: kwarg tuple.
		:type route_target: (action, target_community).

		:param action: tuple arg.
		:type action: (unicode)
		
		.. note::
			* enum - [u'import', u'export', u'both']

		:param target_community: ASN:nn;; Target VPN Extended Community
		:type target_community: (unicode)

	**This Instance Arg(s)**:
		:param evpn: EVPN Route target
		:type evpn: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_0_1a.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_ip_update(self, rbridge_id=None, vrf=None, vrf_router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param vrf_router_id: Change the router ID already in use
		:type vrf_router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, vrf_router_id=vrf_router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_ip_router_id_update(self, rbridge_id=None, vrf=None, vrf_router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param vrf_router_id: Change the router ID already in use
		:type vrf_router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrf.ip', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrf.ip', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrf.ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrf=vrf, vrf_router_id=vrf_router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrrp_update(self, rbridge_id=None, early_startup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param early_startup: Specific use only - launch VRRP daemon earlier than default settings.
		:type early_startup: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrrp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrrp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, early_startup=early_startup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrrp_acceptmode_disable_update(self, rbridge_id=None, vrrp_acceptmode_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vrrp_acceptmode_disable: Disable accept mode  for the non owner vrrp vip
		:type vrrp_acceptmode_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrrp_rbridge_global', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrrp_rbridge_global', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrrp_rbridge_global', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, vrrp_acceptmode_disable=vrrp_acceptmode_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrrp_early_startup_update(self, rbridge_id=None, early_startup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param early_startup: Specific use only - launch VRRP daemon earlier than default settings.
		:type early_startup: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1a.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2b.rbridge_id.vrrp', 'pybind.nos.v6_0_2b.brocade_rbridge', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rbridge_id.vrrp', 'pybind.nos.v7_0_1a.brocade_rbridge', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rbridge_id.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, early_startup=early_startup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def reserved_vlan_update(self, reserved_vlan_start=None, reserved_vlan_end=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param reserved_vlan_start: kwarg.
		:type reserved_vlan_start: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reserved_vlan_end: kwarg.
		:type reserved_vlan_end: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.reserved_vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.reserved_vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.reserved_vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, reserved_vlan_start=reserved_vlan_start, reserved_vlan_end=reserved_vlan_end)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rmon_alarm_update(self, alarm_entry=None, snmp_oid=None, alarm_interval=None, alarm_sample=None, alarm_rising_threshold=None, alarm_rising_event_index=None, alarm_falling_threshold=None, alarm_falling_event_index=None, alarm_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param alarm_entry: kwarg tuple.
		:type alarm_entry: (alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner).

		:param alarm_index: tuple arg.
		:type alarm_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param snmp_oid: tuple arg.
		:type snmp_oid: (unicode)
		
		.. note::
			* length - [u'min .. 35']

		:param alarm_interval: Alarm sample interval
		:type alarm_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param alarm_sample: tuple arg.
		:type alarm_sample: (unicode)
		
		.. note::
			* enum - [u'absolute', u'delta']

		:param alarm_rising_threshold: Alarm rising threshold
		:type alarm_rising_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param alarm_rising_event_index: Event for rising alarm
		:type alarm_rising_event_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param alarm_falling_threshold: Alarm falling threshold
		:type alarm_falling_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param alarm_falling_event_index: Event for falling alarm
		:type alarm_falling_event_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param alarm_owner: Owner identity
		:type alarm_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

	**This Instance Arg(s)**:
		:param snmp_oid: kwarg.
		:type snmp_oid: (unicode)
		
		.. note::
			* length - [u'min .. 35']

		:param alarm_interval: Alarm sample interval
		:type alarm_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param alarm_sample: kwarg.
		:type alarm_sample: (unicode)
		
		.. note::
			* enum - [u'absolute', u'delta']

		:param alarm_rising_threshold: Alarm rising threshold
		:type alarm_rising_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param alarm_rising_event_index: Event for rising alarm
		:type alarm_rising_event_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param alarm_falling_threshold: Alarm falling threshold
		:type alarm_falling_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param alarm_falling_event_index: Event for falling alarm
		:type alarm_falling_event_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param alarm_owner: Owner identity
		:type alarm_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.rmon.alarm_entry', 'pybind.nos.v6_0_2b.brocade_rmon', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rmon.alarm_entry', 'pybind.nos.v7_0_1a.brocade_rmon', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': 'alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, alarm_entry=alarm_entry, snmp_oid=snmp_oid, alarm_interval=alarm_interval, alarm_sample=alarm_sample, alarm_rising_threshold=alarm_rising_threshold, alarm_rising_event_index=alarm_rising_event_index, alarm_falling_threshold=alarm_falling_threshold, alarm_falling_event_index=alarm_falling_event_index, alarm_owner=alarm_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rmon_event_update(self, event_entry=None, event_description=None, log=None, event_community=None, event_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param event_entry: kwarg tuple.
		:type event_entry: (event_index, event_description, log, event_community, event_owner).

		:param event_index: tuple arg.
		:type event_index: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param event_description: Event description
		:type event_description: (unicode)
		
		.. note::
			* length - [u'min .. 127']

		:param log: Log the event
		:type log: (YANGBool)

		:param event_community: Send trap for the event
		:type event_community: (unicode)
		
		.. note::
			* length - [u'1 .. 127']

		:param event_owner: Owner identity
		:type event_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

	**This Instance Arg(s)**:
		:param event_description: Event description
		:type event_description: (unicode)
		
		.. note::
			* length - [u'min .. 127']

		:param log: Log the event
		:type log: (YANGBool)

		:param event_community: Send trap for the event
		:type event_community: (unicode)
		
		.. note::
			* length - [u'1 .. 127']

		:param event_owner: Owner identity
		:type event_owner: (unicode)
		
		.. note::
			* length - [u'1 .. 15']
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,14})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.rmon.event_entry', 'pybind.nos.v6_0_2b.brocade_rmon', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rmon.event_entry', 'pybind.nos.v7_0_1a.brocade_rmon', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rmon.event_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.event_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'event_entry', 'keyval': 'event_index', 'extra_keyval': 'event_index, event_description, log, event_community, event_owner'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, event_entry=event_entry, event_description=event_description, log=log, event_community=event_community, event_owner=event_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def role_name_update(self, name=None, desc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param name: kwarg tuple.
		:type name: (name, desc).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

		:param desc: Description of the role (default='')
		:type desc: (unicode)
		
		.. note::
			* length - [u'0 .. 64']

	**This Instance Arg(s)**:
		:param desc: Description of the role (default='')
		:type desc: (unicode)
		
		.. note::
			* length - [u'0 .. 64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.role.name', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.role.name', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.role.name', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.role.name', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': 'name, desc'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, name=name, desc=desc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def root_update(self, enable=None, access=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Configure root account
		:type enable: (YANGBool)

		:param access: Configure root access
		:type access: (unicode)
		
		.. note::
			* enum - [u'console']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.root_sa.root', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.root_sa.root', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.root_sa.root', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.root_sa.root', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, access=access)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def root_access_update(self, enable=None, access=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Configure root account
		:type enable: (YANGBool)

		:param access: Configure root access
		:type access: (unicode)
		
		.. note::
			* enum - [u'console']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.root_sa.root', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.root_sa.root', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.root_sa.root', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.root_sa.root', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, access=access)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_continue_update(self, route_map=None, continue_=None, continue_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param continue_: Continue clause with optional route map instance number.
		:type continue_: (YANGBool)

		:param continue_val: kwarg.
		:type continue_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.continue_holder', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.continue_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, continue_=continue_, continue_val=continue_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_update(self, route_map=None, vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param vrf: VRF name
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, vrf=vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_as_path_update(self, route_map=None, as_path_access_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param as_path_access_list_name: Access-list name.
		:type as_path_access_list_name: (unicode)
		
		.. note::
			* length - [u'1..32']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.as_path', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.as_path', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.as_path', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.as_path', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, as_path_access_list_name=as_path_access_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_community_update(self, route_map=None, community_access_list_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param community_access_list_name: kwarg.
		:type community_access_list_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.community', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.community', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.community', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, community_access_list_name=community_access_list_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_extcommunity_update(self, route_map=None, extcommunity_num=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param extcommunity_num: Extcommunity numbers
		:type extcommunity_num: (unicode)
		
		.. note::
			* pattern - ((0|[1-9][0-9]{0,1})(\s+(0|[1-9][0-9]{0,1}))*)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.extcommunity', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.extcommunity', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.extcommunity', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.extcommunity', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, extcommunity_num=extcommunity_num)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_ip_address_update(self, route_map=None, prefix_list_rmm=None, acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param prefix_list_rmm: IP prefix-list
		:type prefix_list_rmm: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param acl_rmm: IP ACL
		:type acl_rmm: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, prefix_list_rmm=prefix_list_rmm, acl_rmm=acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_ip_address_acl_update(self, route_map=None, prefix_list_rmm=None, acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param prefix_list_rmm: IP prefix-list
		:type prefix_list_rmm: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param acl_rmm: IP ACL
		:type acl_rmm: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, prefix_list_rmm=prefix_list_rmm, acl_rmm=acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_ip_next_hop_update(self, route_map=None, prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param prefix_list_rmm_n: IP prefix-list
		:type prefix_list_rmm_n: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_ip_next_hop_prefix_list_update(self, route_map=None, prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param prefix_list_rmm_n: IP prefix-list
		:type prefix_list_rmm_n: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, prefix_list_rmm_n=prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_ip_route_source_update(self, route_map=None, prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param prefix_list_rmrs: IP prefix-list
		:type prefix_list_rmrs: (unicode)
		
		.. note::
			* pattern - (\s*([a-zA-Z0-9_-]+))*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.route_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_ip_route_source_prefix_list_update(self, route_map=None, prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param prefix_list_rmrs: IP prefix-list
		:type prefix_list_rmrs: (unicode)
		
		.. note::
			* pattern - (\s*([a-zA-Z0-9_-]+))*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ip.route_source', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ip.route_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, prefix_list_rmrs=prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_ipv6_address_update(self, route_map=None, ipv6_prefix_list_rmm=None, ipv6_acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_prefix_list_rmm: IPv6 prefix-list
		:type ipv6_prefix_list_rmm: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param ipv6_acl_rmm: IPv6 ACL
		:type ipv6_acl_rmm: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm, ipv6_acl_rmm=ipv6_acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_ipv6_address_acl_update(self, route_map=None, ipv6_prefix_list_rmm=None, ipv6_acl_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_prefix_list_rmm: IPv6 prefix-list
		:type ipv6_prefix_list_rmm: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param ipv6_acl_rmm: IPv6 ACL
		:type ipv6_acl_rmm: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.address', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_prefix_list_rmm=ipv6_prefix_list_rmm, ipv6_acl_rmm=ipv6_acl_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_ipv6_next_hop_update(self, route_map=None, ipv6_prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_prefix_list_rmm_n: IPv6 prefix-list
		:type ipv6_prefix_list_rmm_n: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_ipv6_next_hop_prefix_list_update(self, route_map=None, ipv6_prefix_list_rmm_n=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_prefix_list_rmm_n: IPv6 prefix-list
		:type ipv6_prefix_list_rmm_n: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_prefix_list_rmm_n=ipv6_prefix_list_rmm_n)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_ipv6_route_source_update(self, route_map=None, ipv6_prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_prefix_list_rmrs: IPv6 prefix-list
		:type ipv6_prefix_list_rmrs: (unicode)
		
		.. note::
			* pattern - (\s*([a-zA-Z0-9_-]+))*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.route_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_ipv6_route_source_prefix_list_update(self, route_map=None, ipv6_prefix_list_rmrs=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_prefix_list_rmrs: IPv6 prefix-list
		:type ipv6_prefix_list_rmrs: (unicode)
		
		.. note::
			* pattern - (\s*([a-zA-Z0-9_-]+))*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.ipv6.route_source', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.ipv6.route_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_prefix_list_rmrs=ipv6_prefix_list_rmrs)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_metric_update(self, route_map=None, metric_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param metric_rmm: kwarg.
		:type metric_rmm: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.metric', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.metric', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.metric', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, metric_rmm=metric_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_next_hop_update(self, route_map=None, next_hop_filter_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param next_hop_filter_val: kwarg.
		:type next_hop_filter_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, next_hop_filter_val=next_hop_filter_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_protocol_update(self, route_map=None, protocol_bgp=None, bgp_route_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param protocol_bgp: BGP protocol.
		:type protocol_bgp: (YANGBool)

		:param bgp_route_type: kwarg.
		:type bgp_route_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external', u'static-network']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.protocol.bgp_protocol_container', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.protocol.bgp_protocol_container', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, protocol_bgp=protocol_bgp, bgp_route_type=bgp_route_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_protocol_static_update(self, route_map=None, static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param static: static
		:type static: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.protocol.protocol_static_container', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.protocol.protocol_static_container', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, static=static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_route_type_update(self, route_map=None, route_type_rmm=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param route_type_rmm: kwarg.
		:type route_type_rmm: (unicode)
		
		.. note::
			* enum - [u'type-1', u'internal', u'type-2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match.route_type', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match.route_type', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match.route_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match.route_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, route_type_rmm=route_type_rmm)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_match_vrf_update(self, route_map=None, vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param vrf: VRF name
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.match', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.match', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.match', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, vrf=vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_as_path_update(self, route_map=None, aspath_tag=None, prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param aspath_tag: Tag as an AS-path attribute
		:type aspath_tag: (YANGBool)

		:param prepend: Prepend to the AS-path
		:type prepend: (unicode)
		
		.. note::
			* pattern - (\s*(\d+))*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.as_path', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, aspath_tag=aspath_tag, prepend=prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_as_path_tag_update(self, route_map=None, aspath_tag=None, prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param aspath_tag: Tag as an AS-path attribute
		:type aspath_tag: (YANGBool)

		:param prepend: Prepend to the AS-path
		:type prepend: (unicode)
		
		.. note::
			* pattern - (\s*(\d+))*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.as_path', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.as_path', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, aspath_tag=aspath_tag, prepend=prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_automatic_tag_update(self, route_map=None, tag_empty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param tag_empty: kwarg.
		:type tag_empty: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.automatic_tag', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.automatic_tag', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.automatic_tag', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.automatic_tag', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, tag_empty=tag_empty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_comm_list_update(self, route_map=None, comm_list_name=None, match_comm_delete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param comm_list_name: kwarg.
		:type comm_list_name: (unicode)

		:param match_comm_delete: kwarg.
		:type match_comm_delete: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.comm_list', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.comm_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, comm_list_name=comm_list_name, match_comm_delete=match_comm_delete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_community_update(self, route_map=None, set_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param set_community_expr: kwarg.
		:type set_community_expr: (unicode)
		
		.. note::
			* pattern - ((\s*)|(\s*((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s+((local\-as)|(internet)|(no\-export)|(no\-advertise)|((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))*)(( (additive))?))|(none)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.community', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.community', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.community', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, set_community_expr=set_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_dampening_update(self, route_map=None, half_life=None, reuse=None, suppress=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param half_life: kwarg.
		:type half_life: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reuse: kwarg.
		:type reuse: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param suppress: kwarg.
		:type suppress: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_suppress_time: kwarg.
		:type max_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.dampening', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.dampening', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, half_life=half_life, reuse=reuse, suppress=suppress, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_distance_update(self, route_map=None, dist_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param dist_rms: kwarg.
		:type dist_rms: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.distance', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.distance', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.distance', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, dist_rms=dist_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_extcommunity_rt_update(self, route_map=None, ASN_NN_rt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ASN_NN_rt: kwarg.
		:type ASN_NN_rt: (unicode)
		
		.. note::
			* pattern - ((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*)(( (additive))?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.extcommunity.rt', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.extcommunity.rt', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.extcommunity.rt', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ASN_NN_rt=ASN_NN_rt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_extcommunity_soo_update(self, route_map=None, ASN_NN_soo=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ASN_NN_soo: kwarg.
		:type ASN_NN_soo: (unicode)
		
		.. note::
			* pattern - ((\s*(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.extcommunity.soo', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.extcommunity.soo', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.extcommunity.soo', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ASN_NN_soo=ASN_NN_soo)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_ip_dscp_update(self, route_map=None, dscp_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param dscp_rms: kwarg.
		:type dscp_rms: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.dscp', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.dscp', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.dscp', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.dscp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, dscp_rms=dscp_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_ip_interface_update(self, route_map=None, null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param null0: Sending traffic to a Null0 Interface
		:type null0: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, null0=null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_ip_interface_null0_update(self, route_map=None, null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param null0: Sending traffic to a Null0 Interface
		:type null0: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.interface', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, null0=null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_ip_next_hop_peer_address_update(self, route_map=None, peer_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param peer_address: BGP peer IP address
		:type peer_address: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ip.next_hop', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, peer_address=peer_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_ipv6_interface_update(self, route_map=None, ipv6_null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_null0: Sending traffic to a Null0 Interface
		:type ipv6_null0: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_null0=ipv6_null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_ipv6_interface_null0_update(self, route_map=None, ipv6_null0=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ipv6_null0: Sending traffic to a Null0 Interface
		:type ipv6_null0: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.interface', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, ipv6_null0=ipv6_null0)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_local_preference_update(self, route_map=None, local_preference_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param local_preference_value: kwarg.
		:type local_preference_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.local_preference', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.local_preference', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.local_preference', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.local_preference', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, local_preference_value=local_preference_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_metric_update(self, route_map=None, delta_rms=None, metric_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param delta_rms: kwarg.
		:type delta_rms: (unicode)
		
		.. note::
			* enum - [u'add', u'assign', u'none', u'sub']

		:param metric_rms: kwarg.
		:type metric_rms: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, delta_rms=delta_rms, metric_rms=metric_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_metric_type_update(self, route_map=None, external=None, internal=None, type_1=None, type_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param external: IS-IS external metric
		:type external: (YANGBool)

		:param internal: IGP internal metric to BGP MED
		:type internal: (YANGBool)

		:param type_1: OSPF external type 1 metric
		:type type_1: (YANGBool)

		:param type_2: OSPF external type 2 metric
		:type type_2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, external=external, internal=internal, type_1=type_1, type_2=type_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_metric_type_external_update(self, route_map=None, external=None, internal=None, type_1=None, type_2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param external: IS-IS external metric
		:type external: (YANGBool)

		:param internal: IGP internal metric to BGP MED
		:type internal: (YANGBool)

		:param type_1: OSPF external type 1 metric
		:type type_1: (YANGBool)

		:param type_2: OSPF external type 2 metric
		:type type_2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.metric_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.metric_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, external=external, internal=internal, type_1=type_1, type_2=type_2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_origin_update(self, route_map=None, origin_igp=None, origin_incomplete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param origin_igp: local IGP
		:type origin_igp: (YANGBool)

		:param origin_incomplete: unknown heritage
		:type origin_incomplete: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.origin', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, origin_igp=origin_igp, origin_incomplete=origin_incomplete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_origin_igp_update(self, route_map=None, origin_igp=None, origin_incomplete=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param origin_igp: local IGP
		:type origin_igp: (YANGBool)

		:param origin_incomplete: unknown heritage
		:type origin_incomplete: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.origin', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.origin', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, origin_igp=origin_igp, origin_incomplete=origin_incomplete)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_route_type_update(self, route_map=None, route_type_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param route_type_rms: kwarg.
		:type route_type_rms: (unicode)
		
		.. note::
			* enum - [u'type-1', u'internal', u'type-2']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.route_type', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.route_type', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.route_type', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.route_type', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, route_type_rms=route_type_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_tag_update(self, route_map=None, tag_rms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param tag_rms: kwarg.
		:type tag_rms: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.tag', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.tag', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.tag', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.tag', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, tag_rms=tag_rms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def route_map_set_weight_update(self, route_map=None, weight_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param route_map: kwarg tuple.
		:type route_map: (name, action_rm, instance).

		:param name: Word:1-63;;Route map name
		:type name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param action_rm: tuple arg.
		:type action_rm: (unicode)
		
		.. note::
			* enum - [u'receive', u'send']

		:param instance: tuple arg.
		:type instance: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param weight_value: kwarg.
		:type weight_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2b.hide_routemap_holder.route_map.content.set_.weight', 'pybind.nos.v6_0_2b.brocade_ip_policy', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_routemap_holder.route_map.content.set_.weight', 'pybind.nos.v7_0_1a.brocade_ip_policy', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.weight', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.weight', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, route_map=route_map, weight_value=weight_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_update(self, local_as=None, always_compare_med=None, compare_med_empty_aspath=None, med_missing_as_worst=None, as_path_ignore=None, compare_routerid=None, install_igp_cost=None, default_local_preference=None, enforce_first_as=None, fast_external_fallover=None, log_dampening_debug=None, auto_shutdown_new_neighbors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param local_as: Configure local AS number
		:type local_as: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param always_compare_med: Allow comparing MED from different neighbors
		:type always_compare_med: (YANGBool)

		:param compare_med_empty_aspath: Allow comparing MED from different neighbors even with empty as-path
attribute
		:type compare_med_empty_aspath: (YANGBool)

		:param med_missing_as_worst: Consider routes missing MED attribute as least desirable
		:type med_missing_as_worst: (YANGBool)

		:param as_path_ignore: Ignore AS_PATH length for best route selection
		:type as_path_ignore: (YANGBool)

		:param compare_routerid: Compare router-id for identical BGP paths
		:type compare_routerid: (YANGBool)

		:param install_igp_cost: Install igp cost to nexthop instead of MED value as BGP route cost
		:type install_igp_cost: (YANGBool)

		:param default_local_preference: Configure default local preference value
		:type default_local_preference: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enforce_first_as: Enforce the first AS for EBGP routes
		:type enforce_first_as: (YANGBool)

		:param fast_external_fallover: Reset session if link to EBGP peer goes down
		:type fast_external_fallover: (YANGBool)

		:param log_dampening_debug: Log dampening debug messages
		:type log_dampening_debug: (YANGBool)

		:param auto_shutdown_new_neighbors: Auto shutdown new neighbor
		:type auto_shutdown_new_neighbors: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, local_as=local_as, always_compare_med=always_compare_med, compare_med_empty_aspath=compare_med_empty_aspath, med_missing_as_worst=med_missing_as_worst, as_path_ignore=as_path_ignore, compare_routerid=compare_routerid, install_igp_cost=install_igp_cost, default_local_preference=default_local_preference, enforce_first_as=enforce_first_as, fast_external_fallover=fast_external_fallover, log_dampening_debug=log_dampening_debug, auto_shutdown_new_neighbors=auto_shutdown_new_neighbors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_evpn_neighbor_update(self, af_evpn_neighbor=None, evpn_nbr_activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param af_evpn_neighbor: kwarg tuple.
		:type af_evpn_neighbor: (af_evpn_neighbor_address).

		:param af_evpn_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_evpn_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param evpn_nbr_activate: Allow exchange of route in the current family mode
		:type evpn_nbr_activate: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.evpn.af_evpn_neighbor_address_holder.af_evpn_neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_evpn_neighbor', 'keyval': 'af_evpn_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_evpn_neighbor=af_evpn_neighbor, evpn_nbr_activate=evpn_nbr_activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_update(self, default_vrf_selected=None, next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param default_vrf_selected: kwarg.
		:type default_vrf_selected: (YANGBool)

		:param next_hop_recursion: Perform next-hop recursive lookup for BGP route
		:type next_hop_recursion: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_vrf_selected=default_vrf_selected, next_hop_recursion=next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_aggregate_address_update(self, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param aggregate_address: kwarg tuple.
		:type aggregate_address: (aggregate_ip_prefix).

		:param aggregate_ip_prefix: tuple arg.
		:type aggregate_ip_prefix: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param advertise_map: Route map to control attribute advertisement
		:type advertise_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param as_set: Generate AS set path information
		:type as_set: (YANGBool)

		:param attribute_map: Route map for parameter control
		:type attribute_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param summary_only: Filter more specific routes from updates
		:type summary_only: (YANGBool)

		:param suppress_map: Conditionally filter more specific routes from updates
		:type suppress_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_always_propagate_update(self, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table
		:type always_propagate: (YANGBool)

		:param default_information_originate: Originate Default Information
		:type default_information_originate: (YANGBool)

		:param rib_route_limit: Limit BGP rib count in routing table
		:type rib_route_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_to_client_reflection: Configure client to client route reflection
		:type client_to_client_reflection: (YANGBool)

		:param default_metric: Set metric of redistributed routes
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hop_enable_default: Enable default route for BGP next-hop lookup
		:type next_hop_enable_default: (YANGBool)

		:param update_time: Configure igp route update interval
		:type update_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_bgp_redistribute_internal_update(self, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs
		:type bgp_redistribute_internal: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_dampening_update(self, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param half_time: kwarg.
		:type half_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reuse_value: kwarg.
		:type reuse_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param start_suppress_time: kwarg.
		:type start_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_suppress_time: kwarg.
		:type max_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_graceful_restart_update(self, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param graceful_restart_status: kwarg.
		:type graceful_restart_status: (YANGBool)

		:param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120
		:type restart_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600
		:type purge_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360
		:type stale_routes_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_maximum_paths_update(self, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_maximum_paths_ebgp_update(self, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_multipath_update(self, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_multipath_multi_as_update(self, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_update(self, af_ipv4_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param allowas_in: Disables the AS_PATH check of the routes learned from the AS
		:type allowas_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param activate: Allow exchange of route in the current family mode
		:type activate: (YANGBool)

		:param route_reflector_client: Configure a neighbor as Route Reflector client
		:type route_reflector_client: (YANGBool)

		:param af_nei_weight: Set default weight for routes from this neighbor
		:type af_nei_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_capability_orf_prefixlist_update(self, af_ipv4_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_capability_orf_prefixlist_receive_update(self, af_ipv4_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_default_originate_update(self, af_ipv4_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_default_originate_route_map_update(self, af_ipv4_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_filter_list_update(self, af_ipv4_neighbor_address=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param filter_list_direction_in_acl_name: kwarg.
		:type filter_list_direction_in_acl_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param filter_list_name_direction_in: Filter incoming routes
		:type filter_list_name_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_maximum_prefix_update(self, af_ipv4_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param max_prefix_limit: kwarg.
		:type max_prefix_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_maximum_prefix_teardown_update(self, af_ipv4_neighbor_address=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param threshold: kwarg.
		:type threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param teardown: Terminate the peering when limit is exceeded
		:type teardown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_prefix_list_update(self, af_ipv4_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_prefix_list_in_update(self, af_ipv4_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_prefix_list_out_update(self, af_ipv4_neighbor_address=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_out_prefix_name: kwarg.
		:type prefix_list_direction_out_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_out: Filter outgoing routes
		:type prefix_list_direction_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_route_map_in_update(self, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_in: kwarg.
		:type neighbor_route_map_name_direction_in: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_route_map_out_update(self, af_ipv4_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_out: Apply route map to neighbor
		:type neighbor_route_map_name_direction_out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_send_community_update(self, af_ipv4_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_send_community_both_update(self, af_ipv4_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_unsuppress_map_update(self, af_ipv4_neighbor_address=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv4_neighbor_address: kwarg tuple.
		:type af_ipv4_neighbor_address: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param map_name: kwarg.
		:type map_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', u'af_ipv4_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', u'af_ipv4_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv4_neighbor_address=af_ipv4_neighbor_address, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_network_update(self, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_ipv4_address).

		:param network_ipv4_address: A.B.C.D/M IP address in dotted decimal/Mask
		:type network_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param network_weight: Set BGP weight for network
		:type network_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backdoor: Specify a BGP backdoor route
		:type backdoor: (YANGBool)

		:param network_route_map: Route-map to modify the attributes
		:type network_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_next_hop_mpls_update(self, compare_lsp_metric=None, follow_igp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param compare_lsp_metric: Compare metric value among LSP ECMP paths
		:type compare_lsp_metric: (YANGBool)

		:param follow_igp: Use IGP metric and ignore LSP metric
		:type follow_igp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.next_hop_mpls', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, compare_lsp_metric=compare_lsp_metric, follow_igp=follow_igp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_next_hop_mpls_compare_lsp_metric_update(self, compare_lsp_metric=None, follow_igp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param compare_lsp_metric: Compare metric value among LSP ECMP paths
		:type compare_lsp_metric: (YANGBool)

		:param follow_igp: Use IGP metric and ignore LSP metric
		:type follow_igp: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.next_hop_mpls', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, compare_lsp_metric=compare_lsp_metric, follow_igp=follow_igp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_bgp_update(self, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_bgp_metric_update(self, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_connected_update(self, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_connected: kwarg.
		:type redistribute_connected: (YANGBool)

		:param unicast_metric: Metric for redistributed routes
		:type unicast_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_route_map: Route map reference
		:type redistribute_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_isis_update(self, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_isis_route_map: Route map reference
		:type redistribute_isis_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param level_1: Redistribution of IS-IS Level-1 routes only
		:type level_1: (YANGBool)

		:param level_2: Redistribution of IS-IS Level-2 routes only
		:type level_2: (YANGBool)

		:param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes
		:type level_1_2: (YANGBool)

		:param redistribute_isis_metric: Metric for redistributed routes
		:type redistribute_isis_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_isis_level_1_update(self, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_isis_route_map: Route map reference
		:type redistribute_isis_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param level_1: Redistribution of IS-IS Level-1 routes only
		:type level_1: (YANGBool)

		:param level_2: Redistribution of IS-IS Level-2 routes only
		:type level_2: (YANGBool)

		:param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes
		:type level_1_2: (YANGBool)

		:param redistribute_isis_metric: Metric for redistributed routes
		:type redistribute_isis_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_ospf_update(self, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_ospf_match_external1_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_ospf_metric_update(self, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_static_update(self, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_static: kwarg.
		:type redistribute_static: (YANGBool)

		:param unicast_static_metric: Metric for redistributed routes
		:type unicast_static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_static_network_update(self, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param static_network: kwarg tuple.
		:type static_network: (static_network_address).

		:param static_network_address: A.B.C.D/M IP address in dotted decimal/Mask
		:type static_network_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param static_network_distance: Define an administrative distance for this local network
		:type static_network_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_table_map_update(self, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_table_map_route_map_update(self, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_update(self, af_vrf=None, local_as=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param local_as: Configure local AS number
		:type local_as: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param next_hop_recursion: Perform next-hop recursive lookup for BGP route
		:type next_hop_recursion: (YANGBool)

		:param graceful_restart_status: Enables the BGP graceful restart capability
		:type graceful_restart_status: (YANGBool)

		:param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table
		:type always_propagate: (YANGBool)

		:param default_information_originate: Originate Default Information
		:type default_information_originate: (YANGBool)

		:param rib_route_limit: Limit BGP rib count in routing table
		:type rib_route_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_to_client_reflection: Configure client to client route reflection
		:type client_to_client_reflection: (YANGBool)

		:param default_metric: Set metric of redistributed routes
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hop_enable_default: Enable default route for BGP next-hop lookup
		:type next_hop_enable_default: (YANGBool)

		:param update_time: Configure igp route update interval
		:type update_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, local_as=local_as, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_update(self, af_vrf=None, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param aggregate_address: kwarg tuple.
		:type aggregate_address: (aggregate_ip_prefix).

		:param aggregate_ip_prefix: tuple arg.
		:type aggregate_ip_prefix: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param advertise_map: Route map to control attribute advertisement
		:type advertise_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param as_set: Generate AS set path information
		:type as_set: (YANGBool)

		:param attribute_map: Route map for parameter control
		:type attribute_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param summary_only: Filter more specific routes from updates
		:type summary_only: (YANGBool)

		:param suppress_map: Conditionally filter more specific routes from updates
		:type suppress_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_bgp_redistribute_internal_update(self, af_vrf=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs
		:type bgp_redistribute_internal: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_dampening_update(self, af_vrf=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param half_time: kwarg.
		:type half_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reuse_value: kwarg.
		:type reuse_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param start_suppress_time: kwarg.
		:type start_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_suppress_time: kwarg.
		:type max_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_maxas_limit_in_update(self, af_vrf=None, num_as_in_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param num_as_in_path: kwarg.
		:type num_as_in_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, num_as_in_path=num_as_in_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_update(self, af_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_maximum_paths_ebgp_update(self, af_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_multipath_update(self, af_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_multipath_multi_as_update(self, af_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param remote_as: Specify a BGP neighbor
		:type remote_as: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param allowas_in: Disables the AS_PATH check of the routes learned from the AS
		:type allowas_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param activate: Allow exchange of route in the current family mode
		:type activate: (YANGBool)

		:param route_reflector_client: Configure a neighbor as Route Reflector client
		:type route_reflector_client: (YANGBool)

		:param af_nei_weight: Set default weight for routes from this neighbor
		:type af_nei_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param associate_peer_group: Assign peer-group to neighbor
		:type associate_peer_group: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param description: Neighbor by description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..220']

		:param ebgp_btsh: Enable EBGP TTL Security Hack Protection
		:type ebgp_btsh: (YANGBool)

		:param password: Enable TCP-MD5 password protection
		:type password: (unicode)

		:param remove_private_as: Remove private AS number from outbound updates
		:type remove_private_as: (YANGBool)

		:param as_override: Override matching AS-number while sending update
		:type as_override: (YANGBool)

		:param static_network_edge: Neighbor as special service edge, static-network
shall not be advertised if installed as DROP
		:type static_network_edge: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_advertisement_interval_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param value: kwarg.
		:type value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_bfd_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param bfd_enable: kwarg.
		:type bfd_enable: (YANGBool)

		:param holdover_interval: BFD holdover interval configuration
		:type holdover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_bfd_interval_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_bfd_interval_min_rx_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_as4_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_as4_enable: Enable AS4 capability
		:type neighbor_as4_enable: (YANGBool)

		:param neighbor_as4_disable: Disable AS4 capability
		:type neighbor_as4_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_as4_disable_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_as4_enable: Enable AS4 capability
		:type neighbor_as4_enable: (YANGBool)

		:param neighbor_as4_disable: Disable AS4 capability
		:type neighbor_as4_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_orf_prefixlist_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_capability_orf_prefixlist_receive_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_default_originate_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_default_originate_route_map_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_ebgp_multihop_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ebgp_multihop_flag: kwarg.
		:type ebgp_multihop_flag: (YANGBool)

		:param ebgp_multihop_count: kwarg.
		:type ebgp_multihop_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_enforce_first_as_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_enforce_first_as: Enable enforce-first-as
		:type nei_enforce_first_as: (YANGBool)

		:param nei_enforce_first_as_disable: Disable enforce-first-as
		:type nei_enforce_first_as_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_enforce_first_as_enable_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_enforce_first_as: Enable enforce-first-as
		:type nei_enforce_first_as: (YANGBool)

		:param nei_enforce_first_as_disable: Disable enforce-first-as
		:type nei_enforce_first_as_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_filter_list_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param filter_list_direction_in_acl_name: kwarg.
		:type filter_list_direction_in_acl_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param filter_list_name_direction_in: Filter incoming routes
		:type filter_list_name_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_local_as_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param local_as_value: kwarg.
		:type local_as_value: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param no_prepend: Do not prepend local-as to updates from ebgp peers
		:type no_prepend: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_maxas_limit_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param num_as_in_as_path: kwarg.
		:type num_as_in_as_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxas_limit_disable: Disable maxas-limit
		:type maxas_limit_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_maxas_limit_in_disable_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param num_as_in_as_path: kwarg.
		:type num_as_in_as_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxas_limit_disable: Disable maxas-limit
		:type maxas_limit_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_maximum_prefix_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param max_prefix_limit: kwarg.
		:type max_prefix_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_maximum_prefix_teardown_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param threshold: kwarg.
		:type threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param teardown: Terminate the peering when limit is exceeded
		:type teardown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_next_hop_self_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_self_always: Allow nexthopself for RR routes
		:type next_hop_self_always: (YANGBool)

		:param next_hop_self_status: kwarg.
		:type next_hop_self_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_next_hop_self_always_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_self_always: Allow nexthopself for RR routes
		:type next_hop_self_always: (YANGBool)

		:param next_hop_self_status: kwarg.
		:type next_hop_self_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_prefix_list_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_prefix_list_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_prefix_list_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_out_prefix_name: kwarg.
		:type prefix_list_direction_out_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_out: Filter outgoing routes
		:type prefix_list_direction_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_route_map_in_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_in: kwarg.
		:type neighbor_route_map_name_direction_in: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_route_map_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_out: Apply route map to neighbor
		:type neighbor_route_map_name_direction_out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_send_community_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_send_community_both_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_shutdown_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param generate_rib_out: Generate rib-out routes
		:type generate_rib_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_shutdown_generate_rib_out_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param generate_rib_out: Generate rib-out routes
		:type generate_rib_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_soft_reconfiguration_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param inbound: Allow inbound soft reconfiguration for this neighbor
		:type inbound: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_soft_reconfiguration_inbound_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param inbound: Allow inbound soft reconfiguration for this neighbor
		:type inbound: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_timers_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_keep_alive: Keepalive interval
		:type nei_keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nei_hold_time: Hold-time value
		:type nei_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_timers_hold_time_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_keep_alive: Keepalive interval
		:type nei_keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nei_hold_time: Hold-time value
		:type nei_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_unsuppress_map_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param map_name: kwarg.
		:type map_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_update_source_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param interface_type: kwarg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet']

		:param interface_name: Ethernet Interface
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_update_source_loopback_update(self, af_vrf=None, af_ipv4_neighbor_addr=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv4_neighbor_addr: kwarg tuple.
		:type af_ipv4_neighbor_addr: (af_ipv4_neighbor_address).

		:param af_ipv4_neighbor_address: A.B.C.D;;Neighbor Address
		:type af_ipv4_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param sip_ipv4_address: kwarg.
		:type sip_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param loopback: Loopback Interface
		:type loopback: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param ve_interface: Virtual Interface
		:type ve_interface: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', u'af_ipv4_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_network_update(self, af_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_ipv4_address).

		:param network_ipv4_address: A.B.C.D/M IP address in dotted decimal/Mask
		:type network_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param network_weight: Set BGP weight for network
		:type network_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backdoor: Specify a BGP backdoor route
		:type backdoor: (YANGBool)

		:param network_route_map: Route-map to modify the attributes
		:type network_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_update(self, af_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_bgp_metric_update(self, af_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_connected_update(self, af_vrf=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_connected: kwarg.
		:type redistribute_connected: (YANGBool)

		:param unicast_metric: Metric for redistributed routes
		:type unicast_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_route_map: Route map reference
		:type redistribute_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_update(self, af_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_update(self, af_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_match_external1_update(self, af_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_ospf_metric_update(self, af_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_redistribute_static_update(self, af_vrf=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_static: kwarg.
		:type redistribute_static: (YANGBool)

		:param unicast_static_metric: Metric for redistributed routes
		:type unicast_static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_static_network_update(self, af_vrf=None, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param static_network: kwarg tuple.
		:type static_network: (static_network_address).

		:param static_network_address: A.B.C.D/M IP address in dotted decimal/Mask
		:type static_network_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param static_network_distance: Define an administrative distance for this local network
		:type static_network_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_table_map_update(self, af_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_table_map_route_map_update(self, af_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_vrf: kwarg tuple.
		:type af_vrf: (af_vrf_name).

		:param af_vrf_name: VRF name
		:type af_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_vrf=af_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_update(self, default_vrf_selected=None, ipv6_ucast_next_hop_recursion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param default_vrf_selected: kwarg.
		:type default_vrf_selected: (YANGBool)

		:param ipv6_ucast_next_hop_recursion: Perform next-hop recursive lookup for BGP route
		:type ipv6_ucast_next_hop_recursion: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_vrf_selected=default_vrf_selected, ipv6_ucast_next_hop_recursion=ipv6_ucast_next_hop_recursion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_aggregate_address_update(self, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param aggregate_ipv6_address: kwarg tuple.
		:type aggregate_ipv6_address: (aggregate_ip_prefix).

		:param aggregate_ip_prefix: tuple arg.
		:type aggregate_ip_prefix: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param advertise_map: Route map to control attribute advertisement
		:type advertise_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param as_set: Generate AS set path information
		:type as_set: (YANGBool)

		:param attribute_map: Route map for parameter control
		:type attribute_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param summary_only: Filter more specific routes from updates
		:type summary_only: (YANGBool)

		:param suppress_map: Conditionally filter more specific routes from updates
		:type suppress_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_always_propagate_update(self, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table
		:type always_propagate: (YANGBool)

		:param default_information_originate: Originate Default Information
		:type default_information_originate: (YANGBool)

		:param rib_route_limit: Limit BGP rib count in routing table
		:type rib_route_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_to_client_reflection: Configure client to client route reflection
		:type client_to_client_reflection: (YANGBool)

		:param default_metric: Set metric of redistributed routes
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hop_enable_default: Enable default route for BGP next-hop lookup
		:type next_hop_enable_default: (YANGBool)

		:param update_time: Configure igp route update interval
		:type update_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_bgp_redistribute_internal_update(self, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs
		:type bgp_redistribute_internal: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_dampening_update(self, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param half_time: kwarg.
		:type half_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reuse_value: kwarg.
		:type reuse_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param start_suppress_time: kwarg.
		:type start_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_suppress_time: kwarg.
		:type max_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_graceful_restart_update(self, graceful_restart_status=None, restart_time=None, purge_time=None, stale_routes_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param graceful_restart_status: kwarg.
		:type graceful_restart_status: (YANGBool)

		:param restart_time: Maximum restart wait time advertised to neighbors (1-3600s), default 120
		:type restart_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param purge_time: Maximum time before restarting router clean up stale (1-3600s), default 600
		:type purge_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param stale_routes_time: Maximum time before helper router clean up stale routes (1-3600s), default 360
		:type stale_routes_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, graceful_restart_status=graceful_restart_status, restart_time=restart_time, purge_time=purge_time, stale_routes_time=stale_routes_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_maximum_paths_update(self, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_maximum_paths_ebgp_update(self, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_multipath_update(self, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_multipath_multi_as_update(self, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_update(self, af_ipv6_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param allowas_in: Disables the AS_PATH check of the routes learned from the AS
		:type allowas_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param activate: Allow exchange of route in the current family mode
		:type activate: (YANGBool)

		:param route_reflector_client: Configure a neighbor as Route Reflector client
		:type route_reflector_client: (YANGBool)

		:param af_nei_weight: Set default weight for routes from this neighbor
		:type af_nei_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_capability_orf_prefixlist_update(self, af_ipv6_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_capability_orf_prefixlist_receive_update(self, af_ipv6_neighbor_address=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.af_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_default_originate_update(self, af_ipv6_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_default_originate_route_map_update(self, af_ipv6_neighbor_address=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_filter_list_update(self, af_ipv6_neighbor_address=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param filter_list_direction_in_acl_name: kwarg.
		:type filter_list_direction_in_acl_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param filter_list_name_direction_in: Filter incoming routes
		:type filter_list_name_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_maximum_prefix_update(self, af_ipv6_neighbor_address=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param max_prefix_limit: kwarg.
		:type max_prefix_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_maximum_prefix_teardown_update(self, af_ipv6_neighbor_address=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param threshold: kwarg.
		:type threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param teardown: Terminate the peering when limit is exceeded
		:type teardown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_prefix_list_update(self, af_ipv6_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_prefix_list_in_update(self, af_ipv6_neighbor_address=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_prefix_list_out_update(self, af_ipv6_neighbor_address=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_out_prefix_name: kwarg.
		:type prefix_list_direction_out_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_out: Filter outgoing routes
		:type prefix_list_direction_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_route_map_in_update(self, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_in: kwarg.
		:type neighbor_route_map_name_direction_in: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_route_map_out_update(self, af_ipv6_neighbor_address=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_out: Apply route map to neighbor
		:type neighbor_route_map_name_direction_out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_send_community_update(self, af_ipv6_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_send_community_both_update(self, af_ipv6_neighbor_address=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_unsuppress_map_update(self, af_ipv6_neighbor_address=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_neighbor_address: kwarg tuple.
		:type af_ipv6_neighbor_address: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor IPV6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param map_name: kwarg.
		:type map_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', u'af_ipv6_neighbor_peergroup'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', u'af_ipv6_neighbor_address')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_neighbor_address=af_ipv6_neighbor_address, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_network_update(self, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_ipv6_address).

		:param network_ipv6_address: A:B::C:D/M IPV6 address in dotted decimal/Mask
		:type network_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param network_weight: Set BGP weight for network
		:type network_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backdoor: Specify a BGP backdoor route
		:type backdoor: (YANGBool)

		:param network_route_map: Route-map to modify the attributes
		:type network_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_bgp_update(self, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_bgp_metric_update(self, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_connected_update(self, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_connected: kwarg.
		:type redistribute_connected: (YANGBool)

		:param unicast_metric: Metric for redistributed routes
		:type unicast_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_route_map: Route map reference
		:type redistribute_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_isis_update(self, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_isis_route_map: Route map reference
		:type redistribute_isis_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param level_1: Redistribution of IS-IS Level-1 routes only
		:type level_1: (YANGBool)

		:param level_2: Redistribution of IS-IS Level-2 routes only
		:type level_2: (YANGBool)

		:param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes
		:type level_1_2: (YANGBool)

		:param redistribute_isis_metric: Metric for redistributed routes
		:type redistribute_isis_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_isis_level_1_update(self, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_isis_route_map: Route map reference
		:type redistribute_isis_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param level_1: Redistribution of IS-IS Level-1 routes only
		:type level_1: (YANGBool)

		:param level_2: Redistribution of IS-IS Level-2 routes only
		:type level_2: (YANGBool)

		:param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes
		:type level_1_2: (YANGBool)

		:param redistribute_isis_metric: Metric for redistributed routes
		:type redistribute_isis_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_ospf_update(self, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_ospf_match_external1_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_ospf_metric_update(self, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_static_update(self, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param redistribute_static: kwarg.
		:type redistribute_static: (YANGBool)

		:param unicast_static_metric: Metric for redistributed routes
		:type unicast_static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_table_map_update(self, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_table_map_route_map_update(self, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_common_cmds_holder.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_update(self, af_ipv6_vrf=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param next_hop_recursion: Perform next-hop recursive lookup for BGP route
		:type next_hop_recursion: (YANGBool)

		:param graceful_restart_status: Enables the BGP graceful restart capability
		:type graceful_restart_status: (YANGBool)

		:param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table
		:type always_propagate: (YANGBool)

		:param default_information_originate: Originate Default Information
		:type default_information_originate: (YANGBool)

		:param rib_route_limit: Limit BGP rib count in routing table
		:type rib_route_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_to_client_reflection: Configure client to client route reflection
		:type client_to_client_reflection: (YANGBool)

		:param default_metric: Set metric of redistributed routes
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param next_hop_enable_default: Enable default route for BGP next-hop lookup
		:type next_hop_enable_default: (YANGBool)

		:param update_time: Configure igp route update interval
		:type update_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_update(self, af_ipv6_vrf=None, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param aggregate_ipv6_address: kwarg tuple.
		:type aggregate_ipv6_address: (aggregate_ip_prefix).

		:param aggregate_ip_prefix: tuple arg.
		:type aggregate_ip_prefix: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param advertise_map: Route map to control attribute advertisement
		:type advertise_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param as_set: Generate AS set path information
		:type as_set: (YANGBool)

		:param attribute_map: Route map for parameter control
		:type attribute_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param summary_only: Filter more specific routes from updates
		:type summary_only: (YANGBool)

		:param suppress_map: Conditionally filter more specific routes from updates
		:type suppress_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_bgp_redistribute_internal_update(self, af_ipv6_vrf=None, bgp_redistribute_internal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param bgp_redistribute_internal: Allow redistribution of iBGP routes into IGPs
		:type bgp_redistribute_internal: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, bgp_redistribute_internal=bgp_redistribute_internal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_dampening_update(self, af_ipv6_vrf=None, half_time=None, reuse_value=None, start_suppress_time=None, max_suppress_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param half_time: kwarg.
		:type half_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reuse_value: kwarg.
		:type reuse_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param start_suppress_time: kwarg.
		:type start_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_suppress_time: kwarg.
		:type max_suppress_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.dampening.values', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, half_time=half_time, reuse_value=reuse_value, start_suppress_time=start_suppress_time, max_suppress_time=max_suppress_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_update(self, af_ipv6_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_maximum_paths_ebgp_update(self, af_ipv6_vrf=None, load_sharing_value=None, ebgp=None, ibgp=None, use_load_sharing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param load_sharing_value: kwarg.
		:type load_sharing_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ebgp: Number of EBGP paths for load sharing
		:type ebgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ibgp: Number of IBGP paths for load sharing
		:type ibgp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_load_sharing: Number of load-sharing paths: using load-sharing value
		:type use_load_sharing: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.maximum_paths', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, load_sharing_value=load_sharing_value, ebgp=ebgp, ibgp=ibgp, use_load_sharing=use_load_sharing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_multipath_update(self, af_ipv6_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_multipath_multi_as_update(self, af_ipv6_vrf=None, multipath_ebgp=None, multipath_ibgp=None, multi_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param multipath_ebgp: Allow multipath for ebgp neighbors only
		:type multipath_ebgp: (YANGBool)

		:param multipath_ibgp: Allow multipath for ibgp neighbors only
		:type multipath_ibgp: (YANGBool)

		:param multi_as: Enable multipath over different Neighboring AS
		:type multi_as: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.multipath', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, multipath_ebgp=multipath_ebgp, multipath_ibgp=multipath_ibgp, multi_as=multi_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param remote_as: Specify a BGP neighbor
		:type remote_as: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param allowas_in: Disables the AS_PATH check of the routes learned from the AS
		:type allowas_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param activate: Allow exchange of route in the current family mode
		:type activate: (YANGBool)

		:param route_reflector_client: Configure a neighbor as Route Reflector client
		:type route_reflector_client: (YANGBool)

		:param af_nei_weight: Set default weight for routes from this neighbor
		:type af_nei_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param associate_peer_group: Assign peer-group to neighbor
		:type associate_peer_group: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param description: Neighbor by description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..220']

		:param ebgp_btsh: Enable EBGP TTL Security Hack Protection
		:type ebgp_btsh: (YANGBool)

		:param password: Enable TCP-MD5 password protection
		:type password: (unicode)

		:param remove_private_as: Remove private AS number from outbound updates
		:type remove_private_as: (YANGBool)

		:param as_override: Override matching AS-number while sending update
		:type as_override: (YANGBool)

		:param static_network_edge: Neighbor as special service edge, static-network
shall not be advertised if installed as DROP
		:type static_network_edge: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_advertisement_interval_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param value: kwarg.
		:type value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_bfd_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param bfd_enable: kwarg.
		:type bfd_enable: (YANGBool)

		:param holdover_interval: BFD holdover interval configuration
		:type holdover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_bfd_interval_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_bfd_interval_min_rx_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_as4_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_as4_enable: Enable AS4 capability
		:type neighbor_as4_enable: (YANGBool)

		:param neighbor_as4_disable: Disable AS4 capability
		:type neighbor_as4_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_as4_disable_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_as4_enable: Enable AS4 capability
		:type neighbor_as4_enable: (YANGBool)

		:param neighbor_as4_disable: Disable AS4 capability
		:type neighbor_as4_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_orf_prefixlist_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_capability_orf_prefixlist_receive_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefixlist_status=None, prefixlist_send=None, prefixlist_receive=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefixlist_status: kwarg.
		:type prefixlist_status: (YANGBool)

		:param prefixlist_send: Capability to SEND the ORF to this neighbor
		:type prefixlist_send: (YANGBool)

		:param prefixlist_receive: Capability to RECEIVE the ORF from this neighbor
		:type prefixlist_receive: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.af_vrf_neighbor_capability.orf.prefixlist', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefixlist_status=prefixlist_status, prefixlist_send=prefixlist_send, prefixlist_receive=prefixlist_receive)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_default_originate_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'default_originate_status, default_originate_route_map'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_default_originate_route_map_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, default_originate_status=None, default_originate_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param default_originate_status: kwarg.
		:type default_originate_status: (YANGBool)

		:param default_originate_route_map: Route-map to specify criteria to originate default
		:type default_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.default_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, default_originate_status=default_originate_status, default_originate_route_map=default_originate_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_ebgp_multihop_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ebgp_multihop_flag: kwarg.
		:type ebgp_multihop_flag: (YANGBool)

		:param ebgp_multihop_count: kwarg.
		:type ebgp_multihop_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_enforce_first_as_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_enforce_first_as: Enable enforce-first-as
		:type nei_enforce_first_as: (YANGBool)

		:param nei_enforce_first_as_disable: Disable enforce-first-as
		:type nei_enforce_first_as_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_enforce_first_as_enable_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_enforce_first_as: Enable enforce-first-as
		:type nei_enforce_first_as: (YANGBool)

		:param nei_enforce_first_as_disable: Disable enforce-first-as
		:type nei_enforce_first_as_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_filter_list_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, filter_list_direction_in_acl_name=None, filter_list_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param filter_list_direction_in_acl_name: kwarg.
		:type filter_list_direction_in_acl_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param filter_list_name_direction_in: Filter incoming routes
		:type filter_list_name_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.filter_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, filter_list_direction_in_acl_name=filter_list_direction_in_acl_name, filter_list_name_direction_in=filter_list_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_local_as_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param local_as_value: kwarg.
		:type local_as_value: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param no_prepend: Do not prepend local-as to updates from ebgp peers
		:type no_prepend: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_maxas_limit_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param num_as_in_as_path: kwarg.
		:type num_as_in_as_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxas_limit_disable: Disable maxas-limit
		:type maxas_limit_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_maxas_limit_in_disable_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param num_as_in_as_path: kwarg.
		:type num_as_in_as_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxas_limit_disable: Disable maxas-limit
		:type maxas_limit_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_maximum_prefix_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, max_prefix_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param max_prefix_limit: kwarg.
		:type max_prefix_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, max_prefix_limit=max_prefix_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_maximum_prefix_teardown_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, threshold=None, teardown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param threshold: kwarg.
		:type threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param teardown: Terminate the peering when limit is exceeded
		:type teardown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.maximum_prefix.threshold_holder', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, threshold=threshold, teardown=teardown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_next_hop_self_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_self_always: Allow nexthopself for RR routes
		:type next_hop_self_always: (YANGBool)

		:param next_hop_self_status: kwarg.
		:type next_hop_self_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_next_hop_self_always_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_self_always: Allow nexthopself for RR routes
		:type next_hop_self_always: (YANGBool)

		:param next_hop_self_status: kwarg.
		:type next_hop_self_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_prefix_list_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_in_prefix_name, prefix_list_direction_in'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_prefix_list_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_in: Filter incoming routes
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_prefix_list_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param prefix_list_direction_out_prefix_name: kwarg.
		:type prefix_list_direction_out_prefix_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param prefix_list_direction_out: Filter outgoing routes
		:type prefix_list_direction_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_route_map_in_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_in: kwarg.
		:type neighbor_route_map_name_direction_in: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_in=neighbor_route_map_name_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_route_map_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, neighbor_route_map_name_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_route_map_name_direction_out: Apply route map to neighbor
		:type neighbor_route_map_name_direction_out: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,63})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.neighbor_route_map.neighbor_route_map_direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, neighbor_route_map_name_direction_out=neighbor_route_map_name_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_send_community_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_send_community_both_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, send_community_status=None, both=None, extended=None, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param send_community_status: kwarg.
		:type send_community_status: (YANGBool)

		:param both: Send Standard and Extended Community attributes
		:type both: (YANGBool)

		:param extended: Send Extended Community attribute
		:type extended: (YANGBool)

		:param standard: Send Standard Community attribute
		:type standard: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.send_community', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, send_community_status=send_community_status, both=both, extended=extended, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_shutdown_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param generate_rib_out: Generate rib-out routes
		:type generate_rib_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_shutdown_generate_rib_out_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param generate_rib_out: Generate rib-out routes
		:type generate_rib_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_soft_reconfiguration_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param inbound: Allow inbound soft reconfiguration for this neighbor
		:type inbound: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_soft_reconfiguration_inbound_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param inbound: Allow inbound soft reconfiguration for this neighbor
		:type inbound: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_timers_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_keep_alive: Keepalive interval
		:type nei_keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nei_hold_time: Hold-time value
		:type nei_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_timers_hold_time_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_keep_alive: Keepalive interval
		:type nei_keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nei_hold_time: Hold-time value
		:type nei_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_unsuppress_map_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, map_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param map_name: kwarg.
		:type map_name: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.unsuppress_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, map_name=map_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_update_source_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param interface_type: kwarg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet']

		:param interface_name: Ethernet Interface
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_update_source_loopback_update(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, sip_ipv6_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

		:param af_ipv6_neighbor_addr: kwarg tuple.
		:type af_ipv6_neighbor_addr: (af_ipv6_neighbor_address).

		:param af_ipv6_neighbor_address: A:B::C:D;;Neighbor Ipv6 Address
		:type af_ipv6_neighbor_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param sip_ipv6_address: kwarg.
		:type sip_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param loopback: Loopback Interface
		:type loopback: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param ve_interface: Virtual Interface
		:type ve_interface: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', u'af_ipv6_neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, sip_ipv6_address=sip_ipv6_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_network_update(self, af_ipv6_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Keyword Arg Tuple**:
		:param network: kwarg tuple.
		:type network: (network_ipv6_address).

		:param network_ipv6_address: A:B::C:D/M IPV6 address in dotted decimal/Mask
		:type network_ipv6_address: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param network_weight: Set BGP weight for network
		:type network_weight: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param backdoor: Specify a BGP backdoor route
		:type backdoor: (YANGBool)

		:param network_route_map: Route-map to modify the attributes
		:type network_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_update(self, af_ipv6_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_bgp_metric_update(self, af_ipv6_vrf=None, redistribute_bgp=None, bgp_metric=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_bgp: kwarg.
		:type redistribute_bgp: (YANGBool)

		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, redistribute_bgp=redistribute_bgp, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_connected_update(self, af_ipv6_vrf=None, redistribute_connected=None, unicast_metric=None, redistribute_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_connected: kwarg.
		:type redistribute_connected: (YANGBool)

		:param unicast_metric: Metric for redistributed routes
		:type unicast_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param redistribute_route_map: Route map reference
		:type redistribute_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, redistribute_connected=redistribute_connected, unicast_metric=unicast_metric, redistribute_route_map=redistribute_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_update(self, af_ipv6_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_update(self, af_ipv6_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_match_external1_update(self, af_ipv6_vrf=None, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_ospf_metric_update(self, af_ipv6_vrf=None, redistribute_ospf=None, ospf_metric=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_ospf: kwarg.
		:type redistribute_ospf: (YANGBool)

		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, redistribute_ospf=redistribute_ospf, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_redistribute_static_update(self, af_ipv6_vrf=None, redistribute_static=None, unicast_static_metric=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param redistribute_static: kwarg.
		:type redistribute_static: (YANGBool)

		:param unicast_static_metric: Metric for redistributed routes
		:type unicast_static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, redistribute_static=redistribute_static, unicast_static_metric=unicast_static_metric, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_table_map_update(self, af_ipv6_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_table_map_route_map_update(self, af_ipv6_vrf=None, table_map_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param af_ipv6_vrf: kwarg tuple.
		:type af_ipv6_vrf: (af_ipv6_vrf_name).

		:param af_ipv6_vrf_name: VRF name
		:type af_ipv6_vrf_name: (unicode)
		
		.. note::
			* length - [u'1..255']

	**This Instance Arg(s)**:
		:param table_map_route_map: kwarg.
		:type table_map_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.table_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, af_ipv6_vrf=af_ipv6_vrf, table_map_route_map=table_map_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_always_compare_med_update(self, local_as=None, always_compare_med=None, compare_med_empty_aspath=None, med_missing_as_worst=None, as_path_ignore=None, compare_routerid=None, install_igp_cost=None, default_local_preference=None, enforce_first_as=None, fast_external_fallover=None, log_dampening_debug=None, auto_shutdown_new_neighbors=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param local_as: Configure local AS number
		:type local_as: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param always_compare_med: Allow comparing MED from different neighbors
		:type always_compare_med: (YANGBool)

		:param compare_med_empty_aspath: Allow comparing MED from different neighbors even with empty as-path
attribute
		:type compare_med_empty_aspath: (YANGBool)

		:param med_missing_as_worst: Consider routes missing MED attribute as least desirable
		:type med_missing_as_worst: (YANGBool)

		:param as_path_ignore: Ignore AS_PATH length for best route selection
		:type as_path_ignore: (YANGBool)

		:param compare_routerid: Compare router-id for identical BGP paths
		:type compare_routerid: (YANGBool)

		:param install_igp_cost: Install igp cost to nexthop instead of MED value as BGP route cost
		:type install_igp_cost: (YANGBool)

		:param default_local_preference: Configure default local preference value
		:type default_local_preference: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param enforce_first_as: Enforce the first AS for EBGP routes
		:type enforce_first_as: (YANGBool)

		:param fast_external_fallover: Reset session if link to EBGP peer goes down
		:type fast_external_fallover: (YANGBool)

		:param log_dampening_debug: Log dampening debug messages
		:type log_dampening_debug: (YANGBool)

		:param auto_shutdown_new_neighbors: Auto shutdown new neighbor
		:type auto_shutdown_new_neighbors: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, local_as=local_as, always_compare_med=always_compare_med, compare_med_empty_aspath=compare_med_empty_aspath, med_missing_as_worst=med_missing_as_worst, as_path_ignore=as_path_ignore, compare_routerid=compare_routerid, install_igp_cost=install_igp_cost, default_local_preference=default_local_preference, enforce_first_as=enforce_first_as, fast_external_fallover=fast_external_fallover, log_dampening_debug=log_dampening_debug, auto_shutdown_new_neighbors=auto_shutdown_new_neighbors)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_bfd_update(self, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param holdover_interval: BFD holdover interval configuration
		:type holdover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_bfd_holdover_interval_update(self, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param holdover_interval: BFD holdover interval configuration
		:type holdover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_bfd_interval_update(self, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_bfd_interval_min_rx_update(self, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_capability_update(self, as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param as4_enable: Enable AS4 capability
		:type as4_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.capability', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, as4_enable=as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_capability_as4_enable_update(self, as4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param as4_enable: Enable AS4 capability
		:type as4_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.capability', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, as4_enable=as4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_cluster_id_update(self, cluster_id_value=None, cluster_id_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cluster_id_value: Route-Reflector Cluster-ID as 32 bit quantity
		:type cluster_id_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cluster_id_ipv4_address: Route-Reflector Cluster-ID as IP address
		:type cluster_id_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster_id_value=cluster_id_value, cluster_id_ipv4_address=cluster_id_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_cluster_id_ipv4_address_update(self, cluster_id_value=None, cluster_id_ipv4_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cluster_id_value: Route-Reflector Cluster-ID as 32 bit quantity
		:type cluster_id_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cluster_id_ipv4_address: Route-Reflector Cluster-ID as IP address
		:type cluster_id_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.cluster_id', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cluster_id_value=cluster_id_value, cluster_id_ipv4_address=cluster_id_ipv4_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_confederation_update(self, identifier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param identifier: Confederation AS number
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.confederation', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, identifier=identifier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_confederation_identifier_update(self, identifier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param identifier: Confederation AS number
		:type identifier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.confederation', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, identifier=identifier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_distance_update(self, ext_route_distance=None, int_route_distance=None, lcl_route_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ext_route_distance: kwarg.
		:type ext_route_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param int_route_distance: kwarg.
		:type int_route_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lcl_route_distance: kwarg.
		:type lcl_route_distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ext_route_distance=ext_route_distance, int_route_distance=int_route_distance, lcl_route_distance=lcl_route_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_maxas_limit_in_update(self, num_as_in_path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param num_as_in_path: kwarg.
		:type num_as_in_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, num_as_in_path=num_as_in_path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_update(self, neighbor_addr=None, remote_as=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param remote_as: Specify a BGP neighbor
		:type remote_as: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param associate_peer_group: Assign peer-group to neighbor
		:type associate_peer_group: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param description: Neighbor by description
		:type description: (unicode)
		
		.. note::
			* length - [u'1..220']

		:param ebgp_btsh: Enable EBGP TTL Security Hack Protection
		:type ebgp_btsh: (YANGBool)

		:param password: Enable TCP-MD5 password protection
		:type password: (unicode)

		:param remove_private_as: Remove private AS number from outbound updates
		:type remove_private_as: (YANGBool)

		:param as_override: Override matching AS-number while sending update
		:type as_override: (YANGBool)

		:param static_network_edge: Neighbor as special service edge, static-network
shall not be advertised if installed as DROP
		:type static_network_edge: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_advertisement_interval_update(self, neighbor_addr=None, value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param value: kwarg.
		:type value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.advertisement_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, value=value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_bfd_update(self, neighbor_addr=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param bfd_enable: kwarg.
		:type bfd_enable: (YANGBool)

		:param holdover_interval: BFD holdover interval configuration
		:type holdover_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_bfd_interval_update(self, neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_bfd_interval_min_rx_update(self, neighbor_addr=None, min_tx=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param min_tx: Configure BFD desired min transmit interval in milliseconds.
		:type min_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_rx: Configure BFD required min receive interval in milliseconds.
		:type min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param multiplier: Configure BFD detection time multiplier.
		:type multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.bfd.interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, min_tx=min_tx, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_capability_as4_update(self, neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_as4_enable: Enable AS4 capability
		:type neighbor_as4_enable: (YANGBool)

		:param neighbor_as4_disable: Disable AS4 capability
		:type neighbor_as4_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_capability_as4_disable_update(self, neighbor_addr=None, neighbor_as4_enable=None, neighbor_as4_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param neighbor_as4_enable: Enable AS4 capability
		:type neighbor_as4_enable: (YANGBool)

		:param neighbor_as4_disable: Disable AS4 capability
		:type neighbor_as4_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.af_neighbor_capability.as4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, neighbor_as4_enable=neighbor_as4_enable, neighbor_as4_disable=neighbor_as4_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_ebgp_multihop_update(self, neighbor_addr=None, ebgp_multihop_flag=None, ebgp_multihop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ebgp_multihop_flag: kwarg.
		:type ebgp_multihop_flag: (YANGBool)

		:param ebgp_multihop_count: kwarg.
		:type ebgp_multihop_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.ebgp_multihop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, ebgp_multihop_flag=ebgp_multihop_flag, ebgp_multihop_count=ebgp_multihop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_enforce_first_as_update(self, neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_enforce_first_as: Enable enforce-first-as
		:type nei_enforce_first_as: (YANGBool)

		:param nei_enforce_first_as_disable: Disable enforce-first-as
		:type nei_enforce_first_as_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_enforce_first_as_enable_update(self, neighbor_addr=None, nei_enforce_first_as=None, nei_enforce_first_as_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_enforce_first_as: Enable enforce-first-as
		:type nei_enforce_first_as: (YANGBool)

		:param nei_enforce_first_as_disable: Disable enforce-first-as
		:type nei_enforce_first_as_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.enforce_first_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, nei_enforce_first_as=nei_enforce_first_as, nei_enforce_first_as_disable=nei_enforce_first_as_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_local_as_update(self, neighbor_addr=None, local_as_value=None, no_prepend=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param local_as_value: kwarg.
		:type local_as_value: (unicode)
		
		.. note::
			* pattern - ((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])

		:param no_prepend: Do not prepend local-as to updates from ebgp peers
		:type no_prepend: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.local_as', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, local_as_value=local_as_value, no_prepend=no_prepend)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_maxas_limit_in_update(self, neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param num_as_in_as_path: kwarg.
		:type num_as_in_as_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxas_limit_disable: Disable maxas-limit
		:type maxas_limit_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'num_as_in_as_path, maxas_limit_disable'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_maxas_limit_in_disable_update(self, neighbor_addr=None, num_as_in_as_path=None, maxas_limit_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param num_as_in_as_path: kwarg.
		:type num_as_in_as_path: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maxas_limit_disable: Disable maxas-limit
		:type maxas_limit_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.maxas_limit.in_', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, num_as_in_as_path=num_as_in_as_path, maxas_limit_disable=maxas_limit_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_next_hop_self_update(self, neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_self_always: Allow nexthopself for RR routes
		:type next_hop_self_always: (YANGBool)

		:param next_hop_self_status: kwarg.
		:type next_hop_self_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_next_hop_self_always_update(self, neighbor_addr=None, next_hop_self_always=None, next_hop_self_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param next_hop_self_always: Allow nexthopself for RR routes
		:type next_hop_self_always: (YANGBool)

		:param next_hop_self_status: kwarg.
		:type next_hop_self_status: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.next_hop_self', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, next_hop_self_always=next_hop_self_always, next_hop_self_status=next_hop_self_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_shutdown_update(self, neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param generate_rib_out: Generate rib-out routes
		:type generate_rib_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'shutdown_status, generate_rib_out'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_shutdown_generate_rib_out_update(self, neighbor_addr=None, shutdown_status=None, generate_rib_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param shutdown_status: kwarg.
		:type shutdown_status: (YANGBool)

		:param generate_rib_out: Generate rib-out routes
		:type generate_rib_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.shutdown', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, shutdown_status=shutdown_status, generate_rib_out=generate_rib_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_soft_reconfiguration_update(self, neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param inbound: Allow inbound soft reconfiguration for this neighbor
		:type inbound: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_soft_reconfiguration_inbound_update(self, neighbor_addr=None, inbound=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param inbound: Allow inbound soft reconfiguration for this neighbor
		:type inbound: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.soft_reconfiguration', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, inbound=inbound)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_timers_update(self, neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_keep_alive: Keepalive interval
		:type nei_keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nei_hold_time: Hold-time value
		:type nei_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nei_keep_alive, nei_hold_time'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_timers_hold_time_update(self, neighbor_addr=None, nei_keep_alive=None, nei_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param nei_keep_alive: Keepalive interval
		:type nei_keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nei_hold_time: Hold-time value
		:type nei_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, nei_keep_alive=nei_keep_alive, nei_hold_time=nei_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_update_source_update(self, neighbor_addr=None, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param interface_type: kwarg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet']

		:param interface_name: Ethernet Interface
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source.ethernet_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_update_source_loopback_update(self, neighbor_addr=None, sip_ipv4_address=None, loopback=None, ve_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param neighbor_addr: kwarg tuple.
		:type neighbor_addr: (router_bgp_neighbor_address).

		:param router_bgp_neighbor_address: A.B.C.D;;Neighbor Address
		:type router_bgp_neighbor_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param sip_ipv4_address: kwarg.
		:type sip_ipv4_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param loopback: Loopback Interface
		:type loopback: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param ve_interface: Virtual Interface
		:type ve_interface: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', u'neighbor_ipv6_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', u'neighbor_addr'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', u'neighbor_peer_grp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp.update_source', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}, {'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, neighbor_addr=neighbor_addr, sip_ipv4_address=sip_ipv4_address, loopback=loopback, ve_interface=ve_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_timers_update(self, keep_alive=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param keep_alive: Keepalive interval
		:type keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_time: Hold-time value
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'keep_alive, hold_time'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, keep_alive=keep_alive, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_bgp_timers_hold_time_update(self, keep_alive=None, hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param keep_alive: Keepalive interval
		:type keep_alive: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_time: Hold-time value
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, keep_alive=keep_alive, hold_time=hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv4_update(self, enable_global=None, gateway_mac_address=None, accept_unicast_arp_request=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable_global: Enable Fabric virtual gateway
		:type enable_global: (YANGBool)

		:param gateway_mac_address: Gateway MAC address for ARP requests
		:type gateway_mac_address: (unicode)

		:param accept_unicast_arp_request: Accept Unicast Arp Request
		:type accept_unicast_arp_request: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_global=enable_global, gateway_mac_address=gateway_mac_address, accept_unicast_arp_request=accept_unicast_arp_request)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv4_accept_unicast_arp_request_update(self, enable_global=None, gateway_mac_address=None, accept_unicast_arp_request=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable_global: Enable Fabric virtual gateway
		:type enable_global: (YANGBool)

		:param gateway_mac_address: Gateway MAC address for ARP requests
		:type gateway_mac_address: (unicode)

		:param accept_unicast_arp_request: Accept Unicast Arp Request
		:type accept_unicast_arp_request: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_global=enable_global, gateway_mac_address=gateway_mac_address, accept_unicast_arp_request=accept_unicast_arp_request)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv4_gratuitous_arp_update(self, timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param timer: Gratuitous ARP timer value
		:type timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timer=timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv4_gratuitous_arp_timer_update(self, timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param timer: Gratuitous ARP timer value
		:type timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4.gratuitous_arp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timer=timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv6_update(self, enable_global=None, gateway_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable_global: Enable Fabric virtual gateway
		:type enable_global: (YANGBool)

		:param gateway_mac_address: Gateway MAC address for ARP requests
		:type gateway_mac_address: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_global=enable_global, gateway_mac_address=gateway_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv6_enable_update(self, enable_global=None, gateway_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable_global: Enable Fabric virtual gateway
		:type enable_global: (YANGBool)

		:param gateway_mac_address: Gateway MAC address for ARP requests
		:type gateway_mac_address: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable_global=enable_global, gateway_mac_address=gateway_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv6_gratuitous_arp_update(self, timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param timer: Gratuitous ARP timer value
		:type timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timer=timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv6_gratuitous_arp_timer_update(self, timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param timer: Gratuitous ARP timer value
		:type timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v6_0_2b.brocade_common_def', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v7_0_1a.brocade_common_def', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv6.gratuitous_arp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timer=timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_update(self, csnp_interval=None, disable_inc_stct_spf_opt=None, disable_incremental_spf_opt=None, disable_partial_spf_opt=None, is_type=None, lsp_gen_interval=None, lsp_interval=None, lsp_refresh_interval=None, max_lsp_lifetime=None, nonstop_routing=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param csnp_interval: Rate of transmission of CSNPs
		:type csnp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param disable_inc_stct_spf_opt: Disable Incremental Shortcut SPF Optimizations - resort to Full SPF
		:type disable_inc_stct_spf_opt: (YANGBool)

		:param disable_incremental_spf_opt: Disable Incremental SPF Optimizations - resort to Full SPF
		:type disable_incremental_spf_opt: (YANGBool)

		:param disable_partial_spf_opt: Disable Partial SPF Optimizations - resort to Full SPF
		:type disable_partial_spf_opt: (YANGBool)

		:param is_type: Define inter-area/intra area operation mode
		:type is_type: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1-2', u'level-1']

		:param lsp_gen_interval: Minimum interval between regenerating same LSP
		:type lsp_gen_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_interval: Rate of transmission of LSPs
		:type lsp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_refresh_interval: LSP refresh interval
		:type lsp_refresh_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_lsp_lifetime: Maximum LSP lifetime
		:type max_lsp_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nonstop_routing: Enables the ISIS nonstop routing capability
		:type nonstop_routing: (YANGBool)

		:param retransmit_interval: Time between retransmission of LSP
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, csnp_interval=csnp_interval, disable_inc_stct_spf_opt=disable_inc_stct_spf_opt, disable_incremental_spf_opt=disable_incremental_spf_opt, disable_partial_spf_opt=disable_partial_spf_opt, is_type=is_type, lsp_gen_interval=lsp_gen_interval, lsp_interval=lsp_interval, lsp_refresh_interval=lsp_refresh_interval, max_lsp_lifetime=max_lsp_lifetime, nonstop_routing=nonstop_routing, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_update(self, default_metric=None, distance=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param default_metric: Metric for route redistribution
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param distance: Define an administrative distance
		:type distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maximum_paths: Calculate multiple paths
		:type maximum_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_metric=default_metric, distance=distance, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_default_information_originate_update(self, default_information_originate_route_map=None, default_information_originate_cr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param default_information_originate_route_map: Use route map
		:type default_information_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param default_information_originate_cr: kwarg.
		:type default_information_originate_cr: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_information_originate_route_map=default_information_originate_route_map, default_information_originate_cr=default_information_originate_cr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_default_link_metric_update(self, default_link_metric_level1=None, default_link_metric_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param default_link_metric_level1: Default Link Metric for Level-1
		:type default_link_metric_level1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_link_metric_level2: Default Link Metric for Level-2
		:type default_link_metric_level2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_link_metric_level1=default_link_metric_level1, default_link_metric_level2=default_link_metric_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_default_link_metric_level_1_update(self, default_link_metric_level1=None, default_link_metric_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param default_link_metric_level1: Default Link Metric for Level-1
		:type default_link_metric_level1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_link_metric_level2: Default Link Metric for Level-2
		:type default_link_metric_level2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_link_metric_level1=default_link_metric_level1, default_link_metric_level2=default_link_metric_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_default_metric_update(self, default_metric=None, distance=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param default_metric: Metric for route redistribution
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param distance: Define an administrative distance
		:type distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maximum_paths: Calculate multiple paths
		:type maximum_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_metric=default_metric, distance=distance, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_ldp_sync_update(self, ldp_sync_hold_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ldp_sync_hold_down: Specify hold-down duration
		:type ldp_sync_hold_down: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.ldp_sync', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_sync_hold_down=ldp_sync_hold_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_ldp_sync_hold_down_update(self, ldp_sync_hold_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ldp_sync_hold_down: Specify hold-down duration
		:type ldp_sync_hold_down: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.ldp_sync', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_sync_hold_down=ldp_sync_hold_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_metric_style_wide_update(self, metric_style_wide_level1=None, metric_style_wide_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param metric_style_wide_level1: Level-1 Only
		:type metric_style_wide_level1: (YANGBool)

		:param metric_style_wide_level2: Level-2 Only
		:type metric_style_wide_level2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.metric_style.wide', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, metric_style_wide_level1=metric_style_wide_level1, metric_style_wide_level2=metric_style_wide_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_metric_style_wide_level_1_update(self, metric_style_wide_level1=None, metric_style_wide_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param metric_style_wide_level1: Level-1 Only
		:type metric_style_wide_level1: (YANGBool)

		:param metric_style_wide_level2: Level-2 Only
		:type metric_style_wide_level2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.metric_style.wide', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, metric_style_wide_level1=metric_style_wide_level1, metric_style_wide_level2=metric_style_wide_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_bgp_update(self, bgp_metric=None, bgp_route_map=None, bgp_level1=None, bgp_level2=None, bgp_level12=None, bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param bgp_level1: IS-IS Level-1 routes only
		:type bgp_level1: (YANGBool)

		:param bgp_level2: IS-IS Level-2 routes only
		:type bgp_level2: (YANGBool)

		:param bgp_level12: IS-IS Level-1-2 routes
		:type bgp_level12: (YANGBool)

		:param bgp_metric_type: IS-IS metric type for redistributed routes
		:type bgp_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map, bgp_level1=bgp_level1, bgp_level2=bgp_level2, bgp_level12=bgp_level12, bgp_metric_type=bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_bgp_level_1_update(self, bgp_metric=None, bgp_route_map=None, bgp_level1=None, bgp_level2=None, bgp_level12=None, bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param bgp_level1: IS-IS Level-1 routes only
		:type bgp_level1: (YANGBool)

		:param bgp_level2: IS-IS Level-2 routes only
		:type bgp_level2: (YANGBool)

		:param bgp_level12: IS-IS Level-1-2 routes
		:type bgp_level12: (YANGBool)

		:param bgp_metric_type: IS-IS metric type for redistributed routes
		:type bgp_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map, bgp_level1=bgp_level1, bgp_level2=bgp_level2, bgp_level12=bgp_level12, bgp_metric_type=bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_connected_update(self, connected_metric=None, connected_route_map=None, connected_level1=None, connected_level2=None, connected_level12=None, connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param connected_metric: Metric for redistributed routes
		:type connected_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param connected_route_map: Route map reference
		:type connected_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param connected_level1: IS-IS Level-1 routes only
		:type connected_level1: (YANGBool)

		:param connected_level2: IS-IS Level-2 routes only
		:type connected_level2: (YANGBool)

		:param connected_level12: IS-IS Level-1-2 routes
		:type connected_level12: (YANGBool)

		:param connected_metric_type: IS-IS metric type for redistributed routes
		:type connected_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connected_metric=connected_metric, connected_route_map=connected_route_map, connected_level1=connected_level1, connected_level2=connected_level2, connected_level12=connected_level12, connected_metric_type=connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_connected_level_1_update(self, connected_metric=None, connected_route_map=None, connected_level1=None, connected_level2=None, connected_level12=None, connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param connected_metric: Metric for redistributed routes
		:type connected_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param connected_route_map: Route map reference
		:type connected_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param connected_level1: IS-IS Level-1 routes only
		:type connected_level1: (YANGBool)

		:param connected_level2: IS-IS Level-2 routes only
		:type connected_level2: (YANGBool)

		:param connected_level12: IS-IS Level-1-2 routes
		:type connected_level12: (YANGBool)

		:param connected_metric_type: IS-IS metric type for redistributed routes
		:type connected_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connected_metric=connected_metric, connected_route_map=connected_route_map, connected_level1=connected_level1, connected_level2=connected_level2, connected_level12=connected_level12, connected_metric_type=connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_isis_level_1_into_level_2_update(self, prefix_list_level1=None, level1_into_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param prefix_list_level1: Select routes using prefix-list
		:type prefix_list_level1: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param level1_into_level2_disable: Disable
		:type level1_into_level2_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level1=prefix_list_level1, level1_into_level2_disable=level1_into_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_isis_level_1_into_level_2_disable_update(self, prefix_list_level1=None, level1_into_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param prefix_list_level1: Select routes using prefix-list
		:type prefix_list_level1: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param level1_into_level2_disable: Disable
		:type level1_into_level2_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level1=prefix_list_level1, level1_into_level2_disable=level1_into_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_isis_level_2_into_level_1_update(self, prefix_list_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param prefix_list_level2: Select routes using prefix-list
		:type prefix_list_level2: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level2=prefix_list_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_isis_level_2_into_level_1_prefix_list_update(self, prefix_list_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param prefix_list_level2: Select routes using prefix-list
		:type prefix_list_level2: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level2=prefix_list_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_update(self, ospf_metric=None, ospf_route_map=None, ospf_level1=None, ospf_level2=None, ospf_level12=None, ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param ospf_level1: IS-IS Level-1 routes only
		:type ospf_level1: (YANGBool)

		:param ospf_level2: IS-IS Level-2 routes only
		:type ospf_level2: (YANGBool)

		:param ospf_level12: IS-IS Level-1-2 routes
		:type ospf_level12: (YANGBool)

		:param ospf_metric_type: IS-IS metric type for redistributed routes
		:type ospf_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map, ospf_level1=ospf_level1, ospf_level2=ospf_level2, ospf_level12=ospf_level12, ospf_metric_type=ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_level_1_update(self, ospf_metric=None, ospf_route_map=None, ospf_level1=None, ospf_level2=None, ospf_level12=None, ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param ospf_level1: IS-IS Level-1 routes only
		:type ospf_level1: (YANGBool)

		:param ospf_level2: IS-IS Level-2 routes only
		:type ospf_level2: (YANGBool)

		:param ospf_level12: IS-IS Level-1-2 routes
		:type ospf_level12: (YANGBool)

		:param ospf_metric_type: IS-IS metric type for redistributed routes
		:type ospf_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map, ospf_level1=ospf_level1, ospf_level2=ospf_level2, ospf_level12=ospf_level12, ospf_metric_type=ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_match_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_match_external1_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_static_update(self, static_metric=None, static_route_map=None, static_level1=None, static_level2=None, static_level12=None, static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param static_metric: Metric for redistributed routes
		:type static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param static_level1: IS-IS Level-1 routes only
		:type static_level1: (YANGBool)

		:param static_level2: IS-IS Level-2 routes only
		:type static_level2: (YANGBool)

		:param static_level12: IS-IS Level-1-2 routes
		:type static_level12: (YANGBool)

		:param static_metric_type: IS-IS metric type for redistributed routes
		:type static_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_metric=static_metric, static_route_map=static_route_map, static_level1=static_level1, static_level2=static_level2, static_level12=static_level12, static_metric_type=static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_static_level_1_update(self, static_metric=None, static_route_map=None, static_level1=None, static_level2=None, static_level12=None, static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param static_metric: Metric for redistributed routes
		:type static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param static_level1: IS-IS Level-1 routes only
		:type static_level1: (YANGBool)

		:param static_level2: IS-IS Level-2 routes only
		:type static_level2: (YANGBool)

		:param static_level12: IS-IS Level-1-2 routes
		:type static_level12: (YANGBool)

		:param static_metric_type: IS-IS metric type for redistributed routes
		:type static_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_metric=static_metric, static_route_map=static_route_map, static_level1=static_level1, static_level2=static_level2, static_level12=static_level12, static_metric_type=static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_summary_address_update(self, summary_address=None, summary_ip_level1=None, summary_ip_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param summary_address: kwarg tuple.
		:type summary_address: (summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2).

		:param summary_ip: tuple arg.
		:type summary_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param summary_ip_mask: tuple arg.
		:type summary_ip_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param summary_ip_level1: For Level-1
		:type summary_ip_level1: (YANGBool)

		:param summary_ip_level2: For Level-2
		:type summary_ip_level2: (YANGBool)

	**This Instance Arg(s)**:
		:param summary_ip_level1: For Level-1
		:type summary_ip_level1: (YANGBool)

		:param summary_ip_level2: For Level-2
		:type summary_ip_level2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_ip, summary_ip_mask', 'extra_keyval': 'summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_address=summary_address, summary_ip_level1=summary_ip_level1, summary_ip_level2=summary_ip_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_update(self, default_metric=None, distance=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param default_metric: Metric for route redistribution
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param distance: Define an administrative distance
		:type distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maximum_paths: Calculate multiple paths
		:type maximum_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_metric=default_metric, distance=distance, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_default_information_originate_update(self, default_information_originate_route_map=None, default_information_originate_cr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param default_information_originate_route_map: Use route map
		:type default_information_originate_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param default_information_originate_cr: kwarg.
		:type default_information_originate_cr: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_information_originate_route_map=default_information_originate_route_map, default_information_originate_cr=default_information_originate_cr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_default_link_metric_update(self, ipv6_default_link_metric_level1=None, ipv6_default_link_metric_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ipv6_default_link_metric_level1: Default Link Metric for Level-1
		:type ipv6_default_link_metric_level1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_default_link_metric_level2: Default Link Metric for Level-2
		:type ipv6_default_link_metric_level2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.ipv6_default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_default_link_metric_level1=ipv6_default_link_metric_level1, ipv6_default_link_metric_level2=ipv6_default_link_metric_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_default_link_metric_level_1_update(self, ipv6_default_link_metric_level1=None, ipv6_default_link_metric_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ipv6_default_link_metric_level1: Default Link Metric for Level-1
		:type ipv6_default_link_metric_level1: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_default_link_metric_level2: Default Link Metric for Level-2
		:type ipv6_default_link_metric_level2: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.ipv6_default_link_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ipv6_default_link_metric_level1=ipv6_default_link_metric_level1, ipv6_default_link_metric_level2=ipv6_default_link_metric_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_default_metric_update(self, default_metric=None, distance=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param default_metric: Metric for route redistribution
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param distance: Define an administrative distance
		:type distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param maximum_paths: Calculate multiple paths
		:type maximum_paths: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, default_metric=default_metric, distance=distance, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_disable_adjacency_check_update(self, disable_adjacency_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param disable_adjacency_check: Disable IPv6 Support consistency check
		:type disable_adjacency_check: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, disable_adjacency_check=disable_adjacency_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_multi_topology_update(self, multi_topology_transition=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param multi_topology_transition: Accept and generate both ISIS IPv6 and Multi-topology IPv6 TLVs
		:type multi_topology_transition: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.multi_topology', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, multi_topology_transition=multi_topology_transition)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_multi_topology_transition_update(self, multi_topology_transition=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param multi_topology_transition: Accept and generate both ISIS IPv6 and Multi-topology IPv6 TLVs
		:type multi_topology_transition: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.multi_topology', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, multi_topology_transition=multi_topology_transition)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_partial_spf_interval_update(self, pspf6_max_hold_time=None, pspf6_init_delay=None, pspf6_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param pspf6_max_hold_time: kwarg.
		:type pspf6_max_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf6_init_delay: kwarg.
		:type pspf6_init_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf6_hold_time: kwarg.
		:type pspf6_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.partial6_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'pspf6_max_hold_time, pspf6_init_delay, pspf6_hold_time'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pspf6_max_hold_time=pspf6_max_hold_time, pspf6_init_delay=pspf6_init_delay, pspf6_hold_time=pspf6_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_partial_spf_interval_pspf_hold_time_update(self, pspf6_max_hold_time=None, pspf6_init_delay=None, pspf6_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param pspf6_max_hold_time: kwarg.
		:type pspf6_max_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf6_init_delay: kwarg.
		:type pspf6_init_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf6_hold_time: kwarg.
		:type pspf6_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.partial6_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pspf6_max_hold_time=pspf6_max_hold_time, pspf6_init_delay=pspf6_init_delay, pspf6_hold_time=pspf6_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_bgp_update(self, bgp_metric=None, bgp_route_map=None, bgp_level1=None, bgp_level2=None, bgp_level12=None, bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param bgp_level1: IS-IS Level-1 routes only
		:type bgp_level1: (YANGBool)

		:param bgp_level2: IS-IS Level-2 routes only
		:type bgp_level2: (YANGBool)

		:param bgp_level12: IS-IS Level-1-2 routes
		:type bgp_level12: (YANGBool)

		:param bgp_metric_type: IS-IS metric type for redistributed routes
		:type bgp_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map, bgp_level1=bgp_level1, bgp_level2=bgp_level2, bgp_level12=bgp_level12, bgp_metric_type=bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_bgp_level_1_update(self, bgp_metric=None, bgp_route_map=None, bgp_level1=None, bgp_level2=None, bgp_level12=None, bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param bgp_metric: Metric for redistributed routes
		:type bgp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param bgp_level1: IS-IS Level-1 routes only
		:type bgp_level1: (YANGBool)

		:param bgp_level2: IS-IS Level-2 routes only
		:type bgp_level2: (YANGBool)

		:param bgp_level12: IS-IS Level-1-2 routes
		:type bgp_level12: (YANGBool)

		:param bgp_metric_type: IS-IS metric type for redistributed routes
		:type bgp_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map, bgp_level1=bgp_level1, bgp_level2=bgp_level2, bgp_level12=bgp_level12, bgp_metric_type=bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_connected_update(self, connected_metric=None, connected_route_map=None, connected_level1=None, connected_level2=None, connected_level12=None, connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param connected_metric: Metric for redistributed routes
		:type connected_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param connected_route_map: Route map reference
		:type connected_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param connected_level1: IS-IS Level-1 routes only
		:type connected_level1: (YANGBool)

		:param connected_level2: IS-IS Level-2 routes only
		:type connected_level2: (YANGBool)

		:param connected_level12: IS-IS Level-1-2 routes
		:type connected_level12: (YANGBool)

		:param connected_metric_type: IS-IS metric type for redistributed routes
		:type connected_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connected_metric=connected_metric, connected_route_map=connected_route_map, connected_level1=connected_level1, connected_level2=connected_level2, connected_level12=connected_level12, connected_metric_type=connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_connected_level_1_update(self, connected_metric=None, connected_route_map=None, connected_level1=None, connected_level2=None, connected_level12=None, connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param connected_metric: Metric for redistributed routes
		:type connected_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param connected_route_map: Route map reference
		:type connected_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param connected_level1: IS-IS Level-1 routes only
		:type connected_level1: (YANGBool)

		:param connected_level2: IS-IS Level-2 routes only
		:type connected_level2: (YANGBool)

		:param connected_level12: IS-IS Level-1-2 routes
		:type connected_level12: (YANGBool)

		:param connected_metric_type: IS-IS metric type for redistributed routes
		:type connected_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connected_metric=connected_metric, connected_route_map=connected_route_map, connected_level1=connected_level1, connected_level2=connected_level2, connected_level12=connected_level12, connected_metric_type=connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_isis_level_1_into_level_2_update(self, prefix_list_level1=None, level1_into_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param prefix_list_level1: Select routes using prefix-list
		:type prefix_list_level1: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param level1_into_level2_disable: Disable
		:type level1_into_level2_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level1=prefix_list_level1, level1_into_level2_disable=level1_into_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_isis_level_1_into_level_2_disable_update(self, prefix_list_level1=None, level1_into_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param prefix_list_level1: Select routes using prefix-list
		:type prefix_list_level1: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param level1_into_level2_disable: Disable
		:type level1_into_level2_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_1.into.level1_into_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level1=prefix_list_level1, level1_into_level2_disable=level1_into_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_isis_level_2_into_level_1_update(self, prefix_list_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param prefix_list_level2: Select routes using prefix-list
		:type prefix_list_level2: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level2=prefix_list_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_isis_level_2_into_level_1_prefix_list_update(self, prefix_list_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param prefix_list_level2: Select routes using prefix-list
		:type prefix_list_level2: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, prefix_list_level2=prefix_list_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_update(self, ospf_metric=None, ospf_route_map=None, ospf_level1=None, ospf_level2=None, ospf_level12=None, ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param ospf_level1: IS-IS Level-1 routes only
		:type ospf_level1: (YANGBool)

		:param ospf_level2: IS-IS Level-2 routes only
		:type ospf_level2: (YANGBool)

		:param ospf_level12: IS-IS Level-1-2 routes
		:type ospf_level12: (YANGBool)

		:param ospf_metric_type: IS-IS metric type for redistributed routes
		:type ospf_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map, ospf_level1=ospf_level1, ospf_level2=ospf_level2, ospf_level12=ospf_level12, ospf_metric_type=ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_level_1_update(self, ospf_metric=None, ospf_route_map=None, ospf_level1=None, ospf_level2=None, ospf_level12=None, ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_metric: Metric for redistributed routes
		:type ospf_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param ospf_level1: IS-IS Level-1 routes only
		:type ospf_level1: (YANGBool)

		:param ospf_level2: IS-IS Level-2 routes only
		:type ospf_level2: (YANGBool)

		:param ospf_level12: IS-IS Level-1-2 routes
		:type ospf_level12: (YANGBool)

		:param ospf_metric_type: IS-IS metric type for redistributed routes
		:type ospf_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map, ospf_level1=ospf_level1, ospf_level2=ospf_level2, ospf_level12=ospf_level12, ospf_metric_type=ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_match_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_match_external1_update(self, ospf_internal=None, ospf_external1=None, ospf_external2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_internal: Internal routes
		:type ospf_internal: (YANGBool)

		:param ospf_external1: External type 1 routes
		:type ospf_external1: (YANGBool)

		:param ospf_external2: External type 2 routes
		:type ospf_external2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf.match', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_internal=ospf_internal, ospf_external1=ospf_external1, ospf_external2=ospf_external2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_static_update(self, static_metric=None, static_route_map=None, static_level1=None, static_level2=None, static_level12=None, static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param static_metric: Metric for redistributed routes
		:type static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param static_level1: IS-IS Level-1 routes only
		:type static_level1: (YANGBool)

		:param static_level2: IS-IS Level-2 routes only
		:type static_level2: (YANGBool)

		:param static_level12: IS-IS Level-1-2 routes
		:type static_level12: (YANGBool)

		:param static_metric_type: IS-IS metric type for redistributed routes
		:type static_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_metric=static_metric, static_route_map=static_route_map, static_level1=static_level1, static_level2=static_level2, static_level12=static_level12, static_metric_type=static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_static_level_1_update(self, static_metric=None, static_route_map=None, static_level1=None, static_level2=None, static_level12=None, static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param static_metric: Metric for redistributed routes
		:type static_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param static_level1: IS-IS Level-1 routes only
		:type static_level1: (YANGBool)

		:param static_level2: IS-IS Level-2 routes only
		:type static_level2: (YANGBool)

		:param static_level12: IS-IS Level-1-2 routes
		:type static_level12: (YANGBool)

		:param static_metric_type: IS-IS metric type for redistributed routes
		:type static_metric_type: (unicode)
		
		.. note::
			* enum - [u'internal', u'external']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, static_metric=static_metric, static_route_map=static_route_map, static_level1=static_level1, static_level2=static_level2, static_level12=static_level12, static_metric_type=static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_spf_interval_update(self, spf6_interval=None, spf6_interval_max_hold_time=None, spf6_interval_initial_delay=None, spf6_interval_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param spf6_interval: kwarg tuple.
		:type spf6_interval: (spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time).

		:param spf6_interval_level: tuple arg.
		:type spf6_interval_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param spf6_interval_max_hold_time: tuple arg.
		:type spf6_interval_max_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_interval_initial_delay: tuple arg.
		:type spf6_interval_initial_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_interval_hold_time: tuple arg.
		:type spf6_interval_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param spf6_interval_max_hold_time: kwarg.
		:type spf6_interval_max_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_interval_initial_delay: kwarg.
		:type spf6_interval_initial_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf6_interval_hold_time: kwarg.
		:type spf6_interval_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'spf6_interval', 'keyval': 'spf6_interval_level', 'extra_keyval': 'spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf6_interval=spf6_interval, spf6_interval_max_hold_time=spf6_interval_max_hold_time, spf6_interval_initial_delay=spf6_interval_initial_delay, spf6_interval_hold_time=spf6_interval_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_summary_prefix_update(self, summary_prefix=None, summary_prefix_level1=None, summary_prefix_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param summary_prefix: kwarg tuple.
		:type summary_prefix: (summary_prefix_ipv6).

		:param summary_prefix_ipv6: tuple arg.
		:type summary_prefix_ipv6: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

	**This Instance Arg(s)**:
		:param summary_prefix_level1: For Level-1
		:type summary_prefix_level1: (YANGBool)

		:param summary_prefix_level2: For Level-2
		:type summary_prefix_level2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.summary_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_prefix', 'keyval': 'summary_prefix_ipv6', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, summary_prefix=summary_prefix, summary_prefix_level1=summary_prefix_level1, summary_prefix_level2=summary_prefix_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_auth_check_level_1_update(self, auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_check_level1_disable: kwarg.
		:type auth_check_level1_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check_level1_disable=auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_auth_check_level_1_disable_update(self, auth_check_level1_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_check_level1_disable: kwarg.
		:type auth_check_level1_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check_level1_disable=auth_check_level1_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_auth_check_level_2_update(self, auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_check_level2_disable: kwarg.
		:type auth_check_level2_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check_level2_disable=auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_auth_check_level_2_disable_update(self, auth_check_level2_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_check_level2_disable: kwarg.
		:type auth_check_level2_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_check.auth_check_level2', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_check_level2_disable=auth_check_level2_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_auth_key_update(self, auth_key_level1_str=None, auth_key_level2_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_key_level1_str: Auth-key for Level-1 ISIS Router
		:type auth_key_level1_str: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param auth_key_level2_str: Auth-key for Level-2 ISIS Router
		:type auth_key_level2_str: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_key_level1_str=auth_key_level1_str, auth_key_level2_str=auth_key_level2_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_auth_key_level_1_update(self, auth_key_level1_str=None, auth_key_level2_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_key_level1_str: Auth-key for Level-1 ISIS Router
		:type auth_key_level1_str: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param auth_key_level2_str: Auth-key for Level-2 ISIS Router
		:type auth_key_level2_str: (unicode)
		
		.. note::
			* length - [u'1..63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_key_level1_str=auth_key_level1_str, auth_key_level2_str=auth_key_level2_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_auth_mode_md5_update(self, auth_mode_md5_level1=None, auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP
		:type auth_mode_md5_level1: (YANGBool)

		:param auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP
		:type auth_mode_md5_level2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_mode.md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_mode_md5_level1=auth_mode_md5_level1, auth_mode_md5_level2=auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_auth_mode_md5_level_1_update(self, auth_mode_md5_level1=None, auth_mode_md5_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param auth_mode_md5_level1: Authentication mode for Level-1 LSPs, CSNP, PSNP
		:type auth_mode_md5_level1: (YANGBool)

		:param auth_mode_md5_level2: Authentication mode for Level-2 LSPs, CSNP, PSNP
		:type auth_mode_md5_level2: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.auth_mode.md5', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, auth_mode_md5_level1=auth_mode_md5_level1, auth_mode_md5_level2=auth_mode_md5_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_bfd_update(self, bfd_all_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param bfd_all_interfaces: Enable BFD on all interfaces
		:type bfd_all_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_all_interfaces=bfd_all_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_bfd_all_interfaces_update(self, bfd_all_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param bfd_all_interfaces: Enable BFD on all interfaces
		:type bfd_all_interfaces: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_all_interfaces=bfd_all_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_csnp_interval_update(self, csnp_interval=None, disable_inc_stct_spf_opt=None, disable_incremental_spf_opt=None, disable_partial_spf_opt=None, is_type=None, lsp_gen_interval=None, lsp_interval=None, lsp_refresh_interval=None, max_lsp_lifetime=None, nonstop_routing=None, retransmit_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param csnp_interval: Rate of transmission of CSNPs
		:type csnp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param disable_inc_stct_spf_opt: Disable Incremental Shortcut SPF Optimizations - resort to Full SPF
		:type disable_inc_stct_spf_opt: (YANGBool)

		:param disable_incremental_spf_opt: Disable Incremental SPF Optimizations - resort to Full SPF
		:type disable_incremental_spf_opt: (YANGBool)

		:param disable_partial_spf_opt: Disable Partial SPF Optimizations - resort to Full SPF
		:type disable_partial_spf_opt: (YANGBool)

		:param is_type: Define inter-area/intra area operation mode
		:type is_type: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1-2', u'level-1']

		:param lsp_gen_interval: Minimum interval between regenerating same LSP
		:type lsp_gen_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_interval: Rate of transmission of LSPs
		:type lsp_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_refresh_interval: LSP refresh interval
		:type lsp_refresh_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_lsp_lifetime: Maximum LSP lifetime
		:type max_lsp_lifetime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nonstop_routing: Enables the ISIS nonstop routing capability
		:type nonstop_routing: (YANGBool)

		:param retransmit_interval: Time between retransmission of LSP
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, csnp_interval=csnp_interval, disable_inc_stct_spf_opt=disable_inc_stct_spf_opt, disable_incremental_spf_opt=disable_incremental_spf_opt, disable_partial_spf_opt=disable_partial_spf_opt, is_type=is_type, lsp_gen_interval=lsp_gen_interval, lsp_interval=lsp_interval, lsp_refresh_interval=lsp_refresh_interval, max_lsp_lifetime=max_lsp_lifetime, nonstop_routing=nonstop_routing, retransmit_interval=retransmit_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_fast_flood_update(self, fast_flood_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param fast_flood_value: kwarg.
		:type fast_flood_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.fast_flood', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fast_flood_value=fast_flood_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_graceful_restart_update(self, gr_helper_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param gr_helper_disable: Disable Helper Mode
		:type gr_helper_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gr_helper_disable=gr_helper_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_graceful_restart_helper_disable_update(self, gr_helper_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param gr_helper_disable: Disable Helper Mode
		:type gr_helper_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, gr_helper_disable=gr_helper_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_hello_padding_update(self, hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hello_padding_disable: kwarg.
		:type hello_padding_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_padding_disable=hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_hello_padding_disable_update(self, hello_padding_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hello_padding_disable: kwarg.
		:type hello_padding_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_padding_disable=hello_padding_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_hello_padding_point_to_point_update(self, hello_padding_ptp_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hello_padding_ptp_disable: kwarg.
		:type hello_padding_ptp_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding.hello_padding_point_to_point', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_padding_ptp_disable=hello_padding_ptp_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_hello_padding_point_to_point_disable_update(self, hello_padding_ptp_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hello_padding_ptp_disable: kwarg.
		:type hello_padding_ptp_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hello.padding.hello_padding_point_to_point', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hello_padding_ptp_disable=hello_padding_ptp_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_hostname_update(self, hostname_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hostname_disable: kwarg.
		:type hostname_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hostname', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostname_disable=hostname_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_hostname_disable_update(self, hostname_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hostname_disable: kwarg.
		:type hostname_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.hostname', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostname_disable=hostname_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_log_update(self, adjacency=None, invalid_lsp_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param adjacency: Logging Adjacency Changes
		:type adjacency: (YANGBool)

		:param invalid_lsp_packets: Logging Invalid LSP Packets
		:type invalid_lsp_packets: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, adjacency=adjacency, invalid_lsp_packets=invalid_lsp_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_log_adjacency_update(self, adjacency=None, invalid_lsp_packets=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param adjacency: Logging Adjacency Changes
		:type adjacency: (YANGBool)

		:param invalid_lsp_packets: Logging Invalid LSP Packets
		:type invalid_lsp_packets: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, adjacency=adjacency, invalid_lsp_packets=invalid_lsp_packets)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_partial_spf_interval_update(self, pspf_max_hold_time=None, pspf_init_delay=None, pspf_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param pspf_max_hold_time: kwarg.
		:type pspf_max_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf_init_delay: kwarg.
		:type pspf_init_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pspf_hold_time: kwarg.
		:type pspf_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.partial_spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, pspf_max_hold_time=pspf_max_hold_time, pspf_init_delay=pspf_init_delay, pspf_hold_time=pspf_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_reverse_metric_update(self, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rev_metric_val: Configure IS-IS reverse metric value
		:type rev_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rev_metric_whole_lan: Change metric for whole LAN
		:type rev_metric_whole_lan: (YANGBool)

		:param rev_metric_te_def_metric: Update TE default metric sub-tlv
		:type rev_metric_te_def_metric: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.reverse_metric_tlv', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_reverse_metric_te_def_metric_update(self, rev_metric_val=None, rev_metric_whole_lan=None, rev_metric_te_def_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rev_metric_val: Configure IS-IS reverse metric value
		:type rev_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rev_metric_whole_lan: Change metric for whole LAN
		:type rev_metric_whole_lan: (YANGBool)

		:param rev_metric_te_def_metric: Update TE default metric sub-tlv
		:type rev_metric_te_def_metric: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.rev_metric_common_attributes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rev_metric_val=rev_metric_val, rev_metric_whole_lan=rev_metric_whole_lan, rev_metric_te_def_metric=rev_metric_te_def_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_reverse_metric_tlv_type_update(self, rev_metric_tlv_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rev_metric_tlv_type: Configure reverse metric TLV type
		:type rev_metric_tlv_type: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric.reverse_metric_tlv', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rev_metric_tlv_type=rev_metric_tlv_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_set_debug_update(self, nsr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param nsr: Set nsr debug
		:type nsr: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_debug', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsr=nsr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_set_debug_nsr_update(self, nsr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param nsr: Set nsr debug
		:type nsr: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_debug', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, nsr=nsr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_set_overload_bit_on_startup_update(self, on_startup_overloadtime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param on_startup_overloadtime: kwarg.
		:type on_startup_overloadtime: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, on_startup_overloadtime=on_startup_overloadtime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_set_overload_bit_on_startup_wait_for_bgp_update(self, wait_for_bgp_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param wait_for_bgp_value: Set overload-bit till BGP converges on reboot
		:type wait_for_bgp_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit.on_startup.wait_for_bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, wait_for_bgp_value=wait_for_bgp_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_isis_spf_interval_update(self, spf_interval=None, spf_interval_max_hold_time=None, spf_interval_initial_delay=None, spf_interval_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param spf_interval: kwarg tuple.
		:type spf_interval: (spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time).

		:param spf_interval_level: tuple arg.
		:type spf_interval_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param spf_interval_max_hold_time: tuple arg.
		:type spf_interval_max_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_interval_initial_delay: tuple arg.
		:type spf_interval_initial_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_interval_hold_time: tuple arg.
		:type spf_interval_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param spf_interval_max_hold_time: kwarg.
		:type spf_interval_max_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_interval_initial_delay: kwarg.
		:type spf_interval_initial_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spf_interval_hold_time: kwarg.
		:type spf_interval_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'spf_interval', 'keyval': 'spf_interval_level', 'extra_keyval': 'spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_interval=spf_interval, spf_interval_max_hold_time=spf_interval_max_hold_time, spf_interval_initial_delay=spf_interval_initial_delay, spf_interval_hold_time=spf_interval_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_template_update(self, autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param autobw_template: kwarg tuple.
		:type autobw_template: (autobw_template_name).

		:param autobw_template_name: ASCII string;;Name (up to 64 characters)
		:type autobw_template_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param adjustment_interval: Configure Adjustment interval
		:type adjustment_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adjustment_threshold: Configure Adjustment threshold
		:type adjustment_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_bandwidth: Configure Minimum Bandwidth
		:type min_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_bandwidth: Configure Maximum bandwidth
		:type max_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param overflow_limit: Configure Overflow limit
		:type overflow_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: Configure Mode of autobandwidth
		:type mode: (unicode)
		
		.. note::
			* enum - [u'monitor-and-signal', u'monitor-only']

		:param sample_recording: Set sample recording for this lsp
		:type sample_recording: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param underflow_limit: Configure Underflow limit
		:type underflow_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_template=autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_threshold_table_bandwidth_update(self, autobw_threshold_table_bandwidth=None, autobw_threshold_table_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param autobw_threshold_table_bandwidth: kwarg tuple.
		:type autobw_threshold_table_bandwidth: (bandwidth_value, autobw_threshold_table_threshold).

		:param bandwidth_value: DECIMAL;;Bandwidth upto which threshold will apply
		:type bandwidth_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param autobw_threshold_table_threshold: DECIMAL;;Absolute threshold value for the bandwidth
		:type autobw_threshold_table_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param autobw_threshold_table_threshold: DECIMAL;;Absolute threshold value for the bandwidth
		:type autobw_threshold_table_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.autobw_threshold_table_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_bandwidth', 'keyval': 'bandwidth_value', 'extra_keyval': 'bandwidth_value, autobw_threshold_table_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_threshold_table_bandwidth=autobw_threshold_table_bandwidth, autobw_threshold_table_threshold=autobw_threshold_table_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_threshold_table_max_bw_threshold_update(self, max_bw_threshold_absolute=None, max_bw_threshold_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param max_bw_threshold_absolute: Define threshold in absolute value
		:type max_bw_threshold_absolute: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_bw_threshold_percentage: Define threshold as percentage
		:type max_bw_threshold_percentage: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.max_bw_threshold', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, max_bw_threshold_absolute=max_bw_threshold_absolute, max_bw_threshold_percentage=max_bw_threshold_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_threshold_table_max_bw_threshold_absolute_update(self, max_bw_threshold_absolute=None, max_bw_threshold_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param max_bw_threshold_absolute: Define threshold in absolute value
		:type max_bw_threshold_absolute: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_bw_threshold_percentage: Define threshold as percentage
		:type max_bw_threshold_percentage: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.max_bw_threshold', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, max_bw_threshold_absolute=max_bw_threshold_absolute, max_bw_threshold_percentage=max_bw_threshold_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_bfd_min_tx_update(self, bfd_min_tx_val=None, bfd_min_rx=None, bfd_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param bfd_min_tx_val: kwarg.
		:type bfd_min_tx_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bfd_min_rx: BFD Rx rate for control packets
		:type bfd_min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bfd_multiplier: Number of consecutive control packets to be missed for peer to be down
		:type bfd_multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bfd.bfd_sub_cmds.bfd_min_tx', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'bfd_min_tx_val, bfd_min_rx, bfd_multiplier'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_min_tx_val=bfd_min_tx_val, bfd_min_rx=bfd_min_rx, bfd_multiplier=bfd_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_bfd_min_tx_min_rx_update(self, bfd_min_tx_val=None, bfd_min_rx=None, bfd_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param bfd_min_tx_val: kwarg.
		:type bfd_min_tx_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bfd_min_rx: BFD Rx rate for control packets
		:type bfd_min_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param bfd_multiplier: Number of consecutive control packets to be missed for peer to be down
		:type bfd_multiplier: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bfd.bfd_sub_cmds.bfd_min_tx', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bfd_min_tx_val=bfd_min_tx_val, bfd_min_rx=bfd_min_rx, bfd_multiplier=bfd_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_update(self, bypass_lsp=None, bypass_lsp_dest_address=None, bypass_lsp_src_address=None, bypass_lsp_tie_breaking=None, lsp_adaptive=None, lsp_reoptimize_timer=None, lsp_commit=None, lsp_record=None, lsp_cos=None, lsp_hop_limit=None, lsp_cspf_computation_mode=None, bypass_lsp_primary_path=None, bypass_lsp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param bypass_lsp: kwarg tuple.
		:type bypass_lsp: (bypass_lsp_name).

		:param bypass_lsp_name: ASCII string;;Name (up to 64 characters)
		:type bypass_lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param bypass_lsp_dest_address: Define LSP destination address
		:type bypass_lsp_dest_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param bypass_lsp_src_address: Define LSP source address
		:type bypass_lsp_src_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param bypass_lsp_tie_breaking: Choose the tie breaking mode for cspf
		:type bypass_lsp_tie_breaking: (unicode)
		
		.. note::
			* enum - [u'most-fill', u'random', u'least-fill']

		:param lsp_adaptive: Configure LSP/secpath to be adaptive
		:type lsp_adaptive: (YANGBool)

		:param lsp_reoptimize_timer: Configure Reoptimization timer
		:type lsp_reoptimize_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_commit: Commit the changes to adaptive LSP
		:type lsp_commit: (YANGBool)

		:param lsp_record: Enable/disable recording path routes
		:type lsp_record: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param lsp_cos: Configure class of service
		:type lsp_cos: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_hop_limit: Limit of hops the LSP can traverse
		:type lsp_hop_limit: (int)
		
		.. note::
			* range - ['0..65535']

		:param lsp_cspf_computation_mode: Specify cspf-computation-mode
		:type lsp_cspf_computation_mode: (unicode)
		
		.. note::
			* enum - [u'use-igp-metric', u'use-te-metric']

		:param bypass_lsp_primary_path: Set primary explicit path
		:type bypass_lsp_primary_path: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param bypass_lsp_enable: Enable LSP
		:type bypass_lsp_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp, bypass_lsp_dest_address=bypass_lsp_dest_address, bypass_lsp_src_address=bypass_lsp_src_address, bypass_lsp_tie_breaking=bypass_lsp_tie_breaking, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, bypass_lsp_primary_path=bypass_lsp_primary_path, bypass_lsp_enable=bypass_lsp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_priority_update(self, bypass_lsp=None, lsp_setup_priority=None, lsp_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bypass_lsp: kwarg tuple.
		:type bypass_lsp: (bypass_lsp_name).

		:param bypass_lsp_name: ASCII string;;Name (up to 64 characters)
		:type bypass_lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_setup_priority: NUMBER:0-7;;setup priority
		:type lsp_setup_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_hold_priority: NUMBER:0-7;;holding priority
		:type lsp_hold_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp, lsp_setup_priority=lsp_setup_priority, lsp_hold_priority=lsp_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_traffic_engineering_update(self, bypass_lsp=None, lsp_te_mean_rate=None, lsp_te_max_rate=None, lsp_te_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bypass_lsp: kwarg tuple.
		:type bypass_lsp: (bypass_lsp_name).

		:param bypass_lsp_name: ASCII string;;Name (up to 64 characters)
		:type bypass_lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_te_mean_rate: 0-2147483647;;Mean rate in kbps
		:type lsp_te_mean_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_te_max_rate: 0-2147483647;;Max-rate in kbps
		:type lsp_te_max_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_te_max_burst: 0-2147483647;;Max-burst in bytes
		:type lsp_te_max_burst: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'lsp_te_mean_rate, lsp_te_max_rate, lsp_te_max_burst'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_traffic_engineering_max_burst_update(self, bypass_lsp=None, lsp_te_mean_rate=None, lsp_te_max_rate=None, lsp_te_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bypass_lsp: kwarg tuple.
		:type bypass_lsp: (bypass_lsp_name).

		:param bypass_lsp_name: ASCII string;;Name (up to 64 characters)
		:type bypass_lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_te_mean_rate: 0-2147483647;;Mean rate in kbps
		:type lsp_te_mean_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_te_max_rate: 0-2147483647;;Max-rate in kbps
		:type lsp_te_max_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_te_max_burst: 0-2147483647;;Max-burst in bytes
		:type lsp_te_max_burst: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bypass_lsp=bypass_lsp, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_cspf_group_penalty_update(self, cspf_group=None, cspf_group_penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param cspf_group: kwarg tuple.
		:type cspf_group: (cspf_group_name).

		:param cspf_group_name: ASCII string;;Name (up to 128 characters)
		:type cspf_group_name: (unicode)
		
		.. note::
			* length - [u'1..128']

	**This Instance Arg(s)**:
		:param cspf_group_penalty: Configure cspf group penalty value
		:type cspf_group_penalty: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_penalty_n', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cspf_group=cspf_group, cspf_group_penalty=cspf_group_penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_dynamic_bypass_update(self, dynamic_bypass_max_bypasses=None, dynamic_bypass_max_bypasses_per_mp=None, dynamic_bypass_enable_all_interfaces=None, dynamic_bypass_reoptimize_timer=None, dynamic_bypass_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param dynamic_bypass_max_bypasses: Router level maximum number of dynamic bypasses
		:type dynamic_bypass_max_bypasses: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dynamic_bypass_max_bypasses_per_mp: Router level maximum number of dynamic bypasses per merge point
		:type dynamic_bypass_max_bypasses_per_mp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dynamic_bypass_enable_all_interfaces: enable dynamic bypass on all mpls interfaces
		:type dynamic_bypass_enable_all_interfaces: (YANGBool)

		:param dynamic_bypass_reoptimize_timer: Router level reoptimer timer value for dynamic bypasses
		:type dynamic_bypass_reoptimize_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dynamic_bypass_disable: Enable or disable dynamic bypass
		:type dynamic_bypass_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_max_bypasses=dynamic_bypass_max_bypasses, dynamic_bypass_max_bypasses_per_mp=dynamic_bypass_max_bypasses_per_mp, dynamic_bypass_enable_all_interfaces=dynamic_bypass_enable_all_interfaces, dynamic_bypass_reoptimize_timer=dynamic_bypass_reoptimize_timer, dynamic_bypass_disable=dynamic_bypass_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_dynamic_bypass_disable_update(self, dynamic_bypass_max_bypasses=None, dynamic_bypass_max_bypasses_per_mp=None, dynamic_bypass_enable_all_interfaces=None, dynamic_bypass_reoptimize_timer=None, dynamic_bypass_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param dynamic_bypass_max_bypasses: Router level maximum number of dynamic bypasses
		:type dynamic_bypass_max_bypasses: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dynamic_bypass_max_bypasses_per_mp: Router level maximum number of dynamic bypasses per merge point
		:type dynamic_bypass_max_bypasses_per_mp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dynamic_bypass_enable_all_interfaces: enable dynamic bypass on all mpls interfaces
		:type dynamic_bypass_enable_all_interfaces: (YANGBool)

		:param dynamic_bypass_reoptimize_timer: Router level reoptimer timer value for dynamic bypasses
		:type dynamic_bypass_reoptimize_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dynamic_bypass_disable: Enable or disable dynamic bypass
		:type dynamic_bypass_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass.mpls_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, dynamic_bypass_max_bypasses=dynamic_bypass_max_bypasses, dynamic_bypass_max_bypasses_per_mp=dynamic_bypass_max_bypasses_per_mp, dynamic_bypass_enable_all_interfaces=dynamic_bypass_enable_all_interfaces, dynamic_bypass_reoptimize_timer=dynamic_bypass_reoptimize_timer, dynamic_bypass_disable=dynamic_bypass_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_update(self, ldp_ecmp=None, ldp_hello_interval_basic=None, ldp_hello_interval_target=None, ldp_hello_timeout_basic=None, ldp_hello_timeout_target=None, ldp_ka_int=None, ldp_ka_int_cnt=None, ldp_ka_timeout=None, ldp_fec_filter_in=None, ldp_fec_filter_out=None, ldp_advertise_label=None, ldp_fec_128_for_auto_discovered=None, ldp_lsr_id=None, ldp_rcv_label_silence_time=None, ldp_startup_time=None, ldp_tunnel_metric=None, ldp_lw_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ldp_ecmp: Number of load-sharing paths: range 1-16, default is 1
		:type ldp_ecmp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_hello_interval_basic: In seconds (1-32767, default 5)
		:type ldp_hello_interval_basic: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_hello_interval_target: In seconds (1-32767, default 15)
		:type ldp_hello_interval_target: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_hello_timeout_basic: In seconds (2-65535, default 15)
		:type ldp_hello_timeout_basic: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_hello_timeout_target: In seconds (2-65535, default 45)
		:type ldp_hello_timeout_target: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_ka_int: In seconds (1-65535 default 6)
		:type ldp_ka_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_ka_int_cnt: In seconds (1-65535 default 6)
		:type ldp_ka_int_cnt: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_ka_timeout: In seconds (1-65535)
		:type ldp_ka_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_fec_filter_in: Apply filtering on inbound FECs
		:type ldp_fec_filter_in: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param ldp_fec_filter_out: Apply filtering on outbound FECs
		:type ldp_fec_filter_out: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param ldp_advertise_label: Prefix-list specifying controls on destination prefixes
		:type ldp_advertise_label: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param ldp_fec_128_for_auto_discovered: Use LDP FEC 128 for auto-discovered VPLS peers
		:type ldp_fec_128_for_auto_discovered: (YANGBool)

		:param ldp_lsr_id: Set IP address to be used as LSR id for LDP
		:type ldp_lsr_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ldp_rcv_label_silence_time: Receive label silence time (100-60000 ms)
		:type ldp_rcv_label_silence_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_startup_time: MPLS startup time (1000-300000 ms)
		:type ldp_startup_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_tunnel_metric: LDP tunnel metric value (1-65535 default 0)
		:type ldp_tunnel_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_lw_delay: LDP Label Withdrawal Delay (0-300, default 60) seconds
		:type ldp_lw_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_ecmp=ldp_ecmp, ldp_hello_interval_basic=ldp_hello_interval_basic, ldp_hello_interval_target=ldp_hello_interval_target, ldp_hello_timeout_basic=ldp_hello_timeout_basic, ldp_hello_timeout_target=ldp_hello_timeout_target, ldp_ka_int=ldp_ka_int, ldp_ka_int_cnt=ldp_ka_int_cnt, ldp_ka_timeout=ldp_ka_timeout, ldp_fec_filter_in=ldp_fec_filter_in, ldp_fec_filter_out=ldp_fec_filter_out, ldp_advertise_label=ldp_advertise_label, ldp_fec_128_for_auto_discovered=ldp_fec_128_for_auto_discovered, ldp_lsr_id=ldp_lsr_id, ldp_rcv_label_silence_time=ldp_rcv_label_silence_time, ldp_startup_time=ldp_startup_time, ldp_tunnel_metric=ldp_tunnel_metric, ldp_lw_delay=ldp_lw_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_advertise_fec_update(self, ldp_ecmp=None, ldp_hello_interval_basic=None, ldp_hello_interval_target=None, ldp_hello_timeout_basic=None, ldp_hello_timeout_target=None, ldp_ka_int=None, ldp_ka_int_cnt=None, ldp_ka_timeout=None, ldp_fec_filter_in=None, ldp_fec_filter_out=None, ldp_advertise_label=None, ldp_fec_128_for_auto_discovered=None, ldp_lsr_id=None, ldp_rcv_label_silence_time=None, ldp_startup_time=None, ldp_tunnel_metric=None, ldp_lw_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ldp_ecmp: Number of load-sharing paths: range 1-16, default is 1
		:type ldp_ecmp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_hello_interval_basic: In seconds (1-32767, default 5)
		:type ldp_hello_interval_basic: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_hello_interval_target: In seconds (1-32767, default 15)
		:type ldp_hello_interval_target: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_hello_timeout_basic: In seconds (2-65535, default 15)
		:type ldp_hello_timeout_basic: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_hello_timeout_target: In seconds (2-65535, default 45)
		:type ldp_hello_timeout_target: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_ka_int: In seconds (1-65535 default 6)
		:type ldp_ka_int: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_ka_int_cnt: In seconds (1-65535 default 6)
		:type ldp_ka_int_cnt: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_ka_timeout: In seconds (1-65535)
		:type ldp_ka_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_fec_filter_in: Apply filtering on inbound FECs
		:type ldp_fec_filter_in: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param ldp_fec_filter_out: Apply filtering on outbound FECs
		:type ldp_fec_filter_out: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param ldp_advertise_label: Prefix-list specifying controls on destination prefixes
		:type ldp_advertise_label: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param ldp_fec_128_for_auto_discovered: Use LDP FEC 128 for auto-discovered VPLS peers
		:type ldp_fec_128_for_auto_discovered: (YANGBool)

		:param ldp_lsr_id: Set IP address to be used as LSR id for LDP
		:type ldp_lsr_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ldp_rcv_label_silence_time: Receive label silence time (100-60000 ms)
		:type ldp_rcv_label_silence_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_startup_time: MPLS startup time (1000-300000 ms)
		:type ldp_startup_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_tunnel_metric: LDP tunnel metric value (1-65535 default 0)
		:type ldp_tunnel_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_lw_delay: LDP Label Withdrawal Delay (0-300, default 60) seconds
		:type ldp_lw_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_ecmp=ldp_ecmp, ldp_hello_interval_basic=ldp_hello_interval_basic, ldp_hello_interval_target=ldp_hello_interval_target, ldp_hello_timeout_basic=ldp_hello_timeout_basic, ldp_hello_timeout_target=ldp_hello_timeout_target, ldp_ka_int=ldp_ka_int, ldp_ka_int_cnt=ldp_ka_int_cnt, ldp_ka_timeout=ldp_ka_timeout, ldp_fec_filter_in=ldp_fec_filter_in, ldp_fec_filter_out=ldp_fec_filter_out, ldp_advertise_label=ldp_advertise_label, ldp_fec_128_for_auto_discovered=ldp_fec_128_for_auto_discovered, ldp_lsr_id=ldp_lsr_id, ldp_rcv_label_silence_time=ldp_rcv_label_silence_time, ldp_startup_time=ldp_startup_time, ldp_tunnel_metric=ldp_tunnel_metric, ldp_lw_delay=ldp_lw_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_eol_update(self, ldp_eol_tx_silence=None, ldp_eol_notification=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ldp_eol_tx_silence: Transmit label silence timer (100-60000 msec)
		:type ldp_eol_tx_silence: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_eol_notification: Notification timer (100-120000 msec)
		:type ldp_eol_notification: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_eol', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_eol_tx_silence=ldp_eol_tx_silence, ldp_eol_notification=ldp_eol_notification)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_eol_notification_timer_update(self, ldp_eol_tx_silence=None, ldp_eol_notification=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ldp_eol_tx_silence: Transmit label silence timer (100-60000 msec)
		:type ldp_eol_tx_silence: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_eol_notification: Notification timer (100-120000 msec)
		:type ldp_eol_notification: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_eol', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_eol_tx_silence=ldp_eol_tx_silence, ldp_eol_notification=ldp_eol_notification)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_graceful_restart_update(self, ldp_gr_helper_only=None, ldp_gr_max_neighbor_reconnect_time=None, ldp_gr_max_neighbor_recovery_time=None, ldp_gr_reconnect_time=None, ldp_gr_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ldp_gr_helper_only: Helper only mode
		:type ldp_gr_helper_only: (YANGBool)

		:param ldp_gr_max_neighbor_reconnect_time: Maximum time to wait for neighbor to reconnect (60-300 sec)
		:type ldp_gr_max_neighbor_reconnect_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_gr_max_neighbor_recovery_time: Maximum time to wait for neighbor to recover (60-3600 sec)
		:type ldp_gr_max_neighbor_recovery_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_gr_reconnect_time: Session reconnect time (60-300 sec)
		:type ldp_gr_reconnect_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_gr_recovery_time: Recovery time (60-3600 sec)
		:type ldp_gr_recovery_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_gr_helper_only=ldp_gr_helper_only, ldp_gr_max_neighbor_reconnect_time=ldp_gr_max_neighbor_reconnect_time, ldp_gr_max_neighbor_recovery_time=ldp_gr_max_neighbor_recovery_time, ldp_gr_reconnect_time=ldp_gr_reconnect_time, ldp_gr_recovery_time=ldp_gr_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_graceful_restart_helper_only_update(self, ldp_gr_helper_only=None, ldp_gr_max_neighbor_reconnect_time=None, ldp_gr_max_neighbor_recovery_time=None, ldp_gr_reconnect_time=None, ldp_gr_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ldp_gr_helper_only: Helper only mode
		:type ldp_gr_helper_only: (YANGBool)

		:param ldp_gr_max_neighbor_reconnect_time: Maximum time to wait for neighbor to reconnect (60-300 sec)
		:type ldp_gr_max_neighbor_reconnect_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_gr_max_neighbor_recovery_time: Maximum time to wait for neighbor to recover (60-3600 sec)
		:type ldp_gr_max_neighbor_recovery_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_gr_reconnect_time: Session reconnect time (60-300 sec)
		:type ldp_gr_reconnect_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ldp_gr_recovery_time: Recovery time (60-3600 sec)
		:type ldp_gr_recovery_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_gr_helper_only=ldp_gr_helper_only, ldp_gr_max_neighbor_reconnect_time=ldp_gr_max_neighbor_reconnect_time, ldp_gr_max_neighbor_recovery_time=ldp_gr_max_neighbor_recovery_time, ldp_gr_reconnect_time=ldp_gr_reconnect_time, ldp_gr_recovery_time=ldp_gr_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_session_update(self, ldp_session=None, ldp_session_fec_filter_out=None, ldp_session_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param ldp_session: kwarg tuple.
		:type ldp_session: (ldp_session_ip).

		:param ldp_session_ip: Define LDP peer ip address
		:type ldp_session_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param ldp_session_fec_filter_out: Apply filtering on outbound FECs
		:type ldp_session_fec_filter_out: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param ldp_session_auth_key: Enable TCP-MD5 authentication
		:type ldp_session_auth_key: (unicode)
		
		.. note::
			* length - [u'1..80']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'ldp_session_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ldp_session=ldp_session, ldp_session_fec_filter_out=ldp_session_fec_filter_out, ldp_session_auth_key=ldp_session_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_update(self, lsp=None, lsp_dest_address=None, lsp_cspf=None, lsp_ipmtu=None, lsp_metric=None, lsp_revert_timer=None, lsp_tie_breaking=None, lsp_src_address=None, lsp_primary_path=None, lsp_adaptive=None, lsp_reoptimize_timer=None, lsp_commit=None, lsp_record=None, lsp_cos=None, lsp_hop_limit=None, lsp_cspf_computation_mode=None, lsp_soft_preemption=None, lsp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_dest_address: Define LSP destination address
		:type lsp_dest_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param lsp_cspf: Enable/Disable cspf
		:type lsp_cspf: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param lsp_ipmtu: IP Packet Maximum Transmission Unit
		:type lsp_ipmtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_metric: Set the LSP metric
		:type lsp_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_revert_timer: set lsp revert timer
		:type lsp_revert_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_tie_breaking: Choose the tie breaking mode for cspf
		:type lsp_tie_breaking: (unicode)
		
		.. note::
			* enum - [u'most-fill', u'random', u'least-fill']

		:param lsp_src_address: Define LSP source address
		:type lsp_src_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param lsp_primary_path: Set primary explicit path
		:type lsp_primary_path: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param lsp_adaptive: Configure LSP/secpath to be adaptive
		:type lsp_adaptive: (YANGBool)

		:param lsp_reoptimize_timer: Configure Reoptimization timer
		:type lsp_reoptimize_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_commit: Commit the changes to adaptive LSP
		:type lsp_commit: (YANGBool)

		:param lsp_record: Enable/disable recording path routes
		:type lsp_record: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param lsp_cos: Configure class of service
		:type lsp_cos: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_hop_limit: Limit of hops the LSP can traverse
		:type lsp_hop_limit: (int)
		
		.. note::
			* range - ['0..65535']

		:param lsp_cspf_computation_mode: Specify cspf-computation-mode
		:type lsp_cspf_computation_mode: (unicode)
		
		.. note::
			* enum - [u'use-igp-metric', u'use-te-metric']

		:param lsp_soft_preemption: Set LSP soft preemption capability
		:type lsp_soft_preemption: (YANGBool)

		:param lsp_enable: Enable LSP
		:type lsp_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_dest_address=lsp_dest_address, lsp_cspf=lsp_cspf, lsp_ipmtu=lsp_ipmtu, lsp_metric=lsp_metric, lsp_revert_timer=lsp_revert_timer, lsp_tie_breaking=lsp_tie_breaking, lsp_src_address=lsp_src_address, lsp_primary_path=lsp_primary_path, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, lsp_soft_preemption=lsp_soft_preemption, lsp_enable=lsp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_update(self, lsp=None, lsp_autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_autobw_template: Inherit Auto-bandwidth parameters from a template
		:type lsp_autobw_template: (ReferencePathType)

		:param adjustment_interval: Configure Adjustment interval
		:type adjustment_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adjustment_threshold: Configure Adjustment threshold
		:type adjustment_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_bandwidth: Configure Minimum Bandwidth
		:type min_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_bandwidth: Configure Maximum bandwidth
		:type max_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param overflow_limit: Configure Overflow limit
		:type overflow_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: Configure Mode of autobandwidth
		:type mode: (unicode)
		
		.. note::
			* enum - [u'monitor-and-signal', u'monitor-only']

		:param sample_recording: Set sample recording for this lsp
		:type sample_recording: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param underflow_limit: Configure Underflow limit
		:type underflow_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_autobw_template=lsp_autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_adjustment_interval_update(self, lsp=None, lsp_autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_autobw_template: Inherit Auto-bandwidth parameters from a template
		:type lsp_autobw_template: (ReferencePathType)

		:param adjustment_interval: Configure Adjustment interval
		:type adjustment_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adjustment_threshold: Configure Adjustment threshold
		:type adjustment_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_bandwidth: Configure Minimum Bandwidth
		:type min_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_bandwidth: Configure Maximum bandwidth
		:type max_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param overflow_limit: Configure Overflow limit
		:type overflow_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: Configure Mode of autobandwidth
		:type mode: (unicode)
		
		.. note::
			* enum - [u'monitor-and-signal', u'monitor-only']

		:param sample_recording: Set sample recording for this lsp
		:type sample_recording: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param underflow_limit: Configure Underflow limit
		:type underflow_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_autobw_template=lsp_autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_update(self, lsp=None, lsp_frr_hop_limit=None, lsp_frr_facility_backup=None, lsp_frr_link_protection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_frr_hop_limit: Limit of hops the detour/backup LSP can traverse (from PLR to MP)
		:type lsp_frr_hop_limit: (int)
		
		.. note::
			* range - ['0..255']

		:param lsp_frr_facility_backup: Select the frr protection mode
		:type lsp_frr_facility_backup: (YANGBool)

		:param lsp_frr_link_protection: Request link protection for LSP
		:type lsp_frr_link_protection: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_frr_hop_limit=lsp_frr_hop_limit, lsp_frr_facility_backup=lsp_frr_facility_backup, lsp_frr_link_protection=lsp_frr_link_protection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_bandwidth_update(self, lsp=None, lsp_frr_bandwidth=None, lsp_frr_bandwidth_inherit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_frr_bandwidth: kwarg.
		:type lsp_frr_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_frr_bandwidth_inherit: Inherit the bandwidth for Detour/Backup LSP from the Protected LSP
		:type lsp_frr_bandwidth_inherit: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_frr_bandwidth=lsp_frr_bandwidth, lsp_frr_bandwidth_inherit=lsp_frr_bandwidth_inherit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_facility_backup_update(self, lsp=None, lsp_frr_hop_limit=None, lsp_frr_facility_backup=None, lsp_frr_link_protection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_frr_hop_limit: Limit of hops the detour/backup LSP can traverse (from PLR to MP)
		:type lsp_frr_hop_limit: (int)
		
		.. note::
			* range - ['0..255']

		:param lsp_frr_facility_backup: Select the frr protection mode
		:type lsp_frr_facility_backup: (YANGBool)

		:param lsp_frr_link_protection: Request link protection for LSP
		:type lsp_frr_link_protection: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_frr_hop_limit=lsp_frr_hop_limit, lsp_frr_facility_backup=lsp_frr_facility_backup, lsp_frr_link_protection=lsp_frr_link_protection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_priority_update(self, lsp=None, lsp_frr_setup_priority=None, lsp_frr_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_frr_setup_priority: NUMBER:0-7;;setup priority
		:type lsp_frr_setup_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_frr_hold_priority: NUMBER:0-7;;holding priority
		:type lsp_frr_hold_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_frr_setup_priority=lsp_frr_setup_priority, lsp_frr_hold_priority=lsp_frr_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_revertive_update(self, lsp=None, lsp_frr_revertive_holdtime=None, lsp_frr_revertive_mode_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_frr_revertive_holdtime: Configure revertive hold time for the LSP
		:type lsp_frr_revertive_holdtime: (int)
		
		.. note::
			* range - ['0..255']

		:param lsp_frr_revertive_mode_global: Enable global revertive mode
		:type lsp_frr_revertive_mode_global: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_revertive', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_frr_revertive_holdtime=lsp_frr_revertive_holdtime, lsp_frr_revertive_mode_global=lsp_frr_revertive_mode_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_revertive_holdtime_update(self, lsp=None, lsp_frr_revertive_holdtime=None, lsp_frr_revertive_mode_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_frr_revertive_holdtime: Configure revertive hold time for the LSP
		:type lsp_frr_revertive_holdtime: (int)
		
		.. note::
			* range - ['0..255']

		:param lsp_frr_revertive_mode_global: Enable global revertive mode
		:type lsp_frr_revertive_mode_global: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr.lsp_frr_revertive', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_frr_revertive_holdtime=lsp_frr_revertive_holdtime, lsp_frr_revertive_mode_global=lsp_frr_revertive_mode_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_priority_update(self, lsp=None, lsp_setup_priority=None, lsp_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_setup_priority: NUMBER:0-7;;setup priority
		:type lsp_setup_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_hold_priority: NUMBER:0-7;;holding priority
		:type lsp_hold_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_setup_priority=lsp_setup_priority, lsp_hold_priority=lsp_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_update(self, lsp=None, secondary_path=None, secpath_standby=None, secpath_bfd=None, secpath_cspf=None, secpath_ipmtu=None, lsp_adaptive=None, lsp_reoptimize_timer=None, lsp_commit=None, lsp_record=None, lsp_cos=None, lsp_hop_limit=None, lsp_cspf_computation_mode=None, secpath_soft_preemption=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Keyword Arg Tuple**:
		:param secondary_path: kwarg tuple.
		:type secondary_path: (secpath_name).

		:param secpath_name: Set secondary explicit path
		:type secpath_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param secpath_standby: Make secondary-path hot standby
		:type secpath_standby: (YANGBool)

		:param secpath_bfd: Enable bfd for secondary-path
		:type secpath_bfd: (YANGBool)

		:param secpath_cspf: Enable/Disable cspf
		:type secpath_cspf: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param secpath_ipmtu: IP Packet Maximum Transmission Unit
		:type secpath_ipmtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_adaptive: Configure LSP/secpath to be adaptive
		:type lsp_adaptive: (YANGBool)

		:param lsp_reoptimize_timer: Configure Reoptimization timer
		:type lsp_reoptimize_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_commit: Commit the changes to adaptive LSP
		:type lsp_commit: (YANGBool)

		:param lsp_record: Enable/disable recording path routes
		:type lsp_record: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param lsp_cos: Configure class of service
		:type lsp_cos: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_hop_limit: Limit of hops the LSP can traverse
		:type lsp_hop_limit: (int)
		
		.. note::
			* range - ['0..65535']

		:param lsp_cspf_computation_mode: Specify cspf-computation-mode
		:type lsp_cspf_computation_mode: (unicode)
		
		.. note::
			* enum - [u'use-igp-metric', u'use-te-metric']

		:param secpath_soft_preemption: Set LSP soft preemption capability
		:type secpath_soft_preemption: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, secpath_standby=secpath_standby, secpath_bfd=secpath_bfd, secpath_cspf=secpath_cspf, secpath_ipmtu=secpath_ipmtu, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, secpath_soft_preemption=secpath_soft_preemption)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_update(self, lsp=None, secondary_path=None, lsp_secpath_autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param secondary_path: kwarg tuple.
		:type secondary_path: (secpath_name).

		:param secpath_name: Set secondary explicit path
		:type secpath_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_secpath_autobw_template: Inherit Auto-bandwidth parameters from a template
		:type lsp_secpath_autobw_template: (ReferencePathType)

		:param adjustment_interval: Configure Adjustment interval
		:type adjustment_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adjustment_threshold: Configure Adjustment threshold
		:type adjustment_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_bandwidth: Configure Minimum Bandwidth
		:type min_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_bandwidth: Configure Maximum bandwidth
		:type max_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param overflow_limit: Configure Overflow limit
		:type overflow_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: Configure Mode of autobandwidth
		:type mode: (unicode)
		
		.. note::
			* enum - [u'monitor-and-signal', u'monitor-only']

		:param sample_recording: Set sample recording for this lsp
		:type sample_recording: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param underflow_limit: Configure Underflow limit
		:type underflow_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, lsp_secpath_autobw_template=lsp_secpath_autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_adjustment_interval_update(self, lsp=None, secondary_path=None, lsp_secpath_autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param secondary_path: kwarg tuple.
		:type secondary_path: (secpath_name).

		:param secpath_name: Set secondary explicit path
		:type secpath_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_secpath_autobw_template: Inherit Auto-bandwidth parameters from a template
		:type lsp_secpath_autobw_template: (ReferencePathType)

		:param adjustment_interval: Configure Adjustment interval
		:type adjustment_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param adjustment_threshold: Configure Adjustment threshold
		:type adjustment_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_bandwidth: Configure Minimum Bandwidth
		:type min_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_bandwidth: Configure Maximum bandwidth
		:type max_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param overflow_limit: Configure Overflow limit
		:type overflow_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mode: Configure Mode of autobandwidth
		:type mode: (unicode)
		
		.. note::
			* enum - [u'monitor-and-signal', u'monitor-only']

		:param sample_recording: Set sample recording for this lsp
		:type sample_recording: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param underflow_limit: Configure Underflow limit
		:type underflow_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, lsp_secpath_autobw_template=lsp_secpath_autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_priority_update(self, lsp=None, secondary_path=None, lsp_setup_priority=None, lsp_hold_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param secondary_path: kwarg tuple.
		:type secondary_path: (secpath_name).

		:param secpath_name: Set secondary explicit path
		:type secpath_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_setup_priority: NUMBER:0-7;;setup priority
		:type lsp_setup_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_hold_priority: NUMBER:0-7;;holding priority
		:type lsp_hold_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, lsp_setup_priority=lsp_setup_priority, lsp_hold_priority=lsp_hold_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_traffic_engineering_update(self, lsp=None, secondary_path=None, lsp_te_mean_rate=None, lsp_te_max_rate=None, lsp_te_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param secondary_path: kwarg tuple.
		:type secondary_path: (secpath_name).

		:param secpath_name: Set secondary explicit path
		:type secpath_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_te_mean_rate: 0-2147483647;;Mean rate in kbps
		:type lsp_te_mean_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_te_max_rate: 0-2147483647;;Max-rate in kbps
		:type lsp_te_max_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_te_max_burst: 0-2147483647;;Max-burst in bytes
		:type lsp_te_max_burst: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'lsp_te_mean_rate, lsp_te_max_rate, lsp_te_max_burst'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_traffic_engineering_max_burst_update(self, lsp=None, secondary_path=None, lsp_te_mean_rate=None, lsp_te_max_rate=None, lsp_te_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param secondary_path: kwarg tuple.
		:type secondary_path: (secpath_name).

		:param secpath_name: Set secondary explicit path
		:type secpath_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_te_mean_rate: 0-2147483647;;Mean rate in kbps
		:type lsp_te_mean_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_te_max_rate: 0-2147483647;;Max-rate in kbps
		:type lsp_te_max_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_te_max_burst: 0-2147483647;;Max-burst in bytes
		:type lsp_te_max_burst: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, secondary_path=secondary_path, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_select_path_update(self, lsp=None, lsp_select_path_mode=None, lsp_select_path_primary=None, lsp_select_path_secondary_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_select_path_mode: kwarg.
		:type lsp_select_path_mode: (unicode)
		
		.. note::
			* enum - [u'manual', u'unconditional']

		:param lsp_select_path_primary: Choose the primary path as selected path
		:type lsp_select_path_primary: (YANGBool)

		:param lsp_select_path_secondary_name: Choose a secondary path as selected path
		:type lsp_select_path_secondary_name: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_select_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_select_path_mode=lsp_select_path_mode, lsp_select_path_primary=lsp_select_path_primary, lsp_select_path_secondary_name=lsp_select_path_secondary_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_traffic_engineering_update(self, lsp=None, lsp_te_mean_rate=None, lsp_te_max_rate=None, lsp_te_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_te_mean_rate: 0-2147483647;;Mean rate in kbps
		:type lsp_te_mean_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_te_max_rate: 0-2147483647;;Max-rate in kbps
		:type lsp_te_max_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_te_max_burst: 0-2147483647;;Max-burst in bytes
		:type lsp_te_max_burst: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'lsp_te_mean_rate, lsp_te_max_rate, lsp_te_max_burst'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_traffic_engineering_max_burst_update(self, lsp=None, lsp_te_mean_rate=None, lsp_te_max_rate=None, lsp_te_max_burst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param lsp: kwarg tuple.
		:type lsp: (lsp_name).

		:param lsp_name: ASCII string;;Name (up to 64 characters)
		:type lsp_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsp_te_mean_rate: 0-2147483647;;Mean rate in kbps
		:type lsp_te_mean_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_te_max_rate: 0-2147483647;;Max-rate in kbps
		:type lsp_te_max_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param lsp_te_max_burst: 0-2147483647;;Max-burst in bytes
		:type lsp_te_max_burst: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp=lsp, lsp_te_mean_rate=lsp_te_mean_rate, lsp_te_max_rate=lsp_te_max_rate, lsp_te_max_burst=lsp_te_max_burst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_xc_traps_update(self, lsp_xc_traps_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param lsp_xc_traps_enable: Enable the LSP XC up/down logging/traps
		:type lsp_xc_traps_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp_xc_traps', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp_xc_traps_enable=lsp_xc_traps_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_xc_traps_enable_update(self, lsp_xc_traps_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param lsp_xc_traps_enable: Enable the LSP XC up/down logging/traps
		:type lsp_xc_traps_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp_xc_traps', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, lsp_xc_traps_enable=lsp_xc_traps_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_update(self, mpls_interface=None, mpls_interface_ldp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param mpls_interface_ldp_enable: Enable LDP on Interface
		:type mpls_interface_ldp_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'mpls_interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, mpls_interface_ldp_enable=mpls_interface_ldp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_update(self, mpls_interface=None, interface_dynamic_bypass_disable=None, interface_dynamic_bypass_max_bypasses=None, interface_dynamic_bypass_max_bypasses_per_mp=None, interface_dynamic_bypass_reoptimize_timer=None, interface_dynamic_bypass_cos=None, interface_dynamic_bypass_from=None, interface_dynamic_bypass_adaptive=None, interface_dynamic_bypass_record_route=None, interface_dynamic_bypass_hop_limit=None, interface_dynamic_bypass_primary_path=None, interface_dynamic_bypass_name_prefix=None, interface_dynamic_bypass_tie_breaking=None, interface_dynamic_bypass_cspf_computation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_dynamic_bypass_disable: Enable or disable dynamic bypass
		:type interface_dynamic_bypass_disable: (YANGBool)

		:param interface_dynamic_bypass_max_bypasses: interface level maximum number of dynamic bypasses
		:type interface_dynamic_bypass_max_bypasses: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_dynamic_bypass_max_bypasses_per_mp: interface level maximum number of dynamic bypasses per merge point
		:type interface_dynamic_bypass_max_bypasses_per_mp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_dynamic_bypass_reoptimize_timer: interface level reoptimer timer value for dynamic bypasses
		:type interface_dynamic_bypass_reoptimize_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_dynamic_bypass_cos: interface level cos value for dynamic bypasses
		:type interface_dynamic_bypass_cos: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_dynamic_bypass_from: interface level from address for dynamic bypasses
		:type interface_dynamic_bypass_from: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param interface_dynamic_bypass_adaptive: interface level adaptiveness of dynamic bypasses
		:type interface_dynamic_bypass_adaptive: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param interface_dynamic_bypass_record_route: interface level record route for dynamic bypasses
		:type interface_dynamic_bypass_record_route: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param interface_dynamic_bypass_hop_limit: interface level hop limit value for dynamic bypasses
		:type interface_dynamic_bypass_hop_limit: (int)
		
		.. note::
			* range - ['0..255']

		:param interface_dynamic_bypass_primary_path: Set primary explicit path
		:type interface_dynamic_bypass_primary_path: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param interface_dynamic_bypass_name_prefix: interface level dynamic bypass name prefix
		:type interface_dynamic_bypass_name_prefix: (unicode)
		
		.. note::
			* length - [u'1..21']

		:param interface_dynamic_bypass_tie_breaking: interface level dynamic bypass cspf tie breaking mechanism
		:type interface_dynamic_bypass_tie_breaking: (unicode)
		
		.. note::
			* enum - [u'most-fill', u'random', u'least-fill']

		:param interface_dynamic_bypass_cspf_computation_mode: interface level dynamic bypass cspf cspf computation mode
		:type interface_dynamic_bypass_cspf_computation_mode: (unicode)
		
		.. note::
			* enum - [u'use-igp-metric', u'use-te-metric']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, interface_dynamic_bypass_disable=interface_dynamic_bypass_disable, interface_dynamic_bypass_max_bypasses=interface_dynamic_bypass_max_bypasses, interface_dynamic_bypass_max_bypasses_per_mp=interface_dynamic_bypass_max_bypasses_per_mp, interface_dynamic_bypass_reoptimize_timer=interface_dynamic_bypass_reoptimize_timer, interface_dynamic_bypass_cos=interface_dynamic_bypass_cos, interface_dynamic_bypass_from=interface_dynamic_bypass_from, interface_dynamic_bypass_adaptive=interface_dynamic_bypass_adaptive, interface_dynamic_bypass_record_route=interface_dynamic_bypass_record_route, interface_dynamic_bypass_hop_limit=interface_dynamic_bypass_hop_limit, interface_dynamic_bypass_primary_path=interface_dynamic_bypass_primary_path, interface_dynamic_bypass_name_prefix=interface_dynamic_bypass_name_prefix, interface_dynamic_bypass_tie_breaking=interface_dynamic_bypass_tie_breaking, interface_dynamic_bypass_cspf_computation_mode=interface_dynamic_bypass_cspf_computation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_adaptive_update(self, mpls_interface=None, interface_dynamic_bypass_disable=None, interface_dynamic_bypass_max_bypasses=None, interface_dynamic_bypass_max_bypasses_per_mp=None, interface_dynamic_bypass_reoptimize_timer=None, interface_dynamic_bypass_cos=None, interface_dynamic_bypass_from=None, interface_dynamic_bypass_adaptive=None, interface_dynamic_bypass_record_route=None, interface_dynamic_bypass_hop_limit=None, interface_dynamic_bypass_primary_path=None, interface_dynamic_bypass_name_prefix=None, interface_dynamic_bypass_tie_breaking=None, interface_dynamic_bypass_cspf_computation_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_dynamic_bypass_disable: Enable or disable dynamic bypass
		:type interface_dynamic_bypass_disable: (YANGBool)

		:param interface_dynamic_bypass_max_bypasses: interface level maximum number of dynamic bypasses
		:type interface_dynamic_bypass_max_bypasses: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_dynamic_bypass_max_bypasses_per_mp: interface level maximum number of dynamic bypasses per merge point
		:type interface_dynamic_bypass_max_bypasses_per_mp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_dynamic_bypass_reoptimize_timer: interface level reoptimer timer value for dynamic bypasses
		:type interface_dynamic_bypass_reoptimize_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_dynamic_bypass_cos: interface level cos value for dynamic bypasses
		:type interface_dynamic_bypass_cos: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_dynamic_bypass_from: interface level from address for dynamic bypasses
		:type interface_dynamic_bypass_from: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param interface_dynamic_bypass_adaptive: interface level adaptiveness of dynamic bypasses
		:type interface_dynamic_bypass_adaptive: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param interface_dynamic_bypass_record_route: interface level record route for dynamic bypasses
		:type interface_dynamic_bypass_record_route: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param interface_dynamic_bypass_hop_limit: interface level hop limit value for dynamic bypasses
		:type interface_dynamic_bypass_hop_limit: (int)
		
		.. note::
			* range - ['0..255']

		:param interface_dynamic_bypass_primary_path: Set primary explicit path
		:type interface_dynamic_bypass_primary_path: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param interface_dynamic_bypass_name_prefix: interface level dynamic bypass name prefix
		:type interface_dynamic_bypass_name_prefix: (unicode)
		
		.. note::
			* length - [u'1..21']

		:param interface_dynamic_bypass_tie_breaking: interface level dynamic bypass cspf tie breaking mechanism
		:type interface_dynamic_bypass_tie_breaking: (unicode)
		
		.. note::
			* enum - [u'most-fill', u'random', u'least-fill']

		:param interface_dynamic_bypass_cspf_computation_mode: interface level dynamic bypass cspf cspf computation mode
		:type interface_dynamic_bypass_cspf_computation_mode: (unicode)
		
		.. note::
			* enum - [u'use-igp-metric', u'use-te-metric']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, interface_dynamic_bypass_disable=interface_dynamic_bypass_disable, interface_dynamic_bypass_max_bypasses=interface_dynamic_bypass_max_bypasses, interface_dynamic_bypass_max_bypasses_per_mp=interface_dynamic_bypass_max_bypasses_per_mp, interface_dynamic_bypass_reoptimize_timer=interface_dynamic_bypass_reoptimize_timer, interface_dynamic_bypass_cos=interface_dynamic_bypass_cos, interface_dynamic_bypass_from=interface_dynamic_bypass_from, interface_dynamic_bypass_adaptive=interface_dynamic_bypass_adaptive, interface_dynamic_bypass_record_route=interface_dynamic_bypass_record_route, interface_dynamic_bypass_hop_limit=interface_dynamic_bypass_hop_limit, interface_dynamic_bypass_primary_path=interface_dynamic_bypass_primary_path, interface_dynamic_bypass_name_prefix=interface_dynamic_bypass_name_prefix, interface_dynamic_bypass_tie_breaking=interface_dynamic_bypass_tie_breaking, interface_dynamic_bypass_cspf_computation_mode=interface_dynamic_bypass_cspf_computation_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_priority_update(self, mpls_interface=None, interface_dynamic_bypass_setup_priority=None, interface_dynamic_bypass_holding_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_dynamic_bypass_setup_priority: NUMBER:0-7;;setup priority
		:type interface_dynamic_bypass_setup_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_dynamic_bypass_holding_priority: NUMBER:0-7;;holding priority
		:type interface_dynamic_bypass_holding_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.priority', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, interface_dynamic_bypass_setup_priority=interface_dynamic_bypass_setup_priority, interface_dynamic_bypass_holding_priority=interface_dynamic_bypass_holding_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_traffic_eng_update(self, mpls_interface=None, interface_dynamic_bypass_traffic_eng_max_burst=None, interface_dynamic_bypass_traffic_eng_max_rate=None, interface_dynamic_bypass_traffic_eng_mean_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_dynamic_bypass_traffic_eng_max_burst: NUMBER:0-214748364;;maximum burst bandwidth
		:type interface_dynamic_bypass_traffic_eng_max_burst: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_dynamic_bypass_traffic_eng_max_rate: NUMBER:0-214748364;;maximum traffic rate
		:type interface_dynamic_bypass_traffic_eng_max_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_dynamic_bypass_traffic_eng_mean_rate: NUMBER:0-214748364;;mean traffic rate
		:type interface_dynamic_bypass_traffic_eng_mean_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.traffic_eng', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'interface_dynamic_bypass_traffic_eng_max_burst, interface_dynamic_bypass_traffic_eng_max_rate, interface_dynamic_bypass_traffic_eng_mean_rate'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, interface_dynamic_bypass_traffic_eng_max_burst=interface_dynamic_bypass_traffic_eng_max_burst, interface_dynamic_bypass_traffic_eng_max_rate=interface_dynamic_bypass_traffic_eng_max_rate, interface_dynamic_bypass_traffic_eng_mean_rate=interface_dynamic_bypass_traffic_eng_mean_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_traffic_eng_max_burst_update(self, mpls_interface=None, interface_dynamic_bypass_traffic_eng_max_burst=None, interface_dynamic_bypass_traffic_eng_max_rate=None, interface_dynamic_bypass_traffic_eng_mean_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param interface_dynamic_bypass_traffic_eng_max_burst: NUMBER:0-214748364;;maximum burst bandwidth
		:type interface_dynamic_bypass_traffic_eng_max_burst: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_dynamic_bypass_traffic_eng_max_rate: NUMBER:0-214748364;;maximum traffic rate
		:type interface_dynamic_bypass_traffic_eng_max_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param interface_dynamic_bypass_traffic_eng_mean_rate: NUMBER:0-214748364;;mean traffic rate
		:type interface_dynamic_bypass_traffic_eng_mean_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass.mpls_interface_dynamic_bypass_sub_cmds.traffic_eng', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, interface_dynamic_bypass_traffic_eng_max_burst=interface_dynamic_bypass_traffic_eng_max_burst, interface_dynamic_bypass_traffic_eng_max_rate=interface_dynamic_bypass_traffic_eng_max_rate, interface_dynamic_bypass_traffic_eng_mean_rate=interface_dynamic_bypass_traffic_eng_mean_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_ldp_params_update(self, mpls_interface=None, hello_interval=None, hello_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hello_interval: Configure hello Interval
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_timeout: Configure hello-timeout
		:type hello_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.ldp_params.ldp_param_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hello_interval, hello_timeout'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, hello_interval=hello_interval, hello_timeout=hello_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_ldp_params_hello_interval_update(self, mpls_interface=None, hello_interval=None, hello_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param hello_interval: Configure hello Interval
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_timeout: Configure hello-timeout
		:type hello_timeout: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.ldp_params.ldp_param_cmds', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, hello_interval=hello_interval, hello_timeout=hello_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_update(self, mpls_interface=None, rsvp_hello_disable=None, rsvp_te_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rsvp_hello_disable: Disable RSVP Hello on the interface
		:type rsvp_hello_disable: (YANGBool)

		:param rsvp_te_metric: Set te-metric for this interface
		:type rsvp_te_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rsvp_hello_disable=rsvp_hello_disable, rsvp_te_metric=rsvp_te_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_authentication_update(self, mpls_interface=None, rsvp_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rsvp_authentication_key: MD5 key
		:type rsvp_authentication_key: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_authentication', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rsvp_authentication_key=rsvp_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_authentication_key_update(self, mpls_interface=None, rsvp_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rsvp_authentication_key: MD5 key
		:type rsvp_authentication_key: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_authentication', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rsvp_authentication_key=rsvp_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_hello_update(self, mpls_interface=None, rsvp_hello_interval=None, rsvp_hello_tolerance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rsvp_hello_interval: Interval between two RSVP Hello requests
		:type rsvp_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rsvp_hello_tolerance: Number of unacknowledged RSVP Hello requests before timeout
		:type rsvp_hello_tolerance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'rsvp_hello_interval, rsvp_hello_tolerance'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rsvp_hello_interval=rsvp_hello_interval, rsvp_hello_tolerance=rsvp_hello_tolerance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_hello_disable_update(self, mpls_interface=None, rsvp_hello_disable=None, rsvp_te_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rsvp_hello_disable: Disable RSVP Hello on the interface
		:type rsvp_hello_disable: (YANGBool)

		:param rsvp_te_metric: Set te-metric for this interface
		:type rsvp_te_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rsvp_hello_disable=rsvp_hello_disable, rsvp_te_metric=rsvp_te_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_hello_interval_update(self, mpls_interface=None, rsvp_hello_interval=None, rsvp_hello_tolerance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rsvp_hello_interval: Interval between two RSVP Hello requests
		:type rsvp_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rsvp_hello_tolerance: Number of unacknowledged RSVP Hello requests before timeout
		:type rsvp_hello_tolerance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rsvp_hello_interval=rsvp_hello_interval, rsvp_hello_tolerance=rsvp_hello_tolerance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_refresh_reduction_update(self, mpls_interface=None, refresh_reduction_all=None, summary_refresh=None, rsvp_refresh_reduction_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param refresh_reduction_all: All Refresh reduction functionalities
		:type refresh_reduction_all: (YANGBool)

		:param summary_refresh: Refresh Reduction Summary Refresh feature
		:type summary_refresh: (YANGBool)

		:param rsvp_refresh_reduction_disable: Disable RSVP Refresh reduction on this interface
		:type rsvp_refresh_reduction_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, refresh_reduction_all=refresh_reduction_all, summary_refresh=summary_refresh, rsvp_refresh_reduction_disable=rsvp_refresh_reduction_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_refresh_reduction_all_update(self, mpls_interface=None, refresh_reduction_all=None, summary_refresh=None, rsvp_refresh_reduction_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param refresh_reduction_all: All Refresh reduction functionalities
		:type refresh_reduction_all: (YANGBool)

		:param summary_refresh: Refresh Reduction Summary Refresh feature
		:type summary_refresh: (YANGBool)

		:param rsvp_refresh_reduction_disable: Disable RSVP Refresh reduction on this interface
		:type rsvp_refresh_reduction_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, refresh_reduction_all=refresh_reduction_all, summary_refresh=summary_refresh, rsvp_refresh_reduction_disable=rsvp_refresh_reduction_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_refresh_reduction_bundle_message_update(self, mpls_interface=None, bundle_send_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bundle_send_delay: Configure bundle send delay value
		:type bundle_send_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction.bundle_message', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, bundle_send_delay=bundle_send_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_refresh_reduction_bundle_message_bundle_send_delay_update(self, mpls_interface=None, bundle_send_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param bundle_send_delay: Configure bundle send delay value
		:type bundle_send_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction.bundle_message', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, bundle_send_delay=bundle_send_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_reliable_messaging_update(self, mpls_interface=None, rapid_retrans_decay=None, rapid_retrans_interval=None, rapid_retry_limit=None, rsvp_reliable_messaging_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rapid_retrans_decay: Percentage increase in the rapid retransmission interval for each consecutive unacknowledged RSVP message
		:type rapid_retrans_decay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rapid_retrans_interval: Interval for an unacknowledged message to be resent
		:type rapid_retrans_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rapid_retry_limit: Maximum number of retries for an unacknowledged message
		:type rapid_retry_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rsvp_reliable_messaging_disable: Disable RSVP Reliable messaging on this interface
		:type rsvp_reliable_messaging_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rapid_retrans_decay=rapid_retrans_decay, rapid_retrans_interval=rapid_retrans_interval, rapid_retry_limit=rapid_retry_limit, rsvp_reliable_messaging_disable=rsvp_reliable_messaging_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_reliable_messaging_rapid_retrans_decay_update(self, mpls_interface=None, rapid_retrans_decay=None, rapid_retrans_interval=None, rapid_retry_limit=None, rsvp_reliable_messaging_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param rapid_retrans_decay: Percentage increase in the rapid retransmission interval for each consecutive unacknowledged RSVP message
		:type rapid_retrans_decay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rapid_retrans_interval: Interval for an unacknowledged message to be resent
		:type rapid_retrans_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rapid_retry_limit: Maximum number of retries for an unacknowledged message
		:type rapid_retry_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rsvp_reliable_messaging_disable: Disable RSVP Reliable messaging on this interface
		:type rsvp_reliable_messaging_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, rapid_retrans_decay=rapid_retrans_decay, rapid_retrans_interval=rapid_retrans_interval, rapid_retry_limit=rapid_retry_limit, rsvp_reliable_messaging_disable=rsvp_reliable_messaging_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_reservable_bandwidth_update(self, mpls_interface=None, reservable_bandwidth=None, reservable_bandwidth_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param mpls_interface: kwarg tuple.
		:type mpls_interface: (interface_type, interface_name).

		:param interface_type: tuple arg.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

	**This Instance Arg(s)**:
		:param reservable_bandwidth: kwarg.
		:type reservable_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param reservable_bandwidth_percentage: Configure Max reservable bandwidth as percentage
		:type reservable_bandwidth_percentage: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.rsvp_reservable_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mpls_interface=mpls_interface, reservable_bandwidth=reservable_bandwidth, reservable_bandwidth_percentage=reservable_bandwidth_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_path_hop_update(self, path=None, path_hop=None, path_hop_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param path: kwarg tuple.
		:type path: (path_name).

		:param path_name: ASCII string;;Name (up to 64 characters)
		:type path_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Keyword Arg Tuple**:
		:param path_hop: kwarg tuple.
		:type path_hop: (path_hop_ip, path_hop_type).

		:param path_hop_ip: A.B.C.D;;path hop ip address
		:type path_hop_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param path_hop_type: path hop type
		:type path_hop_type: (unicode)
		
		.. note::
			* enum - [u'strict', u'loose']

	**This Instance Arg(s)**:
		:param path_hop_type: path hop type
		:type path_hop_type: (unicode)
		
		.. note::
			* enum - [u'strict', u'loose']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_hop', 'keyval': 'path_hop_ip', 'extra_keyval': 'path_hop_ip, path_hop_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_hop=path_hop, path_hop_type=path_hop_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_path_insert_update(self, path=None, path_insert=None, path_insert_type=None, path_insert_before_hop_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param path: kwarg tuple.
		:type path: (path_name).

		:param path_name: ASCII string;;Name (up to 64 characters)
		:type path_name: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Keyword Arg Tuple**:
		:param path_insert: kwarg tuple.
		:type path_insert: (path_insert_ip).

		:param path_insert_ip: A.B.C.D;;path hop ip address
		:type path_insert_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param path_insert_type: path hop type
		:type path_insert_type: (unicode)
		
		.. note::
			* enum - [u'strict', u'loose']

		:param path_insert_before_hop_ip: add before hop ip address
		:type path_insert_before_hop_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_insert', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_insert', 'keyval': 'path_insert_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, path=path, path_insert=path_insert, path_insert_type=path_insert_type, path_insert_before_hop_ip=path_insert_before_hop_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_update(self, backup_retry_time=None, cspf_interface_constraint=None, handle_isis_neighbor_down=None, handle_ospf_neighbor_down=None, load_interval=None, retry_time=None, retry_limit=None, rapid_retry=None, rsvp_periodic_flooding_time=None, qos_ttl_mode=None, ingress_tunnel_accounting=None, transit_session_accounting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param backup_retry_time: Configure Backup retry time
		:type backup_retry_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cspf_interface_constraint: Use interface ip-addr for cspf computation
		:type cspf_interface_constraint: (YANGBool)

		:param handle_isis_neighbor_down: Configure MPLS to handle ISIS neighbor down event
		:type handle_isis_neighbor_down: (YANGBool)

		:param handle_ospf_neighbor_down: Configure MPLS to handle OSPF neighbor down event
		:type handle_ospf_neighbor_down: (YANGBool)

		:param load_interval: Polling interval for MPLS LSP traffic statistics
		:type load_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry_time: Configure LSP retry time
		:type retry_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry_limit: Configure LSP retry limit
		:type retry_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rapid_retry: Configure Rapid retry
		:type rapid_retry: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param rsvp_periodic_flooding_time: Set the interval for RSVP TE periodic flooding
		:type rsvp_periodic_flooding_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param qos_ttl_mode: MPLS ttl and qos propagation model
		:type qos_ttl_mode: (unicode)
		
		.. note::
			* enum - [u'pipe', u'uniform']

		:param ingress_tunnel_accounting: Enable Traffic Statistics for Tunnels
		:type ingress_tunnel_accounting: (YANGBool)

		:param transit_session_accounting: Enable Traffic Statistics for transit sessions
		:type transit_session_accounting: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, backup_retry_time=backup_retry_time, cspf_interface_constraint=cspf_interface_constraint, handle_isis_neighbor_down=handle_isis_neighbor_down, handle_ospf_neighbor_down=handle_ospf_neighbor_down, load_interval=load_interval, retry_time=retry_time, retry_limit=retry_limit, rapid_retry=rapid_retry, rsvp_periodic_flooding_time=rsvp_periodic_flooding_time, qos_ttl_mode=qos_ttl_mode, ingress_tunnel_accounting=ingress_tunnel_accounting, transit_session_accounting=transit_session_accounting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_auto_bandwidth_update(self, autobw_sample_interval=None, autobw_num_sample_record=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param autobw_sample_interval: Define interval for auto-bandwidth rate sampling
		:type autobw_sample_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param autobw_num_sample_record: Set maximum number of samples to be recorded
		:type autobw_num_sample_record: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.global_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_sample_interval=autobw_sample_interval, autobw_num_sample_record=autobw_num_sample_record)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_auto_bandwidth_num_sample_record_update(self, autobw_sample_interval=None, autobw_num_sample_record=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param autobw_sample_interval: Define interval for auto-bandwidth rate sampling
		:type autobw_sample_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param autobw_num_sample_record: Set maximum number of samples to be recorded
		:type autobw_num_sample_record: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.global_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, autobw_sample_interval=autobw_sample_interval, autobw_num_sample_record=autobw_num_sample_record)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_backup_retry_time_update(self, backup_retry_time=None, cspf_interface_constraint=None, handle_isis_neighbor_down=None, handle_ospf_neighbor_down=None, load_interval=None, retry_time=None, retry_limit=None, rapid_retry=None, rsvp_periodic_flooding_time=None, qos_ttl_mode=None, ingress_tunnel_accounting=None, transit_session_accounting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param backup_retry_time: Configure Backup retry time
		:type backup_retry_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cspf_interface_constraint: Use interface ip-addr for cspf computation
		:type cspf_interface_constraint: (YANGBool)

		:param handle_isis_neighbor_down: Configure MPLS to handle ISIS neighbor down event
		:type handle_isis_neighbor_down: (YANGBool)

		:param handle_ospf_neighbor_down: Configure MPLS to handle OSPF neighbor down event
		:type handle_ospf_neighbor_down: (YANGBool)

		:param load_interval: Polling interval for MPLS LSP traffic statistics
		:type load_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry_time: Configure LSP retry time
		:type retry_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry_limit: Configure LSP retry limit
		:type retry_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rapid_retry: Configure Rapid retry
		:type rapid_retry: (unicode)
		
		.. note::
			* enum - [u'enable', u'disable']

		:param rsvp_periodic_flooding_time: Set the interval for RSVP TE periodic flooding
		:type rsvp_periodic_flooding_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param qos_ttl_mode: MPLS ttl and qos propagation model
		:type qos_ttl_mode: (unicode)
		
		.. note::
			* enum - [u'pipe', u'uniform']

		:param ingress_tunnel_accounting: Enable Traffic Statistics for Tunnels
		:type ingress_tunnel_accounting: (YANGBool)

		:param transit_session_accounting: Enable Traffic Statistics for transit sessions
		:type transit_session_accounting: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, backup_retry_time=backup_retry_time, cspf_interface_constraint=cspf_interface_constraint, handle_isis_neighbor_down=handle_isis_neighbor_down, handle_ospf_neighbor_down=handle_ospf_neighbor_down, load_interval=load_interval, retry_time=retry_time, retry_limit=retry_limit, rapid_retry=rapid_retry, rsvp_periodic_flooding_time=rsvp_periodic_flooding_time, qos_ttl_mode=qos_ttl_mode, ingress_tunnel_accounting=ingress_tunnel_accounting, transit_session_accounting=transit_session_accounting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_cspf_computation_mode_update(self, use_bypass_liberal=None, use_bypass_metric=None, ignore_overload_bit=None, cspf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param use_bypass_liberal: use liberal mode for CSPF facility backup computation
		:type use_bypass_liberal: (YANGBool)

		:param use_bypass_metric: use bypass LSP's path cost for selection between bypass LSP's
		:type use_bypass_metric: (YANGBool)

		:param ignore_overload_bit: ignore overload bit during cspf computation
		:type ignore_overload_bit: (YANGBool)

		:param cspf_metric_type: Select metric type for cspf computation
		:type cspf_metric_type: (unicode)
		
		.. note::
			* enum - [u'use-igp-metric', u'use-te-metric']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_bypass_liberal=use_bypass_liberal, use_bypass_metric=use_bypass_metric, ignore_overload_bit=ignore_overload_bit, cspf_metric_type=cspf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_cspf_computation_mode_metric_type_update(self, use_bypass_liberal=None, use_bypass_metric=None, ignore_overload_bit=None, cspf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param use_bypass_liberal: use liberal mode for CSPF facility backup computation
		:type use_bypass_liberal: (YANGBool)

		:param use_bypass_metric: use bypass LSP's path cost for selection between bypass LSP's
		:type use_bypass_metric: (YANGBool)

		:param ignore_overload_bit: ignore overload bit during cspf computation
		:type ignore_overload_bit: (YANGBool)

		:param cspf_metric_type: Select metric type for cspf computation
		:type cspf_metric_type: (unicode)
		
		.. note::
			* enum - [u'use-igp-metric', u'use-te-metric']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_computation_mode', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_bypass_liberal=use_bypass_liberal, use_bypass_metric=use_bypass_metric, ignore_overload_bit=ignore_overload_bit, cspf_metric_type=cspf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_cspf_group_computation_update(self, add_penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param add_penalty: add penalty of all matching cspf-groups to TE metric of TE link
		:type add_penalty: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_group_computation', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, add_penalty=add_penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_cspf_group_computation_add_penalty_update(self, add_penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param add_penalty: add penalty of all matching cspf-groups to TE metric of TE link
		:type add_penalty: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.cspf_group_computation', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, add_penalty=add_penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_implicit_commit_update(self, implicit_commit_all=None, implicit_commit_autobw_adjustment=None, implicit_commit_lsp_reoptimize_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param implicit_commit_all: Enable implicit commit for all triggers
		:type implicit_commit_all: (YANGBool)

		:param implicit_commit_autobw_adjustment: Enable implicit commit for auto-bandwidth adjustments
		:type implicit_commit_autobw_adjustment: (YANGBool)

		:param implicit_commit_lsp_reoptimize_timer: Enable implicit commit for reoptimizations
		:type implicit_commit_lsp_reoptimize_timer: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, implicit_commit_all=implicit_commit_all, implicit_commit_autobw_adjustment=implicit_commit_autobw_adjustment, implicit_commit_lsp_reoptimize_timer=implicit_commit_lsp_reoptimize_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_implicit_commit_all_update(self, implicit_commit_all=None, implicit_commit_autobw_adjustment=None, implicit_commit_lsp_reoptimize_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param implicit_commit_all: Enable implicit commit for all triggers
		:type implicit_commit_all: (YANGBool)

		:param implicit_commit_autobw_adjustment: Enable implicit commit for auto-bandwidth adjustments
		:type implicit_commit_autobw_adjustment: (YANGBool)

		:param implicit_commit_lsp_reoptimize_timer: Enable implicit commit for reoptimizations
		:type implicit_commit_lsp_reoptimize_timer: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.implicit_commit', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, implicit_commit_all=implicit_commit_all, implicit_commit_autobw_adjustment=implicit_commit_autobw_adjustment, implicit_commit_lsp_reoptimize_timer=implicit_commit_lsp_reoptimize_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_soft_preemption_update(self, cleanup_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cleanup_timer: Define timer value for soft preemption to happen
		:type cleanup_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.soft_preemption', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cleanup_timer=cleanup_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_soft_preemption_cleanup_timer_update(self, cleanup_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cleanup_timer: Define timer value for soft preemption to happen
		:type cleanup_timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.soft_preemption', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cleanup_timer=cleanup_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_traffic_engineering_update(self, isis_set_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param isis_set_level: Advertise via IS-IS
		:type isis_set_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_set_level=isis_set_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_traffic_engineering_isis_update(self, isis_set_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param isis_set_level: Advertise via IS-IS
		:type isis_set_level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, isis_set_level=isis_set_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_traffic_engineering_ospf_area_update(self, ospf_area_as_ip_address=None, ospf_area_as_decimal=None, ospf_area_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_area_as_ip_address: kwarg.
		:type ospf_area_as_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ospf_area_as_decimal: kwarg.
		:type ospf_area_as_decimal: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_area_all: Advertise all OSPF areas
		:type ospf_area_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_area_as_ip_address=ospf_area_as_ip_address, ospf_area_as_decimal=ospf_area_as_decimal, ospf_area_all=ospf_area_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_traffic_engineering_ospf_area_all_update(self, ospf_area_as_ip_address=None, ospf_area_as_decimal=None, ospf_area_all=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ospf_area_as_ip_address: kwarg.
		:type ospf_area_as_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param ospf_area_as_decimal: kwarg.
		:type ospf_area_as_decimal: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_area_all: Advertise all OSPF areas
		:type ospf_area_all: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.traffic_engineering.traffic_eng_ospf.area', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf_area_as_ip_address=ospf_area_as_ip_address, ospf_area_as_decimal=ospf_area_as_decimal, ospf_area_all=ospf_area_all)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_update(self, refresh_interval=None, refresh_multiple=None, global_rsvp_hello_acknowledgements=None, global_rsvp_hello_unprioritize=None, g_rsvp_backup_bw_guarantee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param refresh_interval: Configure RSVP Refresh interval
		:type refresh_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param refresh_multiple: Configure RSVP Refresh multiple
		:type refresh_multiple: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param global_rsvp_hello_acknowledgements: Acknowledge RSVP Hellos on interfaces supporting RSVP Hello and not having RSVP sessions
		:type global_rsvp_hello_acknowledgements: (YANGBool)

		:param global_rsvp_hello_unprioritize: Stop prioritizing RSVP Hello messages
		:type global_rsvp_hello_unprioritize: (YANGBool)

		:param g_rsvp_backup_bw_guarantee: Setup a backup path requesting bandwidth only if bandwidth is available
		:type g_rsvp_backup_bw_guarantee: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, refresh_interval=refresh_interval, refresh_multiple=refresh_multiple, global_rsvp_hello_acknowledgements=global_rsvp_hello_acknowledgements, global_rsvp_hello_unprioritize=global_rsvp_hello_unprioritize, g_rsvp_backup_bw_guarantee=g_rsvp_backup_bw_guarantee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_backup_bw_guarantee_update(self, refresh_interval=None, refresh_multiple=None, global_rsvp_hello_acknowledgements=None, global_rsvp_hello_unprioritize=None, g_rsvp_backup_bw_guarantee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param refresh_interval: Configure RSVP Refresh interval
		:type refresh_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param refresh_multiple: Configure RSVP Refresh multiple
		:type refresh_multiple: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param global_rsvp_hello_acknowledgements: Acknowledge RSVP Hellos on interfaces supporting RSVP Hello and not having RSVP sessions
		:type global_rsvp_hello_acknowledgements: (YANGBool)

		:param global_rsvp_hello_unprioritize: Stop prioritizing RSVP Hello messages
		:type global_rsvp_hello_unprioritize: (YANGBool)

		:param g_rsvp_backup_bw_guarantee: Setup a backup path requesting bandwidth only if bandwidth is available
		:type g_rsvp_backup_bw_guarantee: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, refresh_interval=refresh_interval, refresh_multiple=refresh_multiple, global_rsvp_hello_acknowledgements=global_rsvp_hello_acknowledgements, global_rsvp_hello_unprioritize=global_rsvp_hello_unprioritize, g_rsvp_backup_bw_guarantee=g_rsvp_backup_bw_guarantee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_hello_update(self, global_rsvp_hello_interval=None, global_rsvp_hello_tolerance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param global_rsvp_hello_interval: Interval between two RSVP Hello requests
		:type global_rsvp_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param global_rsvp_hello_tolerance: Number of unacknowledged RSVP Hello requests before timeout
		:type global_rsvp_hello_tolerance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.global_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'global_rsvp_hello_interval, global_rsvp_hello_tolerance'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_rsvp_hello_interval=global_rsvp_hello_interval, global_rsvp_hello_tolerance=global_rsvp_hello_tolerance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_hello_interval_update(self, global_rsvp_hello_interval=None, global_rsvp_hello_tolerance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param global_rsvp_hello_interval: Interval between two RSVP Hello requests
		:type global_rsvp_hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param global_rsvp_hello_tolerance: Number of unacknowledged RSVP Hello requests before timeout
		:type global_rsvp_hello_tolerance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.global_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, global_rsvp_hello_interval=global_rsvp_hello_interval, global_rsvp_hello_tolerance=global_rsvp_hello_tolerance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_refresh_reduction_update(self, refresh_reduction_all=None, summary_refresh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param refresh_reduction_all: All Refresh reduction functionalities
		:type refresh_reduction_all: (YANGBool)

		:param summary_refresh: Refresh Reduction Summary Refresh feature
		:type summary_refresh: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, refresh_reduction_all=refresh_reduction_all, summary_refresh=summary_refresh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_refresh_reduction_all_update(self, refresh_reduction_all=None, summary_refresh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param refresh_reduction_all: All Refresh reduction functionalities
		:type refresh_reduction_all: (YANGBool)

		:param summary_refresh: Refresh Reduction Summary Refresh feature
		:type summary_refresh: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, refresh_reduction_all=refresh_reduction_all, summary_refresh=summary_refresh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_refresh_reduction_bundle_message_update(self, bundle_send_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param bundle_send_delay: Configure bundle send delay value
		:type bundle_send_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction.bundle_message', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bundle_send_delay=bundle_send_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_refresh_reduction_bundle_message_bundle_send_delay_update(self, bundle_send_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param bundle_send_delay: Configure bundle send delay value
		:type bundle_send_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction.bundle_message', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bundle_send_delay=bundle_send_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_reliable_messaging_update(self, rapid_retrans_decay=None, rapid_retrans_interval=None, rapid_retry_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rapid_retrans_decay: Percentage increase in the rapid retransmission interval for each consecutive unacknowledged RSVP message
		:type rapid_retrans_decay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rapid_retrans_interval: Interval for an unacknowledged message to be resent
		:type rapid_retrans_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rapid_retry_limit: Maximum number of retries for an unacknowledged message
		:type rapid_retry_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rapid_retrans_decay=rapid_retrans_decay, rapid_retrans_interval=rapid_retrans_interval, rapid_retry_limit=rapid_retry_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_reliable_messaging_rapid_retrans_decay_update(self, rapid_retrans_decay=None, rapid_retrans_interval=None, rapid_retry_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rapid_retrans_decay: Percentage increase in the rapid retransmission interval for each consecutive unacknowledged RSVP message
		:type rapid_retrans_decay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rapid_retrans_interval: Interval for an unacknowledged message to be resent
		:type rapid_retrans_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param rapid_retry_limit: Maximum number of retries for an unacknowledged message
		:type rapid_retry_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rapid_retrans_decay=rapid_retrans_decay, rapid_retrans_interval=rapid_retrans_interval, rapid_retry_limit=rapid_retry_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_update(self, ospf=None, database_overflow_interval=None, default_passive_interface=None, default_metric=None, external_lsdb_limit=None, ospf_metric_type=None, vrf_lite_capability=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param database_overflow_interval: Set how often the router checks whether OSPF 
external LSDB overflow is eliminated
		:type database_overflow_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param default_passive_interface: Set OSPF interface passive
		:type default_passive_interface: (YANGBool)

		:param default_metric: Set OSPF default metric
		:type default_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param external_lsdb_limit: Set maximum number of external LSAs
		:type external_lsdb_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ospf_metric_type: Set Type 1 or Type 2
		:type ospf_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param vrf_lite_capability: Configure vrf-lite-capability (disable DN bit checks)
		:type vrf_lite_capability: (YANGBool)

		:param nonstop_routing: Enable OSPF nonstop routing capability
		:type nonstop_routing: (YANGBool)

		:param maximum_paths: The maximum number of paths to a destination.
		:type maximum_paths: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, database_overflow_interval=database_overflow_interval, default_passive_interface=default_passive_interface, default_metric=default_metric, external_lsdb_limit=external_lsdb_limit, ospf_metric_type=ospf_metric_type, vrf_lite_capability=vrf_lite_capability, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_update(self, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Keyword Arg Tuple**:
		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param normal: kwarg.
		:type normal: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_nssa_update(self, ospf=None, area=None, nssa_value=None, no_summary1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param nssa_value: NSSA's advertised external route metric.
		:type nssa_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_summary1: Do not send summary LSA into nssa area
		:type no_summary1: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.nssa.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'nssa_value, no_summary1'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, nssa_value=nssa_value, no_summary1=no_summary1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_nssa_default_information_originate_update(self, ospf=None, area=None, default_information_originate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param default_information_originate: Originate default-information
		:type default_information_originate: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.nssa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, default_information_originate=default_information_originate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_nssa_no_summary_update(self, ospf=None, area=None, nssa_value=None, no_summary1=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param nssa_value: NSSA's advertised external route metric.
		:type nssa_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_summary1: Do not send summary LSA into nssa area
		:type no_summary1: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.nssa.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, nssa_value=nssa_value, no_summary1=no_summary1)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_prefix_list_update(self, ospf=None, area=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param prefix_list_direction_in: Apply Type3 LSA prefix filtering on inbound
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'prefix_list_direction_out_prefix_name, prefix_list_direction_out'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_prefix_list_in_update(self, ospf=None, area=None, prefix_list_direction_in_prefix_name=None, prefix_list_direction_in=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param prefix_list_direction_in_prefix_name: kwarg.
		:type prefix_list_direction_in_prefix_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param prefix_list_direction_in: Apply Type3 LSA prefix filtering on inbound
		:type prefix_list_direction_in: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_in', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, prefix_list_direction_in_prefix_name=prefix_list_direction_in_prefix_name, prefix_list_direction_in=prefix_list_direction_in)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_prefix_list_out_update(self, ospf=None, area=None, prefix_list_direction_out_prefix_name=None, prefix_list_direction_out=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param prefix_list_direction_out_prefix_name: kwarg.
		:type prefix_list_direction_out_prefix_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param prefix_list_direction_out: Apply Type3 LSA prefix filtering on outbound
		:type prefix_list_direction_out: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.prefix_list.direction_out', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, prefix_list_direction_out_prefix_name=prefix_list_direction_out_prefix_name, prefix_list_direction_out=prefix_list_direction_out)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_range_update(self, ospf=None, area=None, range=None, range_effect=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Keyword Arg Tuple**:
		:param range: kwarg tuple.
		:type range: (range_address, range_mask, range_effect, range_cost).

		:param range_address: A.B.C.D   IP address to match
		:type range_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param range_mask: A.B.C.D   IP mask for address
		:type range_mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param range_effect: Advertise/Do not advertise this 
type-3 summarization
		:type range_effect: (unicode)
		
		.. note::
			* enum - [u'advertise', u'not-advertise']

		:param range_cost: Configure area range cost
		:type range_cost: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param range_effect: Advertise/Do not advertise this 
type-3 summarization
		:type range_effect: (unicode)
		
		.. note::
			* enum - [u'advertise', u'not-advertise']

		:param range_cost: Configure area range cost
		:type range_cost: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, range=range, range_effect=range_effect, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_stub_update(self, ospf=None, area=None, stub_value=None, no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param stub_value: Stub's advertised external route metric.
		:type stub_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_summary: Do not send summary LSA into stub area
		:type no_summary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.stub.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'stub_value, no_summary'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, stub_value=stub_value, no_summary=no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_stub_no_summary_update(self, ospf=None, area=None, stub_value=None, no_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Arg(s)**:
		:param stub_value: Stub's advertised external route metric.
		:type stub_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_summary: Do not send summary LSA into stub area
		:type no_summary: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.stub.metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, stub_value=stub_value, no_summary=no_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_update(self, ospf=None, area=None, virtual_link=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

	**This Instance Keyword Arg Tuple**:
		:param virtual_link: kwarg tuple.
		:type virtual_link: (virt_link_neighbor).

		:param virt_link_neighbor: tuple arg.
		:type virt_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param hello_interval: Time between HELLO packets
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param dead_interval: Interval after which a neighbor is declared dead
		:type dead_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retransmit_interval: Time between retransmitting lost link state
   advertisements
		:type retransmit_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param transmit_delay: Link state transmit delay
		:type transmit_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_authentication_key_update(self, ospf=None, area=None, virtual_link=None, encrypttype=None, auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virt_link_neighbor).

		:param virt_link_neighbor: tuple arg.
		:type virt_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param encrypttype: kwarg.
		:type encrypttype: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param auth_key: The OSPF password (key)
		:type auth_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.authentication_key.auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.authentication_key.no_encrypt_auth_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, encrypttype=encrypttype, auth_key=auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_md5_authentication_update(self, ospf=None, area=None, virtual_link=None, no_encrypt_key_id=None, no_encrypt_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virt_link_neighbor).

		:param virt_link_neighbor: tuple arg.
		:type virt_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param no_encrypt_key_id: kwarg.
		:type no_encrypt_key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param no_encrypt_key: MD5 Authentication password (key)
		:type no_encrypt_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication.no_encrypt_key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, no_encrypt_key_id=no_encrypt_key_id, no_encrypt_key=no_encrypt_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_md5_authentication_key_activation_wait_time_update(self, ospf=None, area=None, virtual_link=None, key_activation_wait_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virt_link_neighbor).

		:param virt_link_neighbor: tuple arg.
		:type virt_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param key_activation_wait_time: The activation wait time in Seconds
		:type key_activation_wait_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, key_activation_wait_time=key_activation_wait_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_md5_authentication_key_id_update(self, ospf=None, area=None, virtual_link=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virt_link_neighbor).

		:param virt_link_neighbor: tuple arg.
		:type virt_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'key_id, key, md5_authentication_key'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_md5_authentication_key_id_key_update(self, ospf=None, area=None, virtual_link=None, key_id=None, key=None, md5_authentication_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

		:param area: kwarg tuple.
		:type area: (area_id).

		:param area_id: tuple arg.
		:type area_id: (unicode)
		
		.. note::
			* pattern - ((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1][0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|([2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4][0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4][7][4][8][3][6][4][0-7]))

		:param virtual_link: kwarg tuple.
		:type virtual_link: (virt_link_neighbor).

		:param virt_link_neighbor: tuple arg.
		:type virt_link_neighbor: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param key_id: The key ID of the MD5 key
		:type key_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param key: MD5 Authentication password (key)
		:type key: (unicode)
		
		.. note::
			* enum - [u'dsa', u'rsa', u'ecdsa']

		:param md5_authentication_key: MD5 authentication ID
		:type md5_authentication_key: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', u'virtual_link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link.md5_authentication.key_table', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'virt_link_neighbor', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, area=area, virtual_link=virtual_link, key_id=key_id, key=key, md5_authentication_key=md5_authentication_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_auto_cost_reference_bandwidth_update(self, ospf=None, ref_bandwidth=None, use_active_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param ref_bandwidth: kwarg.
		:type ref_bandwidth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param use_active_ports: Dynamic change of BW will reflect cost change
		:type use_active_ports: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.auto_cost.reference_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, ref_bandwidth=ref_bandwidth, use_active_ports=use_active_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_bfd_update(self, ospf=None, bfd_enable=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param bfd_enable: kwarg.
		:type bfd_enable: (YANGBool)

		:param holdover_interval: Holdover-interval in seconds
		:type holdover_interval: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.global_bfd', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, bfd_enable=bfd_enable, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_default_information_originate_update(self, ospf=None, always=None, def_orig_metric=None, def_orig_metric_type=None, def_orig_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param always: Always advertise default route
		:type always: (YANGBool)

		:param def_orig_metric: OSPF metric for default route
		:type def_orig_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param def_orig_metric_type: OSPF metric type for default route
		:type def_orig_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param def_orig_route_map: Route-map reference
		:type def_orig_route_map: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'always, def_orig_metric, def_orig_metric_type, def_orig_route_map'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, always=always, def_orig_metric=def_orig_metric, def_orig_metric_type=def_orig_metric_type, def_orig_route_map=def_orig_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_default_information_originate_always_update(self, ospf=None, always=None, def_orig_metric=None, def_orig_metric_type=None, def_orig_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param always: Always advertise default route
		:type always: (YANGBool)

		:param def_orig_metric: OSPF metric for default route
		:type def_orig_metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param def_orig_metric_type: OSPF metric type for default route
		:type def_orig_metric_type: (unicode)
		
		.. note::
			* enum - [u'type1', u'type2']

		:param def_orig_route_map: Route-map reference
		:type def_orig_route_map: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, always=always, def_orig_metric=def_orig_metric, def_orig_metric_type=def_orig_metric_type, def_orig_route_map=def_orig_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_deny_redistribute_update(self, ospf=None, redistribute=None, address=None, mask=None, set_metric_val=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Keyword Arg Tuple**:
		:param redistribute: kwarg tuple.
		:type redistribute: (redist_value, route_option, address, mask, set_metric_val, match_metric_val).

		:param redist_value: Number
		:type redist_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_option: OSPF route option
		:type route_option: (unicode)
		
		.. note::
			* enum - [u'connected', u'all', u'static']

		:param address: IP address
		:type address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param mask: Subnet Mask
		:type mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param set_metric_val: Metric value
		:type set_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param match_metric_val: Metric value
		:type match_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param address: IP address
		:type address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param mask: Subnet Mask
		:type mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param set_metric_val: Metric value
		:type set_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param match_metric_val: Metric value
		:type match_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_distance_update(self, ospf=None, distance=None, dist_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Keyword Arg Tuple**:
		:param distance: kwarg tuple.
		:type distance: (route_type).

		:param route_type: The type of route propogation
		:type route_type: (unicode)
		
		.. note::
			* enum - [u'intra-area', u'external', u'inter-area']

	**This Instance Arg(s)**:
		:param dist_value: The distance for a given type of route
		:type dist_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, distance=distance, dist_value=dist_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_distribute_list_route_map_update(self, ospf=None, route_map=None, input=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param route_map: Route-map name.
		:type route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param input: Apply filter for incoming Routes
		:type input: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'route_map, input'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, route_map=route_map, input=input)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_distribute_list_route_map_in_update(self, ospf=None, route_map=None, input=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param route_map: Route-map name.
		:type route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param input: Apply filter for incoming Routes
		:type input: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distribute_list.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, route_map=route_map, input=input)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_graceful_restart_update(self, ospf=None, graceful_restart_enable=None, helper_disable=None, restart_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param graceful_restart_enable: kwarg.
		:type graceful_restart_enable: (YANGBool)

		:param helper_disable: Disable Helper Mode
		:type helper_disable: (YANGBool)

		:param restart_time: Set the maximum restart wait time advertised to neighbors
		:type restart_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.graceful_restart', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, graceful_restart_enable=graceful_restart_enable, helper_disable=helper_disable, restart_time=restart_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_ldp_sync_update(self, ospf=None, ldp_sync_hold_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param ldp_sync_hold_down: Specify hold-down duration
		:type ldp_sync_hold_down: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.ldp_sync', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ldp_sync_hold_down'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, ldp_sync_hold_down=ldp_sync_hold_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_ldp_sync_hold_down_update(self, ospf=None, ldp_sync_hold_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param ldp_sync_hold_down: Specify hold-down duration
		:type ldp_sync_hold_down: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.ldp_sync', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, ldp_sync_hold_down=ldp_sync_hold_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_log_update(self, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param log_all: Logging everything
		:type log_all: (YANGBool)

		:param log_database: Logging LSA activity
		:type log_database: (YANGBool)

		:param log_retransmit: Logging retransmit activity
		:type log_retransmit: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_log_adjacency_update(self, ospf=None, dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param dr_only: Logging only Designated Router interfaces' 
adjacency changes
		:type dr_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log.adjacency', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, dr_only=dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_log_adjacency_dr_only_update(self, ospf=None, dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param dr_only: Logging only Designated Router interfaces' 
adjacency changes
		:type dr_only: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log.adjacency', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, dr_only=dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_log_all_update(self, ospf=None, log_all=None, log_database=None, log_retransmit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param log_all: Logging everything
		:type log_all: (YANGBool)

		:param log_database: Logging LSA activity
		:type log_database: (YANGBool)

		:param log_retransmit: Logging retransmit activity
		:type log_retransmit: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_all=log_all, log_database=log_database, log_retransmit=log_retransmit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_log_bad_packet_update(self, ospf=None, log_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param log_checksum: Logging bad checksum packets
		:type log_checksum: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log.bad_packet', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_checksum=log_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_log_bad_packet_checksum_update(self, ospf=None, log_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param log_checksum: Logging bad checksum packets
		:type log_checksum: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log.bad_packet', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, log_checksum=log_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_update(self, ospf=None, all_vrfs=None, all_lsas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param all_vrfs: Apply this to all the current OSPF instances
		:type all_vrfs: (YANGBool)

		:param all_lsas: Replace Metric in all External and Summary
LSAs with default max metric value
		:type all_lsas: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all_vrfs=all_vrfs, all_lsas=all_lsas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_all_lsas_update(self, ospf=None, all_vrfs=None, all_lsas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param all_vrfs: Apply this to all the current OSPF instances
		:type all_vrfs: (YANGBool)

		:param all_lsas: Replace Metric in all External and Summary
LSAs with default max metric value
		:type all_lsas: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all_vrfs=all_vrfs, all_lsas=all_lsas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_external_lsa_update(self, ospf=None, external_lsa_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param external_lsa_val: Indicates the metric of all external type 5 LSA's
		:type external_lsa_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, external_lsa_val=external_lsa_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_link_update(self, ospf=None, all=None, ptp=None, stub=None, transit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param all: Advertise maximum metric in Router LSA for ptp,stub and transit links
		:type all: (YANGBool)

		:param ptp: Advertise maximum metric in Router LSA for ptp links
		:type ptp: (YANGBool)

		:param stub: Advertise maximum metric in Router LSA for stub links
		:type stub: (YANGBool)

		:param transit: Advertise maximum metric in Router LSA for transit links
		:type transit: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all=all, ptp=ptp, stub=stub, transit=transit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_link_all_update(self, ospf=None, all=None, ptp=None, stub=None, transit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param all: Advertise maximum metric in Router LSA for ptp,stub and transit links
		:type all: (YANGBool)

		:param ptp: Advertise maximum metric in Router LSA for ptp links
		:type ptp: (YANGBool)

		:param stub: Advertise maximum metric in Router LSA for stub links
		:type stub: (YANGBool)

		:param transit: Advertise maximum metric in Router LSA for transit links
		:type transit: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all=all, ptp=ptp, stub=stub, transit=transit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_update(self, ospf=None, time=None, wait_for_bgp=None, all_lsas_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds
		:type wait_for_bgp: (YANGBool)

		:param all_lsas_onstartup: Replace Metric in all External and Summary
LSAs with default max metric value
		:type all_lsas_onstartup: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, time=time, wait_for_bgp=wait_for_bgp, all_lsas_onstartup=all_lsas_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_all_lsas_update(self, ospf=None, time=None, wait_for_bgp=None, all_lsas_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param time: DECIMAL Amount of time to advertise maximum metric,range 5 to 86400 seconds
		:type time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param wait_for_bgp: Advertise maximum metric until BGP has converged or 600 seconds
		:type wait_for_bgp: (YANGBool)

		:param all_lsas_onstartup: Replace Metric in all External and Summary
LSAs with default max metric value
		:type all_lsas_onstartup: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, time=time, wait_for_bgp=wait_for_bgp, all_lsas_onstartup=all_lsas_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_external_lsa_update(self, ospf=None, external_lsa_val_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param external_lsa_val_onstartup: Indicates the metric of all external type 5 LSA's
		:type external_lsa_val_onstartup: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, external_lsa_val_onstartup=external_lsa_val_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_link_update(self, ospf=None, all_link_onstartup=None, ptp_link_onstartup=None, stub_link_onstartup=None, transit_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param all_link_onstartup: Advertise maximum metric in Router LSA for ptp,stub and transit links
		:type all_link_onstartup: (YANGBool)

		:param ptp_link_onstartup: Advertise maximum metric in Router LSA for ptp links
		:type ptp_link_onstartup: (YANGBool)

		:param stub_link_onstartup: Advertise maximum metric in Router LSA for stub links
		:type stub_link_onstartup: (YANGBool)

		:param transit_link_onstartup: Advertise maximum metric in Router LSA for transit links
		:type transit_link_onstartup: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all_link_onstartup=all_link_onstartup, ptp_link_onstartup=ptp_link_onstartup, stub_link_onstartup=stub_link_onstartup, transit_link_onstartup=transit_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_link_all_update(self, ospf=None, all_link_onstartup=None, ptp_link_onstartup=None, stub_link_onstartup=None, transit_link_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param all_link_onstartup: Advertise maximum metric in Router LSA for ptp,stub and transit links
		:type all_link_onstartup: (YANGBool)

		:param ptp_link_onstartup: Advertise maximum metric in Router LSA for ptp links
		:type ptp_link_onstartup: (YANGBool)

		:param stub_link_onstartup: Advertise maximum metric in Router LSA for stub links
		:type stub_link_onstartup: (YANGBool)

		:param transit_link_onstartup: Advertise maximum metric in Router LSA for transit links
		:type transit_link_onstartup: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.link_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, all_link_onstartup=all_link_onstartup, ptp_link_onstartup=ptp_link_onstartup, stub_link_onstartup=stub_link_onstartup, transit_link_onstartup=transit_link_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_summary_lsa_update(self, ospf=None, summary_lsa_val_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param summary_lsa_val_onstartup: Metric of all summary type 3 and type 4 LSAs
		:type summary_lsa_val_onstartup: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, summary_lsa_val_onstartup=summary_lsa_val_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_summary_lsa_update(self, ospf=None, summary_lsa_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param summary_lsa_val: Metric of all summary type 3 and type 4 LSAs
		:type summary_lsa_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, summary_lsa_val=summary_lsa_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_permit_redistribute_update(self, ospf=None, redistribute=None, address=None, mask=None, set_metric_val=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Keyword Arg Tuple**:
		:param redistribute: kwarg tuple.
		:type redistribute: (redist_value, route_option, address, mask, set_metric_val, match_metric_val).

		:param redist_value: Number
		:type redist_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param route_option: OSPF route option
		:type route_option: (unicode)
		
		.. note::
			* enum - [u'connected', u'all', u'static']

		:param address: IP address
		:type address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param mask: Subnet Mask
		:type mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param set_metric_val: Metric value
		:type set_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param match_metric_val: Metric value
		:type match_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param address: IP address
		:type address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param mask: Subnet Mask
		:type mask: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param set_metric_val: Metric value
		:type set_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param match_metric_val: Metric value
		:type match_metric_val: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_bgp_update(self, ospf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_bgp_route_map_update(self, ospf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param bgp_route_map: Route map reference
		:type bgp_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_connected_update(self, ospf=None, connected_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param connected_route_map: Route map reference
		:type connected_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, connected_route_map=connected_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_connected_route_map_update(self, ospf=None, connected_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param connected_route_map: Route map reference
		:type connected_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, connected_route_map=connected_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_isis_update(self, ospf=None, isis_level_one=None, isis_level_two=None, isis_level_one_and_two=None, isis_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param isis_level_one: Redistribution of IS-IS Level-1 routes
		:type isis_level_one: (YANGBool)

		:param isis_level_two: Redistribution of IS-IS Level-2 routes
		:type isis_level_two: (YANGBool)

		:param isis_level_one_and_two: Redistribution of IS-IS Level-1-2 routes
		:type isis_level_one_and_two: (YANGBool)

		:param isis_route_map: Route map reference
		:type isis_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, isis_level_one=isis_level_one, isis_level_two=isis_level_two, isis_level_one_and_two=isis_level_one_and_two, isis_route_map=isis_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_isis_level_1_update(self, ospf=None, isis_level_one=None, isis_level_two=None, isis_level_one_and_two=None, isis_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param isis_level_one: Redistribution of IS-IS Level-1 routes
		:type isis_level_one: (YANGBool)

		:param isis_level_two: Redistribution of IS-IS Level-2 routes
		:type isis_level_two: (YANGBool)

		:param isis_level_one_and_two: Redistribution of IS-IS Level-1-2 routes
		:type isis_level_one_and_two: (YANGBool)

		:param isis_route_map: Route map reference
		:type isis_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, isis_level_one=isis_level_one, isis_level_two=isis_level_two, isis_level_one_and_two=isis_level_one_and_two, isis_route_map=isis_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_ospf_update(self, ospf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_ospf_route_map_update(self, ospf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param ospf_route_map: Route map reference
		:type ospf_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_static_update(self, ospf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_static_route_map_update(self, ospf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param static_route_map: Route map reference
		:type static_route_map: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_rfc1583_compatibility_update(self, ospf=None, rfc1583_compatibility_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param rfc1583_compatibility_flag: Enable RFC 1583 OSPF v2 compatibility
		:type rfc1583_compatibility_flag: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.rfc1583_compatibility', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, rfc1583_compatibility_flag=rfc1583_compatibility_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_timers_update(self, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsa_group_pacing: OSPF LSA group pacing timer
		:type lsa_group_pacing: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_timers_lsa_group_pacing_update(self, ospf=None, lsa_group_pacing=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param lsa_group_pacing: OSPF LSA group pacing timer
		:type lsa_group_pacing: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.timers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, lsa_group_pacing=lsa_group_pacing)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_ospf_timers_throttle_spf_update(self, ospf=None, init_delay=None, hold_time=None, max_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param ospf: kwarg tuple.
		:type ospf: (vrf).

		:param vrf: Create a VRF
		:type vrf: (unicode)
		
		.. note::
			* length - [u'1..64']

	**This Instance Arg(s)**:
		:param init_delay: kwarg.
		:type init_delay: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hold_time: Hold time (msec) between two SPF 
calculations, default is 5000 msec
		:type hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_hold_time: Max hold time (msec) between two SPF 
calculations, default is 10000 msec
		:type max_hold_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.timers.throttle.spf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ospf=ospf, init_delay=init_delay, hold_time=hold_time, max_hold_time=max_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_pim_update(self, max_mcache=None, hello_interval=None, prune_wait=None, nbr_timeout=None, inactivity_timer=None, message_interval=None, spt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param max_mcache: Set maximum PIM mcache
		:type max_mcache: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Set hello message interval
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prune_wait: Set prune-wait interval - time to wait for an override before pruning
		:type prune_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nbr_timeout: Set neighbor timeout
		:type nbr_timeout: (int)
		
		.. note::
			* range - ['-32768..32767']

		:param inactivity_timer: Set inactivity interval
		:type inactivity_timer: (int)
		
		.. note::
			* range - ['-32768..32767']

		:param message_interval: Set periodic join/prune message interval
		:type message_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spt_threshold: Set threshold for switching to shortest-path-tree
		:type spt_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, max_mcache=max_mcache, hello_interval=hello_interval, prune_wait=prune_wait, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, spt_threshold=spt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_pim_anycast_rp_update(self, anycast_rp=None, anycast_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param anycast_rp: kwarg tuple.
		:type anycast_rp: (anycast_ip_addr, anycast_prefix_list).

		:param anycast_ip_addr: tuple arg.
		:type anycast_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param anycast_prefix_list: tuple arg.
		:type anycast_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param anycast_prefix_list: kwarg.
		:type anycast_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'anycast_rp', 'keyval': 'anycast_ip_addr', 'extra_keyval': 'anycast_ip_addr, anycast_prefix_list'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, anycast_rp=anycast_rp, anycast_prefix_list=anycast_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_pim_anycast_rp_ip_update(self, anycast_rp_ip=None, anycast_peer_ip_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param anycast_rp_ip: kwarg tuple.
		:type anycast_rp_ip: (anycast_rp_ip_addr).

		:param anycast_rp_ip_addr: tuple arg.
		:type anycast_rp_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param anycast_peer_ip_addr: kwarg.
		:type anycast_peer_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'anycast_rp_ip', 'keyval': 'anycast_rp_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, anycast_rp_ip=anycast_rp_ip, anycast_peer_ip_addr=anycast_peer_ip_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_pim_bsr_candidate_interface_update(self, bsr_cand_interface=None, hash_mask_length=None, bsr_cand_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param bsr_cand_interface: kwarg tuple.
		:type bsr_cand_interface: (bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority).

		:param bsr_cand_intf_type: tuple arg.
		:type bsr_cand_intf_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'port-channel', u've', u'loopback']

		:param bsr_cand_intf_id: Interface name in slot/port format for ethernet or port-channel/ve/loopback interface number
		:type bsr_cand_intf_id: (unicode)

		:param hash_mask_length: BSR hash mask
		:type hash_mask_length: (int)
		
		.. note::
			* range - ['0..65535']

		:param bsr_cand_priority: BSR priority
		:type bsr_cand_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param hash_mask_length: BSR hash mask
		:type hash_mask_length: (int)
		
		.. note::
			* range - ['0..65535']

		:param bsr_cand_priority: BSR priority
		:type bsr_cand_priority: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bsr_cand_interface=bsr_cand_interface, hash_mask_length=hash_mask_length, bsr_cand_priority=bsr_cand_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_pim_hello_interval_update(self, max_mcache=None, hello_interval=None, prune_wait=None, nbr_timeout=None, inactivity_timer=None, message_interval=None, spt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param max_mcache: Set maximum PIM mcache
		:type max_mcache: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param hello_interval: Set hello message interval
		:type hello_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param prune_wait: Set prune-wait interval - time to wait for an override before pruning
		:type prune_wait: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param nbr_timeout: Set neighbor timeout
		:type nbr_timeout: (int)
		
		.. note::
			* range - ['-32768..32767']

		:param inactivity_timer: Set inactivity interval
		:type inactivity_timer: (int)
		
		.. note::
			* range - ['-32768..32767']

		:param message_interval: Set periodic join/prune message interval
		:type message_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param spt_threshold: Set threshold for switching to shortest-path-tree
		:type spt_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, max_mcache=max_mcache, hello_interval=hello_interval, prune_wait=prune_wait, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, spt_threshold=spt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_pim_route_precedence_update(self, uc_default=None, uc_non_default=None, none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param uc_default: Select default route from the unicast routing table
		:type uc_default: (YANGBool)

		:param uc_non_default: Select non default route from the unicast routing table
		:type uc_non_default: (YANGBool)

		:param none: Skip precedence level
		:type none: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.route_precedence', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'uc_default, uc_non_default, none'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, uc_default=uc_default, uc_non_default=uc_non_default, none=none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_pim_route_precedence_none_update(self, uc_default=None, uc_non_default=None, none=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param uc_default: Select default route from the unicast routing table
		:type uc_default: (YANGBool)

		:param uc_non_default: Select non default route from the unicast routing table
		:type uc_non_default: (YANGBool)

		:param none: Skip precedence level
		:type none: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.route_precedence', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, uc_default=uc_default, uc_non_default=uc_non_default, none=none)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_pim_rp_address_update(self, rp_address=None, rp_addr_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param rp_address: kwarg tuple.
		:type rp_address: (rp_ip_addr, rp_addr_prefix_list).

		:param rp_ip_addr: tuple arg.
		:type rp_ip_addr: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param rp_addr_prefix_list: Prefix list
		:type rp_addr_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

	**This Instance Arg(s)**:
		:param rp_addr_prefix_list: Prefix list
		:type rp_addr_prefix_list: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,62})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, rp_addr_prefix_list'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rp_address=rp_address, rp_addr_prefix_list=rp_addr_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_pim_rpf_ecmp_update(self, rebalance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rebalance: Multicast ECMP load sharing with dynamic rebalancing
		:type rebalance: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rpf.ecmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rebalance=rebalance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_pim_rpf_ecmp_rebalance_update(self, rebalance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rebalance: Multicast ECMP load sharing with dynamic rebalancing
		:type rebalance: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rpf.ecmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rebalance=rebalance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_pim_ssm_enable_update(self, range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param range: Set the multicast address range to use for SSM
		:type range: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.ssm_enable', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, range=range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def router_pim_ssm_enable_range_update(self, range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param range: Set the multicast address range to use for SSM
		:type range: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.ssm_enable', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, range=range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_update(self, rule=None, action=None, operation=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.rule', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'rule', 'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, action=action, operation=operation, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_update(self, rule=None, enumList=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param enumList: kwarg.
		:type enumList: (unicode)
		
		.. note::
			* enum - [u'debug1', u'system-monitor', u'aaa', u'qos', u'ag', u'ip', u'mac-rebalance', u'switch-attributes', u'lacp', u'unlock', u'df', u'port-profile', u'dot1x', u'mac-address-table', u'prompt1', u'management', u'monitor', u'service', u'snmp-server', u'diag', u'support', u'firmware', u'ldap-server', u'radius-server', u'terminal', u'nas', u'prompt2', u'role', u'tacacs-server', u'alias-config', u'protocol', u'fcsp', u'fastboot', u'password-attributes', u'username', u'vlan', u'configure', u'python', u'ntp', u'cee-map', u'telnet', u'sflow', u'mac', u'oscmd', u'ssh', u'nsx-controller-client', u'vCenter', u'banner', u'fabric', u'cidrecov', u'vrf', u'logging', u'lccli', u'license', u'vcs', u'ipv6', u'bp-rate-limit', u'clock', u'secpolicy', u'rule', u'rmon', u'reload', u'rename', u'filter-change-update-delay', u'fcoe', u'usb', u'debug', u'tnl', u'delete', u'vnetwork', u'nsx-controller', u'dir', u'no-operation']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.rule.command', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, enumList=enumList)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_interface_update(self, rule=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_fc.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_fc_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_fcoe.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_fe.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_fe_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_ge.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_ge_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_he.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_he_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_loopback.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_management_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_mgmt.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_pc.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_pc_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_te.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_te_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_ve.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_ve_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_vlan.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_fc.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_fc_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_fcoe.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_fe.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_fe_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_ge.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_ge_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_he.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_he_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_loopback.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_management_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_mgmt.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_pc.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_pc_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_te.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_te_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_ve.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_ve_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_vlan.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_fc.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_fc_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_fcoe.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_fe.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_fe_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_ge.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_ge_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_he.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_he_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_loopback.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_management_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_mgmt.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_pc.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_pc_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_te.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_te_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_ve.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_ve_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_vlan.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_eth.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_eth_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_fc.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_fc_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_loopback.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_loopback_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_management_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_mgmt.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_pc.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_pc_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_ve.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_ve_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_vlan.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.rule.command.interface_vlan_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_interface_ethernet_update(self, rule=None, ethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param ethernet_leaf: kwarg.
		:type ethernet_leaf: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule')]
    bindings_list = [('pybind.slxos.v16r_1_00b.rule.command.interface_eth_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, ethernet_leaf=ethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_interface_fcoe_update(self, rule=None, fcoe_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param fcoe_leaf: kwarg.
		:type fcoe_leaf: (unicode)
		
		.. note::
			* length - [u'3..32']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_fcoe_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, fcoe_leaf=fcoe_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_interface_fibrechannel_update(self, rule=None, fibrechannel_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param fibrechannel_leaf: kwarg.
		:type fibrechannel_leaf: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_fc_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_fc_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_fc_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_fc_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, fibrechannel_leaf=fibrechannel_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_interface_fortygigabitethernet_update(self, rule=None, fortygigabitethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param fortygigabitethernet_leaf: kwarg.
		:type fortygigabitethernet_leaf: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_fe_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_fe_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_fe_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, fortygigabitethernet_leaf=fortygigabitethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_interface_gigabitethernet_update(self, rule=None, gigabitethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param gigabitethernet_leaf: kwarg.
		:type gigabitethernet_leaf: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_ge_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_ge_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_ge_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, gigabitethernet_leaf=gigabitethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_interface_hundredgigabitethernet_update(self, rule=None, hundredgigabitethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param hundredgigabitethernet_leaf: kwarg.
		:type hundredgigabitethernet_leaf: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_he_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_he_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_he_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, hundredgigabitethernet_leaf=hundredgigabitethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_interface_loopback_update(self, rule=None, loopback_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param loopback_leaf: kwarg.
		:type loopback_leaf: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_loopback_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_loopback_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, loopback_leaf=loopback_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_interface_management_update(self, rule=None, management_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param management_leaf: kwarg.
		:type management_leaf: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9]|[1-9][0-9])

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_management_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_management_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_management_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_management_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, management_leaf=management_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_interface_port_channel_update(self, rule=None, port_channel_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param port_channel_leaf: kwarg.
		:type port_channel_leaf: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.slxos.v16r_1_00b.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_pc_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_pc_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_pc_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_pc_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, port_channel_leaf=port_channel_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_interface_tengigabitethernet_update(self, rule=None, tengigabitethernet_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param tengigabitethernet_leaf: kwarg.
		:type tengigabitethernet_leaf: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_te_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_te_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_te_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, tengigabitethernet_leaf=tengigabitethernet_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_interface_ve_update(self, rule=None, ve_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param ve_leaf: kwarg.
		:type ve_leaf: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_ve_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_ve_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_ve_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_ve_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, ve_leaf=ve_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def rule_command_interface_vlan_update(self, rule=None, vlan_leaf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (index, action, operation, role).

		:param index: tuple arg.
		:type index: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param action: Action for the command
		:type action: (unicode)
		
		.. note::
			* enum - [u'accept', u'reject']

		:param operation: Operation for the command
		:type operation: (unicode)
		
		.. note::
			* enum - [u'read-write', u'read-only']

		:param role: One of the existing roles
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

	**This Instance Arg(s)**:
		:param vlan_leaf: kwarg.
		:type vlan_leaf: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.rule', 'rule'), ('pybind.nos.v6_0_2b.rule', 'rule'), ('pybind.nos.v7_0_1a.rule', 'rule'), ('pybind.nos.v7_1_0.rule', 'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.rule.command.interface_vlan_leaf.interface', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule.command.interface_vlan_leaf.interface', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}, {'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, vlan_leaf=vlan_leaf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def service_update(self, password_encryption=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param password_encryption: Encrypt all clear-text passwords
		:type password_encryption: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.service', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.service', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.service', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.service', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, password_encryption=password_encryption)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def service_password_encryption_update(self, password_encryption=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param password_encryption: Encrypt all clear-text passwords
		:type password_encryption: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.service', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.service', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.service', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.service', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, password_encryption=password_encryption)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sflow_update(self, enable=None, source_ip=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable global sflow
		:type enable: (YANGBool)

		:param source_ip: Source ip address to use
		:type source_ip: (unicode)
		
		.. note::
			* enum - [u'chassis-ip', u'mm-ip']

		:param polling_interval: Interface counter polling interval
		:type polling_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sample_rate: Interface sampling rate
		:type sample_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.sflow', 'pybind.nos.v6_0_2b.brocade_sflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.sflow', 'pybind.nos.v7_0_1a.brocade_sflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.sflow', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, source_ip=source_ip, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sflow_collector_vrf_update(self, enable=None, null0_sampling=None, collector_vrf=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable global sflow
		:type enable: (YANGBool)

		:param null0_sampling: Enable Null0 Sampling On All Slots
		:type null0_sampling: (YANGBool)

		:param collector_vrf: Sflow Collector VRF Configuration
		:type collector_vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param polling_interval: Interface counter polling interval
		:type polling_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sample_rate: Interface sampling rate
		:type sample_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sflow', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, null0_sampling=null0_sampling, collector_vrf=collector_vrf, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sflow_enable_update(self, enable=None, source_ip=None, polling_interval=None, sample_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param enable: Enable global sflow
		:type enable: (YANGBool)

		:param source_ip: Source ip address to use
		:type source_ip: (unicode)
		
		.. note::
			* enum - [u'chassis-ip', u'mm-ip']

		:param polling_interval: Interface counter polling interval
		:type polling_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param sample_rate: Interface sampling rate
		:type sample_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.sflow', 'pybind.nos.v6_0_2b.brocade_sflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.sflow', 'pybind.nos.v7_0_1a.brocade_sflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.sflow', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable, source_ip=source_ip, polling_interval=polling_interval, sample_rate=sample_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sflow_profile_update(self, sflow_profile=None, profile_sampling_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param sflow_profile: kwarg tuple.
		:type sflow_profile: (profile_name, profile_sampling_rate).

		:param profile_name: tuple arg.
		:type profile_name: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})

		:param profile_sampling_rate: Sflow profile sampling-rate
		:type profile_sampling_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param profile_sampling_rate: Sflow profile sampling-rate
		:type profile_sampling_rate: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.sflow_profile', 'pybind.nos.v6_0_2b.brocade_sflow', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.sflow_profile', 'pybind.nos.v7_0_1a.brocade_sflow', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.sflow_profile', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow_profile', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'sflow_profile', 'keyval': 'profile_name', 'extra_keyval': 'profile_name, profile_sampling_rate'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sflow_profile=sflow_profile, profile_sampling_rate=profile_sampling_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sflow_source_interface_update(self, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param interface_type: The type of the interface.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've', u'loopback']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sflow.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sfm_state_connectivity_update(self, connectivity=None, connectivity_count=None, connectivity_feid=None, connectivity_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param connectivity: kwarg tuple.
		:type connectivity: (connectivity_sfmid).

		:param connectivity_sfmid: tuple arg.
		:type connectivity_sfmid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param connectivity_count: kwarg.
		:type connectivity_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param connectivity_feid: kwarg.
		:type connectivity_feid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param connectivity_type: kwarg.
		:type connectivity_type: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.connectivity', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'connectivity', 'keyval': 'connectivity_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, connectivity=connectivity, connectivity_count=connectivity_count, connectivity_feid=connectivity_feid, connectivity_type=connectivity_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sfm_state_links_update(self, links=None, links_count=None, links_feid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param links: kwarg tuple.
		:type links: (links_sfmid).

		:param links_sfmid: tuple arg.
		:type links_sfmid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param links_count: kwarg.
		:type links_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param links_feid: kwarg.
		:type links_feid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.links', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'links', 'keyval': 'links_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, links=links, links_count=links_count, links_feid=links_feid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sfm_state_mcast_update(self, mcast=None, mcast_count=None, mcast_sfmid=None, mcast_feid=None, mcast_sfmcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param mcast: kwarg tuple.
		:type mcast: (mcastid).

		:param mcastid: tuple arg.
		:type mcastid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mcast_count: kwarg.
		:type mcast_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mcast_sfmid: kwarg.
		:type mcast_sfmid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mcast_feid: kwarg.
		:type mcast_feid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mcast_sfmcount: kwarg.
		:type mcast_sfmcount: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.mcast', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'mcast', 'keyval': 'mcastid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, mcast=mcast, mcast_count=mcast_count, mcast_sfmid=mcast_sfmid, mcast_feid=mcast_feid, mcast_sfmcount=mcast_sfmcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sfm_state_queue_update(self, queue=None, queue_feid=None, queue_pipe=None, queue_dch_count=None, queue_dcm_count=None, queue_dcl_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param queue: kwarg tuple.
		:type queue: (queue_sfmid).

		:param queue_sfmid: tuple arg.
		:type queue_sfmid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param queue_feid: kwarg.
		:type queue_feid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param queue_pipe: kwarg.
		:type queue_pipe: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param queue_dch_count: kwarg.
		:type queue_dch_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param queue_dcm_count: kwarg.
		:type queue_dcm_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param queue_dcl_count: kwarg.
		:type queue_dcl_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.queue', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, queue=queue, queue_feid=queue_feid, queue_pipe=queue_pipe, queue_dch_count=queue_dch_count, queue_dcm_count=queue_dcm_count, queue_dcl_count=queue_dcl_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sfm_state_serdesmode_update(self, serdesmode=None, serdesmode_=None, serdesmode_feid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param serdesmode: kwarg tuple.
		:type serdesmode: (serdesmode_sfmid).

		:param serdesmode_sfmid: tuple arg.
		:type serdesmode_sfmid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param serdesmode_: kwarg.
		:type serdesmode_: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param serdesmode_feid: kwarg.
		:type serdesmode_feid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.serdesmode', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'serdesmode', 'keyval': 'serdesmode_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, serdesmode=serdesmode, serdesmode_=serdesmode_, serdesmode_feid=serdesmode_feid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_update(self, statistics=None, statistics_feid=None, statistics_pipe=None, statistics_dch_total_in=None, statistics_dch_total_out=None, statistics_dch_fifo_discard=None, statistics_dch_reorder_discard=None, statistics_dch_unreach_discard=None, statistics_dch_max_q_size=None, statistics_dcm_tot=None, statistics_dcm_drop=None, statistics_dcm_max=None, statistics_dcl_tot_in=None, statistics_dcl_tot_out=None, statistics_dcl_dropped=None, statistics_dcl_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param statistics: kwarg tuple.
		:type statistics: (statistics_sfmid).

		:param statistics_sfmid: tuple arg.
		:type statistics_sfmid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param statistics_feid: kwarg.
		:type statistics_feid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_pipe: kwarg.
		:type statistics_pipe: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_dch_total_in: kwarg.
		:type statistics_dch_total_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_dch_total_out: kwarg.
		:type statistics_dch_total_out: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_dch_fifo_discard: kwarg.
		:type statistics_dch_fifo_discard: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_dch_reorder_discard: kwarg.
		:type statistics_dch_reorder_discard: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_dch_unreach_discard: kwarg.
		:type statistics_dch_unreach_discard: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_dch_max_q_size: kwarg.
		:type statistics_dch_max_q_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_dcm_tot: kwarg.
		:type statistics_dcm_tot: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_dcm_drop: kwarg.
		:type statistics_dcm_drop: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_dcm_max: kwarg.
		:type statistics_dcm_max: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_dcl_tot_in: kwarg.
		:type statistics_dcl_tot_in: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_dcl_tot_out: kwarg.
		:type statistics_dcl_tot_out: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_dcl_dropped: kwarg.
		:type statistics_dcl_dropped: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param statistics_dcl_max: kwarg.
		:type statistics_dcl_max: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, statistics=statistics, statistics_feid=statistics_feid, statistics_pipe=statistics_pipe, statistics_dch_total_in=statistics_dch_total_in, statistics_dch_total_out=statistics_dch_total_out, statistics_dch_fifo_discard=statistics_dch_fifo_discard, statistics_dch_reorder_discard=statistics_dch_reorder_discard, statistics_dch_unreach_discard=statistics_dch_unreach_discard, statistics_dch_max_q_size=statistics_dch_max_q_size, statistics_dcm_tot=statistics_dcm_tot, statistics_dcm_drop=statistics_dcm_drop, statistics_dcm_max=statistics_dcm_max, statistics_dcl_tot_in=statistics_dcl_tot_in, statistics_dcl_tot_out=statistics_dcl_tot_out, statistics_dcl_dropped=statistics_dcl_dropped, statistics_dcl_max=statistics_dcl_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sfm_state_thresholds_update(self, thresholds=None, thresholds_feid=None, thresholds_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param thresholds: kwarg tuple.
		:type thresholds: (thresholds_sfmid).

		:param thresholds_sfmid: tuple arg.
		:type thresholds_sfmid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param thresholds_feid: kwarg.
		:type thresholds_feid: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param thresholds_port: kwarg.
		:type thresholds_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.thresholds', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'thresholds', 'keyval': 'thresholds_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, thresholds=thresholds, thresholds_feid=thresholds_feid, thresholds_port=thresholds_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def show_client_id_df_info_state_update(self, show_client_id_df_info_state=None, client_state=None, is_all_vlan_elected=None, is_df_election_pending=None, num_df_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param show_client_id_df_info_state: kwarg tuple.
		:type show_client_id_df_info_state: (cluster_id, client_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_id: tuple arg.
		:type client_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param client_state: kwarg.
		:type client_state: (YANGBool)

		:param is_all_vlan_elected: kwarg.
		:type is_all_vlan_elected: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param is_df_election_pending: kwarg.
		:type is_df_election_pending: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param num_df_vlans: kwarg.
		:type num_df_vlans: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'show_client_id_df_info_state', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_client_id_df_info_state=show_client_id_df_info_state, client_state=client_state, is_all_vlan_elected=is_all_vlan_elected, is_df_election_pending=is_df_election_pending, num_df_vlans=num_df_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def show_client_id_df_info_state_df_vlans_update(self, show_client_id_df_info_state=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_client_id_df_info_state: kwarg tuple.
		:type show_client_id_df_info_state: (cluster_id, client_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_id: tuple arg.
		:type client_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'show_client_id_df_info_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state.df_vlans', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id, client_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_client_id_df_info_state=show_client_id_df_info_state, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def show_client_id_df_info_state_df_vlans_vlan_id_update(self, show_client_id_df_info_state=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param show_client_id_df_info_state: kwarg tuple.
		:type show_client_id_df_info_state: (cluster_id, client_id).

		:param cluster_id: tuple arg.
		:type cluster_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param client_id: tuple arg.
		:type client_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_id: kwarg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'show_client_id_df_info_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state.df_vlans', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id, client_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, show_client_id_df_info_state=show_client_id_df_info_state, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_update(self, contact=None, location=None, sys_descr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param contact: Contact information for the system(switch).
		:type contact: (unicode)
		
		.. note::
			* length - [u'4 .. 256']

		:param location: Location of the system.
		:type location: (unicode)
		
		.. note::
			* length - [u'4 .. 256']

		:param sys_descr: Description of the system.
		:type sys_descr: (unicode)
		
		.. note::
			* length - [u'4 .. 256']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.agtconfig', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v6_0_2b.snmp_server.engineID_drop', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.agtconfig', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_0_1a.snmp_server.engineID_drop', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.agtconfig', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.nos.v7_1_0.snmp_server.engineID_drop', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.agtconfig', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.snmp_server.engineID_drop', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, contact=contact, location=location, sys_descr=sys_descr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_community_update(self, community=None, groupname=None, ipv4_acl=None, ipv6_acl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param community: kwarg tuple.
		:type community: (community, groupname, ipv4_acl, ipv6_acl).

		:param community: tuple arg.
		:type community: (unicode)

		:param groupname: Groupname associated with community string
		:type groupname: (unicode)

		:param ipv4_acl: standard IPv4 Access list name (or) ID associated with community strings.
		:type ipv4_acl: (unicode)
		
		.. note::
			* length - [u'0 .. 63']

		:param ipv6_acl: standard IPv6 Access list name (or) ID associated with community strings.
		:type ipv6_acl: (unicode)
		
		.. note::
			* length - [u'0 .. 63']

	**This Instance Arg(s)**:
		:param groupname: Groupname associated with community string
		:type groupname: (unicode)

		:param ipv4_acl: standard IPv4 Access list name (or) ID associated with community strings.
		:type ipv4_acl: (unicode)
		
		.. note::
			* length - [u'0 .. 63']

		:param ipv6_acl: standard IPv6 Access list name (or) ID associated with community strings.
		:type ipv6_acl: (unicode)
		
		.. note::
			* length - [u'0 .. 63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.community', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.community', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.community', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.community', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'community', 'keyval': 'community', 'extra_keyval': 'community, groupname'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, community=community, groupname=groupname, ipv4_acl=ipv4_acl, ipv6_acl=ipv6_acl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_contact_update(self, contact=None, location=None, sys_descr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param contact: Contact information for the system(switch).
		:type contact: (unicode)
		
		.. note::
			* length - [u'4 .. 256']

		:param location: Location of the system.
		:type location: (unicode)
		
		.. note::
			* length - [u'4 .. 256']

		:param sys_descr: Description of the system.
		:type sys_descr: (unicode)
		
		.. note::
			* length - [u'4 .. 256']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.agtconfig', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.agtconfig', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.agtconfig', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.agtconfig', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, contact=contact, location=location, sys_descr=sys_descr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_context_update(self, context=None, vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param context: kwarg tuple.
		:type context: (context_name).

		:param context_name: tuple arg.
		:type context_name: (unicode)

	**This Instance Arg(s)**:
		:param vrf_name: Vrf Name
		:type vrf_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.context', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.context', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.context', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.context', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'context', 'keyval': 'context_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, context=context, vrf_name=vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_enable_trap_update(self, trap_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param trap_flag: Enables/Disables the trap
		:type trap_flag: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.enable.trap', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.enable.trap', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.enable.trap', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.enable.trap', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, trap_flag=trap_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_engineid_update(self, local_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param local_: Agent's (Local) engine Id
		:type local_: (unicode)
		
		.. note::
			* pattern - [0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.engineID_drop.engineID', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.engineID_drop.engineID', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.engineID_drop.engineID', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.engineID_drop.engineID', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, local_=local_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_engineid_local_update(self, local_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param local_: Agent's (Local) engine Id
		:type local_: (unicode)
		
		.. note::
			* pattern - [0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.engineID_drop.engineID', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.engineID_drop.engineID', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.engineID_drop.engineID', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.engineID_drop.engineID', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, local_=local_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_group_update(self, group=None, group_auth_mode=None, read=None, write=None, notify=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param group: kwarg tuple.
		:type group: (group_name, group_version, group_auth_mode, read, write, notify).

		:param group_name: tuple arg.
		:type group_name: (unicode)
		
		.. note::
			* length - [u'1 .. 32']

		:param group_version: tuple arg.
		:type group_version: (unicode)
		
		.. note::
			* enum - [u'v2c', u'v1', u'v3']

		:param group_auth_mode: tuple arg.
		:type group_auth_mode: (unicode)
		
		.. note::
			* enum - [u'noauth', u'auth', u'priv']

		:param read: read	Specify a read view for the group
		:type read: (unicode)
		
		.. note::
			* length - [u'1 .. 32']

		:param write: write	Specify a write view for the group
		:type write: (unicode)
		
		.. note::
			* length - [u'1 .. 32']

		:param notify: notify	Specify a notify view for the group
		:type notify: (unicode)
		
		.. note::
			* length - [u'1 .. 32']

	**This Instance Arg(s)**:
		:param group_auth_mode: kwarg.
		:type group_auth_mode: (unicode)
		
		.. note::
			* enum - [u'noauth', u'auth', u'priv']

		:param read: read	Specify a read view for the group
		:type read: (unicode)
		
		.. note::
			* length - [u'1 .. 32']

		:param write: write	Specify a write view for the group
		:type write: (unicode)
		
		.. note::
			* length - [u'1 .. 32']

		:param notify: notify	Specify a notify view for the group
		:type notify: (unicode)
		
		.. note::
			* length - [u'1 .. 32']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.group', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.group', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.group', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.group', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_name, group_version', 'extra_keyval': 'group_name, group_version, group_auth_mode, read, write, notify'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, group=group, group_auth_mode=group_auth_mode, read=read, write=write, notify=notify)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_host_update(self, host=None, version=None, udp_port=None, severity_level=None, use_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param host: kwarg tuple.
		:type host: (ip, community).

		:param ip: ipv4/ipv6/dns address of the trap recipient 
associated with community strings.  Traps will be 
sent to this host
		:type ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param community: Community string associated with traps.
		:type community: (unicode)

	**This Instance Arg(s)**:
		:param version: Version used to send traps. (Default=v1)
		:type version: (unicode)
		
		.. note::
			* enum - [u'1', u'2c']

		:param udp_port: Port number used to send traps. (Default=162)
		:type udp_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param severity_level: Severity level associated with traps
		:type severity_level: (unicode)
		
		.. note::
			* enum - [u'Info', u'None', u'Critical', u'Warning', u'Error', u'Debug']

		:param use_vrf: vrfname used to send notifications.
		:type use_vrf: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.host', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.host', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'ip, community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, version=version, udp_port=udp_port, severity_level=severity_level, use_vrf=use_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_host_source_interface_update(self, host=None, loopback=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param host: kwarg tuple.
		:type host: (ip, community).

		:param ip: ipv4/ipv6/dns address of the trap recipient 
associated with community strings.  Traps will be 
sent to this host
		:type ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param community: Community string associated with traps.
		:type community: (unicode)

	**This Instance Arg(s)**:
		:param loopback: Loopback interface to use
		:type loopback: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: Ve interface to use
		:type ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.snmp_server.host', u'host'), ('pybind.nos.v6_0_2b.snmp_server.host', u'host'), ('pybind.nos.v7_1_0.snmp_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.host.source_interface', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.host.source_interface', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, loopback=loopback, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_host_source_interface_loopback_update(self, host=None, loopback=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param host: kwarg tuple.
		:type host: (ip, community).

		:param ip: ipv4/ipv6/dns address of the trap recipient 
associated with community strings.  Traps will be 
sent to this host
		:type ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param community: Community string associated with traps.
		:type community: (unicode)

	**This Instance Arg(s)**:
		:param loopback: Loopback interface to use
		:type loopback: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: Ve interface to use
		:type ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.snmp_server.host', u'host'), ('pybind.nos.v6_0_2b.snmp_server.host', u'host'), ('pybind.nos.v7_1_0.snmp_server.host', u'host')]
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.host.source_interface', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.host.source_interface', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}, {'keyval': 'ip, community', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, loopback=loopback, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_mib_community_map_update(self, community_map=None, context=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param community_map: kwarg tuple.
		:type community_map: (community, context).

		:param community: Community string to map with the context name
		:type community: (unicode)

		:param context: Context Name.
		:type context: (unicode)

	**This Instance Arg(s)**:
		:param context: Context Name.
		:type context: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.snmp_server.mib.community_map', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.mib.community_map', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.mib.community_map', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'community_map', 'keyval': 'community', 'extra_keyval': 'community, context'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, community_map=community_map, context=context)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_user_update(self, user=None, groupname=None, auth=None, auth_password=None, priv=None, priv_password=None, encrypted=None, ipv4_acl=None, ipv6_acl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param user: kwarg tuple.
		:type user: (username, groupname, auth, auth_password, priv, priv_password, encrypted, ipv4_acl, ipv6_acl).

		:param username: tuple arg.
		:type username: (unicode)
		
		.. note::
			* length - [u'1 .. 25']

		:param groupname: tuple arg.
		:type groupname: (unicode)

		:param auth: Authorization protocol for username
(Default=noauth)
		:type auth: (unicode)
		
		.. note::
			* enum - [u'sha', u'noauth', u'md5']

		:param auth_password: Authorization password associated with
username
		:type auth_password: (unicode)

		:param priv: Privacy protocol for username (Default=nopriv)
		:type priv: (unicode)
		
		.. note::
			* enum - [u'AES128', u'DES', u'nopriv']

		:param priv_password: Privacy password associated with username
		:type priv_password: (unicode)

		:param encrypted: This flag is used to enter the auth/priv
passwords as encrypted.(Default=disable)
		:type encrypted: (YANGBool)

		:param ipv4_acl: standard IPv4 Access list name (or) ID associated with SNMP v3 user strings.
		:type ipv4_acl: (unicode)
		
		.. note::
			* length - [u'0 .. 63']

		:param ipv6_acl: standard IPv6 Access list name (or) ID associated with SNMP V3 user strings.
		:type ipv6_acl: (unicode)
		
		.. note::
			* length - [u'0 .. 63']

	**This Instance Arg(s)**:
		:param groupname: kwarg.
		:type groupname: (unicode)

		:param auth: Authorization protocol for username
(Default=noauth)
		:type auth: (unicode)
		
		.. note::
			* enum - [u'sha', u'noauth', u'md5']

		:param auth_password: Authorization password associated with
username
		:type auth_password: (unicode)

		:param priv: Privacy protocol for username (Default=nopriv)
		:type priv: (unicode)
		
		.. note::
			* enum - [u'AES128', u'DES', u'nopriv']

		:param priv_password: Privacy password associated with username
		:type priv_password: (unicode)

		:param encrypted: This flag is used to enter the auth/priv
passwords as encrypted.(Default=disable)
		:type encrypted: (YANGBool)

		:param ipv4_acl: standard IPv4 Access list name (or) ID associated with SNMP v3 user strings.
		:type ipv4_acl: (unicode)
		
		.. note::
			* length - [u'0 .. 63']

		:param ipv6_acl: standard IPv6 Access list name (or) ID associated with SNMP V3 user strings.
		:type ipv6_acl: (unicode)
		
		.. note::
			* length - [u'0 .. 63']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.user', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.user', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.user', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted, ipv4_acl, ipv6_acl'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, user=user, groupname=groupname, auth=auth, auth_password=auth_password, priv=priv, priv_password=priv_password, encrypted=encrypted, ipv4_acl=ipv4_acl, ipv6_acl=ipv6_acl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_v3host_update(self, v3host=None, udp_port=None, notifytype=None, engineid=None, severity_level=None, use_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param v3host: kwarg tuple.
		:type v3host: (hostip, username).

		:param hostip: ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
		:type hostip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param username: Username associated with notification type.
		:type username: (unicode)

	**This Instance Arg(s)**:
		:param udp_port: Port number used to send notifications.
(Default=162)
		:type udp_port: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param notifytype: Type of notification sent to host.
(Default=traps)
		:type notifytype: (unicode)
		
		.. note::
			* enum - [u'informs', u'traps']

		:param engineid: Manager's (Remote) engine Id.
		:type engineid: (unicode)

		:param severity_level: Severity level associated with traps
		:type severity_level: (unicode)
		
		.. note::
			* enum - [u'Info', u'None', u'Critical', u'Warning', u'Error', u'Debug']

		:param use_vrf: vrfname used to send notifications.
		:type use_vrf: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.v3host', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.v3host', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.v3host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, v3host=v3host, udp_port=udp_port, notifytype=notifytype, engineid=engineid, severity_level=severity_level, use_vrf=use_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_v3host_source_interface_update(self, v3host=None, loopback=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param v3host: kwarg tuple.
		:type v3host: (hostip, username).

		:param hostip: ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
		:type hostip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param username: Username associated with notification type.
		:type username: (unicode)

	**This Instance Arg(s)**:
		:param loopback: Loopback interface to use
		:type loopback: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: Ve interface to use
		:type ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_1_0.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_0_1a.snmp_server.v3host', u'v3host')]
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.v3host.source_interface', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.v3host.source_interface', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.v3host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, v3host=v3host, loopback=loopback, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_v3host_source_interface_loopback_update(self, v3host=None, loopback=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param v3host: kwarg tuple.
		:type v3host: (hostip, username).

		:param hostip: ipv4/ipv6/dns address of the notification recipient
associated with username. Notifications
will be sent to this host
		:type hostip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param username: Username associated with notification type.
		:type username: (unicode)

	**This Instance Arg(s)**:
		:param loopback: Loopback interface to use
		:type loopback: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ve: Ve interface to use
		:type ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_1_0.snmp_server.v3host', u'v3host'), ('pybind.nos.v7_0_1a.snmp_server.v3host', u'v3host')]
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.v3host.source_interface', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.v3host.source_interface', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.v3host.source_interface', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}, {'keyval': 'hostip, username', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, v3host=v3host, loopback=loopback, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def snmp_server_view_update(self, view=None, mibtree_access=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param view: kwarg tuple.
		:type view: (viewname, mibtree).

		:param viewname: tuple arg.
		:type viewname: (unicode)
		
		.. note::
			* length - [u'1 .. 32']

		:param mibtree: tuple arg.
		:type mibtree: (unicode)
		
		.. note::
			* length - [u'1 .. 256']

	**This Instance Arg(s)**:
		:param mibtree_access: kwarg.
		:type mibtree_access: (unicode)
		
		.. note::
			* enum - [u'included', u'excluded']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.snmp_server.view', 'pybind.nos.v6_0_2b.brocade_snmp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.snmp_server.view', 'pybind.nos.v7_0_1a.brocade_snmp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.snmp_server.view', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.view', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'view', 'keyval': 'viewname, mibtree', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, view=view, mibtree_access=mibtree_access)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_update(self, spf_log_state=None, spf_log_levels=None, log_counts=None, spf_trigger_count=None, node_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param spf_log_state: kwarg tuple.
		:type spf_log_state: (spf_log_version).

		:param spf_log_version: tuple arg.
		:type spf_log_version: (unicode)
		
		.. note::
			* enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

	**This Instance Keyword Arg Tuple**:
		:param spf_log_levels: kwarg tuple.
		:type spf_log_levels: (level).

		:param level: tuple arg.
		:type level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1-2', u'level-1']

	**This Instance Arg(s)**:
		:param log_counts: kwarg.
		:type log_counts: (int)
		
		.. note::
			* range - ['0..65535']

		:param spf_trigger_count: kwarg.
		:type spf_trigger_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param node_count: kwarg.
		:type node_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_levels', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, log_counts=log_counts, spf_trigger_count=spf_trigger_count, node_count=node_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_update(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, isis_spf_log_reason=None, isis_lsp_name=None, brief_reason=None, event_count=None, node_count=None, time_stamp_ms=None, duration_ms=None, ipv4_routes=None, ipv6_routes=None, first_trigger_change=None, first_trigger_time_stamp_ms=None, first_trigger_detail_reason=None, last_trigger_change=None, last_trigger_time_stamp_ms=None, last_trigger_detail_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param spf_log_state: kwarg tuple.
		:type spf_log_state: (spf_log_version).

		:param spf_log_version: tuple arg.
		:type spf_log_version: (unicode)
		
		.. note::
			* enum - [u'isis-ipv6-unicast-safi', u'isis-ipv4-unicast-safi']

		:param spf_log_levels: kwarg tuple.
		:type spf_log_levels: (level).

		:param level: tuple arg.
		:type level: (unicode)
		
		.. note::
			* enum - [u'level-2', u'level-1-2', u'level-1']

	**This Instance Keyword Arg Tuple**:
		:param spf_log_events: kwarg tuple.
		:type spf_log_events: (spf_log_index).

		:param spf_log_index: tuple arg.
		:type spf_log_index: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param isis_spf_log_reason: kwarg.
		:type isis_spf_log_reason: (unicode)
		
		.. note::
			* enum - [u'isis-spf-reason-ipv6-max-paths', u'isis-spf-reason-adj-change', u'isis-spf-reason-circ-change', u'isis-spf-reason-level-change', u'isis-spf-reason-recal-interlevel-route', u'isis-spf-reason-kickall', u'isis-spf-reason-redis-list-change', u'isis-spf-reason-clear-route', u'isis-spf-reason-attflag', u'isis-spf-reason-tlv-content-change', u'isis-spf-reason-ipaddr-change', u'isis-spf-reason-pspf-purge-lsp', u'isis-spf-reason-build-plsp', u'isis-spf-reason-ipaddr-cfg-change', u'isis-spf-reason-max-paths', u'isis-spf-reason-admin-dist', u'isis-spf-reason-user-trig', u'isis-spf-reason-nlpid-change', u'isis-spf-reason-area-change', u'isis-spf-reason-ispf', u'isis-spf-reason-multi-topo-config-change', u'isis-spf-reason-isis-port-cfg', u'isis-spf-reason-redis-policy-change', u'isis-spf-reason-pspf-not-enable', u'isis-spf-reason-ipv4-bfd-down', u'isis-spf-reason-ipv4-alt', u'isis-spf-reason-rtm-ecmp-change', u'isis-spf-reason-adj-state-chg', u'isis-spf-reason-overload-exit', u'isis-spf-reason-ipv6-traverse', u'isis-spf-reason-ipv6-bfd-down', u'isis-spf-reason-none', u'isis-spf-reason-summary-addr-chg', u'isis-spf-reason-lsp-header', u'isis-spf-reason-lsp-db-clear', u'isis-spf-reason-ipv6-alt', u'isis-spf-reason-build-plsp-nondis', u'isis-spf-reason-router-enable', u'isis-spf-reason-tlv-change', u'isis-spf-reason-pspf-new-lsp', u'isis-spf-reason-build-table', u'isis-spf-reason-tnl-state-chg', u'isis-spf-reason-overload', u'isis-spf-reason-clear-all-route', u'isis-spf-reason-ip6metric-change', u'isis-spf-reason-istct-spf', u'isis-spf-reason-ipv4-traverse', u'isis-spf-reason-metric-change', u'isis-spf-reason-ipv6addr-change']

		:param isis_lsp_name: kwarg.
		:type isis_lsp_name: (unicode)

		:param brief_reason: kwarg.
		:type brief_reason: (unicode)

		:param event_count: kwarg.
		:type event_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param node_count: kwarg.
		:type node_count: (int)
		
		.. note::
			* range - ['0..65535']

		:param time_stamp_ms: kwarg.
		:type time_stamp_ms: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param duration_ms: kwarg.
		:type duration_ms: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv4_routes: kwarg.
		:type ipv4_routes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param ipv6_routes: kwarg.
		:type ipv6_routes: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param first_trigger_change: kwarg.
		:type first_trigger_change: (unicode)

		:param first_trigger_time_stamp_ms: kwarg.
		:type first_trigger_time_stamp_ms: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param first_trigger_detail_reason: kwarg.
		:type first_trigger_detail_reason: (unicode)

		:param last_trigger_change: kwarg.
		:type last_trigger_change: (unicode)

		:param last_trigger_time_stamp_ms: kwarg.
		:type last_trigger_time_stamp_ms: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param last_trigger_detail_reason: kwarg.
		:type last_trigger_detail_reason: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, isis_spf_log_reason=isis_spf_log_reason, isis_lsp_name=isis_lsp_name, brief_reason=brief_reason, event_count=event_count, node_count=node_count, time_stamp_ms=time_stamp_ms, duration_ms=duration_ms, ipv4_routes=ipv4_routes, ipv6_routes=ipv6_routes, first_trigger_change=first_trigger_change, first_trigger_time_stamp_ms=first_trigger_time_stamp_ms, first_trigger_detail_reason=first_trigger_detail_reason, last_trigger_change=last_trigger_change, last_trigger_time_stamp_ms=last_trigger_time_stamp_ms, last_trigger_detail_reason=last_trigger_detail_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ssh_client_update(self, cipher=None, mac=None, key_exchange=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cipher: Configure Cipher(s)
		:type cipher: (unicode)

		:param mac: Configure MAC algorithm(s)
		:type mac: (unicode)

		:param key_exchange: Configure Key-exchange algorithm
		:type key_exchange: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.client', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.client', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.client', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.client', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cipher=cipher, mac=mac, key_exchange=key_exchange)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ssh_client_cipher_update(self, cipher=None, mac=None, key_exchange=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cipher: Configure Cipher(s)
		:type cipher: (unicode)

		:param mac: Configure MAC algorithm(s)
		:type mac: (unicode)

		:param key_exchange: Configure Key-exchange algorithm
		:type key_exchange: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.client', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.client', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.client', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.client', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cipher=cipher, mac=mac, key_exchange=key_exchange)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ssh_client_source_interface_update(self, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param interface_type: The type of the interface.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've', u'loopback']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ssh_sa.ssh.client.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ssh_server_cipher_update(self, shutdown=None, key_exchange=None, rekey_interval=None, cipher=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param shutdown: Shutdown SSH Server
		:type shutdown: (YANGBool)

		:param key_exchange: Configure Key Exchange algorithm(s))
		:type key_exchange: (unicode)

		:param rekey_interval: Time interval for session rekeying
		:type rekey_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param cipher: Configure Cipher(s)
		:type cipher: (unicode)

		:param mac: Configure MAC algorithm(s)
		:type mac: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, shutdown=shutdown, key_exchange=key_exchange, rekey_interval=rekey_interval, cipher=cipher, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ssh_server_key_update(self, rsa=None, ecdsa=None, dsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rsa: RSA Algorithm type
		:type rsa: (unicode)
		
		.. note::
			* enum - [u'1024', u'2048']

		:param ecdsa: ECDSA Algorithm type
		:type ecdsa: (unicode)
		
		.. note::
			* enum - [u'256']

		:param dsa: DSA Algorithm type
		:type dsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server.key', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server.key', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.key', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.key', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rsa=rsa, ecdsa=ecdsa, dsa=dsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ssh_server_key_dsa_update(self, rsa=None, ecdsa=None, dsa=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param rsa: RSA Algorithm type
		:type rsa: (unicode)
		
		.. note::
			* enum - [u'1024', u'2048']

		:param ecdsa: ECDSA Algorithm type
		:type ecdsa: (unicode)
		
		.. note::
			* enum - [u'256']

		:param dsa: DSA Algorithm type
		:type dsa: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server.key', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server.key', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.key', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.key', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rsa=rsa, ecdsa=ecdsa, dsa=dsa)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ssh_server_standby_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable standby SSH
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server.standby', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server.standby', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.standby', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.standby', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ssh_server_standby_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable standby SSH
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server.standby', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server.standby', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.standby', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.standby', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def ssh_server_use_vrf_update(self, use_vrf=None, ssh_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param use_vrf: kwarg tuple.
		:type use_vrf: (use_vrf_name, ssh_vrf_shutdown).

		:param use_vrf_name: tuple arg.
		:type use_vrf_name: (unicode)
		
		.. note::
			* length - [u'0 .. max']

		:param ssh_vrf_shutdown: Shutdown SSH server on given vrf
		:type ssh_vrf_shutdown: (YANGBool)

	**This Instance Arg(s)**:
		:param ssh_vrf_shutdown: Shutdown SSH server on given vrf
		:type ssh_vrf_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf, ssh_vrf_shutdown=ssh_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_bridge_domain_statistics_lif_statistics_update(self, bridge_domain_statistics=None, lif_statistics=None, rx_packets=None, tx_packets=None, rx_bytes=None, tx_bytes=None, lif_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param bridge_domain_statistics: kwarg tuple.
		:type bridge_domain_statistics: (bd_id).

		:param bd_id: tuple arg.
		:type bd_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param lif_statistics: kwarg tuple.
		:type lif_statistics: (lif_id).

		:param lif_id: tuple arg.
		:type lif_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rx_packets: kwarg.
		:type rx_packets: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_packets: kwarg.
		:type tx_packets: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_bytes: kwarg.
		:type rx_bytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_bytes: kwarg.
		:type tx_bytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param lif_name: kwarg.
		:type lif_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lif_statistics', 'keyval': 'lif_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, rx_packets=rx_packets, tx_packets=tx_packets, rx_bytes=rx_bytes, tx_bytes=tx_bytes, lif_name=lif_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_vlan_statistics_port_statistics_update(self, vlan_statistics=None, port_statistics=None, rx_packets=None, tx_packets=None, rx_bytes=None, tx_bytes=None, port_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan_statistics: kwarg tuple.
		:type vlan_statistics: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param port_statistics: kwarg tuple.
		:type port_statistics: (port_id).

		:param port_id: tuple arg.
		:type port_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param rx_packets: kwarg.
		:type rx_packets: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_packets: kwarg.
		:type tx_packets: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param rx_bytes: kwarg.
		:type rx_bytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param tx_bytes: kwarg.
		:type tx_bytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param port_name: kwarg.
		:type port_name: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_statistics', 'keyval': 'port_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan_statistics=vlan_statistics, port_statistics=port_statistics, rx_packets=rx_packets, tx_packets=tx_packets, rx_bytes=rx_bytes, tx_bytes=tx_bytes, port_name=port_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def support_update(self, ffdc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ffdc: Enable/Disable FFDC file generation
		:type ffdc: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.support', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ffdc=ffdc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def support_autoupload_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable Autoupload
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.support.autoupload', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support.autoupload', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support.autoupload', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def support_autoupload_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable Autoupload
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.support.autoupload', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support.autoupload', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support.autoupload', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def support_autoupload_param_update(self, hostip=None, username=None, directory=None, protocol=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hostip: Host ipv4/ipv6 address
		:type hostip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param username: User name
		:type username: (unicode)

		:param directory: Directory
		:type directory: (unicode)
		
		.. note::
			* length - [u'1..47']

		:param protocol: Protocol(scp | sftp | ftp)
		:type protocol: (unicode)
		
		.. note::
			* length - [u'3..4']
			* pattern - ftp|scp|sftp|FTP|SCP|SFTP

		:param password: Password
		:type password: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.support.autoupload_param', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support.autoupload_param', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support.autoupload_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hostip, username, directory, protocol, password'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostip=hostip, username=username, directory=directory, protocol=protocol, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def support_autoupload_param_directory_update(self, hostip=None, username=None, directory=None, protocol=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hostip: Host ipv4/ipv6 address
		:type hostip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param username: User name
		:type username: (unicode)

		:param directory: Directory
		:type directory: (unicode)
		
		.. note::
			* length - [u'1..47']

		:param protocol: Protocol(scp | sftp | ftp)
		:type protocol: (unicode)
		
		.. note::
			* length - [u'3..4']
			* pattern - ftp|scp|sftp|FTP|SCP|SFTP

		:param password: Password
		:type password: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.support.autoupload_param', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support.autoupload_param', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support.autoupload_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.autoupload_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostip=hostip, username=username, directory=directory, protocol=protocol, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def support_ffdc_update(self, ffdc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param ffdc: Enable/Disable FFDC file generation
		:type ffdc: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.support', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, ffdc=ffdc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def support_support_param_update(self, hostip=None, username=None, directory=None, protocol=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hostip: Host ipv4/ipv6 address
		:type hostip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param username: User name
		:type username: (unicode)

		:param directory: Directory
		:type directory: (unicode)

		:param protocol: Protocol(scp | sftp | ftp)
		:type protocol: (unicode)
		
		.. note::
			* length - [u'3..4']
			* pattern - ftp|scp|sftp|FTP|SCP|SFTP

		:param password: Password
		:type password: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.support.support_param', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support.support_param', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support.support_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.support_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'hostip, username, directory, protocol, password'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostip=hostip, username=username, directory=directory, protocol=protocol, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def support_support_param_directory_update(self, hostip=None, username=None, directory=None, protocol=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param hostip: Host ipv4/ipv6 address
		:type hostip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param username: User name
		:type username: (unicode)

		:param directory: Directory
		:type directory: (unicode)

		:param protocol: Protocol(scp | sftp | ftp)
		:type protocol: (unicode)
		
		.. note::
			* length - [u'3..4']
			* pattern - ftp|scp|sftp|FTP|SCP|SFTP

		:param password: Password
		:type password: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.support.support_param', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.support.support_param', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.support.support_param', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.support.support_param', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, hostip=hostip, username=username, directory=directory, protocol=protocol, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def switch_attributes_update(self, rbridge_id=None, chassis_name=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Keyword Arg Tuple**:
		:param rbridge_id: kwarg tuple.
		:type rbridge_id: (rbridge_id).

		:param rbridge_id: tuple arg.
		:type rbridge_id: (unicode)
		
		.. note::
			* length - [u'1..3']
			* pattern - [1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9]

	**This Instance Arg(s)**:
		:param chassis_name: Chassis name[length:1-30]
		:type chassis_name: (unicode)
		
		.. note::
			* length - [u'1..30']

		:param host_name: Host name[length:1-30]
		:type host_name: (unicode)
		
		.. note::
			* length - [u'1..30']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system.switch_attributes.rbridge_id', 'pybind.nos.v6_0_2b.brocade_ras', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system.switch_attributes.rbridge_id', 'pybind.nos.v7_0_1a.brocade_ras', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system.switch_attributes.rbridge_id', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rbridge_id=rbridge_id, chassis_name=chassis_name, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def switch_attributes_chassis_name_update(self, chassis_name=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param chassis_name: Chassis name[length:1-30]
		:type chassis_name: (unicode)
		
		.. note::
			* length - [u'1..30']

		:param host_name: Host name[length:1-30]
		:type host_name: (unicode)
		
		.. note::
			* length - [u'1..30']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.system.switch_attributes', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, chassis_name=chassis_name, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sysmon_fe_access_check_update(self, fe_access_check_disable=None, fe_access_check_interval=None, fe_access_check_threshold=None, fe_access_check_recovery_threshold=None, fe_access_check_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param fe_access_check_disable: Disable Fe Access Check (Default: Enabled)
		:type fe_access_check_disable: (YANGBool)

		:param fe_access_check_interval: Set Fe-Access-Check poll-interval
		:type fe_access_check_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param fe_access_check_threshold: Set Fe-Access-Check threshold
		:type fe_access_check_threshold: (int)
		
		.. note::
			* range - ['0..255']

		:param fe_access_check_recovery_threshold: Set Fe-Access-Check recovery threshold
		:type fe_access_check_recovery_threshold: (int)
		
		.. note::
			* range - ['0..255']

		:param fe_access_check_action: Set Fe-Access-Check action
		:type fe_access_check_action: (unicode)
		
		.. note::
			* enum - [u'recover', u'log']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.fe_access_check', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fe_access_check_disable=fe_access_check_disable, fe_access_check_interval=fe_access_check_interval, fe_access_check_threshold=fe_access_check_threshold, fe_access_check_recovery_threshold=fe_access_check_recovery_threshold, fe_access_check_action=fe_access_check_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sysmon_fe_access_check_action_update(self, fe_access_check_disable=None, fe_access_check_interval=None, fe_access_check_threshold=None, fe_access_check_recovery_threshold=None, fe_access_check_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param fe_access_check_disable: Disable Fe Access Check (Default: Enabled)
		:type fe_access_check_disable: (YANGBool)

		:param fe_access_check_interval: Set Fe-Access-Check poll-interval
		:type fe_access_check_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param fe_access_check_threshold: Set Fe-Access-Check threshold
		:type fe_access_check_threshold: (int)
		
		.. note::
			* range - ['0..255']

		:param fe_access_check_recovery_threshold: Set Fe-Access-Check recovery threshold
		:type fe_access_check_recovery_threshold: (int)
		
		.. note::
			* range - ['0..255']

		:param fe_access_check_action: Set Fe-Access-Check action
		:type fe_access_check_action: (unicode)
		
		.. note::
			* enum - [u'recover', u'log']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.fe_access_check', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, fe_access_check_disable=fe_access_check_disable, fe_access_check_interval=fe_access_check_interval, fe_access_check_threshold=fe_access_check_threshold, fe_access_check_recovery_threshold=fe_access_check_recovery_threshold, fe_access_check_action=fe_access_check_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sysmon_link_crc_monitoring_update(self, link_crc_mon_disable=None, link_crc_mon_interval=None, link_crc_mon_threshold=None, link_crc_mon_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param link_crc_mon_disable: Disable Link CRC Monitoring (Default: Enabled)
		:type link_crc_mon_disable: (YANGBool)

		:param link_crc_mon_interval: Set Link CRC Monitoring poll-interval
		:type link_crc_mon_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param link_crc_mon_threshold: Set Link CRC Monitoring threshold
		:type link_crc_mon_threshold: (int)
		
		.. note::
			* range - ['0..255']

		:param link_crc_mon_action: Set Link CRC Monitoring action
		:type link_crc_mon_action: (unicode)
		
		.. note::
			* enum - [u'log', u'link-disable']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.link_crc_monitoring', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link_crc_mon_disable=link_crc_mon_disable, link_crc_mon_interval=link_crc_mon_interval, link_crc_mon_threshold=link_crc_mon_threshold, link_crc_mon_action=link_crc_mon_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sysmon_link_crc_monitoring_action_update(self, link_crc_mon_disable=None, link_crc_mon_interval=None, link_crc_mon_threshold=None, link_crc_mon_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param link_crc_mon_disable: Disable Link CRC Monitoring (Default: Enabled)
		:type link_crc_mon_disable: (YANGBool)

		:param link_crc_mon_interval: Set Link CRC Monitoring poll-interval
		:type link_crc_mon_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param link_crc_mon_threshold: Set Link CRC Monitoring threshold
		:type link_crc_mon_threshold: (int)
		
		.. note::
			* range - ['0..255']

		:param link_crc_mon_action: Set Link CRC Monitoring action
		:type link_crc_mon_action: (unicode)
		
		.. note::
			* enum - [u'log', u'link-disable']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.link_crc_monitoring', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, link_crc_mon_disable=link_crc_mon_disable, link_crc_mon_interval=link_crc_mon_interval, link_crc_mon_threshold=link_crc_mon_threshold, link_crc_mon_action=link_crc_mon_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sysmon_sfm_walk_update(self, sfm_walk_auto=None, sfm_walk_dis_redundancy_check=None, sfm_walk_interval=None, sfm_walk_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param sfm_walk_auto: Enable Auto SFM Walk (Default: Disabled)
		:type sfm_walk_auto: (YANGBool)

		:param sfm_walk_dis_redundancy_check: Disable SFM Walk redundancy check (Default: Enabled)
		:type sfm_walk_dis_redundancy_check: (YANGBool)

		:param sfm_walk_interval: Set SFM Walk poll-interval
		:type sfm_walk_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param sfm_walk_threshold: Set SFM Walk reassembly error threshold
		:type sfm_walk_threshold: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.sfm_walk', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sfm_walk_auto=sfm_walk_auto, sfm_walk_dis_redundancy_check=sfm_walk_dis_redundancy_check, sfm_walk_interval=sfm_walk_interval, sfm_walk_threshold=sfm_walk_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def sysmon_sfm_walk_auto_update(self, sfm_walk_auto=None, sfm_walk_dis_redundancy_check=None, sfm_walk_interval=None, sfm_walk_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param sfm_walk_auto: Enable Auto SFM Walk (Default: Disabled)
		:type sfm_walk_auto: (YANGBool)

		:param sfm_walk_dis_redundancy_check: Disable SFM Walk redundancy check (Default: Enabled)
		:type sfm_walk_dis_redundancy_check: (YANGBool)

		:param sfm_walk_interval: Set SFM Walk poll-interval
		:type sfm_walk_interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param sfm_walk_threshold: Set SFM Walk reassembly error threshold
		:type sfm_walk_threshold: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sysmon.sfm_walk', 'pybind.slxos.v16r_1_00b.brocade_sysmon', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, sfm_walk_auto=sfm_walk_auto, sfm_walk_dis_redundancy_check=sfm_walk_dis_redundancy_check, sfm_walk_interval=sfm_walk_interval, sfm_walk_threshold=sfm_walk_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_max_update(self, arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param arp: Maximum number of arps system will allocate
		:type arp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.hide_arp_holder.system_max', 'pybind.nos.v6_0_2b.brocade_arp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_arp_holder.system_max', 'pybind.nos.v7_0_1a.brocade_arp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_arp_holder.system_max', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arp=arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_max_arp_update(self, arp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param arp: Maximum number of arps system will allocate
		:type arp: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.hide_arp_holder.system_max', 'pybind.nos.v6_0_2b.brocade_arp', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.hide_arp_holder.system_max', 'pybind.nos.v7_0_1a.brocade_arp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.hide_arp_holder.system_max', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, arp=arp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_cid_card_alert_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param state: Supported states for component:CID-CARD
that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when
component:CID-CARD changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_cid_card_alert_action_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param state: Supported states for component:CID-CARD
that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when
component:CID-CARD changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.cid_card.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.cid_card.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.cid_card.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_cid_card_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to MARGINAL
state of component:CID-CARD
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to DOWN
state of component:CID-CARD
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_cid_card_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to MARGINAL
state of component:CID-CARD
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to DOWN
state of component:CID-CARD
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.cid_card.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.cid_card.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.cid_card.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.cid_card.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_compact_flash_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to MARGINAL
state of component:COMPACT-FLASH
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to DOWN
state of component:COMPACT-FLASH
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_compact_flash_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to MARGINAL
state of component:COMPACT-FLASH
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to DOWN
state of component:COMPACT-FLASH
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.compact_flash.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.compact_flash.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.compact_flash.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.compact_flash.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_fan_alert_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param state: Supported states for component:FAN 
that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when 
component:FAN changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.fan.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.fan.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_fan_alert_action_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param state: Supported states for component:FAN 
that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when 
component:FAN changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.fan.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.fan.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.fan.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_fan_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:FAN
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:FAN
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.fan.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.fan.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_fan_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:FAN
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:FAN
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.fan.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.fan.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.fan.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.fan.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_linecard_alert_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param state: Supported states for component:LINECARD
that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when
component:LINECARD changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_linecard_alert_action_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param state: Supported states for component:LINECARD
that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when
component:LINECARD changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.LineCard.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.LineCard.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.LineCard.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_linecard_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:LineCard
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:LineCard
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_linecard_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:LineCard
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:LineCard
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.LineCard.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.LineCard.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.LineCard.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.LineCard.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_fru_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable FRU email alerts
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.fru', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.fru', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.fru', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.fru', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_interface_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable interface email alerts
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.interface', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.interface', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.interface', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.interface', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_relay_update(self, relay=None, domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param relay: kwarg tuple.
		:type relay: (host_ip).

		:param host_ip: tuple arg.
		:type host_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param domain_name: Domain name server
		:type domain_name: (unicode)
		
		.. note::
			* length - [u'0 .. 64']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.relay', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.relay', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.relay', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.relay', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'host_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, relay=relay, domain_name=domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_security_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable security email alerts
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.security', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.security', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.security', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.security', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_sfp_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable sfp email alerts
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor_mail.sfp', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor_mail.sfp', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor_mail.sfp', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.sfp', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_mm_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:MM
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:MM
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.MM.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.MM.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_mm_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:MM
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:MM
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.MM.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.MM.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.MM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.MM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_power_alert_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param state: Supported states for component:
POWER-SUPPLY that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when
component:POWER SUPPLY changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.power.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.power.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_power_alert_action_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param state: Supported states for component:
POWER-SUPPLY that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'on', u'none', u'removed', u'all', u'faulty', u'inserted']

		:param action: Action that may be taken when
component:POWER SUPPLY changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.power.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.power.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.power.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.alert', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_power_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:POWER SUPPLY
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
DOWN state of component:POWER SUPPLY
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.power.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.power.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_power_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:POWER SUPPLY
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
DOWN state of component:POWER SUPPLY
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.power.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.power.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.power.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.power.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_sfm_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:SFM
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:SFM
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_sfm_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to 
MARGINAL state of component:SFM
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to 
 DOWN state of component:SFM
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.SFM.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.SFM.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.SFM.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.SFM.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_sfp_alert_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param state: Supported states for component:
SFP that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'none', u'removed', u'inserted', u'faulty', u'all']

		:param action: Action that may be taken when
component:SFP changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.sfp.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.sfp.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'state, action'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_sfp_alert_action_update(self, state=None, action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param state: Supported states for component:
SFP that may be monitored
		:type state: (unicode)
		
		.. note::
			* enum - [u'none', u'removed', u'inserted', u'faulty', u'all']

		:param action: Action that may be taken when
component:SFP changes configured state
		:type action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.sfp.alert', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.sfp.alert', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.sfp.alert', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, state=state, action=action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_temp_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to MARGINAL 
state of component:TEMPERATURE SENSOR
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to DOWN
state of component:TEMPERATURE SENSOR
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.temp.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.temp.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'marginal_threshold, down_threshold'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_monitor_temp_threshold_down_threshold_update(self, marginal_threshold=None, down_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param marginal_threshold: Minimum number contributing to MARGINAL 
state of component:TEMPERATURE SENSOR
		:type marginal_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param down_threshold: Minimum number contributing to DOWN
state of component:TEMPERATURE SENSOR
		:type down_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.system_monitor.temp.threshold', 'pybind.nos.v6_0_2b.brocade_system_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.system_monitor.temp.threshold', 'pybind.nos.v7_0_1a.brocade_system_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.system_monitor.temp.threshold', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor.temp.threshold', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, marginal_threshold=marginal_threshold, down_threshold=down_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_tunnel_update(self, suppress_debounce=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param suppress_debounce: suppress debouncing
		:type suppress_debounce: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.tunnel_settings.system.tunnel', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.tunnel_settings.system.tunnel', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tunnel_settings.system.tunnel', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, suppress_debounce=suppress_debounce)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_tunnel_replicator_update(self, load_balance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param load_balance: Configure load balancing of BUM traffic
		:type load_balance: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.tunnel_settings.system.tunnel.replicator', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tunnel_settings.system.tunnel.replicator', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, load_balance=load_balance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_tunnel_replicator_load_balance_update(self, load_balance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param load_balance: Configure load balancing of BUM traffic
		:type load_balance: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.tunnel_settings.system.tunnel.replicator', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tunnel_settings.system.tunnel.replicator', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, load_balance=load_balance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def system_tunnel_suppress_debounce_update(self, suppress_debounce=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param suppress_debounce: suppress debouncing
		:type suppress_debounce: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.tunnel_settings.system.tunnel', 'pybind.nos.v6_0_2b.brocade_tunnels', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.tunnel_settings.system.tunnel', 'pybind.nos.v7_0_1a.brocade_tunnels', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tunnel_settings.system.tunnel', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, suppress_debounce=suppress_debounce)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def tacacs_server_update(self, tacacs_source_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param tacacs_source_ip: Configure the source ip to be used for Tacacs+
		:type tacacs_source_ip: (unicode)
		
		.. note::
			* enum - [u'chassis-ip', u'mm-ip']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.tacacs_server', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.tacacs_server', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tacacs_server', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tacacs_source_ip=tacacs_source_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def tacacs_server_host_update(self, host=None, port=None, protocol=None, key=None, encryption_level=None, retries=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param host: kwarg tuple.
		:type host: (hostname).

		:param hostname: INETADDRESS   Domain name or IP Address of
 this TACACS+ server
		:type hostname: (unicode)
		
		.. note::
			* length - [u'0..max']
			* pattern - \p{IsBasicLatin}{0,255}

	**This Instance Arg(s)**:
		:param port: TCP Port for Authentication (default=49)
		:type port: (int)
		
		.. note::
			* range - ['0..65535']

		:param protocol: Authentication protocol to be used
 (default=CHAP)
		:type protocol: (unicode)
		
		.. note::
			* enum - [u'pap', u'chap']

		:param key: Secret shared with this server
 (default='sharedsecret')
		:type key: (unicode)
		
		.. note::
			* length - [u'1 .. max']

		:param encryption_level: Level of encryption of the key (default=7)
		:type encryption_level: (unicode)
		
		.. note::
			* enum - [u'0', u'7']

		:param retries: Number of retries for this server connection
 (default=5)
		:type retries: (int)
		
		.. note::
			* range - ['0..255']

		:param timeout: Wait time for this server to respond
 (default=5 sec)
		:type timeout: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.tacacs_server.host', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.tacacs_server.host', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tacacs_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, port=port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def tacacs_server_host_encryption_level_update(self, host=None, port=None, protocol=None, key=None, encryption_level=None, retries=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param host: kwarg tuple.
		:type host: (hostname, use_vrf).

		:param hostname: INETADDRESS   Domain name or IP Address of
 this TACACS+ server
		:type hostname: (unicode)
		
		.. note::
			* length - [u'0..max']
			* pattern - \p{IsBasicLatin}{0,255}

		:param use_vrf: VRF to choose for server connection
(Default=mgmt-vrf)
		:type use_vrf: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param port: TCP Port for Authentication (default=49)
		:type port: (int)
		
		.. note::
			* range - ['0..65535']

		:param protocol: Authentication protocol to be used
 (default=CHAP)
		:type protocol: (unicode)
		
		.. note::
			* enum - [u'pap', u'chap']

		:param key: Secret shared with this server
 (default='sharedsecret')
		:type key: (unicode)
		
		.. note::
			* length - [u'1 .. max']

		:param encryption_level: Level of encryption of the key (default=7)
		:type encryption_level: (unicode)
		
		.. note::
			* enum - [u'0', u'7']

		:param retries: Number of retries for this server connection
 (default=5)
		:type retries: (int)
		
		.. note::
			* range - ['0..255']

		:param timeout: Wait time for this server to respond
 (default=5 sec)
		:type timeout: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.tacacs_server.host', u'host')]
    bindings_list = [('pybind.slxos.v16r_1_00b.tacacs_server.host.tacacs_server_options', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'hostname, use_vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, host=host, port=port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def tacacs_server_source_ip_update(self, tacacs_source_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param tacacs_source_ip: Configure the source ip to be used for Tacacs+
		:type tacacs_source_ip: (unicode)
		
		.. note::
			* enum - [u'chassis-ip', u'mm-ip']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.tacacs_server', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.tacacs_server', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.tacacs_server', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tacacs_source_ip=tacacs_source_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def telnet_client_source_interface_update(self, interface_type=None, interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param interface_type: The type of the interface.
		:type interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u've', u'loopback']

		:param interface_name: The Interface value.
		:type interface_name: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.telnet_sa.telnet.client.source_interface', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, interface_type=interface_type, interface_name=interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def telnet_server_shutdown_update(self, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param shutdown: Shutdown Telnet Server
		:type shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.telnet_sa.telnet.server', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.telnet_sa.telnet.server', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def telnet_server_standby_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable Standby Telnet
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.telnet_sa.telnet.server.standby', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.telnet_sa.telnet.server.standby', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.standby', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.standby', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def telnet_server_standby_enable_update(self, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param enable: Enable Standby Telnet
		:type enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.telnet_sa.telnet.server.standby', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.telnet_sa.telnet.server.standby', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.standby', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.standby', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def telnet_server_use_vrf_update(self, use_vrf=None, telnet_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param use_vrf: kwarg tuple.
		:type use_vrf: (use_vrf_name, telnet_vrf_shutdown).

		:param use_vrf_name: tuple arg.
		:type use_vrf_name: (unicode)
		
		.. note::
			* length - [u'0 .. max']

		:param telnet_vrf_shutdown: Shutdown telnet server on given vrf
		:type telnet_vrf_shutdown: (YANGBool)

	**This Instance Arg(s)**:
		:param telnet_vrf_shutdown: Shutdown telnet server on given vrf
		:type telnet_vrf_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2b.brocade_sec_services', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1a.brocade_sec_services', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, use_vrf=use_vrf, telnet_vrf_shutdown=telnet_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_buffer_update(self, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param poll: NUMBER:10-3600 Polling interval
		:type poll: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry: NUMBER:1-100 Number of retries
		:type retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param limit: PERCENT:0-80 Percent threshold usage for component:Buffer
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param actions: Action to be taken when usage exceeds limit
		:type actions: (unicode)
		
		.. note::
			* enum - [u'loginfo', u'none', u'raslog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, actions'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, poll=poll, retry=retry, limit=limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_buffer_actions_update(self, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param poll: NUMBER:10-3600 Polling interval
		:type poll: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry: NUMBER:1-100 Number of retries
		:type retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param limit: PERCENT:0-80 Percent threshold usage for component:Buffer
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param actions: Action to be taken when usage exceeds limit
		:type actions: (unicode)
		
		.. note::
			* enum - [u'loginfo', u'none', u'raslog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Buffer', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, poll=poll, retry=retry, limit=limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_cpu_update(self, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param poll: NUMBER:10-3600 Polling interval
		:type poll: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry: NUMBER:1-100 Number of retries
		:type retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param limit: PERCENT:0-80 Percent threshold usage for component:CPU
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param actions: Action to be taken when usage exceeds limit
		:type actions: (unicode)
		
		.. note::
			* enum - [u'none', u'raslog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, actions'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, poll=poll, retry=retry, limit=limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_cpu_actions_update(self, poll=None, retry=None, limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param poll: NUMBER:10-3600 Polling interval
		:type poll: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry: NUMBER:1-100 Number of retries
		:type retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param limit: PERCENT:0-80 Percent threshold usage for component:CPU
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param actions: Action to be taken when usage exceeds limit
		:type actions: (unicode)
		
		.. note::
			* enum - [u'none', u'raslog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Cpu', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, poll=poll, retry=retry, limit=limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_update(self, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param apply: Apply configuration
		:type apply: (unicode)

		:param pause: Pause monitoring
		:type pause: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_apply_update(self, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param apply: Apply configuration
		:type apply: (unicode)

		:param pause: Pause monitoring
		:type pause: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_alert_above_update(self, policy=None, area=None, above_highthresh_action=None, above_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: Interface types that can be configured independent of speed
		:type type: (unicode)
		
		.. note::
			* enum - [u'Ethernet']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

	**This Instance Arg(s)**:
		:param above_highthresh_action: kwarg.
		:type above_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'raslog', u'none', u'all', u'fence', u'email']

		:param above_lowthresh_action: kwarg.
		:type above_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, above_highthresh_action=above_highthresh_action, above_lowthresh_action=above_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_alert_above_highthresh_action_update(self, policy=None, area=None, above_highthresh_action=None, above_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: Interface types that can be configured independent of speed
		:type type: (unicode)
		
		.. note::
			* enum - [u'Ethernet']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

	**This Instance Arg(s)**:
		:param above_highthresh_action: kwarg.
		:type above_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'raslog', u'none', u'all', u'fence', u'email']

		:param above_lowthresh_action: kwarg.
		:type above_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, above_highthresh_action=above_highthresh_action, above_lowthresh_action=above_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_alert_below_update(self, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: Interface types that can be configured independent of speed
		:type type: (unicode)
		
		.. note::
			* enum - [u'Ethernet']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

	**This Instance Arg(s)**:
		:param below_highthresh_action: kwarg.
		:type below_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param below_lowthresh_action: kwarg.
		:type below_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_alert_below_highthresh_action_update(self, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: Interface types that can be configured independent of speed
		:type type: (unicode)
		
		.. note::
			* enum - [u'Ethernet']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

	**This Instance Arg(s)**:
		:param below_highthresh_action: kwarg.
		:type below_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param below_lowthresh_action: kwarg.
		:type below_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_threshold_update(self, policy=None, area=None, timebase_value=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: Interface types that can be configured independent of speed
		:type type: (unicode)
		
		.. note::
			* enum - [u'Ethernet']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

	**This Instance Arg(s)**:
		:param timebase_value: Configure timebase for monitoring
		:type timebase_value: (unicode)
		
		.. note::
			* enum - [u'none', u'minute', u'hour', u'day']

		:param high_threshold: High threshold value
		:type high_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param low_threshold: Low threshold value
		:type low_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param buffer: Buffer threshold value
		:type buffer: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'timebase_value, high_threshold, low_threshold, buffer'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, timebase_value=timebase_value, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_threshold_buffer_update(self, policy=None, area=None, timebase_value=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: Interface types that can be configured independent of speed
		:type type: (unicode)
		
		.. note::
			* enum - [u'Ethernet']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'MissingTerminationCharacter', u'CRCAlignErrors', u'IFG', u'SymbolErrors']

	**This Instance Arg(s)**:
		:param timebase_value: Configure timebase for monitoring
		:type timebase_value: (unicode)
		
		.. note::
			* enum - [u'none', u'minute', u'hour', u'day']

		:param high_threshold: High threshold value
		:type high_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param low_threshold: Low threshold value
		:type low_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param buffer: Buffer threshold value
		:type buffer: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, timebase_value=timebase_value, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_memory_update(self, poll=None, retry=None, limit=None, high_limit=None, low_limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param poll: Polling interval
		:type poll: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry: NUMBER:0-100: Number of retries for component:MEMORY
		:type retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param limit: PERCENT:0-80 : Percent threshold usage for component:MEMORY
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param high_limit: PERCENT:0-80 : Percent high threshold usage for component:MEMORY
		:type high_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param low_limit: PERCENT:0-80 : Percent low threshold usage for component:MEMORY
		:type low_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param actions: Action to be taken when usage exceeds limit
		:type actions: (unicode)
		
		.. note::
			* enum - [u'none', u'raslog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'poll, retry, limit, high_limit, low_limit, actions'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, poll=poll, retry=retry, limit=limit, high_limit=high_limit, low_limit=low_limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_memory_actions_update(self, poll=None, retry=None, limit=None, high_limit=None, low_limit=None, actions=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param poll: Polling interval
		:type poll: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param retry: NUMBER:0-100: Number of retries for component:MEMORY
		:type retry: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param limit: PERCENT:0-80 : Percent threshold usage for component:MEMORY
		:type limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param high_limit: PERCENT:0-80 : Percent high threshold usage for component:MEMORY
		:type high_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param low_limit: PERCENT:0-80 : Percent low threshold usage for component:MEMORY
		:type low_limit: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param actions: Action to be taken when usage exceeds limit
		:type actions: (unicode)
		
		.. note::
			* enum - [u'none', u'raslog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.Memory', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, poll=poll, retry=retry, limit=limit, high_limit=high_limit, low_limit=low_limit, actions=actions)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_update(self, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param apply: Apply configuration
		:type apply: (unicode)

		:param pause: Pause monitoring
		:type pause: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_apply_update(self, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param apply: Apply configuration
		:type apply: (unicode)

		:param pause: Pause monitoring
		:type pause: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_update(self, policy=None, area=None, timebase=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

	**This Instance Keyword Arg Tuple**:
		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param timebase: Configure timebase for monitoring
		:type timebase: (unicode)
		
		.. note::
			* enum - [u'none', u'minute', u'hour', u'day']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, timebase=timebase)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_alert_above_update(self, policy=None, area=None, sec_above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param sec_above_highthresh_action: kwarg.
		:type sec_above_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_alert_above_highthresh_action_update(self, policy=None, area=None, sec_above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param sec_above_highthresh_action: kwarg.
		:type sec_above_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, sec_above_highthresh_action=sec_above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_alert_below_update(self, policy=None, area=None, sec_below_highthresh_action=None, sec_below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param sec_below_highthresh_action: kwarg.
		:type sec_below_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param sec_below_lowthresh_action: kwarg.
		:type sec_below_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action, sec_below_lowthresh_action=sec_below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_alert_below_highthresh_action_update(self, policy=None, area=None, sec_below_highthresh_action=None, sec_below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param sec_below_highthresh_action: kwarg.
		:type sec_below_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param sec_below_lowthresh_action: kwarg.
		:type sec_below_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, sec_below_highthresh_action=sec_below_highthresh_action, sec_below_lowthresh_action=sec_below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_threshold_update(self, policy=None, area=None, sec_high_threshold=None, sec_low_threshold=None, sec_buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param sec_high_threshold: High threshold value
		:type sec_high_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param sec_low_threshold: Low threshold value
		:type sec_low_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param sec_buffer: Buffer threshold value
		:type sec_buffer: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'sec_high_threshold, sec_low_threshold, sec_buffer'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, sec_high_threshold=sec_high_threshold, sec_low_threshold=sec_low_threshold, sec_buffer=sec_buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_threshold_buffer_update(self, policy=None, area=None, sec_high_threshold=None, sec_low_threshold=None, sec_buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (sec_policy_name).

		:param sec_policy_name: tuple arg.
		:type sec_policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (sec_area_value).

		:param sec_area_value: Security Areas
		:type sec_area_value: (unicode)
		
		.. note::
			* enum - [u'telnet-violation', u'login-violation']

	**This Instance Arg(s)**:
		:param sec_high_threshold: High threshold value
		:type sec_high_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param sec_low_threshold: Low threshold value
		:type sec_low_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param sec_buffer: Buffer threshold value
		:type sec_buffer: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, sec_high_threshold=sec_high_threshold, sec_low_threshold=sec_low_threshold, sec_buffer=sec_buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_update(self, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param apply: Apply configuration
		:type apply: (unicode)

		:param pause: Pause monitoring
		:type pause: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_apply_update(self, apply=None, pause=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param apply: Apply configuration
		:type apply: (unicode)

		:param pause: Pause monitoring
		:type pause: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, apply=apply, pause=pause)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_alert_above_update(self, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: SFP types that can be configured
		:type type: (unicode)
		
		.. note::
			* enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

	**This Instance Arg(s)**:
		:param above_highthresh_action: kwarg.
		:type above_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_alert_above_highthresh_action_update(self, policy=None, area=None, above_highthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: SFP types that can be configured
		:type type: (unicode)
		
		.. note::
			* enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

	**This Instance Arg(s)**:
		:param above_highthresh_action: kwarg.
		:type above_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.above', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, above_highthresh_action=above_highthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_alert_below_update(self, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: SFP types that can be configured
		:type type: (unicode)
		
		.. note::
			* enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

	**This Instance Arg(s)**:
		:param below_highthresh_action: kwarg.
		:type below_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param below_lowthresh_action: kwarg.
		:type below_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_alert_below_highthresh_action_update(self, policy=None, area=None, below_highthresh_action=None, below_lowthresh_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: SFP types that can be configured
		:type type: (unicode)
		
		.. note::
			* enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

	**This Instance Arg(s)**:
		:param below_highthresh_action: kwarg.
		:type below_highthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param below_lowthresh_action: kwarg.
		:type below_lowthresh_action: (unicode)
		
		.. note::
			* enum - [u'none', u'all', u'raslog', u'email']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.alert.below', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, below_highthresh_action=below_highthresh_action, below_lowthresh_action=below_lowthresh_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_threshold_update(self, policy=None, area=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: SFP types that can be configured
		:type type: (unicode)
		
		.. note::
			* enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

	**This Instance Arg(s)**:
		:param high_threshold: High threshold value
		:type high_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param low_threshold: Low threshold value
		:type low_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param buffer: Buffer threshold value
		:type buffer: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'high_threshold, low_threshold, buffer'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_threshold_buffer_update(self, policy=None, area=None, high_threshold=None, low_threshold=None, buffer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param policy: kwarg tuple.
		:type policy: (policy_name).

		:param policy_name: tuple arg.
		:type policy_name: (unicode)

		:param area: kwarg tuple.
		:type area: (type, area_value).

		:param type: SFP types that can be configured
		:type type: (unicode)
		
		.. note::
			* enum - [u'10GLR', u'1GLR', u'100GSR', u'10GUSR', u'1GSR', u'10GSR', u'QSFP']

		:param area_value: tuple arg.
		:type area_value: (unicode)
		
		.. note::
			* enum - [u'Current', u'RXP', u'TXP', u'Voltage', u'Temperature']

	**This Instance Arg(s)**:
		:param high_threshold: High threshold value
		:type high_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param low_threshold: Low threshold value
		:type low_threshold: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param buffer: Buffer threshold value
		:type buffer: (long)
		
		.. note::
			* range - ['-2147483648..2147483647']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v6_0_2b.brocade_threshold_monitor', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_0_1a.brocade_threshold_monitor', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area.threshold', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'type, area_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, policy=policy, area=area, high_threshold=high_threshold, low_threshold=low_threshold, buffer=buffer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def tm_state_non_empty_voq_update(self, non_empty_voq=None, voq_id=None, voq_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param non_empty_voq: kwarg tuple.
		:type non_empty_voq: (slot_port).

		:param slot_port: tuple arg.
		:type slot_port: (unicode)

	**This Instance Arg(s)**:
		:param voq_id: kwarg.
		:type voq_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param voq_size: kwarg.
		:type voq_size: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.non_empty_voq', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'non_empty_voq', 'keyval': 'slot_port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, non_empty_voq=non_empty_voq, voq_id=voq_id, voq_size=voq_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def tm_state_tm_max_buff_util_data_update(self, tm_max_buff_util_data=None, max_buff_size=None, max_buff_util=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param tm_max_buff_util_data: kwarg tuple.
		:type tm_max_buff_util_data: (slot, tower).

		:param slot: tuple arg.
		:type slot: (int)
		
		.. note::
			* range - ['0..65535']

		:param tower: tuple arg.
		:type tower: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param max_buff_size: kwarg.
		:type max_buff_size: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param max_buff_util: kwarg.
		:type max_buff_util: (int)
		
		.. note::
			* range - ['0..65535']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_max_buff_util_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_max_buff_util_data', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_max_buff_util_data=tm_max_buff_util_data, max_buff_size=max_buff_size, max_buff_util=max_buff_util)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_discard_pkt_data_update(self, tm_top_discard_pkt_data=None, dest_port=None, priority=None, queue=None, discardpkt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param tm_top_discard_pkt_data: kwarg tuple.
		:type tm_top_discard_pkt_data: (slot, tower, id).

		:param slot: tuple arg.
		:type slot: (int)
		
		.. note::
			* range - ['0..65535']

		:param tower: tuple arg.
		:type tower: (int)
		
		.. note::
			* range - ['0..65535']

		:param id: tuple arg.
		:type id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param dest_port: kwarg.
		:type dest_port: (unicode)

		:param priority: kwarg.
		:type priority: (int)
		
		.. note::
			* range - ['0..65535']

		:param queue: kwarg.
		:type queue: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param discardpkt: kwarg.
		:type discardpkt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_discard_pkt_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_top_discard_pkt_data=tm_top_discard_pkt_data, dest_port=dest_port, priority=priority, queue=queue, discardpkt=discardpkt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_max_queue_depth_data_update(self, tm_top_max_queue_depth_data=None, dest_port=None, priority=None, queue=None, max_queue_depth=None, min_threshold=None, max_utilization=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param tm_top_max_queue_depth_data: kwarg tuple.
		:type tm_top_max_queue_depth_data: (slot, tower, id).

		:param slot: tuple arg.
		:type slot: (int)
		
		.. note::
			* range - ['0..65535']

		:param tower: tuple arg.
		:type tower: (int)
		
		.. note::
			* range - ['0..65535']

		:param id: tuple arg.
		:type id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param dest_port: kwarg.
		:type dest_port: (unicode)

		:param priority: kwarg.
		:type priority: (int)
		
		.. note::
			* range - ['0..65535']

		:param queue: kwarg.
		:type queue: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_queue_depth: kwarg.
		:type max_queue_depth: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param min_threshold: kwarg.
		:type min_threshold: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param max_utilization: kwarg.
		:type max_utilization: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_max_queue_depth_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, dest_port=dest_port, priority=priority, queue=queue, max_queue_depth=max_queue_depth, min_threshold=min_threshold, max_utilization=max_utilization)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslot_update(self, tmcpustatsslot=None, enquepkt=None, enqueubytes=None, discardpkt=None, discardbytes=None, currdepth=None, maxdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param tmcpustatsslot: kwarg tuple.
		:type tmcpustatsslot: (slot_id, cpugroup_id).

		:param slot_id: tuple arg.
		:type slot_id: (int)
		
		.. note::
			* range - ['0..65535']

		:param cpugroup_id: tuple arg.
		:type cpugroup_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param enquepkt: kwarg.
		:type enquepkt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param enqueubytes: kwarg.
		:type enqueubytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param discardpkt: kwarg.
		:type discardpkt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param discardbytes: kwarg.
		:type discardbytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param currdepth: kwarg.
		:type currdepth: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param maxdepth: kwarg.
		:type maxdepth: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslot', 'keyval': 'slot_id, cpugroup_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmcpustatsslot=tmcpustatsslot, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslotallgrp_update(self, tmcpustatsslotallgrp=None, enquepkt=None, enqueubytes=None, discardpkt=None, discardbytes=None, currdepth=None, maxdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param tmcpustatsslotallgrp: kwarg tuple.
		:type tmcpustatsslotallgrp: (slot_id).

		:param slot_id: tuple arg.
		:type slot_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param enquepkt: kwarg.
		:type enquepkt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param enqueubytes: kwarg.
		:type enqueubytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param discardpkt: kwarg.
		:type discardpkt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param discardbytes: kwarg.
		:type discardbytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param currdepth: kwarg.
		:type currdepth: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param maxdepth: kwarg.
		:type maxdepth: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslotallgrp', 'keyval': 'slot_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmcpustatsslotallgrp=tmcpustatsslotallgrp, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_update(self, tmdevicestataggr=None, ingress_total_pkt_cnt_aggr=None, enque_pkt_cnt_aggr=None, deque_pkt_cnt_aggr=None, total_discard_pkt_cnt_aggr=None, deleted_pkt_cnt_aggr=None, invalid_queue_pkt_aggr=None, cpu_pkt_cnt_aggr=None, uni_pkt_cnt_aggr=None, mcast_pkt_cnt_aggr=None, uni_discard_pkt_cnt_aggr=None, mcast_discard_pkt_cnt_aggr=None, fqp_pkt_cnt_aggr=None, ehp_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param tmdevicestataggr: kwarg tuple.
		:type tmdevicestataggr: (slot, tower).

		:param slot: tuple arg.
		:type slot: (int)
		
		.. note::
			* range - ['0..65535']

		:param tower: tuple arg.
		:type tower: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param ingress_total_pkt_cnt_aggr: kwarg.
		:type ingress_total_pkt_cnt_aggr: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param enque_pkt_cnt_aggr: kwarg.
		:type enque_pkt_cnt_aggr: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param deque_pkt_cnt_aggr: kwarg.
		:type deque_pkt_cnt_aggr: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param total_discard_pkt_cnt_aggr: kwarg.
		:type total_discard_pkt_cnt_aggr: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param deleted_pkt_cnt_aggr: kwarg.
		:type deleted_pkt_cnt_aggr: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param invalid_queue_pkt_aggr: kwarg.
		:type invalid_queue_pkt_aggr: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param cpu_pkt_cnt_aggr: kwarg.
		:type cpu_pkt_cnt_aggr: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param uni_pkt_cnt_aggr: kwarg.
		:type uni_pkt_cnt_aggr: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param mcast_pkt_cnt_aggr: kwarg.
		:type mcast_pkt_cnt_aggr: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param uni_discard_pkt_cnt_aggr: kwarg.
		:type uni_discard_pkt_cnt_aggr: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param mcast_discard_pkt_cnt_aggr: kwarg.
		:type mcast_discard_pkt_cnt_aggr: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param fqp_pkt_cnt_aggr: kwarg.
		:type fqp_pkt_cnt_aggr: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param ehp_discard_cnt_aggr: kwarg.
		:type ehp_discard_cnt_aggr: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmdevicestataggr=tmdevicestataggr, ingress_total_pkt_cnt_aggr=ingress_total_pkt_cnt_aggr, enque_pkt_cnt_aggr=enque_pkt_cnt_aggr, deque_pkt_cnt_aggr=deque_pkt_cnt_aggr, total_discard_pkt_cnt_aggr=total_discard_pkt_cnt_aggr, deleted_pkt_cnt_aggr=deleted_pkt_cnt_aggr, invalid_queue_pkt_aggr=invalid_queue_pkt_aggr, cpu_pkt_cnt_aggr=cpu_pkt_cnt_aggr, uni_pkt_cnt_aggr=uni_pkt_cnt_aggr, mcast_pkt_cnt_aggr=mcast_pkt_cnt_aggr, uni_discard_pkt_cnt_aggr=uni_discard_pkt_cnt_aggr, mcast_discard_pkt_cnt_aggr=mcast_discard_pkt_cnt_aggr, fqp_pkt_cnt_aggr=fqp_pkt_cnt_aggr, ehp_discard_cnt_aggr=ehp_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def tm_state_tmvoqstatistics_update(self, tmvoqstatistics=None, priority=None, enquepkt=None, enqueubytes=None, discardpkt=None, discardbytes=None, currdepth=None, maxdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param tmvoqstatistics: kwarg tuple.
		:type tmvoqstatistics: (ing_slot, ing_tower, egr_voqid).

		:param ing_slot: tuple arg.
		:type ing_slot: (int)
		
		.. note::
			* range - ['0..65535']

		:param ing_tower: tuple arg.
		:type ing_tower: (int)
		
		.. note::
			* range - ['0..65535']

		:param egr_voqid: tuple arg.
		:type egr_voqid: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param priority: kwarg.
		:type priority: (int)
		
		.. note::
			* range - ['0..65535']

		:param enquepkt: kwarg.
		:type enquepkt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param enqueubytes: kwarg.
		:type enqueubytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param discardpkt: kwarg.
		:type discardpkt: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param discardbytes: kwarg.
		:type discardbytes: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param currdepth: kwarg.
		:type currdepth: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param maxdepth: kwarg.
		:type maxdepth: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, tmvoqstatistics=tmvoqstatistics, priority=priority, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def topology_group_update(self, topology_group=None, master_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param topology_group: kwarg tuple.
		:type topology_group: (topology_group_id).

		:param topology_group_id: tuple arg.
		:type topology_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param master_vlan: Select Master VLAN for this topology group
		:type master_vlan: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'topology_group', 'keyval': 'topology_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group=topology_group, master_vlan=master_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def topology_group_member_bridge_domain_update(self, topology_group=None, member_bridge_domain_add=None, member_bridge_domain_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param topology_group: kwarg tuple.
		:type topology_group: (topology_group_id).

		:param topology_group_id: tuple arg.
		:type topology_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param member_bridge_domain_add: Add the Member Bridge Domain range to this topology group
		:type member_bridge_domain_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?)?)*

		:param member_bridge_domain_remove: Remove the Member Bridge Domain range from this topology group
		:type member_bridge_domain_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group=topology_group, member_bridge_domain_add=member_bridge_domain_add, member_bridge_domain_remove=member_bridge_domain_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def topology_group_member_bridge_domain_add_update(self, topology_group=None, member_bridge_domain_add=None, member_bridge_domain_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param topology_group: kwarg tuple.
		:type topology_group: (topology_group_id).

		:param topology_group_id: tuple arg.
		:type topology_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param member_bridge_domain_add: Add the Member Bridge Domain range to this topology group
		:type member_bridge_domain_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?)?)*

		:param member_bridge_domain_remove: Remove the Member Bridge Domain range from this topology group
		:type member_bridge_domain_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - (([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-6])))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group=topology_group, member_bridge_domain_add=member_bridge_domain_add, member_bridge_domain_remove=member_bridge_domain_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def topology_group_member_vlan_update(self, topology_group=None, member_vlan_add=None, member_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param topology_group: kwarg tuple.
		:type topology_group: (topology_group_id).

		:param topology_group_id: tuple arg.
		:type topology_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param member_vlan_add: Add the Member VLAN range to this topology group
		:type member_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - ((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param member_vlan_remove: Remove the Member VLAN range from this topology group
		:type member_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - ((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group=topology_group, member_vlan_add=member_vlan_add, member_vlan_remove=member_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def topology_group_member_vlan_add_update(self, topology_group=None, member_vlan_add=None, member_vlan_remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param topology_group: kwarg tuple.
		:type topology_group: (topology_group_id).

		:param topology_group_id: tuple arg.
		:type topology_group_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param member_vlan_add: Add the Member VLAN range to this topology group
		:type member_vlan_add: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - ((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param member_vlan_remove: Remove the Member VLAN range from this topology group
		:type member_vlan_remove: (unicode)
		
		.. note::
			* length - [u'1..253']
			* pattern - ((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?((,((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)?)*

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group', 'topology_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group=topology_group, member_vlan_add=member_vlan_add, member_vlan_remove=member_vlan_remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_update(self, topology_group_data=None, l2_protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param topology_group_data: kwarg tuple.
		:type topology_group_data: (topology_group_id).

		:param topology_group_id: tuple arg.
		:type topology_group_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param l2_protocol: kwarg.
		:type l2_protocol: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'topology_group_data', 'keyval': 'topology_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, l2_protocol=l2_protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_master_vlan_update(self, topology_group_data=None, vlan_id=None, control_ports=None, free_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param topology_group_data: kwarg tuple.
		:type topology_group_data: (topology_group_id).

		:param topology_group_id: tuple arg.
		:type topology_group_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param vlan_id: kwarg.
		:type vlan_id: (int)
		
		.. note::
			* range - ['0..65535']

		:param control_ports: kwarg.
		:type control_ports: (unicode)

		:param free_ports: kwarg.
		:type free_ports: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.master_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, vlan_id=vlan_id, control_ports=control_ports, free_ports=free_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_master_vlan_control_ports_update(self, topology_group_data=None, vlan_id=None, control_ports=None, free_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param topology_group_data: kwarg tuple.
		:type topology_group_data: (topology_group_id).

		:param topology_group_id: tuple arg.
		:type topology_group_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param vlan_id: kwarg.
		:type vlan_id: (int)
		
		.. note::
			* range - ['0..65535']

		:param control_ports: kwarg.
		:type control_ports: (unicode)

		:param free_ports: kwarg.
		:type free_ports: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.master_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, vlan_id=vlan_id, control_ports=control_ports, free_ports=free_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_member_bd_update(self, topology_group_data=None, member_bd=None, free_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param topology_group_data: kwarg tuple.
		:type topology_group_data: (topology_group_id).

		:param topology_group_id: tuple arg.
		:type topology_group_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Keyword Arg Tuple**:
		:param member_bd: kwarg tuple.
		:type member_bd: (bd_id).

		:param bd_id: tuple arg.
		:type bd_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param free_ports: kwarg.
		:type free_ports: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_bd', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_bd', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, member_bd=member_bd, free_ports=free_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_member_vlan_update(self, topology_group_data=None, member_vlan=None, free_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param topology_group_data: kwarg tuple.
		:type topology_group_data: (topology_group_id).

		:param topology_group_id: tuple arg.
		:type topology_group_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Keyword Arg Tuple**:
		:param member_vlan: kwarg tuple.
		:type member_vlan: (vlan_id).

		:param vlan_id: tuple arg.
		:type vlan_id: (int)
		
		.. note::
			* range - ['0..65535']

	**This Instance Arg(s)**:
		:param free_ports: kwarg.
		:type free_ports: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_vlan', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, topology_group_data=topology_group_data, member_vlan=member_vlan, free_ports=free_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def traffic_class_exp_state_qos_mpls_update(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param qos_mpls: kwarg tuple.
		:type qos_mpls: (map_name).

		:param map_name: tuple arg.
		:type map_name: (unicode)

	**This Instance Arg(s)**:
		:param map_type: kwarg.
		:type map_type: (unicode)

		:param enabled_slots: kwarg.
		:type enabled_slots: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_class_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def traffic_state_update(self, l1_hello_rx=None, l1_hello_tx=None, l2_hello_rx=None, l2_hello_tx=None, pp_hello_rx=None, pp_hello_tx=None, l1_lsp_rx=None, l1_lsp_tx=None, l2_lsp_rx=None, l2_lsp_tx=None, l1_csnp_rx=None, l1_csnp_tx=None, l2_csnp_rx=None, l2_csnp_tx=None, l1_psnp_rx=None, l1_psnp_tx=None, l2_psnp_rx=None, l2_psnp_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param l1_hello_rx: kwarg.
		:type l1_hello_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_hello_tx: kwarg.
		:type l1_hello_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_hello_rx: kwarg.
		:type l2_hello_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_hello_tx: kwarg.
		:type l2_hello_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pp_hello_rx: kwarg.
		:type pp_hello_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pp_hello_tx: kwarg.
		:type pp_hello_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_lsp_rx: kwarg.
		:type l1_lsp_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_lsp_tx: kwarg.
		:type l1_lsp_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_lsp_rx: kwarg.
		:type l2_lsp_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_lsp_tx: kwarg.
		:type l2_lsp_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_csnp_rx: kwarg.
		:type l1_csnp_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_csnp_tx: kwarg.
		:type l1_csnp_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_csnp_rx: kwarg.
		:type l2_csnp_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_csnp_tx: kwarg.
		:type l2_csnp_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_psnp_rx: kwarg.
		:type l1_psnp_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_psnp_tx: kwarg.
		:type l1_psnp_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_psnp_rx: kwarg.
		:type l2_psnp_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_psnp_tx: kwarg.
		:type l2_psnp_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, l1_hello_rx=l1_hello_rx, l1_hello_tx=l1_hello_tx, l2_hello_rx=l2_hello_rx, l2_hello_tx=l2_hello_tx, pp_hello_rx=pp_hello_rx, pp_hello_tx=pp_hello_tx, l1_lsp_rx=l1_lsp_rx, l1_lsp_tx=l1_lsp_tx, l2_lsp_rx=l2_lsp_rx, l2_lsp_tx=l2_lsp_tx, l1_csnp_rx=l1_csnp_rx, l1_csnp_tx=l1_csnp_tx, l2_csnp_rx=l2_csnp_rx, l2_csnp_tx=l2_csnp_tx, l1_psnp_rx=l1_psnp_rx, l1_psnp_tx=l1_psnp_tx, l2_psnp_rx=l2_psnp_rx, l2_psnp_tx=l2_psnp_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def traffic_state_l1_csnp_rx_update(self, l1_hello_rx=None, l1_hello_tx=None, l2_hello_rx=None, l2_hello_tx=None, pp_hello_rx=None, pp_hello_tx=None, l1_lsp_rx=None, l1_lsp_tx=None, l2_lsp_rx=None, l2_lsp_tx=None, l1_csnp_rx=None, l1_csnp_tx=None, l2_csnp_rx=None, l2_csnp_tx=None, l1_psnp_rx=None, l1_psnp_tx=None, l2_psnp_rx=None, l2_psnp_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param l1_hello_rx: kwarg.
		:type l1_hello_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_hello_tx: kwarg.
		:type l1_hello_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_hello_rx: kwarg.
		:type l2_hello_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_hello_tx: kwarg.
		:type l2_hello_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pp_hello_rx: kwarg.
		:type pp_hello_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param pp_hello_tx: kwarg.
		:type pp_hello_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_lsp_rx: kwarg.
		:type l1_lsp_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_lsp_tx: kwarg.
		:type l1_lsp_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_lsp_rx: kwarg.
		:type l2_lsp_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_lsp_tx: kwarg.
		:type l2_lsp_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_csnp_rx: kwarg.
		:type l1_csnp_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_csnp_tx: kwarg.
		:type l1_csnp_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_csnp_rx: kwarg.
		:type l2_csnp_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_csnp_tx: kwarg.
		:type l2_csnp_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_psnp_rx: kwarg.
		:type l1_psnp_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l1_psnp_tx: kwarg.
		:type l1_psnp_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_psnp_rx: kwarg.
		:type l2_psnp_rx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param l2_psnp_tx: kwarg.
		:type l2_psnp_tx: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, l1_hello_rx=l1_hello_rx, l1_hello_tx=l1_hello_tx, l2_hello_rx=l2_hello_rx, l2_hello_tx=l2_hello_tx, pp_hello_rx=pp_hello_rx, pp_hello_tx=pp_hello_tx, l1_lsp_rx=l1_lsp_rx, l1_lsp_tx=l1_lsp_tx, l2_lsp_rx=l2_lsp_rx, l2_lsp_tx=l2_lsp_tx, l1_csnp_rx=l1_csnp_rx, l1_csnp_tx=l1_csnp_tx, l2_csnp_rx=l2_csnp_rx, l2_csnp_tx=l2_csnp_tx, l1_psnp_rx=l1_psnp_rx, l1_psnp_tx=l1_psnp_tx, l2_psnp_rx=l2_psnp_rx, l2_psnp_tx=l2_psnp_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def urpf_exclude_default_update(self, urpf_exclude_default=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param urpf_exclude_default: Discard packets with source IP matching default route
		:type urpf_exclude_default: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.rpf_config', 'pybind.slxos.v16r_1_00b.brocade_rpf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, urpf_exclude_default=urpf_exclude_default)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def username_update(self, username=None, user_password=None, encryption_level=None, role=None, desc=None, enable=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param username: kwarg tuple.
		:type username: (name, user_password, encryption_level, role, desc, enable, expire).

		:param name: tuple arg.
		:type name: (unicode)
		
		.. note::
			* length - [u'1 .. 40']

		:param user_password: Password of the user
		:type user_password: (unicode)
		
		.. note::
			* length - [u'1..40']

		:param encryption_level: Level of encryption of the password
(default=0)
		:type encryption_level: (unicode)
		
		.. note::
			* enum - [u'0', u'7']

		:param role: Role of the user
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

		:param desc: Description of the user (default='')
		:type desc: (unicode)
		
		.. note::
			* length - [u'0 .. 64']

		:param enable: Represents whether the user account is enabled
(default=true)
		:type enable: (YANGBool)

		:param expire: Date until when the password will remain valid after being updated
(default=never)
		:type expire: (unicode)
		
		.. note::
			* length - [u'0 .. 10']
			* pattern - ((19(0[2-9]|[1-9][0-9])|20([012][0-9]|3[0-7]))-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01]))|never

	**This Instance Arg(s)**:
		:param user_password: Password of the user
		:type user_password: (unicode)
		
		.. note::
			* length - [u'1..40']

		:param encryption_level: Level of encryption of the password
(default=0)
		:type encryption_level: (unicode)
		
		.. note::
			* enum - [u'0', u'7']

		:param role: Role of the user
		:type role: (unicode)
		
		.. note::
			* length - [u'4 .. 32']

		:param desc: Description of the user (default='')
		:type desc: (unicode)
		
		.. note::
			* length - [u'0 .. 64']

		:param enable: Represents whether the user account is enabled
(default=true)
		:type enable: (YANGBool)

		:param expire: Date until when the password will remain valid after being updated
(default=never)
		:type expire: (unicode)
		
		.. note::
			* length - [u'0 .. 10']
			* pattern - ((19(0[2-9]|[1-9][0-9])|20([012][0-9]|3[0-7]))-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01]))|never

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.username', 'pybind.nos.v6_0_2b.brocade_aaa', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.username', 'pybind.nos.v7_0_1a.brocade_aaa', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': 'name, user_password, encryption_level, role, desc, enable, expire, access_time, end_time'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, username=username, user_password=user_password, encryption_level=encryption_level, role=role, desc=desc, enable=enable, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_update(self, vc_peer_data=None, vc_peer_address=None, vc_peer_state=None, vc_peer_uptime=None, vc_peer_load_balance=None, vc_peer_cos_enabled=None, vc_peer_cos_value=None, vc_ldp_tnnl_in_use=None, vc_local_label=None, vc_remote_label=None, vc_local_mtu=None, vc_remote_mtu=None, vc_local_type=None, vc_remote_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param vc_peer_data: kwarg tuple.
		:type vc_peer_data: (vc_id).

		:param vc_id: tuple arg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vc_peer_address: kwarg.
		:type vc_peer_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param vc_peer_state: kwarg.
		:type vc_peer_state: (unicode)

		:param vc_peer_uptime: kwarg.
		:type vc_peer_uptime: (unicode)

		:param vc_peer_load_balance: kwarg.
		:type vc_peer_load_balance: (YANGBool)

		:param vc_peer_cos_enabled: kwarg.
		:type vc_peer_cos_enabled: (YANGBool)

		:param vc_peer_cos_value: kwarg.
		:type vc_peer_cos_value: (int)
		
		.. note::
			* range - ['0..255']

		:param vc_ldp_tnnl_in_use: kwarg.
		:type vc_ldp_tnnl_in_use: (unicode)

		:param vc_local_label: kwarg.
		:type vc_local_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_remote_label: kwarg.
		:type vc_remote_label: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_local_mtu: kwarg.
		:type vc_local_mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_remote_mtu: kwarg.
		:type vc_remote_mtu: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_local_type: kwarg.
		:type vc_local_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_remote_type: kwarg.
		:type vc_remote_type: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc_peer_data=vc_peer_data, vc_peer_address=vc_peer_address, vc_peer_state=vc_peer_state, vc_peer_uptime=vc_peer_uptime, vc_peer_load_balance=vc_peer_load_balance, vc_peer_cos_enabled=vc_peer_cos_enabled, vc_peer_cos_value=vc_peer_cos_value, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use, vc_local_label=vc_local_label, vc_remote_label=vc_remote_label, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_local_type=vc_local_type, vc_remote_type=vc_remote_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_proto_tnnl_update(self, vc_peer_data=None, vc_proto_tnnl=None, vc_ldp_tunnel_id=None, vc_ldp_name=None, vc_lsp_name=None, vc_peer_lsp_cos_enabled=None, vc_peer_lsp_cos_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vc_peer_data: kwarg tuple.
		:type vc_peer_data: (vc_id).

		:param vc_id: tuple arg.
		:type vc_id: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param vc_proto_tnnl: kwarg tuple.
		:type vc_proto_tnnl: (vc_proto_name).

		:param vc_proto_name: tuple arg.
		:type vc_proto_name: (unicode)

	**This Instance Arg(s)**:
		:param vc_ldp_tunnel_id: kwarg.
		:type vc_ldp_tunnel_id: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param vc_ldp_name: kwarg.
		:type vc_ldp_name: (unicode)

		:param vc_lsp_name: kwarg.
		:type vc_lsp_name: (unicode)

		:param vc_peer_lsp_cos_enabled: kwarg.
		:type vc_peer_lsp_cos_enabled: (YANGBool)

		:param vc_peer_lsp_cos_value: kwarg.
		:type vc_peer_lsp_cos_value: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id, vc_ldp_name=vc_ldp_name, vc_lsp_name=vc_lsp_name, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vcenter_update(self, vcenter=None, activate=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param vcenter: kwarg tuple.
		:type vcenter: (id).

		:param id: NAME;;vCenter name (Max Size - 32)
		:type id: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param activate: Activate the vCenter discovery
		:type activate: (YANGBool)

		:param interval: Discovery Timer Interval
		:type interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.vcenter', 'pybind.nos.v6_0_2b.brocade_vswitch', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcenter', 'pybind.nos.v7_0_1a.brocade_vswitch', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcenter', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'vcenter', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcenter=vcenter, activate=activate, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vcenter_discovery_ignore_delete_all_response_update(self, vcenter=None, ignore_value=None, always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vcenter: kwarg tuple.
		:type vcenter: (id).

		:param id: NAME;;vCenter name (Max Size - 32)
		:type id: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param ignore_value: kwarg.
		:type ignore_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param always: Always ignore delete-all from vCenter
		:type always: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.vcenter', 'vcenter'), ('pybind.nos.v7_1_0.vcenter', 'vcenter'), ('pybind.slxos.v16r_1_00b.vcenter', 'vcenter'), ('pybind.nos.v6_0_2b.vcenter', 'vcenter')]
    bindings_list = [('pybind.nos.v6_0_2b.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v6_0_2b.brocade_vswitch', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_0_1a.brocade_vswitch', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter.discovery.ignore_delete_all_response', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcenter=vcenter, ignore_value=ignore_value, always=always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vcenter_discovery_ignore_delete_all_response_always_update(self, vcenter=None, ignore_value=None, always=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vcenter: kwarg tuple.
		:type vcenter: (id).

		:param id: NAME;;vCenter name (Max Size - 32)
		:type id: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param ignore_value: kwarg.
		:type ignore_value: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param always: Always ignore delete-all from vCenter
		:type always: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.vcenter', 'vcenter'), ('pybind.nos.v7_1_0.vcenter', 'vcenter'), ('pybind.slxos.v16r_1_00b.vcenter', 'vcenter'), ('pybind.nos.v6_0_2b.vcenter', 'vcenter')]
    bindings_list = [('pybind.nos.v6_0_2b.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v6_0_2b.brocade_vswitch', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_0_1a.brocade_vswitch', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcenter.discovery.ignore_delete_all_response', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter.discovery.ignore_delete_all_response', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcenter=vcenter, ignore_value=ignore_value, always=always)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vcenter_password_update(self, vcenter=None, url=None, username=None, password=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vcenter: kwarg tuple.
		:type vcenter: (id).

		:param id: NAME;;vCenter name (Max Size - 32)
		:type id: (unicode)
		
		.. note::
			* pattern - [a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_\[\]\|]{0,31})

	**This Instance Arg(s)**:
		:param url: URL
		:type url: (unicode)
		
		.. note::
			* length - [u'1 .. 64']
			* pattern - [h][t][t][p]([s]{0,1})[:][/][/]([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>=$_:\[\]\|]{1,57})

		:param username: User name
		:type username: (unicode)
		
		.. note::
			* length - [u'1 .. 255']

		:param password: Password
		:type password: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.vcenter', 'vcenter'), ('pybind.nos.v6_0_2b.vcenter', 'vcenter'), ('pybind.nos.v7_1_0.vcenter', 'vcenter'), ('pybind.nos.v7_0_1a.vcenter', 'vcenter')]
    bindings_list = [('pybind.nos.v6_0_2b.vcenter.credentials', 'pybind.nos.v6_0_2b.brocade_vswitch', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcenter.credentials', 'pybind.nos.v7_0_1a.brocade_vswitch', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcenter.credentials', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter.credentials', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcenter=vcenter, url=url, username=username, password=password)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vcs_auto_config_backup_update(self, timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**This Instance Arg(s)**:
		:param timer: Auto configuration backup timer interval
		:type timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.vcs.auto_config_backup', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timer=timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vcs_auto_config_backup_timer_update(self, timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.1.0    

	**This Instance Arg(s)**:
		:param timer: Auto configuration backup timer interval
		:type timer: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.vcs.auto_config_backup', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, timer=timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vcs_virtual_fabric_update(self, vfab_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param vfab_enable: Enable virtual fabric
		:type vfab_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual_fabric', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual_fabric', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual_fabric', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual_fabric', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vfab_enable=vfab_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vcs_virtual_fabric_enable_update(self, vfab_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param vfab_enable: Enable virtual fabric
		:type vfab_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual_fabric', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual_fabric', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual_fabric', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual_fabric', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vfab_enable=vfab_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vcs_virtual_ip_address_inband_interface_update(self, address=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param address: kwarg tuple.
		:type address: (address).

		:param address: Virtual IP address (IPv4 Address/Prefix)
		:type address: (unicode)
		
		.. note::
			* pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param ve: ve number
		:type ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.vcs.virtual.ip.address', u'address'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address', u'address'), ('pybind.nos.v7_0_1a.vcs.virtual.ip.address', u'address'), ('pybind.nos.v6_0_2b.vcs.virtual.ip.address', u'address')]
    bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address.inband.interface', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, address=address, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vcs_virtual_ip_address_inband_interface_ve_update(self, address=None, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param address: kwarg tuple.
		:type address: (address).

		:param address: Virtual IP address (IPv4 Address/Prefix)
		:type address: (unicode)
		
		.. note::
			* pattern - ((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?))/(([0-9])|([1-2][0-9])|(3[0-2]))

	**This Instance Arg(s)**:
		:param ve: ve number
		:type ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_1_0.vcs.virtual.ip.address', u'address'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address', u'address'), ('pybind.nos.v7_0_1a.vcs.virtual.ip.address', u'address'), ('pybind.nos.v6_0_2b.vcs.virtual.ip.address', u'address')]
    bindings_list = [('pybind.nos.v6_0_2b.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcs.virtual.ip.address.inband.interface', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address.inband.interface', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}, {'keyval': 'address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, address=address, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vcsmode_update(self, vcs_mode=None, vcs_cluster_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param vcs_mode: kwarg.
		:type vcs_mode: (YANGBool)

		:param vcs_cluster_mode: kwarg.
		:type vcs_cluster_mode: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.vcsmode', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcsmode', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcsmode', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcsmode', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcs_mode=vcs_mode, vcs_cluster_mode=vcs_cluster_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vcsmode_vcs_cluster_mode_update(self, vcs_mode=None, vcs_cluster_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param vcs_mode: kwarg.
		:type vcs_mode: (YANGBool)

		:param vcs_cluster_mode: kwarg.
		:type vcs_cluster_mode: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.vcsmode', 'pybind.nos.v6_0_2b.brocade_vcs', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vcsmode', 'pybind.nos.v7_0_1a.brocade_vcs', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vcsmode', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcsmode', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vcs_mode=vcs_mode, vcs_cluster_mode=vcs_cluster_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlag_commit_mode_update(self, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param disable: disable
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.vlag_commit_mode', 'pybind.nos.v7_0_1a.brocade_lacp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlag_commit_mode', 'pybind.nos.v7_1_0.brocade_lacp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlag_commit_mode_disable_update(self, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 7.0.1a, 7.1.0    

	**This Instance Arg(s)**:
		:param disable: disable
		:type disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1a.vlag_commit_mode', 'pybind.nos.v7_0_1a.brocade_lacp', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlag_commit_mode', 'pybind.nos.v7_1_0.brocade_lacp', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_update(self, vlan=None, transport_service=None, ifindex=None, description=None, vlan_name=None, remote_span=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param transport_service:  Set tlsid for Transparent vlan 
		:type transport_service: (int)
		
		.. note::
			* range - ['0..65535']

		:param ifindex: kwarg.
		:type ifindex: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param description: Interface specific description
		:type description: (unicode)
		
		.. note::
			* length - [u'1 .. 63']

		:param vlan_name: Alternative name for the VLAN
		:type vlan_name: (unicode)
		
		.. note::
			* length - [u'1 .. 32']

		:param remote_span: Configure the vlan as rspan vlan
		:type remote_span: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.interface_vlan.interface.vlan', 'pybind.nos.v6_0_2b.brocade_interface', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.interface_vlan.interface.vlan', 'pybind.nos.v7_0_1a.brocade_interface', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, transport_service=transport_service, ifindex=ifindex, description=description, vlan_name=vlan_name, remote_span=remote_span)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_classifier_rule_mac_update(self, rule=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (ruleid).

		:param ruleid: tuple arg.
		:type ruleid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param address: MAC address classification by source MAC address.Source mac address HHHH.HHHH.HHHH
		:type address: (unicode)
		
		.. note::
			* pattern - [0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v6_0_2b.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_0_1a.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_1_0.vlan.classifier.rule', u'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.vlan.classifier.rule.mac', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.classifier.rule.mac', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.classifier.rule.mac', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_classifier_rule_proto_update(self, rule=None, proto_val=None, encap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (ruleid).

		:param ruleid: tuple arg.
		:type ruleid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param proto_val: kwarg.
		:type proto_val: (unicode)
		
		.. note::
			* enum - [u'arp', u'ip', u'ipv6']

		:param encap: kwarg.
		:type encap: (unicode)
		
		.. note::
			* enum - [u'ethv2', u'snapllc', u'nosnapllc']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_1_0.vlan.classifier.rule', u'rule'), ('pybind.nos.v6_0_2b.vlan.classifier.rule', u'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.vlan.classifier.rule.proto', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.classifier.rule.proto', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.classifier.rule.proto', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'proto_val, encap'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, proto_val=proto_val, encap=encap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_classifier_rule_proto_encap_update(self, rule=None, proto_val=None, encap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param rule: kwarg tuple.
		:type rule: (ruleid).

		:param ruleid: tuple arg.
		:type ruleid: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param proto_val: kwarg.
		:type proto_val: (unicode)
		
		.. note::
			* enum - [u'arp', u'ip', u'ipv6']

		:param encap: kwarg.
		:type encap: (unicode)
		
		.. note::
			* enum - [u'ethv2', u'snapllc', u'nosnapllc']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.nos.v7_0_1a.vlan.classifier.rule', u'rule'), ('pybind.nos.v7_1_0.vlan.classifier.rule', u'rule'), ('pybind.nos.v6_0_2b.vlan.classifier.rule', u'rule')]
    bindings_list = [('pybind.nos.v6_0_2b.vlan.classifier.rule.proto', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.classifier.rule.proto', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.classifier.rule.proto', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}, {'keyval': 'ruleid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, rule=rule, proto_val=proto_val, encap=encap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_dot1q_tag_update(self, native=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param native: Enable tagged behavior for Native-VLANs
		:type native: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.vlan.dot1q.tag', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.dot1q.tag', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.dot1q.tag', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vlan.dot1q.tag', 'pybind.slxos.v16r_1_00b.brocade_vlan', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, native=native)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_dot1q_tag_native_update(self, native=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param native: Enable tagged behavior for Native-VLANs
		:type native: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.vlan.dot1q.tag', 'pybind.nos.v6_0_2b.brocade_vlan', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.vlan.dot1q.tag', 'pybind.nos.v7_0_1a.brocade_vlan', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.vlan.dot1q.tag', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vlan.dot1q.tag', 'pybind.slxos.v16r_1_00b.brocade_vlan', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, native=native)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ip_arp_inspection_update(self, vlan=None, trust=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param trust: Trusted Interface
		:type trust: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, trust=trust)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ip_arp_inspection_filter_update(self, vlan=None, acl_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param acl_name: kwarg.
		:type acl_name: (unicode)
		
		.. note::
			* length - [u'1..62']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection.filter', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, acl_name=acl_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ip_arp_inspection_logging_update(self, vlan=None, acl_match=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param acl_match: Enable DAI Logging
		:type acl_match: (unicode)
		
		.. note::
			* enum - [u'none', u'matchlog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection.logging', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, acl_match=acl_match)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ip_arp_inspection_logging_acl_match_update(self, vlan=None, acl_match=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param acl_match: Enable DAI Logging
		:type acl_match: (unicode)
		
		.. note::
			* enum - [u'none', u'matchlog']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.arp.inspection.logging', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, acl_match=acl_match)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_update(self, vlan=None, igmps_version=None, igmps_last_member_query_interval=None, igmps_query_interval=None, igmps_query_max_response_time=None, igmps_enable=None, igmps_fast_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param igmps_version: IGMP Snooping Version
		:type igmps_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmps_last_member_query_interval: Last Member Query Interval
		:type igmps_last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmps_query_interval: Query Interval
		:type igmps_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmps_query_max_response_time: IGMP Max Query Response Time
		:type igmps_query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmps_enable: IGMP Enable
		:type igmps_enable: (YANGBool)

		:param igmps_fast_leave: Fast Leave Processing
		:type igmps_fast_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_version=igmps_version, igmps_last_member_query_interval=igmps_last_member_query_interval, igmps_query_interval=igmps_query_interval, igmps_query_max_response_time=igmps_query_max_response_time, igmps_enable=igmps_enable, igmps_fast_leave=igmps_fast_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_enable_update(self, vlan=None, igmps_version=None, igmps_last_member_query_interval=None, igmps_query_interval=None, igmps_query_max_response_time=None, igmps_enable=None, igmps_fast_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param igmps_version: IGMP Snooping Version
		:type igmps_version: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmps_last_member_query_interval: Last Member Query Interval
		:type igmps_last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmps_query_interval: Query Interval
		:type igmps_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmps_query_max_response_time: IGMP Max Query Response Time
		:type igmps_query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param igmps_enable: IGMP Enable
		:type igmps_enable: (YANGBool)

		:param igmps_fast_leave: Fast Leave Processing
		:type igmps_fast_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_version=igmps_version, igmps_last_member_query_interval=igmps_last_member_query_interval, igmps_query_interval=igmps_query_interval, igmps_query_max_response_time=igmps_query_max_response_time, igmps_enable=igmps_enable, igmps_fast_leave=igmps_fast_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_querier_update(self, vlan=None, igmps_qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param igmps_qenable: Enable snooping querier
		:type igmps_qenable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_querier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_qenable=igmps_qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_querier_enable_update(self, vlan=None, igmps_qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param igmps_qenable: Enable snooping querier
		:type igmps_qenable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_querier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, igmps_qenable=igmps_qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ip_pim_snooping_update(self, vlan=None, vlan_pimv4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_pimv4_enable: IP PIM Snooping Enable
		:type vlan_pimv4_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpPIM.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ip_pim_snooping_enable_update(self, vlan=None, vlan_pimv4_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_pimv4_enable: IP PIM Snooping Enable
		:type vlan_pimv4_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpPIM.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv4_enable=vlan_pimv4_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_update(self, vlan=None, last_member_query_interval=None, last_member_query_count=None, startup_query_interval=None, startup_query_count=None, query_max_response_time=None, query_interval=None, mldVersion=None, enable=None, fast_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param last_member_query_count: Last Member Query Count
		:type last_member_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_interval: Startup Query Interval
		:type startup_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_count: Startup Query Count
		:type startup_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: MLDS Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mldVersion: MLD Version [v1|v2]
		:type mldVersion: (unicode)
		
		.. note::
			* pattern - v[1|2]

		:param enable: MLDS Enable
		:type enable: (YANGBool)

		:param fast_leave: Fast Leave Processing
		:type fast_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, last_member_query_count=last_member_query_count, startup_query_interval=startup_query_interval, startup_query_count=startup_query_count, query_max_response_time=query_max_response_time, query_interval=query_interval, mldVersion=mldVersion, enable=enable, fast_leave=fast_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_enable_update(self, vlan=None, last_member_query_interval=None, last_member_query_count=None, startup_query_interval=None, startup_query_count=None, query_max_response_time=None, query_interval=None, mldVersion=None, enable=None, fast_leave=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param last_member_query_interval: Last Member Query Interval
		:type last_member_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param last_member_query_count: Last Member Query Count
		:type last_member_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_interval: Startup Query Interval
		:type startup_query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param startup_query_count: Startup Query Count
		:type startup_query_count: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_max_response_time: MLDS Max Query Response Time
		:type query_max_response_time: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param query_interval: Query Interval
		:type query_interval: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param mldVersion: MLD Version [v1|v2]
		:type mldVersion: (unicode)
		
		.. note::
			* pattern - v[1|2]

		:param enable: MLDS Enable
		:type enable: (YANGBool)

		:param fast_leave: Fast Leave Processing
		:type fast_leave: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, last_member_query_interval=last_member_query_interval, last_member_query_count=last_member_query_count, startup_query_interval=startup_query_interval, startup_query_count=startup_query_count, query_max_response_time=query_max_response_time, query_interval=query_interval, mldVersion=mldVersion, enable=enable, fast_leave=fast_leave)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_querier_update(self, vlan=None, qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param qenable: Enable snooping querier
		:type qenable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.querier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, qenable=qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_querier_enable_update(self, vlan=None, qenable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param qenable: Enable snooping querier
		:type qenable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.querier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, qenable=qenable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_pim_snooping_update(self, vlan=None, vlan_pimv6_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_pimv6_enable: MLD : IpV6 PIM Snooping Enable
		:type vlan_pimv6_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldPIM.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_pim_snooping_enable_update(self, vlan=None, vlan_pimv6_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param vlan_pimv6_enable: MLD : IpV6 PIM Snooping Enable
		:type vlan_pimv6_enable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldPIM.snooping', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, vlan_pimv6_enable=vlan_pimv6_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_mac_access_group_update(self, vlan=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Keyword Arg Tuple**:
		:param access_group: kwarg tuple.
		:type access_group: (mac_access_list, mac_direction, traffic_type).

		:param mac_access_list: ACL_NAME;; Access List Name (Max 63)
		:type mac_access_list: (unicode)
		
		.. note::
			* length - [u'1..63']
			* pattern - [a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})

		:param mac_direction: tuple arg.
		:type mac_direction: (unicode)
		
		.. note::
			* enum - [u'in', u'out']

		:param traffic_type: tuple arg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

	**This Instance Arg(s)**:
		:param traffic_type: kwarg.
		:type traffic_type: (unicode)
		
		.. note::
			* enum - [u'switched', u'routed']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_router_interface_update(self, vlan=None, ve_config=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ve_config: Ve
		:type ve_config: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.router_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, ve_config=ve_config)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_router_interface_ve_update(self, vlan=None, ve_config=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param ve_config: Ve
		:type ve_config: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.router_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, ve_config=ve_config)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_spanning_tree_update(self, vlan=None, stp_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param stp_shutdown: Turn off the spanning-tree protocol
		:type stp_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, stp_shutdown=stp_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vlan_spanning_tree_shutdown_update(self, vlan=None, stp_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vlan: kwarg tuple.
		:type vlan: (name).

		:param name: tuple arg.
		:type name: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param stp_shutdown: Turn off the spanning-tree protocol
		:type stp_shutdown: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.spanning_tree', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vlan=vlan, stp_shutdown=stp_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_update(self, vrf=None, route_distiniguisher=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param route_distiniguisher: Configure Route Distinguisher
		:type route_distiniguisher: (unicode)
		
		.. note::
			* pattern - ((\s*(((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5])))))*)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, route_distiniguisher=route_distiniguisher)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_update(self, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param max_route: Maximum number of routes allowed in this routing table
		:type max_route: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_arp_update(self, vrf=None, arp_entry=None, mac_address_value=None, interfacename=None, Ethernet=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Keyword Arg Tuple**:
		:param arp_entry: kwarg tuple.
		:type arp_entry: (arp_ip_address, mac_address_value, interfacename, Ethernet, Ve).

		:param arp_ip_address: A.B.C.D;; IP address of the ARP entry
		:type arp_ip_address: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param mac_address_value: tuple arg.
		:type mac_address_value: (unicode)

		:param interfacename: tuple arg.
		:type interfacename: (unicode)
		
		.. note::
			* enum - [u'interface']

		:param Ethernet: tuple arg.
		:type Ethernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param Ve: tuple arg.
		:type Ve: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param mac_address_value: kwarg.
		:type mac_address_value: (unicode)

		:param interfacename: kwarg.
		:type interfacename: (unicode)
		
		.. note::
			* enum - [u'interface']

		:param Ethernet: kwarg.
		:type Ethernet: (unicode)
		
		.. note::
			* length - [u'3..16']
			* pattern - ((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:[1-4])?)

		:param Ve: kwarg.
		:type Ve: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Ethernet, Ve'}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, Ethernet=Ethernet, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_distance_update(self, vrf=None, static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param static_route_nh: kwarg tuple.
		:type static_route_nh: (static_route_dest, static_route_next_hop).

		:param static_route_dest: A.B.C.D/L ;; Destination IP address
		:type static_route_dest: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))

		:param static_route_next_hop: A.B.C.D ;; Next hop IP address
		:type static_route_next_hop: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param metric: Cost metric
		:type metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param distance: Route distance
		:type distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tag: Tag value for this route
		:type tag: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, static_route_nh=static_route_nh, metric=metric, distance=distance, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_bfd_holdover_interval_update(self, vrf=None, holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param holdover_interval: Holdover interval
		:type holdover_interval: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, holdover_interval=holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_bfd_interval_update(self, vrf=None, bfd_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param bfd_static_route: kwarg tuple.
		:type bfd_static_route: (bfd_static_route_dest, bfd_static_route_src).

		:param bfd_static_route_dest: A.B.C.D ;; Destination IP address
		:type bfd_static_route_dest: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param bfd_static_route_src: A.B.C.D ;; Source IP address
		:type bfd_static_route_src: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

	**This Instance Arg(s)**:
		:param interval: Transmit interval
		:type interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param min_rx: Receive interval
		:type min_rx: (int)
		
		.. note::
			* range - ['0..65535']

		:param multiplier: Multiplier value
		:type multiplier: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', u'bfd_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route.bfd_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, bfd_static_route=bfd_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_max_route_update(self, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param max_route: Maximum number of routes allowed in this routing table
		:type max_route: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_update(self, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param max_route: Maximum number of routes allowed in this routing table
		:type max_route: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_distance_update(self, vrf=None, link_local_static_route_nh=None, metric=None, distance=None, tag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param link_local_static_route_nh: kwarg tuple.
		:type link_local_static_route_nh: (link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name).

		:param link_local_static_route_dest: A:B::C:D/LEN ;; Destination IPv6 Prefix
		:type link_local_static_route_dest: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))

		:param link_local_nexthop: A:B::C:D ;; Next hop IPv6 address
		:type link_local_nexthop: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param link_local_route_oif_type: Outgoing interface type
		:type link_local_route_oif_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'management', u'null', u've']

		:param link_local_route_oif_name: tuple arg.
		:type link_local_route_oif_name: (unicode)
		
		.. note::
			* length - [u'1..16']

	**This Instance Arg(s)**:
		:param metric: Cost metric
		:type metric: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param distance: Route distance
		:type distance: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param tag: Tag value for this route
		:type tag: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', u'link_local_static_route_nh'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', u'static_route_oif'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', u'static_route_nh')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif.route_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh, metric=metric, distance=distance, tag=tag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_holdover_interval_update(self, vrf=None, ipv6_holdover_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param ipv6_holdover_interval: Holdover interval
		:type ipv6_holdover_interval: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, ipv6_holdover_interval=ipv6_holdover_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_interval_update(self, vrf=None, bfd_ipv6_link_local_static_route=None, interval=None, min_rx=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

		:param bfd_ipv6_link_local_static_route: kwarg tuple.
		:type bfd_ipv6_link_local_static_route: (bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name).

		:param bfd_ipv6_link_local_dest: A:B::C:D ;; Destination IPv6 address
		:type bfd_ipv6_link_local_dest: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param bfd_ipv6_link_local_src: A:B::C:D ;; Source IPv6 address
		:type bfd_ipv6_link_local_src: (unicode)
		
		.. note::
			* pattern - ((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+)?

		:param bfd_interface_type: Outgoing interface type
		:type bfd_interface_type: (unicode)
		
		.. note::
			* enum - [u'ethernet', u'null', u've']

		:param bfd_interface_name: tuple arg.
		:type bfd_interface_name: (unicode)
		
		.. note::
			* length - [u'1..16']

	**This Instance Arg(s)**:
		:param interval: Transmit interval
		:type interval: (int)
		
		.. note::
			* range - ['0..65535']

		:param min_rx: Receive interval
		:type min_rx: (int)
		
		.. note::
			* range - ['0..65535']

		:param multiplier: Multiplier value
		:type multiplier: (int)
		
		.. note::
			* range - ['0..255']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', u'bfd_ipv6_static_route'), ('pybind.slxos.v16r_1_00b.vrf', 'vrf'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', u'bfd_ipv6_link_local_static_route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b'), ('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route.bfd_ipv6_interval_attributes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route, interval=interval, min_rx=min_rx, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_max_route_update(self, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param max_route: Maximum number of routes allowed in this routing table
		:type max_route: (long)
		
		.. note::
			* range - ['0..4294967295']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_ip_update(self, vrf=None, vrf_router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param vrf_router_id: Change the router ID already in use
		:type vrf_router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.ip', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, vrf_router_id=vrf_router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrf_ip_router_id_update(self, vrf=None, vrf_router_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**Parent Instance Keyword Arg Tuple(s)**:
		:param vrf: kwarg tuple.
		:type vrf: (vrf_name).

		:param vrf_name: <WORD:1-32>;;Name of VRF
		:type vrf_name: (unicode)
		
		.. note::
			* length - [u'1..32']
			* pattern - ((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-9]\.?)|\.

	**This Instance Arg(s)**:
		:param vrf_router_id: Change the router ID already in use
		:type vrf_router_id: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.ip', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrf=vrf, vrf_router_id=vrf_router_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vrrp_acceptmode_disable_update(self, vrrp_acceptmode_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param vrrp_acceptmode_disable: Disable accept mode  for the non owner vrrp vip
		:type vrrp_acceptmode_disable: (YANGBool)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vrrp_rbridge_global', 'pybind.slxos.v16r_1_00b.brocade_vrrpv3', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, vrrp_acceptmode_disable=vrrp_acceptmode_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_update(self, extended_stats_data=None, permit_deny=None, dst_vtep_ip=None, src_vtep_ip=None, vni=None, vni_mask=None, native_tag=None, dst_ip=None, dst_ip_mask=None, src_ip=None, src_ip_mask=None, dst_port=None, src_port=None, count=None, byte_count=None, sflow=None, redir_interface=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		SLXOS: 16r.1.00b    

	**This Instance Keyword Arg Tuple**:
		:param extended_stats_data: kwarg tuple.
		:type extended_stats_data: (acl_name, seq_num).

		:param acl_name: tuple arg.
		:type acl_name: (unicode)

		:param seq_num: tuple arg.
		:type seq_num: (long)
		
		.. note::
			* range - ['0..4294967295']

	**This Instance Arg(s)**:
		:param permit_deny: kwarg.
		:type permit_deny: (unicode)

		:param dst_vtep_ip: kwarg.
		:type dst_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_vtep_ip: kwarg.
		:type src_vtep_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param vni: kwarg.
		:type vni: (unicode)

		:param vni_mask: kwarg.
		:type vni_mask: (unicode)

		:param native_tag: kwarg.
		:type native_tag: (unicode)

		:param dst_ip: kwarg.
		:type dst_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param dst_ip_mask: kwarg.
		:type dst_ip_mask: (int)
		
		.. note::
			* range - ['0..65535']

		:param src_ip: kwarg.
		:type src_ip: (unicode)
		
		.. note::
			* pattern - (([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\p{N}\p{L}]+)?

		:param src_ip_mask: kwarg.
		:type src_ip_mask: (int)
		
		.. note::
			* range - ['0..65535']

		:param dst_port: kwarg.
		:type dst_port: (int)
		
		.. note::
			* range - ['0..65535']

		:param src_port: kwarg.
		:type src_port: (int)
		
		.. note::
			* range - ['0..65535']

		:param count: kwarg.
		:type count: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param byte_count: kwarg.
		:type byte_count: (long)
		
		.. note::
			* range - ['0..18446744073709551615']

		:param sflow: kwarg.
		:type sflow: (YANGBool)

		:param redir_interface: kwarg.
		:type redir_interface: (unicode)

		:param mirror_interface: kwarg.
		:type mirror_interface: (unicode)

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_patch'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, extended_stats_data=extended_stats_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def zoning_enabled_configuration_update(self, cfg_name=None, default_zone_access=None, cfg_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cfg_name: <WORD>;;Enabled-CFG-Name
		:type cfg_name: (unicode)

		:param default_zone_access: Default zone access
		:type default_zone_access: (unicode)
		
		.. note::
			* enum - [u'allaccess', u'noaccess']

		:param cfg_action: Cfg action
		:type cfg_action: (unicode)
		
		.. note::
			* enum - [u'cfg-clear', u'cfg-save', u'cfg-none', u'cfg-disable', u'cfg-transaction-abort']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.zoning.enabled_configuration', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.enabled_configuration', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.enabled_configuration', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.enabled_configuration', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cfg_name=cfg_name, default_zone_access=default_zone_access, cfg_action=cfg_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

def zoning_enabled_configuration_cfg_action_update(self, cfg_name=None, default_zone_access=None, cfg_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

	**Supported Versions**:
		NOS: 6.0.2b, 7.0.1a, 7.1.0
		SLXOS: 16r.1.00b    

	**This Instance Arg(s)**:
		:param cfg_name: <WORD>;;Enabled-CFG-Name
		:type cfg_name: (unicode)

		:param default_zone_access: Default zone access
		:type default_zone_access: (unicode)
		
		.. note::
			* enum - [u'allaccess', u'noaccess']

		:param cfg_action: Cfg action
		:type cfg_action: (unicode)
		
		.. note::
			* enum - [u'cfg-clear', u'cfg-save', u'cfg-none', u'cfg-disable', u'cfg-transaction-abort']

		:param api_timeout: Timeout for connection and response in seconds.  If tuple specified, then first value is for connection timeout and second value is for response timeout.
		:type api_timeout: (long or tuple)

	:returns: (bool, list)
		Returns a tuple. First element (bool): The overall success or failure of the API. Second element (list): List of REST request/response dictionaries, keyed by the asset's ip address.

	:raises: AttributeError, ConnectionError
    """

    operation_type = 'update_put'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2b.zoning.enabled_configuration', 'pybind.nos.v6_0_2b.brocade_zone', 'pybind.nos.v6_0_2b'), ('pybind.nos.v7_0_1a.zoning.enabled_configuration', 'pybind.nos.v7_0_1a.brocade_zone', 'pybind.nos.v7_0_1a'), ('pybind.nos.v7_1_0.zoning.enabled_configuration', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.enabled_configuration', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, cfg_name=cfg_name, default_zone_access=default_zone_access, cfg_action=cfg_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, resource_depth=1, timeout=api_timeout)

